pragma AUTO_VACUUM = full;

create table [ORA_ERROR] ([CODE] varchar(16) not null, [ERRO] varchar(512), [CAUSE] varchar(2048), [ACTION] varchar(2048), [FAVORITE] varchar(2) not null, constraint [] primary key ([CODE]));

insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00027', 'cannot kill current session', 'Attempted to use ALTER SYSTEM KILL SESSION to kill the current session.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00028', 'your session has been killed', 'A privileged user has killed your session and you are no longer logged on to the database.', 'Login again if you wish to continue working.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00029', 'session is not a user session', 'The session ID specified in an ALTER SYSTEM KILL SESSION command was not a user session (for example, recursive, etc.).', 'Retry with a user session ID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00030', 'User session ID does not exist.', 'The user session ID no longer exists, probably because the session was logged out.', 'Use a valid session ID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00031', 'session marked for kill', 'The session specified in an ALTER SYSTEM KILL SESSION command cannot be killed immediately (because it is rolling back or blocked on a network operation), but it has been marked for kill. This means it will be killed as soon as possible after its current uninterruptable operation is done.', 'No action is required for the session to be killed, but further executions of the ALTER SYSTEM KILL SESSION command on this session may cause the session to be killed sooner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00032', 'invalid session migration password', 'The session migration password specified in a session creation call was invalid (probably too long).', 'Retry with a valid password (less than 30 chars).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00033', 'current session has empty migration password', 'An attempt was made to detach or clone the current session and it has an empty migration password. This is not allowed.', 'Create the session with a non-empty migration password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00034', 'cannot string in current PL/SQL session', 'An attempt was made to issue a commit or rollback from a PL/SQL object (procedure, function, package) in a session that has this disabled (by ''alter session disable commit in procedure'')', 'Enable commits from PL/SQL in this session, or do not attempt to use commit or rollback in PL/SQL when they are disabled in the current session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00036', 'maximum number of recursive SQL levels (string) exceeded', 'An attempt was made to go more than the specified number of recursive SQL levels.', 'Remove the recursive SQL, possibly a recursive trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00037', 'cannot switch to a session belonging to a different server group', 'An attempt was made to switch to a session in a different server group. This is not allowed.', 'Make sure the server switches to a session that belongs to its server group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00038', 'Cannot create session: server group belongs to another user', 'An attempt was made to create a non-migratable session in a server group that is owned by a different user.', 'A server group is owned by the first user who logs into a server in the server group in non-migratable mode. All subsequent non-migratable mode logins must be made by the user who owns the server group. To have a different user login in non-migratable mode, the ownership of the server group will have to be changed. This can be done by logging off all current sessions and detaching from all existing servers in the server group and then having the new user login to become the new owner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00039', 'error during periodic action', 'An unexpected error occurred while executing a periodically invoked', 'Check the error stack for detailed error information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00040', 'active time limit exceeded - call aborted', 'The Resource Manager SWITCH_TIME limit was exceeded.', 'Reduce the complexity of the update or query, or contact your database administrator for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00113', 'protocol name string is too long', 'A protocol name specified in the DISPATCHERS system parameter is too long.', 'Use a valid protocol name for the DISPATCHERS value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00114', 'missing value for system parameter SERVICE_NAMES', 'No value was specified for the SERVICE_NAMES system parameter, nor for the DB_NAME parameter.', 'Add an SERVICE_NAMES or DB_NAME definition to the INIT.ORA file. By default, SERVICE_NAMES is the value of DB_NAME unless SERVICE_NAMES is explicitly specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00115', 'connection refused; dispatcher connection table is full', 'A connection request was refused by a dispatcher because the dispatcher cannot support any more connections.', 'Connect to a different dispatcher, or use a dedicated server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00116', 'SERVICE_NAMES name is too long', 'A service name specified in the SERVICE_NAMES system parameter is too long.', 'Use a shorter name in the SERVICE_NAMES value (<= 255 chars).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00117', 'PROTOCOL, ADDRESS or DESCRIPTION must be specified', 'PROTOCOL, ADDRESS or DESCRIPTION was not specified.', 'Use one of the attributes: PROTOCOL, ADDRESS or DESCRIPTION to specify the listening address for dispatchers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00118', 'Only one of PROTOCOL, ADDRESS or DESCRIPTION may be specified', 'More than one of PROTOCOL, ADDRESS or DESCRIPTION was specified.', 'Use only one of the attributes: PROTOCOL, ADDRESS or DESCRIPTION to specify the listening address for dispatchers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00119', 'invalid specification for system parameter string', 'The syntax for the specified parameter is incorrect.', 'Refer to the Oracle Reference Manual for the correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00122', 'cannot initialize network configuration', 'ORACLE could not initialize SQL*Net version 2.', 'Check the error stack for detailed information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00123', 'idle public server terminating', 'Too many idle servers were waiting on the common queue.', 'This error is used internally, no action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00125', 'connection refused; invalid presentation', 'The PRESENTATION in the CONNECT_DATA of the TNS address DESCRIPTION is not correct or is not supported.', 'Correct the PRESENTATION specified in the TNS address.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00126', 'connection refused; invalid duplicity', 'The DUPLICITY in the CONNECT_DATA of the TNS address DESCRIPTION is not correct or is not supported.', 'Correct the DUPLICITY specified in the TNS address.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00127', 'dispatcher string does not exist', 'There is currently no dispatcher running with the specified name.', 'Retry with a name of the form "D###" denoting an existing dispatcher process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00128', 'this command requires a dispatcher name', 'Wrong syntax for ALTER SYSTEM SHUTDOWN', 'Use correct syntax: ALTER SYSTEM SHUTDOWN [ IMMEDIATE ] ''dispatcher name''', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00129', 'listener address validation failed ''string''', 'An error was encountered while validating the listener address.', 'Resolve error or contact your ORACLE representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00130', 'invalid listener address ''string''', 'The listener address specification is not valid.', 'Make sure that all fields in the listener address (protocol, port, host, key, ...) are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00131', 'network protocol does not support registration ''string''', 'The specified protocol does not support async notification.', 'Refer to the manual for information on supported network protocols.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00132', 'syntax error or unresolved network name ''string''', 'Listener address has syntax error or cannot be resolved.', 'If a network name is specified, check that it corresponds to an entry in TNSNAMES.ORA or other address repository as configured for your system. Make sure that the entry is syntactically correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00133', 'value of string is too long', 'The value specified for the attribute was too long.', 'Use shorter names and keywords or remove unneeded blanks.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00000', 'normal, successful completion', 'Normal exit.', 'None', 'Y');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00001', 'unique constraint (string.string) violated', 'An UPDATE or INSERT statement attempted to insert a duplicate key. For Trusted Oracle configured in DBMS MAC mode, you may see this message if a duplicate entry exists at a different level.', 'Either remove the unique restriction or do not insert the key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00017', 'session requested to set trace event', 'The current session was requested to set a trace event by another session.', 'This is used internally; no action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00018', 'maximum number of sessions exceeded', 'All session state objects are in use.', 'Increase the value of the SESSIONS initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00019', 'maximum number of session licenses exceeded', 'All licenses are in use.', 'Increase the value of the LICENSE MAX SESSIONS initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00020', 'maximum number of processes (string) exceeded', 'All process state objects are in use.', 'Increase the value of the PROCESSES initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00021', 'session attached to some other process; cannot switch session', 'The user session is currently used by others.', 'Do not switch to a session attached to some other process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00022', 'invalid session ID; access denied', 'Either the session specified does not exist or the caller does not have the privilege to access it.', 'Specify a valid session ID that you have privilege to access, that is either you own it or you have the CHANGE_USER privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00023', 'session references process private memory; cannot detach session', 'An attempt was made to detach the current session when it contains references to process private memory.', 'A session may contain references to process memory (PGA) if it has an open network connection, a very large context area, or operating system privileges. To allow the detach, it may be necessary to close the session''s database links and/or cursors. Detaching a session with operating system privileges is always disallowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00024', 'logins from more than one process not allowed in single-process mode', 'Trying to login more than once from different processes for ORACLE started in single-process mode.', 'Logoff from the other process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00025', 'failed to allocate string', 'Out of memory.', 'Restart with larger sga heap.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00026', 'missing or invalid session ID', 'Missing or invalid session ID string for ALTER SYSTEM KILL SESSION.', 'Retry with a valid session ID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00064', 'object is too large to allocate on this O/S (string,string,string)', 'An initialization parameter was set to a value that required allocating more contiguous space than can be allocated on this operating system.', 'Reduce the value of the initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00134', 'invalid DISPATCHERS specification #string', 'The syntax for the n-th DISPATCHERS specification was incorrect.', 'Refer to the Oracle Reference Manual for the correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00150', 'duplicate transaction ID', 'Attempted to start a new transaction with an ID already in use by an existing transaction.', 'Check your application.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00151', 'invalid transaction ID', 'The specified transaction ID does not correspond to an existing valid transaction.', 'Check your application.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00152', 'current session does not match requested session', 'The current session is not the same as the session that was passed into a upixado() call.', 'Check your application.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00153', 'internal error in XA library', 'The XA library could not access thread-specific pointers.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00154', 'protocol error in transaction monitor', 'The transaction monitor returned TMJOIN on an AX_REG call but the transaction was locally suspended.', 'Contact the transaction monitor customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00155', 'cannot perform work outside of global transaction', 'The application tried to perform some work on either an Oracle 7.3 server or an Oracle8 server with local transactions disabled while outside of a global transaction.', 'Check if the application is connected to an Oracle 7.3 server. The Transaction monitor must not return a NULL XID on an AX_REG call when the resource manager is Oracle 7.3. If the application is connected to an Oracle8 server, either set nolocal=f in the xa_open string or start a global transaction prior to attempting the work.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00160', 'global transaction length string is greater than maximum (string)', 'An external global transaction ID with a too large length field was passed in.', 'Report the problem to your external transaction coordinator vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00161', 'transaction branch length string is illegal (maximum allowed string)', 'An external transaction branch ID with a length either too large or 0 was passed in.', 'Report the problem to your external transaction coordinator vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00162', 'external dbid length string is greater than maximum (string)', 'An external database name with too large a length field was passed in.', 'Report the problem to your external transaction coordinator vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00163', 'internal database name length string is greater than maximum (string)', 'An internal database name with a too large length field was passed in.', 'Report the problem to your external transaction coordinator vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00164', 'distributed autonomous transaction disallowed within migratable distributed transaction', 'A request was made by the application to start a distributed autonomous transaction when the application was in a migratable distributed transaction.', 'Roll back or commit the current distributed transaction first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00165', 'migratable distributed autonomous transaction with remote operation is not allowed', 'A request was made by the application to start a migratable distributed autonomous transaction with remote operation.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00166', 'remote/local nesting level is too deep', 'Too many remote table operations required a reverse trip back to the local site, for example to execute a local function on a remote table.', 'Rearrange the query or co-locate the functions with the tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00200', 'control file could not be created', 'It was not possible to create the control file.', 'Check that there is sufficient disk space and no conflicts in filenames and try to create the control file again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00201', 'control file version string incompatible with ORACLE version string', 'The control file was created by incompatible software.', 'Either restart with a compatible software release or use CREATE CONTROLFILE to create a new control file that is compatible with this release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00202', 'control file: ''string''', 'This message reports the name file involved in other messages.', 'See associated error messages for a description of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00203', 'using the wrong control files', 'The mount ID in the control file is not the same as the mount ID in the control file used by the first instance to mount this database. The control files are for the same database but they are not the same files. Most likely one instance is using a backup control file.', 'Check that the correct control files were specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00041', 'active time limit exceeded - session terminated', 'The Resource Manager SWITCH_TIME limit was exceeded.', 'Reduce the complexity of the update or query, or contact your database administrator for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00042', 'Unknown Service name string', 'An attempt was made to use an invalid application service.', 'Use a valid service name from SERVICE$ or add a new service using the DBMS_SERVICE package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00043', 'remote operation failed', 'Execution of the inter-instance operation failed.', 'Check the status of the target instance. The operation may have partially executed. Verify the result of the intended operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00044', 'timed_statistics must be TRUE when statistics_level is not BASIC', 'The user attempted to set timed_statistics to FALSE when statistics_level was not BASIC. timed_statistics is required to be TRUE to collect meaningful statistics when statistics_level is set to TYPICAL or ALL.', 'Either set timed_statistics to TRUE or set statistics_level to BASIC.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00050', 'operating system error occurred while obtaining an enqueue', 'Could not obtain the operating system resources necessary to cover an oracle enqueue. This is normally the result of an operating system user quota that is too low.', 'Look up the operating system error in your system documentation and perform the needed action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00051', 'timeout occurred while waiting for a resource', 'Usually due to a dead instance.', 'Check for any dead, unrecovered instances and recover them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00052', 'maximum number of enqueue resources (string) exceeded', 'Ran out of enqueue resources.', 'Increase the value of the ENQUEUE_RESOURCES initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00053', 'maximum number of enqueues exceeded', 'Ran out of enqueue state objects.', 'Increase the value of the ENQUEUES initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00054', 'resource busy and acquire with NOWAIT specified or timeout expired', 'Interested resource is busy.', 'Retry if necessary or increase timeout.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00055', 'maximum number of DML locks exceeded', 'Ran out of DML lock state objects.', 'Increase the value of the DML_LOCKS initialization parameter and warm start.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00056', 'DDL lock on object ''string.string'' is already held in an incompatible mode', 'An attempt was made to acquire a DDL lock that is already locked.', 'This happens if you attempt to drop a table that has parse locks on it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00057', 'maximum number of temporary table locks exceeded', 'The number of temporary tables equals or exceeds the number of temporary table locks. Temporary tables are often created by large sorts.', 'Increase the value of the TEMPORARY_TABLE_LOCKS initialization parameter and warm start.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00058', 'DB_BLOCK_SIZE must be string to mount this database (not string)', 'DB_BLOCK_SIZE initialization parameter is wrong for the database being mounted. It does not match the value used to create the database.', 'Fix the value of the DB_BLOCK_SIZE parameter or mount a database that matches the value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00059', 'maximum number of DB_FILES exceeded', 'The value of the DB_FILES initialization parameter was exceeded.', 'Increase the value of the DB_FILES parameter and warm start.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00060', 'deadlock detected while waiting for resource', 'Transactions deadlocked one another while waiting for resources.', 'Look at the trace file to see the transactions and resources involved. Retry if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00061', 'another instance has a different DML_LOCKS setting', 'The shared instance being started is using DML locks, and the running instances are not, or vice-versa.', 'Ensure that all instances'' INIT.ORA files specify the DML_LOCKS parameter as 0 or all as non-zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00062', 'DML full-table lock cannot be acquired; DML_LOCKS is 0', 'The instance was started with DML_LOCKS = 0, and the statement being executed needs a full-table lock (S, X, or SSX).', 'Restart the instance with DML_LOCKS not equal to zero, and reexecute the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00063', 'maximum number of log files exceeded string', 'The number of log files specificied exceeded the maximum number of log files supported in this release.', 'Re-create the control file with the highest number of log files no greater than the maximum supported in this release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00090', 'failed to allocate memory for cluster database ORADEBUG command', 'Could not allocate memory needed to execute cluster database oradebug.', 'Reissue the command on each instance with single-instance oradebug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00091', 'LARGE_POOL_SIZE must be at least string', 'The value of LARGE_POOL_SIZE is below the minimum size.', 'Increase the value of LARGE_POOL_SIZE past the minimum size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00092', 'LARGE_POOL_SIZE must be greater than LARGE_POOL_MIN_ALLOC', 'The value of LARGE_POOL_SIZE is less than the value of LARGE_POOL_MIN_ALLOC.', 'Increase the value of LARGE_POOL_SIZE past the value of LARGE_POOL_MIN_ALLOC.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00093', 'string must be between string and string', 'The parameter value is not in a valid range.', 'Modify the parameter value to be within the specified range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00094', 'string requires an integer value', 'The parameter value is not an integer.', 'Modify the parameter value to be an integer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00096', 'invalid value string for parameter string, must be from among string', 'The value for the initialization parameter is invalid.', 'Choose a value as indicated by the message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00097', 'use of Oracle SQL feature not in SQL92 string Level', 'Usage of Oracle''s SQL extensions.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00098', 'creating or mounting the database requires a parameter file', 'An attempt was made to create or mount the database when the instance was started without a parameter file.', 'Restart the instance with a parameter file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00204', 'error in reading (block string, # blocks string) of control file', 'A disk I/O failure was detected on reading the control file.', 'Check if the disk is online, if it is not, bring it online and try a warm start again. If it is online, then you need to recover the disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00205', 'error in identifying control file, check alert log for more info', 'The system could not find a control file of the specified name and size.', 'Check that ALL control files are online and that they are the same files that the system created at cold start time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00206', 'error in writing (block string, # blocks string) of control file', 'A disk I/O failure was detected on writing the control file.', 'Check if the disk is online, if it is not, bring it online and try a warm start again. If it is online, then you need to recover the disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00207', 'control files are not for the same database', 'The database ID in the control file is not the same as the database ID in the control file used by the first instance to mount this database. Most likely one of the mounts used the wrong control file or there are two databases with the same name.', 'Check that the control file is for the correct database and is not an old version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00208', 'number of control file names exceeds limit of string', 'An attempt was made to use more control files than Oracle supports.', 'Shut down Oracle. Reduce the number of control files specified in the CONTROL_FILES parameter in the initialization parameter file, and restart Oracle. Delete usused files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00065', 'initialization of FIXED_DATE failed', 'The FIXED_DATE string was not in date format yyyy-mm-dd:hh24:mi:ss.', 'Make sure the initialization parameter is in the correct date format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00209', 'control file blocksize mismatch, check alert log for more info', 'The block size in the control file header does not match the size specified in the DB_BLOCK_SIZE parameter.', 'Look at the alert log for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00210', 'cannot open the specified control file', 'Cannot open the control file.', 'Check to make sure the control file exists and is not locked by some other program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00211', 'control file does not match previous control files', 'A control file was specified that belongs to another database.', 'Find and install the correct control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00212', 'block size string below minimum required size of string bytes', 'The block size specified was too small. Space for the system overhead is required.', 'Specify a larger block size and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00213', 'cannot reuse control file; old file size string, string required', 'To reuse a control file, it must be the same size as the one previously used.', 'Either do not specify REUSE, or specify a matching combination of MAXDATAFILES, MAXLOGFILES, MAXLOGMEMBERS, MAXLOGHISTORY, and MAXINSTANCES clauses in the CREATE DATABASE or CREATE CONTROLFILE statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00214', 'control file ''string'' version string inconsistent with file ''string'' version string', 'An inconsistent set of control files, datafiles/logfiles, and redo files was used.', 'Use a consistant set of control files, datafiles/logfiles, and redo log files. That is, all the files must be for the same database and from the same time period.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00215', 'must be at least one control file', 'No control file is specified or the control file specified does not exist.', 'Specify at least one valid control file and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00216', 'control file could not be resized for migration from 8.0.2', 'The control file created by release 8.0.2 was missing some record types. These record types are automatically added by resizing the control file during mount. The resize has failed.', 'Look in the alert log for the reason that the resize has failed. If indicated in the alert log, give the control file more space. Otherwise, use the CREATE CONTROLFILE script dumped to the trace file to create a new control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00217', 'control file could not be resized for new record types', 'The control file was missing some new record types supported by this release. These record types are automatically added by resizing the contol file during mount. The resize has failed.', 'Look in the alert log for the reason that the resize has failed. If indicated in the alert log, give the control file more space. Otherwise, use the CREATE CONTROLFILE script dumped to the trace file to create a new control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00218', 'block size string of control file ''string'' does not match DB_BLOCK_SIZE (string)', 'The block size as stored in the control file header is different from the value of the initialization parameter DB_BLOCK_SIZE. This might be due to an incorrect setting of DB_BLOCK_SIZE, or else might indicate that the control file has either been corrupted or belongs to a different database.', 'Restore a good copy of the control file. If the control file is known to be clean set the DB_BLOCK_SIZE to match control file headers block size value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00219', 'required control file size (string logical blocks) exceeds maximum allowable size (string logical blocks)', 'An invocation of CREATE DATABASE or CREATE CONTROLFILE was executed specifying a combination of parameters that would require the control file size in blocks to exceed the maximum allowable value.', 'In the case of CREATE DATABASE or CREATE CONTROLFILE, use a different combination of MAXDATAFILES, MAXLOGFILES, MAXLOGMEMBERS, MAXLOGHISTORY, and MAXINSTANCES clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00220', 'control file not mounted by first instance, check alert log for more info', 'The specified control file has a different mount ID than the other control files that are being mounted. This means that the first instance to mount the database did not use this control file.', 'Find and install the correct control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00221', 'error on write to control file', 'An error occurred when writing to one or more of the control files.', 'See accompanying messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00222', 'operation would reuse name of a currently mounted control file', 'The filename supplied as a parameter to the ALTER DATABASE BACKUP CONTROLFILE command or to cfileSetSnapshotName matches the name of the specified currently mounted control file.', 'Retry the operation with a different filename.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00223', 'convert file is invalid or incorrect version', 'An Oracle7 to Oracle8 convert file contains invalid data or was created with an different version of the migration utility. This error can also be caused by incorrect ORACLE_HOME environment variable when ALTER DATABASE CONVERT command is issued.', 'Use a correct version of the convert file or regenerate it with the migration utility. Make sure that the migration utility is the same version as the Oracle8 RDBMS executable and that the ORACLE_HOME environment variable is properly set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00224', 'control file resize attempted with illegal record type (string)', 'An attempt was made to expand or shrink the control file by calling cfileResizeSection using an invalid value for the RECORD_TYPE parameter.', 'Use a value for the RECORD_TYPE parameter that specifies a valid record type other than type 0 (valid range is 1-16).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00225', 'expected size string of control file differs from actual size string', 'The expected size of the control file as stored in its header was different than the actual operating system file size. This usually indicates that the control file was corrupted.', 'Restore a good copy of the control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00226', 'operation disallowed while alternate control file open', 'The attempted operation could not be executed at this time because this process had an alternate control file open for fixed table access.', 'Retry the operation after calling cfileUseCurrent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00227', 'corrupt block detected in control file: (block string, # blocks string)', 'A block header corruption or checksum error was detected on reading the control file.', 'Use the CREATE CONTROLFILE or RECOVER DATABASE USING BACKUP CONTROLFILE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00228', 'length of alternate control file name exceeds maximum of string', 'The specified filename, which was supplied as a parameter to cfileSetSnapshotName or cfileUseCopy, exceeds the maximum filename length for this operating system.', 'Retry the operation with a shorter filename.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00229', 'operation disallowed: already hold snapshot control file enqueue', 'The attempted operation cannot be executed at this time because this process currently holds the snapshot control file enqueue.', 'Retry the operation after calling cfileUseCurrent to release the snapshot control file enqueue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00230', 'operation disallowed: snapshot control file enqueue unavailable', 'The attempted operation cannot be executed at this time because another process currently holds the snapshot control file enqueue.', 'Retry the operation after the concurrent operation that is holding the snapshot control file enqueue terminates.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00066', 'SID string contains an illegal character', 'The specified SID contains an illegal character which cannot occur in an SPFILE setting. Illegal characters include ,#"''=() and whitespace.', 'Use a SID that does not contain a special character or whitespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00067', 'invalid value string for parameter string; must be at least string', 'The value for the initialization parameter is invalid.', 'Choose a value as indicated by the message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00068', 'invalid value string for parameter string, must be between string and string', 'The value for the initialization parameter is invalid.', 'Choose a value as indicated by the message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00069', 'cannot acquire lock -- table locks disabled for string', 'A command was issued that tried to lock the table indicated in the message. Examples of commands that can lock tables are: LOCK TABLE, ALTER TABLE ... ADD (...), and so on.', 'Use the ALTER TABLE ... ENABLE TABLE LOCK command, and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00070', 'command string is not valid', 'An invalid debugger command was specified.', 'Type HELP to see the list of available commands.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00071', 'process number must be between 1 and string', 'An invalid process number was specified.', 'Specify a valid process number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00072', 'process "string" is not active', 'An invalid process was specified.', 'Specify a valid process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00073', 'command string takes between string and string argument(s)', 'An incorrect number of arguments was specified.', 'Specify the correct number of arguments. Type HELP to see the list of commands and their syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00074', 'no process has been specified', 'No debug process has been specified.', 'Specify a valid process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00075', 'process "string" not found in this instance', 'The specified process was not logged on to the current instance.', 'Specify a valid process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00076', 'dump string not found', 'An attempt was made to invoke a dump that does not exist.', 'Type DUMPLIST to see the list of available dumps.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00077', 'dump string is not valid', 'An attempt was made to invoke an invalid dump.', 'Try another dump.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00078', 'cannot dump variables by name', 'An attempt was made to dump a variable by name on a system that does not support this feature.', 'Try the PEEK command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00079', 'variable string not found', 'An attempt was made to dump a variable that does not exist.', 'Use a valid variable name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00080', 'invalid global area specified by level string', 'An attempt was made to dump an invalid global area.', 'Use level 1 for the PGA, 2 for the SGA, and 3 for the UGA. Use <extra + level> to dump global area <level> as well as <extra> bytes for every pointer; <extra> must be a multiple of 4.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00081', 'address range [string, string) is not readable', 'An attempt was made to read/write an invalid memory address range.', 'Try another address or length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00082', 'memory size of string is not in valid set of [1], [2], [4]stringstringstringstringstring', 'An invalid length was specified for the POKE command.', 'Use a valid length (either 1, 2, 4, or possibly 8).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00083', 'warning: possibly corrupt SGA mapped', 'Even though there may be SGA corruptions, the SGA was mapped.', 'Use the DUMPSGA command to dump the SGA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00084', 'global area must be PGA, SGA, or UGA', 'An attempt was made to dump an invalid global area.', 'Specify either PGA, SGA, or UGA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00085', 'current call does not exist', 'An invalid attempt was made to dump the current call heap.', 'Wait until the process starts a call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00086', 'user call does not exist', 'An invalid attempt was made to dump the user call heap.', 'Wait until the process starts a call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00087', 'command cannot be executed on remote instance', 'Cluster database command issued for non cluster database ORADEBUG command.', 'Issue the command without the cluster database syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00088', 'command cannot be executed by shared server', 'Debug command issued on shared server.', 'Reissue the command using a dedicated server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00089', 'invalid instance number in ORADEBUG command', 'An invalid instance number was specified in a cluster database ORADEBUG command.', 'Reissue the command with valid instance numbers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00099', 'warning: no parameter file was specified', 'Even though no parameter file was specified, the instance was started.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00100', 'no data found', 'An application made reference to unknown or inaccessible data.', 'Handle this condition within the application or make appropriate modifications to the application code. NOTE: If the application uses Oracle-mode SQL instead of ANSI-mode SQL, ORA-01403 will be generated instead of ORA-00100.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00101', 'invalid specification for system parameter DISPATCHERS', 'The syntax for the DISPATCHERS parameter is incorrect.', 'Refer to the manual for correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00102', 'network protocol string cannot be used by dispatchers', 'The network specified in DISPATCHERS does not have the functionality required by the dispatchers.', 'Refer to the manual on network protocols supported by the dispatchers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00103', 'invalid network protocol; reserved for use by dispatchers', 'The network specified in the SQL*Net connect string is reserved for use by the dispatchers.', 'Specify other network protocols in the connection string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00104', 'deadlock detected; all public servers blocked waiting for resources', 'All available public servers are servicing requests that require resources locked by a client which is unable to get a public server to release the resources.', 'Increase the limit for the system parameter MAX_SHARED_SERVERS as the system will automaticaly start up new servers to break the deadlock until the number of servers reaches the value specified in MAX_SHARED_SERVERS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00105', 'too many dispatcher configurations', 'Too many dispatcher configurations have been specified. No more can be added.', 'Consolidate the dispatcher configurations if possible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00106', 'cannot startup/shutdown database when connected to a dispatcher', 'An attempt was made to startup/shutdown database when connected to a shared server via a dispatcher.', 'Re-connect as user INTERNAL without going through the dispatcher. For most cases, this can be done by connect to INTERNAL without specifying a network connect string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00107', 'failed to connect to ORACLE listener process', 'Most likely due to the fact that ORACLE listener has not been started.', 'Start ORACLE listener if it has not been started. Or else contact your ORACLE representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00108', 'failed to set up dispatcher to accept connection asynchronously', 'Most likely due to the fact that the network protocol used by the the dispatcher does not support aynchronous operations.', 'Contact your ORACLE representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00109', 'invalid value for attribute string: string', 'The value specified for the attribute was incorrect.', 'Refer to the manual for the proper values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00110', 'invalid value string for attribute string, must be between string and string', 'The value specified for the attribute was incorrect.', 'Specify a value within the range allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00111', 'invalid attribute string', 'The specified attribute was not recognized.', 'Refer to the manual for the proper keyword to use to specify a dispatcher attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00112', 'value of string is null', 'The attribute was specified with no value.', 'Specify a non-null value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00231', 'snapshot control file has not been named', 'During an invocation of cfileMakeAndUseSnapshot or cfileUseSnapshot it was detected that no filename for the snapshot control file had previously been specified.', 'Specify a name for the snapshot control file by calling cfileSetSnapshotName.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00232', 'snapshot control file is nonexistent, corrupt, or unreadable', 'The snapshot control file was found to be nonexistent, corrupt, or unreadable during an invocation of cfileUseSnapshot.', 'Call cfileMakeAndUseSnapshot again (or for the first time).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00233', 'copy control file is corrupt or unreadable', 'The specified copy control file was found to be corrupt or unreadable during an invocation of cfileUseCopy.', 'Before retrying cfileUseCopy, use the ALTER DATABASE BACKUP CONTROLFILE command and specify the same filename that was specified for cfileUseCopy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00234', 'error in identifying or opening snapshot or copy control file', 'A snapshot or copy control file of the specified name could not be found or opened during an invocation of cfileUseSnapshot, cfileMakeAndUseSnapshot, or cfileUseCopy.', 'Re-create the snapshot or copy control file using cfileMakeAndUseSnapshot or ALTER DATABASE BACKUP CONTROLFILE, respectively.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00235', 'control file read without a lock inconsistent due to concurrent update', 'Concurrent update activity on a control file caused a process to read inconsistent information from the control file without a lock.', 'Retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00236', 'snapshot operation disallowed: mounted control file is a backup', 'Attempting to invoke cfileSetSnapshotName, cfileMakeAndUseSnapshot, or cfileUseSnapshot when the currently mounted control file is a backup control file.', 'Mount a current control file and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00237', 'snapshot operation disallowed: control file newly created', 'An attempt to invoke cfileMakeAndUseSnapshot with a currently mounted control file that was newly created with CREATE CONTROLFILE was made.', 'Mount a current control file and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00238', 'operation would reuse a filename that is part of the database', 'The filename supplied as a parameter to the ALTER DATABASE BACKUP CONTROLFILE command or to cfileSetSnapshotName matches the name of a file that is currently part of the database.', 'Retry the operation with a different filename.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00239', 'timeout waiting for control file enqueue: held by ''string'' for more than string seconds', 'The specified process waited the maximum allowed time for the control file enqueue.', 'Restart the blocking instance indicated in the incident trace file or reboot the blocking node.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00240', 'control file enqueue held for more than string seconds', 'The current process did not release the control file enqueue within the maximum allowed time.', 'Reissue any commands that failed and contact Oracle Support Services with the incident information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00250', 'archiver not started', 'An attempt was made to stop automatic archiving, but the archiver process was not running.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00251', 'LOG_ARCHIVE_DUPLEX_DEST cannot be the same destination as string string', 'The destination specified by the LOG_ARCHIVE_DUPLEX_DEST parameter is the same as the destination specified by an ALTER SYSTEM ARCHIVE LOG START TO command.', 'Specify a different destination for parameter LOG_ARCHIVE_DUPLEX_DEST, or specify a different destination with the ALTER SYSTEM command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00252', 'log string of thread string is empty, cannot archive', 'A log must be used for redo generation before it can be archived. The specified redo log was not been used since it was introduced to the database. However it is possible that instance death during a log switch left the log empty.', 'Empty logs do not need to be archived. Do not attempt to archive the redo log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00253', 'character limit string exceeded by archive destination string string', 'The destination specified by an ALTER SYSTEM ARCHIVE LOG START TO command was too long.', 'Retry the ALTER SYSTEM command using a string shorter than the limit specified in the error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00254', 'error in archive control string ''string''', 'The specified archive log location is invalid in the archive command or the LOG_ARCHIVE_DEST initialization parameter.', 'Check the archive string used to make sure it refers to a valid online device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00255', 'error archiving log string of thread string, sequence # string', 'An error occurred during archiving.', 'Check the accompanying message stack for more detailed information. If the online log is corrupted, then the log can be cleared using the UNARCHIVED option. This will make any existing backups useless for recovery to any time after the log was created, but will allow the database to generate redo.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00256', 'cannot translate archive destination string string', 'The destination specified by an ALTER SYSTEM ARCHIVE LOG START TO command could not be translated.', 'Check the accompanying message stack for more detailed information. Then, retry the ALTER SYSTEM command using a different string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00257', 'archiver error. Connect internal only, until freed.', 'The archiver process received an error while trying to archive a redo log. If the problem is not resolved soon, the database will stop executing transactions. The most likely cause of this message is the destination device is out of space to store the redo log file.', 'Check archiver trace file for a detailed description of the problem. Also verify that the device specified in the initialization parameter ARCHIVE_LOG_DEST is set up properly for archiving.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00258', 'manual archiving in NOARCHIVELOG mode must identify log', 'The database is in NOARCHIVELOG mode and a command to manually archive a log did not specify the log explicitly by sequence number, group number or filename.', 'Specify log by filename, by group number or by thread and sequence number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00259', 'log string of open instance string (thread string) is the current log, cannot archive', 'An attempt was made to archive the current log of an open thread. This is not allowed because the redo log file may still be in use for the generation of redo entries.', 'Force a log switch in the instance where the thread is open. If no instances are open, open the database so that instance recovery can recover the thread.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00260', 'cannot find online log sequence string for thread string', 'The log sequence number supplied to the archival command does not match any of the online logs for the thread. The log might have been reused for another sequence number, it might have been dropped, the sequence number might be greater than the current log sequence number, or the thread might not have any logs.', 'Check the ARCHIVE statement, then specify a valid log sequence number. Specify a valid log sequence number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00261', 'log string of thread string is being archived or modified', 'The log is either being archived by another process or an administrative command is modifying the log. Operations that modify the log include clearing, adding a member, dropping a member, renaming a member, and dropping the log.', 'Wait for the current operation to complete and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00262', 'current log string of closed thread string cannot switch', 'The log cannot be cleared or manually archived because it is the current log of a closed thread, and it is not possible to switch logs so another log is current. All other logs for the thread need to be archived, or cleared, and cannot be reused.', 'Archive another log in the same thread first, or complete the clearing. See attached errors for the reason the switch cannot be completed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00359', 'logfile group string does not exist', 'An add logfile member or drop logfile request specified a logfile group number that does not exist.', 'Check the configuration of the log files and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00360', 'not a logfile member: string', 'A filename was given to drop logfile member that is not a part of the database, or which is a data file.', 'Supply a valid logfile member name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00361', 'cannot remove last log member string for group string', 'An attempt has been made to remove the last member of a log file group.', 'If desired, delete the entire log, by using DROP LOGFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00362', 'member is required to form a valid logfile in group string', 'A request to drop a logfile member was denied because it would remove data required to form a complete logfile.', 'If desired, delete the entire log (after archiving if required), by using DROP LOGFILE;', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00363', 'log is not the archived version', 'd by failing to list the current log of an enabled thread in a CREATE CONTROLFILE command.', 'Find the archived version of the log and supply its name. If this is media recovery immediately following a CREATE CONTROLFILE, be sure the current log for this thread was included.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00364', 'cannot write header to new log member', 'An i/o error occurred when attempting to write the header to a log member that is being added to an existing group.', 'See accompanying errors. Fix problem or use another file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00365', 'the specified log is not the correct next log', 'The specified log failed to pass checks to ensure it corresponds to the log that was just applied. This is probably the result of using a log that was generated against a cold backup image of the database.', 'Find the log that was generated by this copy of the database and give that filename to recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00366', 'log string of thread string, checksum error in the file header', 'The file header for the redo log contains a checksum that does not match the value calculated from the file header as read from disk. This means the file header is corrupted', 'Find and install correct version of log or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00367', 'checksum error in log file header', 'The file header for the redo log contains a checksum that does not match the value calculated from the file header as read from disk. This means the file header is corrupted', 'Find the correct file and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00368', 'checksum error in redo log block', 'The redo block indicated by the accompanying error, is not vaild. It has a checksum that does not match the block contents.', 'Restore correct file or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00369', 'Current log of thread string not useable and other log being cleared', 'Attempt to open thread failed because it is necessary to switch redo generation to another online log, but all the other logs are being cleared or need to be archived before they can be used.', 'If the ALTER DATABASE CLEAR LOGFILE command is still active then wait for it to complete. Otherwise reissue the CLEAR command. If there are other online logs for the thread, that are not being cleared, then archive the logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00370', 'potential deadlock during kcbchange operation', 'Error code used internally by software. Should never be reported', 'Treat as internal error. See error 600.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00371', 'not enough shared pool memory, should be atleast string bytes', 'Init.ora parameter shared_pool_size is too small', 'Increase the parameter value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00372', 'file string cannot be modified at this time', 'attempting to modify the contents of a file that cannot be modified. The file is most likely part of a read only tablespace but may be in the process of going offline, or the database may be in the process of closing.', 'check the status of the file and its tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00373', 'online log version string incompatible with ORACLE version string', 'The online log was written by incompatible version of Oracle. Can occur when the log file was created by either a new or older version of Oracle.', 'Recover the database with the compatible software, shut it down cleanly, then restart with current software.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00374', 'parameter db_block_size = string invalid ; must be a multiple of string in the range [string..string]', 'invalid value for db_block_size parameter', 'adjust parameter and restart', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00376', 'file string cannot be read at this time', 'attempting to read from a file that is not readable. Most likely the file is offline.', 'Check the state of the file. Bring it online', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00377', 'Frequent backups of file string causing write operation to stall', 'Backups are occurring too frequently on this file. Each time a new backup is started for a file, any writes which have been previously issued (but not completed) have to be re-issued. If hot backups are started very, very frequently, it is possible that some writes will be re-issued repeatedly and never complete.', 'Increase the interval between begin hot-backup commands for this file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00378', 'buffer pools cannot be created as specified', 'Either the number of buffers or the number of lru latches is too small to satisfy the specified buffer pool configuration.', 'Either increase the number of buffers and/or number of lru latches or configure smaller buffer pools.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00379', 'no free buffers available in buffer pool string for block size stringK', 'All buffers in the specified buffer pool for the specified block size are in use and no free buffers are available.', 'Increase the number of buffers in the specified pool for the specified block size', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00380', 'cannot specify db_stringk_cache_size since stringK is the standard block size', 'User specified the parameter db_nk_cache_size (where n is one of 2,4,8,16,32), while the standard block size for this database is equal to n Kbytes. This is illegal.', 'Specify the standard block size cache using db_cache_size (DEFAULT pool) (and db_recycle_cache_size, db_keep_cache_size if additional buffer pools are required). Do NOT use the corresponding db_nk_cache_size parameter for the standard block size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00381', 'cannot use both new and old parameters for buffer cache size specification', 'User specified one or more of { db_cache_size , db_recycle_cache_size, db_keep_cache_size, db_nk_cache_size (where n is one of 2,4,8,16,32), db_cache_advice } AND one or more of { db_block_buffers, buffer_pool_keep , buffer_pool_recycle }. This is illegal.', 'Use EITHER the old (pre-Oracle_8.2) parameters OR the new ones. Don''t specify both. If old size parameters are specified in the parameter file, you may want to replace them with new parameters since the new parameters can be modified dynamically and allow you to configure additional caches for additional block sizes. Cache advisory can only be enabled with the new cache parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00283', 'recovery session canceled due to errors', 'An error during recovery was determined to be fatal enough to end the current recovery session.', 'More specific messages will accompany this message. Refer to the other messages for the appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00284', 'recovery session still in progress', 'An error during recovery was determined to be minor enough to allow the current recovery session to continue.', 'More specific messages will accompany this message. Refer to the other messages for the appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00285', 'TIME not given as a string constant', 'UNTIL TIME was not followed by a string constant for the time.', 'Enter the time enclosed in single quotation marks.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00286', 'no members available, or no member contains valid data', 'None of the members of a redo log file group are available, or the available members do not contain complete data.', 'If a member is temporarily offline, attempt to make it available. Make sure that the correct filenames are being used, especially if the redo log file is being accessed from a remote location.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00287', 'specified change number string not found in thread string', 'The given change number does not appear in any of the online redo logs for the given thread.', 'Check the statement to make certain a valid change number is given. Perhaps try to use the NEXT option for archiving logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00288', 'to continue recovery type ALTER DATABASE RECOVER CONTINUE', 'During media recovery, a new log is not required but the continuation command is necessary to do a checkpoint and report errors.', 'Type ALTER DATABASE RECOVER CONTINUE and recovery will resume.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00289', 'suggestion : string', 'This message reports the next redo log filename that is needed, according to the initialization parameters LOG_ARCHIVE_DEST and LOG_ARCHIVE_FORMAT. This message assumes that LOG_ARCHIVE_DEST and LOG_ARCHIVE_FORMAT are the same now as when the required redo log file was archived.', 'Consider using this filename for the next log needed for recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00290', 'operating system archival error occurred. See error below', 'While attempting to archive to a redo log file, the server encountered an unexpected operating system error.', 'Correct the operating system error given in the messages and retry the operation. See also your operating system-specific Oracle documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00291', 'numeric value required for PARALLEL option', 'A recovery command was specified incorrectly. The PARALLEL option must be followed by a numeric argument that specifies the degree of parallelism.', 'Re-enter the command with a numeric argument specifying the degree of parallelism desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00292', 'parallel recovery feature not installed', 'A parallel recovery was requested when the parallel recovery option is not installed.', 'Delete the PARALLEL clause from the RECOVER command. Also, delete the RECOVERY_PARALLELISM parameter in the initialization file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00293', 'control file out of sync with redo log', 'The redo log file and control file are out of sync because a non-current controle file was specified when the instance was started.', 'Retry the RECOVER command using the current control file, or retry the RECOVER command using the USING BACKUP CONTROLFILE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00294', 'invalid archivelog format specifier ''string''', 'An invalid format specifier was found in the LOG_ARCHIVE_FORMAT initialization parameter. The only characters permitted following the % symbol are s, S, t, and T.', 'Correct the initialization file and re-start the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00295', 'datafile/tempfile number string is invalid, must be between 1 and string', 'An invalid file number was specified.', 'Specify a valid datafile or tempfile number and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00296', 'maximum number of files (string) exceeded for RECOVER DATAFILE LIST', 'The RECOVER DATAFILE LIST command specified more datafiles than are allowed by the DB_FILES initialization parameter. This error occurs when doing recovery with Recovery Manager, and the instance has been started with a DB_FILES parameter specifying fewer datafiles than recovery manager needs to recover to satisfy the user''s RECOVER command.', 'Re-start the instance with a higher value for DB_FILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00297', 'must specify RECOVER DATAFILE LIST before RECOVER DATAFILE START', 'The RECOVER DATAFILE START command was issued, but no RECOVER DATAFILE LIST commands had been issued. This only happens when doing recovery with Recovery Manager, and is an internal error in Recovery Manager, because Recovery Manager should always issue RECOVER DATAFILE LIST before RECOVER DATAFILE START.', 'Contact customer support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00298', 'Missing or invalid attribute value', 'A non-zero integer value is required when the following keyword attributes are specified: TIMEOUT, EXPIRE, DELAY, NEXT', 'Correct the syntax and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00299', 'must use file-level media recovery on data file string', 'The control file does not contain an entry for this file, so block media recovery cannot be done.', 'Restore the data file and perform file-level media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00300', 'illegal redo log block size string specified - exceeds limit of string', 'The specified block size of the redo log is greater than the maximum block size for the operating system.', 'Create the redo log on a device with a smaller block size', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00301', 'error in adding log file ''string'' - file cannot be created', 'The creation of the redo log file failed', 'Check: 1) there is enough storage space on the device 2) the name of the file is valid 3) the device is online 4) an IO error occurred Also, it is possible REUSE was specified on the command line and a file of the incorrect size exists. Either do not specify REUSE or use a file of the correct size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00382', 'string not a valid block size, valid range [string..string]', 'User specified a value for db_nk_cache_size where n is one of {2, 4, 8, 16, 32}, but nk is not a valid block size for this platform.', 'Remove corresponding parameter from the "init.ora" file and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00439', 'feature not enabled: string', 'The specified feature is not enabled.', 'Do not attempt to use this feature.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00443', 'background process "string" did not start', 'The specified process did not start.', 'Ensure that the executable image is in the correct place with the correct protections, and that there is enough memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00444', 'background process "string" failed while starting', 'Usually due to a bad (or non-existent) background process image.', 'Get a good background process image.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00445', 'background process "string" did not start after string seconds', 'The specified process did not start after the specified time.', 'Ensure that the background did not die and leave a trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00446', 'background process started when not expected', 'The background process specified started up AFTER the RDBMS was already running.', 'If nobody at your site started the process, then this is an internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00447', 'fatal error in background process', 'One of the background processes died unexpectedly.', 'Warm start the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00448', 'normal completion of background process', 'One of the background processes completed normally (i.e. exited). The background process thinks that somebody asked it to exit.', 'Warm start the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00438', 'string Option not installed', 'The specified option is not installed.', 'Purchase and install the option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00449', 'background process ''string'' unexpectedly terminated with error string', 'A foreground process needing service from a background process has discovered the process died.', 'Consult the error code, and the trace file for the process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00483', 'During shutdown a process abnormally terminated', 'One of the background processes did not exit normally at or near the time of shutdown.', 'Use shutdown abort.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00484', 'LMS* process terminated with error', 'A global cache service process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00485', 'DIAG process terminated with error string', 'A global diagnostic process died', 'Wait for process to restart', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00486', 'ASMB process terminated with error', 'An ASM background process died.', 'Warm start instance. Also check that ASM Instance is running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00487', 'CTWR process terminated with error', 'The change tracking process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00488', 'RBAL process terminated with error', 'The ASM rebalance coordinator process died.', 'Warm start instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00489', 'ARB* process terminated with error', 'An ASM rebalance worker process died.', 'Wait for process to restart.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00490', 'PSP process terminated with error', 'The process spawner died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00491', 'RMS0 process terminated with error', 'The RAC Management Process died', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00492', 'GTX* process terminated with error', 'A global transaction background process died.', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00493', 'GMON process terminated with error', 'The ASM disk group monitor process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00494', 'enqueuestring held for too longstring by ''string''', 'The specified process did not release the enqueue within the maximum allowed time.', 'Reissue any commands that failed and contact Oracle Support Services with the incident information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00566', 'cannot request processor group - NUMA not enabled', 'Cannot start process in a requested processor group when the NUMA feature is disabled.', 'Start the process without requesting a NUMA processor group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00567', 'Requested processor group string is too large (maximum string)', 'The process could not be started in the requested processor group.', 'Start the process in another processor group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00568', 'Maximum number of interrupt handlers exceeded', 'User specified too many ^c handlers', 'Remove some old handlers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00569', 'Failed to acquire global enqueue.', 'A prior error occurred on one of the instances in the cluster. Typically errors are caused by shared pool resource contention.', 'Check for and resolve prior errors on all instances in the cluster. If there is shared pool resource contention, increase the SHARED_POOL_SIZE, DML_LOCKS, PROCESSES, TRANSACTIONS, CLUSTER_DATABASE_INSTANCES and PARALLEL_MAX_SERVERS initialization parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00600', 'internal error code, arguments: [string], [string], [string], [string], [string], [string], [string], [string], [string], [string], [string], [string]', 'This is the generic internal error number for Oracle program exceptions. This indicated that a process encountered an exceptional condition.', 'Report as a bug - the first argument is the internal error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00601', 'cleanup lock conflict', 'PMON process runs into lock conflict trying to recovery processes', 'This is trapped internally, no action necessary', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00602', 'internal programming exception', 'Internal programming exception', 'Report as bug', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00603', 'ORACLE server session terminated by fatal error', 'An ORACLE server session was in an unrecoverable state.', 'Login to ORACLE again so a new server session will be created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00604', 'error occurred at recursive SQL level string', 'An error occurred while processing a recursive SQL statement (a statement applying to internal dictionary tables).', 'If the situation described in the next error on the stack can be corrected, do so; otherwise contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00606', 'Internal error code', 'A call to deferred upi functions was made in non deferred mode', 'Report as a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00607', 'Internal error occurred while making a change to a data block', 'An internal error or memory exception occurred while Oracle was applying redo to a data block.', 'call Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00608', 'testing error [string] [string] [string] [string] [string]', 'Internal error reserved for testing.', 'call Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00609', 'could not attach to incoming connection', 'Oracle process could not answer incoming connection', 'If the situation described in the next error on the stack can be corrected, do so; otherwise contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00610', 'Internal error code', 'Oracle process started too late', 'This error should never be seen by the customer. Contact Oraclce Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00700', 'soft internal error, arguments: [string], [string], [string], [string], [string], [string], [string], [string]', 'Internal inconsitency that will not crash a process', 'Report as a bug - the first argument is the internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00701', 'object necessary for warmstarting database cannot be altered', 'Attempt to alter or drop a database object (table, cluster, or index) which are needed for warmstarting the database.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00702', 'bootstrap verison ''string'' inconsistent with version ''string''', 'The reading version of the boostrap is incompatible with the current bootstrap version.', 'Restore a version of the software that is compatible with this bootstrap version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00703', 'maximum number of row cache instance locks exceeded', 'There are not enough row cache enqueues.', 'Increase the row cache enqueue parameter and warm start the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00704', 'bootstrap process failure', 'Failure in processing bootstrap data - see accompanying error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00705', 'inconsistent state during start up; shut down the instance, then restart it', 'A previous attempt to start an instance was terminated.', 'Shut down the instance completely, then restart it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00706', 'error changing format of file ''string''', 'An attempt to change the block0 format of the specified file failed because the file is read-only or offline.', 'Make the file read-write or bring the file online and set the BLK0_FMTCHG event.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00710', 'new tablespace name is the same as the old tablespace name', 'An attempt to rename a tablespace failed because the new name is the same as the old name.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00711', 'new tablespace name is invalid', 'An attempt to rename a tablespace failed because the new name is invalid.', 'Choose a valid new name and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00712', 'cannot rename system tablespace', 'An attempt to rename the system tablespace failed.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00720', 'ALTER DATABASE RESET COMPATIBILITY command has been de-supported', 'ALTER DATABASE RESET COMPATIBILITY command has been de-supported since Oracle 10i.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00721', 'changes by release string cannot be used by release string', 'An attempt to import a tablespace failed because the tablespace contains changes that require a newer software release or that violate the compatibility parameters.', 'Use a version of the software that can understand the changes or relax the compatibility requirements in the initialization parameter file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00263', 'there are no logs that need archiving for thread string', 'An attempt was made to manually archive the unarchived logs in this thread but no logs needed archiving.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00264', 'no recovery required', 'An attempt was made to perform media recovery on files that do not // need any type of recovery.', 'Do not attempt to perform media recovery on the selected files. Check to see that the filenames were entered properly. If not, retry the command with the proper filenames.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00265', 'instance recovery required, cannot set ARCHIVELOG mode', 'The database either crashed or was shutdown with the ABORT option. Media recovery cannot be enabled because the online logs may not be sufficient to recover the current datafiles.', 'Open the database and then enter the SHUTDOWN command with the NORMAL or IMMEDIATE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00266', 'name of archived log file needed', 'During media recovery, the name of an archived redo log file was requested, but no name was entered.', 'Mount the correct redo log file and enter its name when it is requested.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00267', 'name of archived log file not needed', 'During media recovery, the name of an archived redo log file was entered, but no name was requested.', 'Continue media recovery, but do not enter a new log name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00268', 'specified log file does not exist ''string''', 'The given redo log file does not exist.', 'Check the spelling and capitalization of the filename and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00269', 'specified log file is part of thread string not string', 'The given redo log file is not part of the given thread', 'Check that the thread of the redo log file matches the thread on the command line. If not, use a redo log file from the appropriate thread. Retry the command after correcting the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00270', 'error creating archive log string', 'An error was encountered when either creating or opening the destination file for archiving.', 'Check that the archive destination is valid and that there is sufficient space on the destination device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00271', 'there are no logs that need archiving', 'An attempt was made to archive the unarchived redo log files manually, but there are no files that need to be archived.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00272', 'error writing archive log string', 'An I/O error occurred while archiving a redo log file.', 'Check that the output device is still available and correct any device errors that may have occurred. Also, make certain that sufficient space for archiving is available on the output device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00273', 'media recovery of direct load data that was not logged', 'A media recovery session encountered a table that was loaded by the direct loader without logging any redo information. Some or all of the blocks in this table are now marked as corrupt.', 'The table must be dropped or truncated so that the corrupted blocks can be reused. If a more recent backup of the file is available, try to recover this file to eliminate this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00274', 'illegal recovery option string', 'An illegal option was specified for a recovery command.', 'Correct the syntax and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00275', 'media recovery has already been started', 'An attempt was made to start a second media recovery operation in the same session.', 'Complete or cancel the first media recovery session or start another session to perform media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00276', 'CHANGE keyword specified but no change number given', 'The CHANGE keyword was specified on the command line, but no change number was given.', 'Retry the command using a valid change number after the CHANGE keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00277', 'illegal option to the UNTIL recovery flag string', 'Only CANCEL, CHANGE, CONSISTENT and TIME can be used with the UNTIL keyword.', 'Correct the syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00278', 'log file ''string'' no longer needed for this recovery', 'The specified redo log file is no longer needed for the current recovery.', 'No action required. The archived redo log file may be removed from its current location to conserve disk space, if needed. However, the redo log file may still be required for another recovery session in the future.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00279', 'change string generated at string needed for thread string', 'The requested log is required to proceed with recovery.', 'Please supply the requested log with "ALTER DATABASE RECOVER LOGFILE <file_name>" or cancel recovery with "ALTER DATABASE RECOVER CANCEL".', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00280', 'change string for thread string is in sequence #string', 'This message helps to locate the redo log file with the specified change number requested by other messages.', 'Use the information provided in this message to specify the required archived redo log files for other errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00281', 'media recovery may not be performed using dispatcher', 'An attempt was made to use a dispatcher process for media recovery. Memory requirements disallow this recovery method.', 'Connect to the instance via a dedicated server process to perform media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00282', 'UPI string call not supported, use ALTER DATABASE RECOVER', 'The given UPI call is no longer supported.', 'Use the ALTER DATABASE RECOVER command for all recovery actions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00302', 'limit of string logs exceeded', 'The maximum number of redo log files has been exceeded.', 'Use the CREATE CONTROLFILE command with a larger value for MAXLOGFILES if the compatibility is lower than 10.2.0. Otherwise, allocate more storage space for the control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00303', 'cannot process Parallel Redo', 'A redo log containing Parallel Redo has been detected. The current Oracle release cannot process this format of redo.', 'Use a later release that supports Parallel Redo. to process this log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00304', 'requested INSTANCE_NUMBER is busy', 'An instance tried to start by using a value of the initialization parameter INSTANCE_NUMBER that is already in use.', 'Either a) specify another INSTANCE_NUMBER, b) shut down the running instance with this number c) wait for instance recovery to complete on the instance with this number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00305', 'log string of thread string inconsistent; belongs to another database', 'The database ID in the redo log file does not match the database ID in the control file. This redo log file is not from the current database.', 'Specify the correct redo log file, then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00306', 'limit of string instances in this database', 'Starting this instance would exceed the maximum number of instances allowed for this database. This message occurs only with STARTUP shared and multiple instances.', 'You cannot start more than the lower of a) port-specific limit as to the number of instances b) the number of instances specified at create-database time', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00307', 'requested INSTANCE_NUMBER out of range, maximum is string', 'The initialization parameter INSTANCE_NUMBER specified a number that was out of range.', 'Change INSTANCE_NUMBER to a valid range and restart the instance. The minimum value is one and the maximum value is the lower of the operating system-specific maximum or the MAXINSTANCES option specified in the CREATE DATABASE statement. See also your operating system-specific Oracle documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00308', 'cannot open archived log ''string''', 'The system cannot access a required archived redo log file.', 'Check that the off line log exists, the storage device is online, and the archived file is in the correct location. Then attempt to continue recovery or restart the recovery session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00309', 'log belongs to wrong database', 'The system cannot access the archived redo log because it belongs to another database.', 'Specify the correct redo log file, then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00310', 'archived log contains sequence string; sequence string required', 'The archived log is out of sequence, probably because it is corrupted or the wrong redo log filename was specified', 'Specify the correct redo log file; then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00311', 'cannot read header from archived log', 'An I/O error occurred when attempting to read the log file header from the specified archived redo log file.', 'Other messages will accompany this message. See the associated messages for the appropriate action to take.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00312', 'online log string thread string: ''string''', 'This message reports the filename for details of another message.', 'Other messages will accompany this message. See the associated messages for the appropriate action to take.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00313', 'open failed for members of log group string of thread string', 'The online log cannot be opened. May not be able to find file.', 'See accompanying errors and make log available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00314', 'log string of thread string, expected sequence# string doesn''t match string', 'The online log is corrupted or is an old version.', 'Find and install correct version of log or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00315', 'log string of thread string, wrong thread # string in header', 'The online log is corrupted or is an old version.', 'Find and install correct version of log or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00316', 'log string of thread string, type string in header is not log file', 'The online log is corrupted or is an old version.', 'Find and install correct version of log or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00317', 'file type string in header is not log file', 'This is not an archived log file.', 'Find the correct file and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00318', 'log string of thread string, expected file size string doesn''t match string', 'On header read the file size indicated in the control file did not match the file size contained in the log file.', 'Restore correct file or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00319', 'log string of thread string has incorrect log reset status', 'Check of log file header at database open found that an online log has log reset data that is different from the control file. The log is probably an incorrectly restored backup.', 'Restore correct file or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00320', 'cannot read file header from log string of thread string', 'The file is not available.', 'Restore the log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00321', 'log string of thread string, cannot update log file header', 'Cannot write to the log file.', 'Restore the access to the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00322', 'log string of thread string is not current copy', 'Check of log file header at database open found that an online log appears to be an incorrectly restored backup.', 'Restore correct file or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00323', 'Current log of thread string not useable and all others need archiving', 'Attempt to open thread failed because it is necessary to switch redo generation to another online log, but all the other logs need to be archived before they can be used.', 'Archive the logs for the thread then retry open.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00324', 'log file ''string'' translated name ''string'' too long, string characters exceeds string limit', 'the translated name for a log file is too long.', 'Choose a untranslated name that yields a shorter translated name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00325', 'archived log for thread string, wrong thread # string in header', 'The archived log is corrupted or for another thread. Can not use the log for applying redo.', 'Find correct archived log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00326', 'log begins at change string, need earlier change string', 'The archived log supplied for recovery was generated after the log that is needed. Can not yet use the log for applying redo.', 'Find correct archived log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00327', 'log string of thread string, physical size string less than needed string', 'A log file has shrunk in size. This is likely to have been caused by operator or operating system error.', 'Restore the log file from backup. If backup is not available, drop this log and re-create. If the database was shut down cleanly, no further action should be required; otherwise incomplete recovery may be required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00328', 'archived log ends at change string, need later change string', 'The archived log supplied for recovery was generated before the log that is needed. Can not use the log for applying redo.', 'Find correct archived log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00329', 'archived log begins at change string, need change string', 'The archived log is not the correct log. An earlier log is needed.', 'Restore the correct log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00383', 'DEFAULT cache for blocksize string cannot be reduced to zero', 'User attempted to reduce db_cache_size to zero, or attempted to to reduce db_<n>K_cache_size to zero while there were still online tablespaces with blocksize <n>K. Note that since the SYSTEM tablespace cannot be taken offline, it is always illegal to set db_cache_size to zero.', 'Offline any tablespaces with the corresponding blocksize and then perform the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00384', 'Insufficient memory to grow cache', 'The system could not allocate sufficient memory to grow the cache to the specified size.', 'Attempt a smaller increase in the value of the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00385', 'cannot enable Very Large Memory with new buffer cache parameters', 'User specified one or more of { db_cache_size , db_recycle_cache_size, db_keep_cache_size, db_nk_cache_size (where n is one of 2,4,8,16,32) } AND use_indirect_data_buffers is set to TRUE. This is illegal.', 'Very Large Memory can only be enabled with the old (pre-Oracle_8.2) parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00386', 'use_indirect_data_buffers not supported', 'The system could not allocate sufficient memory to grow the cache to the specified size.', 'Attempt a smaller increase in the value of the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00390', 'log string of thread string is being cleared, cannot become current log', 'An attempt to switch to a new online log for the redo thread failed because no reusable log could be found. This log is being cleared and will be useable when the clearing completes. The command that began the clearing may have terminated without completing the clearing.', 'If the clear command is still executing then wait for its completion. If it terminated then reissue the clear command, or drop the log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00391', 'All threads must switch to new log format at the same time', 'An attempt to switch the current log of a single thread is not allowed because the compatiblity requirements force a new log format version number. When changing log formats, all threads must switch to the new format at the same time.', 'Open the database to cause the coordinated log switch. If that is not possible then return to the same software version and compatibility setting last used to open the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00392', 'log string of thread string is being cleared, operation not allowed', 'An operation encountered this online log in the middle of being cleared. The command that began the clearing may have terminated without completing the clearing.', 'If the clear command is still executing then wait for its completion. If it terminated then reissue the clear command, or drop the log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00393', 'log string of thread string is needed for recovery of offline datafiles', 'Log cannot be cleared because the redo in it is needed to recover offline datafiles. It has not been archived so there is no other copy available. If the log is cleared the tablespaces containing the files will have to be dropped.', 'Archive the log then repeat the clear command. If archiving is not possible, and dropping the tablespaces is acceptible, then add the clause UNRECOVERABLE DATAFILE at the end of the clear command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00394', 'online log reused while attempting to archive it', 'It has been detected that an online log that is being archived has been reused', 'Cannot archive the logfile anymore since it has been overwritten', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00395', 'online logs for the clone database must be renamed', 'A clone database open forces logfile renaming to avoid overwriting the primary logfiles', 'Rename the logfiles manually or using the log_file_name_convert initialization parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00396', 'error string required fallback to single-pass recovery', 'The indicated error caused two-pass instance or crash recovery to fail. Recovery was retried with an alternate (slower) method to avoid the error.', 'Correct the cause of the indicated error (also recorded) so that future instance or crash recovery can succeed with the two-pass algorithm. This usually requires making more main memory available to the recovery process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00397', 'instance recovery process terminated with error', 'The foreground process doing instance recovery died.', 'Check the foreground trace file for the cause of recovery failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00398', 'abort thread recovery due to reconfiguration', 'Global enqueue service reconfiguration occurred during instance/crash recovery.', 'This is used internally, no action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00399', 'corrupt change description in redo log', 'A change vector in the redo log failed validation checks.', 'Do recovery with a good version of the log or do time based recovery up to the indicated time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00400', 'invalid release value string for parameter string', 'The release level given for the specified init parameter is invalid.', 'Correct the parameter value in the parameter file and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00401', 'the value for parameter string is not supported by this release', 'The value specified cannot be supported by this release of the software.', 'Choose an appropriate value, or remove the parameter value to use the default value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00402', 'database changes by release string cannot be used by release string', 'Changes have been made to the database that require a newer software release or that violate the compatibility parameters.', 'Use a version of the software that can understand the changes or relax the compatibility requirements in the init file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00403', 'string (string) is not the same as other instances (string)', 'Another instance has set the compatible or compatible no recovery parameters differently than this instance.', 'Change the parameters of the current instance to match other instances already running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00404', 'Convert file not found: ''string''', 'The file used for converting the database from V7 to V8 could not be found.', 'Verify that the migration process has been started on this database and that the convert filename is accessable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00405', 'compatibility type "string"', 'Reporting a type associated with another error.', 'See accompanying error', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00406', 'COMPATIBLE parameter needs to be string or greater', 'The COMPATIBLE initialization parameter is not high enough to allow the operation. Allowing the command would make the database incompatible with the release specified by the current COMPATIBLE parameter.', 'Shutdown and startup with a higher compatibility setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00407', 'rolling upgrade from release string.string to string.string is not allowed', 'Another instance executing software at a different point release already has the database mounted.', 'Shutdown all instances then startup with the new software.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00408', 'parameter string is set to TRUE', 'Reporting the parameter that resulted in the compatibility error.', 'Shutdown and startup with a higher compatibility setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00409', 'COMPATIBLE needs to be string or higher to use AUTO SEGMENT SPACE MANAGEMENT', 'This is due to migrating from an older release of Oracle with tablespaces created using AUTO SEGMENT SPACE MANAGEMENT. To open the database, the COMPATIBLE parameter needs to be set to the specified value.', 'Shutdown and startup with the specified compatibility setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00437', 'ORACLE feature is not licensed. Contact Oracle Corp. for assistance', 'ORACLE feature is not licensed.', 'Contact ORACLE for assistance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00450', 'background process ''string'' did not start', 'The specified process did not start.', 'Consult the error code, and the trace file for the process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00451', 'foreground process died unexpectedly', 'The foreground process for the new connection did not start.', 'Reconnect to Oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00452', 'foreground process unexpectedly terminated with error string', 'The foreground process for the new connection did not start.', 'Reconnect to Oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00453', 'backgroud process ''string'' is dead', 'The background process that was being messaged was dead or its incarnation was invalid.', 'Restart the background process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00469', 'CKPT process terminated with error', 'The checkpoint process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00470', 'LGWR process terminated with error', 'The log writer process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00471', 'DBWR process terminated with error', 'The database writer process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00472', 'PMON process terminated with error', 'The process cleanup process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00473', 'ARCH process terminated with error', 'The archive process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00474', 'SMON process terminated with error', 'The system cleanup process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00475', 'TRWR process terminated with error', 'The system tracing process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00476', 'RECO process terminated with error', 'The distributed transaction (two-phase commit) recovery process died.', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00477', 'SNP* process terminated with error', 'A materialized view refresh process died', 'PMON will restart SNP process shortly. If SNP process does not get started, contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00478', 'SMON process terminated due to error string', 'SMON was unable to service the requests due to error in cleanup of resources', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00479', 'RVWR process terminated with error string', 'The RVWR process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00480', 'LCK* process terminated with error', 'A system lock process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00481', 'LMON process terminated with error', 'The global enqueue service monitor process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00482', 'LMD* process terminated with error', 'A global enqueue service daemon process died', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00330', 'archived log ends at change string, need change string', 'The archived log is not the correct log. A later log is needed.', 'Restore the correct log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00331', 'log version string incompatible with ORACLE version string', 'The log was written by incompatible version of Oracle.', 'Recover the database with the compatible software, shut it down cleanly, then restart with current software.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00332', 'archived log is too small - may be incompletely archived', 'The log is smaller than the space allocated in it. May be the result of a shutdown abort while it was being written by the archiver.', 'Get a complete version of this log and use it for recovery. There should either be an online version of it or a copy that was successfully archived.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00333', 'redo log read error block string count string', 'An IO error occurred while reading the log described in the accompanying error.', 'Restore accessibility to file, or get another copy of the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00334', 'archived log: ''string''', 'Reporting filename for details of another error', 'See associated error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00335', 'online log string: No log with this number, log does not exist', 'Reporting filename for details of another error', 'See associated error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00336', 'log file size string blocks is less than minimum string blocks', 'The log file size as specified in create database is too small.', 'Increase the log file size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00337', 'log file ''string'' does not exist and no size specified', 'An attempt to add a log found neither an existing file nor a size for creating the file.', 'Specify a size for the log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00338', 'log string of thread string is more recent than control file', 'The control file change sequence number in the log file is greater than the number in the control file. This implies that the wrong control file is being used. Note that repeatedly causing this error can make it stop happening without correcting the real problem. Every attempt to open the database will advance the control file change sequence number until it is great enough.', 'Use the current control file or do backup control file recovery to make the control file current. Be sure to follow all restrictions on doing a backup control file recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00339', 'archived log does not contain any redo', 'The archived log is not the correct log. It is a copy of a log file that has never been used for redo generation, or was an online log being prepared to be the current log.', 'Restore the correct log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00340', 'IO error processing online log string of thread string', 'An IO error occurred on the named online log.', 'Restore accessibility to file, or restore file from backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00341', 'log string of thread string, wrong log # string in header', 'The internal information in an online log file does not match the control file.', 'Restore correct file or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00342', 'archived log does not have expected resetlogs SCN string', 'Recovery was given a log that does not belong to current incarnation or one of the parent incarnation. There should be another log that contains the correct redo.', 'Supply the correct log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00344', 'unable to re-create online log ''string''', 'An I/O failure occurred when attempting to re-create an online as part of either ALTER DATABASE OPEN RESETLOGS or ALTER DATABASE CLEAR LOGFILE command.', 'Correct the file/device as indicated by accompanying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00345', 'redo log write error block string count string', 'An IO error has occurred while writing the log', 'Correct the cause of the error, and then restart the system. If the log is lost, apply media/incomplete recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00346', 'log member marked as STALE and closed', 'A log file member was no longer complete.', 'Correct the underlying problem by referring to the other error messages found with this one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00347', 'log string of thread string, expected block size string doesn''t match string', 'On header read the blocksize indicated in the control file did not match the blocksize contained in the log file.', 'Restore correct file or reset logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00348', 'single-process redo failure. Must abort instance', 'A failure occurred during a critical portion of the log code during single process operation. This error does not occur during normal multi-process operation.', 'Shutdown abort and warmstart the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00349', 'failure obtaining block size for ''string''', 'The operating system was unable to determine the blocksize for the given filename.', 'Consult the accompanying error message, and correct the device or specify another filename.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00350', 'log string of instance string (thread string) needs to be archived', 'The command cannot be done because the log has not been archived, and media recovery has been enabled.', 'Archive the log or disable media recovery. If the command supports an UNARCHIVED option then it can be used. However this may result in making backups unuseable, and forcing the drop of some offline files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00351', 'recover-to time invalid', 'The time specified in a recover-until statement must be after January 1st 1988.', 'Specify a time after January 1st 1988.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00352', 'all logs for thread string need to be archived - cannot enable', 'Attempting to enable a thread with all logs needing to be archived, and media recovery has been enabled. There is no log that can be made the new current log for the thread.', 'Archive a log for the thread or disable media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00353', 'log corruption near block string change string time string', 'Some type of redo log corruption has been discovered. This error describes the location of the corruption. Accompanying errors describe the type of corruption.', 'Do recovery with a good version of the log or do incomplete recovery up to the indicated change or time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00354', 'corrupt redo log block header', 'The block header on the redo block indicated by the accompanying error, is not reasonable.', 'Do recovery with a good version of the log or do time based recovery up to the indicated time. If this happens when archiving, archiving of the problem log can be skipped by clearing the log with the UNARCHIVED option. This must be followed by a backup of every datafile to insure recoverability of the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00355', 'change numbers out of order', 'A change number found in the redo log is lower than a previously encountered change number. The log is corrupted in some way. The corruption may be at the earlier change or at this one.', 'Do recovery with a good version of the log or do time based recovery up to the indicated time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00356', 'inconsistent lengths in change description', 'A change record in the redo log contains lengths that do not add up to a consistent value. The log is corrupted in some way.', 'Do recovery with a good version of the log or do time based recovery up to the indicated time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00357', 'too many members specified for log file, the maximum is string', 'An add logfile or add logfile member command would result in a log with too many members. The number of members is set when the database is created.', 'Use fewer log file members.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00358', 'Too many file members specified, the maximum is string', 'A create or alter statement specified too many members in a parenthesised file list.', 'Specify a number of file members that is within the port-defined limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01166', 'file number string is larger than string (string)', 'File mentioned in CREATE CONTROLFILE has a file number which is larger than that specified for MAXDATAFILES or MAXLOGFILES.', 'Increase the maximum specified on the command line.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01167', 'two files are the same file/group number or the same file', 'There is an overlap of file numbers in the files specified on the command line or the same file is specified twice. If they are not the exact same file then one is likely to be a backup of the other. If they are two members of the same log they must be specified together in a group file spec. This message will also appear if the same control file appears more than once in the control_files parameter in the init.ora file. If this happens, check for additional error messages.', 'Confirm that the file mentioned is not a repeat of a file already mentioned in the command. If they are different files then omit the earlier backup. If they are members of the same log, insure they are in the same group file specification. If this message appears because of a duplicate control file, check the control_files parameter in the init.ora file and see if a file is specified more than once. If all files names appear to be unique, check to make sure that the actual control files themselves are unique. For example, in UNIX check for a symbolic or a hard link to another control file in the list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01168', 'physical block size string does not match size string of other members', 'The file is located on a device with a different physical block size than the other members in the group', 'Use a physical device with matching block size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01169', 'DATAFILE number 1 not found. Must be present', 'Datafile number 1 was not specified in a CREATE CONTROLFILE command.', 'Locate datafile number 1 and resubmit the CREATE CONTROLFILE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01170', 'file not found ''string''', 'ALL datafiles and, if NORESETLOGS, ALL logfiles MUST be accessible by the process for CREATE CONTROLFILE.', 'The file specified probably contains a typing error. Double check command and the existance of all files and then resubmit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01171', 'datafile string going offline due to error advancing checkpoint', 'The checkpoint in the file header could not be advanced. See accompanying errors for the reason. The datafile will be taken offline the same as for a write error of a data block.', 'See accompanying errors for details. Restore access to the file, do media recovery, and bring it back online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01172', 'recovery of thread string stuck at block string of file string', 'Crash recovery or instance recovery could not apply a change to a block because it was not the next change. This can happen if the block was corrupted and then repaired during recovery.', 'Do a RECOVER DATAFILE for the file containing the block. If this does not resolve the problem then restore the file from a backup and recover it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01173', 'data dictionary indicates missing data file from system tablespace', 'Either the database has been recovered to a point in time in the future of the control file or a datafile from the system tablespace was omitted from the create control file command previously issued.', 'For the former problem you need to recover the database from a more recent control file. For the latter problem, simply recreate the control file checking to be sure that you include all the datafiles in the system tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01174', 'DB_FILES is string buts needs to be string to be compatible', 'The maximum number of database files supported by this instance is not the same as for the other instances. All instances must be able to open all the files any instance can open.', 'Change the value of the DB_FILES parameter to be compatible', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01175', 'data dictionary has more than the string files allowed by the instance', 'The data dictionary is found to have more files than that which can be supported by this instance.', 'Shutdown the instance and restart with a larger number of db_files', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01176', 'data dictionary has more than the string files allowed by the controlfie', 'After a CREATE CONTROLFILE, the data dictionary was found to have more datafiles than that supported by the control file.', 'Recreate the control file with a larger MAXDATAFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01177', 'data file does not match dictionary - probably old incarnation', 'When comparing the control file with the data dictionary after a CREATE CONTROLFILE or OPEN RESETLOGS, it was noted that this datafile was inconsistent with the dictionary. Most likely the file is a backup of a file that was dropped from the database, and the same file number was reused for a new file. It may also be that an incomplete recovery stopped at a time when this file number was used for another datafile.', 'Do a CREATE CONTROLFILE with the correct file or none at all.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01178', 'file string created before last CREATE CONTROLFILE, cannot recreate', 'Attempted to use ALTER DATABASE CREATE DATAFILE to recreate a datafile that existed at the last CREATE CONTROLFILE command. The information needed to recreate the file was lost with the control file that existed when the file was added to the database.', 'Find a backup of the file, and recover it. Do incomplete recovery to time before file was originally created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01179', 'file string does not exist', 'During datafile recovery, a file was listed which was not part for the database.', 'Recheck the datafile name. Remember to use double quotes at the SQLDBA command line and remember that the file name is translated in the environment of the SQLDBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01180', 'can not create datafile 1', 'Attempting to create datafile 1 using ALTER DATABASE CREATE DATAFILE.', 'Recover file from a backup or recreate database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01181', 'file string created before last known RESETLOGS, cannot recreate', 'Attempted to use ALTER DATABASE CREATE DATAFILE to recreate a datafile that existed before the last known RESETLOGS.', 'Find a backup of the file, and recover it. Do incomplete recovery to time before file was originally created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01182', 'cannot create database file string - file is in use or recovery', 'Attempted to use ALTER DATABASE CREATE DATAFILE to recreate a datafile that is online in an open instance or is being recovered.', 'Close database in all instances and end all recovery sessions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01183', 'cannot mount database in SHARED mode', 'Some other instance has the database mounted exclusive.', 'Shutdown other instance then mount shared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01184', 'logfile group string already exists', 'An ALTER DATABASE ADD LOGFILE command specified a log number for the new log which is already in use.', 'Specify a different logfile number, or let the database choose an unused value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01185', 'logfile group number string is invalid', 'An ALTER DATABASE ADD LOGFILE command specified a log number for the new log which is too large.', 'Specify a correct logfile number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01186', 'file string failed verification tests', 'The data file did not pass the checks to insure it is part of the database. See the accompanying error messages for the reason the verification failed.', 'Make the correct file available to the database. Then, either open the database, or execute ALTER SYSTEM CHECK DATAFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00722', 'Feature "string"', 'Reporting name of the feature for details of another error.', 'See associated error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00723', 'Initialization parameter COMPATIBLE must be explicitly set', 'Oracle detected that the initialization parameter COMPATIBLE was not explicitly specified, and the compatibility of the database is lower than the default value of the COMPATIBLE parameter. In order to use the new compatible setting, the intialization parameter must be explicitly set by the user.', 'Explicitly set the value of COMPATIBLE parameter either in PFILE or SPFILE, whichever is used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00724', 'ALTER DATABASE CONVERT command has been de-supported', 'ALTER DATABASE CONVERT command has been de-supported since Oracle 10i.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00725', 'Desupported ALTER DATABASE SET STANDBY clause specified: string', 'A deprecated ALTER DATABASE SET STANDBY was specified.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00740', 'datafile size of (string) blocks exceeds maximum file size', 'The user specified datafile size exceeded maximum file size.', 'Please check REFERENCE for maximum size. Reduce the size and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00741', 'logfile size of (string) blocks exceeds maximum logfile size', 'The user specified logfile size exceeded maximum logfile size.', 'Please check REFERENCE for maximum size. Reduce the size and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00750', 'database has been previously mounted and dismounted', 'The instance has already mounted and dismounted the database, which is only allowed once in its lifetime.', 'Shut down the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00751', 'could not obtain resilvering status for file', 'An error occurred while obtaining the mirror resilvering status of a file.', 'Refer to other error messages shown for additional details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00752', 'recovery detected a lost write of a data block', 'A write of a data block to the storage are was lost during normal database operation or on the primary database.', 'Flashback or restore from backup the database as described in the Backup and Recovery Manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00820', 'Specified value of sga_max_size is too small, needs to be at least stringM', 'The specified value of sga_max_size is too small for the SGA to accommodate all of the necessary SGA components such as the log buffer, buffer pools, shared pool, etc.', 'Set sga_max_size to the recommended value or reduce the values of any SGA component size parameters you have specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00821', 'Specified value of sga_target stringM is too small, needs to be at least stringM', 'The specified value of sga_target is too small for the SGA to accommodate all of the necessary SGA components such as the log buffer, buffer pools, shared pool, etc.', 'Set sga_target to the recommended value or reduce the values of any SGA component size parameters you have specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00822', 'MMAN process terminated with error', 'The Memory Management process died.', 'Warm start instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00823', 'Specified value of sga_target greater than sga_max_size', 'The specified value of sga_target is greater than sga_max_size.', 'Increase sga_max_size to match up with sga_target or decrease sga_target to match up with sga_maxsize.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00824', 'cannot set SGA_TARGET or MEMORY_TARGET due to existing internal settings', 'Could not set SGA_TARGET or MEMORY_TARGET due to current parameter settings.', 'Check the other error messages for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00825', 'cannot set DB_BLOCK_BUFFERS if SGA_TARGET or MEMORY_TARGET is set', 'SGA_TARGET or MEMORY_TARGET set with DB_BLOCK_BUFFERS set.', 'Do not set SGA_TARGET, MEMORY_TARGET or use new cache parameters, and do not use DB_BLOCK_BUFFERS which is an old cache parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00826', 'cannot set SGA_TARGET or MEMORY_TARGET for an ASM instance', 'SGA_TARGET or MEMORY_TARGET set for an ASM instance.', 'Do not set SGA_TARGET or MEMORY_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00827', 'could not shrink sga_target to specified value', 'Attempted to shrink the SGA to the specified value but did not succeed because the SGA components could not be shrunk as they were already at their minimum sizes.', 'Do not set sga_target to a value below the current value without first shrinking the individual SGA components.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00828', 'specified value of shared_pool_reserved_size inconsistent with internal settings', 'Unable to set shared_pool_reserved_size to specified value if SGA_TARGET set, either because the specified value is too small, or because it is too large for the current internal size of shared pool. More details can be found in the alert log.', 'If possible, do not set shared_pool_reserved_size without setting shared_pool_size if SGA_TARGET set. Examine the alert log for information about current internal size of shared pool, and valid range of values for shared_pool_reserved_size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00830', 'cannot set statistics_level to BASIC with auto-tune SGA enabled', 'The user attempted to set statistics_level to BASIC with auto-tune SGA enabled which cannot be done because auto-tune SGA cannot work with statistics_level set to BASIC.', 'Disable auto-tune SGA and try setting the statistics_level to BASIC again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00832', 'no streams pool created and cannot automatically create one', 'A database feature which needs STREAMS SGA was being used, however, the streams_pool_size parameter was not defined and the value of db_cache_size was too small to permit an automatic transfer of SGA to the streams pool from the buffer cache.', 'Please set the parameter streams_pool_size or set SGA_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00837', 'Specified value of MEMORY_TARGET greater than MEMORY_MAX_TARGET', 'The specified value of MEMORY_TARGET was greater than MEMORY_MAX_TARGET.', 'Set MEMORY_TARGET less than or equal to MEMORY_MAX_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00838', 'Specified value of MEMORY_TARGET is too small, needs to be at least stringM', 'The specified value of MEMORY_TARGET was less than the sum of the specified values for SGA_TARGET and PGA_AGGREGATE_TARGET.', 'Set MEMORY_TARGET to at least the recommended value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00839', 'SGA_TARGET cannot be modified to the specified value', 'The specified value of SGA_TARGET was not compatible with current settings of PGA_AGGREGATE_TARGET and MEMORY_TARGET/MEMORY_MAX_TARGET.', 'Set SGA_TARGET to be no more than the difference of MEMORY_TARGET/MEMORY_MAX_TARGET and PGA_AGGREGATE_TARGET. Also ensure that the current PGA memory used for non-auto workareas is low.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00840', 'PGA_AGGREGATE_TARGET cannot be modified to the specified value', 'The specified value of PGA_AGGREGATE_TARGET was not compatible with current settings of SGA_TARGET and MEMORY_TARGET/MEMORY_MAX_TARGET.', 'Set PGA_AGGREGATE_TARGET to be no more than the difference of MEMORY_TARGET/MEMORY_MAX_TARGET and SGA_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00841', 'MEMORY_TARGET not supported on this system', 'MEMORY_TARGET parameter was not supported on this system as shmfs was disabled.', 'Refer to documentation for a list of supported systems.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00842', 'DB_BLOCK_BUFFERS cannot be set with SGA_TARGET or MEMORY_TARGET', 'DB_BLOCK_BUFFERS was incompatible with SGA_TARGET and MEMORY_TARGET.', 'Remove the incompatible parameter setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00843', 'Parameter not taking MEMORY_MAX_TARGET into account', 'The parameter was larger than MEMORY_MAX_TARGET.', 'Check the other error messages for additional information about the parameter. Set the parameter to a lower value than MEMORY_MAX_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00844', 'Parameter not taking MEMORY_TARGET into account', 'The parameter was larger than MEMORY_TARGET.', 'Check the other error messages for additional information about the parameter. Set the parameter to a lower value than MEMORY_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00845', 'MEMORY_TARGET not supported on this system', 'The MEMORY_TARGET parameter was not supported on this operating system or /dev/shm was not sized correctly on Linux.', 'Refer to documentation for a list of supported operating systems. Or, size /dev/shm to be at least the SGA_MAX_SIZE on each Oracle instance running on the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01010', 'invalid OCI operation', 'One of the following: 1) You attempted an invalid OCI operation. 2) You are using an Oracle client application linked with version 7.1 (or higher) libraries, the environment variable ORA_ENCRYPT_LOGIN is set to TRUE, and you attempted to connect to a version 7.0 (or lower) Oracle Server. 3) You are connected to a version 7.1 (or higher) Oracle Server, the initialization parameter DBLINK_ENCRYPT_LOGIN is set to TRUE, and you attempted to use a database link pointing to a version 7.0 (or lower) Oracle Server. 4) You are connected to a version 9.0.2(or higher) Oracle Server and you attempted to use a database link pointing to a version 9.0.1(or lower) Oracle Server for distributed autonomous transaction.', 'For the above causes: 1) Do not use the invalid OCI operation. 2) If you do not wish to use encrypted connect passwords in your distributed database, set ORA_ENCRYPT_LOGIN to FALSE. If you wish to use encrypted connect passwords, you must upgrade all Oracle Servers to version 7.1 (or higher). 3) If you do not wish to use encrypted database links in your distributed database, set DBLINK_ENCRYPT_LOGIN to FALSE. If you wish to use encrypted database links, you must upgrade all Oracle Servers to version 7.1 (or higher). 4) Do not attempt distributed autonomous transaction on version 9.0.1(or lower) Oracle Server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01016', 'This function can be called only after a fetch', 'Cursor in an invalid state.', 'Make sure that the oci/upi function is called after fetch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01019', 'unable to allocate memory in the user side', 'The user side memory allocator returned error.', 'Increase the processes heap size or switch to the old set of calls.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01022', 'database operation not supported in this configuration', 'The attempted database operation does not conform to the user programming interface (UPI) for the two communicating ORACLE servers.', 'You may need to upgrade one or more of your ORACLE servers or re-link your user side application with new libraries. Report the problem to Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01023', 'Cursor context not found (Invalid cursor number)', 'The cursor number is not a valid open cursor.', 'Make sure that the cursor is open.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01025', 'UPI parameter out of range', 'An integer parameter to a upi function is out of range.', 'This usually indicates an error in a tool built on top of the oracle dbms. Report the error to your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01026', 'multiple buffers of size > 4000 in the bind list', 'More than one long buffer in the bind list.', 'Change the buffer size to be less than 4000 for the bind variable bound to a normal column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01027', 'bind variables not allowed for data definition operations', 'An attempt was made to use a bind variable in a SQL data definition operation.', 'Such bind variables are not allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01028', 'internal two task error', 'Received send long message but don''t have the cursor context.', 'Report as a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01029', 'internal two task error', 'Received a request to send the long again when there is no long', 'Report as a bug', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01030', 'SELECT ... INTO variable does not exist', 'The SELECT... INTO specified in the bind call does not correspond to a variable in the SQL statement.', 'If it is not possible to correct the statement, call customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01031', 'insufficient privileges', 'An attempt was made to change the current username or password without the appropriate privilege. This error also occurs if attempting to install a database without the necessary operating system privileges. When Trusted Oracle is configure in DBMS MAC, this error may occur if the user was granted the necessary privilege at a higher label than the current login.', 'Ask the database administrator to perform the operation or grant the required privileges. For Trusted Oracle users getting this error although granted the the appropriate privilege at a higher label, ask the database administrator to regrant the privilege at the appropriate label.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01032', 'no such userid', 'This is an internal error message related to Export/Import.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01033', 'ORACLE initialization or shutdown in progress', 'An attempt was made to log on while Oracle is being started up or shutdown.', 'Wait a few minutes. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01034', 'ORACLE not available', 'Oracle was not started up. Possible causes include the following:' || '<p>' || '- The SGA requires more space than was allocated for it.' || '<p>' || '' || '<p>' || '- The operating-system variable pointing to the instance is improperly defined.', 'Refer to accompanying messages for possible causes and correct the problem mentioned in the other messages. If Oracle has been initialized, then on some operating systems, verify that Oracle was linked correctly. See the platform specific Oracle documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01035', 'ORACLE only available to users with RESTRICTED SESSION privilege', 'Logins are disallowed because an instance started in restricted mode. Only users with RESTRICTED SESSION system privilege can log on.', 'Request that Oracle be restarted without the restricted option or obtain the RESTRICTED SESSION system privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01036', 'illegal variable name/number', 'Unable to find bind context on user side', 'Make sure that the variable being bound is in the sql statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01037', 'maximum cursor memory exceeded', 'Attempting to process a complex sql statement which consumed all available memory of the cursor.', 'Simplify the complex sql statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01038', 'cannot write database file version string with ORACLE version string', 'Attempting to write datafile headers in an old format. The new format can not be used until after the database has been verified as being compatible with this software version.', 'Open the database to advance to the new file formats, then repeat the operation. If the operation is required before the database can be opened, then use the previous software release to do the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01039', 'insufficient privileges on underlying objects of the view', 'Attempting to explain plan on other people''s view without the necessary privileges on the underlying objects of the view.', 'Get necessary privileges or do not perform the offending operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01040', 'invalid character in password; logon denied', 'There are multibyte characters in the password or some characters in the password are not in US7ASCII range.', 'Resubmit password with valid characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01041', 'internal error. hostdef extension doesn''t exist', 'Pointer to hstdef extension in hstdef is null.', 'Report as a bug', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01042', 'detaching a session with open cursors not allowed', 'An attempt was made to detach a seesio n which had open cursors.', 'Close all the cursors before detaching the session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01043', 'user side memory corruption [string], [string], [string], [string]', 'The application code corrupted some of the usr memory used by oracle', 'Make sure that the application code is not overwriting memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01044', 'size string of buffer bound to variable exceeds maximum string', 'An attempt was made to bind a buffer whose total size would exceed the maximum size allowed. Total array size for arrays is calculated as: (element_size)*(number of elements)', 'Reduce buffer size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01045', 'user string lacks CREATE SESSION privilege; logon denied', 'A connect was attempted to a userid which does not have create session privilege.', 'Grant the user CREATE SESSION privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01048', 'Couldn''t find the specified procedure in the given context', 'The procedure user specified in deferred RPC doesn''t exist.', 'Check to make sure that the procedure exists and is visible to the replication process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01049', 'Bind by name is not spupportted in streamed RPC', 'A newer version of server is talking with this version requesting an operation not supported in this version.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01051', 'deferred rpc buffer format invalid', 'The deferred rpc data in sys.def$_call is corrupted.', 'Contact your customer support representive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01052', 'required destination LOG_ARCHIVE_DUPLEX_DEST is not specified', 'A valid destination for parameter LOG_ARCHIVE_DUPLEX_DEST was not specified when parameter LOG_ARCHIVE_MIN_SUCCEED_DEST was set to two.', 'Either specify a value for parameter LOG_ARCHIVE_DUPLEX_DEST, or reduce the value for parameter LOG_ARCHIVE_MIN_SUCCEED_DEST to one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01055', 'Object datatypes not supported for bind or define in this mode', 'Bind or Define used for objects with an invalid mode', 'Change the mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01102', 'cannot mount database in EXCLUSIVE mode', 'Some other instance has the database mounted exclusive or shared.', 'Shutdown other instance or mount in a compatible mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01103', 'database name ''string'' in control file is not ''string''', 'The database name in the control file does not match your database name.', 'Either find the correct control file or change your database name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01104', 'number of control files (string) does not equal string', 'The number of control files used by this instance disagrees with the number of control files in an existing instance.', 'Check to make sure that all control files are listed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01105', 'mount is incompatible with mounts by other instances', 'An attempt to mount the database discovered that another instance mounted a database by the same name, but the mount is not compatible. Additional errors are reported explaining why.', 'See accompanying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01106', 'database must be closed before dismounting', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01107', 'database must be mounted for media recovery', 'An attempt to perform media recovery was made but the database is not mounted.', 'Mount the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01108', 'file string is in backup or media recovery', 'Either media recovery is actively being applied to the file, or it is being backed up while the database is in NOARCHIVELOG mode. It cannot be used for normal database access or crash recovery.', 'Complete or cancel the media recovery session or backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01109', 'database not open', 'A command was attempted that requires the database to be open.', 'Open the database and try the command again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01110', 'data file string: ''string''', 'Reporting file name for details of another error', 'See associated error message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01111', 'name for data file string is unknown - rename to correct file', 'The data file was missing from a CREATE CONTROLFILE command or backup control file recovery was done with a control file that was saved before the file was created.', 'Rename the MISSING file to the name of the real file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01112', 'media recovery not started', 'An attempt to continue media recovery is being made but media recovery was not started.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01113', 'file string needs media recovery', 'An attempt was made to online or open a database with a file that is in need of media recovery.', 'First apply media recovery to the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01114', 'IO error writing block to file string (block # string)', 'The device on which the file resides is probably offline. If the file is a temporary file, then it is also possible that the device has run out of space. This could happen because disk space of temporary files is not necessarily allocated at file creation time.', 'Restore access to the device or remove unnecessary files to free up space.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01115', 'IO error reading block from file string (block # string)', 'Device on which the file resides is probably offline', 'Restore access to the device', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01116', 'error in opening database file string', 'Usually the file is not accessible.', 'Restore the database file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01117', 'adding file ''string'' with illegal block size: string; limit is string', 'An attempt was made to add a database file with a block size that is greater than the maximum block size allowed.', 'Retry the DDL command with a smaller block size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01118', 'cannot add any more database files: limit of string exceeded', 'There is no more room in the control file for adding database files.', 'Resize the control file or drop other tablespaces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01119', 'error in creating database file ''string''', 'Usually due to not having enough space on the device.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01120', 'cannot remove online database file string', 'Attempting to drop a datafile when it is online', 'Take file offline before dropping.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01121', 'cannot rename database file string - file is in use or recovery', 'Attempted to use ALTER DATABASE RENAME to rename a datafile that is online in an open instance or is being recovered.', 'Close database in all instances and end all recovery sessions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01122', 'database file string failed verification check', 'The information in this file is inconsistent with information from the control file. See accompanying message for reason.', 'Make certain that the db files and control files are the correct files for this database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01123', 'cannot start online backup; media recovery not enabled', 'An attempt to start backup of an on-line tablespace failed because media recovery is not enabled.', 'Enable media recovery and retry this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01124', 'cannot recover data file string - file is in use or recovery', 'An attempt to do media recovery found that the file was not available for recovery. Either it is online and the database is open in some instance, or another process is curently doing media recovery on the file.', 'Do not do media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01125', 'cannot disable media recovery - file string has online backup set', 'An attempt to disable media recovery found that an online backup is still in progress.', 'End the backup of the offending tablespace and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01126', 'database must be mounted in this instance and not open in any instance', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01127', 'database name ''string'' exceeds size limit of string characters', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00846', 'could not shrink MEMORY_TARGET to specified value', 'Attempted to shrink MEMORY_TARGET to the specified value but did not succeed because the PGA and SGA components could not be shrunk.', 'Do not set MEMORY_TARGET to a value below the current value without first shrinking the individual memory components.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00847', 'MEMORY_TARGET/MEMORY_MAX_TARGET and LOCK_SGA cannot be set together', 'MEMORY_TARGET/MEMORY_MAX_TARGET was set to a non-zero value and LOCK_SGA was also set', 'Do not set MEMORY_TARGET or MEMORY_MAX_TARGET if LOCK_SGA is set to TRUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00848', 'STATISTICS_LEVEL cannot be set to BASIC with SGA_TARGET or MEMORY_TARGET', 'STATISTICS_LEVEL of BASIC was incompatible with SGA_TARGET and MEMORY_TARGET.', 'Fix the incompatible parameter setting. Set STATISTICS_LEVEL to TYPICAL or ALL to use SGA_TARGET or MEMORY_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00849', 'SGA_TARGET string cannot be set to more than MEMORY_MAX_TARGET string.', 'SGA_TARGET value was more than MEMORY_MAX_TARGET value.', 'Set SGA_TARGET to be less than MEMORY_MAX_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00850', 'PGA_AGGREGATE_TARGET string cannot be set to more than MEMORY_MAX_TARGET string.', 'PGA_AGGREGATE_TARGET value was more than MEMORY_MAX_TARGET value.', 'Set PGA_AGGREGATE_TARGET to be less than MEMORY_MAX_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00851', 'SGA_MAX_SIZE string cannot be set to more than MEMORY_TARGET string.', 'SGA_MAX_SIZE value was more than MEMORY_TARGET value.', 'Set SGA_MAX_SIZE to be less than MEMORY_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00910', 'specified length too long for its datatype', 'for datatypes CHAR and RAW, the length specified was > 2000; otherwise, the length specified was > 4000.', 'use a shorter length or switch to a datatype permitting a longer length such as a VARCHAR2, LONG CHAR, or LONG RAW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00911', 'invalid character', 'identifiers may not start with any ASCII character other than letters and numbers. $#_ are also allowed after the first character. Identifiers enclosed by doublequotes may contain any character other than a doublequote. Alternative quotes (q''#...#'') cannot use spaces, tabs, or carriage returns as delimiters. For all other contexts, consult the SQL Language Reference Manual.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00912', 'input parameter too long', 'one of your input strings was too long', 'shorten the input parameter length', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00953', 'missing or invalid index name', 'An index name of the form [ <identifier> . ] <identifier> is expected but not present. If OIDINDEX clause, index name must be <identifier>', 'Enter an appropriate index name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00956', 'missing or invalid auditing option', 'AUDIT or NOAUDIT statement contains an invalid auditing option.', 'Use a valid option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00960', 'ambiguous column naming in select list', 'A column name in the order-by list matches more than one select list columns.', 'Remove duplicate column naming in select list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00962', 'too many group-by / order-by expressions', 'The group-by or order-by column list contain more than 1000 expressions.', 'Use 1000 or less expressions in the group-by or order-by list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00964', 'table name not in FROM list', 'The table name referred in the select list is not specified in the from list.', 'Make sure the name is correctly specified and matches one of the names in the from list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00965', 'column aliases not allowed for ''*''', 'The statement is trying to alias the * expression in the select list which is not legal.', 'Remove the alias.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00972', 'identifier is too long', 'An identifier with more than 30 characters was specified.', 'Specify at most 30 characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00976', 'LEVEL, PRIOR, or ROWNUM not allowed here', 'LEVEL, PRIOR, or ROWNUM is being specified at illegal location.', 'Remove LEVEL, PRIOR, or ROWNUM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00977', 'duplicate auditing option', 'AUDIT or NOAUDIT statement specifies an option more than once', 'Either use ALL with no other auditing options or make sure no option is listed more than once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00980', 'synonym translation is no longer valid', 'A synonym did not translate to a legal target object. This could happen for one of the following reasons:' || '<p>' || '1. The target schema does not exist.' || '<p>' || '' || '<p>' || '2. The target object does not exist.' || '<p>' || '' || '<p>' || '3. The synonym specifies an incorrect database link.' || '<p>' || '' || '<p>' || '4. The synonym is not versioned but specifies a versioned target object.', 'Change the synonym definition so that the synonym points at a legal target object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00981', 'cannot mix table and system auditing options', 'Table and system-wide auditing options were specified in the same AUDIT or NOAUDIT statement.', 'You must issue table and system options in separate statements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00983', 'cannot audit or noaudit SYS user actions', 'An attempt was made to AUDIT or NOAUDIT SYS user actions.', 'Execute the statement again with a valid user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-00991', 'only MAC privileges may be granted to procedures', 'Object privileges or non-MAC system privileges were granted to the procedure.', 'Only grant MAC privileges using the PROCEDURE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01002', 'fetch out of sequence', 'This error means that a fetch has been attempted from a cursor which is no longer valid. Note that a PL/SQL cursor loop implicitly does fetches, and thus may also cause this error. There are a number of possible causes for this error, including: 1) Fetching from a cursor after the last row has been retrieved and the ORA-1403 error returned. 2) If the cursor has been opened with the FOR UPDATE clause, fetching after a COMMIT has been issued will return the error. 3) Rebinding any placeholders in the SQL statement, then issuing a fetch before reexecuting the statement.', '1) Do not issue a fetch statement after the last row has been retrieved - there are no more rows to fetch. 2) Do not issue a COMMIT inside a fetch loop for a cursor that has been opened FOR UPDATE. 3) Reexecute the statement after rebinding, then attempt to fetch again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01074', 'cannot shut down ORACLE; inside a login session - log off first', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01075', 'you are currently logged on', 'Attempt to login while logged in.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01076', 'multiple logons per process not yet supported', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01077', 'background process initialization failure', 'Failure during initialization of ORACLE background processes.', 'Further diagnostic information should be in the error stack or in the trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01078', 'failure in processing system parameters', 'Failure during processing of INIT.ORA parameters during system startup.', 'Further diagnostic information should be in the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01079', 'ORACLE database was not properly created, operation aborted', 'There was an error when the database or control file was created.', 's to recreate the database or a new control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01080', 'error in shutting down ORACLE', 'Failure during system shutdown.', 'Further diagnostic information should be in the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01081', 'cannot start already-running ORACLE - shut it down first', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01082', '''row_locking = always'' requires the transaction processing option', '"row_locking = always" is specified in INIT.ORA file. This feature is not supported by ORACLE without the transaction processing option.', 'Remove it from INIT.ORA file or set it to "default" or "intent".', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01083', 'value of parameter "string" is inconsistent with that of other instances', 'The value of the given parameter is required to be the same for all instances in the cluster database configuration. ROW_LOCKING and SERIALIZABLE are 2 examples.', 'Change the value of the parameter in INIT.ORA file to match that of other cluster database instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01084', 'invalid argument in OCI call', 'The failing OCI call contains an argument with an invalid value.', 'Use valid argument values. For more information, see the Programmer''s Guide to the Oracle Call Interfaces and the appropriate programming language supplement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01085', 'preceding errors in deferred rpc to "string.string.string"', 'Errors were encountered when the named procedure was executed as a deferred remoted procedure call.', 'Correct the cause of the preceding errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01086', 'savepoint ''string'' never established', 'Trying to roll back to a save point that was never established.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01088', 'cannot shut down ORACLE while active processes exist', 'Users are still logged into the instance.', 'Either wait for all users to logoff or use SHUTDOWN IMMEDIATE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01089', 'immediate shutdown in progress - no operations are permitted', 'The SHUTDOWN IMMEDIATE command was used to shut down a running ORACLE instance, so your operations have been terminated.', 'Wait for the instance to be restarted, or contact your DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01090', 'shutdown in progress - connection is not permitted', 'The SHUTDOWN command was used to shut down a running ORACLE instance, so you cannot connect to ORACLE.', 'Wait for the instance to be restarted, or contact your DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01091', 'failure during startup force', 'Unable to destroy the old SGA.', 'Manually remove the old SGA and reissue the STARTUP command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01092', 'ORACLE instance terminated. Disconnection forced', 'The instance this process was connected to was terminated abnormally, probably via a shutdown abort. This process was forced to disconnect from the instance.', 'Examine the alert log for more details. When the instance has been restarted, retry action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01093', 'ALTER DATABASE CLOSE only permitted with no sessions connected', 'There is at least one more session other than the current one logged into the instance. ALTER DATABASE CLOSE is not permitted.', 'Find the other sessions and log them out and resubmit the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01095', 'DML statement processed zero rows', 'During a call to OTEX, an update, delete, or insert statement being executed processed zero rows. The execution of statements by OTEX was halted at this point.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01096', 'program version (string) incompatible with instance (string)', 'A program is trying to connect to an instance using a different version of code than the database was started with. This is not allowed.', 'Either relink the program with the same version as the database or restart the database using the old version of code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01097', 'cannot shutdown while in a transaction - commit or rollback first', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01099', 'cannot mount database in SHARED mode if started in single process mode', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01100', 'database already mounted', 'A database is already mounted in this instance.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01101', 'database being created currently mounted by some other instance', 'Some other instance has the database of same name currently mounted and you are trying to create it.', 'Either change the database name or shutdown the other instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01128', 'cannot start online backup - file string is offline', 'An attempt to start an online backup found that one of the files is offline.', 'Bring the offending files online and retry this command or do a cold backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01129', 'user''s default or temporary tablespace does not exist', 'The user''s default or temporary tablespace was dropped.', 'Reassign the default or temporary tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01135', 'file string accessed for DML/query is offline', 'Attempted to access a data file that is offline', 'Bring the data file back online', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01136', 'specified size of file string (string blocks) is less than original size of string blocks', 'A file size was specified in the AS clause of ALTER DATABASE CREATE DATAFILE, and the size was smaller the the size needed', 'Create the file with a larger size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01137', 'data file string is still in the middle of going offline', 'It was not possible to get the lock for a file that is offline when attempting to bring it online. The most likely cause is that the lock is still held by the instance that is took it offline.', 'Wait a bit and try to online the file again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01138', 'database must either be open in this instance or not at all', 'The requested operation can not be done when the database is mounted but not open in this instance, and another instance has the database open.', 'Execute the operation in an open instance, open the datbase in this instance, or close the database in the other instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01139', 'RESETLOGS option only valid after an incomplete database recovery', 'The RESETLOGS option was given in ALTER DATABASE OPEN, but there has been no incomplete recovery session.', 'Retry the ALTER DATABASE OPEN without specifying RESETLOGS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01140', 'cannot end online backup - all files are offline or readonly', 'All the files were found to be offline or readonly when attempting to end an online backup.', 'None. Online backup does not need to be ended for this tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01141', 'error renaming data file string - new file ''string'' not found', 'An attempt to change a data file''s name in the control file failed because no file was found with the new name.', 'Make sure that the data file has been properly renamed by the operating system and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01142', 'cannot end online backup - none of the files are in backup', 'None of the files were found to be in online backup when attempting to end an online backup.', 'None. Online backup does not need to be ended for this tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01143', 'cannot disable media recovery - file string needs media recovery', 'An attempt to disable media recovery found a file that needs media recovery, thus media recovery cannot be disabled.', 'Recover the offending file or drop the tablespace it belongs to and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01144', 'File size (string blocks) exceeds maximum of string blocks', 'Specified file size is larger than maximum allowable size value.', 'Specify a smaller size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01145', 'offline immediate disallowed unless media recovery enabled', 'ALTER TABLESPACE ... OFFLINE IMMEDIATE or ALTER DATABASE DATAFILE ... OFFLINE is only allowed if database is in ARCHIVELOG mode.', 'Take tablespace offline normally or shutdown abort. Reconsider your backup strategy. You could do this if you were archiving your logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01146', 'cannot start online backup - file string is already in backup', 'When starting an online backup it was noticed that an online backup was already started for one of the data files.', 'End the first backup before beginning another.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01147', 'SYSTEM tablespace file string is offline', 'A file belonging to the SYSTEM tablespace has been marked offline by the DBA. The database cannot be started until all SYSTEM tablespace files are online and openable.', 'Bring the file online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01058', 'internal New Upi interface error', 'Attempt to delete non existant hstdef extension.', 'Report as a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01059', 'parse expected before a bind or execute', 'The client application attempted to bind a variable or execute a cursor opened in a PL/SQL block before the statement was parsed.', 'Ensure the statement is parsed before a bind or execute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01060', 'array binds or executes not allowed', 'The client application attempted to bind an array of cursors or attempted to repeatedly execute against a PL/SQL block with a bind variable of type cursor.', 'Bind a single cursor or execute the PL/SQL block once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01061', 'cannot start up a V8 server using a V7 client application', 'You are using an Oracle client application linked with version 7 (or lower) libraries and you attempted to start up a V8 (or higher) server.', 'Use a client application linked with V8 (or higher) libraries.60', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01062', 'unable to allocate memory for define buffer', 'Exceeded the maximum buffer size for current plaform', 'Use piecewise fetch with a smaller buffer size', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01070', 'Using an old version of Oracle for the server', 'Using pre 7.0.10.1 version of oracle for server', 'Upgrade server to post 7.0.10.1 version', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01071', 'cannot perform operation without starting up ORACLE', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01072', 'cannot stop ORACLE; ORACLE not running', 'Obvious', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01073', 'fatal connection error: unrecognized call type', 'An illegal internal operation was attempted.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01148', 'cannot refresh file size for datafile string', 'An operating system or device error occurred when retrieving the file''s size. The device on which the file resides may have been offline.', 'Restore access to the device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01149', 'cannot shutdown - file string has online backup set', 'An attempt to shutdown normally found that an online backup is still in progress.', 'End the backup of the offending tablespace and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01150', 'cannot prevent writes - file string has online backup set', 'An attempt to make a tablespace read only or offline normal found that an online backup is still in progress. It will be necessary to write the file header to end the backup, but that would not be allowed if this command succeeded.', 'End the backup of the offending tablespace and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01151', 'use media recovery to recover block, restore backup if needed', 'Error 1172 occurred.', 'This is additional information for error 1172.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01152', 'file string was not restored from a sufficiently old backup', 'An incomplete recovery session was started, but an insufficient number of logs were applied to make the database consistent. This file is still in the future of the last log applied. The most likely cause of this error is forgetting to restore the file from a backup before doing incomplete recovery.', 'Either apply more logs until the database is consistent or restore the database file from an older backup and repeat recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01153', 'an incompatible media recovery is active', 'Attempted to start an incompatible media recovery or open resetlogs during media recovery or RMAN backup . Media recovery sessions are incompatible if they attempt to recover the same data file. Incomplete media recovery or open resetlogs is incompatible with any media recovery. Backup or restore by RMAN is incompatible with open resetlogs', 'Complete or cancel the other media recovery session or RMAN backup', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01154', 'database busy. Open, close, mount, and dismount not allowed now', 'Some operation is in progress that expects the opened/mounted state of this instance to remain the same.', 'Wait for the operation to complete then retry. If attempting to do a shutdown, SHUTDOWN ABORT will work. If this is a shutdown of a standby database that is operating in NO DATA LOSS mode, you must shutdown the primary database first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01155', 'the database is being opened, closed, mounted or dismounted', 'The requested operation needs the instance to be in a particular state but the state is being changed.', 'Wait for the open, close, mount, or dismount to complete then retry the operation. If necessary, a SHUTDOWN ABORT will always work.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01156', 'recovery in progress may need access to files', 'Either media recovery or instance recovery is in progress. It may need the files this operation is being applied to.', 'Wait for recovery to complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01157', 'cannot identify/lock data file string - see DBWR trace file', 'The background process was either unable to find one of the data files or failed to lock it because the file was already in use. The database will prohibit access to this file but other files will be unaffected. However the first instance to open the database will need to access all online data files. Accompanying error from the operating system describes why the file could not be identified.', 'Have operating system make file available to database. Then either open the database or do ALTER SYSTEM CHECK DATAFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01158', 'database string already mounted', 'Another instance has a database by this name mounted.', 'Find which instance is still running. Perhaps you have not lost the control files after all.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01159', 'file is not from same database as previous files - wrong database id', 'Not all of the files specified in CREATE CONTROLFILE are from the same database. The database ID of this file does not match that from the first file specified.', 'Please double check the list of files provided to the CREATE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01160', 'file is not a string', 'The named file in the DATAFILE or LOGFILE section of the CREATE CONTROLFILE command does not appear to be as stated.', 'Please double check the mentioned file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01161', 'database name string in file header does not match given name of string', 'The database name given at the command line does not match the database name found in the file header.', 'Chance are good that the database name specified at the command line is incorrect. Resolve the descepency, and resubmit the command. If you are attempting to change the database name, be sure to use the SET DATABASE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01162', 'block size string in file header does not match configured block sizes', 'CREATE CONTROLFILE discovered that the block size for this file is incompatible with any of the configured cache blocksizes in the INIT.ORA file.', 'Configure the appropriate cache for this block size using one of the various (db_2k_cache_size, db_4k_cache_size, db_8k_cache_size, db_16k_cache_size, db_32K_cache_size) parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01163', 'SIZE clause indicates string (blocks), but should match header string', 'The size specified in bytes in the SIZE clause of the CREATE CONTROLFILE statement does not equate to the number of blocks recorded in the header.', 'Specify the correct filename and size ( in bytes ).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01164', 'MAXLOGFILES may not exceed string', 'MAXLOGFILES specified on the command line too large.', 'Resubmit the command with a smaller MAXLOGFILES', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01165', 'MAXDATAFILES may not exceed string', 'MAXDATAFILES specified on the command line too large.', 'Resubmit the command with a smaller MAXDATAFILES', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01217', 'logfile member belongs to a different logfile group', 'A member of a multiple-member logfile group specified in a CREATE CONTROLFILE is not part of the same group as previous members.', 'Group together the correct members for the CREATE CONTROLFILE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01218', 'logfile member is not from the same point-in-time', 'A member of a multiple-member logfile group is from a different point in time. One of the members specified may be an older (backup) copy of the log.', 'Find the correct version of the log, or leave it out of the CREATE CONTROLFILE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01219', 'database not open: queries allowed on fixed tables/views only', 'A query was issued against an object not recognized as a fixed table or fixed view before the database has been opened.', 'Re-phrase the query to include only fixed objects, or open the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01220', 'file based sort illegal before database is open', 'A query issued against a fixed table or view required a temporary segment for sorting before the database was open. Only in-memory sorts are supported before the database is open.', 'Re-phrase the query to avoid a large sort, increase the values of the SORT_AREA_SIZE and/or SORT_AREA_RETAINED_SIZE initialization parameters to enable the sort to be done in memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01221', 'data file string is not the same file to a background process', 'When the database writer opens the data file, it is accessing a different physical file than the foreground doing the recovery. The timestamp set in the file header by the foreground was not found by the background. It may be that the background process could not read the file at all.', 'Look in the DBWR trace file for the error it recieved when attempting to read the file header. Reconfigure the operating system as needed to have the file name successfully access the same file when opened by a background process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01222', 'MAXINSTANCES of string requires MAXLOGFILES be at least string, not string', 'Attemping to create a database or control file that does not have room for at least two logs per thread of redo. A thread of redo must have two online logs in order to be enabled. It does not make sense to allow more redo threads than can be supported by the logs.', 'Either reduce the MAXINSTANCES argument or increase MAXLOGFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01223', 'RESETLOGS must be specified to set a new database name', 'The SET database name option was specified to CREATE CONTROLFILE, but RESETLOGS was not specified. The database name can only be changed when opening the database with RESETLOGS.', 'Either add the RESETLOGS option or drop the SET option to CREATE CONTROLFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01224', 'group number in header string does not match GROUP string', 'Group number specified at CREATE CONTROLFILE does not match the group number stored in the header. Most likely the specification is wrong.', 'Omit the GROUP option or give the correct one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01225', 'thread number string is greater than MAXINSTANCES string', 'The log is for a thread greater than the MAXINSTANCES argument.', 'Increase the value for MAXINSTANCES and resubmit the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01226', 'file header of log member is inconsistent with other members', 'The log file member in the accompanying error is for the same group as the previous members, but other fields in the header are different. Either a file header is corrupted, or some file is a member of a deleted log.', 'Find the correct log member or omit this member from the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01227', 'log string is inconsistent with other logs', 'The log file in the accompanying error is inconsistent with the contents of other logs given in the CREATE CONTROLFILE command. Either a file header is corrupted, or some file is an old copy rather than the current version. The problem may not be with the log listed since all that can be detected is that there is an inconsistancy. All log files listed in the command must be the current versions of the online logs.', 'Find the correct online logs or use the RESETLOGS option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01228', 'SET DATABASE option required to install seed database', 'The SET DATABASE option was not included in the CREATE CONTROLFILE command when installing a seed database. The database does not have a database ID because it is intended to be installed at multiple sites, and each site needs to be a different database with its own database id. Both the SET DATABASE and RESETLOGS options must be specified to create the control file for this database.', 'Resubmit command with the SET DATABASE and RESETLOGS options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01229', 'data file string is inconsistent with logs', 'The data file in the accompanying error is inconsistent with the contents of the logs given in the CREATE CONTROLFILE command. The most likely cause is that one or more of the online logs was missing from the command. It is also possible that one or more of the logs is an old copy rather than the current version. All online log files must be listed in the command and must be the current versions of the online logs.', 'Find the correct online logs or use the RESETLOGS option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01230', 'cannot make read only - file string is offline', 'An attempt to make a tablespace read only found that one of its files is offline.', 'Bring the file online and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01231', 'cannot make read write - file string is offline', 'An attempt to make a tablespace read write found that one of its files is offline.', 'Bring the file online and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01232', 'cannot start online backup - file string is being made read-only', 'An attempt to start an online backup found that one of the files is in transition to read-only mode.', 'Wait for the transition to complete and then retry the command, if this is an ALTER DATABASE BEGIN BACKUP command, or take the backup without any begin or end commands, if this is an ALTER TABLESPACE BEGIN BACKUP command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01233', 'file string is read only - cannot recover using backup control file', 'An attempt to do media recovery using a backup control file found that one of the files is marked read only. Read only files do not normally need to be recovered, but recovery with a backup control file must recover all online files.', 'If the file really is read only, take it offline before the recovery, and bring the read only tablespace online after the database is open. If the file does need recovery use a control file from the time the file was read-write. If the correct control file is not available, use CREATE CONTROLFILE to make one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01234', 'cannot end backup of file string - file is in use or recovery', 'Attempted to end an online backup of file when the file is busy. Some operation such as recovery or rename may be active, or there may still be some instance that has the database open with this file online.', 'If there is an instance with the database open then the backup can be ended there by using the ALTER TABLESPACE command. Otherwise wait for the completion of the other operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01235', 'END BACKUP failed for string file(s) and succeeded for string', 'One or more of the files in an end backup command failed. Some other files given in the same command may have succeeded.', 'See the accompanying error messages for the reason the backups could not be ended. Any files not listed in the error messages were successful.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01236', 'Error string occurred during initialization of file header access', 'The indicated error occurred while doing initialization processing of file headers.', 'The error indicated should be corrected. An attempt is made to recover from this error by using a slower access algorithm.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01303', 'subordinate process error: number. Check alert and trace logs', 'A process subordinate to this Logminer process has exited with this error status.', 'Search for this error in the alert log and trace files for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01304', 'subordinate process error. Check alert and trace logs', 'A process subordinate to this Logminer process has exited with an error condition.', 'Look in the alert log and trace files for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01306', 'dbms_logmnr.start_logmnr() must be invoked before selecting from v$logmnr_contents', 'A select was issued from v$logmnr_contents without first invoking the dbms_logmnr.start_logmnr() procedure.', 'Invoke the dbms_logmnr.start_logmnr() procedure before issuing a select from the v$logmnr_contents view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01307', 'no LogMiner session is currently active', 'A select was issued from v$logmnr_contents without first invoking the dbms_logmnr.start_logmnr() procedure. Otherwise, dbms_logmnr.end_logmnr() was called without a prior call to dbms_logmnr.start_logmnr() or dbms_logmnr.add_logfile()', 'Invoke the dbms_logmnr.start_logmnr() procedure before issuing a select from the v$logmnr_contents view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01308', 'initialization parameter utl_file_dir is not set', 'utl_file_dir is not set in the initialization file.', 'Set utl_file_dir to the appropriate directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01309', 'invalid session', 'The specified Logminer session ID or session handle is invalid.', 'Use a valid Logminer session ID or session handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01310', 'requested return type not supported by the lcr_mine function', 'The return type requested by the user is not supported by lcr_mine"', 'Pick a return type supported by the lcr_mine function"', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01311', 'Illegal invocation of the mine_value function', 'An attempt was made to use mine_value function on a column other than redo_value or undo_value columns of SYS.X$LOGMNR_CONTENTS or SYS.V$LOGMNR_CONTENTS fixed table/view.', 'Rewrite the SQL statement with a legal invocation of mine_value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01312', 'Specified table/column does not exist', 'The table/column specified in the lcr_mine call does not exist at the the specified SCN. The table/column definition has to exist at the start SCN specified for lcr_mine to be able to identify the table/column correctly.', 'Create a LogMiner session at a start SCN at which the table definition is available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01313', 'LogMiner dictionary column type different from specified type', 'The return type specified for the column in lcr_mine call is different from the actual type of the column.', 'Rewrite the lcr_mine invocation with the right return type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01314', 'Name of the column to be mined should be a string literal', 'The fully qualified name of the column to be mined by the LogMiner functions should be string literal.', 'If the fully qualified name of the column to be mined is a.b.c.d, enclose the column name in quotes as in ''a.b.c.d''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01315', 'Log file has been added or removed during select', 'A redo log file has been added or removed while selecting on the v$logmnr_logs fixed view.', 'Re-issue the SQL select statement on the v$logmnr_logs view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01316', 'Already attached to a Logminer session', 'A Logminer attach session was issued while already attached to a Logminer session.', 'Detach from the current Logminer session and attach to the requested session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01317', 'Not attached to a Logminer session', 'A command or procedure was issued which requires an attached Logminer session.', 'Attach to a Logminer session before issuing the command or procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01319', 'Invalid Logminer session attribute', 'A session attribute was supplied which is invalid.', 'Re-issue with valid session attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01320', 'Invalid Logminer dictionar attribute', 'A Logminer dictionary attribute was supplied which is invalid.', 'Re-issue with valid dictionary attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01321', 'No Logminer Dictionary for requested start SCN', 'The requested session start SCN is less than the SCN of any available Logminer Dictionary build. It is not possible to unwind a Logminer Dictionary to the requested start SCN.', 'Re-issue the start_logminer request with a start SCN for which a Logminer Dictionary is available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01322', 'No such table', 'An non-existent table was supplied to Logminer include_src_tbl() or exclude_src_table().', 'Re-issue with valid table name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01323', 'Invalid state', 'A Logminer routine was called from the wrong state.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01324', 'cannot add file string due to DB_ID mismatch', 'The logfile is produced by a different database than other logfiles already added to the list.', 'Specify a logfile produced by the same database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01325', 'archive log mode must be enabled to build into the logstream', 'Database does not have archivelog mode enabled.', 'Mount the database, then issue commands to enable archivelog mode. startup pfile=init.ora mount alter database archivelog alter database open', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01326', 'compatability of 9.0 or greater required to build into the logstream', 'Compatibility mode set to some value less than 9.0', 'Ensure that init.ora parameter establishing a compatability of 9.0 or greater is set. For example: compatible=9.0.0.0.0', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01327', 'failed to exclusively lock system dictionary as required by build', 'Other users are performing DDL operations.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01328', 'only one build operation may occur at one time', 'Another processes is simultaneously attempting to run build();', 'Wait until the other processes completes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01329', 'unable to truncate required build table', 'The table may be missing, or locked by another user.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01332', 'internal Logminer Dictionary error', 'Unexpected error condition', 'Check trace and/or alert logs', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01333', 'failed to establish Logminer Dictionary', 'No previously established Logminer Dictionary is available and a complete gather of a source system data dictionary was not found in the logstream. build() may not have been run to force the gathering of a source system data dictiony. Or add_log_file() may not have been called to add all log files which contain the complete gathered system data dictionary.', 'If build() was not employed prior to this mining session the Logminer Ad Hoc user may elect to employ an alternate dictionary such as the current system catalog or a previously built flat file dictionary. Other Logminer clients must run build() prior to mining. If build() has been run, ensure that all logfiles which comprise the gathered system dictionary have beed added. The following query, run on the system which build() was run, can be helpful in identifying the requried files. select DICTIONARY_BEGIN, DICTIONARY_END, name from v$archived_log; Minimally a set of files beginning with one which has DICTIONARY_BEGIN = ''YES'' and all following log files through one marked DICTIONARY_END = ''YES'' must be added.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01334', 'invalid or missing logminer dictionary processes context', 'Unexpected internal error condition', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01336', 'specified dictionary file cannot be opened', 'The dictionary file or directory does not exist or is inaccessible.', 'Make sure that the dictionary file and directory exist and are accessible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01337', 'log file has a different compatibility version', 'The logfile has a different compatibility version then the rest of the logfile in the session"', 'Make sure that the logfile has the same compatibility version as the rest of the logfiles in the session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01338', 'Other process is attached to LogMiner session', 'Can not do this when other process is attached to LogMiner session.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01339', 'LogMiner BUILD: Error copying system catalog metadata to LogMiner dictionary', 'Unexpected result while accessing system catalog metadata.', 'Check the alert log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01340', 'NLS error', 'Could not load NLS package.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01341', 'LogMiner out-of-memory', 'The LogMiner session requires more system resources than is currently available.', 'Allocate more SGA for LogMiner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01342', 'LogMiner can not resume session due to inability of staging checkpointed data', 'Logmnr can not resume session because there is not enough SGA memory available to read in checkpointed data. Logminer periodically checkpoints data to enable faster crash recovery.', 'Specify a bigger max_sga for the given LogMiner session and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01343', 'LogMiner encountered corruption in the logstream', 'Log file is missing a range of scn values.', 'Verify the contiguity of the scn range reprented by the log files added to LogMiner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01344', 'LogMiner coordinator already attached', 'A coordinator process is already attached to the specified logminer context.', 'Detach from the active coordinator session and retry the attach.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01345', 'Must be a LogMiner coordinator process', 'A LogMiner client attempted to perform a privileged operation.', 'Issue the operation from the coordinator process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01346', 'LogMiner processed redo beyond specified reset log scn', 'LogMiner has detected a new branch with resetlogs scn information prior to redo already mined.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01347', 'Supplemental log data no longer found', 'The source database instance producing log files for this LogMiner session was altered to no longer log supplemental data.', 'Destroy this Logminer session. Re-enable supplemental log data on the source system and create a new LogMiner session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01350', 'must specify a tablespace name', 'Invocation failed to specify a valid tablespace', 'Reformat invocation of DBMS_LOGMNR_D.SET_TABLESPACE to include the name of a valid tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01351', 'tablespace given for Logminer dictionary does not exist', 'The tablespace name given as a parameter to DBMS_LOGMNR_D.SET_TABLESPACE does not exist.', 'Check spelling of the tablespace name. If spelling is correct verify that the named tablespace has already been created. DBMS_LOGMNR_D.SET_TABLESPACE does not create a tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01352', 'tablespace given for Logminer spill does not exist', 'The tablespace name given as the parameter to DBMS_LOGMNR_D.SET_TABLESPACE does not exist.', 'Check spelling of the tablespace name. If spelling is correct verify that the named tablespace has already been created. DBMS_LOGMNR_D.SET_TABLESPACE does not create a tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01353', 'existing Logminer session', 'An attempt was made to execute DBMS_LOGMNR_D.SET_TABLESPACE while a Logminer session(s) was active.', 'First cause all Logminer sessions to be closed. A Logminer session can exist as a result of executing DBMS_LOGMNR.START_LOGMNR or as the result of using Oracle features such as Data Guard SQL Apply or Streams which use Logminer. Next, execute DBMS_LOGMNR_D.SET_TABLESPACE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01354', 'Supplemental log data must be added to run this command', 'An attempt was made to perform an operation that required that supplemental log data be enabled.', 'Execute a command such as ALTER DATABASE ADD SUPPLEMENTAL LOG DATA; and then reissue the command that failed with this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01355', 'logminer tablespace change in progress', 'The tables used by logminer are in the process of being moved to another tablespace.', 'Wait until the move is complete and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01356', 'active logminer sessions found', 'Logminer sessions are currently active.', 'End all logminer sessions and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01358', 'LogMiner version is less than mined dictionary version', 'An attempt was made to mine a LogMiner dictionary from redo logs. The version of the Oracle database that created the logs was higher than the Oracle database version that attempted to mine the logs.', 'Mine the logs using a newer version of the Oracle database having a version number that is equal to or greater than the dictionary version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01361', 'global name mismatch', 'The database global name where the log file was generated did not match the user-specified global name of the Streams Capture process.', 'Start a new capture process and ensure that the user-specified global name matches that of the database that generated the log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01370', 'Specified restart SCN is too old', 'specified restart scn is too old, logmnr could not find a proper checkpoint.', 'Specify a bigger restart SCN to try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01371', 'Complete LogMiner dictionary not found', 'One or more log files containing the LogMiner dictionary was not found.', 'Add into LogMiner all log files containing the dictionary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01372', 'Insufficient processes for specified LogMiner operation', 'The number of processes requested by the caller can not be allocated', 'Increase number of parallel servers allocated to the instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01373', 'insufficient memory for staging persistent LogMiner session', 'The maximum number of concurrent persistent LogMiner sessions allowed is limited by LOGMNR_MAX_PERSISTENT_SESSIONS parameter. Not enough memory has been set aside at instance startup to allocate the new LogMiner session.', 'Increase LOGMNR_MAX_PERSISTENT_SESSIONS and restart instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01374', '_log_parallelism_max greater than 1 not supported in this release', 'LogMiner does not mine redo records generated with _log_parallelism_max set to a value greater than 1.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01375', 'Corrupt logfile string recovered', 'A corrupt logfile has been recovered by RFS', 'None. Logical Standby should automatically restart. If logfile is still corrupt, may need to manually copy and reregister the logfile on the standby.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01409', 'NOSORT option may not be used; rows are not in ascending order', 'Creation of index with NOSORT option when rows were not ascending. For non-unique indexes the rowid is considered part of the index key. Therefore, if you create an index nosort and two of the rows in the table have the same key and are stored in ascending order, but get split accross two extents where the dba of the first block in the second extent is less than the dba of the last block in the first extent, then the create index nosort may fail.', 'Create the index without the NOSORT option, or ensure table is stored in one extent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01411', 'cannot store the length of column in the indicator', 'Tried to fetch a column of size more than 64K and couldn''t store the length of the column in the given indicator of size 2 bytes.', 'Use the new bind type with call backs to fetch the long column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01412', 'zero length not allowed for this datatype', 'The length for type 97 is 0', 'Specify the correct length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01413', 'illegal value in packed decimal number buffer', 'The user buffer bound by the user as packed decimal number contained an illegal value.', 'Use a legal value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01414', 'invalid array length when trying to bind array', 'An attempt was made to bind an array without either a current array length pointer or a zero maximum array length.', 'Sepcify a valid length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01415', 'too many distinct aggregate functions', 'The query contains more distinct aggregates than can be processed. The current limit is 255.', 'Reduce the number of distinct aggregate functions in the query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01417', 'a table may be outer joined to at most one other table', 'a.b (+) = b.b and a.c (+) = c.c is not allowed', 'Check that this is really what you want, then join b and c first in a view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01422', 'exact fetch returns more than requested number of rows', 'The number specified in exact fetch is less than the rows returned.', 'Rewrite the query or change number of rows requested', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01424', 'missing or illegal character following the escape character', 'The character following the escape character in LIKE pattern is missing or not one of the escape character, ''%'', or ''_''.', 'Remove the escape character or specify the missing character.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01425', 'escape character must be character string of length 1', 'Given escape character for LIKE is not a character string of length 1.', 'Change it to a character string of length 1.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01426', 'numeric overflow', 'Evaluation of an value expression causes an overflow/underflow.', 'Reduce the operands.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01429', 'Index-Organized Table: no data segment to store overflow row-pieces', 'No overflow segment defined.', 'Add overflow segment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01438', 'value larger than specified precision allowed for this column', 'When inserting or updating records, a numeric value was entered that exceeded the precision defined for the column.', 'Enter a value that complies with the numeric column''s precision, or use the MODIFY option with the ALTER TABLE command to expand the precision.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01451', 'column to be modified to NULL cannot be modified to NULL', 'the column may already allow NULL values, the NOT NULL constraint is part of a primary key or check constraint.', 'if a primary key or check constraint is enforcing the NOT NULL constraint, then drop that constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01453', 'SET TRANSACTION must be first statement of transaction', 'self-evident', 'commit (or rollback) transaction, and re-execute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01456', 'may not perform insert/delete/update operation inside a READ ONLY transaction', 'A non-DDL insert/delete/update or select for update operation was attempted', 'commit (or rollback) transaction, and re-execute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01463', 'cannot modify column datatype with current constraint(s)', 'An attempt was made to modify the datatype of column which has referential constraints; or has check constraints which only allows changing the datatype from CHAR to VARCHAR or vise versa.', 'Remove the constraint(s) or do not perform the offending operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01466', 'unable to read data - table definition has changed', 'Query parsed after tbl (or index) change, and executed w/old snapshot', 'commit (or rollback) transaction, and re-execute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01469', 'PRIOR can only be followed by a column name', 'Attempting to specify "PRIOR <something>" where <something> is not a column name.', 'Only a column name can follow PRIOR. Replace with a column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01470', 'In-list iteration does not support mixed operators', 'Constants of different types are specified in an in-list.', 'Use constants of same type for in-lists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01478', 'array bind may not include any LONG columns', 'User is performing an array bind with a bind variable whose maximum size is greater than 2000 bytes.', 'Such bind variables cannot participate in array binds. Use an ordinary bind operation instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01479', 'last character in the buffer is not Null', 'A bind variable of type 97 does not contain null at the last position', 'Make the last character null', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01480', 'trailing null missing from STR bind value', 'A bind variable of type 5 (null-terminated string) does not contain the terminating null in its buffer.', 'Terminate the string with a null character', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01481', 'invalid number format model', 'The user is attempting to either convert a number to a string via TO_CHAR or a string to a number via TO_NUMBER and has supplied an invalid number format model parameter.', 'Consult your manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01482', 'unsupported character set', 'The character set used to perform the operation, such as the CONVERT function, is not a supported character set.', 'Use one of the supported character sets.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01483', 'invalid length for DATE or NUMBER bind variable', 'A bind variable of type DATE or NUMBER is too long.', 'Consult your manual for the maximum allowable length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01484', 'arrays can only be bound to PL/SQL statements', 'You tried to bind an array to a non-PL/SQL statement.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01485', 'compile bind length different from execute bind length', 'You bound a buffer of type DTYVCS (VARCHAR with the two byte length in front) and at execute time the length in the first two bytes is more than the maximum buffer length (given in the bind call). The number of elements in the array and the current number of elements in the array cannot be more than the maximum size of the array.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01486', 'size of array element is too large', 'You tried to bind a data value which was either too large for the datatype (for example, NUMBER) or was greater than 4000 bytes (for example, VARCHAR or LONG).', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01487', 'packed decimal number too large for supplied buffer', 'An impossible request for decimal to oracle number conversion was made', 'This conversion cannot be performed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01488', 'invalid nibble or byte in the input data', 'An impossible request for decimal to oracle number conversion was made', 'This conversion cannot be performed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01489', 'result of string concatenation is too long', 'String concatenation result is more than the maximum size.', 'Make sure that the result is less than the maximum size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01490', 'invalid ANALYZE command', 'Incorrect syntax specified', 'Retry the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01491', 'CASCADE option not valid', 'The CASCADE option is only valid for tables or clusters.', 'Do not specify CASCADE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01492', 'LIST option not valid', 'The LIST option is only valid for tables or clusters.', 'Do not specify LIST', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01493', 'invalid SAMPLE size specified', 'The specified SAMPLE size is out of range', 'Specify a value within the proper range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01494', 'invalid SIZE specified', 'The specified histogram SIZE value was out of range.', 'Specify a value within the proper range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01495', 'specified chain row table not found', 'The specified table either does not exist or user does not have the proper privleges.', 'Specify the correct table to use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01496', 'specified chain row table form incorrect', 'The specified table does not have the proper field definitions.', 'Specify the correct table to use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01497', 'illegal option for ANALYZE CLUSTER', 'The FOR COLUMNS <column-list> clause may not be used with ANALYZE CLUSTER.', 'Retry with a legal syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01237', 'cannot extend datafile string', 'An operating system error occurred during the resize.', 'Fix the cause of the operating system error and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01238', 'cannot shrink datafile string', 'An operating system error occurred during the resize.', 'The error is ignored, operation continues normally.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01239', 'database must be in ARCHIVELOG mode to use external cache', 'An online file uses an external cache, but the database is in NOARCHIVELOG mode. Since an external cache may require media recovery this can not be allowed.', 'Change database to be in ARCHIVELOG mode or do not use an external cache.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01240', 'too many data files to add in one command', 'The command specifies adding more data files than can be done in one command. It is necessary to fit all the file names into one log entry, but that would make the entry too large.', 'If this is a CREATE TABLESPACE command, create with fewer files then add the other files later. If this is an ADD DATAFILE command, break it up into multiple commands.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01241', 'an external cache has died', 'The external cache may have been restarted.', 'Take the file mentioned in the error stack offline, perform media recovery, bring the file online, and retry the attempted operation. You may also restart all instances to make sure they access all data files through consistent external caches.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01242', 'data file suffered media failure: database in NOARCHIVELOG mode', 'The database is in NOARCHIVELOG mode and a database file was detected as inaccessible due to media failure.', 'Restore accessibility to the file mentioned in the error stack and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01243', 'system tablespace file suffered media failure', 'A system tablespace file was detected as inaccessible due to media failure.', 'Restore accessibility to the file mentioned in the error stack and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01244', 'unnamed datafile(s) added to control file by media recovery', 'Media recovery with a backup control file or a control file that was rebuilt, encountered the creation of a datafile that was not in the control file. An entry has been added to the control file for the new datafiles, but with the file name UNNAMEDnnnn, where nnnn is the file number. Attached errors describe the file names that were originally used to create the files.', 'Rename the files to valid file names and resume recovery. If necessary the command ALTER DATABASE CREATE DATAFILE may be used to create a file suitable for recovery and do the rename. If the file is not going to be recovered then take it offline with the FOR DROP option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01245', 'offline file string will be lost if RESETLOGS is done', 'Attempting to do an OPEN RESETLOGS with a file that will be lost because it is offline. The file was not taken offline with the FOR DROP option.', 'Either bring the file online and recover it, or take it offline with the FOR DROP option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01246', 'recovering files through TSPITR of tablespace string', 'The files named in the accompanying errors are backups that were made before a tablespace point in time recovery of this tablespace. They cannot be recovered to a time after the point in time recovery.', 'Restore more recent backups and recover them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01247', 'database recovery through TSPITR of tablespace string', 'Recovery of the whole database encountered redo indicating there was a point in time recovery of the tablespace. The new version of the files in the tablespace should be included in the recovery, but that was not done.', 'If the tablespace should not be recovered, take its file offline for drop. If it should be recovered, then restore or rename as needed and restart the recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01248', 'file string was created in the future of incomplete recovery', 'Attempting to do a RESETLOGS open with a file entry in the control file that was originally created after the UNTIL time of the incomplete recovery. Allowing such an entry may hide the version of the file that is needed at this time. The file number may be in use for a different file which would be lost if the RESETLOGS was allowed.', 'If more recovery is desired then apply redo until the creation time of the file is reached. If the file is not wanted and the same file number is not in use at the stop time of the recovery, then the file can be taken offline with the FOR DROP option. Otherwise a different control file is needed to allow the RESETLOGS. Another backup can be restored and recovered, or a control file can be created via CREATE CONTROLFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01249', 'archiving not allowed in a clone database', 'Attempting to archive an online redo log or enable archiving for a clone database.', 'Do not attempt to archive from a clone. The archive log destination could easily be the same as the primary database destroying its archived logs. If archiving is needed then recreate database as not a clone.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01250', 'Error string occurred during termination of file header access', 'The indicated error occurred while terminating the processing of file headers. The error was other than a write error.', 'The indicated error should be corrected.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01251', 'Unknown File Header Version read for file number string', 'Read of the file header returned a record but its version cannot be identified. Either the header has been corrupted, or the file is not a valid database file.', 'Have the operating system make the correct file available to the database, or recover the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01252', 'cannot prevent writes - file string in recovery manager backup', 'An attempt to make a tablespace read only or offline normal found that a recovery manager proxy backup is in progress. If the file is made offline or read-only, then the file header cannot be updated when the backup is complete.', 'Wait for the Recovery Manager backup to complete and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01253', 'cannot start online backup - file string in recovery manager backup', 'The specified file is being backed up by Recovery Manager.', 'Wait for the Recovery Manager proxy backup to complete before starting another backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01254', 'cannot end online backup - file string in recovery manager backup', 'The specified file is being backed up by Recovery Manager.', 'Wait for the Recovery Manager proxy backup to complete. Recovery Manager backup mode cannot be initiated or terminated manually.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01255', 'cannot shutdown - file string in recovery manager backup', 'An attempt to shutdown normally found that a Recovery Manager backup is still in progress.', 'Wait for the Recovery Manager proxy backup to complete and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01256', 'error in locking database file string', 'The file is in use by another database instance.', 'Determine which database instance legitimately owns the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01257', 'cannot reuse database file string, unknown file size', 'The size of the raw partion cannot be determined', 'Add the datafile/logfile by specifying the size parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01258', 'unable to delete temporary file string', 'A DROP TABLESPACE INCLUDING CONTENTS AND DATAFILES or ALTER DATABASE TEMPFILE DROP INCLUDING DATAFILES operation was not able to delete a temporary file in the database.', 'Subsequent errors describe the operating system error that prevented the file deletion. Fix the problem, if possible, and manually purge the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01187', 'cannot read from file string because it failed verification tests', 'The data file did not pass the checks to insure it is part of the database. Reads are not allowed until it is verified.', 'Make the correct file available to the database. Then, either open the database, or execute ALTER SYSTEM CHECK DATAFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01188', 'Block size string in header does not match physical block size string', 'A log file member given to CREATE CONTROLFILE is on a physical device that has a different block size than the device originally used to create the log.', 'Move the file to a device with the correct block size or use the RESETLOGS option to CREATE CONTROLFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01189', 'file is from a different RESETLOGS than previous files', 'In a CREATE CONTROLFILE command either this file or all previous files were backups from before the last RESETLOGS. This may also occur if this is a file that is offline and has been offline since before the last RESETLOGS.', 'If the file was taken offline normal before the last RESETLOGS, and is still offline, omit it from the CREATE CONTROLFILE command. Rename and online the file after the database is open. Otherwise find the version of the mentioned file consistent with the rest of the datafiles and resubmit the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01190', 'control file or data file string is from before the last RESETLOGS', 'Attempting to use a data file when the log reset information in the file does not match the control file. Either the data file or the control file is a backup that was made before the most recent ALTER DATABASE OPEN RESETLOGS.', 'Restore file from a more recent backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01191', 'file string is already offline - cannot do a normal offline', 'When attempting to do a normal tablespace offline it was discovered that one of the files in the tablespace was already offline.', 'Either bring the datafile online first, or use another tablespace offline option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01192', 'must have at least one enabled thread', 'You must specify at least two logfiles from at least one thread at the create contolfile command line.', 'Find the missing logfiles and resubmit the command with the newly found logfiles included in the command line.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01193', 'file string is not the same file seen at start of recovery', 'A different copy of the file was accessed the last time media recovery looked at the file header. A backup of the file was restored or the meaning of the file name changed during recovery.', 'Ensure the correct file is available, then retry recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01194', 'file string needs more recovery to be consistent', 'An incomplete recovery session was started, but an insufficient number of logs were applied to make the file consistent. The reported file was not closed cleanly when it was last opened by the database. It must be recovered to a time when it was not being updated. The most likely cause of this error is forgetting to restore the file from a backup before doing incomplete recovery.', 'Either apply more logs until the file is consistent or restore the file from an older backup and repeat recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01195', 'online backup of file string needs more recovery to be consistent', 'An incomplete recovery session was started, but an insufficient number of logs were applied to make the file consistent. The reported file is an online backup which must be recovered to the time the backup ended.', 'Either apply more logs until the file is consistent or restore the database files from an older backup and repeat recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01196', 'file string is inconsistent due to a failed media recovery session', 'The file was being recovered but the recovery did not terminate normally. This left the file in an inconsistent state. No more recovery was successfully completed on this file.', 'Either apply more logs until the file is consistent or restore the backup again and repeat recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01197', 'thread string only contains one log', 'During CREATE CONTROLFILE all threads represented in the logs must be represented by at least two logs. A "last log" and a second log. The named thread does not contain two such logs.', 'Either find more logs from the named thread. Or use the RESETLOGS option to CREATE CONTROLFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01198', 'must specify size for log file if RESETLOGS', 'File sizes must be given for all logfiles if doing a CREATE CONTROLFILE with the RESETLOGS option.', 'Resubmit the command with the appropriate logfile size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01199', 'file string is not in online backup mode', 'Attempting to end an online backup for a file that is not in online backup.', 'Do not enter command since it is not needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01200', 'actual file size of string is smaller than correct size of string blocks', 'The size of the file as returned by the operating system is smaller than the size of the file as indicated in the file header and the control file. Somehow the file has been truncated. Maybe it is the result of a half completed copy.', 'Restore a good copy of the data file and do recovery as needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01201', 'file string header failed to write correctly', 'An I/O error was reported for the file header. The error was trapped and a second attempt will be made.', 'The file probably will require recovery. Further error messages will indicate what is needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01202', 'wrong incarnation of this file - wrong creation time', 'The creation time in the file header is not the same as the creation time in the control file. This is probably a copy of a file that was dropped.', 'Restore a current copy of the data file and do recovery as needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01203', 'wrong incarnation of this file - wrong creation SCN', 'The creation SCN in the file header is not the same as the creation SCN in the control file. This is probably a copy of a file that was dropped.', 'Restore a current copy of the data file and do recovery as needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01204', 'file number is string rather than string - wrong file', 'The file number in the file header is not correct. This is probably a restored backup of the wrong file, but from the same database.', 'Restore a copy of the correct data file and do recovery as needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01205', 'not a data file - type number in header is string', 'The file type in the header is not correct for a data file. This is probably a log file or control file. If the type is not a small non-zero positive number then the header is corrupted.', 'Restore a copy of the correct data file and do recovery as needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01206', 'file is not part of this database - wrong database id', 'The database ID in the file header does not match the database id in the control file. The file may be from a different database, or it may not be a database file at all. If the database was rebuilt, this may be a file from before the rebuild. Note that if you see this error when the file is supposed to be plugged in from another database via the Transportable Tablespace feature, it means the database ID in the file header does not match the one expected.', 'Restore a copy of the correct data file and do recovery as needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01207', 'file is more recent than control file - old control file', 'The control file change sequence number in the data file is greater than the number in the control file. This implies that the wrong control file is being used. Note that repeatedly causing this error can make it stop happening without correcting the real problem. Every attempt to open the database will advance the control file change sequence number until it is great enough.', 'Use the current control file or do backup control file recovery to make the control file current. Be sure to follow all restrictions on doing a backup control file recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01208', 'data file is an old version - not accessing current version', 'The checkpoint in the file header is less recent than in the control file. If opening a database that is already open by another instance, or if another instance just brought this file online, the file accessed by this instance is probably a different version. Otherwise, a backup of the file probably was restored while the file was in use.', 'Make the correct file available to the database. Then, either open the database, or execute ALTER SYSTEM CHECK DATAFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01209', 'data file is from before the last RESETLOGS', 'The reset log data in the file header does not match the control file. If the database is closed or the file is offline, the backup is old because it was taken before the last ALTER DATABASE OPEN RESETLOGS command. If opening a database that is open already by another instance, or if another instance just brought this file online, the file accessed by this instance is probably a different version. Otherwise, a backup of the file probably was restored while the file was in use.', 'Make the correct file available to the database. Then, either open the database, or execute ALTER SYSTEM CHECK DATAFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01210', 'data file header is media corrupt', 'The file header block is internally inconsistent. The beginning of the block has a header with a checksum and other data for insuring the consistancy of the block. It is possible that the last disk write did not operate correctly. The most likely problem is that this is not a datafile for any database.', 'Have operating system make correct file available to database. If the trace file dump indicates that only the checksum is wrong, restore from a backup and do media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01211', 'Oracle7 data file is not from migration to Oracle8', 'The file is not a copy of the file LAST used under Oracle7. This datafile is either a backup taken from before the migration, or the database was opened by Oracle7 after the migration utility was run. When converting a database from Oracle7 to Oracle8, the migration program MUST be the LAST utility to access the database under Oracle7. Only the datafiles that were current when the migration was done may be accessed by Oracle8.', 'Have operating system make correct data file available to database, or repeat the Oracle7 to Oracle8 migration. Make sure that database is NOT opened after migration utility is run.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01212', 'MAXLOGMEMBERS may not exceed string', 'MAXLOGMEMBERS specified on the command line too large.', 'Resubmit the command with a smaller MAXLOGMEMBERS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01213', 'MAXINSTANCES may not exceed string', 'MAXINSTANCES specified on the command line too large.', 'Resubmit the command with a smaller MAXINSTANCES', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01214', 'MAXLOGHISTORY may not exceed string', 'MAXLOGHISTORY specified on the command line too large.', 'Resubmit the command with a smaller MAXLOGHISTORY', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01215', 'enabled thread string is missing after CREATE CONTROLFILE', 'A CREATE CONTROLFILE statement was given which did not list all the enabled threads for the database.', 'Reissue the CREATE CONTROLFILE statement, including all enabled threads.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01216', 'thread string is expected to be disabled after CREATE CONTROLFILE', 'A thread that was given during CREATE CONTROLFILE is enabled, but the datafiles indicate that it should be disabled. This is probably because the logs supplied to the CREATE CONTROLFILE are old (from before the disabling of the thread).', 'This thread is not required to run the database. The CREATE CONTROLFILE statement can be reissued without the problem thread, and, if desired, the thread can be recreated after the database is open.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01259', 'unable to delete datafile string', 'A DROP TABLESPACE INCLUDING CONTENTS AND DATAFILES operation was not able to delete a datafile in the tablespace.', 'Subsequent errors describe the operating system error that prevented the file deletion. Fix the problem, if possible, and manually purge the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01260', 'warning: END BACKUP succeeded but some files found not to be in backup mode', 'END BACKUP completed successfully for all files that were in online backup mode. However one or more modifiable files were found not to be in online backup mode. Backup of those files (if it was done) can be invalid and, if restored, can result in an inconsistent database.', 'Check the alert log for a list of the files that were found not to be in backup mode. If there is a possibility that those files have been modified during online backup, then replace their backups with new ones.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01261', 'Parameter string destination string cannot be translated', 'The value for the specified parameter contained a destination string that could not be translated.', 'Use a valid destination string in the specified parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01262', 'Stat failed on a file destination directory', 'Unable to get information about an Oracle managed files destination directory.', 'Check the permissions on the directory or use a different directory name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01263', 'Name given for file destination directory is invalid', 'The name given for an Oracle managed files destination does not correspond to a directory.', 'Use a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01264', 'Unable to create string file name', 'Unable to create an Oracle managed file name.', ', if possible, and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01265', 'Unable to delete string string', 'An error prevented the file from being deleted.', 'See the subsequent error messsages that describe the operating system error that prevented the file from being deleted. If possible, fix the problem and manually delete the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01266', 'Unable to create unique file name', 'Unable to create a unique file name for an Oracle managed file. Oracle tried several names but each file name was already in use in the default destination directory for the file type.', 'Retry the operation. If that fails, also, it may be necessary to change the default destination directory for the file type and then retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01267', 'Failure getting date/time', 'Could not get date/time when trying to create unique file name.', 'Internal error - contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01268', 'invalid TEMPFILE clause for alter of permanent TABLESPACE', 'A TEMPFILE clause was specified for an ALTER TABLESPACE for a permanent tablespace.', 'Retry with a DATAFILE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01269', 'Destination parameter string is too long', 'The value for DB_CREATE_FILE_DEST, DB_CREATE_ONLINE_LOG_DEST_n or DB_RECOVERY_FILE_DEST parameter was too long.', 'Replace the destination value for the specified parameter with a shorter character string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01270', 'string operation is not allowed if STANDBY_PRESERVES_NAMES is true', 'An operation that renames or adds/drops a file was attempted at a standby database and STANDBY_PRESERVES_NAMES is true.', 'Set STANDBY_PRESERVES_NAMES false if the operation must be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01271', 'Unable to create new file name for file string', 'During standby database recovery an error occurred when trying to create a new file name for the indicated file.', 'Use the ALTER DATABASE CREATE DATAFILE command with a new unique name and then resume the standby database recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01272', 'REUSE only allowed when a file name is provided.', 'The REUSE parameter was specified in a command without a file name.', 'Either supply a file name or remove the REUSE parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01273', 'STANDBY_FILE_MANAGEMENT = AUTO needs COMPATIBLE = string or higher', 'Automated standby file management was disabled, so an added file', 'Restart the instance with COMPATIBLE set to the correct release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01274', 'cannot add datafile ''string'' - file could not be created', 'Automated standby file management was disabled, so an added file could not automatically be created on the standby. The error from the creation attempt is displayed in another message. The control file file entry for the file is ''UNNAMEDnnnnn''.', 'Use the ALTER DATABASE CREATE DATAFILE statement to create the file, or set STANDBY_FILE_MANAGEMENT to AUTO and restart standby recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01275', 'Operation string is not allowed if standby file management is automatic.', 'An operation that renames, adds, or drops a file was attempted at a standby database and STANDBY_FILE_MANAGEMENT was set to AUTO.', 'Set STANDBY_FILE_MANAGEMENT to MANUAL if the operation must be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01276', 'Cannot add file string. File has an Oracle Managed Files file name.', 'An attempt was made to add to the database a datafile, log file, control file, snapshot control file, backup control file, datafile copy, control file copy or backuppiece with an Oracle Managed Files file name.', 'Retry the operation with a new file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01277', 'file ''string'' already exists', 'An ALTER DATABASE BACKUP CONTROLFILE TO TRACE AS ''filename'' command specified a file name which is already in use.', 'Either specify a different file name, or add the REUSE parameter to the command to overwrite the existing file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01278', 'error creating file ''string''', 'An operating system error occurred while attempting to create a trace file specified in the command ALTER DATABASE BACKUP CONTROLFILE TO TRACE AS ''filename''.', 'Check the error stack for more detailed information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01279', 'db_files too large', 'db_files has been set too high to be supported by the system.', 'Decrease the number of db_files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01280', 'Fatal LogMiner Error.', 'An internal error has occurred inside LogMiner.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01281', 'SCN range specified is invalid', 'StartSCN may be greater than EndSCN, or the SCN specified may be invalid.', 'Specify a valid SCN range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01282', 'date range specified is invalid', 'startTime may be greater than endTime. startTime or endTime may be greater than year 2110. startTime may be less than year 1988.', 'Specify a valid date range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01283', 'Options specified is invalid', 'The specified options parameter is invalid for the procedure.', 'Specify valid Options parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01284', 'file string cannot be opened', 'The file or directory may not exist or may be inaccessible. Pathname exceeds 256 characters.', 'Ensure that the file and the directory exist and are accessible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01285', 'error reading file string', 'The file or directory may not exist or is inaccessible.', 'Specify valid file or directory. Make sure that file and directory are accessible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01286', 'start interval required', 'Options were supplied which require a starting time or starting SCN', 'Specify a starting interval (time or SCN).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01287', 'file string is from a different database incarnation', 'The logfile is produced by a different incarnation of the database.', 'Add a logfile that is produced by the same incarnation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01288', 'cannot apply this DDL to the Logminer Dictionary', 'A command that is not supported by Logminer was present in a logfile. Commands that change the character set of the database are not supported by Logminer. "ALTER DATABASE SET TIME_ZONE" is not supported by Logminer.', 'Do not execute unsupported commands when using Streams, Logical Standby, or Logminer. Turn off DDL tracking in order for Logminer to skip unsupported commands.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01289', 'cannot add duplicate logfile string', 'The logfile specified has already been added to the list of logfiles.', 'Specify a different logfile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01290', 'cannot remove unlisted logfile string', 'The user attempted to remove a logfile that is not present in the list.', 'Specify a valid logfile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01291', 'missing logfile', 'Not all logfiles corresponding to the time or scn range specified have been added to the list.', 'Check the v$logmnr_logs view to determine the missing scn range, and add the relevant logfiles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01292', 'no log file has been specified for the current LogMiner session', 'No logfile has been specified for the LogMiner session.', 'Specify atleast one log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01293', 'mounted database required for specified LogMiner options', 'Options were specified which required the database to be mounted', 'Specify different options or mount the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01294', 'error occurred while processing information in dictionary file string, possible corruption', 'The dictionary file is corrupt.', 'Get a new dictionary file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01295', 'DB_ID mismatch between dictionary string and logfiles', 'The dictionary file is produced by a database that is different from that produced the logfiles.', 'Specify a compatible dictionary file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01296', 'character set mismatch between dictionary string and logfiles', 'The character set of the database that produced the dictionary file is different from the charatcter set of the database that produced the logfiles.', 'Specify a dictionary file with the same character set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01297', 'redo version mismatch between dictionary string and logfiles', 'The redo version of the database generating the dictionary is different from the one generating the logfiles.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01298', 'conflicting dictionary option', 'More than one dictionary source was specified or DDL_DICT_TRACKING was specified with DICT_FROM_ONLINE_CATALOG.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01299', 'dictionary string corresponds to a different database incarnation', 'The dictionary file was extracted from a different incarnation of the database.', 'Specify a dictionary file extracted from the correct database incarnation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01300', 'writable database required for specified LogMiner options', 'Options were specified which required the database to be writable.', 'Specify different options or open the database for write access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01301', 'error writing to file during flat file build', 'Error writing to file during flat file build', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01302', 'dictionary build options missing or incorrect', 'Missing dictionary build options or incorrectly specified options', 'Specify either a build to redo log or to flat file. If build to flat file, specify filename and directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01562', 'failed to extend rollback segment number string', 'Failure occurred when trying to extend rollback segment', 'This is normally followed by another error message that caused the failure. You may take the rollback segment offline to perform maintainence. Use the alter rollback segment offline command to take the rollback segment offline.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01563', 'rollback segment is PUBLIC, need to use the keyword PUBLIC', 'Did not use the keyword PUBLIC to identified public rollback segment', 'Use the keyword PUBLIC when identifying public rollback segment', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01564', 'rollback segment is not PUBLIC', 'The rollback segment segment identified is not public', 'Do not use the keyword PUBLIC when identifying private rollback segment', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01565', 'error in identifying file ''string''', 'An error occurred while trying to identify a file.', 'Check the error stack for detailed information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01566', 'file specified more than once in ALTER DATABASE', 'The list of files supplied to the command contained at least one duplicate.', 'Remove the duplicate file specification and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01567', 'dropping log string would leave less than 2 log files for instance string (thread string)', 'Dropping all the logs specified would leave fewer than the required two log files per enabled thread.', 'Either drop fewer logs or disable the thread before deleting the logs. It may be possible to clear the log rather than drop it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01568', 'cannot set space quota on PUBLIC', 'Trying to set space quota on a tablespace for PUBLIC.', 'If trying to grant system-wide or tablespace-wide space priviledges to all users, use GRANT RESOURCE [ON <tablespace>] TO PUBLIC.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01569', 'data file too small for system dictionary tables', 'The datafile specified during creation of the database is too small to hold the system dictionary tables.', 'Recreate the database by specifying a larger file or more files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01570', 'MINEXTENTS must be no larger than the string extents currently allocated', 'The number of extents allocated is smaller than the MINEXTENTS specified.', 'Specify a smaller MINEXTENTS value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01571', 'redo version string incompatible with ORACLE version string', 'This software version can not read the current redo logs, and either crash recovery is required or there are offline database files that need media recovery. If a file name is listed then it needs media recovery.', 'Shutdown and startup using the compatible software. Do any required media recovery, and open the database. Shutdown and then startup using current software. If the file is going to be dropped then take it offline with the DROP option to skip this check.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01572', 'rollback segment ''string'' cannot be brought online, string extents exceeded', 'The number of extents in the rollback segment exceeds the hard limit. It cannot be brought online for writing.', 'Drop and recreate the rollback segment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01573', 'shutting down instance, no further change allowed', 'Some process tries to make changes while the db is being shutdown', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01574', 'maximum number of concurrent transactions exceeded', 'the limit on the number of concurrent transactions has been hit', 'shutdown the system, increase the INIT.ORA parameter ''transactions'' , and then restart the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01575', 'timeout waiting for space management resource', 'failed to acquire necessary resource to do space management.', 'Retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01576', 'The instance string is not enabled', 'The thread associated with instance is not enabled.', 'Enable the thread associated with the instance using ALTER DATABASE ENABLE INSTANCE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01577', 'cannot add log file ''string'' - file already part of database', 'During CREATE or ALTER DATABASE, a file being added is already part of the database.', 'Use a different file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01578', 'ORACLE data block corrupted (file # string, block # string)', 'The data block indicated was corrupted, mostly due to software errors.', 'Try to restore the segment containing the block indicated. This may involve dropping the segment and recreating it. If there is a trace file, report the errors in it to your ORACLE representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01579', 'write error occurred during recovery', 'A write error occurred during recovery', 'Consult trace files for the nature of the write error, and correct error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01580', 'error creating control backup file string', 'An operating system error occurred while attempting to create a control file backup.', 'Check the error stack for more detailed information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01581', 'attempt to use rollback segment (string) new extent (string) which is being allocated', 'Undo generated to extend a rollback segment run out of current undo block space and is attempting to write into the new extent which has not been completely allocated.', 'The rollback segment extending will be rollbacked by the system, no more extension will be possible untill the next extent is freed up by rolling back or committing other transactions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01582', 'unable to open control file for backup', 'An operating system error occurred while attempting to open a control file for backup.', 'Check the error stack for more detailed information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01583', 'unable to get block size of control file to be backed up', 'An operating system error occurred while attempting to get the block size of a control file for backup.', 'Check the error stack for more detailed information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01584', 'unable to get file size of control file to be backed up', 'An operating system error occurred while attempting to get the file size of a control file for backup.', 'Check the error stack for more detailed information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01585', 'error identifying backup file string', 'An operating system error occurred when attempting to identify the file to be used for control file backup.', 'Check the error stack for more detailed information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01586', 'database must be mounted EXCLUSIVE and not open for this operation', 'Attempting to DROP DATABASE when the database is not mounted EXCLUSIVE.', 'Mount the database in EXCLUSIVE mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01588', 'must use RESETLOGS option for database open', 'An earlier attempt to open the database with the RESETLOGS option did not complete, or recovery was done with a control file backup, or a FLASHBACK DATABASE was done.', 'Use the RESETLOGS option when opening the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01589', 'must use RESETLOGS or NORESETLOGS option for database open', 'Either incomplete or backup control file recovery has been performed. After these types of recovery you must specify either the RESETLOGS option or the NORESETLOGS option to open your database.', 'Specify the appropriate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01590', 'number of segment free list (string) exceeds maximum of string', 'storage parameter FREELIST GROUPS is too large.', 'Reduce storage parameters FREELIST GROUPS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01591', 'lock held by in-doubt distributed transaction string', 'Trying to access resource that is locked by a dead two-phase commit transaction that is in prepared state.', 'DBA should query the pending_trans$ and related tables, and attempt to repair network connection(s) to coordinator and commit point. If timely repair is not possible, DBA should contact DBA at commit point if known or end user for correct outcome, or use heuristic default if given to issue a heuristic commit or abort command to finalize the local portion of the distributed transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01500', 'failure in getting date/time', 'During create database or alter tablespace, there was a failure in getting the date and time.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01501', 'CREATE DATABASE failed', 'An error occurred during create database', 'See accompanying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01502', 'index ''string.string'' or partition of such index is in unusable state', 'An attempt has been made to access an index or index partition that has been marked unusable by a direct load or by a DDL operation', 'DROP the specified index, or REBUILD the specified index, or REBUILD the unusable index partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01503', 'CREATE CONTROLFILE failed', 'An error occurred during CREATE CONTROLFILE', 'See accompanying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01504', 'database name ''string'' does not match parameter db_name ''string''', 'The name in a database create or mount does not match the name given in the INIT.ORA parameter db_name.', 'correct or omit one of the two names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01505', 'error in adding log files', 'During create or alter database, error(s) occurred when adding new log files.', 'Check error stack for detailed error information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01506', 'missing or illegal database name', 'No db_name INIT.ORA aprameter was specified.', 'The database name must be given in the db_name INIT.ORA parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01507', 'database not mounted', 'A command was attempted that requires the database to be mounted.', 'If you are using the ALTER DATABASE statement via the SQLDBA startup command, specify the MOUNT option to startup; else if you are directly doing an ALTER DATABASE DISMOUNT, do nothing; else specify the MOUNT option to ALTER DATABASE. If you are doing a backup or copy, you must first mount the desired database. If you are doing a FLASHBACK DATABASE, you must first mount the desired database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01508', 'cannot create database; error in file ''string'' at line string', 'CREATE DATABASE was unable to process the specified file.', 'Check the offending line in the specified file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01509', 'specified name ''string'' does not match actual ''string''', 'The database name specified in ALTER DATABASE does not match the name of the currently mounted database.', 'Correct the database name spelling or DISMOUNT the mounted database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01510', 'error in deleting log files', 'During ALTER DATABASE, an error occurred while dropping log files.', 'Check the error stack for detailed error information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01511', 'error in renaming log/data files', 'An error occurred during the ALTER DATABASE RENAME FILE command.', 'Check the error stack for detailed error information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01512', 'error renaming log file string - new file string not found', 'An attempt to change a log file''s name in the control file failed because no file was found with the new name.', 'Make sure that the log file has been properly renamed by the operating system and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01513', 'invalid current time returned by operating system', 'The operating system returned a time that was not between 1988 and 2121.', 'Correct the time kept by the operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01514', 'error in log specification: no such log', 'A log file name, or list of member names, did not correspond to an existing log.', 'Specify an existing log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01515', 'error dropping log group string: no such log', 'ALTER DATABASE is attempting to drop a log file which is not known to the database control file.', 'Specify the name of an existing log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01516', 'nonexistent log file, datafile, or tempfile "string"', 'An attempt was made to use ALTER DATABASE to rename a log file, datafile, or tempfile; or to change attributes of a datafile or tempfile (e.g., resize, autoextend, online/offline, etc.); or to re-create a datafile. The attempt failed because the specified file is not known to the database''s control file or is not of a type supported by the request.', 'Specify the name or number of an existing file of the correct type, as appropriate. Check the relevant V$ table for a list of possible files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01517', 'log member: ''string''', 'Used to print member names', 'See top level error for information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01518', 'CREATE DATABASE must specify more than one log file', 'Only one log file was specified in the CREATE DATABASE statement.', 'Specify at least two log files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01519', 'error while processing file ''string'' near line string', 'CREATE DATABASE encountered a problem while processing specified file. The specified file is bad.', 'Retry your system installation procedure or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01520', 'number of data files to add (string) exceeds limit of string', 'CREATE TABLESPACE statement specifies more files than is permitted for this database.', 'Use fewer files or re-create the database with a larger value of MAXDATAFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01521', 'error in adding data files', 'During CREATE or ALTER TABLESPACE, an error was detected while adding data files.', 'Check the error stack for detailed error information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01522', 'file ''string'' to be renamed does not exist', 'During ALTER TABLESPACE RENAME, a file to be renamed was not found in the database control file.', 'Specify the correct file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01523', 'cannot rename data file to ''string'' - file already part of database', 'During ALTER DATABASE RENAME or ALTER TABLESPACE RENAME, the new name of a file is already present in the control file.', 'Rename the file to a name not already being used as part of the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01524', 'cannot create data file as ''string'' - file already part of database', 'During ALTER DATABASE CREATE DATAFILE, the new name of a file is already present in the control file.', 'Create the file as a name not already being used as part of the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01525', 'error in renaming data files', 'An error occurred when renaming files as part of ALTER TABLESPACE.', 'Check the error stack for detailed information. All files are renamed except for those mentioned in the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01526', 'error in opening file ''string''', 'CREATE DATABASE was not able to open the specified file. This is probably due to a system installation error.', 'Retry your system installation procedure or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01527', 'error while reading file', 'CREATE DATABASE was not able to read the specified file. This is probably due to a system installation error.', 'Retry your system installation procedure or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01528', 'EOF while processing SQL statement', 'CREATE DATABASE unexpectedly hit EOF while reading the specified file. The sql.bsq file is bad.', 'Retry your system installation procedure or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01529', 'error closing file ''string''', 'CREATE DATABASE was not able to close the specified file.', 'Retry your system installation procedure or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01530', 'a database already mounted by the instance', 'During ALTER DATABASE MOUNT, an attempt is being made to mount a database on an instance in which a database is or has previously been mounted.', 'If you wish to mount the database, shutdown the instance and then startup the instance and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01531', 'a database already open by the instance', 'During ALTER DATABASE, an attempt was made to open a database on an instance for which there is already an open database.', 'If you wish to open a new database on the instance, first shutdown the instance and then startup the instance and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01532', 'cannot create database; instance being started elsewhere', 'During CREATE DATABASE, another user appears to be simultaneously altering the instance.', 'Make sure no one else is simultaneously altering the instance. If no one is, contact your customer support representative; otherwise, retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01533', 'cannot rename file ''string''; file does not belong to tablespace', 'During ALTER TABLESPACE RENAME, a file to be renamed was not found in the argument tablespace.', 'Specify the correct file name or the correct tablespace name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01534', 'rollback segment ''string'' doesn''t exist', 'During ALTER or DROP ROLLBACK SEGMENT, the specified rollback segment name is unknown.', 'Use the correct rollback segment name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01535', 'rollback segment ''string'' already exists or given name has prefix _SYSSMU', 'Specified rollback segment already exists or given name starts with _SYSSMU.', 'Use a different name. Note that _SYSSMU is an illegal prefix to an RBU segment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01536', 'space quota exceeded for tablespace ''string''', 'The space quota for the segment owner in the tablespace has been exhausted and the operation attempted the creation of a new segment extent in the tablespace.', 'Either drop unnecessary objects in the tablespace to reclaim space or have a privileged user increase the quota on this tablespace for the segment owner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01537', 'cannot add file ''string'' - file already part of database', 'During CREATE or ALTER TABLESPACE, a file being added is already part of the database.', 'Use a different file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01538', 'failed to acquire any rollback segment', 'Failed to acquire any rollback segment during startup in shared mode', 'Startup in exclusive mode to create one more public segment or specify available private segments in the INIT.ORA parameter rollback_segments_required, then startup in shared mode', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01539', 'tablespace ''string'' is not online', 'Failed to either make a tablespace read only or offline because it is not online. A tblespace must be online before it can become read only or offline normal.', 'Check the status of the tablespace. Use IMMEDIATE or TEMPORARY options to force all files offline. Bring the tablespace online before making it read only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01540', 'tablespace ''string'' is not offline', 'Failed to bring a tablespace online because it is not offline', 'Check the status of the tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01541', 'system tablespace cannot be brought offline; shut down if necessary', 'Tried to bring system tablespace offline', 'Shutdown if necessary to do recovery', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01542', 'tablespace ''string'' is offline, cannot allocate space in it', 'Tried to allocate space in an offline tablespace', 'Bring the tablespace online or create the object in other tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01543', 'tablespace ''string'' already exists', 'Tried to create a tablespace which already exists', 'Use a different name for the new tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01544', 'cannot drop system rollback segment', 'Tried to drop system rollback segment', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01545', 'rollback segment ''string'' specified not available', 'Either: 1) An attempt was made to bring a rollback segment online that is unavailable during startup; for example, the rollback segment is in an offline tablespace. 2) An attempt was made to bring a rollback segment online that is already online. This is because the rollback segment is specified twice in the ROLLBACK_SEGMENTS parameter in the initialization parameter file or the rollback segment is already online by another instance. 3) An attempt was made to drop a rollback segment that is currently online. 4) An attempt was made to alter a rollback segment that is currently online to use unlimited extents. 5) An attempt was made to online a rollback segment that is corrupted. This is because the rollback is specified in _corrupted_rollback_segments parameter in initialization parameter file.', 'Either: 1) Make the rollback segment available; for example, bring an offline tablespace online. 2) Remove the name from the ROLLBACK_SEGMENTS parameter if the name is a duplicate or if another instance has already acquired the rollback segment. 3) Bring the rollback segment offline first. This may involve waiting for the active transactions to finish, or, if the rollback segment needs recovery, discover which errors are holding up the rolling back of the transactions and take appropriate actions. 4) Same as 3). 5) Remove the name from the _corrupted_rollback_segments parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01546', 'tablespace contains active rollback segment ''string''', 'Tried to make a tablespace that contains active rollback segment(s) offline or read only', 'Shutdown instances that use the active rollback segments in the tablespace and then make the tablespace offline or read only', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01547', 'warning: RECOVER succeeded but OPEN RESETLOGS would get error below', 'Media recovery with one of the incomplete recovery options ended without error. However, if the ALTER DATABASE OPEN RESETLOGS command were attempted now, it would fail with the specified error. The most likely cause of this error is forgetting to restore one or more datafiles from a sufficiently old backup before executing the incomplete recovery.', 'Rerun the incomplete media recovery using different datafile backups, a different control file, or different stop criteria.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01548', 'active rollback segment ''string'' found, terminate dropping tablespace', 'Tried to drop a tablespace that contains active rollback segment(s)', 'Shutdown instances that use the active rollback segments in the tablespace and then drop the tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01549', 'tablespace not empty, use INCLUDING CONTENTS option', 'Tried to drop a non-empty tablespace', 'To drop all the objects in the tablespace, use the INCLUDING CONTENTS option', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01550', 'cannot drop system tablespace', 'Tried to drop system tablespace', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01551', 'extended rollback segment, pinned blocks released', 'Doing recursive extent of rollback segment, trapped internally by the system', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01552', 'cannot use system rollback segment for non-system tablespace ''string''', 'Tried to use the system rollback segment for operations involving non-system tablespace. If this is a clone database then this will happen when attempting any data modification outside of the system tablespace. Only the system rollback segment can be online in a clone database.', 'Create one or more private/public segment(s), shutdown and then startup again. May need to modify the INIT.ORA parameter rollback_segments to acquire private rollback segment. If this is a clone database being used for tablspace point in time recovery then this operation is not allowed. If the non-system tablespace has AUTO segment space management, then create an undo tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01553', 'MAXEXTENTS must be no smaller than the string extents currently allocated', 'The number of extents allocated is greater than the MAXEXTENTS specified.', 'Specify a larger MAXEXTENTS value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01554', 'out of transaction slots in transaction tables', 'Too many concurrent transactions', 'Shutdown the system, modify the INIT.ORA parameters transactions, rollback_segments or rollback_segments_required, then startup again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01555', 'snapshot too old: rollback segment number string with name "string" too small', 'rollback records needed by a reader for consistent read are overwritten by other writers', 'If in Automatic Undo Management mode, increase undo_retention setting. Otherwise, use larger rollback segments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01556', 'MINEXTENTS for rollback segment must be greater than 1', 'Specified MINEXTENTS of less than 2 for rollback segment', 'Specify larger MINEXTENTS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01557', 'rollback segment extents must be at least string blocks', 'Specified extent of less than minimum size for rollback segment', 'Specify larger extents', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01558', 'out of transaction ID''s in rollback segment string', 'All the available transaction id''s have been used', 'Shutdown the instance and restart using other rollback segment(s), then drop the rollback segment that has no more transaction id''s.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01559', 'MAXEXTENTS for rollback segment must be greater than 1', 'Specified MAXEXTENTS of less than 2 for rollback segment', 'Specify larger MAXEXTENTS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01560', 'LIKE pattern contains partial or illegal character', 'like pattern is not formed correctly', 'make sure like pattern is specified correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01592', 'error converting Version 7 rollback segment (string) to Oracle 8 format', 'Look at the accompanying internal error; Version 7 database may not have shutdown cleanly.', 'Investigate the internal error; may have to reload the Version 7 database (from backup) and shutdown the database cleanly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01595', 'error freeing extent (string) of rollback segment (string))', 'Some error occurred while freeing inactive rollback segment extents.', 'Investigate the accompanying error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01596', 'cannot specify system in string parameter', 'The system rollback segment is specified in the INIT.ORA parameter referred to in the error message', 'change the INIT.ORA parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01597', 'cannot alter system rollback segment online or offline', 'Tried to online or offline the system rollback segment', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01598', 'rollback segment ''string'' is not online', 'Could have been taken offline before by DBA or cleaned up by SMON.', 'Check the status of rollback segment in undo$ or dba_rollback_segs to make sure the rollback segment is actually online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01599', 'failed to acquire rollback segment (string), cache space is full', 'the amount statically allocated is not enough based on max_rollback_segments parameter.', 'For now take another rollback segment offline or increase the parameter max_rollback_segments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01600', 'at most one "string" in clause "string" of string', 'The INIT.ORA parameter was mis-specified.', 'Correct the INIT.ORA parameter and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01601', 'illegal bucket size in clause "string" of string', 'The bucket size was invalid for this parameter.', 'Correct the INIT.ORA parameter and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01603', 'illegal grouping size in clause "string" of string', 'The grouping size was invalid for this parameter.', 'Correct the INIT.ORA parameter and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01604', 'illegal number range in clause "string" of string', 'The number range was invalid for this parameter.', 'Correct the INIT.ORA parameter and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01605', 'missing numbers in clause "string" of string', 'The numbers were missing for this parameter.', 'Correct the INIT.ORA parameter and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01606', 'gc_files_to_locks not identical to that of another mounted instance', 'The gc_files_to_locks parameters were different on two instances.', 'Modify the INIT.ORA parameter gc_files_to_locks and restart.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01607', 'cannot add logfile to the specified instance', 'The limit on the number of instances supported by the control file has been reached.', 'Use an instance name supported by the control file, or resize the thread record and/or checkpoint progress record secions of the control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01608', 'cannot bring rollback segment ''string'' online, its status is (string)', 'Could have been brought online before by DBA or left as a result of process crash.', 'Check the status of rollback segment in undo$ or dba_rollback_segs', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01609', 'log string is the current log for thread string - cannot drop members', 'A member of the current log for a thread cannot be dropped.', 'If the thread is opened, request a log switch by the instance that is using it. If it is not open, disable the thread, manually archive the log, or clear it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01610', 'recovery using the BACKUP CONTROLFILE option must be done', 'Either an earlier database recovery session specified BACKUP CONTROLFILE, or the control file was recreated with the RESETLOGS option, or the control file being used is a backup control file. After that only BACKUP CONTROLFILE recovery is allowed and it must be followed by a log reset at the next database open.', 'Perform recovery using the BACKUP CONTROFILE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01611', 'thread number string is invalid - must be between 1 and string', 'A thread number in a command is greater than the number of threads supported by the control file.', 'Use a thread number that is valid, or resize the thread record and/or checkpoint progress record sections of the control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01612', 'instance string (thread string) is already enabled', 'An attempt was made to enable a thread that is already enabled.', 'Either use this thread or enable another thread.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01613', 'instance string (thread string) only has string logs - at least 2 logs required to enable.', 'The thread cannot be enabled because it only has two online log files associated with it.', 'Add logs to the thread or pick another thread to enable', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01614', 'instance string (thread string) is busy - cannot enable', 'The mount enqueue for the thread could not be acquired when attempting to enable the thread. This probably means that another process has already started enabling this thread.', 'Wait and try again, or find another thread to enable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01615', 'instance string (thread string) is mounted - cannot disable', 'Some instance, possibly this one, has allocated the thread for its use. The thread can not be disabled while in use.', 'Shut the instance down cleany using the thread.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01616', 'instance string (thread string) is open - cannot disable', 'The thread is not closed. The last instance to use the thread died leaving the thread open. A thread cannot be disabled until it is closed. It is still required for crash or instance recovery.', 'If the database is open, instance recovery should close the thread soon - wait a few minutes. Otherwise open the database - crash recovery will close the thread.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01617', 'cannot mount: string is not a valid thread number', 'The INIT.ORA parameter "thread" is not between 1 and the number of threads allowed by the control file.', 'Shut down the instance, change the INIT.ORA parameter and startup, or resize the thread record and/or checkpoint progress record sections of the control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01561', 'failed to remove all objects in the tablespace specified', 'Failed to remove all objects when dropping a tablespace', 'Retry the drop tablespace until all objects are dropped', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01593', 'rollback segment optimal size (string blks) is smaller than the computed initial size (string blks)', 'Specified OPTIMAL size is smaller than the cumulative size of the initial extents during create rollback segment.', 'Specify a larger OPTIMAL size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01594', 'attempt to wrap into rollback segment (string) extent (string) which is being freed', 'Undo generated to free a rollback segment extent is attempting to write into the same extent due to small extents and/or too many extents to free', 'The rollback segment shrinking will be rollbacked by the system; increase the optimal size of the rollback segment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01618', 'redo thread string is not enabled - cannot mount', 'The INIT.ORA parameter "thread" requests a thread that is not enabled. A thread must be enabled before it can be mounted.', 'Shutdown the instance, change the INIT.ORA parameter and startup mounting a different thread. If the database is open in another instance then the thread may be enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01619', 'thread string is mounted by another instance', 'The INIT.ORA parameter "thread" requests a thread that has been mounted by another instance. Only one instance may use a thread.', 'Shutdown the instance, change the INIT.ORA parameter and startup mounting a different thread.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01620', 'no public threads are available for mounting', 'The INIT.ORA parameter "thread" is zero, its default value. There are no threads which have been publicly enabled, and not mounted.', 'Shutdown the instance, change the INIT.ORA parameter to a thread which is privately enabled and not mounted. If the database is open in another instance, then a thread may be publicly enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01621', 'cannot rename member of current log if database is open', 'This is a rename command for a member of the current log for an open thread. If the database is open anywhere, the log may be in use, so the rename cannot be done.', 'Wait until the log is not current, or mount the database exclusively.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01622', 'thread number must be specified - default not specific', 'The thread was not specified when adding a log, and the currently mounted thread was chosen by default at mount time. Since the current thread was not specified explicitly the user cannot know which thread the log will be added to.', 'Explicitly specify the thread number either in the INIT.ORA parameter "thread", or in the add command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01623', 'log string is current log for instance string (thread string) - cannot drop', 'A thread''s current log cannot be dropped even if the thread is closed. A disabled thread usually does not have a current log, but a half completed disable may need to be disabled again.', 'If the database is not open then disable the thread. If the database is open and an instance has the thread open, then the instance can be requested to switch logs. If the database is closed the log can be archived or cleared to force a switch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01624', 'log string needed for crash recovery of instance string (thread string)', 'A log cannot be dropped or cleared until the thread''s checkpoint has advanced out of the log.', 'If the database is not open, then open it. Crash recovery will advance the checkpoint. If the database is open force a global checkpoint. If the log is corrupted so that the database cannot be opened, it may be necessary to do incomplete recovery until cancel at this log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01625', 'rollback segment ''string'' does not belong to this instance', 'Trying to shrink or take a rollback segment offline that does not belong to this instance.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01626', 'rollback segment number ''string'' cannot handle more transactions', 'Too many transactions in this segment.', 'Choose a different rollback segment, or reduce the number of concurrent transactions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01628', 'max # extents (string) reached for rollback segment string', 'An attempt was made to extend a rollback segment that was already at the MAXEXTENTS value.', 'If the value of the MAXEXTENTS storage parameter is less than the maximum allowed by the system, raise this value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01629', 'max # extents (string) reached saving undo for tablespace string', 'Save undo for the offline tablespace at max extents', 'Check the storage parameters for the system tablespace. The tablespace needs to be brought back online so the undo can be applied .', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01630', 'max # extents (string) reached in temp segment in tablespace string', 'A temp segment tried to extend past max extents.', 'If maxextents for the tablespace is less than the the system maximum, you can raise that. Otherwise, raise pctincrease for the tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01631', 'max # extents (string) reached in table string.string', 'A table tried to extend past maxextents', 'If maxextents is less than the system maximum, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01632', 'max # extents (string) reached in index string.string', 'An index tried to extend past maxextents', 'If maxextents is less than the system max, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01633', 'Real Application Clusters Option needed for this operation', 'System doesn''t have Real Application Clusters configured', 'Obtain Real Application Clusters option', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01634', 'rollback segment number ''string'' is about to go offline', 'The rollback segment specified was marked to go offline by DBA.', 'Bring the rollback segment online first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01635', 'rollback segment #string specified not available', '(same as 1545)', '(same as 1545)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01636', 'rollback segment ''string'' is already online', 'The instance is trying to online an already online RS', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01637', 'rollback segment ''string'' is being used by another instance (#string)', 'The instance is trying to online a RS already in use by another instance', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01638', 'parameter string does not allow ORACLE version string to mount cluster database', 'The recovery compatible parameter is set too low to allow this software version to mount in cluster database mode.', 'Either use an earlier software release or advance the recovery_compatible parameter. If this happens when no recovery_compatible parameter has been specified then set it to the current software release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01639', 'instance string has no thread assigned to it', 'There is no mapping from instance to thread for this instance in the control file.', 'Make sure that this instance has a thread assigned to it by adding logfiles to this instance or by starting the instance with an existing thread which will automatically create a mapping.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01640', 'cannot make tablespace read only with active transactions', 'Attempting to make a tablespace read only while there are active transactions in the database. All transactions must commit or rollback to insure that there is no undo for a tablespace before it can be made read only. This includes in doubt distributed transactions.', 'Prevent any more transactions from being started. Putting the database in restricted mode usually helps. If there are any in doubt transactions they must also be resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01627', 'rollback segment number ''string'' is not online', 'Could have been taken offline before by DBA or cleaned up by SMON.', 'Check the status of rollback segment in undo$ or dba_rollback_segs to make sure the rollback segment is actually online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01641', 'tablespace ''string'' is not online - cannot add data file', 'Attempting to add a datafile to a tablespace that has been set to read only or offline.', 'Make the tablespace online and read write then add the datafile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01642', 'begin backup not needed for read only tablespace ''string''', 'Attempting to begin or end a backup for a tablespace that has been set to read only.', 'Take the backup without any begin or end commands. The files are not being modified so the backup will be consistent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01643', 'system tablespace can not be made read only', 'Attempting to set the system tablespace to read only. The system tablespace must remain read write for database operation.', 'Leave system tablespace read write.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01644', 'tablespace ''string'' is already read only', 'Attempting to make tablespace read only that is already read only.', 'Leave tablespace read only, or make read write then make read only again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01645', 'previous attempt to make read write is half complete', 'A failure while making the tablespace read write left it read only, but the checkpoint was advanced. The tablespace will not be useable after a resetlogs if its files are offline.', 'Repeat the command to make the tablespace read write.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01646', 'tablespace ''string'' is not read only - cannot make read write', 'Attempting to make a tablespace read write that is not read only. It may be either online or offline.', 'Leave tablespace read write.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01647', 'tablespace ''string'' is read only, cannot allocate space in it', 'Tried to allocate space in a read only tablespace', 'Create the object in another tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01648', 'log string is the current log of disabled instance string (thread string)', 'An attempt to enable the thread failed after it was half completed. This log was left as the current log even though the thread is still disabled. Since a log switch cannot be done until the thread is enabled, the log can not be cleared or archived.', 'Complete the thread enable by issuing the enable command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01649', 'operation not allowed with a backup control file', 'An attempt is being made to perform a command that does not make sense when the control file is a restored backup.', 'Wait until after the database has been opened and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01650', 'unable to extend rollback segment string by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for a rollback segment in the tablespace.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01651', 'unable to extend save undo segment by string for tablespace string', 'Failed to allocate an extent of the required number of blocks for saving undo entries for the indicated offline tablespace.', 'Check the storage parameters for the SYSTEM tablespace. The tablespace needs to be brought back online so the undo can be applied.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01652', 'unable to extend temp segment by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for a temporary segment in the tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01653', 'unable to extend table string.string by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for a table segment in the tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01654', 'unable to extend index string.string by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for an index segment in the tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01655', 'unable to extend cluster string.string by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for a cluster segment in tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01656', 'max # extents (string) reached in cluster string.string', 'A cluster tried to extend past maxextents', 'If maxextents is less than the system maximum, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01657', 'invalid SHRINK option value', 'The specified value must be an integer.', 'Choose an appropriate integer value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01658', 'unable to create INITIAL extent for segment in tablespace string', 'Failed to find sufficient contiguous space to allocate INITIAL extent for segment being created.', 'Use ALTER TABLESPACE ADD DATAFILE to add additional space to the tablespace or retry with a smaller value for INITIAL', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01659', 'unable to allocate MINEXTENTS beyond string in tablespace string', 'Failed to find sufficient contiguous space to allocate MINEXTENTS for the segment being created.', 'Use ALTER TABLESPACE ADD DATAFILE to add additional space to the tablespace or retry with smaller value for MINEXTENTS, NEXT or PCTINCREASE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01660', 'tablespace ''string'' is already permanent', 'Attempting to make tablespace permanent that is already permanent.', 'Leave tablespace permanent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01661', 'tablespace ''string'' is already temporary', 'Attempting to make tablespace temporary that is already temporary.', 'Leave tablespace permanent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01662', 'tablespace ''string'' is non-empty and cannot be made temporary', 'Tried to convert a non-empty tablespace to a temporary tablespace', 'To drop all the objects in the tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01663', 'the contents of tablespace ''string'' is constantly changing', 'The contents of the tablespace is always changing between PERMANENT and TEMPORARY.', 'To decide what the tablespace contents should be and stay with it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01664', 'Transaction which has expanded the Sort Segment has aborted', 'Internal Error.', 'Contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01665', 'control file is not a standby control file', 'Attempting to mount, recover or activate a standby database without a standby control file.', 'Create a standby control file before attempting to use the database as a standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01666', 'control file is for a standby database', 'Attempting to mount, recover, or open a standby database without the appropriate command option to designate a standby database.', 'Use the standby option or appropriate commands, or mount with the primary control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01667', 'cannot add any more tablespaces: limit of string exceeded', 'There is no more room in the control file for adding tablespaces.', 'Resize the control file or drop other tablespaces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01668', 'standby database requires DROP option for offline of data file', 'Attempting to take a datafile offline in a standby database without specifying the DROP option. Files that are offline in a standby database are not recovered, and are likely to be unusable if the standby is activated. Note that specifying DROP does not prevent bringing the file online later.', 'Specify the DROP option or leave the file online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01669', 'standby database control file not consistent', 'Attempting to activate a standby database with a control file that has not been recovered to the same point as the data files. Most likely the control file was just copied from the primary database and has not been used for recovery.', 'Recover the standby database until all the files are consistent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01670', 'new datafile string needed for standby database recovery', 'Standby database recovery noticed that a file was added to the primary database, but is not available on the standby.', 'Either copy the file from the primary database or do an ALTER DATABASE CREATE DATAFILE command on the standby to create a file to recover.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01671', 'control file is a backup, cannot make a standby control file', 'The currently mounted control file is a backup control file, and attempting to create a control file for a standby database.', 'Complete any needed recovery and open the database with the resetlogs option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01672', 'control file may be missing files or have extra ones', 'Attempting to create a standby control file, but the control file was either recently created via CREATE CONTROLFILE or an incomplete recovery has been done. Thus the datafiles in the control file and the ones in the data dictionary may not match.', 'Open the database, then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01673', 'data file string has not been identified', 'This data file was not in the control file after an incomplete recovery or CREATE CONTROLFILE. Since information from its header is needed for standby database recovery, we can not create a standby control file.', 'Find the file and bring it online. If desired it may be taken offline again. If you intend to drop this file, then taking it offline with the DROP option will avoid this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01674', 'data file string is an old incarnation rather than current file', 'Recovery encountered redo that indicates this file was dropped from the database and another file was added using the same file number. This implies that a CREATE CONTROLFILE command was given the old file which was dropped rather than the latest file.', 'Rebuild the control file using CREATE CONTROLFILE, and give the correct file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01675', 'max_commit_propagation_delay inconsistent with other instances', 'The max_commit_propagation_delay INIT.ORA parameter is inconsistent with those in other instances.', 'Make sure all instances have the same max_commit_propagation_delay.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01676', 'standby file name convert of ''string'' exceeds maximum length of string', 'When the given file name is converted to the name used for the standby database, the converted name is bigger than the maximum allowed file name.', 'Change initialization parameter DB_FILE_STANDBY_NAME_CONVERT or LOG_FILE_STANDBY_NAME_CONVERT to convert to a valid file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01677', 'standby file name convert parameters differ from other instance', 'The DB_FILE_STANDBY_NAME_CONVERT or LOG_FILE_STANDBY_NAME_CONVERT initialization parameters are not the same as in other instances that already have the database mounted.', 'Change initialization parameters DB_FILE_STANDBY_NAME_CONVERT and LOG_FILE_STANDBY_NAME_CONVERT to match other instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01678', 'parameter string must be pairs of pattern and replacement strings', 'The initialization parameter does not have even number of strings for its value. The odd numbered strings are patterns to be found in file names. The even numbered strings are used to replace the corresponding patterns when found in file names.', 'Specify even number of strings for the parameter, or omit the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01679', 'database must be mounted EXCLUSIVE and not open to activate', 'An attempt to activate a standby database was made when the database was not mounted EXCLUSIVE or was already open.', 'Mount the database EXCLUSIVE and retry the ACTIVATE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01680', 'unable to extend LOB segment by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for a LOB segment in the tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01681', 'max # extents (string) reached in LOB segment in tablespace string', 'A LOB segment tried to extend past max extents.', 'If maxextents for the tablespace is less than the the system maximum, you can raise that. Otherwise, raise pctincrease for the tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01682', 'read-only DB cannot allocate temporary space in tablespace string', 'Temporary space (usually for sorting) could not be allocated in either main storage or a tempfile. An attempt was made to allocate the space from the tablespace named, but the database is opened read-only. The database open requires a sort work space.', 'Either allow sufficient workspace in main storage (SORT_AREA_SIZE initialization parameter), or create a temporary tablespace before making the database read-only. Use ALTER TABLESPACE ADD TEMPFILE statement to add temporary files to the temporary tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01683', 'unable to extend index string.string partition string by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for index segment in the tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01684', 'max # extents (string) reached in table string.string partition string', 'A table tried to extend past maxextents', 'If maxextents is less than the system maximum, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01685', 'max # extents (string) reached in index string.string partition string', 'An index tried to extend past maxextents', 'If maxextents is less than the system max, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01686', 'max # files (string) reached for the tablespace string', 'The number of files for a given tablespace has reached its maximum value', 'Resize existing files in the tablespace, or partition the objects among multiple tablespaces, or move some objects to a different tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01687', 'specified logging attribute for tablespace ''string'' is same as the existing', 'Attempting to change the tablespace default logging attribute (LOGGING or NOLOGGING) to be the same as the existing logging attribute', 'Change the specified logging attribute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01688', 'unable to extend table string.string partition string by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for table segment in the tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01689', 'syntax error in clause "string" of string', 'There was a syntax in the INIT.ORA parameter.', 'Fix the syntax error and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01690', 'sort area size too small', 'sort area size too small to fit two records in memory', 'increase sort_area_size', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01691', 'unable to extend lob segment string.string by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for LOB segment in the tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01692', 'unable to extend lob segment string.string partition string by string in tablespace string', 'Failed to allocate an extent of the required number of blocks for LOB segment in the tablespace indicated.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01693', 'max # extents (string) reached in lob segment string.string', 'A LOB segment tried to extend past maxextents', 'If maxextents is less than the system max, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01694', 'max # extents (string) reached in lob segment string.string partition string', 'A LOB segment tried to extend past maxextents', 'If maxextents is less than the system max, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01695', 'error converting rollback segment string to version 8.0.2', 'Version 8.0.1 database may not have shutdown cleanly', 'May have to reload the 8.0.1 database and shutdown cleanly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01696', 'control file is not a clone control file', 'Attempting to mount, a database as a clone when it is already mounted by another instance not as a clone or attempting to use a current control file for a clone.', 'Mount without the clone option or use a backup control file and shutdown the other instances before mounting as a clone.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01697', 'control file is for a clone database', 'Attempting to mount a clone database without the appropriate command option to designate a clone database.', 'Use the clone option or appropriate commands, or mount with the primary control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01698', 'a clone database may only have SYSTEM rollback segment online', 'Attempting to online a rollback segment in a clone database.', 'Do not use this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01699', 'tablespace ''string'' is being imported for point in time recovery', 'Attempting to online a tablespace or begin another point in time import while a point in time import is already in progress', 'Wait until the import complets', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01702', 'a view is not appropriate here', 'Among other possible causes, this message will be produced if an attempt was made to define an Editioning View over a view.', 'An Editioning View may only be created over a base table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01704', 'string literal too long', 'The string literal is longer than 4000 characters.', 'Use a string literal of at most 4000 characters. Longer values may only be entered using bind variables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01715', 'UNIQUE may not be used with a cluster index', 'An attempt was made to create a cluster index with the UNIQUE attribute.', 'Remove UNIQUE from the CREATE INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01716', 'NOSORT may not be used with a cluster index', 'An attempt was made to create a cluster index using the NOSORT option.', 'Remove NOSORT from the CREATE INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01718', 'BY ACCESS | SESSION clause not allowed for NOAUDIT', 'Attempt to specify BY ACCESS | SESSION in a NOAUDIT statement.', 'Remove BY ACCESS | SESSION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01719', 'outer join operator (+) not allowed in operand of OR or IN', 'An outer join appears in an or clause.', 'If A and B are predicates, to get the effect of (A(+) or B), try (select where (A(+) and not B)) union all (select where (B)).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01720', 'grant option does not exist for ''string.string''', 'A grant was being performed on a view and the grant option was not present for an underlying object.', 'Obtain the grant option on all underlying objects of the view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01721', 'USERENV(COMMITSCN) invoked more than once in a transaction', 'The USERENV(''COMMITSCN'') function can only be used once in a transaction.', 'Re-write the transactioin to use USERENV(''COMMITSCN'') only once', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01724', 'floating point precision is out of range (1 to 126)', 'Self-evident.', 'Self-evident.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01725', 'USERENV(''COMMITSCN'') not allowed here', 'The function USERNEV(''COMMMITSCN'') is only allowed as a top-level expression in the VALUES clause of an INSERT statements, and on the right hand side of an assignment in an UPDATE statement.', 'Correct the use of the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01734', 'illegal parameters - EXTENT MIN higher than EXTENT MAX', 'A wrong value is specified for the parameter.', 'Correct the parameter and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01742', 'comment not terminated properly', 'The indicated comment or hint begun with the /* token did not have the terminating */.', 'Properly terminate the comment or hint with a */.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01743', 'only pure functions can be indexed', 'The indexed function uses SYSDATE or the user environment.', 'PL/SQL functions must be pure (RNDS, RNPS, WNDS, WNPS). SQL expressions must not use SYSDATE, USER, USERENV(), or anything else dependent on the session state. NLS-dependent functions are OK.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01751', 'Invalid dump undo option', 'An invalid option is specified in the ALTER DUMP UNDO command.', 'Correct and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01752', 'cannot delete from view without exactly one key-preserved table', 'The deleted table had' || '<p>' || '- no key-preserved tables,' || '<p>' || '' || '<p>' || '- more than one key-preserved table, or' || '<p>' || '' || '<p>' || '- the key-preserved table was an unmerged view.', 'Redefine the view or delete it from the underlying base tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01754', 'a table may contain only one column of type LONG', 'An attempt was made to add a LONG column to a table which already had a LONG column. Note that even if the LONG column currently in the table has already been marked unused, another LONG column may not be added until the unused columns are dropped.', 'Remove the LONG column currently in the table by using the ALTER TABLE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01755', 'Must specify an extent number or block number', 'Expecting an extent or block number but something else was specified.', 'Correct the error and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01757', 'Must specify an object number', 'Expecting an object number but something else was specified.', 'Correct the error and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01761', 'DML operation does not map to a unique table in the join', 'The primary table is the base table against which the update, insert or delete operation is finally being done. For delete either there is no primary table in the join query or there is more than one. For update or insert the columns specified map to more than one base table.', 'Change the join specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01763', 'update or delete involves outer joined table', 'For deletes, the table being deleted from is outer joined to some other table. For updates, either the table being updated is outer- joined to some other table, or some table reachable from the primary table is being outer joined to a table not reachable from the primary table.', 'Change the join specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01764', 'new update value of join is not guaranteed to be unique', 'A row of a join query table is being updated using a row of a table that is not guaranteed to have exactly one value for the row being updated.', 'Change the join specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01769', 'duplicate CLUSTER option specifications', 'During a CREATE of a clustered table, the user attempted to specify more than one CLUSTER option.', 'Remove the extra CLUSTER option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01771', 'illegal option for a clustered table', 'During a CREATE or ALTER of a clustered table, the user attempted to enter one or more of the following options: INITRANS, MAXTRANS, PCTFREE, PCTUSED, STORAGE, TABLESPACE. These options may only be specified for the cluster itself.', 'Remove the illegal option(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01779', 'cannot modify a column which maps to a non key-preserved table', 'An attempt was made to insert or update columns of a join view which map to a non-key-preserved table.', 'Modify the underlying base tables directly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01781', 'UNRECOVERABLE cannot be specified without AS SELECT', 'UNRECOVERABLE was specified in a CREATE TABLE statement without also specifying a populating subquery with an AS clause.', 'Do not specify UNRECOVERABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01782', 'UNRECOVERABLE cannot be specified for a cluster or clustered table', 'A CREATE CLUSTER, or clustered CREATE TABLE statement specified UNRECOVERABLE.', 'Do not specify UNRECOVERABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01783', 'only one RECOVERABLE or UNRECOVERABLE clause may be specified', 'RECOVERABLE was specified more than once, UNRECOVERABLE was specified more than once, or both RECOVERABLE and UNRECOVERABLE were specified in a CREATE TABLE or CREATE INDEX or ALTER INDEX REBUILD statement.', 'Remove all but one of the RECOVERABLE or UNRECOVERABLE clauses and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01784', 'RECOVERABLE cannot be specified with database media recovery disabled', 'A CREATE TABLE or CREATE INDEX statement specified RECOVERABLE when the database was running in NOARCHIVELOG mode. Since logs are not being archived, they will be overwritten and the object being created cannot be recovered from a backup taken before the object was created.', 'Do not specify RECOVERABLE, or restart the database with media recovery enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01792', 'maximum number of columns in a table or view is 1000', 'An attempt was made to create a table or view with more than 1000 columns, or to add more columns to a table or view which pushes it over the maximum allowable limit of 1000. Note that unused columns in the table are counted toward the 1000 column limit.', 'If the error is a result of a CREATE command, then reduce the number of columns in the command and resubmit. If the error is a result of an ALTER TABLE command, then there are two options: 1) If the table contained unused columns, remove them by executing ALTER TABLE DROP UNUSED COLUMNS before adding new columns; 2) Reduce the number of columns in the command and resubmit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01799', 'a column may not be outer-joined to a subquery', '<expression>(+) <relop> (<subquery>) is not allowed.', 'Either remove the (+) or make a view out of the subquery. In V6 and before, the (+) was just ignored in this case.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01804', 'failure to initialize timezone information', 'The timezone information file was not properly read.', 'Please contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01841', '(full) year must be between -4713 and +9999, and not be 0', 'Illegal year entered', 'Input year in the specified range', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01854', 'julian date must be between 1 and 5373484', 'An invalid Julian date was entered.', 'Enter a valid Julian date between 1 and 5373484.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01858', 'a non-numeric character was found where a numeric was expected', 'The input data to be converted using a date format model was incorrect. The input data did not contain a number where a number was required by the format model.', 'Fix the input data or the date format model to make sure the elements match in number and type. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01859', 'a non-alphabetic character was found where an alphabetic was expected', 'The input data to be converted using a date format model was incorrect. The input data did not contain a letter where a letter was required by the format model.', 'Fix the input data or the date format model to make sure the elements match in number and type. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01861', 'literal does not match format string', 'Literals in the input must be the same length as literals in the format string (with the exception of leading whitespace). If the "FX" modifier has been toggled on, the literal must match exactly, with no extra whitespace.', 'Correct the format string to match the literal.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01862', 'the numeric value does not match the length of the format item', 'When the FX and FM format codes are specified for an input date, then the number of digits must be exactly the number specified by the format code. For example, 9 will not match the format specifier DD but 09 will.', 'Correct the input date or turn off the FX or FM format specifier in the format string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01863', 'the year is not supported for the current calendar', 'The year is not supported for the current calendar.', 'Please check the documentation to find out what years are supported for the current calendar.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01864', 'the date is out of range for the current calendar', 'Your calendar doesn''t extend to the specified date.', 'Specify a date which is legal for this calendar.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01865', 'not a valid era', 'Era input does not match a known era.', 'Provide a valid era on input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01866', 'the datetime class is invalid', 'This is an internal error.', 'Please contact Oracle Worldwide Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01867', 'the interval is invalid', 'The character string you specified is not a valid interval.', 'Please specify a valid interval.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01868', 'the leading precision of the interval is too small', 'The leading precision of the interval is too small to store the specified interval.', 'Increase the leading precision of the interval or specify an interval with a smaller leading precision.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01870', 'the intervals or datetimes are not mutually comparable', 'The intervals or datetimes are not mutually comparable.', 'Specify a pair of intervals or datetimes that are mutually comparable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01871', 'the number of seconds must be less than 60', 'The number of seconds specified was greater than 59.', 'Specify a value for seconds that is 59 or smaller.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01873', 'the leading precision of the interval is too small', 'The leading precision of the interval is too small to store the specified interval.', 'Increase the leading precision of the interval or specify an interval with a smaller leading precision.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01874', 'time zone hour must be between -12 and 14', 'The time zone hour specified was not in the valid range.', 'Specify a time zone hour between -12 and 14.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01875', 'time zone minute must be between -59 and 59', 'The time zone minute specified was not in the valid range.', 'Specify a time zone minute between -59 and 59.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01876', 'year must be at least -4713', 'The specified year was not in range.', 'Specify a year that is greater than or equal to -4713.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01877', 'string is too long for internal buffer', 'This is an internal error.', 'Please contact Oracle Worldwide Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01878', 'specified field not found in datetime or interval', 'The specified field was not found in the datetime or interval.', 'Make sure that the specified field is in the datetime or interval.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01879', 'the hh25 field must be between 0 and 24', 'The specified hh25 field was not in the valid range.', 'Specify an hh25 field between 0 and 24.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01880', 'the fractional seconds must be between 0 and 999999999', 'The specified fractional seconds were not in the valid range.', 'Specify a value for fractional seconds between 0 and 999999999.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01881', 'timezone region id number is invalid', 'The region id referenced an invalid region.', 'Please contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02036', 'too many variables to describe with automatic cursor open', 'User requested that the UPI bundled execution call perform automatic cursor open and close on a describe operation. There were too many select-list items or bind variables to do this.', 'open and close cursor explicitly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02037', 'uninitialized speed bind storage', 'User attempted a UPI bundled execution call containing a standalone execute operation without first performing a UPI bundled execution call containing a bind operation.', 'perform a UPI bundled execution call with bind before performing a bundled execution call with execute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02038', 'define is not allowed for array type', 'User attempted to define a select list variable of type "array". Arrays may only serve as host bind variables.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02039', 'bind by value is not allowed for array type', 'User attempted to bind an array host variable by value. Arrays may only be bound by reference.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02040', 'remote database string does not support two-phase commit', 'the database was potentially updated but does not support prepare to commit (as determined by its logon transaction traits). The transaction was rolled back.', 'Do not attempt to update the remote database unless it is the only database updated in one transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02041', 'client database did not begin a transaction', 'internal error', 'contact support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02042', 'too many distributed transactions', 'the distributed transaction table was full because too many distributed transactions were active.', 'Run fewer transactions. If you are sure you don''t have too many concurrent distributed transactions, this indicates an internal error and support should be notified. Instance shutdown/restart would be a work-around.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02043', 'must end current transaction before executing string', 'a transaction is in progress and one of the following commands commands is issued: COMMIT FORCE, ROLLBACK FORCE, or ALTER SYSTEM ENABLE DISTRIBUTED RECOVERY in single process mode.', 'COMMIT or ROLLBACK the current transaction and resubmit command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02044', 'transaction manager login denied: transaction in progress', 'a remote transaction manager tried to log in while a distributed transaction is in progress.', 'end the current transaction (this is a protocol error from a remote transaction manager)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02045', 'too many local sessions participating in global transaction', 'too many sessions at this site for this transaction.', 'use an existing link so another session need not be created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02046', 'distributed transaction already begun', 'internal error or error in external transaction manager. A server session received a begin_tran RPC before finishing with a previous distributed tran.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02047', 'cannot join the distributed transaction in progress', 'Either a transaction is in progress against a remote database that does not fully support two phase commit, and an update is attempted on another database, or updates are pending and and an attempt is made to update a different database that does not fully support two phase commit.', 'complete the current transaction and then resubmit the update request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02048', 'attempt to begin distributed transaction without logging on', 'client program must issue a distributed transaction login.', 'contact support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02049', 'timeout: distributed transaction waiting for lock', 'exceeded INIT.ORA distributed_lock_timeout seconds waiting for lock.', 'treat as a deadlock', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02050', 'transaction string rolled back, some remote DBs may be in-doubt', 'network or remote failure in 2PC.', 'Notify operations; remote DBs will automatically re-sync when the failure is repaired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02051', 'another session in same transaction failed', 'a session at the same site with same global transaction ID failed; It can also be caused by application error if an attempt was made to update database while another tightly coupled transaction branch with same global transaction ID has been finalized.', 'none necessary, transaction automatically recovered. In case of application error, make sure no more updates to database once transaction manager has started two-phase commit for tightly coupled distributed transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02052', 'remote transaction failure at string', 'error in remote transaction at given DBLINK', 'retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02053', 'transaction string committed, some remote DBs may be in-doubt', 'network or remote failure in 2PC.', 'Notify operations; remote DBs will automatically re-sync when the failure is repaired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02054', 'transaction string in-doubt', 'network or remote failure in 2PC.', 'Notify operations; DBs will automatically re-sync when the failure is repaired. Monitor pending_trans$ for final outcome.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02055', 'distributed update operation failed; rollback required', 'a failure during distributed update operation may not have rolled back all effects of the operation. Since some sites may be inconsistent, the transaction must roll back to a savepoint or entirely', 'rollback to a savepoint or rollback transaction and resubmit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02056', '2PC: string: bad two-phase command number string from string', 'two-phase commit protocol error.', 'recovery of transaction attempted. Monitor pending_trans$ table to ensure correct resolution. Contact support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02057', '2PC: string: bad two-phase recovery state number string from string', 'internal error in two-phase recovery protocol', 'contact support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02058', 'no prepared transaction found with ID string', 'no transaction with local_tran_id or global_tran_id found in the pending_trans$ table in prepared state.', 'check the pending_trans$ table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02059', 'ORA-2PC-CRASH-TEST-string in commit comment', 'This is a special comment used to test the two phase commit.', 'Don''t use this special comment (%s a number 1-10)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02060', 'select for update specified a join of distributed tables', 'tables in a join with the for update clause must reside at the same DB.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02061', 'lock table specified list of distributed tables', 'tables in a lock table statement must reside at the same DB.', 'issue multiple lock table commands.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02062', 'distributed recovery received DBID string, expected string', 'a database link at a coordinator no longer points to the expected database. Link may have been redefined, or a different DB mounted.', 'restore link definition or remote database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02063', 'preceding stringstring from stringstring', 'an Oracle error was received from a remote database link.', 'refer to the preceding error message(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02064', 'distributed operation not supported', 'One of the following unsupported operations was attempted:' || '<p>' || '1. array execute of a remote update with a subquery that references a dblink, or' || '<p>' || '' || '<p>' || '2. an update of a long column with bind variable and an update of a second column with a subquery that both references a dblink and a bind variable, or' || '<p>' || '' || '<p>' || '3. a commit is issued in a coordinated session from an RPC procedure call with OUT parameters or function call.', 'simplify remote update statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02065', 'illegal option for ALTER SYSTEM', 'The option specified for ALTER SYSTEM is not supported', 'refer to the user manual for option supported', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01928', 'GRANT option not granted for all privileges', 'In order to grant a privilege, you must first have the privilege with the grant option.', 'Obtain the privilege with the grant option and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01929', 'no privileges to GRANT', '"ALL" was specified but the user doesn''t have any privileges with the grant option.', 'Don''t grant privileges on that object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01930', 'auditing the object is not supported', 'AUDIT or NOAUDIT was specified for an object that cannot be audited.', 'Don''t attempt to AUDIT the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01931', 'cannot grant string to a role', 'UNLIMITED TABLESPACE, REFERENCES, INDEX, SYSDBA or SYSOPER privilege cannot be granted to a role.', 'Grant privilege directly to the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01932', 'ADMIN option not granted for role ''string''', 'The operation requires the admin option on the role.', 'Obtain the grant option and re-try.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01933', 'cannot create a stored object using privileges from a role', 'An attempt was made to create a stored object using privileges from a role. Stored objects cannot use privileges from roles.', 'Grant the privileges required to the user directly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01934', 'circular role grant detected', 'Roles cannot be granted circularly. Also, a role cannot be granted to itself.', 'Do not perform the grant.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01935', 'missing user or role name', 'A user or role name was expected.', 'Specify a user or role name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01936', 'cannot specify owner when creating users or roles', 'Users and roles do not have owners.', 'Don''t specify an owner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01937', 'missing or invalid role name', 'A valid role name was expected.', 'Specify a valid role name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01938', 'IDENTIFIED BY must be specified for CREATE USER', 'Cannot create a user without specifying a password or "IDENTIFIED EXTERNALLY".', 'Specify one of the password clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01939', 'only the ADMIN OPTION can be specified', 'System privileges and Roles can only be granted with the admin option. The grant option cannot be used with these privileges.', 'Specify the admin option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01940', 'cannot drop a user that is currently connected', 'Attempt was made to drop a user that is currently logged in.', 'Make sure user is logged off, then repeat command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01941', 'SEQUENCE keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01942', 'IDENTIFIED BY and EXTERNALLY cannot both be specified', 'A user cannot be specified to have and not have a password.', 'Specify only one of the options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01943', 'IDENTIFIED BY already specified', 'The identified clause has been given twice.', 'Use only one identified by clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01944', 'IDENTIFIED EXTERNALLY already specified', 'The identified externaly clause has been given twice.', 'Use only one identified clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01945', 'DEFAULT ROLE[S] already specified', 'The default roles clause has been given twice.', 'Use only on default role clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01946', 'DEFAULT TABLESPACE already specified', 'The default tablespace clause has been given twice.', 'Use only one default tablespace clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01947', 'TEMPORARY TABLESPACE already specified', 'The temporary tablespace clause has been given twice.', 'Use only one temporary tablespace clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01948', 'identifier''s name length (string) exceeds maximum (string)', 'A name has been specified that is too long. For example, dbms_session.is_role_enabled() specifies a role name that is too long.', 'Change the application or command to use a correct identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02026', 'missing LINK keyword', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02027', 'multi-row UPDATE of LONG column is not supported', 'A bind variable with length greater than 4000 bytes is being used to update a column, and the update statement updates more than one row.', 'You may only update a single row with such a bind variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02028', 'fetching an exact number of rows is not supported by the server', 'The server does not support UPIALL, so the fetch of an exact number of rows cannot be emulated on the user side.', 'Connect to a valid server or do not use an exact fetch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02029', 'missing FILE keyword', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02030', 'can only select from fixed tables/views', 'An attempt is being made to perform an operation other than a retrieval from a fixed table/view.', 'You may only select rows from fixed tables/views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02031', 'no ROWID for fixed tables or for external-organized tables', 'An attempt is being made to access rowid from a fixed table or from a external-organized table.', 'Do not access ROWID from a fixed table or from a external-organized table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02032', 'clustered tables cannot be used before the cluster index is built', 'User attempted to perform a DML statement on a clustered table for which no cluster index has yet been created.', 'Create the cluster index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02033', 'a cluster index for this cluster already exists', 'A cluster index already exists for the cluster.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02034', 'speed bind not permitted', 'Speed bind not allowed with supplied bind variables. Trapped internally by the system.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02035', 'illegal bundled operation combination', 'User requested that the UPI bundled execution call perform an an illegal combination of operations.', 'See documentation for legal operation combinations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02066', 'missing or invalid DISPATCHERS text', 'A character string literal was expected, but not found, following ALTER SYSTEM SET DISPATCHERS', 'place the string literal containing the dispatcher''s specification after ALTER SYSTEM SET DISPATCHERS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02096', 'specified initialization parameter is not modifiable with this option', 'Though the initialization parameter is modifiable, it cannot be modified using the specified command.', 'Check the DBA guide for information about under what scope the parameter may be modified', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02097', 'parameter cannot be modified because specified value is invalid', 'Though the initialization parameter is modifiable, the modified value is not acceptable to the parameter.', 'Check the DBA guide for range of acceptable values for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02098', 'error parsing index-table reference (:I)', 'An incorrect index-table (:I) syntax was encountered.', 'This syntax is for oracle internal use only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02140', 'invalid tablespace name', 'An identifier does not follow ALTER TABLESPACE.', 'Specify a tablespace name following ALTER TABLESPACE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02141', 'invalid OFFLINE option', 'An option other than NORMAL or IMMEDIATE follows OFFLINE.', 'The user must either specify no option following OFFLINE or one of the options NORMAL or IMMEDIATE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02142', 'missing or invalid ALTER TABLESPACE option', 'A valid option was not present.', 'Use one of the valid options: add, rename, default, online, offline, read only, read write, begin, end, no, force, retention guarantee and retention noguarantee.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02143', 'invalid STORAGE option', 'An option other than INITIAL, NEXT, MINEXTENTS, MAXEXTENTS, or PCTINCREASE was specified in the STORAGE clause.', 'Specify only valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02144', 'no option specified for ALTER CLUSTER', 'No ALTER CLUSTER options are specified.', 'Specify one or more of the following options: pctfree, pctused, size, storage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02145', 'missing STORAGE option', 'No STORAGE options were specified following STORAGE (', 'Specify one or more STORAGE option between the parentheses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01772', 'Must specify a value for LEVEL', 'Expecting the value of LEVEL but something else was specified.', 'Correct the error and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01774', 'Dump undo option specified more than once', 'The same option for ALTER DUMP UNDO was specified twice.', 'Remove the redundant options and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01776', 'cannot modify more than one base table through a join view', 'Columns belonging to more than one underlying table were either inserted into or updated.', 'Phrase the statement as two or more separate statements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02067', 'transaction or savepoint rollback required', 'A failure (typically a trigger or stored procedure with multiple remote updates) occurred such that the all-or-nothing execution of a previous Oracle call cannot be guaranteed.', 'rollback to a previous savepoint or rollback the transaction and resubmit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02068', 'following severe error from stringstring', 'A severe error (disconnect, fatal Oracle error) received from the indicated database link. See following error text.', 'Contact the remote system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02069', 'global_names parameter must be set to TRUE for this operation', 'A remote mapping of the statement is required but cannot be achieved because global_names should be set to TRUE for it to be achieved', 'Issue alter session set global_names = true if possible', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02070', 'database stringstring does not support string in this context', 'The remote database does not support the named capability in the context in which it is used.', 'Simplify the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02071', 'error initializing capabilities for remote database string', 'Could not load a remote-specified capability table.', 'Contact support for the remote SQL*Connect product.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02072', 'distributed database network protocol mismatch', 'This should never happen between different PRODUCTION releases of ORACLE, but may happen between alpha and beta releases, for example.', 'Upgrade the older release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02073', 'sequence numbers not supported in remote updates', 'Sequence numbers may not be used in INSERTS, UPDATES, or DELETES on remote tables.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02074', 'cannot string in a distributed transaction', 'A commit or rollback was attempted from session other than the parent of a distributed transaction.', 'Only commit or rollback from the parent session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02075', 'another instance changed state of transaction string', 'A commit force or rollback force was issued from a session in another instance.', 'Check if another Oracle instance is performing recovery of pending transactions. Query DBA_2PC_PENDING to determine the new state of the transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02076', 'sequence not co-located with updated table or long column', 'all referenced sequences must be co-located with the table with the long column.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02077', 'selects of long columns must be from co-located tables', 'if a select returns long columns from multiple tables, all the tables must be co-located', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02079', 'cannot join a committing distributed transaction', 'Once a transaction branch is prepared, no more new transaction branches are allowed to start, nor is the prepared transaction branch allowed to be joined.', 'Check the application code as this is an XA protocol violation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02080', 'database link is in use', 'a transaction is active or a cursor is open on the database link given in the alter session close database link <link> command.', 'commit or rollback, and close all cursors', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02081', 'database link is not open', 'dblink given is not currently open.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02082', 'a loopback database link must have a connection qualifier', 'attempt to create a database link with the same name as the current database.', 'a loopback database link needs a trailing qualifier, e.g. MYDB.DEV.US.ORACLE.COM@INST1 - the ''@INST1'' is the qualifier', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02083', 'database name has illegal character ''string''', 'supplied database name can contain only A-Z, 0-9, ''_'', ''#'', ''$'' ''.'' and ''@'' characters.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02146', 'SHARED specified multiple times', 'The SHARED option was specified in a CREATE DATABASE statement multiple times.', 'Only specify the SHARED option once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02147', 'conflicting SHARED/EXCLUSIVE options', 'Both the SHARED and EXCLUSIVE options were specified in a CREATE DATABASE statement.', 'Specify SHARED or EXCLUSIVE, but not both.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02148', 'EXCLUSIVE specified multiple times', 'The EXCLUSIVE option was specified in a CREATE DATABASE statement multiple times.', 'Only specify the EXCLUSIVE option once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02149', 'Specified partition does not exist', 'Partition not found for the object.', 'Retry with correct partition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02150', 'invalid new tablespace name', 'The new tablespace name specified in ALTER TABLESPACE RENAME TO statement was invalid.', 'Retry with a valid new tablespace name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02151', 'invalid tablespace name: string', 'Oracle cannot create a tablespace whose name starts with ''_$deleted$''.', 'Try a different tablespace name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02152', 'Invalid ALTER TABLESPACE ... RENAME option', 'An option other than DATAFILE or TO follows by ALTER TABLESPACE ... RENAME.', 'The user must specify either DATAFILE or TO following ALTER TABLESPACE ... RENAME.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02153', 'invalid VALUES password string', 'An encoded password string does not follow the VALUES clause.', 'Place a proper encoded password string after the VALUES clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02154', 'a tablespace with the name ''string'' is found', 'An attempt to rename a tablespace to a new name failed because the new name is already used by some other tablespace.', 'Retry with a different new name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02155', 'invalid DEFAULT tablespace identifier', 'An identifier does not follow DEFAULT TABLESPACE.', 'Place a tablespace name after DEFAULT TABLESPACE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02156', 'invalid TEMPORARY tablespace identifier', 'An identifier does not follow TEMPORARY TABLESPACE.', 'Place a tablespace name after TEMPORARY TABLESPACE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02157', 'no options specified for ALTER USER', 'No options were specified.', 'Specify at least one ALTER USER option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02158', 'invalid CREATE INDEX option', 'An option other than COMPRESS, NOCOMPRESS, PCTFREE, INITRANS, MAXTRANS, STORAGE, TABLESPACE, PARALLEL, NOPARALLEL, RECOVERABLE, UNRECOVERABLE, LOGGING, NOLOGGING, LOCAL, or GLOBAL was specified.', 'Choose one of the valid CREATE INDEX options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02159', 'installed DLM does not support releasable locking mode', 'The parameter file specified gc_* parameters that allow locks to be release by the LCK process when not in use. This mode requires additional support from the DLM that is not available.', 'Specify configuration parameters that do not require the additional function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02160', 'index-organized table can not contain columns of type LONG', 'A column of type LONG defined for index-organized table.', 'Do not use columns of type LONG in index-organized tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02161', 'invalid value for MAXLOGFILES', 'A number does not follow MAXLOGFILES.', 'Specify a number after MAXLOGFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02162', 'invalid value for MAXDATAFILES', 'A number does not follow MAXDATAFILES.', 'Specify a number after MAXDATAFILES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02163', 'invalid value for FREELIST GROUPS', 'A number does not follow FREELIST GROUPS.', 'Specify a number after FREELIST GROUPS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02164', 'DATAFILE clause specified more than once', 'The CREATE DATABASE command contains more than one DATAFILE clause.', 'Specify at most one DATAFILE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02165', 'invalid option for CREATE DATABASE', 'An invalid CREATE DATABASE option is present.', 'Specify only valid CREATE DATABASE options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02166', 'ARCHIVELOG and NOARCHIVELOG specified', 'Both ARCHIVELOG and NOARCHIVELOG are specified in a CREATE DATABASE statement.', 'Specify at most one of these two options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02167', 'LOGFILE clause specified more than once', 'The CREATE DATABASE command contains more than one LOGFILE clause.', 'Specify at most one LOGFILE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02168', 'invalid value for FREELISTS', 'A number does not follow FREELISTS', 'Specify a number after FREELISTS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02169', 'FREELISTS storage option not allowed', 'The user attempted to specify the FREELISTS storage option. This option may only be specified during create table or create index.', 'Remove these options and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02170', 'FREELIST GROUPS storage option not allowed', 'The user attempted to specify the FREELIST GROUPS storage option. This option may only be specified during create table and when allow_freelist_groups INIT.ORA is specified.', 'Remove this option and retry the statement or set the allow_freelist_groups INIT.ORA parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02171', 'invalid value for MAXLOGHISTORY', 'A number does not follow MAXLOGHISTORY', 'Specify a number after MAXLOGHISTORY', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02172', 'The PUBLIC keyword is not appropriate for a disable thread', 'The PUBLIC keyword was specified for a disable.', 'Remove the keyword and resubmit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02173', 'invalid option for DROP TABLESPACE', 'Either a token other than INCLUDING was found following the tablespace name or some text was found following INCLUDING CONTENTS.', 'Place nothing or only INCLUDING CONTENTS after the tablespace name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02174', 'Missing required thread number', 'Must specify thread number after THREAD keyword', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02175', 'invalid rollback segment name', 'In the CREATE or DROP ROLLBACK SEGMENT statements, an identifier was not found following ROLLBACK SEGMENT.', 'Place the segment name following ROLLBACK SEGMENT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02176', 'invalid option for CREATE ROLLBACK SEGMENT', 'An invalid option was specified in a CREATE ROLLBACK SEGMENT statement.', 'Specify one of the valid options: TABLESPACE and STORAGE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02177', 'Missing required group number', 'Must specify group number after GROUP keyword', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02178', 'correct syntax is: SET TRANSACTION READ { ONLY | WRITE }', 'There is a syntax error in the user''s statement.', 'Correct the syntax as indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02179', 'valid options: ISOLATION LEVEL { SERIALIZABLE | READ COMMITTED }', 'There is a syntax error in the user''s statement.', 'Correct the syntax as indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02180', 'invalid option for CREATE TABLESPACE', 'An invalid option appeared.', 'Specify one of the valid options: DATAFILE, DEFAULT STORAGE, ONLINE, OFFLINE, FORCE, RETENTION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02181', 'invalid option to ROLLBACK WORK', 'A token other than TO follows ROLLBACK [WORK].', 'Place nothing or TO SAVEPOINT <name> after ROLLBACK [WORK].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02182', 'savepoint name expected', 'An identifier does not follow ROLLBACK [WORK] TO [SAVEPOINT].', 'Place a savepoint name following TO [SAVEPOINT].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02183', 'valid options: ISOLATION_LEVEL { SERIALIZABLE | READ COMMITTED }', 'There is a syntax error in the user''s statement.', 'Correct the syntax as indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02184', 'resource quotas are not allowed in REVOKE', 'In a revoke statement, a resource quota was specified.', 'Specify resource privilege without the quota.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02185', 'a token other than WORK follows COMMIT', 'A token other than WORK follows COMMIT.', 'Place either nothing or WORK after COMMIT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02186', 'tablespace resource privilege may not appear with other privileges', 'An attempt was made to grant or revoke a resource quota in the same statement in which other privileges are granted or revoked.', 'Use a separate grant or revoke statement for the resource quota privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02187', 'invalid quota specification', 'In a grant or revoke statement, the user attempted to grant a tablespace quota above the upper limit.', 'Grant a smaller tablespace quota.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02188', 'Cannot enable instance publicly', 'An attempt was made to publicly enable a thread associated with an instance.', 'Leave out the PUBLIC keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02189', 'ON <tablespace> required', 'In a grant or revoke statement, the user specified a tablespace quota but did not follow it with the ON <tablespace> clause.', 'Specify the tablespace on which the quota is to be applied with the ON <tablespace> clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02190', 'keyword TABLES expected', 'The keyword TABLES is expected following DROP CLUSTER <name> INCLUDING.', 'Place TABLES after INCLUDING.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02191', 'correct syntax is: SET TRANSACTION USE ROLLBACK SEGMENT <rbs>', 'There is a syntax error in the user''s statement.', 'Correct the syntax as indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02192', 'PCTINCREASE not allowed for rollback segment storage clauses', 'pctincrease was specified in a create or alter rollback segment', 'reissue statement without the pctincrease clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02194', 'event specification syntax error string (minor error string) near ''string''', 'There is a syntax error in an event specification.', 'Fix the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02195', 'Attempt to create string object in a string tablespace', 'The object type is inconsistent with a tablespace contents.', 'Create an object in a different tablespace, or change the user defaults.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02196', 'PERMANENT/TEMPORARY option already specified', 'In CREATE TABLESPACE, the PERMANENT and/or TEMPORARY options were specified more than once.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02197', 'file list already specified', 'In CREATE TABLESPACE, more than one DATAFILE/TEMPFILE clause was specified.', 'Merge the DATAFILE/TEMPFILE clauses into a single clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02198', 'ONLINE/OFFLINE option already specified', 'In CREATE TABLESPACE, the ONLINE and/or OFFLINE options were specified more than once.', 'Specify at most one of ONLINE or OFFLINE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02199', 'missing DATAFILE/TEMPFILE clause', 'A CREATE TABLESPACE statement has no DATAFILE/TEMPFILE clause.', 'Specify a DATAFILE/TEMPFILE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02200', 'WITH GRANT OPTION not allowed for PUBLIC', 'An attempt was made to GRANT to PUBLIC WITH GRANT OPTION.', 'Remove the WITH GRANT OPTION clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02201', 'sequence not allowed here', 'An attempt was made to reference a sequence in a from-list.', 'A sequence can only be referenced in a select-list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02202', 'no more tables permitted in this cluster', 'An attempt was made to create a table in a cluster which already contains 32 tables.', 'Up to 32 tables may be stored per cluster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02203', 'INITIAL storage options not allowed', 'The user attempted to alter the INITIAL storage option of a table, cluster, index, or rollback segment. These options may only be specified when the object is created.', 'Remove these options and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02204', 'ALTER, INDEX and EXECUTE not allowed for views', 'An attempt was made to grant or revoke an invalid privilege on a view.', 'Do not attempt to grant or revoke any of ALTER, INDEX, or EXECUTE privileges on views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02205', 'only SELECT and ALTER privileges are valid for sequences', 'An attempt was made to grant or revoke an invalid privilege on a sequence.', 'Do not attempt to grant or revoke DELETE, INDEX, INSERT, UPDATE, REFERENCES or EXECUTE privilege on sequences.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02206', 'duplicate INITRANS option specification', 'INITRANS is specified more than once.', 'Specify INITRANS at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01882', 'timezone region string not found', 'The specified region name was not found.', 'Please contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01883', 'overlap was disabled during a region transition', 'The region was changing state and the overlap flag was disabled.', 'Please contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01890', 'NLS error detected', 'An NLS error was detected.', 'Look for additional error messages and take appropriate action. If there are no additional errors, call Oracle Worldwide Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01891', 'Datetime/Interval internal error', 'Internal error.', 'Please contact Oracle Worldwide Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01898', 'too many precision specifiers', 'While trying to truncate or round dates, extra data was found in the date format picture', 'Check the syntax of the date format picture and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01900', 'LOGFILE keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01901', 'ROLLBACK keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01902', 'SEGMENT keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01903', 'EVENTS keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01904', 'DATAFILE keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01905', 'STORAGE keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01906', 'BACKUP keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01907', 'TABLESPACE keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01908', 'EXISTS keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01909', 'REUSE keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01910', 'TABLES keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01911', 'CONTENTS keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01912', 'ROW keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01913', 'EXCLUSIVE keyword expected', 'keyword missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01914', 'invalid auditing option for sequence numbers', 'AUDIT or NOAUDIT on a sequence number specifies an auditing option that is not legal for sequence numbers.', 'The following options may not be used for sequence numbers and should be removed: COMMENT, DELETE, INDEX, INSERT, LOCK, RENAME, UPDATE, REFERENCES, EXECUTE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01915', 'invalid auditing option for views', 'AUDIT or NOAUDIT on a view specifies an auditing option that is not legal for views.', 'The following options may not be used for views and should be removed: ALTER, INDEX, REFERENCES, EXECUTE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01916', 'keyword ONLINE, OFFLINE, RESIZE, AUTOEXTEND or END/DROP expected', 'An expected keyword was not used for datafile/tempfile clause', 'Use correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01917', 'user or role ''string'' does not exist', 'There is not a user or role by that name.', 'Re-specify the name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01918', 'user ''string'' does not exist', 'User does not exist in the system.', 'Verify the user name is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01919', 'role ''string'' does not exist', 'Role by that name does not exist.', 'Verify you are using the correct role name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01920', 'user name ''string'' conflicts with another user or role name', 'There is already a user or role with that name.', 'Specify a different user name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01921', 'role name ''string'' conflicts with another user or role name', 'There is already a user or role with that name.', 'Specify a different role name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01922', 'CASCADE must be specified to drop ''string''', 'Cascade is required to remove this user from the system. The user own''s object which will need to be dropped.', 'Specify cascade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01923', 'CASCADE aborted, objects locked by another user', 'Cannot drop the user''s objects; someone has them locked.', 'Use the lock monitor to determine who has the objects locked.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01924', 'role ''string'' not granted or does not exist', 'Set role can only be performed with roles granted directly to your account. (e.g. a sub-role cannot be enabled)', 'Don''t try to set the role.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01925', 'maximum of string enabled roles exceeded', 'The INIT.ORA parameter "max_enabled_roles" has been exceeded.', 'Increase max_enabled_roles and warm start the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01926', 'cannot GRANT to a role WITH GRANT OPTION', 'Role cannot have a privilege with the grant option.', 'Perform the grant without the grant option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01927', 'cannot REVOKE privileges you did not grant', 'You can only revoke privileges you granted.', 'Don''t revoke these privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01949', 'ROLE keyword expected', 'The role keyword is required here.', 'Specify the role keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01950', 'no privileges on tablespace ''string''', 'User does not have privileges to allocate an extent in the specified tablespace.', 'Grant the user the appropriate system privileges or grant the user space resource on the tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01951', 'ROLE ''string'' not granted to ''string''', 'The role you tried to revoke was not granted to the user.', 'Don''t try to revoke a privilege which is not granted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01952', 'system privileges not granted to ''string''', 'A system privilege you tried to revoke was not granted to the user.', 'Make sure the privileges you are trying to revoke are granted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01953', 'command no longer valid, see ALTER USER', 'The syntax for assigning quotas on tablespaces has changed. The ALTER USER command is now used to perform the functionality', 'Use the alter user command instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01954', 'DEFAULT ROLE clause not valid for CREATE USER', 'Default roles cannot be specified for create user.', 'Grant and alter the user''s default roles after creating the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01955', 'DEFAULT ROLE ''string'' not granted to user', 'The user being altered does not have the specified role granted directly to the user. Note, sub-roles cannot be used in the default role clause.', 'Grant the role to the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01956', 'invalid command when OS_ROLES are being used', 'This command cannot be used when the INIT.ORA parameter OS_ROLES is TRUE.', 'Grant the role to the user in the operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01967', 'invalid option for CREATE CONTROLFILE', 'An invalid CREATE CONTROLFILE option is present.', 'Specify only valid CREATE CONTROLFILE options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01968', 'Only specify RESETLOGS or NORESETLOGS once', 'The keyword RESETLOGS or NORESETLOGS has appeared more than once', 'Be sure to specify RESETLOGS or NORESETLOGS exactly once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01969', 'You must specify RESETLOGS or NORESETLOGS', 'Missing a RESETLOGS or a NORESETLOGS', 'Be sure to specify RESETLOGS or NORESETLOGS exactly once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01970', 'You must specify a database name for CREATE CONTROLFILE', 'Missing a database name', 'Retype CREATE CONTROLFILE command with the DATABASE keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01973', 'Missing change number', 'Keyword "CHANGE" found but change number not specified.', 'Fix command line and resubmit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01974', 'Illegal archive option', 'Not a valid option to the "ALTER SYSTEM ARCHIVE" command', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01977', 'Missing thread number', 'Keyword "THREAD" found but thread number not specified.', 'Fix command line and resubmit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01978', 'Missing sequence number', 'Keyword "SEQUENCE" found but sequence number not specified.', 'Fix command line and resubmit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01979', 'missing or invalid password for role ''string''', 'An attempt was made to enable a role without giving', 'Use the "identified by" clause in set role to specify the correct password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01980', 'error during OS ROLE initialization', 'An OS error occurred while loading a users OS ROLES.', 'Check the OS error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01981', 'CASCADE CONSTRAINTS must be specified to perform this revoke', 'During this revoke some foreign key contraints will be removed. In order to perform this automatically, CASCADE CONSTRAINTS must be specified.', 'Remove the constraints or specify CASCADE CONSTRAINTS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01982', 'invalid auditing option for tables', 'AUDIT or NOAUDIT on a table specifies an auditing option that is not legal for tables.', 'The following options may not be used for tables and should be removed: REFERENCES, EXECUTE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01983', 'invalid auditing option for DEFAULT', 'AUDIT or NOAUDIT on a DEFAULT specifies an auditing option that is not legal for DEFAULT.', 'The following options may not be used for DEFAULT and should be removed: REFERENCES', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01984', 'invalid auditing option for procedures/packages/functions', 'AUDIT or NOAUDIT on a DEFAULT specifies an auditing option that is not legal for procedures, packages, or functions.', 'The following options may not be used for procedures, packages, and functions and should be removed: all but EXECUTE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01985', 'cannot create user as LICENSE_MAX_USERS parameter exceeded', 'Maximum users in the database license limit exceeded.', 'Increase license limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01986', 'OPTIMIZER_GOAL is obsolete', 'An obsolete parameter, OPTIMIZER_GOAL, was referenced.', 'Use the OPTIMIZER_MODE parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01987', 'client os username is too long', 'A client''s os username is too long for the os logon to succeed.', 'Use a shorter os username.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01988', 'remote os logon is not allowed', 'Remote os login attempted when not allowed.', 'Use a local client, or use the remote_os_authent system parameter to turn on remote os logon.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01989', 'role ''string'' not authorized by operating system', 'The os role does not exist, is not granted to you, or you did not provide the correct password.', 'Re-attempt the SET ROLE with a valid os role and password, if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01994', 'GRANT failed: password file missing or disabled', 'The operation failed either because the INIT.ORA parameter REMOTE_LOGIN_PASSWORDFILE was set to NONE or else because the password file was missing.', 'Create the password file using the orapwd tool and set the INIT.ORA parameter REMOTE_LOGIN_PASSWORDFILE to EXCLUSIVE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-01999', 'password file cannot be updated in SHARED mode', 'The operation failed because the INIT.ORA parameter REMOTE_LOGIN_PASSWORDFILE was set to SHARED.', 'Set the INIT.ORA parameter to EXCLUSIVE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02001', 'user SYS is not permitted to create indexes with freelist groups', 'user tried to create an index while running with sys authorization.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02004', 'security violation', 'This error code is never returned to a user. It is used as a value for column, audit_trail.returncode, to signal that a security violation occurred.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02007', 'can''t use ALLOCATE or DEALLOCATE options with REBUILD', 'Allocate or deallocate storage and rebuild index are not compatible.', 'Choose one or the other.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02009', 'the size specified for a file must not be zero', 'A value of zero was specified in a SIZE or RESIZE clause of a file specification.', 'Use correct syntax, or, if allowed, omit the SIZE or RESIZE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02020', 'too many database links in use', 'The current session has exceeded the INIT.ORA open_links maximum.', 'Increase the open_links limit, or free up some open links by committing or rolling back the transaction and canceling open cursors that reference remote databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02021', 'DDL operations are not allowed on a remote database', 'An attempt was made to use a DDL operation on a remote database. For example, "CREATE TABLE tablename@remotedbname ...".', 'To alter the remote database structure, you must connect to the remote database with the appropriate privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02022', 'remote statement has unoptimized view with remote object', 'The local view is unoptimized and contains references to objects at the remote database and the statement must be executed at the remote database.', 'Create a similar view on the remote database and modify the violating view in the SQL statement with the new view@remote.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02024', 'database link not found', 'Database link to be dropped is not found in dictionary', 'Correct the database link name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02025', 'all tables in the SQL statement must be at the remote database', 'The user''s SQL statement references tables from multiple databases. The remote database is not Oracle V7 or above, and can perform updates only if it can reference all tables in the SQL statement.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02084', 'database name is missing a component', 'supplied database name cannot contain a leading ''.'', trailing ''.'' or ''@'', or two ''.'' or ''@'' in a row.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02085', 'database link string connects to string', 'a database link connected to a database with a different name. The connection is rejected.', 'create a database link with the same name as the database it connects to, or set global_names=false.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02086', 'database (link) name is too long', 'database/database link name can have at most 128 characters.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02087', 'object locked by another process in same transaction', 'A database link is being used in the cluster database environment that loops back to the same instance. One session is trying to convert a lock that was obtained by the other session.', 'Get the more restrictive lock first. For example, if session 1 gets a share lock and session 2 gets an exclusive lock on the same object, get the exclusive lock first. Or, simply use the same session to access the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02088', 'distributed database option not installed', 'Remote and distributed updates and transactions are a separately priced option in ORACLE V7.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02089', 'COMMIT is not allowed in a subordinate session', 'COMMIT was issued in a session that is not the two-phase commit global coordinator.', 'Issue commit at the global coordinator only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02090', 'network error: attempted callback+passthru', 'internal error.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02091', 'transaction rolled back', 'Also see error 2092. If the transaction is aborted at a remote site then you will only see 2091; if aborted at host then you will see 2092 and 2091.', 'Add rollback segment and retry the transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02092', 'out of transaction table slots for distributed transaction', 'The transaction is assigned to the system rollback segment and is trying to get into the PREPARED state, but the required number of non-PREPARED slots are not available, hence the transaction is rolled back.', 'Add a rollback segment and retry the transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02093', 'TRANSACTIONS_PER_ROLLBACK_SEGMENT(string) more than maximum possible(string)', 'Value of parameter specified is greater than allowed on this port.', 'Use default or reduce it to less than max.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02094', 'replication option not installed', 'The replication option was not installed at this site. Updatable materialized views, deferred RPCs, and other replication features were, therefore, unavailable.', 'Install the replication option. The replication option is not part of the Oracle Server product and must be purchased separately. Contact an Oracle Sales representative if the replication option needs to be purchased.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02095', 'specified initialization parameter cannot be modified', 'The specified initialization parameter is not modifiable', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02207', 'invalid INITRANS option value', 'The INITRANS value is not an integer between 1 and 255 and less than or equal to the MAXTRANS value.', 'Choose a valid INITRANS value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02208', 'duplicate MAXTRANS option specification', 'MAXTRANS is specified more than once.', 'Specify MAXTRANS at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02209', 'invalid MAXTRANS option value', 'The MAXTRANS value is not an integer between 1 and 255 and greater than or equal to the INITRANS value.', 'Choose a valid MAXTRANS value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02210', 'no options specified for ALTER TABLE', 'No ALTER TABLE option was specified.', 'Specify at least one alter table option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02211', 'invalid value for PCTFREE or PCTUSED', 'The specified value for PCTFREE or PCTUSED is not an integer between 0 and 100.', 'Choose an appropriate value for the option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02212', 'duplicate PCTFREE option specification', 'PCTFREE option specified more than once.', 'Specify PCTFREE at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02213', 'duplicate PCTUSED option specification', 'PCTUSED option specified more than once.', 'Specify PCTUSED at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02214', 'duplicate BACKUP option specification', 'The BACKUP option to ALTER TABLE is specified more than once.', 'Specify the option at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02215', 'duplicate tablespace name clause', 'There is more than one TABLESPACE clause in the CREATE TABLE, CREATE INDEX, or CREATE ROLLBACK SEGMENT statement.', 'Specify at most one TABLESPACE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02216', 'tablespace name expected', 'A tablespace name is not present where required by the syntax for one of the following statements: CREATE/DROP TABLESPACE, CREATE TABLE, CREATE INDEX, or CREATE ROLLBACK SEGMENT.', 'Specify a tablespace name where required by the syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02217', 'duplicate storage option specification', 'A storage option (INIITAL, NEXT, MINEXTENTS, MAXEXTENTS, PCTINCREASE) is specified more than once.', 'Specify all storage options at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02218', 'invalid INITIAL storage option value', 'The specified value must be an integer.', 'Choose an appropriate integer value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02219', 'invalid NEXT storage option value', 'The specified value must be an integer.', 'Choose an appropriate integer value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02220', 'invalid MINEXTENTS storage option value', 'The specified value must be a positive integer less than or equal to MAXEXTENTS.', 'Specify an appropriate value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02221', 'invalid MAXEXTENTS storage option value', 'The specified value must be a positive integer greater than or equal to MINEXTENTS.', 'Specify an appropriate value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02222', 'invalid PCTINCREASE storage option value', 'The specified value must be a positive integer.', 'Specify an appropriate value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02223', 'invalid OPTIMAL storage option value', 'The specified value must be an integer.', 'Choose an appropriate integer value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02224', 'EXECUTE privilege not allowed for tables', 'An attempt was made to grant or revoke an invalid privilege on a table.', 'Do not attempt to grant or revoke EXECUTE privilege on tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02225', 'only EXECUTE and DEBUG privileges are valid for procedures', 'An attempt was made to grant or revoke an invalid privilege on a procedure, function or package.', 'Do not attempt to grant or revoke any privilege besides EXECUTE or DEBUG on procedures, functions or packages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02226', 'invalid MAXEXTENTS value (max allowed: string)', 'The MAXEXTENTS specified is too large for the database block size. This applies only to SYSTEM rollback segment.', 'Specify a smaller value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02227', 'invalid cluster name', 'A cluster name of the form [ <identifier> . ] <identifier> is expected but not present.', 'Enter an appropriate cluster name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02228', 'duplicate SIZE specification', 'The SIZE option is specified more than once.', 'Specify the SIZE option at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02229', 'invalid SIZE option value', 'The specified value must be an integer number of bytes.', 'Specify an appropriate value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02230', 'invalid ALTER CLUSTER option', 'An option other than PCTFREE, PCTUSED, INITRANS, MAXTRANS, STORAGE, or SIZE is specified in an ALTER CLUSTER statement.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02231', 'missing or invalid option to ALTER DATABASE', 'An option other than ADD, DROP, RENAME, ARCHIVELOG, NOARCHIVELOG, MOUNT, DISMOUNT, OPEN, or CLOSE is specified in the statement.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02232', 'invalid MOUNT mode', 'A mode other than SHARED or EXCLUSIVE follows the MOUNT keyword in an ALTER DATABASE statement.', 'Specify either SHARED, EXCLUSIVE, or nothing following MOUNT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02233', 'invalid CLOSE mode', 'A mode other than NORMAL or IMMEDIATE follows the CLOSE keyword in an ALTER DATABASE statement.', 'Specify either NORMAL, IMMEDIATE, or nothing following CLOSE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02234', 'changes to this table are already logged', 'the log table to be added is a duplicate of another', 'Don''t add this change log to the system; check that the replication product''s system tables are consistent', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02235', 'this table logs changes to another table already', 'the table to be altered is already a change log for another table', 'Don''t log changes to the specified base table to this table; check that the replication product''s system tables are consistent', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02236', 'invalid file name', 'A character string literal was not used in the filename list of a LOGFILE, DATAFILE, or RENAME clause.', 'Use correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02237', 'invalid file size', 'A non-integer value was specified in the SIZE or RESIZE clause.', 'Use correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02238', 'filename lists have different numbers of files', 'In a RENAME clause in ALTER DATABASE or TABLESPACE, the the number of existing filenames does not equal the number of new filenames.', 'Make sure there is a new filename to correspond to each existing filename.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02239', 'there are objects which reference this sequence', 'the sequence to be dropped is still referenced', 'Make sure the sequence name is correct, or drop the referencing constraint/object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02240', 'invalid value for OBJNO or TABNO', 'A number does not follow either OBJNO or TABNO.', 'Specify a number after OBJNO or TABNO.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02241', 'must of form EXTENTS (FILE <n> BLOCK <n> SIZE <n>, ...)', 'bad extent storage clause', 'respecify', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02242', 'no options specified for ALTER INDEX', 'No options specified.', 'Specify at least one of REBUILD, INITRANS, MAXTRANS, or STORAGE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02243', 'invalid ALTER INDEX or ALTER MATERIALIZED VIEW option', 'An option other than INITRANS, MAXTRANS,or STORAGE is specified in an ALTER INDEX statement or in the USING INDEX clause of an ALTER MATERIALIZED VIEW statement.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02244', 'invalid ALTER ROLLBACK SEGMENT option', 'The STORAGE option is expected but not found.', 'Specify the STORAGE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02245', 'invalid ROLLBACK SEGMENT name', 'An identifier was expected, but not found, following ALTER [PUBLIC] ROLLBACK SEGMENT.', 'Place a rollback segment name following SEGMENT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02246', 'missing EVENTS text', 'A character string literal was expected, but not found, following ALTER SESSION SET EVENTS.', 'Place the string literal containing the events text after EVENTS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02247', 'no option specified for ALTER SESSION', 'The option SET EVENTS was expected, but not found, following ALTER SESSION.', 'Place the SET EVENTS option after ALTER SESSION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02248', 'invalid option for ALTER SESSION', 'Obvious.', 'see SQL Language Manual for legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02249', 'missing or invalid value for MAXLOGMEMBERS', 'A valid number does not follow MAXLOGMEMBERS. The value specified must be between 1 and the port-specific maximum number of log file members.', 'Specify a valid number after MAXLOGMEMBERS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02368', 'the following file is not valid for this load operation', 'A file could not be used for this load. See the following message for more information.', 'Verify all the files in the DUMPFILE clause are from the same unload operation and that the unload was successful.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02369', 'internal number in header in file string is not valid', 'The specified file could not be used for this load because the internal number in the header was not valid.', 'If the dump files were transferred over, verify the transfer operation was done correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02370', 'internal metadata in file string is not valid', 'The specified file could not be used for this load because the internal metadata stored in this file does not match the metadata stored in the first file piece set.', 'Verify all the files in the DUMPFILE clause are from the same unload operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02371', 'Loader must be at least version string.string.string.string.string for direct path', 'The loader being used is incompatible with this version of the kernel.', 'Upgrade your loader to at least the specified version or use the conventional path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02372', 'data for row: string', 'A conversion error occurred while loading data into a table. The message shows values for the field in the row that had the conversion error.', 'None. This is only an informational message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02373', 'Error parsing insert statement for table string.', 'self-evident.', 'Check the error given below this one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02374', 'conversion error loading table string.string', 'A row could not be loaded into the table because there was a conversion error for one or more columns in a row.', 'See the message that follows for more information about the row that could not be loaded. To avoid this error, make sure the definition of the table being imported matches the definition of the table being exported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02375', 'conversion error loading table string.string partition string', 'A row could not be loaded into the table because there was a conversion error for one or more columns in a row.', 'See the message that follows for more information about the row that could not be loaded. To avoid this error, make sure the definition of the table being imported matches the definition of the table being exported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02376', 'invalid or redundant resource', 'a create, or alter profile command which names a resource not yet defined, or try to specify same resource twice.', 'define resource first', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02377', 'invalid resource limit', 'specifying limit of 0', 'specify limit > 0', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02379', 'profile string already exists', 'Try to create a profile which already exist', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02380', 'profile string does not exist', 'Try to assign a user to a non-existant profile', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02381', 'cannot drop PUBLIC_DEFAULT profile', 'Try to drop PUBLIC_DEFAULT profile', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02383', 'illegal cost factor', 'Negative or UNLIMITED cost for this resourc', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02391', 'exceeded simultaneous SESSIONS_PER_USER limit', 'An attempt was made to exceed the maximum number of concurrent sessions allowed by the SESSION_PER_USER clause of the user profile.', 'End one or more concurrent sessions or ask the database administrator to increase the SESSION_PER_USER limit of the user profile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02396', 'exceeded maximum idle time, please connect again', 'as stated', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02397', 'exceeded PRIVATE_SGA limit, you are being logged off', 'Only when using TP monitor', 'expand limit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02398', 'exceeded procedure space usage', 'Stored procedured used up too much space in SYSTEM Tablespace', 'Use less stored procedure', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02399', 'exceeded maximum connect time, you are being logged off', 'As stated', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02400', 'explain plan output buffer size limit exceeded', 'Internally this error is raised and caught to handle cases where the plan output exceeds te buffer size. The output is truncated in cases.', 'This error should never be seen externally.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02401', 'cannot EXPLAIN view owned by another user', 'The view specified in the SQL statement belongs to another user and cannot be explained.', 'Create a view with the same definition that belongs to current user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02402', 'PLAN_TABLE not found', 'The table used by EXPLAIN to store row source information does not exist in the current schema.', 'Create a plan table in the current schema or use the INTO clause of the statement to put the results of the explain command in an existing plan table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02403', 'plan table does not have correct format', 'The explicit plan table does not have the appropriate field definitions.', 'Redefine the plan table to have the appropriate field definitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02404', 'specified plan table not found', 'The specified plan table does cannot be found.', 'Create the specified plan table or use an existing plan table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02405', 'invalid sql plan object provided', 'The user provided a NULL, empty, or malformed object of type SQL_PLAN_TABLE_TYPE', 'Provide a new, properly formed object to the function', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02420', 'missing schema authorization clause', 'the AUTHORIZATION clause is missing from a create schema statement.', 'Preceed the schema authorization identifier with the AUTHORIZATION keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02421', 'missing or invalid schema authorization identifier', 'the schema name is missing or is incorrect in an authorization clause of a create schema statement.', 'If the name is present, it must be the same as the current schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02422', 'missing or invalid schema element', 'A statement other than a create table, create view, or grant privilege appears in a create schema statement.', 'Self-evident.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02423', 'schema name does not match schema authorization identifier', 'a table definition with a schema name prepended to the table name does not match the schema name provided in the authorization clause of a create schema statement.', 'make sure the schema names match.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02424', 'potential circular view references or unknown referenced tables', 'the create schema statement contains views that depend on other views in the containing create schema statement or they contain references to unknown tables.', 'create the dependent views in a separate create schema statement and make sure all referenced tables are either defined in the create schema statement or exist outside the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02425', 'create table failed', 'a create table statement failed in the create schema statement.', 'the cause for failure will be presented below this error message. Follow appropriate action(s) as suggested by the subsequent error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02426', 'privilege grant failed', 'a grant privilege statement failed inthe create schema statement.', 'the cause for failure will be presented below this error message. Follow appropriate action(s) as suggested by the subsequent error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02427', 'create view failed', 'a create view statement failed in the create schema statement.', 'the cause for failure will be presented below this error message. Follow appropriate action(s) as suggested by the subsequent error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02428', 'could not add foreign key reference', 'could not add a foreign key reference because of error in declaration. Either referenced table does not exist or table does not have an unique key.', 'make sure referenced table exists and/or has unique key', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02446', 'CREATE TABLE ... AS SELECT failed - check constraint violated', 'An attempt was made to use a CREATE TABLE ... AS SELECT statement when some rows violated one or more CHECK constraints.', 'Do not select rows that violate constraints.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02447', 'cannot defer a constraint that is not deferrable', 'An attempt was made to defer a nondeferrable constraint', 'Drop the constraint and create a new one that is deferrable', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02448', 'constraint does not exist', 'The named constraint does not exist', 'Stop trying to do something with a nonexistant constraint', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02449', 'unique/primary keys in table referenced by foreign keys', 'An attempt was made to drop a table with unique or primary keys referenced by foreign keys in another table.', 'Before performing the above operations the table, drop the foreign key constraints in other tables. You can see what constraints are referencing a table by issuing the following command: SELECT * FROM USER_CONSTRAINTS WHERE TABLE_NAME = "tabnam";', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02450', 'Invalid hash option - missing keyword IS', 'Missing IS keyword.', 'Specify HASH IS option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02451', 'duplicate HASHKEYS specification', 'The HASHKEYS option is specified more than once.', 'Only specify the HASHKEYS option once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02452', 'invalid HASHKEYS option value', 'The specified HASHKEYS option must be an integer value.', 'Specify an appropriate value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02453', 'duplicate HASH IS specification', 'The HASH IS option is specified more than once.', 'only specify the HASH IS option once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02454', 'Number of hash keys per block (string) exceeds maximum of string', 'The SIZE argument is too small.', 'Increase the SIZE argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02455', 'The number of cluster key column must be 1', 'When specifing the HASH IS option, the number of key columns must be 1.', 'Either do not specify the HASH IS option or reduce the number of key columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02456', 'The HASH IS column specification must be NUMBER(*,0)', 'The column specification must specify an integer.', 'Specify the column definition as type NUMBER(precision, 0).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02457', 'The HASH IS option must specify a valid column', 'The HASH IS column name is not specified in the cluster definition.', 'Specify a valid column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02458', 'HASHKEYS must be specified for a HASH CLUSTER', 'The HASHKEYS option must be specified when creating a HASH CLUSTER.', 'Specify the HASHKEYS option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02459', 'Hashkey value must be a positive integer', 'The value of the hash key was not a positive number.', 'Specify a positive integer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02460', 'Inappropriate index operation on a hash cluster', 'An attempt to create a cluster index was issued on a hash cluster.', 'Do not attempt to create such an index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02461', 'Inappropriate use of the INDEX option', 'This option is only valid for non hash clusters.', 'Do not specify this option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02462', 'Duplicate INDEX option specified', 'The INDEX option is specified more than once.', 'Only specify the INDEX option once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02463', 'Duplicate HASH IS option specified', 'The HASH IS option is specified more than once.', 'Only specify the HASH IS option once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02464', 'Cluster definition can not be both HASH and INDEX', 'The cluster can either be a hash or indexed cluster - not both.', 'Remove either the HASH IS or INDEX options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02465', 'Inappropriate use of the HASH IS option', 'This option is only valid for clusters', 'Do not specify this option', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02466', 'The SIZE and INITRANS options cannot be altered for HASH CLUSTERS.', 'An attempt was made to change the SIZE and INITRANS options after the hash cluster was created.', 'Do not specify this option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02467', 'Column referenced in expression not found in cluster definition', 'A column in the hash is expression was not present in cluster definition.', 'Recreate the cluster and correct the error in hash expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02468', 'Constant or system variable wrongly specified in expression', 'A constant or system variable was specified in the hash expression.', 'Recreate the cluster and correct the error in hash expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02469', 'Hash expression does not return an Oracle Number.', 'Result of evaluating hash expression is not an Oracle Number.', 'Recreate the cluster and correct the error in hash expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02470', 'TO_DATE, USERENV, or SYSDATE incorrectly used in hash expression.', 'TO_DATE, USERENV and SYSDATE are not allowed in hash expressions.', 'Recreate the cluster and correct the error in hash expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02471', 'SYSDATE, UID, USER, ROWNUM, or LEVEL incorrectly used in hash expre\ssion.', 'SYSDATE, UID, USER, ROWNUM, or LEVEL are not allowed in hash expression\s.', 'Recreate the cluster and remove the offending keywords.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02472', 'PL/SQL functions not allowed in hash expressions', 'A PL/SQL function was used in the hash expression.', 'Recreate the cluster and remove the PL/SQL function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02473', 'Error while evaluating the cluster''s hash expression.', 'An error occurred while evaluating the clusters hash expression.', 'Correct the query and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02474', 'Fixed hash area extents used (string) exceeds maximum allowed (string)', 'The number of extents required for creating the fixed hash area exceeds the maximum number allowed.', 'Reduce the number of extents required by increasing the extent allocation sizes within the STORAGE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02475', 'maximum cluster chain block count of string has been exceeded', 'The number of blocks in a cluster chain exceeds the maximum number allowed.', 'Increase SIZE parameter in CREATE CLUSTER statement or reconsider suitability of cluster key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02476', 'can not create index due to parallel direct load on table', 'A parallel direct load is occurring to the specified table.', 'Retry statement after load is complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02477', 'can not perform parallel direct load on object string', 'A parallel direct load is not possible because an index is is being created on the table.', 'Retry load after index creation is complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02478', 'merge into base segment would overflow MAXEXTENTS limit', 'Merge of temporary segment into base segment failed because MAXEXTENTS was larger than the total in the temp and base segments', 'Use a larger value for MAXEXTENTS on the base segment or make the extents in the temporary segments larger', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02479', 'error while translating file name for parallel load', 'An invalid file name was specified to load data into.', 'Specify a valid database file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02481', 'Too many processes specified for events (max string)', 'Too many processes specified than allowed per event.', 'Enter fewer processes by using ranges or wildcards if possible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02482', 'Syntax error in event specification (string)', 'Illegal event string', 'Enter a legal event string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02483', 'Syntax error in process specification (string)', 'Illegal process string', 'Enter a legal process string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02484', 'Invalid _trace_buffers parameter specification (string)', 'Bad process or size in _trace_buffers INIT.ORA parameter.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02485', 'Invalid _trace_options parameter specification (string)', 'Bad syntax for _trace_options INIT.ORA parameter.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02429', 'cannot drop index used for enforcement of unique/primary key', 'user attempted to drop an index that is being used as the enforcement mechanism for unique or primary key.', 'drop the constraint instead of the index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02430', 'cannot enable constraint (string) - no such constraint', 'the named constraint does not exist for this table.', 'Obvious', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02431', 'cannot disable constraint (string) - no such constraint', 'the named constraint does not exist for this table.', 'Obvious', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02432', 'cannot enable primary key - primary key not defined for table', 'Attempted to enable a primary key that is not defined for the table.', 'Need to add a primary key definition for the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02433', 'cannot disable primary key - primary key not defined for table', 'Attempted to disable a primary key tht is not defined for the table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02434', 'cannot enable unique(string) - unique key not defined for table', 'attempted to enable a unique key that is not defined for the table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02435', 'cannot disable unique(string) - unique key not defined for table', 'attempted to disable a unique key that is not deined for the table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02436', 'date or system variable wrongly specified in CHECK constraint', 'An attempt was made to use a date constant or system variable, such as USER, in a check constraint that was not completely specified in a CREATE TABLE or ALTER TABLE statement. For example, a date was specified without the century.', 'Completely specify the date constant or system variable. Setting the event 10149 allows constraints like "a1 > ''10-MAY-96''", which a bug permitted to be created before version 8.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02437', 'cannot validate (string.string) - primary key violated', 'attempted to validate a primary key with duplicate values or null values.', 'remove the duplicates and null values before enabling a primary key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02438', 'Column check constraint cannot reference other columns', 'attempted to define a column check constraint that references another column.', 'define it as a table check constriant.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02439', 'Unique index on a deferrable constraint is not allowed', 'attempted to enable a deferrable primary key/unique constraint that has an existing unique index on the constraint columns.', 'Drop the index on the constraint columns or make the constraint not deferrable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02440', 'Create as select with referential constraints not allowed', 'create table foo (... ref. con. ...) as select ...;', 'Create the table as select, then alter the table to add the constraints afterwards.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02441', 'Cannot drop nonexistent primary key', 'alter table drop primary key - primary key does not exist.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02442', 'Cannot drop nonexistent unique key', 'alter table drop unique (<col list>) - unique specification does not exist.', 'make sure column list for unique constraint is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02443', 'Cannot drop constraint - nonexistent constraint', 'alter table drop constraint <constraint_name>', 'make sure you supply correct constraint name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02486', 'Error in writing trace file string', 'Error occurred in creating/writing the file.', 'Check file name and make sure it is constructed properly. Also, check permissions for directories.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02487', 'Error in converting trace data', 'Incompatible binary trace data was specified.', 'Check the format of the input data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02488', 'Error encountered when accessing file [string] for trace conversion', 'An attempt was made to open or access the trace file during a trace conversion.', 'Check the permissions for both input and output files. Also, check the file compatibility for the trace conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02490', 'missing required file size in RESIZE clause', 'No value was specified for the RESIZE clause.', 'Use correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02491', 'missing required keyword ON or OFF in AUTOEXTEND clause', 'The keyword ON or OFF was not specified for the AUTOEXTEND clause.', 'Use correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02492', 'missing required file block increment size in NEXT clause', 'No value was specified for the NEXT clause.', 'Use correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02493', 'invalid file increment size in NEXT clause', 'A non-integer value was used for the NEXT clause of the DATAFILE list.', 'Use correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02494', 'invalid or missing maximum file size in MAXSIZE clause', 'UNLIMITED was not specified, or an invalid integer value was specified, for the MAXSIZE clause in the DATAFILE file list. The MAXSIZE value cannot be smaller than the SIZE value.', 'Use correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02495', 'cannot resize file string, tablespace string is read only', 'An attempt was made to resize a data file in a tablespace that is read only.', 'Change the tablespace to read/write and retry the resize operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02700', 'osnoraenv: error translating ORACLE_SID', 'Two-task driver could not find the value of ORACLE_SID in the environment.', 'Make sure that the ORACLE_SID environment variable has been properly set and exported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02701', 'osnoraenv: error translating oracle image name', 'ORACLE_HOME environment variable not set.', 'Make sure that the ORACLE_HOME environment variable has been properly set and exported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02702', 'osnoraenv: error translating orapop image name', 'ORACLE_HOME environment variable not set.', 'Make sure that the ORACLE_HOME environment variable has been properly set and exported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02703', 'osnpopipe: pipe creation failed', 'The pipe driver failed to create pipes for communications with the orapop process.', 'You have probably exceeded the maximum number of open file descriptors per user or the system file table is full. Note the operating system error code and contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02704', 'osndopop: fork failed', 'The two-task driver could not fork orapop.', 'Verify that there are enough system resources to support another process. The user or system process limit may have been exceeded, or the amount of free memory or swap space may be temporarily insufficient.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02705', 'osnpol: polling of communication channel failed', 'The pipe driver failed while polling the communications channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02706', 'osnshs: host name too long', 'The length of your host-string specified by the TWO_TASK environment variable exceeds the ORACLE system-imposed limit.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02707', 'osnacx: cannot allocate context area', 'The invoked Unix two-task driver could not allocate heap space for the context area.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02708', 'osnrntab: connect to host failed, unknown ORACLE_SID', 'The invoked Unix two-task driver failed to find an entry in oratab for the sid you supplied.', 'First, check whether you have read access to oratab, and see if the desired sid is there. Add an entry to oratab for the desired sid, if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02709', 'osnpop: pipe creation failed', 'The pipe driver failed to create pipes for two-task communications with the oracle shadow process.', 'You have probably exceeded the maximum number of open file descriptors per user or the system file table is full. Note the operating system error code and contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02278', 'duplicate or conflicting MAXVALUE/NOMAXVALUE specifications', 'Self-evident.', 'Remove the duplicate or conflicting specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02279', 'duplicate or conflicting MINVALUE/NOMINVALUE specifications', 'Self-evident.', 'Remove the duplicate or conflicting specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02280', 'duplicate or conflicting CYCLE/NOCYCLE specifications', 'Self-evident.', 'Remove the duplicate or conflicting specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02281', 'duplicate or conflicting CACHE/NOCACHE specifications', 'Self-evident.', 'Remove the duplicate or conflicting specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02282', 'duplicate or conflicting ORDER/NOORDER specifications', 'Self-evident.', 'Remove the duplicate or conflicting specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02283', 'cannot alter starting sequence number', 'Self-evident.', 'Don''t alter it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02284', 'duplicate INCREMENT BY specifications', 'Self-evident.', 'Remove the duplicate specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02285', 'duplicate START WITH specifications', 'Self-evident.', 'Remove the duplicate specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02286', 'no options specified for ALTER SEQUENCE', 'Self-evident.', 'The statement is meaningless without any options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02287', 'sequence number not allowed here', 'The specified sequence number (CURRVAL or NEXTVAL) is inappropriate here in the statement.', 'Remove the sequence number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02288', 'invalid OPEN mode', 'A token other than RESETLOGS appears following ALTER DATABASE <name> OPEN.', 'Either nothing or RESETLOGS should be placed following OPEN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02289', 'sequence does not exist', 'The specified sequence does not exist, or the user does not have the required privilege to perform this operation.', 'Make sure the sequence name is correct, and that you have the right to perform the desired operation on this sequence.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02290', 'check constraint (string.string) violated', 'The values being inserted do not satisfy the named check constraint.', 'do not insert values that violate the constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02291', 'integrity constraint (string.string) violated - parent key not found', 'A foreign key value has no matching primary key value.', 'Delete the foreign key or add a matching primary key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02292', 'integrity constraint (string.string) violated - child record found', 'attempted to delete a parent key value that had a foreign key dependency.', 'delete dependencies first then parent or disable constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02293', 'cannot validate (string.string) - check constraint violated', 'an alter table operation tried to validate a check constraint to a populated table that had nocomplying values.', 'Obvious', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02294', 'cannot enable (string.string) - constraint changed during validation', 'While one DDL statement was attempting to enable this constraint, another DDL changed this same constraint.', 'Try again, with only one DDL changing the constraint this time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02295', 'found more than one enable/disable clause for constraint', 'a create or alter table specified more than one enable and/or disable clause for a given constraint.', 'only one enable or disable may be specified for a given constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02296', 'cannot enable (string.string) - null values found', 'an alter table enable constraint failed because the table contains values that do not satisfy the constraint.', 'Obvious', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02297', 'cannot disable constraint (string.string) - dependencies exist', 'an alter table disable constraint failed becuase the table has foriegn keys that are dpendent on this constraint.', 'Either disable the foreign key constraints or use disable cascade', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02298', 'cannot validate (string.string) - parent keys not found', 'an alter table validating constraint failed because the table has orphaned child records.', 'Obvious', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02299', 'cannot validate (string.string) - duplicate keys found', 'an alter table validating constraint failed because the table has duplicate key values.', 'Obvious', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02300', 'invalid value for OIDGENERATORS', 'A number was not specified for the value of OIDGENERATORS.', 'Specify a number for OIDGENERATORS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02301', 'maximum number of OIDGENERATORS is 255', 'A number greater than 255 was specified for the value of OIDGENERATORS.', 'Make sure the number specified for OIDGENERATORS does not exceed 255.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02302', 'invalid or missing type name', 'An invalid or missing type name was entered in a statement.', 'Enter a valid type name in the statement and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02303', 'cannot drop or replace a type with type or table dependents', 'An attempt was made to drop or replace a type that has dependents. There could be a substitutable column of a supertype of the type being dropped.', 'Drop all type(s) and table(s) depending on the type, then retry the operation using the VALIDATE option, or use the FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02304', 'invalid object identifier literal', 'An attempt was made to enter an object identifier literal for CREATE TYPE that is either:' || '<p>' || '- not a string of 32 hexadecimal characters' || '<p>' || '' || '<p>' || '- an object identifier that already identifies an existing object' || '<p>' || '' || '<p>' || '- an object identifier different from the original object identifier already assigned to the type', 'Do not specify the object identifier clause or specify a 32 hexadecimal-character object identifier literal that is unique or identical to the originally assigned object identifier. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02305', 'only EXECUTE, DEBUG, and UNDER privileges are valid for types', 'An attempt was made to GRANT or REVOKE an invalid privilege (not EXECUTE, DEBUG, or UNDER) on a type.', 'GRANT or REVOKE only the EXECUTE, DEBUG, or UNDER privilege on types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02306', 'cannot create a type that already has valid dependent(s)', 'An attempt was made to create a type that already has some valid dependent(s) (these dependents depend on the fact that the type does not exist).', 'Drop the dependents first before creating the type, or do not create the type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02307', 'cannot alter with REPLACE option a type that is not valid', 'An attempt was made to ALTER with REPLACE option a type that is not valid.', 'Use the CREATE OR REPLACE TYPE command to modify the type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02308', 'invalid option string for object type column', 'An attempt was made to specify an invalid option, such as PACKED or UNPACKED, for the object type column.', 'Remove the invalid option from column specification and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02309', 'atomic NULL violation', 'An attempt was made to acess the attributes of a NULL object instance.', 'Ensure that the object instance is non-NULL before accessing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02310', 'exceeded maximum number of allowable columns in table', 'The attributes in the object type column exceeded the maximum number of columns allowed in a table.', 'Specify fewer attributes for the object type and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02311', 'cannot alter with COMPILE option a valid type with type or table dependents', 'An attempt was made to ALTER with COMPILE option a type that is valid and has type or table dependents.', 'No need to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02313', 'object type contains non-queryable type string attribute', 'The specified object type contains a nested attribute whose type is non-queryable.', 'Use an object type with queryable attribute types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02314', 'illegal use of type constructor', 'The statement contains an illegal use of a type constructor.', 'Refer to the SQL Reference manual for the correct statement syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02250', 'missing or invalid constraint name', 'The constraint name is missing or invalid.', 'Specify a valid identifier name for the constraint name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02251', 'subquery not allowed here', 'Subquery is not allowed here in the statement.', 'Remove the subquery from the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02252', 'check constraint condition not properly ended', 'The specified search condition for the check constraint is not properly ended.', 'End the condition properly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02253', 'constraint specification not allowed here', 'Constraint specification is not allowed here in the statement.', 'Remove the constraint specification from the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02254', 'DEFAULT <expression> not allowed here', 'Default value expression is not allowed for the column here in the statement.', 'Remove the default value expression from the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02255', 'obsolete 7.1.5', 'Was that defaults must not conflict with not null constraints', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02256', 'number of referencing columns must match referenced columns', 'The number of columns in the foreign-key referencing list is not equal to the number of columns in the referenced list.', 'Make sure that the referencing columns match the referenced columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02257', 'maximum number of columns exceeded', 'The number of columns in the key list exceeds the maximum number.', 'Reduce the number columns in the list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02258', 'duplicate or conflicting NULL and/or NOT NULL specifications', 'Self-evident.', 'Remove the duplicate or conflicting specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02259', 'duplicate UNIQUE/PRIMARY KEY specifications', 'Self-evident.', 'Remove the duplicate specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02260', 'table can have only one primary key', 'Self-evident.', 'Remove the extra primary key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02261', 'such unique or primary key already exists in the table', 'Self-evident.', 'Remove the extra key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02262', 'ORA-string occurs while type-checking column default value expression', 'New column datatype causes type-checking error for existing column default value expression.', 'Remove the default value expression or don''t alter the column datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02263', 'need to specify the datatype for this column', 'The required datatype for the column is missing.', 'Specify the required datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02264', 'name already used by an existing constraint', 'The specified constraint name has to be unique.', 'Specify a unique constraint name for the constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02265', 'cannot derive the datatype of the referencing column', 'The datatype of the referenced column is not defined as yet.', 'Make sure that the datatype of the referenced column is defined before referencing it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02266', 'unique/primary keys in table referenced by enabled foreign keys', 'An attempt was made to truncate a table with unique or primary keys referenced by foreign keys enabled in another table. Other operations not allowed are dropping/truncating a partition of a partitioned table or an ALTER TABLE EXCHANGE PARTITION.', 'Before performing the above operations the table, disable the foreign key constraints in other tables. You can see what constraints are referencing a table by issuing the following command: SELECT * FROM USER_CONSTRAINTS WHERE TABLE_NAME = "tabnam";', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02267', 'column type incompatible with referenced column type', 'The datatype of the referencing column is incompatible with the', 'Select a compatible datatype for the referencing column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02268', 'referenced table does not have a primary key', 'The referenced table does not have a primary key.', 'Specify explicitly the referenced table unique key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02269', 'key column cannot be of LONG datatype', 'Self-evident.', 'Change the datatype of the column, or remove the column from the key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02270', 'no matching unique or primary key for this column-list', 'A REFERENCES clause in a CREATE/ALTER TABLE statement gives a column-list for which there is no matching unique or primary key constraint in the referenced table.', 'Find the correct column names using the ALL_CONS_COLUMNS catalog view', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02271', 'table does not have such constraint', 'Self-evident.', 'Make sure the specified constraint name is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02272', 'constrained column cannot be of LONG datatype', 'Self-evident.', 'Change the datatype of the column, or remove the constraint on the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02273', 'this unique/primary key is referenced by some foreign keys', 'Self-evident.', 'Remove all references to the key before the key is to be dropped.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02274', 'duplicate referential constraint specifications', 'Self-evident.', 'Remove the duplicate specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02275', 'such a referential constraint already exists in the table', 'Self-evident.', 'Remove the extra constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02276', 'default value type incompatible with column type', 'The type of the evaluated default expression is incompatible with the datatype of the column.', 'Change the type of the column, or modify the default expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02277', 'invalid sequence name', 'The specified sequence name is not a valid identifier name.', 'Specify a valid identifier name for the sequence name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02315', 'incorrect number of arguments for default constructor', 'The number of arguments specified for the default constructor doesn''t match the number of attributes of the object type.', 'Specify the correct number of arguments for the default constructor and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02320', 'failure in creating storage table for nested table column string', 'An error occurred while creating the storage table for the specified nested table column.', 'See the messages that follow for more details. If the situation they describe can be corrected, do so; otherwise contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02322', 'failure in accessing storage table of the nested table column', 'An error occured while performing DML on the storage table of the nested table column.', 'If the situation described in the following messages can be corrected, do so; otherwise contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02324', 'more than one column in the SELECT list of THE subquery', 'More than one column was selected in the THE subquery.', 'Specify only one column in the SELECT list of the THE subquery and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02327', 'cannot create index on expression with datatype string', 'An attempt was made to create an index on a non-indexable expression.', 'Change the column datatype or do not create the index on an expression whose datatype is one of VARRAY, nested table, object, LOB, or REF.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02329', 'column of datatype string cannot be unique or a primary key', 'An attempt was made to place a UNIQUE or a PRIMARY KEY constraint on a column of datatype VARRAY, nested table, object, LOB, FILE or REF.', 'Change the column datatype or remove the constraint. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02330', 'datatype specification not allowed', 'An attempt was made to specify the data type in the column constraint specification of an object table.', 'Remove data type specification and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02331', 'cannot create constraint on column of datatype string', 'An attempt was made to create a constraint on a column posessing a non-constrainable datatype -- VARRAY, nested table, object, LOB, FILE, or REF.', 'Change the column datatype, or remove the constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02332', 'cannot create index on attributes of this column', 'An attempt was made to create an index on an attributes of an object type column.', 'Do not specify the index on the attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02333', 'cannot create constraints on attributes of this column', 'An attempt was made to create a constraint on an attribute of an object type column.', 'Remove the constraint or change the object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02334', 'cannot infer type for column', 'A datatype was not declared for this column (in the CREATE TABLE) and an attempt was made to create a constraint on an attribute of this column.', 'Declare a datatype for the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02335', 'invalid datatype for cluster column', 'An attempt was made to declare a CLUSTER column of datatype object, REF, nested table, VARRAY, LOB, or FILE.', 'Remove the CLUSTER column or change the datatype of the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02336', 'column attribute cannot be accessed', 'An attempt was made to extract an attribute of an object type column.', 'Change the object type for the column and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02337', 'not an object type column', 'An attempt was made to use dotted notation on a non-ADT column; that is, "a.b.c" where "a" is not an object type.', 'Either change the column type to an object type or do not perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02338', 'missing or invalid column constraint specification', 'A column constraint was not specified.', 'Remove the column specification or specify a column constraint. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02339', 'invalid column specification', 'An attempt was made to specify the PACKED or UNPACKED keyword for a non-object type column.', 'Remove the PACKED or UNPACKED keyword in the column specification and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02340', 'invalid column specification', 'An attempt was made to specify an UNPACKED column within a packed table.', 'Remove the UNPACKED keyword in the column specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02342', 'replacement type has compilation errors', 'The use of the ALTER...REPLACE statement on a valid type caused a compilation error.', 'Use the ALTER...REPLACE statement to replace the type with a valid type which does not cause compilation errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02344', 'cannot revoke execute on a type with table dependents', 'An attempt was made to revoke execute on a type that has dependents.', 'Drop all table(s) depending on the type, then retry the operation, or use the FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02345', 'cannot create a view with column based on CURSOR operator', 'A CURSOR operator was used as one of the SELECT elements in the subquery of a CREATE VIEW or CREATE TABLE ... AS SELECT statement.', 'Remove the CURSOR operator and replace it with the CAST operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02347', 'cannot grant privileges on columns of an object table', 'An attempt was made to grant privileges on the columns of an object table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02348', 'cannot create VARRAY column with embedded LOB', 'An attempt was made to create a column of a VARRAY type which has an embedded LOB attribute. The LOB could be an attribute of a subtype of the declared type of VARRAY''s element.', 'Remove offending attribute from type. If it is a subtype attribute then declare the VARRAY column NOT SUBSTITUTABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02349', 'invalid user-defined type - type is incomplete', 'An attempt was made to use an incomplete type definition as a column or table datatype.', 'Complete the type definition and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02351', 'internal error: string', 'An unexpected error condition was detected.', 'Make a note of the error number and message and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02352', 'error setting an OCI attribute: string', 'An OCI error has occurred.', 'The table or column referenced may not be accessible. Contact Oracle Support Services if the problem cannot be resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02353', 'error fetching an OCI attribute: string', 'An OCI error has occurred.', 'The table or column referenced may not be accessible. Contact Oracle Support Services if the problem cannot be resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02354', 'error in exporting/importing data string', 'An error has occurred in a stream export or import operation. This message will be followed by another message giving more details about this error.', 'See export/import documentation for an explanation of the second error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02355', 'error opening file: string', 'An attempt to open the specified file for data export/import failed.', 'Review the error message. Resolve the problem and retry the the operation. Contact Oracle Support Services if the problem cannot be resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02356', 'The database is out of space. The load cannot continue', 'The load was discontinued due to space exhaustion in the database.', 'Add space for the specified table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02357', 'header in file string may not contain correct information', 'The header may be corrupted.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02358', 'error in exporting or importing data', 'An error has occurred in a stream export or import operation.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02359', 'database version in file string is not valid', 'The specified file could not be used for this load because its database version was not compatible with the database version in the other files in the DUMPFILE clause.', 'Verify all the files in the DUMPFILE clause are from the same unload operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02360', 'fatal error during data export/import initialization', 'An unexpected error occurred during initialization for data export/import.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02361', 'error while attempting to allocate number bytes of memory', 'd by insufficient memory.', 'Reconnect to the instance and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02362', 'error closing file: string', 'An attempt to close the specified file for data export/import failed.', 'Review the error message. Resolve the problem and retry the the operation. Contact Oracle Support Services if the problem cannot be resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02363', 'error reading from file: string', 'An attempt to read from the specified file for data export/import failed.', 'Review the error message. Resolve the problem and retry the the operation. Contact Oracle Support Services if the problem cannot be resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02364', 'error writing to file: string', 'An attempt to write to the specified file for data export/import failed.', 'Review the error message. Resolve the problem and retry the the operation. Contact Oracle Support Services if', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02365', 'error seeking in file: string', 'An attempt to seek to the specified position in file failed.', 'Review the error message. Resolve the problem and retry the the operation. Contact Oracle Support Services if', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02366', 'The following index(es) on table string were processed:', 'The table had some indexes which were loaded if there were no errors.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02367', 'read ended but had expected more data from file string', 'A truncated or incomplete file was used for the load operation.', 'Verify unload operation completed successfully and that the files had not been accidentally truncated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02444', 'Cannot resolve referenced object in referential constraints', 'attempted to define foreign key referencing an object which cannot be resolved to a base table reference', 'referential constraints can only be defined on objects which can be resolve to base table reference', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02445', 'Exceptions table not found', 'the explicity or implicity declared exceptions table does not exist.', 'Create the table then issue the enable command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02837', 'Unable to unlink temporary file', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02838', 'Unable to arm signal handler for the alarm signal', 'The arming of a signal handler for the alarmsignal failed.', 'Internal error - contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02839', 'Sync of blocks to disk failed.', 'The server was unable to flush its writes out to disk.', 'Check the UNIX error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02840', 'Open of log file by client failed', 'The client process was unable to open its log file.', 'Check the UNIX error number for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02841', 'Server died on start up', 'A server exited during its initialization process.', 'Check the servers'' logs for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02842', 'Client unable to fork a server', 'The client could not spawn a server. A possible reason is that the operating system has reached its limit on the number of processes that it can spawn.', 'Either reduce the number of servers that are to be used, or reconfigure the operating system so that it can handle more processes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02843', 'Invalid value for kernel flag', 'An illegal value was given for the kernel flag in the information structure. Only TRUE and FALSE are permitted.', 'This is a programming error - check the calling routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02844', 'Invalid value for the leave open flag', 'A value was given for the flag that determines whether a file is to be left open after the client checks it to see if the servers can use it. Only TRUE and FALSE are supported.', 'This is a programming error - check the calling routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02845', 'Invalid value for the timing wanted flag', 'A value was given for the flag that indicates that operations are to be timed out. Only TRUE and FALSE are supported.', 'This is a programming error - check the calling routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02846', 'Unkillable server', 'A server would not respond to the termination signal. The first number is the number of the server. The second is its UNIX process number. This is an internal problem.', 'This is an operating system problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02847', 'Server did not terminate when posted', 'A server did not respond to a posted request to shutdown. The first number is the number of the server. The second is its UNIX process number. This is an internal problem.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02848', 'Asynchronous I/O package is not running', 'An operation using the asynchronous I/O package was attempted without first initializing the package using sfainit().', 'Call sfainit() before using the package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02849', 'Read failed because of an error', 'A server could not read the requested amount of data from disk.', 'Check the UNIX error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02850', 'File is closed', 'A file upon which an asynchronous I/O operation is to be performed has already been closed by the package.', 'This is a programming error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02851', 'Request list is empty when it should not be', 'This is an internal problem.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02852', 'Invalid critical-section time out value', 'The time given was not a positive number.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02853', 'Invalid server list latch time out value', 'The time given was not a positive number.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02854', 'Invalid number of request buffers', 'The value given for "db_slave_buffers" in your INIT.ORA file is less than 0.', 'Use a number that is greater than or equal to 0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02855', 'Number of requests is less than the number of slaves', 'The value given for "db_slave_buffers" in your INIT.ORA file is less than the number specified for the number of slaves, "db_slaves."', 'Specify a number that is greater than that given for "db_slaves" Alternatively, specify 0. The kernel will supply the appropriate number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02875', 'smpini: Unable to get shared memory for PGA', 'Stated in errno.', 'Resolve the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02876', 'smpini: Unable to attach to shared memory for PGA', 'Stated in errno.', 'Resolve the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02877', 'smpini: Unable to initialize memory protection', 'The adspcinit program has not been executed.', 'Execute the adscpinit program as shown in your Installation and Users'' Guide. If the problem persists, try rebooting your computer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02878', 'sou2o: Variable smpdidini overwritten', 'The variable smpdidini was overwritten, probably by client code.', 'Verify client code, e.g. Pro*C, for illegal memory access. If the problem occurs outside Single Task operation, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02879', 'sou2o: Could not gain access to protected memory', 'This is an internal error, note error code in errno.', 'Report to your customer support representative. Restarting your application or your computer may cure the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02880', 'smpini: Could not register PGA for protection', 'This is an internal error, note error code in errno.', 'Report to your customer support representative. Restarting your application or your computer may cure the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02881', 'sou2o: Could not revoke access to protected memory', 'This is an internal error, note error code in errno.', 'Report to your customer support representative. Restarting your application or your computer may cure the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02882', 'sou2o: Could not register SGA for protection', 'This is an internal error, note error code in errno.', 'Report to your customer support representative. Restarting your application or your computer may cure the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02899', 'smscre: Cannot create SGA with Extended Shared Memory feature', 'The environment variable EXTSHM was set before starting oracle.', 'Unset the environment variable EXTSHM and startup oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03001', 'unimplemented feature', 'This feature is not implemented.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03002', 'operator not implemented', 'This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03007', 'obsolete feature', 'User attempted to use a feature which is no longer supported.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03009', 'Incompatible OCI function call', 'An incompatible OCI function call was issued for new functionality.', 'Do not use V7 OCI calls for this functionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03112', 'a server linked as single-task cannot use SQL*Net', 'A statement containing a SQL*Net connect string was issued to the single-task server. For example, a database link was used in a SQL statement.', 'Do not use SQL*Net connect strings in a single-task environment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03113', 'end-of-file on communication channel', 'The connection between Client and Server process was broken.', 'There was a communication error that requires further investigation. First, check for network problems and review the SQL*Net setup. Also, look in the alert.log file for any errors. Finally, test to see whether the server process is dead and whether a trace file was generated at failure time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03119', 'two-task detected inconsistent datatype specification', 'There was both a datatype, and an anonymous datatype declaration found.', 'Correct the specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03122', 'attempt to close ORACLE-side window on user side', 'This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03123', 'operation would block', 'This is a status code that indicates that the operation cannot complete now.', 'None; this is not an error. The operation should be retried again for completion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03124', 'two-task internal error', 'Internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03125', 'client-server protocol violation', 'The application received a bad escape sequence from the server and may indicate a problem with the client application user code.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03126', 'network driver does not support non-blocking operations', 'A non-blocking operation was attempted and the network driver does not support non-blocking operations.', 'Use default blocking operations or use a driver supporting non-blocking operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03127', 'no new operations allowed until the active operation ends', 'An attempt was made to execute a new operation before the active non-blocking operation completed or a new operation was attempted before all the pieces of a column were inserted or fetched.', 'Execute the new operation after the non-blocking operation completes. If piecewise binds/defines were done, execute the new operation after all the pieces have been inserted or fetched.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03128', 'connection is in blocking mode', 'The OCI test for non-blocking mode on a connection indicates that the connection is in blocking mode.', 'If non-blocking mode is required use appropriate OCI calls to change the mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03129', 'the next piece to be inserted is required', 'The application performed a piecewise bind on a column.', 'Provide the next piece of this bind variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03130', 'the buffer for the next piece to be fetched is required', 'The application performed a piecewise define on the column.', 'Provide the next buffer for the next piece to be retrieved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03131', 'an invalid buffer was provided for the next piece', 'The application either provided the length of the buffer for the next piece to be zero or provided a null pointer.', 'Verify if the buffer pointer for the next piece is null or if the length is zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03132', 'two-task default value overflow', 'The default value specified for a record field was too large.', 'Change the default value to fit the field size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03134', 'Connections to this server version are no longer supported.', 'An attempt was made to connect to an Oracle server of older version.', 'Please refer to documentation for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03135', 'connection lost contact', '1) Server unexpectedly terminated or was forced to terminate. 2) Server timed out the connection.', '1) Check if the server session was terminated. 2) Check if the timeout parameters are set properly in sqlnet.ora.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03136', 'inbound connection timed out', 'Inbound connection was timed out by the server because user authentication was not completed within the given time specified by SQLNET.INBOUND_CONNECT_TIMEOUT or its default value', '1) Check SQL*NET and RDBMS log for trace of suspicious connections. 2) Configure SQL*NET with a proper inbound connect timeout value if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03137', 'TTC protocol internal error : [string] [string] [string] [string] [string] [string] [string] [string]', 'TTC protocol internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03138', 'Connection terminated due to security policy violation', 'Connection was terminated due to a security policy violation.', 'Contact the Database Administrator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03139', 'This OCI call has been disabled by the DBA', 'The SEC_DISABLE_OLDER_ORACLE_RPCS initialization parameter was enabled.', 'Contact the Database Administrator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03140', 'I/O operation in progress', 'The current I/O operation was not complete. The error is typically returned from vectored and/or asynchronous I/O calls.', 'Perform the necessary operation to complete or abort the current I/O.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03141', 'I/O request queue full', 'The I/O request queue was full and no more requests could be queued.', 'Perform the proper operations to complete part or all of the current in-progress I/O requests.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03142', 'Session ID: number Serial number: number', 'Connection was lost for the specified session and serial number. This is either due to session being killed or network problems.', 'Reconnect and if error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03143', 'Process ID: string Thread ID: string', 'Connection was lost for the specified process ID and thread ID. This is either due to session being killed or network problems.', 'Reconnect and if error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03144', 'Process ID: string', 'Connection was lost for the specified process ID. This is either due to session being killed or network problems.', 'Reconnect and if error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03145', 'I/O streaming direction error', 'Attempted to PUT data when GET streaming was in progress or attempted to GET data when PUT streaming was in progress.', 'Complete current stream read or write I/O before attempting I/O in reverse direction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03146', 'Invalid buffer length for TTC field', 'A corrupt Two-Task Common (TTC) packet was received.', 'This is a internal protocol error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03160', 'An invalid client operation was requested by the server', 'You are using an Oracle client application linked with libraries with lower version than the current server version.', 'Upgrade client libraries to be same as or higher than the server version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03170', 'deadlocked on readable physical standby (undo segment string)', 'A new undo segment was added. A query can occasionally deadlock when issued around the time an undo segment is added and used immediately on the primary.', 'Retry the query. Avoid creating new undo segments when using standby as a regular part of operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03171', 'Recovery was terminated during query execution', 'Recovery was terminated. A query can ocassionally deadlock when recovery is terminated because it needs a block with changes that are made after the point at which recovery was terminated.', 'Retry the query. Avoid cancelling recovery on standby.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03200', 'the segment type specification is invalid', 'segment type is not TABLE, INDEX, or CLUSTER', 'use a correct segment type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03201', 'the group number specification is invalid', 'the freelist group number was either negative or larger than the the number of freelist groups in the segment', 'use a correct group number', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03202', 'the scan limit specification is invalid', 'the scan limit did not have a positive integer value the number of freelist groups in the segment', 'use a correct scan limit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03203', 'concurrent update activity makes space analysis impossible', 'high volume of user updates interfere with the space analysis', 'retry the command or lock the underlying objects', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03204', 'the segment type specification should indicate partitioning', 'partition name is specified for the space analysis, but the object type does not indicate parttitioning', 'specify PARTITION in the segment type, if the object is partitioned, otherwise, omit the partition name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03205', 'partition name is required when partitioned type is specified', 'partition name is not specified for the space analysis, but the object type indicates parttitioning', 'specify partition name, if the object is partitioned, otherwise, specify a non-partitioned type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03206', 'maximum file size of (string) blocks in AUTOEXTEND clause is out of range', 'The maximum file size for an autoextendable file has exceeded the maximum number of blocks allowed.', 'Reduce the size and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03207', 'subpartitioned type must be specified for composite object', 'partition type is specified for the space analysis, but the object type indicates composite partitioning', 'specify subpartition name and subpartition type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03208', 'partitioned type must be specified for a non-composite object', 'subpartition type is specified for the space analysis, but the object type indicates non-composite partitioning', 'specify partition name and partition type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03209', 'DBMS_ADMIN_PACKAGE invalid file/block specification', 'The value of file number or block number is outside of limits or inconsistent', 'Fix the file number/block number value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03210', 'DBMS_ADMIN_PACKAGE invalid option specification', 'The value of one of the option parameters is incorrect', 'Fix the option value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03211', 'The segment does not exist or is not in a valid state', 'The segment specified in the DBMS_SPACE_ADMIN or DBMS_SPACE operation does not exist or is not in a state appropriate for this operation', 'Fix the segment specification, or put the segment in the appropriate state.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03212', 'Temporary Segment cannot be created in locally-managed tablespace', 'Attempt to create a temporary segment for sort/hash/lobs in in permanent tablespace of kind locally-managed', 'Alter temporary tablespace of user to a temporary tablespace or a dictionary-managed permanent tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03213', 'Invalid Lob Segment Name for DBMS_SPACE package', 'The Lob Segment specified in the DBMS_SPACE operation does not exist.', 'Fix the Segment Specification', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03214', 'File Size specified is smaller than minimum required', 'File Size specified for add/resize datafile/tempfile does not allow for the minimum required of one allocation unit.', 'Increase the specification for file size', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03215', 'File Size specified for resize is too small', 'File Size specified for resize datafile/tempfile causes bitmap control structures to overlap', 'Increase the specification for file size', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03216', 'Tablespace/Segment Verification cannot proceed', 'Corruptions detected during verification whch cannot be dealt with', 'Do manual verification', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03217', 'invalid option for alter of TEMPORARY TABLESPACE', 'invalid option for alter of temporary tablespace was specified', 'Specify one of the valid options: ADD TEMPFILE, TEMPFILE ONLINE, TEMPFILE OFFLINE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03218', 'invalid option for CREATE/ALTER TABLESPACE', 'invalid option for create/alter tablespace of type locally-managed', 'Specify one of the valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03219', 'Tablespace ''string'' is dictionary-managed, offline or temporary', 'Operation which is only applicable to permanent, online, locally-managed tablespaces is specified for a tablespace which is either dictionary-managed, offline or temporary', 'Reissue operation for a different tablespace, mount the tablespace or do not issue it at all, since it does not apply for the given tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03220', 'DBMS_ADMIN_PACKAGE required parameter is NULL or missing', 'Some of the procedures was called with missing or NULL parameters', 'Specify the missing parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03221', 'Temporary tablespaces and temporary segments must have standard block size', 'An attempt was made to do one of the following : (1) create a temporary tablespace with a non-standard block size or, (2) alter an existing permanent tablespace of non-standard block size to a temporary tablespace or, (3) issue a DDL statement that would result in the creation of a temporary segment in a tablespace of non-standard block size.', '(1) If creating a temporary tablespace, do not specify a block size different from the standard block size. (2) If altering an existing permanent tablespace to a temporary tablespace, ensure that it is of standard block size. (3) Ensure that the user''s temporary tablespace is a tablespace having the standard block size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03222', 'average row size and row count must be greater than zero', 'Either a bad value passed to dbms_space.create_table_cost() or explain plan did not pass through size information.', 'Check the row size parameter in dbms_space.create_table_cost(). For explain plan, make sure statistics have been computed for all source tables in the CREATE TABLE AS SELECT statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03230', 'segment only contains string blocks of unused space above high water mark', 'Attempt to preserve too many blocks.', 'reduce the KEEP amount.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03231', 'the INITIAL extent may not be deallocated', 'Attempt to deallocate space from the segment which was truncated prior to the 7.3 release.', 'increase the KEEP amount, or truncate the segment, and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03233', 'unable to extend table string.string subpartition string by string in tablespace string', 'Failed to allocate an extent for table subpartition segment in tablespace.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03234', 'unable to extend index string.string subpartition string by string in tablespace string', 'Failed to allocate an extent for index subpartition segment in tablespace.', 'Use ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03235', 'max # extents (string) reached in table string.string subpartition string', 'A table subpartition tried to extend past maxextents', 'If maxextents is less than the system maximum, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03236', 'max # extents (string) reached in index string.string subpartition string', 'An index subpartition tried to extend past maxextents', 'If maxextents is less than the system max, raise it. Otherwise, you must recreate with larger initial, next or pctincrease params.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03237', 'Initial Extent of specified size cannot be allocated in tablespace (string)', 'Too large a size for an initial extent due to freelist group specification', 'Reduce number of freelist groups specified for segment', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03238', 'unable to extend LOB segment string.string subpartition string by string in tablespace string', 'An attempt was made to allocate an extent for LOB subpartition segment in tablespace, but the extent could not be allocated because there is not enough space in the tablespace indicated.', 'Use the ALTER TABLESPACE ADD DATAFILE statement to add one or more files to the tablespace indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03239', 'maxextents (string) reached in LOB segment string.string subpartition string', 'A LOB subpartition segment tried to extend past maxextents.', 'If maxextents is less than the system maximum, raise it. Otherwise, recreate the subpartition with larger INITIAL, NEXT, or PCTINCREASE parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03240', 'User''s temporary tablespace same as tablespace being migrated', 'Users default temporary tablespace must be different from the tablespace being migrated.', 'alter users default temporary tablespace to be different.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03241', 'Invalid unit size', 'User specified an invalid unit size for the tablespace', 'Specify the correct unit size. To estimate unit size please refer to Oracle Server Administrator''s Guide.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03242', 'Tablespace migration retried 500 times', 'For migration to complete, temporary segments should not be present in the tablespace at the time of migration.', 'Avoid migrating the tablespace when there is heavy temporary segment creation going on as with object drops.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03243', 'destination dba overlaps with existing control information', 'Cannot overlap control information during relocation', 'Please chose another destination address', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03244', 'No free space found to place the control information', 'During migration of tablespace found no place to put the control information. If during bitmaps relocation, found no space at the specified destination.', 'If during migration, add more space to the tablespace and retry migration. If during bitmaps relocation, specify a destination address where there is enough free space.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03245', 'Tablespace has to be dictionary managed, online and permanent to be able to migrate', 'Tablespace was not dictionary managed or online or permanent.', 'Make sure the tablespace is online, permanent and dictionary managed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03246', 'Invalid block number specified', 'Control information cannot be placed at the specified dba either because the block number specified is beyond the file end or the file is not large enough to accomodate the control information at that location', 'specify a correct block number', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03247', 'Invalid block number specified', 'Relocation of bitmaps to the said destination will make the tablespace self descriptive', 'Choose another destination dba.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03248', 'Too much of segment creation activity during migration', 'Temporary segments were attempted to be created during migration', 'The error is signalled after retrying migration for 500 times. Run migration when there is less of segment creation activity is going on.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03249', 'Uniform size for auto segment space managed tablespace should have atleast string blocks', 'For the given blocksize, uniform size specified is insufficient', 'Specify larger extent size and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03250', 'Cannot mark this segment corrupt', 'This segment cannot be marked corrupt because it contains data dictionary objects', 'Check the segment information and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03251', 'Cannot issue this command on SYSTEM tablespace', 'It is not permitted to migrate SYSTEM tablespace from locally managed format to dictionary managed format or relocate bitmaps.', 'Check the tablespace name and procedure name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03252', 'initial extent size not enough for LOB segment', 'Fatblock size of LOB segment is too big to fit into the initial extent.', 'Specify a smaller fatblock size or create the LOB segment in other tablespaces with bigger initial extent size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03254', 'unable to execute the sql in read only database', 'Unable to create a consistent snapshot of the object in a read only database. Transaction recovery must be performed before opening the database read only.', 'Open the database read write, allow dead transaction recovery to complete and then open the database read only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03261', 'the tablespace string has only one file', 'Dropping file from ts which has a single file extent.', 'Cannot make a tablespace fileless', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03262', 'the file is non-empty', 'Trying to drop a non-empty datafile', 'Cannot drop a non empty datafile', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03263', 'cannot drop the first file of tablespace string', 'Trying to drop the first datafile with which ts is created', 'Cannot drop the first datafile with which ts is created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03264', 'cannot drop offline datafile of locally managed tablespace', 'Trying to drop offline datafile in lmts', 'Try to drop file afetr making it online', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03274', 'both ALLOCATE EXTENT and DEALLOCATE UNUSED options are specified', 'The DEALLOCATE option and the ALLOCATE option are specified in the same command.', 'Choose one of the options or issue two separate commands.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03275', 'duplicate DEALLOCATE option specification', 'The DEALLOCATE UNUSED option to ALTER TABLE or ALTER INDEX is specified more than once.', 'Specify the option at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03276', 'duplicate ALLOCATE EXTENT option specification', 'The ALLOCATE EXTENT option to ALTER TABLE or ALTER INDEX is specified more than once.', 'Specify the option at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03277', 'invalid SIZE specified', 'The specified value must be an integer.', 'Choose an appropriate integer value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03278', 'duplicate ALLOCATE EXTENT option specification', 'An option (DATAFILE, SIZE or INSTANCE) was specified more than once.', 'Specify each option at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03279', 'invalid INSTANCE specified', 'The specified value is not recognized as a valid instance name.', 'Use a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03280', 'invalid DATAFILE filename specified', 'A character string literal is expected, but not found.', 'Specify filenames using character string literals.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03281', 'invalid ALLOCATE EXTENT option', 'An option other than DATAFILE, SIZE or INSTANCE was specified.', 'Remove invalid option and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03282', 'missing ALLOCATE EXTENT option', 'No ALLOCATE EXTENT options were specified.', 'Specified one or more of the following options: DATAFILE, SIZE or INSTANCE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04024', 'self-deadlock detected while trying to mutex pin cursor string', 'While trying to mutex pin a cursor, a self-deadlock is detected.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04030', 'out of process memory when trying to allocate string bytes (string,string)', 'Operating system process private memory was exhausted.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04031', 'unable to allocate string bytes of shared memory ("string","string","string","string")', 'More shared memory is needed than was allocated in the shared pool.', 'If the shared pool is out of memory, either use the DBMS_SHARED_POOL package to pin large packages, reduce your use of shared memory, or increase the amount of available shared memory by increasing the value of the initialization parameters SHARED_POOL_RESERVED_SIZE and SHARED_POOL_SIZE. If the large pool is out of memory, increase the initialization parameter LARGE_POOL_SIZE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04032', 'pga_aggregate_target must be set before switching to auto mode', 'attempt to set workarea_size_policy to AUTO while pga_aggregate_target is not specified', 'before setting workarea_size_policy, set pga_aggregate_target to a value representing the total private memory available to the instance. This total is generally the total physical memory available in the system minus what is needed for the SGA minus what is needed for the operating system (e.g. 500MB)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04033', 'Insufficient memory to grow pool', 'The system had insufficient memory to grow the pool to the specified size.', 'Specify a smaller value to grow the pool.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04034', 'unable to shrink pool to specified size', 'The pool could not shrink to the specified size as it could not free memory.', 'Specify a larger value to which to shrink the pool to.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04035', 'unable to allocate string bytes of shared memory in shared object cache "string" of size "string"', 'More shared memory is needed than was allocated in the shared object cache.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04041', 'package specification must be created first before creating package body', 'Attempt to create a package body before creating its package specification.', 'Create the package specification first before creating the package body.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04042', 'procedure, function, package, or package body does not exist', 'Attempt to access a procedure, function, package, or package body that does not exist.', 'Make sure the name is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03283', 'specified datafile string does not exist', 'The datafile does not exist', 'Retry the option with the correct datafile', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03284', 'datafile or tempfile string is not a member of tablespace string', 'The specified datafile or tempfile did not belong to the tablespace that the object resides in.', 'Retry the option with the correct datafile or tempfile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03286', 'ALLOCATE EXTENT not valid for HASH CLUSTERS', 'The cluster is a hash cluster, and can not use the allcoate extent option.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03287', 'invalid FREELIST GROUP specified', 'The specified FREELIST GROUP number is invalid', 'Choose a number between 1 and # freelist groups for this object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03288', 'both FREELIST GROUP and INSTANCE parameters may not be specified', 'Both FREELIST GROUP and INSTANCE were specified in clause', 'Remove one of the two parameters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03289', 'partition name and segment type do not match', 'Partition name and segment type specified for space analysis do not match', 'Specify type PARTITION if the object is partitioned, specify SUBPARTITION if the object is composite', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03290', 'Invalid truncate command - missing CLUSTER or TABLE keyword', 'Invalid object specification given.', 'Either specify TRUNCATE CLUSTER or TRUNCATE TABLE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03291', 'Invalid truncate option - missing STORAGE keyword', 'Expected STORAGE keyword', 'Either specify DROP STORAGE or REUSE STORAGE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03292', 'Table to be truncated is part of a cluster', 'The table being truncated is a member of a cluster.', 'Either use TRUNCATE CLUSTER or DROP TABLE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03293', 'Cluster to be truncated is a HASH CLUSTER', 'Only INDEX CLUSTERS can be truncated.', 'Drop and recreate the HASH CLUSTER instead of using truncate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03296', 'cannot resize datafile - file string not found', 'The specified datafile is not available for resizing.', 'Ensure that the datafile name is valid, and if so, ensure the file is accessible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03297', 'file contains used data beyond requested RESIZE value', 'Some portion of the file in the region to be trimmed is currently in use by a database object', 'Drop or move segments containing extents in this region prior to resizing the file, or choose a resize value such that only free space is in the trimmed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03298', 'cannot shrink datafile - file string is under hot backup', 'Attempt to shrink a datafile while it is under hot backup. This is not allowed.', 'Retry shrinking the file after the hot backup completes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-03299', 'cannot create dictionary table string', 'A dictionary table is created upon the first execution of the command ''alter database datafile autoextend on'' for a database. This operation did not succeed. The most probable cause for this is insufficient space in the system tablespace.', 'See action for next error message in error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04000', 'the sum of PCTUSED and PCTFREE cannot exceed 100', 'the sum of PCTUSED and PCTFREE for a cluster or table exceeds 100', 'create the table/cluster specifying values whose sum is <= 100', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04001', 'sequence parameter string must be an integer', '%s (a sequence parameter) specified was not an integer', 'create the sequence, giving the specified parameter an integer value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04002', 'INCREMENT must be a non-zero integer', 'a sequence increment was specified to be zero', 'specify the increment to be a non-zero value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04003', 'sequence parameter string exceeds maximum size allowed (string digits)', '%s (a sequencer parameter) had too many digits', 'specify the parameter with the allowed number of digits', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04004', 'MINVALUE must be less than MAXVALUE', 'MINVALUE was specified to be greater than or equal to MAXVALUE', 'specify a MINVALUE that is less than MAXVALUE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04005', 'INCREMENT must be less than MAXVALUE minus MINVALUE', 'the INCREMENT specified is >= MAXVALUE-MINVALUE', 'specify an INCREMENT that is < MAXVALUE-MINVALUE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04006', 'START WITH cannot be less than MINVALUE', 'the given starting value is less than MINVALUE', 'make sure that the starting value is >= MINVALUE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04007', 'MINVALUE cannot be made to exceed the current value', 'the given MINVALUE would be greater than the current value', 'always make sure that MINVALUE is <= the current value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04008', 'START WITH cannot be more than MAXVALUE', 'the starting value would be larger than MAXVALUE', 'make sure that the starting value is less than MAXVALUE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04009', 'MAXVALUE cannot be made to be less than the current value', 'the current value exceeds the given MAXVALUE', 'make sure that the new MAXVALUE is larger than the current value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04010', 'the number of values to CACHE must be greater than 1', 'the value in the CACHE clause was one', 'specify NOCACHE, or a value larger than one', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04011', 'sequence string must range between string and string', 'the value specified for one of the sequence parameters exceeds limits', 'specify parameter within these limits', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04012', 'object is not a sequence', 'the object specified cannot have sequence ddl''s performed on it', 're-enter the statement being careful with the spelling of the name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04013', 'number to CACHE must be less than one cycle', 'number to CACHE given is larger than values in a cycle', 'enlarge the cycle, or cache fewer values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04014', 'descending sequences that CYCLE must specify MINVALUE', 'sequences that cycle must have their wrap-wrap specified', 're-create the sequence, specifying its wrap-value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04015', 'ascending sequences that CYCLE must specify MAXVALUE', 'sequences that cycle must have their wrap-wrap specified', 're-create the sequence, specifying its wrap-value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04016', 'sequence string no longer exists', 'sequence was dropped while processing its next value.', 're-create the sequence', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04017', 'invalid value string (length = string) for parameter max_dump_file_size', 'neither did the string supplied for max_dump_file_size parameter match the "UNLIMITED" string value nor did it represent a base 10 integer.', 'reassign a proper value to this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04020', 'deadlock detected while trying to lock object stringstringstringstringstring', 'While trying to lock a library object, a deadlock is detected.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04021', 'timeout occurred while waiting to lock object stringstringstringstringstring', 'While waiting to lock a library object, a timeout occurred.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04022', 'nowait requested, but had to wait to lock dictionary object', 'Had to wait to lock a library object during a nowait request.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04023', 'Object stringstringstringstringstring could not be validated or authorized', 'A number of attempts were made to validate or authorize an object but failed.', 'Please report this error to Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04027', 'self-deadlock during automatic validation for object string.string', 'An attempt was made to validate an invalidated object but it failed because of a self-deadlock.', ', e.g. compile the invalidated object separately.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04028', 'cannot generate diana for object stringstringstringstringstring', 'Cannot generate diana for an object because of lock conflict.', 'Please report this error to your support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04029', 'error ORA-string occurred when querying stringstringstring', 'The table or view being queried might be missing. The error number indicates the error.', 'Fix the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02710', 'osnpop: fork failed', 'The pipe driver could not fork the oracle shadow process.', 'Verify that there are enough system resources to support another process. The user or system process limit may have been exceeded, or the amount of free memory or swap space may be temporarily insufficient.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02711', 'osnpvalid: write to validation channel failed', 'The pipe driver failed to write to the orapop process.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02712', 'osnpop: malloc failed', 'The pipe driver failed to allocate enough heap space for its context area buffers.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02713', 'osnprd: message receive failure', 'The pipe driver failed to read a message from the communications channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02714', 'osnpwr: message send failure', 'The pipe driver failed to write a message to the communications channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02715', 'osnpgetbrkmsg: message from host had incorrect message type', 'The pipe driver received a message having an unrecognizable message type.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02716', 'osnpgetdatmsg: message from host had incorrect message type', 'The Pipe driver received a message having an unrecognizable message type.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02717', 'osnpfs: incorrect number of bytes written', 'The Pipe driver sent a message that was apparently successful, but the number of bytes transmitted did not match the number of bytes furnished to the driver.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02718', 'osnprs: reset protocol error', 'The two-task driver could not reset the connection.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02719', 'osnfop: fork failed', 'The fast driver could not fork the oracle shadow process.', 'Verify that there are enough system resources to support another process. The user or system process limit may have been exceeded, or the amount of free memory or swap space may be temporarily insufficient.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02720', 'osnfop: shmat failed', 'When the fast driver was invoked, processes failed to attach to the shared memory buffer. You probably supplied an illegal shared memory attach address, or the system ran out of data space to accomodate the buffer.', 'Try invoking the Fast driver later, or use the default attach address.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02721', 'osnseminit: cannot create semaphore set', 'The Fast driver failed to get a semaphore set.', 'The system-imposed limit on semaphores or semaphore identifiers may have been exceeded. Read the returned operating system error code and check with your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02722', 'osnpui: cannot send break message to orapop', 'The Pipe driver could not send a break message to orapop.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02723', 'osnpui: cannot send break signal', 'The Pipe driver could not send a break message to the ORACLE shadow process.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02724', 'osnpbr: cannot send break message to orapop', 'The Pipe driver could not send a break message to orapop.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02725', 'osnpbr: cannot send break signal', 'The Pipe driver could not send a break message to the ORACLE shadow process.', 'Kill system call failed. Check errno and contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02726', 'osnpop: access error on oracle executable', 'The Pipe driver could not access the oracle executable.', 'Check the permissions on the ORACLE executable and each component of the ORACLE_HOME/bin path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02727', 'osnpop: access error on orapop executable', 'The Pipe driver could not access the orapop executable.', 'Check the permissions on the orapop executable and each component of the ORACLE_HOME/bin path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02728', 'osnfop: access error on oracle executable', 'The Fast driver could not access the oracle executable.', 'Check the permissions on the ORACLE executable and each component of the ORACLE_HOME/bin path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02729', 'osncon: driver not in osntab', 'The driver you have specified is not supported.', 'Check with your database administrator which drivers are supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02730', 'osnrnf: cannot find user logon directory', 'The driver you have specified could not find your logon directory while searching for your local .sqlnet file.', 'Set and export the HOME environment variable to identify your home directory. Check with your system administrator to make sure that your uid and home directory are correct in the /etc/passwd file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02731', 'osnrnf: malloc of buffer failed', 'The specified driver could not find enough heap space to malloc a buffer.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02732', 'osnrnf: cannot find a matching database alias', 'Database alias specified was not identified in either $HOME/.sqlnet or /etc/sqlnet.', 'Create the alias in a file called .sqlnet in your home directory for personal use or ask your system administrator to create the alias in /etc/sqlnet for system-wide use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02733', 'osnsnf: database string too long', 'While converting a database alias to a database ID, the resulting database ID string exceeded the ORACLE system-imposed limit.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02734', 'osnftt: cannot reset shared memory permission', 'The Fast driver was unable to reset shared memory permissions.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02735', 'osnfpm: cannot create shared memory segment', 'The Fast driver failed to create a shared memory segment for two-task communication.', 'Check whether the system-imposed limit on shared memory identifiers has already been reached for your system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02736', 'osnfpm: illegal default shared memory address', 'The Fast driver failed to establish a default shared memory address.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02737', 'osnpcl: cannot tell orapop to exit', 'The Pipe driver failed to send orapop the command to exit.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02738', 'osnpwrtbrkmsg: incorrect number of bytes written', 'The pipe driver apparently sent an imcomplete break message.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02739', 'osncon: host alias is too long', 'The alias used for a sqlnet host is longer than 161 characters.', 'Use a shorter alias.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02750', 'osnfsmmap: cannot open shared memory file ?/dbs/ftt_<pid>.dbf', 'The Fast driver failed to create a shared memory file for two-task communication.', 'Check the permissions on the directory ?/dbs', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02751', 'osnfsmmap: cannot map shared memory file', 'The Fast driver failed to map a shared memory file for two-task communication.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02752', 'osnfsmmap: illegal shared memory address', 'The Fast driver failed to attach shared memory at the expected location.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02753', 'osnfsmmap: cannot close shared memory file', 'The Fast driver cannot close the shared memory file.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02754', 'osnfsmmap: cannot change shared memory inheritence', 'The Fast driver could not alter the inheritence attributes of the shared memory.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02755', 'osnfsmcre: cannot create chared memory file ?/dbs/ftt_<pid>.dbf', 'The Fast driver failed to create a file for shared memory.', 'Check the permissions on the directory ?/dbs', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02756', 'osnfsmnam: name translation failure', 'The Fast driver encountered an error translating the shared memory filename ?/dbs/ftt_<pid>.dbf.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02757', 'osnfop: fork_and_bind failed', 'The Fast driver failed to fork a process onto the desired cluster and node number.', 'Check the desired node number in sercose[0] and cluster ID in sercose[1]. If these seem valid, contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02758', 'Allocation of internal array failed', 'The package was unable to allocate memory for an array because the system ran out of memory.', 'Either reclaim memory by killing other processes or reboot the machine with more memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02759', 'Not enough request descriptors available', 'All of the package''s request descriptors are in use performing other requests.', 'Either wait until enough requests are done, or shut the package down and re-initialize it with more request descriptors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02760', 'Client close of file failed.', 'The client was unable to close a file after forking the servers.', 'This is a system problem - contact your System Administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02761', 'File number to be canceled is negative.', 'The file number contained with the sfiov structure is less than zero.', 'This may be a programming error. If it is not, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02762', 'file number to be cancelled is greater than the maximum.', 'The file number contained with the sfiov structure is greater than the maximum.', 'This may be a programming error. If it is not, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02763', 'Unable to cancel at least one request', 'No requests were found that could be cancelled.', 'This error can occur if all the requests dealing with that file number have already been filled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02764', 'Invalid package mode', 'The mode of the package can only be parallel or duplex.', 'See sfa.h for the correct values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02765', 'Invalid maximum number of servers', 'The number of servers given was less than or equal to zero.', 'Use a number greater than zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02766', 'Invalid maximum of request descriptors', 'The number of request descriptors was less than or equal to zero.', 'Use a number greater than zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02767', 'Less than one request descriptor was allocated per server', 'The package requires that the number of request descriptors be greater than or equal to the number of servers used.', 'Use a higher number', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02768', 'Maximum number of files is invalid', 'The maximum number of files to be used by the package was less than or equal to zero.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02769', 'Setting of handler for SIGTERM failed', 'The package was unable to set up handling by the server for the termination signal. This is an internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02770', 'Total number of blocks is invalid', 'The total number of blocks to be allocated for use by the package was not greater than zero.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02771', 'Illegal request time out value', 'The number was not a positive number.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02772', 'Invalid maximum server idle time', 'The time given was not a positive number.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02773', 'Invalid maximum client wait time', 'The time given was not a positive number.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02774', 'Invalid request list latch time out value', 'The time given was not a positive number.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02775', 'Invalid request done signal', 'The signal number was not a positive number.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02776', 'Value for request done signal exceeds maximum', 'The value sent to the package for use as the "request done" signal exceeds the maximum allowed by the operating system.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02777', 'Stat failed on log directory', 'The package was unable to get information about the directory in which the log files are to reside.', 'Check the permissions on the directory or use a different directory name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02778', 'Name given for the log directory is invalid', 'The name given for the directory in which the logs are to be kept does not correspond to a directory.', 'Use a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02779', 'Stat failed on core dump directory', 'The package was unable to get information about the directory into which the servers are to dump core in the event of an exception.', 'Check the permissions on the directory or use a different directory name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02780', 'Name given for the core dump directory is invalid', 'The name given for the directory in which the server processes are to dump core in the event of an exception does not correspond to a directory.', 'Use a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02781', 'Invalid value given for the timing wanted flag', 'The value given was not TRUE or FALSE.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02782', 'Both read and write functions were not specified', 'To ensure that the functions act symmetrically, pointers to both the read and write functions must be given.', 'Either specify both functions or specify neither. The package will supply its own functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02783', 'Both post and wait functions were not specified', 'To ensure that the functions act symmetrically, pointers to both the posting and waiting functions must be given.', 'Either specify both functions or specify neither. The package will supply its own functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02784', 'Invalid shared memory ID specified', 'The ID of the segment specified for use as the shared buffer region was invalid.', 'Use a different ID, or let the package specify its own.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02785', 'Invalid shared memory buffer size', 'The size given for the shared memory segment to be used as the shared buffer region was less than or equal to zero.', 'Use a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02786', 'Size needed for shared region is greater than segment size', 'The size of the shared segment that was specified for the shared buffer region is less than the number of bytes required. The first field of the "additional information" field is the size needed. The second is the size of the segment.', 'Use a larger size segment or let the package allocate its own.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02787', 'Unable to allocate memory for segment list', 'The package cannot allocate memory for an internal segment list because the system has run out of memory. The "additional information" field is the amount of memory that the package attempted to allocate.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02788', 'Unable to find kernel process pointer in async process array', 'Internal error - Contact ORACLE support.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02789', 'Maximum number of files reached', 'The maximum number of files that can be used for asynchronous I/O has been reached.', 'Shut down the servers and re-initialize the package with a higher number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02790', 'File name is too long', 'The length of the name of a file that is being opened for asynchronous I/O is longer than the maximum. The "additional information" field is the maximum length.', 'Use a shorter name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02791', 'Unable to open file for use with asynchronous I/O', 'The package could not open file for some reason.', 'Check the file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02792', 'Unable to fstat() a file being used for asynchronous I/O.', 'The fstat(2) call on a file being used for asynchronous I/O failed.', 'Check the file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02793', 'Close of asynchronous I/O failed.', 'The client was unable to close a file being used for asynchronous I/O.', 'Contact ORACLE support - this should not happen.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02794', 'Client unable to get key for shared memory', 'The client was unable to get a key so that it obtain shared memory for use with shared memory.', 'Contact ORACLE support - this is an internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02795', 'Request list is empty', 'The client was signalled by a server that it was done with a request but the "done" list was empty.', 'Internal error - contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02796', 'Done request is not in correct state', 'A request is not in the right state.', 'Internal error - contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02797', 'No requests available', 'No free request descriptors are available.', 'Wait until some requests are filled and then retry the request, or shutdown the servers and initialize the package with a higher number of requests.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02798', 'Invalid number of requests', 'The number of operations sent to either sfard() or sfawrite() is less than zero.', 'This is a user programming error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02799', 'Unable to arm signal handler', 'The arming of a signal handler for the "done" signal failed.', 'Internal error - contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02800', 'Requests timed out', 'Some of the requests for asynchronous input or output were not serviced in the required amount of time.', 'If the load on the system is high, it is possible that the timeout limit is too low. Reset it with sfainit(). If the server processes are dying due to unexpected signals, this is an internal error, and ORACLE support should be contacted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02801', 'Operations timed out', 'Some asynchronous operations timed out in kernel mode.', 'Internal error - contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02802', 'No idle servers available in parallel mode', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02803', 'Retrieval of current time failed', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02804', 'Allocation of memory failed for log file name', 'The client was unable to allocated a buffer for the name of the log file.', 'Contact your System Administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02805', 'Unable to set handler for SIGTPA', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02806', 'Unable to set handler for SIGALRM', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02807', 'Allocation of memory for I/O vectors failed.', 'The client was unable to allocate memory for the array of I/O vectors that the servers are to use.', 'Contact your System Administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02808', 'Allocation of memory of open files array failed.', 'The client was unable to allocate memory for an array of flags that the servers are to use.', 'Contact your System Administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02809', 'Jump buffer not valid', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02813', 'Unable to make temporary file name in order to get key', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02814', 'Unable to get shared memory', 'Shmget(2) failed.', 'Check the UNIX number. If you are unsure about what it means, contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02815', 'Unable to attach shared memory', 'Shmat(2) failed.', 'Check the UNIX number. If you are unsure about what it means, contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02816', 'Unable to kill a process', 'A server did not die after being sent a kill signal.', 'The process may be a runaway - contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02817', 'Read failed', 'A server could not read a requested amount of data.', 'Check the call to sfard(). An incorrect file descriptor may have been sent to sfard(). The number in the "additional information" field is the starting block number of the data segment being read in.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02818', 'Less than the number of blocks requested was read in', 'A server could not read in the request amount of data. The first number in the "additional information" field is the block number being read in. The second is the actual number of bytes that was read in.', 'This is a programming error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02819', 'Write failed', 'A server was unable to perform a write. The number in the "additional information" field is the starting block number of the data segment being written out. The first number in the "additional information" field is the block number being written out. The second is the actual number of bytes that was written out. The disk may have filled up.', 'Check the UNIX error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02820', 'Unable to write the requested number of blocks', 'A server could not write the requested amount of data out to disk. The disk may have run out of space.', 'Check the UNIX error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02821', 'Unable to read the requested number of blocks.', 'A server could not read the number of blocks that was requested. The end of the file may have been read.', 'Check the file on disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02822', 'Invalid block offset', 'A server was unable to seek to the designated block.', 'Check the UNIX error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02823', 'Buffer is not aligned.', 'The buffer on which an I/O is being done is not on the correct boundary.', 'Check the calling program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02824', 'Request free list is empty', 'The list from which the package allocates request descriptors is empty because all of the descriptors is in use.', 'Wait until some become free, or initialize the package with a higher number of request descriptors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02825', 'Request on free list was not free', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02826', 'Illegal block size', 'A negative number was given for the I/O block size to be used by the asynchronous I/O package.', 'This is a programming error - use either a positive number or zero to get the default value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02827', 'Invalid file number', 'The file number upon which an operation is to done is either less than zero or greater than the maximum number of files than can be open.', 'This is a programming error. Since the calling program should not touch this number, this is a programming error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02828', 'Segment free list is empty', 'No segments are available to allocated.', 'Free some segments or shut down the package and re-initialize it with a higher number of segments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02829', 'No segment of the proper size is available', 'No segment of the proper size is ready for use by the caller.', 'Free some segments and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02830', 'Segment could not be split - no free segments available', 'A segment that is larger than that desired could not be split because no free segment was available.', 'Free some segments and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02831', 'Segment deallocation failed - empty segment list', 'The caller attempted to deallocate a segment but the "in use" list was empty. This is a programming error.', 'Check the calling program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02832', 'Segment deallocation failed - segment not on list', 'The caller attempted to deallocate a segment that was not on the "in use" list. This is a programming error.', 'Check the calling program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02833', 'Server was unable to close file', 'A server was unable to close a file being used for asynchronous I/O.', 'See the UNIX error number for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02834', 'Server unable to open file', 'The server was unable to open a file for use with asynchronous I/O.', 'Check the UNIX error number for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02835', 'Server unable to send signal to client', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-02836', 'Unable to create temporary key file', 'Internal error.', 'Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04043', 'object string does not exist', 'An object name was specified that was not recognized by the system. There are several possible causes:' || '<p>' || '- An invalid name for a table, view, sequence, procedure, function, package, or package body was entered. Since the system could not recognize the invalid name, it responded with the message that the named object does not exist.' || '<p>' || '' || '<p>' || '- An attempt was made to rename an index or a cluster, or some other object that cannot be renamed.', 'Check the spelling of the named object and rerun the code. (Valid names of tables, views, functions, etc. can be listed by querying the data dictionary.)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04044', 'procedure, function, package, or type is not allowed here', 'A procedure, function, or package was specified in an inappropriate place in a statement.', 'Make sure the name is correct or remove it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04045', 'errors during recompilation/revalidation of string.string', 'This message indicates the object to which the following errors apply. The errors occurred during implicit recompilation/revalidation of the object.', 'Check the following errors for more information, and make the necessary corrections to the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04046', 'results of compilation are too large to support', 'Attempt to compile and store a large stored procedure that results in compilation data that is too large for the system to support or store.', 'Reduce the size of the store procedure by splitting it into smaller stored procedures.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04047', 'object specified is incompatible with the flag specified', 'The object type implied by the flag does not match the type of object specified.', 'Specify the correct object, or use the appropriate flag', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04050', 'invalid or missing procedure, function, or package name', 'The required procedure, function, or package name is invalid or missing.', 'Specify a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06117', 'NETTCP: unable to create ORASRV: quota exceeded', 'The host''s SQL*Net TCP/IP server was unable to create the ORACLE server process because of quota depletion.', 'Increase quota allocations to the SQL*Net TCP/IP server process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06118', 'NETTCP: unable to complete handshake with ORASRV', 'The ORACLE server process was started but failed to complete its initialization.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06433', 'ssaio: LSEEK error, unable to seek to requested block.', 'The additional information returns the block number', 'Look up the additional information returned in your operating system reference manual. Verify that the block number is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06446', 'ssvpstevrg: Failed with unexpected error number.', 'Some system problems may exist on your system, please check error logs.', 'The additional information indicates the error number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06447', 'ssvpstp: Incorrect parameter passed to function call', 'Invalid oracle process ID is passed in to this routine.', 'The additional information indicates the process id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06448', 'ssvpstp: Failed with unexpected error number.', 'Some system problems may exists on your system, please check error logs.', 'The additional information indicates the error number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06449', 'The list IO or the sysvendor is not installed.', 'ORACLE tries to use the sysvendor interface (INIT.ORA parameter use_sysvendor=true) but the UNIX kernel does not have the ORACLE sysvendor interface linked in.', 'Set use_sysvendor=false in INIT.ORA, if you don''t want to use this interface or link the UNIX kernel with this interface so that ORACLE can use it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06500', 'PL/SQL: storage error', 'PL/SQL was unable to allocate additional storage. This message normally appears with an ORA-4030 or ORA-4031 error which gives additional information. Sometimes this error can be caused by runaway programs.', '1) Ensure there are no issues or bugs in your PL/SQL program which are causing excessive amounts of memory to be used. 2) Programmatically cause unused objects to be freed (e.g. by setting them to NULL). 3) Increase the amount of shared or process memory (as appropriate) available to you.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06501', 'PL/SQL: program error', 'This is an internal error message. An error has been detected in a PL/SQL program.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06502', 'PL/SQL: numeric or value errorstring', 'An arithmetic, numeric, string, conversion, or constraint error occurred. For example, this error occurs if an attempt is made to assign the value NULL to a variable declared NOT NULL, or if an attempt is made to assign an integer larger than 99 to a variable declared NUMBER(2).', 'Change the data, how it is manipulated, or how it is declared so that values do not violate constraints.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06503', 'PL/SQL: Function returned without value', 'A call to PL/SQL function completed, but no RETURN statement was executed.', 'Rewrite PL/SQL function, making sure that it always returns a value of a proper type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06504', 'PL/SQL: Return types of Result Set variables or query do not match', 'Number and/or types of columns in a query does not match declared return type of a result set variable, or declared types of two Result Set variables do not match.', 'Change the program statement or declaration. Verify what query the variable actually refers to during execution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06505', 'PL/SQL: variable requires more than 32767 bytes of contiguous memory', 'A PL/SQL variable was declared with a constraint which required more than 32767 bytes of memory. PL/SQL does not currently support allocations of contiguous memory greater than 32767 bytes.', 'Consider reducing the constraint in the variable declaration. If that is not possible, try changing the database or national character set to such, that requires less memory for the same constraint. Note: changing the character set will impact execution of all PL/SQL code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06510', 'PL/SQL: unhandled user-defined exception', 'A user-defined exception was raised by PL/SQL code, but not handled.', 'Fix the problem causing the exception or write an exception handler for this condition. Or you may need to contact your application administrator or DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06511', 'PL/SQL: cursor already open', 'An attempt was made to open a cursor that was already open.', 'Close cursor first before reopening.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06512', 'at stringline string', 'Backtrace message as the stack is unwound by unhandled exceptions.', 'Fix the problem causing the exception or write an exception handler for this condition. Or you may need to contact your application administrator or DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06513', 'PL/SQL: index for PL/SQL table out of range for host language array', 'An attempt is being made to copy a PL/SQL table to a host language array. But an index in the table is either less than one or greater than the maximum size of the host language array. When copying PL/SQL tables to host language arrays, the table entry at index 1 is placed in the first element of the array, the entry at index 2 is placed in the second element of the array, etc. If an table entry has not been assigned then the corresponding element in the host language array is set to null.', 'Increase size of host language array, or decrease size of PL/SQL table. Also make sure that you don''t use index values less than 1.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04051', 'user string cannot use database link string.string', 'During forwarding of a remote object access, an attempt was made to use a non-existent database link or one owned by a user other than the logon user or PUBLIC.', 'Change your database link structure so that all indirect remote accesses are done from the same userid that originates the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04052', 'error occurred when looking up remote object stringstringstringstringstring', 'An error occurred when trying to look up a remote object.', 'Fix the error. Make sure the remote database system has run CATRPC.SQL to create necessary views used for querying or looking up objects stored in the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04053', 'error occurred when validating remote object stringstringstringstringstring', 'An error occurred when trying to validate a remote object.', 'Fix the error. Make sure the remote database system has run CATRPC.SQL to create necessary views used for querying or looking up objects stored in the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04054', 'database link string does not exist', 'During compilation of a PL/SQL block, an attempt was made to use a non-existent database link.', 'Either use a different database link or create the database link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04055', 'Aborted: "string" formed a non-REF mutually-dependent cycle with "string".', 'This compilation was aborted because the library unit that was compiled would have formed a non-REF mutually-dependent cycle with some other library units. This happens when an attempt is made to compile types that have attributes of other types that may participate in a cycle with this type. Example: create type t1; create type t2 (a t1); create type t1 (a t2);', 'Break the cycle (possibly by adding a REF or by using another type).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04060', 'insufficient privileges to execute string', 'Attempt to execute a stored procedure without sufficient privileges.', 'Get necessary privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04061', 'existing state of string has been invalidated', 'Attempt to resume the execution of a stored procedure using the existing state which has become invalid or inconsistent with the stored procedure because the procedure has been altered or dropped.', 'Try again; this error should have caused the existing state of all packages to be re-initialized.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04062', 'string of string has been changed', 'Attempt to execute a stored procedure to serve an RPC stub which specifies a timestamp or signature that is different from the current timestamp/signature of the procedure.', 'Recompile the caller in order to pick up the new timestamp.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04063', 'string has errors', 'Attempt to execute a stored procedure or use a view that has errors. For stored procedures, the problem could be syntax errors or references to other, non-existent procedures. For views, the problem could be a reference in the view''s defining query to a non-existent table. Can also be a table which has references to non-existent or inaccessible types.', 'Fix the errors and/or create referenced objects as necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04064', 'not executed, invalidated string', 'Attempt to execute a stored procedure that has been invalidated.', 'Recompile it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04065', 'not executed, altered or dropped string', 'Attempt to execute a stored procedure that has been altered or dropped thus making it not callable from the calling procedure.', 'Recompile its dependents.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04066', 'non-executable object, string', 'Attempt to execute a non-procedure.', 'Make sure that a correct name is given.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04067', 'not executed, string does not exist', 'Attempt to execute a non-existent stored procedure.', 'Make sure that a correct name is given.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04068', 'existing state of packagesstringstringstring has been discarded', 'One of errors 4060 - 4067 when attempt to execute a stored procedure.', 'Try again after proper re-initialization of any application''s state.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04069', 'cannot drop or replace a library with table dependents', 'An attempt was made to drop or replace a library that has dependents. There could be a table which depends on type which depends on the library being dropped.', 'Drop all table(s) depending on the type, then retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04070', 'invalid trigger name', 'An invalid trigger name was specified.', 'Verify that trigger name is not a reserved keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04071', 'missing BEFORE, AFTER or INSTEAD OF keyword', 'The trigger statement is missing the BEFORE/AFTER/INSTEAD OF clause.', 'Specify either BEFORE, AFTER or INSTEAD OF.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04072', 'invalid trigger type', 'An invalid trigger type was given.', 'Specify either INSERT, UPDATE or DELETE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04073', 'column list not valid for this trigger type', 'A column list was specified for a non-update trigger type.', 'Remove the column list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04074', 'invalid REFERENCING name', 'An invalid name was given in the referencing clause.', 'Verify the referencing name is not a reserved word.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04075', 'invalid trigger action', 'An statement was given for the trigger action.', 'Re-specify the trigger action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04076', 'invalid NEW or OLD specification', 'An invalid NEW or OLD specification was given for a column.', 'Re-specify the column using the correct NEW or OLD specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04077', 'WHEN clause cannot be used with table level triggers', 'The when clause can only be specified for row level triggers.', 'Remove the when clause or specify for each row.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04078', 'OLD and NEW values cannot be identical', 'The referencing clause specifies identical values for NEW and OLD.', 'Re-specify either the OLD or NEW referencing value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04079', 'invalid trigger specification', 'The create TRIGGER statement is invalid.', 'Check the statement for correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04080', 'trigger ''string'' does not exist', 'The TRIGGER name is invalid.', 'Check the trigger name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04081', 'trigger ''string'' already exists', 'The TRIGGER name or type already exists.', 'Use a different trigger name or drop the trigger which is of the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04082', 'NEW or OLD references not allowed in table level triggers', 'The trigger is accessing "new" or "old" values in a table trigger.', 'Remove any new or old references.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04083', 'invalid trigger variable ''string''', 'The variable referenced in the trigger body is invalid.', 'See the manual for valid trigger variable types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04084', 'cannot change NEW values for this trigger type', 'New trigger variables can only be changed in before row insert or update triggers.', 'Change the trigger type or remove the variable reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04085', 'cannot change the value of an OLD reference variable', 'Old values can only be read and not changed.', 'Do not attempt to change an old variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04086', 'trigger description too long, move comments into triggering code', 'The trigger description is limited to 2000 characters (for dictionary storage reasons). The description does not include the text of the "when" clause or the text of the pl/sql code executed for the trigger.', 'If the trigger description contains a large comment, move that', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04087', 'cannot change the value of ROWID reference variable', 'Rowid''s can only be read and not changed.', 'Do not attempt to change an rowid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04088', 'error during execution of trigger ''string.string''', 'A runtime error occurred during execution of a trigger.', 'Check the triggers which were involved in the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04089', 'cannot create triggers on objects owned by SYS', 'An attempt was made to create a trigger on an object owned by SYS.', 'Do not create triggers on objects owned by SYS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04090', '''string'' specifies same table, event and trigger time as ''string''', 'Trigger is of duplicate event and trigger time.', 'Combine the triggering information into one trigger which is fired at the given time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04091', 'table string.string is mutating, trigger/function may not see it', 'A trigger (or a user defined plsql function that is referenced in this statement) attempted to look at (or modify) a table that was in the middle of being modified by the statement which fired it.', 'Rewrite the trigger (or function) so it does not read that table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04092', 'cannot string in a trigger', 'A trigger attempted to commit or rollback.', 'Rewrite the trigger so it does not commit or rollback.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04093', 'references to columns of type LONG are not allowed in triggers', 'A trigger attempted to reference a long column in the triggering table.', 'Do not reference the long column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04094', 'table string.string is constraining, trigger may not modify it', 'A trigger attempted to modify a table that was constraining for some referential constraint of a parent SQL statement.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04095', 'trigger ''string'' already exists on another table, cannot replace it', 'Cannot replace a trigger which already exists on a different table than the one being replaced.', 'Drop the trigger with the same name and re-create it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04096', 'trigger ''string'' has a WHEN clause which is too large, limit 2K', 'A trigger''s ''when'' clause is limited to 2K for dictionary storage reasons. The trigger being created exceeded that size.', 'Use a smaller ''when'' clause. Note, the trigger body could be used to perform the same limiting action as the ''when'' clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04097', 'DDL conflict while trying to drop or alter a trigger', 'An attempt was made to concurrently perform two DDL operations on a trigger or trigger table.', 'Investigate the new state of the trigger and retry the DDL operation, if still appropriate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04098', 'trigger ''string.string'' is invalid and failed re-validation', 'A trigger was attempted to be retrieved for execution and was found to be invalid. This also means that compilation/authorization failed for the trigger.', 'Options are to resolve the compilation/authorization errors, disable the trigger, or drop the trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04099', 'trigger ''string'' is valid but not stored in compiled form', 'A trigger was attempted to be retrieved for execution and was found to be valid, but not stored. This may mean the an upgrade was done improperly from a non-stored trigger release.', 'Alter compile the trigger to create the trigger in stored form. Also, you may want to review that a proper upgrade was done.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04930', 'open sequence number failed or initial state is valid', 'Either Shared Sequence Number OS component was not installed properly, or an MC hardware failure may have occurred or a previous instance was not shut down properly.', 'Verify that there are no background or foreground Oracle processes from a previous instance on this node using the OS command ps -ef|grep <instance_name>. Verify that there are no shared memory segments belonging to the user which owns the Oracle installation by isuing the ipcs -b OS command. If there are shared memory segments or processes still on the system, use svrmgrl to shutdown the instance with the abort option. If the instance is not up, verify that the cluster software and/or the hardware is installed and working. Log in as superuser and issue the cnxshow command. Are all of the nodes in the cluster listed? Are they members of the cluster? Is the communications between nodes okay? If the answer to any of these questions is false, contact Digital''s customer support organization.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04931', 'unable to set initial sequence number value', 'A call to the SSN failed to set the sequence number to its initial value, possibly caused by an MC hardware problem.', 'Verify that the MC hardware is functioning properly. If it is not, contact Digital''s customer support organization. If it is, contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04932', 'increment or adjust of sequence number failed', 'A call to the SSN failed to increment the sequence number.', 'Verify that the MC hardware is functioning properly. If it is not, contact Digital''s customer support organization. If it is, contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04933', 'initial service identifier is non-zero', 'A valid service identifier existed before the sequence number service was opened.', 'Verify that the instance is completely shut down.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04934', 'unable to obtain the current sequence number', 'A call to the SSN failed to return its current value. Either there are many errors occurring on the MC hardware, or the sequence number has become invalid and cannot be validated.', 'Verify that the MC hardware is functioning properly. If it is, contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04935', 'unable to get/convert SCN recovery lock', 'A process has timed out trying to get or convert the SCN recovery lock. Another process probably has the lock in EX or SHR mode, but is not releasing it.', 'Contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04940', 'unsupported optimization of Oracle binary, check alert log for more info', 'ORACLE binary has been optimized with unsupported options or a required option has not been used.', 'Check the documentation for a list of supported and required flags for the optimizing utility that you used to optimize ORACLE. Shutdown the instance, optimize ORACLE again with supported combination of options and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-04941', 'required operating system patch needs to be applied', 'The operating system could not return the start time of a process.', 'Check that the operating system kernel has been patched to return process start time. Apply the required operating system patch and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06000', 'NETASY: port open failure', 'Autologin unable to open port', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06001', 'NETASY: port set-up failure', 'Autologin unable to change port attributes', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06002', 'NETASY: port read failure', 'Autologin unable to read from port', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06003', 'NETASY: port write failure', 'Autologin unable to write to port', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06004', 'NETASY: dialogue file open failure', 'Autologin unable to open dialogue file', 'Check connect string for accuracy/typos', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06005', 'NETASY: dialogue file read failure', 'Autologin unable to read dialogue file', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06006', 'NETASY: dialogue execute failure', 'Expected response never received', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06007', 'NETASY: bad dialogue format', 'Dialogue file contains syntax error', 'Correct the dialogue file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06009', 'NETASY: dialogue filename too long', 'Full file spec for dialogue file exceeds 64 bytes', 'Amend connect string accordingly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06010', 'NETASY: dialogue file too long', 'Dialogue file exceeds 768 bytes in length', 'Simplify dialogue (e.g. remove comments, redundant white space), or split into two and link with "more" command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06011', 'NETASY: dialogue too long', 'One of two:' || '<p>' || '1. Dialogue contains more than 24 exchange blocks' || '<p>' || '' || '<p>' || '2. Dialogue send string exceeds 84 bytes in length', 'Simplify dialogue or split into two and link with "more" command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06017', 'NETASY: message receive failure', 'Async driver gets I/O error while doing network read operation', 'Check log file for OS-specific error code and contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06018', 'NETASY: message send failure', 'Async driver gets I/O error while doing network write operation', 'Check log file for OS-specific error code and contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06019', 'NETASY: invalid login (connect) string', 'Syntax error in login string.', 'Resubmit with correct string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06020', 'NETASY: initialisation failure', 'Async driver unable to complete initialisation', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06021', 'NETASY: connect failed', 'Async driver unable to establish connection with partner', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06022', 'NETASY: channel open failure', 'no free channel [should never happen]', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06023', 'NETASY: port open failure', 'Async driver unable to open port', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06024', 'NETASY: VTM error', 'Virtual Terminal Manager unable to read/write to port', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06025', 'NETASY: Configuration error', 'Async driver genned for server-only, but client service requested', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06026', 'NETASY: port close failure', 'Async driver unable to close port', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06027', 'NETASY: channel close failure', 'Async driver unable to close channel', 'Check log file for OS-specific error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06028', 'NETASY: unable to intialise for logging', 'Async driver unable to initialise for logging I/O', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06029', 'NETASY: port assignment failure', 'Async driver unable to assign port to channel [should never happen]', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06030', 'NETDNT: connect failed, unrecognized node name', 'Node name specified in host string is unknown (probably misspelled)', 'Retry with correct node name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06031', 'NETDNT: connect failed, unrecognized object name', 'Host string contains reference to object (which doesn''t exist): @d:<node>-<obj> => object is ORDN<obj>; when <node> is VMS, the object is ORDN<obj>.COM when <node> is UNIX, the object is ORDN<obj> @d:<node>::"task=<obj>" => object is <obj>; when <node> is VMS, the object is <obj>.COM when <node> is UNIX, the object is <obj>', 'Retry with correct object name or create the required object on host node', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06032', 'NETDNT: connect failed, access control data rejected', 'Host string contains invalid username/password', 'Retry with correct username/password', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06033', 'NETDNT: connect failed, partner rejected connection', 'Connection with partner was made but was rejected.', 'Contact your network administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06034', 'NETDNT: connect failed, partner exited unexpectedly', 'Connection with host node was made but partner aborted', 'Make sure object (see 06031, above) is working (for VMS run the command file and make sure that the ORACLE server process starts up); sometimes happens when the network/node is under stress - in this case a retry often works.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06035', 'NETDNT: connect failed, insufficient resources', 'Insufficient system resources are available to complete the connection; for example, all DECnet channels are in use.', 'Contact your network administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06037', 'NETDNT: connect failed, node unreachable', 'Host node is down.', 'Contact your network administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06039', 'NETDNT: connect failed', 'Connect failed for unexpected reason (see OSD error).', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06040', 'NETDNT: invalid login (connect) string', 'Syntax error in login string.', 'Resubmit with correct string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06041', 'NETDNT: disconnect failed', 'Driver gets error while doing network close operation', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06042', 'NETDNT: message receive failure', 'Driver gets I/O error while doing network read operation', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06043', 'NETDNT: message send failure', 'Driver gets I/O error while doing network write operation', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06044', 'NETDNT: connect failed, byte count quota exceeded', 'Connect failed because of insufficient byte count quota.', 'Increase byte count quota.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06102', 'NETTCP: cannot allocate context area', 'Insufficient dynamic memory available for connection context area.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06105', 'NETTCP: remote host is unknown', 'Host name specified in the login (connect) string is unknown.', 'Check spelling; make sure name is in the TCP/IP HOST file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06106', 'NETTCP: socket creation failure', 'Process open file quota probably exceeded.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06107', 'NETTCP: ORACLE network server not found', 'No entry in SERVICES file for ORACLE server.', 'Add ("orasrv") entry to the TCP/IP SERVICES file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06108', 'NETTCP: connect to host failed', 'Connection attempt to remote host has failed. Probably means that the SQL*Net TCP/IP server on the remote host is not up, or the host itself is not up (check the latter by targeting it with Telnet).', 'Start the SQL*Net TCP/IP server process on the remote host.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06109', 'NETTCP: message receive failure', 'I/O error occurred while attempting network read operation.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06110', 'NETTCP: message send failure', 'I/O error occurred while attempting network write operation.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06111', 'NETTCP: disconnect failure', 'Error occurred while closing a socket.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06112', 'NETTCP: invalid buffer size', 'The buffer size specified in the login string exceeds the allowed maximum (of 4096).', 'Re-submit with valid buffer size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06113', 'NETTCP: Too many connections', 'The maximum no. of concurrently open connections has been reached.', 'Exit an application with an open connection which is no longer required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06114', 'NETTCP: SID lookup failure', 'From the remote host''s SQL*Net TCP/IP server: the database SID, specified in the login (connect) string, was not recognized.', 'Add the appropriate SID entry to the CONFIG.ORA file on the remote host (and restart the SQL*Net TCP/IP server).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06115', 'NETTCP: unable to create ORACLE logicals', 'The host''s SQL*Net TCP/IP server was unable to create the necessary logicals required by the ORACLE server process. See the SQL*Net TCP/IP server log file for more details.', 'Contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06116', 'NETTCP: unable to create ORASRV process', 'The host''s SQL*Net TCP/IP server was unable to create the ORACLE server process. See the SQL*Net TCP/IP server log file for more details.', 'Contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06119', 'NETTCP: spurious client request', 'The host''s SQL*Net TCP/IP server was unable to recognize this connection request. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06120', 'NETTCP: network driver not loaded', 'The TCP/IP network driver is not loaded.', 'Check that the TCP/IP driver is loaded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06121', 'NETTCP: access failure', 'The host''s SQL*Net TCP/IP server was unable to test the accessibility of the SID mapping file (specified in CONFIG.ORA) associated with this connection request. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06122', 'NETTCP: setup failure', 'The host''s SQL*Net TCP/IP server was unable to set up the appropriate environment to service this connection request. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06123', 'NETTCP: cannot set KEEPALIVE', 'The host''s SQL*Net TCP/IP server was unable to set the socket KEEPLIVE option. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06124', 'NETTCP: timeout waiting for ORASRV', 'The ORACLE server process was started but failed to respond after N secs.', 'For heavily loaded systems this is not an uncommon occurrence. Increase the value of N (the default is 30) by placing the following entry in the CONFIG.ORA file: SQLNET ORASRV_WAIT = <no. of secs> which will come into effect the next time the SQL*Net TCP/IP server is started.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06125', 'NETTCP: ORASRV exited unexpectedly', 'The ORACLE server process was started but exited unexpectedly. Possible causes:' || '<p>' || '1. Insufficient quotas to run ORASRV' || '<p>' || '' || '<p>' || '2. ORACLE is not installed See the ORASRV output file for more details; the file will be in the ORA_SQLNET directory and will have a name of the form: ORA_SRVTnn_<SID>.OUT', 'If appropriate action is not obvious from the ORASRV output file then contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06126', 'NETTCP: ORASRV unable to open network connection', 'The ORACLE server process was started but was unable to open the socket passed to it by TCPSRV.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06127', 'NETTCP: unable to change username', 'The host''s SQL*Net TCP/IP server could not establish a PROXY LOGIN connection because the client username is unknown (to the host OS).', 'Create new user account on host.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06128', 'NETTCP: unable to create mailbox', 'The host''s SQL*Net TCP/IP server was unable to create a mailbox (needed for IPC communication with the ORACLE server process). See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06129', 'NETTCP: unable to transfer socket ownership to ORASRV', 'The host''s SQL*Net TCP/IP server was unable to transfer the network communication handle to the ORACLE server process. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06130', 'NETTCP: host access denied', 'The host''s SQL*Net TCP/IP server rejected this connection request because the client node does not have access privilege - as determined by the contents of the Valid Node Table (VNT), a component of the host''s CONFIG.ORA.', 'To grant access, add appropriate entry to the host''s VNT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06131', 'NETTCP: user access denied', 'The host''s SQL*Net TCP/IP server rejected this connection request because the client user(name) does not have access privilege - as determined by the contents of the Username Mapping Table (UMT), a component of the host''s CONFIG.ORA.', 'To grant access, add appropriate entry to the host''s UMT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06132', 'NETTCP: access denied, wrong password', 'The host SQL*Net TCP/IP server rejected this connection request because the client password did not match the host password.', 'To grant access, get passwords in sync.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06133', 'NETTCP: file not found', 'The host''s SQL*Net TCP/IP server could not find the SID mapping file (specified in CONFIG.ORA) associated with this connection request.', 'Check CONFIG.ORA for spelling; make correct entry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06134', 'NETTCP: file access privilege violation', 'The host''s SQL*Net TCP/IP server did not have READ/ EXECUTE permission for the SID mapping file (specified in CONFIG.ORA) associated with this connection request.', 'Change protection on SID mapping file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06135', 'NETTCP: connection rejected; server is stopping', 'The host''s SQL*Net TCP/IP server rejected this connection request because it is in the process of stopping.', 'Re-start SQL*Net TCP/IP server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06136', 'NETTCP: error during connection handshake', 'Network I/O failure occurred while communicating with the host''s SQL*Net TCP/IP server. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06137', 'NETTCP: error during connection handshake', 'Network I/O failure occurred while communicating with the host''s SQL*Net TCP/IP server. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06138', 'NETTCP: error during connection handshake', 'Network I/O failure occurred while communicating with the host''s SQL*Net TCP/IP server. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06140', 'NETTCP: no such user', 'A proxy login connect attempt failed because the client username has no counterpart on the host.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06141', 'NETTCP: no privilege for user', 'A proxy login connect attempt failed because the SQL*Net TCP/IP server had insufficient privileges to access the proxy account.', 'Change account protection; change server privilges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06142', 'NETTCP: error getting user information', 'A proxy login connect attempt failed because the SQL*Net TCP/IP server was unable to access the proxy account. See the SQL*Net TCP/IP server log file for more details.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06143', 'NETTCP: maximum connections exceeded', 'The connect failed because the maximum conncurrent connections supported by the host''s SQL*Net TCP/IP server has already been reached.', 'Wait for a short period and re-try.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06144', 'NETTCP: SID (database) is unavailable', 'The database administrator on the host has varied the SID offline.', 'Wait for it to be varied back on-line.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06145', 'NETTCP: unable to start ORASRV: images not installed', 'The host''s SQL*Net TCP/IP server was unable to start the ORACLE server process because the ORACLE protected images were not installed.', 'Install the images.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06250', 'NETNTT: cannot allocate send and receive buffers', 'Two-task driver could not allocate data buffers.', 'There is insufficient memory to run your program. Kill off other processes to free up memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06251', 'NETNTT: cannot translate address file name', 'ORACLE_HOME environment variable not set.', 'Make sure that the ORACLE_HOME environment variable has been properly set and exported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06252', 'NETNTT: cannot open address file', 'The NTT two-task driver could not open a file containing address information.', 'Make sure that the ORACLE_HOME environment variable has been properly set and exported. Make sure the instance you are attempting to connect to is actually up and running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06253', 'NETNTT: cannot read arguments from address file', 'The NTT two-task driver could not read addressing information from its addressing file.', 'Make sure that the ORACLE_HOME environment variable has been properly set and exported. Make sure the instance you are attempting to connect to is actually up and running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06254', 'NETNTT: cannot share connection to cube', 'The NTT two-task driver could not share a connection to the cube.', 'Make sure that the ORACLE_HOME environment variable has been properly set and exported. Make sure the instance you are attempting to connect to is actually up and running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06255', 'NETNTT: cannot read pid of remote process', 'An error occurred while reading the NTT communications link.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06256', 'NETNTT: remote fork failed', 'The Oracle listener process on the cube could not fork off a shadow process.', 'The instance you are trying to connect to probably doesn''t have enough memory to run another shadow process. Ask someone else to log off, or connect to a different instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06257', 'NETNTT: cannot send command line to shadow process', 'An error occurred while writing the NTT communications link.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06258', 'NETNTT: cannot allocate context area', 'Two-task driver could not allocate data buffers.', 'There is insufficient memory to run your program. Kill off other processes to free up memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06259', 'NETNTT: cannot read from remote process', 'An error occurred while reading the NTT communications link.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06260', 'NETNTT: cannot write to remote process', 'An error occurred while writing the NTT communications linke.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06261', 'NETNTT: nrange() failed', 'The call to ''nrange()'' failed while attempting to establish a connection.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06262', 'NETNTT: nfconn() failed', 'The call to ''nfconn()'' failed while attempting to establish a connection.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06263', 'NETNTT: out of memory in pi_connect', 'Two-task driver could not allocate data buffers.', 'There is insufficient memory to run your program. Kill off other processes to free up memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06264', 'NETNTT: data protocol error', 'The NTT two-task driver received an unexpected message type."', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06265', 'NETNTT: break protocol error', 'The NTT two-task driver received an unexpected message type."', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06266', 'NETNTT: bad write length', 'The NTT two-task driver failed on an internal consistency check.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06267', 'NETNTT: bad state', 'The NTT two-task driver failed on an internal consistency check.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06268', 'NETNTT: cannot read /etc/oratab', 'The NTT two-task driver could not read configuration information from /etc/oratab.', 'Make sure /etc/oratab exists and is readable. This error may occur if the file is incorrectly formatted. It also may occur if the driver has run out of memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06300', 'IPA: Disconnect failure', 'A fatal error occurred during the disconnect from the server. This was probably caused by inaccessible message queues.', 'If there is no message queue, restart the SQL*Net IPA servers using ipactl. Otherwise contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06301', 'IPA: Cannot allocate driver context', 'The memory pool is exhausted.', 'Check the circumstances and try to allocate less memory in your program or adjust the init parameters in your INIT.ORA file and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06302', 'IPA: Cannot connect to remote host', 'found.', 'Check sequentially for the above causes and eliminate the actual', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06303', 'IPA: Message send error', 'The SQL*Net IPA driver could not write the message into the message queue.', 'Make sure that the message queue exists and is accessible. If necessary rerun ipactl.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06304', 'IPA: Message receive error', 'The SQL*Net IPA driver could not read a message from the message queue.', 'Make sure that the message queue exists and is accessible. If necessary rerun ipactl.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06305', 'IPA: Illegal message type', 'The communication between user and ORACLE is out of synchronization. This message should not normally be issued.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06306', 'IPA: Message write length error', 'The IPA driver tried to write a message in the queue that was too big for the queue.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06307', 'IPA: Cannot reset connection', 'A fatal error occurred during the resetting of the connection.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06308', 'IPA: No more connections available', 'You have exhausted all your connections.', 'Try again when some of the current users have logged off.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06309', 'IPA: No message queue available', 'The SQL*Net IPA servers have not been started.', 'Run ipactl.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06310', 'IPA: Environment variable(s) not set', 'Environment variable(s) not set correctly.', 'Check and correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06311', 'IPA: Maximum number of servers reached', 'Maximum number of servers reached.', 'Shutdown and restart with an increased maximum number of servers. Note that database links consume one server per link. Be sure to start up enough servers to support database links.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06312', 'IPA: Incorrect outgoing service name supplied', 'Incorrect outgoing service name supplied.', 'Check and correct the service name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06313', 'IPA: Shared memory failed to initialise', 'The shared memory has not been set up correctly.', 'Contact your system manager.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06314', 'IPA: Event set up failure', 'Fatal interprocess communication error.', 'Contact your system manager.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06315', 'IPA: Invalid connect string', 'The connect string is malformed.', 'Check and correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06316', 'IPA: Invalid database SID', 'The SID is unknown at the remote side.', 'Either the database does not exist, is not running, or there are no reserved servers for that SID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06317', 'IPA: Local maximum number of users exceeded', 'The maximum number of simultaneous users of SQL*Net IPA has been exceeded on the local side.', 'Wait for free connections to become available. If the problem persists, contact your system manager.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06318', 'IPA: Local maximum number of connections exceeded', 'The maximum number of simultaneous connections that SQL*Net IPA can handle to different hosts has been exceeded on the local side.', 'Wait for free connections to become available. If the problem persists, contact your system manager.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06319', 'IPA: Remote maximum number of users exceeded', 'The maximum number of simultaneous users of SQL*Net IPA has been exceeded on the remote side.', 'Wait for free connections to become available. If the problem persists, contact your system manager.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06320', 'IPA: Remote maximum number of connections exceeded', 'The maximum number of simultaneous connections that SQL*Net IPA can handle from different hosts has been exceeded on the remote side.', 'Wait for free connections to become available. If the problem persists, contact your system manager.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06321', 'IPA: Cannot reach the remote side', 'There has been a timeout on an attempt to connect to a remote server the reason for which is most likely to be the remote SQL*Net IPA software is not running. An alternative reason could be that the remote initiator service name is incorrect.', 'Check and start the remote SQL*Net software. Check that it is started with the correct service names supplied.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06322', 'IPA: Fatal shared memory error', 'An internal error has occurred in the shared memory handling.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06323', 'IPA: Cause event error', 'Fatal interprocess communication error.', 'Contact your system manager.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06400', 'NETCMN: No default host string specified', 'There was no default host string specified in the configuration and the user didn''t specify any explicit connect string.', 'Either reconfigure the system specifying a default connect string or use an explicit connect string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06401', 'NETCMN: invalid driver designator', 'The login (connect) string contains an invalid driver designator.', 'Correct the string and re-submit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06402', 'NETCMN: error receiving break message', 'Error occurred while attempting to read a break message.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06403', 'Unable to allocate memory.', 'System unable to allocate needed virtual memory.', 'Configure more memory, reduce load, or simply try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06404', 'NETCMN: invalid login (connect) string', 'Syntax error in login string.', 'Correct string and re-submit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06405', 'NETCMN: reset protocol error', 'Unable to reset out of break state.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06406', 'NETCMN: error sending break message', 'Error occurred while attempting to send a break message.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06407', 'NETCMN: unable to set up break handling environment', 'Error occurred while attempting to set up asynchronous handlers for in-coming, out-of-band break messages.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06408', 'NETCMN: incorrect message format', 'Message from partner contains bad header.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06413', 'Connection not open.', 'Unable to establish connection.', 'Use diagnostic procedures to ascertain exact problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06416', 'NETCMN: error on test', 'Error occurred while testing I/O status of the network connection.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06419', 'NETCMN: server can not start oracle', 'The remote server was unable to start an ORACLE process on behalf of the client.', 'Make sure permissions on the remote ORACLE program are correctly set. Contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06420', 'NETCMN: SID lookup failure', 'From the remote host''s server: the database SID, specified in the login (connect) string, was not recognized.', 'Add the appropriate SID entry to the CONFIG.ORA or oratab file on the remote host (restarting the remote server may be needed).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06421', 'NETCMN: Error detected in the read-in data', 'Error found during recomputation of checksum or CRC.', 'Possible hardware failures of communication nodes. Contact system administrator immediately.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06422', 'NETCMN: Error in sending data', 'Unable to transmit data to remote host.', 'Try reconnect to remote host, and contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06423', 'NETCMN: Error in receiving data', 'Unable to receive data from remote host.', 'Try reconnect to remote host, and contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06430', 'ssaio: Seals do not match', 'A function was called with an invalid argument.', 'Contact your Oracle Customer Support Representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06431', 'ssaio: Invalid Block number', 'The file block number is out of range of the file. The additional information returns the block number.', 'Verify that the block number is correct. Run dbfsize and check if the block number is in that range. Contact your Oracle Customer Support Representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06432', 'ssaio: Buffer Not Aligned', 'The I/O buffer was not aligned on a 2K boundary.', 'Contact your Oracle Customer Support Representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06434', 'ssaio: read error, unable to read requested block from database file.', 'The read system call returned an error.', 'The additional information indicates the block number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06435', 'ssaio: write error, unable to write requested block to database file.', 'The write system call returned an error.', 'The additional information indicates the block number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06436', 'ssaio: asynchronous I/O failed due to incorrect parameters.', 'The Asynchronous I/O system call returned an error.', 'The additional information indicates the block number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06437', 'ssaio: the asynchronous write was unable to write to the database file.', 'The Asynchronous I/O system call returned an error.', 'The additional information indicates the block number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06438', 'ssaio: the asynchronous read was unable to read from the database file.', 'The Asynchronous I/O system call returned an error.', 'The additional information indicates the block number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06439', 'ssaio: the asynchronous write returned incorrect number of bytes', 'This write call may have been truncated. The additional information returns the block number and number of bytes.', 'Verify that the block number and the number of bytes written are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06440', 'ssaio: the asynchronous read returned incorrect number of bytes', 'This read call may have been truncated. The additional information returns the block number and number of bytes.', 'Verify that the block number and the number of bytes read are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06441', 'ssvwatev: Incorrect parameter passed to function call', 'Either the ORACLE process id, or wait time or event ID is invalid.', 'The additional information indicates the process id, time and event id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06442', 'ssvwatev: Failed with unexpected error number.', 'Some system problems may exists on your system, please check error logs.', 'The additional information indicates the error number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06443', 'ssvpstev: Incorrect parameter passed to function call', 'An invalid event ID is passed in to this routine.', 'The additional information indicates the event id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06444', 'ssvpstev: Failed with unexpected error number.', 'Some system problems may exist on your system, please check error logs.', 'The additional information indicates the error number. Look up the additional information returned in your operating system manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06445', 'ssvpstevrg: Incorrect parameters passed to function call', 'An invalid event id, or the low and high event ID do not exist.', 'The additional information indicates the error number. It also contains the event id, low boundary and high boundary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06560', 'pos, string, is negative or larger than the buffer size, string', 'Internal error from the dbms_pipe package.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06622', 'LU6.2 Driver: Unable to attach to SNA', 'The SQL*Net LU6.2 driver could not attach to the SNA software on your machine. The most likely cause is that the SNA software is not operational.', 'Check the status of the SNA software, ensure that it is operational and then try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06700', 'TLI Driver: incorrect message type from host', 'TLI received a message with an unrecognizable message type.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06701', 'TLI Driver: incorrect number of bytes written', 'TLI sent a message that was apparently successful, but the number of bytes transmitted did not match the number of bytes supplied to the driver.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06702', 'TLI Driver: cannot allocate context area', 'TLI could not allocate heap space for the context area.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06703', 'TLI Driver: send break message failed', 'TLI failed to send a break message across the connection.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06704', 'TLI Driver: receive break message failed', 'TLI failed to receive an expected break message.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06705', 'TLI Driver: remote node is unknown', 'TLI could not find your remote host information.', 'Make sure you specified the hostname correctly on the command line. (Also, check your capitalization and spelling.)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06706', 'TLI Driver: service not found', 'TLI could not find service information for the specified service name.', 'If you specified the service name on the command line or with the environment variable TLI_SERVER, make sure you specified it correctly. If the service name is not in the SERVICES file for your protocol, ask your system adminstrator to add it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06707', 'TLI Driver: connection failed', 'TLI failed to establish the connection to a SQL*Net TCP/IP server due to an error encountered by the remote server, which has supplied a string describing the remote error.', 'See the SQL*Net TCP/IP User''s Guide section "orasrv Messages" for the specific cause and action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06708', 'TLI Driver: message receive failure', 'TLI encountered an error receiving a message from the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06709', 'TLI Driver: message send failure', 'TLI encountered an error sending a message across the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06710', 'TLI Driver: send interrupt break message failed', 'TLI failed to send a break message while handling an interrupt signal from the user.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06711', 'TLI Driver: error on bind', 'TLI failed to assign a network address to the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06756', 'TLI Driver: cannot open oratab', 'The TLI server could not open the file used to define the locations of remotely accessible databases.', 'Ask your system administrator to check that the file exists and has the correct permissions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06757', 'TLI Driver: server got bad command', 'The TLI server received an invalid command.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06760', 'TLI Driver: timeout reading orderly release', 'TLI was not able to retreive an expected disconnect message while closing the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06761', 'TLI Driver: error sending orderly release', 'TLI encountered an error sending a disconnect message closing the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06762', 'TLI Driver: error reading orderly release', 'TLI encountered an error receiving an expected disconnect message while closing the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06763', 'TLI Driver: error sending disconnect', 'TLI encountered an error sending a disconnect message closing the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06764', 'TLI Driver: error reading disconnect', 'TLI was not able to retreive an expected disconnect message while closing the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06765', 'TLI Driver: error awaiting orderly release', 'TLI encountered an error awaiting a disconnect message while closing the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06766', 'TLI Driver: close failed during release', 'TLI failed to close the communication channel after receiving a disconnect message.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06767', 'TLI Driver: alloc failed during release', 'TLI cannot allocate space for disconnection information while closing the communication channel.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06770', 'TLI Driver: error sending version', 'TLI encountered an error while sending its version information during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06771', 'TLI Driver: error reading version', 'TLI encountered an error while awaiting the expected version information during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06772', 'TLI Driver: error sending command', 'TLI encountered an error while sending a command message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06773', 'TLI Driver: error reading command', 'TLI encountered an error while awaiting the expected command message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06774', 'TLI Driver: error sending break mode', 'TLI encountered an error while sending break-mode message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06775', 'TLI Driver: error reading break mode', 'TLI encountered an error while awaiting the expected break-mode message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06776', 'TLI Driver: error sending parms', 'TLI encountered an error while sending the connection parameters during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06777', 'TLI Driver: error reading parms', 'TLI encountered an error while awaiting the expected connection parameter message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06778', 'TLI Driver: error sending ccode', 'TLI encountered an error while sending the completion status message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06779', 'TLI Driver: error reading ccode', 'TLI encountered an error while awaiting the expected completion status message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06780', 'TLI Driver: recv error code failed', 'TLI encountered an error while awaiting an expected error message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06781', 'TLI Driver: error reading negotation string', 'TLI encountered an error while awaiting the expected negotiation message during connection establishment.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06713', 'TLI Driver: error on connect', 'TLI failed to connect the client to the remote server. The network line to the remote host may be down.', 'Use other network login programs to make sure that the remote host is accessible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06720', 'TLI Driver: SID lookup failure', 'The database SID supplied in the database login string was not recognized by the remote host.', 'Ask your system administrator to add the appropriate SID entry to oratab on the remote host.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06721', 'TLI Driver: spurious client req', 'The remote TLI server received an undefined request.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06722', 'TLI Driver: connection setup failure', 'The remote TLI server rejected the connection request, and the client was unable to retrieve an error code or message.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06730', 'TLI Driver: unable to open clone device', 'TLI failed to open the Streams clone device associated with the transport provider.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06731', 'TLI Driver: cannot alloc t_call', 'TLI cannot allocate space for the client''s connection information.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06732', 'TLI Driver: cannot alloc t_discon', 'TLI cannot allocate space for the client''s disconnection information.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06733', 'TLI Driver: failed to receive disconnect', 'TLI failed to receive an expected disconnection message during connection release.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06734', 'TLI Driver: cannot connect', 'TLI failed to connect the client to the remote server.', 'Check that the remote TLI server is running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06735', 'TLI Driver: client failed to close error conn', 'TLI failed to properly close a connection after an error was received.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06736', 'TLI Driver: server not running', 'TLI timed out while attempting to connect to the remote TLI server.', 'Check that the remote TLI server is running with the status utility for the transport provider you are using. If it is not, ask your system adminstrator to start it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06737', 'TLI Driver: connection failed', 'TLI could not establish a connection to the remote TLI server.', 'Check that the remote TLI server is running with the status utility for the transport provider you are using.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06741', 'TLI Driver: unable to open protocol device', 'The TLI server failed to open the Streams device associated with the transport provider.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06742', 'TLI Driver: cannot alloc t_bind', 'The TLI server cannot allocate space for its requested network address.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06743', 'TLI Driver: cannot alloc t_bind', 'The TLI server cannot allocate space for its actual network address.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06744', 'TLI Driver: listener cannot bind', 'The TLI server failed to assign the correct network address on which to listen for connections.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06745', 'TLI Driver: listener already running', 'The network address on which the TLI server awaits connection requests is in use, possibly because the server is already running.', 'Ensure that the TLI server is not already running. If it is not running and this error message recurs, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06746', 'TLI Driver: cannot alloc t_call', 'TLI cannot allocate space for the TLI server''s connection information.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06747', 'TLI Driver: error in listen', 'The TLI server encountered an error while listening for connection requests.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06748', 'TLI Driver: cannot allocate t_discon', 'TLI cannot allocate space for the TLI server''s disconnection information.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06749', 'TLI Driver: option not allowed across network', 'The requested TLI server command must be issued from the same host on which the server is running.', 'Log in to the remote host and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06750', 'TLI Driver: sync failed', 'The ORACLE process started by the TLI server was unable to synchronize its inherited connection.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06751', 'TLI Driver: bound addresses unequal', 'The osn check server address failed. The bound server address was not the same as the requested binding address.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06752', 'TLI: error in signal setup', 'A call to sigaction() returned with a system error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06753', 'TLI Driver: name-to-address mapping failed', 'For SVR4, the netdir_getbyname() call failed for some unknown reason.', 'Contact your custumer service representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06754', 'TLI Driver: unable to get local host address', 'The name of the remote host to connect to was not specified, and the name of the local host cannot be retrieved from the HOSTS file.', 'Contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06755', 'TLI Driver: cannot close transport endpoint', 'The TLI server was unable to close a connection after passing it to an ORACLE process.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06790', 'TLI Driver: poll failed', 'TLI was unable to poll the communication channel for possible incoming messages.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07233', 'slemcw: invalid file handle, seals do not match.', 'Function was called with an invalid file handle. File handle was not obtained by slemcr.', 'Internal error. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07234', 'slemcw: fseek error.', 'Unable to seek to desired position in file. Possible OS error. Possible internal error.', 'Verify that error message file is intact. Try to regenerate error message file. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07235', 'slemcw: fwrite error.', 'Unable to write item to file. Possible OS error. Possible permissions problem.', 'Retry operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07236', 'slemop: open error.', 'Unable to open error file. Possible permissions problem.', 'Verify permission on error message file. Check additional information for errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07237', 'slemcl: invalid file handle, seals do not match.', 'Function was called with an invalid file handle. Handle was not obtained by previous call to slemop.', 'Internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07238', 'slemcl: close error.', 'Unable to close file. Possible OS error.', 'Contact system administator. Check additional information for errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07239', 'slemrd: invalid file handle, seals do not match.', 'Function was called with invalid file handle. Handle was not obtained by call to slemop.', 'Internal error. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07240', 'slemrd: seek error.', 'Unable to seek to desired position in file. Possible OS error.', 'Check that error file is still intact. Verify space on device. Contact system administrator. Check additional information for errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07241', 'slemrd: read error.', 'Unable to read file. Possible OS error.', 'Verify that error file is intact. Regenerate error message file. Contact customer support. Check additional information for errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07242', 'slembfn: translation error, unable to translate error file name.', 'Additional information indicates error returned from sltln.', 'Check additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06791', 'TLI Driver: poll returned error event', 'TLI received an unexpected event while polling the communication channel for possible incoming messages.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06792', 'TLI Driver: server cannot exec oracle', 'The remote TLI server was unable to start an ORACLE process on behalf of the client.', 'Note the operating system error message or number and contact your system adminstrator. The permissions on the remote ORACLE program may be set incorrectly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06793', 'TLI Driver: server cannot create new process', 'The remote TLI server was unable to start an ORACLE process on behalf of the client.', 'Note the operating system error message or number and contact your system adminstrator. The remote host may be unable to create any new processes due to a full process table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06794', 'TLI Driver: shadow process could not retrieve protocol info', 'The ORACLE process either failed to allocate memory to store the protocol information record, or the protocol rejected the request for some unknown reason.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06800', 'TLI Driver: SQL*Net SPX client went away during reconnect', 'The client process was aborted by the system or the user, and was unable to complete the connection establishment with the server listener process.', 'Determine cause of client exit, and reattempt connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06801', 'TLI Driver: listen for SPX server reconnect failed', 'An unknown event occurred on the client''s listening socket.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06802', 'TLI Driver: could not open the /etc/netware/yellowpages file', 'The /etc/netware/yellowpages file does not exist, or is not readable by the TLI listener process.', 'Insure the file exists and is readable. Make sure that the server machine''s node name, network number, ethernet address, and listening socket number are encoded in the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06803', 'TLI Driver: the IPX device file could not be opened', 'The /dev/ipx file does not exist, or the driver has not been installed in the kernel correctly.', 'Reinvoke the Oracle root installation. If problem continues, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06804', 'TLI Driver: could not bind an IPX address at initialization', 'The IPX driver has not been correctly installed.', 'Reinvoke the Oracle root installation. If problem continues, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06805', 'TLI Driver: could not send datagram SAP packet for SPX', 'The socket endpoint for sending SAP packet was corrupted for some unknown reason.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06806', 'TLI Driver: could not complete protocol initialization for SPX', 'A step in the SPX/IPX protocol initialization failed.', 'Check the previous error reported, and follow corrective action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06807', 'TLI Driver: could not open ethernet device driver file', 'The file /dev/eth does not exist, or the driver it references could not be opened.', 'The system''s real ethernet device file, for example /dev/wd, for the Western Digital ethernet driver, should be linked to the file /dev/eth. If this has been done, insure that the ethernet driver has been installed by completing the TCP/IP installation on your system, and testing a connection. If problem continues, contact your customer support representative for a list of supported ethernet drivers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06808', 'TLI Driver: could not link IPX and ethernet streams', 'Either the ethernet driver has not been installed in the system correctly, or the ethernet driver is not supported.', 'Insure that the ethernet driver has been installed by completing the TCP/IP installation on your system, and testing a connection. If problem continues, contact your customer support representative for a list of supported ethernet drivers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06809', 'TLI Driver: could not clear the IPX ethernet SAP at init', 'The IPX driver has not been correctly installed.', 'Reinvoke the Oracle root installation. If problem continues, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06810', 'TLI Driver: could not set the IPX ethernet SAP at init', 'The IPX driver has not been correctly installed.', 'Reinvoke the Oracle root installation. If problem continues, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06811', 'TLI Driver: could not set the IPX network number at init', 'The IPX driver has not been correctly installed, or the network number encoded in the /etc/netware/yellowpages file is invalid.', 'The network number in the yellowpages file should match the four-byte network number of your Novell file server. If this is configured correctly, reinvoke the Oracle root installation. If problem continues, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06812', 'TLI Driver: could not read the ethernet driver''s node address', 'The ethernet driver is not installed correctly, or does not support this operation.', 'Contact your customer support representative for a list of supported ethernet drivers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06813', 'TLI Driver: the configured ethernet address is incorrect', 'The node address read from the ethernet driver does not match the value encoded in the /etc/netware/yellowpages file for this server.', 'Confirm the correct ethernet node address for your LAN card, and enter this value in the yellowpages file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06814', 'TLI Driver: the SPX device file could not be opened', 'The /dev/nspxd file does not exist, or the driver has not been installed in the kernel correctly.', 'Reinvoke the Oracle root installation. If problem continues, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06815', 'TLI Driver: could not link SPX and IPX streams', 'The SPX driver has not been correctly installed.', 'Reinvoke the Oracle root installation. If problem continues, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06816', 'TLI Driver: could not set the SPX SAP address', 'The SPX driver has not been correctly installed.', 'Reinvoke the Oracle root installation. If problem continues, contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06817', 'TLI Driver: could not read the Novell network address', 'The file $ORACLE_HOME/spx/address could not be opened for reading and writing.', 'Make sure ORACLE_HOME is set, and the permissions on the ORACLE_HOME are read, write. If this file has been unintentially deleted, run spxctl (net option) to reset the configured Novell network number for SQL*Net SPX.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06900', 'CMX: cannot read tns directory', 'CMX is not started on your system.', 'Install and/or start CMX on your system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06901', 'CMX: no local name assigned to local application', 'Local application oracmx has no local name assigned', 'Enter unique local name for oracmx in the tns directory', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06902', 'CMX: cannot attach to cmx subsystem', 'ccp-xxxx is not started', 'start your ccp software on the communication controller', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06903', 'CMX: cannot read transport address of remote application', 'remote application not entered in tns directory', 'enter remote application in tns directory', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06904', 'CMX: no transport address available for remote application', 'no local name assigned to remote application', 'assign local name to remote application', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06905', 'CMX: connect error', 'remote partner not listening', 'make sure remote node has CMX installed and running make sure oracmx is running on remote host', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06712', 'TLI Driver: error on accept', 'TLI failed to accept a connection request from the client.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06906', 'CMX: cannot get maximum packet size from CMX', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06907', 'CMX: error during connect confirmation', 'remote partner aborted', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06908', 'CMX: error during transfer of ORACLE_SID', 'remote partner aborted', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06909', 'CMX: error during acknowledge of ORACLE_SID', 'remote partner aborted', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06910', 'CMX: Cannot start oracle process on remote machine', 'oracle process not found or wrong mode (should be 4751)', 'change /etc/oratab or set mode to 4751', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06911', 'CMX: t_event returns ERROR', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06912', 'CMX: write error in datarq', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06913', 'CMX: error during redirection of connection', 'oracmx has been stopped, or user process has been aborted', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06914', 'CMX: unexepected event during start of oracle', 'connect sequence out of sync', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06915', 'CMX: unknown t_event in datarq', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06916', 'CMX: error in data read (t_datain)', 'remote partner aborted', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06917', 'CMX: error in data read (too many bytes read)', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06918', 'CMX: T_NOEVENT during wait for read event', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06919', 'CMX: error during write request (unknown event)', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06920', 'CMX: getbrkmsg illegal datatype', 'received packets are corrupted', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06921', 'CMX: getdatmsg illegal datatype', 'received packets are corrupted', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06922', 'CMX: bad write length', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06923', 'CMX: illegal break condition', 'break handling out of sync', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06924', 'CMX: wrong break message length', 'received packets are corrupted', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06925', 'CMX: disconnect during connect request', 'partner is not responding', 'make sure partner is up and running and reachable', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06926', 'CMX: T_ERROR during read data', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06927', 'CMX: T_DATAIN received before all data written', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06928', 'CMX: wrong ORACLE_SID', 'ORACLE_SID is not entered in remote oratab', 'add ORACLE_SID to remote oratab', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06929', 'CMX: error when sending ORACLE_SID', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06930', 'CMX: error when checking ORACLE_SID', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06931', 'CMX: error during read_properties for server', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06932', 'CMX: error in local name', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06933', 'CMX: error during attach', 'internal error in CMX', 'contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06950', 'No error', 'SQL*Net AppleTalk error codes base. This is not an error.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06951', 'Operating system call error', 'AppleTalk API received error in VMS system service.', 'Contact Oracle Customer Support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06952', 'Remote end of the communication issued a forward-reset packet.', 'Peer program may have aborted', 'Investigate network problems and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06953', 'Not enough virtual memory', 'Not enough memory available.', 'Check VMS process quotas and/or sysgen parameters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06954', 'Illegal file name', 'Erroneous file name', 'Check path name for server output file, or SQL*Net Appletalk Logical names and symbols.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06955', 'Number of database servers exceed limit', 'Too many database connections.', 'Check ATKSRV_MAXCONparameter in configuration file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06956', 'Failed to get local host name', 'Unable to get Appletalk host name.', 'Check Appletalk configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06957', 'No SID is currently available', 'Incoming SQL*Net connection specified invalid SID name.', 'Specify correct SID in connect string and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06958', 'Failed to access configuration file', 'Unable to access CONFIG.ATK', 'Check file protections.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06959', 'Buffer I/O quota is too small', 'Buffered I/O quota exceeded.', 'Increase BIOlm using AUTHORIZE utility and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06960', 'Failed to access log file', 'SQL*Net Appletalk listener could not create log file.', 'Check directory path and protections.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06970', 'X.25 Driver: remote host is unknown', 'Host name specified in the login (connect string) is unknown.', 'Check spelling; make sure name is in the X.25 HOST file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06973', 'X.25 Driver: invalid buffer size', 'The buffer size specified in the login string must be between 5 and 4096.', 'Re-submit with valid buffer size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06974', 'X.25 Driver: SID lookup failure', 'From the remote host''s SQL*Net X.25 server: the database SID, specified in the login (connect) string, was not recognized.', 'Add the appropriate SID entry to the CONFIG.ORA file on the remote host (and restart the SQL*Net X.25 server).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06975', 'X.25 Driver: connect to host failed', 'Connection attempt to remote host has failed. Probably means that the SQL*Net X.25 server on the remote host is not up, or the host itself is not up.', 'Start the SQL*Net X.25 server process on the remote host.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06976', 'X.25 Driver: endpoint creation failure', 'Process open file quota probably exceeded.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06977', 'X.25 Driver: X.25 Level 2 failure', 'X.25 level 2 is down. X.25 link is not working.', 'Run system checks to verify functioning of X.25 software. Contact your hardware vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06978', 'X.25 Driver: Too many callback tries', 'Call back address probably same as called address.', 'Verify that callback address and called address are different.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06979', 'X.25 Driver: server cannot start oracle', 'The remote X.25 server was unable to start an ORACLE process on behalf of the client.', 'Make sure permissions on the remote ORACLE program are correctly set. Contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07200', 'slsid: oracle_sid not set.', 'The environment variable $(ORACLE_SID) is not set.', 'Set ORACLE_SID environment variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07201', 'slhom: oracle_home variable not set in environment.', '$(ORACLE_HOME) environment variable not set.', 'Set ORACLE_HOME.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07202', 'sltln: invalid parameter to sltln.', 'The sltln name translation routine was called with invalid arguments. The input, or output stings were either NULL or 0 length.', 'Probable internal oracle error. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06514', 'PL/SQL: The remote call cannot be handled by the server', 'The remote call has parameters that are cursor variables or lob variables. This cannot be handled by stored procedures on your server.', 'Avoid using cursor variables or lob variables as parameters for stored procedures on this server or upgrade your server to a version that supports this.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06515', 'PL/SQL: unhandled exception string', 'An exception was raised by PL/SQL code, but not handled. The exception number is outside the legal range of Oracle errors.', 'Fix the problem causing the exception or write an exception handler for this condition. Or you may need to contact your application administrator or DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06516', 'PL/SQL: the Probe packages do not exist or are invalid', 'A Probe operation, probably an attempt to initialize the ORACLE server to debug PL/SQL, could not be completed because the Probe packages were not loaded or have become invalid.', 'DBA should load the Probe packages. This can be done by running the pbload.sql script supplied with the RDBMS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07203', 'sltln: attempt to translate a long environment variable.', 'A string was passed to sltln containing a long environment variable. sltln accepts environment names of 30 or less characters.', 'Shorten environment variable name to less than 30 characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07204', 'sltln: name translation failed due to lack of output buffer space.', 'The sltln routine is given a maximum length buffer to expand the name into. An overflow of this buffer occurred.', 'Possible internal error. Check output buffer length stored in sercose[0]. Pathnames are limited to 255 characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07205', 'slgtd: time error, unable to obtain time.', 'Time() system call returned an error. Possible OS error.', 'Check additional information returned. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07206', 'slgtd: gettimeofday error, unable to obtain time.', 'Gettimeofday() system call returned an error. Possible OS error.', 'Check additional information returned. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07207', 'sigpidu: process ID string overflows internal buffer.', 'The sigpidu routine is given a maximum length buffer to hold process ID string. An overflow of this buffer occurred.', 'Internal error. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07208', 'sfwfb: failed to flush dirty buffers to disk.', 'The fsync system call returned an error. Possible OS error.', 'Check additional information returned. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07209', 'sfofi: file size limit was exceeded.', 'The size of the file to be opened exceeded the OS limit imposed on this process.', 'Run osh to increase the file size limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07210', 'slcpu: getrusage error, unable to get cpu time.', 'Getrusage system call returned an error. Possible OS error.', 'Check additional information returned. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07211', 'slgcs: gettimeofday error, unable to get wall clock.', 'Gettimeofday system call returned an error. Possible OS error.', 'Check additional information returned in OS reference manual. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07212', 'slcpu: times error, unable to get cpu time.', 'times system call returned an error. Possible OS error.', 'Check additional information returned. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07213', 'slgcs: times error, unable to get wall clock.', 'times system call returned an error. Possible OS error.', 'Check additional information returned in OS reference manual. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07214', 'slgunm: uname error, unable to get system information.', 'uname system call returned an error. Possible OS error.', 'Check additional information returned in OS reference manual. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07215', 'slsget: getrusage error.', 'Getrusage system call returned an error. Possible OS error.', 'Check additional information returned. Look for information in OS reference. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07216', 'slghst: gethostname error, unable to get name of current host.', 'gethostname system call returned an error. Possible OS error.', 'Check additional information returned in OS reference manual. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07217', 'sltln: environment variable cannot be evaluated.', 'getenv call returned a null pointer.', 'Set the environment variable and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07218', 'slkhst: could not perform host operation', 'Unix system() call failed', 'Examine system error message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07219', 'slspool: unable to allocate spooler argument buffer.', 'Malloc failed to allocate space to hold spooler arguments.', 'Check additional information returned in OS reference manual. The process may have run out of heap space. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07220', 'slspool: wait error.', 'Wait returned an error, when waiting for spool job to complete. Possible spooler program error.', 'Check additional information returned. Refer to OS reference manual. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07221', 'slspool: exec error, unable to start spooler program.', 'Exec failed when starting line printer spooler command. Likely that either the default line printer command, or ORACLE_LPPROG, is incorrectly set.', 'Verify default line printer command and ORACLE_LPPROG are set correctly. Set ORACLE_LPPROG to working line printer spooler.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07222', 'slspool: line printer spooler command exited with an error.', 'The line printer spooler exited with a non-zero return value. This probably indicates an error in spooling file.', 'Verify that line printer spooler is up. Verify that ORACLE_LPPROG, and ORACLE_LPARG are set properly. Check exit value returned as additional informatin.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07223', 'slspool: fork error, unable to spawn spool process.', 'Fork system call failed to create additional process. Probable resource limit reached.', 'Check additional information returned. Retry operation. Contact system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07224', 'sfnfy: failed to obtain file size limit; errno = string.', 'The ulimit system call returned an error.', 'Check errno and contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07225', 'sldext: translation error, unable to expand file name.', 'Additional information returned is error returned from sltln.', 'Check additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07226', 'rtneco: unable to get terminal mode.', 'The ioctl call returned an error. Possible OS error.', 'Check additional information for errno. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07227', 'rtneco: unable to set noecho mode.', 'The ioctl call returned an error. Possible OS error.', 'Check additional information for errno. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07228', 'rtecho: unable to restore terminal to echo mode.', 'The ioctl call returned an error. Possible OS error.', 'Check additional information for errno. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07229', 'slcpuc: error in getting number of CPUs.', 'error in mpcntl system call', 'check errno and contact system administrator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07230', 'slemcr: fopen error, unable to open error file.', 'Fopen failed to open file.', 'Try to determine which file was not opened. Check that file exists and is accessible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07231', 'slemcc: invalid file handle, seals do not match.', 'Function was called with an invalid argument. The file handle used was not obtained be slemcr.', 'Internal error. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07232', 'slemcc: fclose error.', 'An error was encountered when closing the file. Possible OS error.', 'Contact system administator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06517', 'PL/SQL: Probe error - string', 'An error occurred while passing a Probe operation to the server for execution.', 'Refer to the entry for the embedded error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06518', 'PL/SQL: Probe version string incompatible with version string', 'The current version of Probe is incompatible with the version on the ORACLE server.', 'Refer to the documentation to ensure that this degree of compatibility is supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06519', 'active autonomous transaction detected and rolled back', 'Before returning from an autonomous PL/SQL block, all autonomous transactions started within the block must be completed (either committed or rolled back). If not, the active autonomous transaction is implicitly rolled back and this error is raised.', 'Ensure that before returning from an autonomous PL/SQL block, any active autonomous transactions are explicitly committed or rolled back. ----------------------------------------------------------------------- 06520 through 06529 reserved for Foreign function errors', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06520', 'PL/SQL: Error loading external library', 'An error was detected by PL/SQL trying to load the external library dynamically.', 'Check the stacked error (if any) for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06521', 'PL/SQL: Error mapping function', 'An error was detected by PL/SQL trying to map the mentioned function dynamically.', 'Check the stacked error (if any) for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06522', 'string', 'ORA-06520 or ORA-065211 could stack this error with a system specific error string.', 'This error string should give the cause for errors ORA-06520 or ORA-065211', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06523', 'Maximum number of arguments exceeded', 'There is an upper limit on the number of arguments that one can pass to the external function.', 'Check the port specific documentation on how to calculate the upper limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06524', 'Unsupported option : string', 'The option specified is an unsupported feature for external procedures.', 'Correct the syntax in the external specification', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06525', 'Length Mismatch for CHAR or RAW data', 'The length specified in the length variable has an illegal value. This can happen if you have requested requested a PL/SQL INOUT, OUT or RETURN raw variable to be passed as a RAW with no corresponding length variable. This error can also happen if there is a mismatch in the length value set in the length variable and the length in the orlvstr or orlraw.', 'Correct the external procedure code and set the length variable correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06526', 'Unable to load PL/SQL library', 'PL/SQL was unable to instantiate the library referenced by this referenced in the EXTERNAL syntax. This is a serious error and should normally not happen.', 'Report this problem to customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06527', 'External procedure SQLLIB error: string', 'An error occurred in sqllib during execution of a Pro* external procedure.', 'The message text indicates the actual SQLLIB error that occurred. Consult the Oracle Error Messages and Codes manual for a complete description of the error message and follow the appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06528', 'Error executing PL/SQL profiler', 'An error occurred in during execution of a PL/SQL profiler procedure.', 'Check the stacked errors for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06529', 'Version mismatch - PL/SQL profiler', 'The PL/SQL profiler package (dbmspb.sql, prvtpbp.plb) does not match the version of the code in the server implementing the profiler.', 'Run the package profload.sql in $ORACLE_HOME/rdbms/admin to load the correct version of the PL/SQL profiler packages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06530', 'Reference to uninitialized composite', 'An object, LOB, or other composite was referenced as a left hand side without having been initialized.', 'Initialize the composite with an appropriate constructor or whole-object assignment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06531', 'Reference to uninitialized collection', 'An element or member function of a nested table or varray was referenced (where an initialized collection is needed) without the collection having been initialized.', 'Initialize the collection with an appropriate constructor or whole-object assignment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06532', 'Subscript outside of limit', 'A subscript was greater than the limit of a varray or non-positive for a varray or nested table.', 'Check the program logic and increase the varray limit if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06533', 'Subscript beyond count', 'An in-limit subscript was greater than the count of a varray or too large for a nested table.', 'Check the program logic and explicitly extend if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06534', 'Cannot access Serially Reusable package string', 'The program attempted to access a Serially Reusable package in PL/SQL called from SQL context (trigger or otherwise). Such an access is currently unsupported.', 'Check the program logic and remove any references to Serially Reusable packages (procedure, function or variable references) which might happen in PL/SQL called from sql context (trigger or otherwise).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06535', 'statement string in string is NULL or 0 length', 'The program attempted to use a dynamic statement string that was either NULL or 0 length.', 'Check the program logic and ensure that the dynamic statement string is properly initialized.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06536', 'IN bind variable bound to an OUT position', 'The program attempted to bind an IN bind variable to a statement that was expecting an OUT bind variable at that position.', 'Make sure that an OUT or IN OUT bind mode is specified for the bind argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06537', 'OUT bind variable bound to an IN position', 'The program attempted to bind an OUT bind variable to a statement that was expecting an IN bind variable at that position.', 'Make sure that an IN or IN OUT bind mode is specified for the bind argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06538', 'statement violates string RESTRICT_REFERENCES pragma', 'The program attempted to execute a dynamic statement which does not meet the purity level specified (in the pragma RESTRICT_REFERENCES directive) for the module executing the statement.', 'Ensure that the dynamic statement meets the purity level specified for the module executing the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06539', 'target of OPEN must be a query', 'The program attempted to perform an OPEN cursor operation on a dynamic statement that was not a query.', 'Ensure that the OPEN cursor operation is done on a dynamic query statement. -------------------------------------------------------- 06540 through 06549 reserved for pl/sql error handling', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06540', 'PL/SQL: compilation error', 'A pl/sql compilation error occurred. However, the user generally will not see this error message. Instead, there will be accompanying PLS-nnnnn error messages.', 'See accompanying PLS-nnnnn error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06541', 'PL/SQL: compilation error - compilation aborted', 'A pl/sql compilation error occurred and the compilation was aborted; but the compilation unit was written out to the backing store. However, unlike ora-06545, the user generally will not see this error message. Instead, there will be accompanying PLS-nnnnn error messages.', 'See accompanying PLS-nnnnn error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06544', 'PL/SQL: internal error, arguments: [string], [string], [string], [string], [string], [string], [string], [string]', 'A pl/sql internal error occurred.', 'Report as a bug; the first argument is the internal error nuber.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06545', 'PL/SQL: compilation error - compilation aborted', 'A pl/sql compilation error occurred and the compilation was aborted completely without the compilation unit being written out to the backing store. Unlike ora-06541, the user will always see this error along with the accompaning PLS-nnnnn error messages.', 'See accompanying PLS-nnnnn error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06546', 'DDL statement is executed in an illegal context', 'DDL statement is executed dynamically in illegal PL/SQL context.' || '<p>' || '- Dynamic OPEN cursor for a DDL in PL/SQL' || '<p>' || '' || '<p>' || '- Bind variable''s used in USING clause to EXECUTE IMMEDIATE a DDL' || '<p>' || '' || '<p>' || '- Define variable''s used in INTO clause to EXECUTE IMMEDIATE a DDL', 'Use EXECUTE IMMEDIATE without USING and INTO clauses to execute the DDL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06547', 'RETURNING clause must be used with INSERT, UPDATE, or DELETE statements', 'EXECUTE IMMEDIATE with a RETURNING clause is used to execute dynamic UPDATE, INSERT, or DELETE statements only.', 'use RETURNING clause in EXECUTE IMMEDIATE for INSERT, UPDATE, or DELETE statements only. For other statements, use USING clause instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06548', 'no more rows needed', 'The caller of a pipelined function does not need more rows to be produced by the pipelined function.', 'Catch the NO_DATA_NEEDED exception is an exception handling block.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06549', 'PL/SQL: failed to dynamically open shared object (DLL): string:string', 'One possible cause might be there are too many DLLs open at the same time.', '--------------------------------------------------------', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06550', 'line string, column string: string', 'Usually a PL/SQL compilation error.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06554', 'package DBMS_STANDARD must be created before using PL/SQL', 'The DBMS specific extensions to PL/SQL''s package "STANDARD" are in package "DBMS_STANDARD". This package must be created before using PL/SQL.', 'Create package "DBMS_STANDARD". The source for this PL/SQL stored package is provided with the distribution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06555', 'this name is currently reserved for use by user SYS', 'You tried to create a package named "STANDARD", "DBMS_STANDARD" or "DEBUG_IO". These are currently reserved for use by user SYS.', 'Choose another name for your package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06556', 'the pipe is empty, cannot fulfill the unpack_message request', 'There are no more items in the pipe.', 'Check that the sender and receiver agree on the number and types of items placed on the pipe.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06557', 'null values are not allowed for any parameters to pipe icd''s', 'Internal error from the dbms_pipe package.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06561', 'given statement is not supported by package DBMS_SQL', 'Attempting to parse an unsupported statement using procedure PARSE provided by package DBMS_SQL.', 'Only statements which begin with SELECT, DELETE, INSERT, UPDATE, LOCK, BEGIN, DECLARE or << (PL/SQL label delimiter) are supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06562', 'type of out argument must match type of column or bind variable', 'Attempting to get the value of a column or a bind variable by calling procedure COLUMN_VALUE or VARIABLE_VALUE of package DBMS_SQL but the type of the given out argument where to place the value is different from the type of the column or bind variable that was previously defined by calling procedure DEFINE_COLUMN (for defining a column) or BIND_VARIABLE (for binding a bind variable) of package DBMS_SQL.', 'Pass in an out argument of the correct type when calling procedure COLUMN_VALUE or VARIABLE_VALUE. The right type is the type that was provided when defining the column or binding the bind variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06563', 'top level procedure/function specified, cannot have subparts', 'The name to be resolved was specified with three parts (a.b.c) but the a.b part resolves to a top level procedure or function (which don''t have nested procedures). This can also happen with a two-part name, a.b, where a is a synonym for a top level package or procedure.', 'Specify a procedure/function within a package, or a top level procedure/function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06564', 'object string does not exist', 'The named object could not be found. Either it does not exist or you do not have permission to access it.', 'Create the object or get permission to access it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06565', 'cannot execute string from within stored procedure', 'The named procedure cannot be executed from within a stored procedure, function or package. This function can only be used from pl/sql anonymous blocks.', 'Remove the procedure from the calling stored procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06566', 'invalid number of rows specified', 'An invalid number of rows was specified in a call to the procedure DEFINE_COLUMN in the package DBMS_SQL. For a given parsed statement in a given cursor, all columns must be defined to have the same number of rows, so all the calls to DEFINE_COLUMN must specify the same number of rows.', 'Specify a number that matches that for previously defined columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06567', 'invalid number of values specified', 'An invalid number of values to be bound was specified in a call to the procedure BIND_VARIABLE in the package DBMS_SQL. In order to execute a given parsed statement in a given cursor, the same number of values must have been bound for all bind variables, so when EXECUTE is called, the latest calls to BIND_VARIABLE must must have specified the same number of values to be bound for all bind variables.', 'Make sure that the same number of values have been bound for all of the bind variables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06568', 'obsolete ICD procedure called', 'An obsolete ICD procedure was called by a PL/SQL program. The PL/SQL program was probably written for an eralier release of RDBMS.', 'Make sure that all PL/SQL programs have been upgraded to the latest release of the RDBMS. This can be accomplished by following upgrade instructions in the README file, or by running the catproc.sql script supplied with the RDBMS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06569', 'Collection bound by bind_array contains no elements', 'A collection with zero elements was bound to a bind variable in a call to procedure BIND_ARRAY in the package DBMS_SQL. In order to execute a bind of a collection, the collection must contain at least one element. If no elements are present then at execute time there will be no value for this bind and the statement is meaningless.', 'Fill the collection with the elements you want to bind and try the bind call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06570', 'shared pool object does not exist, cannot be pinned/purged', 'The specified shared pool shared cursor could not be found, therefore it cannot be pinned/purged.', 'Remove the procedure from the calling stored procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06571', 'Function string does not guarantee not to update database', 'There are two possible causes for this message:' || '<p>' || '* A SQL statement references a packaged, PL/SQL function that does not contain a pragma that prevents the database from being updated.' || '<p>' || '' || '<p>' || '* A SQL statement references a stand-alone, PL/SQL function that contains an instruction to update the database.', 'If the referenced function is a packaged, PL/SQL function: Recreate the PL/SQL function with the required pragma; be certain to include the ''Write No Database State'' (WNDS) argument in the argument list of the pragma. If the referenced function is a stand-alone, PL/SQL function: Do not use the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06558', 'buffer in dbms_pipe package is full. No more items allowed', 'The pipe buffer size has been exceeded.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06559', 'wrong datatype requested, string, actual datatype is string', 'The sender put different datatype on the pipe than that being requested (package ''dbms_pipe''). The numbers are: 6 - number, 9 - char, 12 - date.', 'Check that the sender and receiver agree on the number and types of items placed on the pipe.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06572', 'Function string has out arguments', 'A SQL statement references either a packaged, or a stand-alone, PL/SQL function that contains an OUT parameter in its argument list. PL/SQL functions referenced by SQL statements must not contain the OUT parameter.', 'Recreate the PL/SQL function without the OUT parameter in the argument list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06573', 'Function string modifies package state, cannot be used here', 'There are two possible causes for this message:' || '<p>' || '* A SQL statement references a packaged, PL/SQL function that does not contain a pragma containing the ''Write no Package State'' (WNPS).' || '<p>' || '' || '<p>' || '* A SQL statement references a stand-alone, PL/SQL function that modifies a package state. A stand-alone, PL/SQL function referenced by a SQL statement cannot modify a package state.', 'If the function is a packaged, PL/SQL function: Recreate the function and include a pragma containing the ''Write no Package State'' (WNPS). If the function is a stand-alone, PL/SQL function: Delete the function from the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06574', 'Function string references package state, cannot execute remotely', 'There are two possible causes for this message:' || '<p>' || '* A remote, packaged function or a remote-mapped, local, packaged function that does not contain a pragma with the ''Write no Package State'' (WNPS) and ''Read no Package State'' (RNPS) arguments references a package state.' || '<p>' || '' || '<p>' || '* A remote, stand-alone function or a remote-mapped, local, stand-alone function contains a reference to a package state (reads or writes a package variable). Only local functions that are referenced in a SELECT list, VALUES clause of an INSERT statement, or SET clause of an UPDATE statement can modify a package state.', 'If the function is a packaged function: Recreate the function and include a pragma containing the ''Write no Package State'' (WNPS) and ''Read no Package State'' (RNPS) arguments. If the function is a stand-alone function: Do not call the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06575', 'Package or function string is in an invalid state', 'A SQL statement references a PL/SQL function that is in an invalid state. Oracle attempted to compile the function, but detected errors.', 'Check the SQL statement and the PL/SQL function for syntax errors or incorrectly assigned, or missing, privileges for a referenced object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06576', 'not a valid function or procedure name', 'Could not find a function (if an INTO clause was present) or a procedure (if the statement did not have an INTO clause) to call.', 'Change the statement to invoke a function or procedure', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06577', 'output parameter not a bind variable', 'The argument corresponding to an IN/OUT or OUT parameter for a function or a procedure or a function return value in a CALL statement must be a bind variable.', 'Change the argument to a bind variable', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06578', 'output parameter cannot be a duplicate bind', 'The bind variable corresponding to an IN/OUT or OUT parameter for a function or a procedure or a function return value in a CALL statement cannot be a duplicate bind variable.', 'Change the bind variable to be unique', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06579', 'Bind variable not big enough to hold the output value', 'The bind variable specified by the user is not large enough to hold the output returned by the function or a procedure.', 'Specify a bind variable of larger size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06580', 'Hash Join ran out of memory while keeping large rows in memory', 'Hash Join reserves 3 slots (each slot size = DB_BLOCK_SIZE * HASH_JOIN_MULTIBLOCK_IO_COUNT) for a row. If a row is larger than that, this error will be raised.', 'Increase HASH_JOIN_MULTIBLOCK_IO_COUNT so that each joined row fits in a slot. HASH_AREA_SIZE may also need to be increaed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06592', 'CASE not found while executing CASE statement', 'A CASE statement must either list all possible cases or have an else clause.', 'Add all missing cases or an else clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06593', 'string is not supported with natively compiled PL/SQL modules', 'Specified feature is not yet supported for natively compiled PL/SQL modules yet.', 'Recompile the relevant PL/SQL modules in non-native mode by setting the parameter plsql_compiler_flags to INTERPRETED.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06595', 'REF CURSOR parameters are not supported in forwarded RPC calls', 'An attempt was made to make a forwarded RPC call with a REF CURSOR parameter.', 'Either call the remote function directly (i.e., not by way of forwarding), or move the remote function to a database where it can be called directly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06596', 'object cannot be purged, object is permanently kept in shared pool', 'The specified object was permanently kept, therefore, cannot be purged.', 'Use DBMS_SHARED_POOL.UNKEEP procedure to unkeep the object and then purge it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06600', 'LU6.2 Driver: SNA software is not loaded', 'The SNA software is not running.', 'Start the SNA software and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06601', 'LU6.2 Driver: Invalid database ID string', 'The database string in the connect was invalid.', 'Provide a valid database string, as defined in documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06602', 'LU6.2 Driver: Error allocating context area', 'Context area failure.', 'Contact your local service representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06603', 'LU6.2 Driver: Error allocating memory', 'Operating system refused request for memory.', 'Contact you local service representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06604', 'LU6.2 Driver: Unable to allocate session with remote LU', 'Allocate system call failed.', 'Ensure that the SNA software is running and that sessions are free. If this is the case, then check your SNA configuration data for errors. You may have entered an incorrect parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06605', 'LU6.2 Driver: Unexpected line turnaround', 'SNA software switched from send to receive unexpectedly.', 'Check the SNA configuration data, particularly parameters associated with a session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06606', 'LU6.2 Driver: Unexpected response from SNA', 'A parameter in an SNA call returned an unexpected value.', 'Attempt to reproduce problem, debug and record the value of the ''what'' data parameter at the time of error. Then contact your service representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06607', 'LU6.2 Driver: Reset occurred in send state', 'A reset was issued whilst in send state.', 'Check the SNA LOG data, if relevent, for further information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06608', 'LU6.2 Driver: Reset occurred in receive state', 'A reset was received from the partner whilst in receive state. This may be because the partner deallocated.', 'Check the SNA LOG data, if relevent, for further information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06610', 'LU6.2 Driver: Failed during deallocation', 'LU6.2 driver was unable to deallocate gracefully.', 'Check the reason for deallocation. Consult the SNA LOG data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-06616', 'LU6.2 Driver: Attach to LU failed', 'The SQL*Net LU6.2 driver was unable to attach to the LU specified in the connect string, or was unable to attach to the default LU.', 'Check that the LU name specified in the connect string, or the default LU name if no LU was specified, is correctly configured and operational.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07258', 'spdcr: fork error, unable to create process.', 'An error occurred when creating a new process.', 'Check errno. Perhaps a system limit on the number of processes has been exceeded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07616', '$CHANGE_CLASS failed in retrieving the specified device label', 'VMS system service $CHANGE_CLASS failed', 'Examine system error message and refer to SEVMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07617', '$FORMAT_CLASS failed translating the binary label to a string', 'VMS system service $FORMAT_CLASS failed because the given binary classification was not valid.', 'Examine system error message and refer to SEVMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07618', '$IDTOASC failed translating a secrecy level', 'VMS system service $IDTOASC failed while looking up the string representation in the rights database of a secrecy level.', 'Define the entry in the rights database which the binary label you specified references.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07619', '$IDTOASC failed translating an integrity level', 'VMS system service $IDTOASC failed while looking up the string representation in the rights database of an integrity level.', 'Define the entry in the rights database which the binary label you specified references.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07620', 'smscre: illegal database block size', 'An illegal database block size was specified in the parameter file. It must be positive, a multiple of 512, and less than the maximum physical i/o data size.', 'Change db_block_size in the parameter file to conform to these limits.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07621', 'smscre: illegal redo block size', 'An illegal redo log buffer size was specified in the parameter file. It must be positive and a multiple of 512.', 'Change log_buffer in the parameter file to conform to these limits.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07622', 'smscre: $CREATE failure', 'While creating the system global area (SGA) backing file, VMS system service $CREATE failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07623', 'smscre: $CRMPSC failure', 'While creating the system global area (SGA), VMS system service $CRMPSC failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07624', 'smsdes: $DGBLSC failure', 'While deleting the system global area (SGA), VMS system service $DGBLSC failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07625', 'smsget: $MGBLSC failure', 'While mapping the system global area (SGA) during logon, VMS system service $MGBLSC failed. The usual reason is that Oracle has not been started up.', 'Examine the system error message and refer to VMS documentation. Start up Oracle if it is not already started.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07626', 'smsget: sga already mapped', 'An attempt to map the SGA during logon failed because it was already mapped. This is an internal error.', 'Exit your program and try again, and report this to your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07627', 'smsfre: $CRETVA failure', 'While unmapping the system global area (SGA) during logoff, VMS system service $CRETVA failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07628', 'smsfre: sga not mapped', 'An attempt to unmap the SGA during logoff failed because it was not mapped. This is an internal error.', 'Exit your program and try again, and report this to your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07629', 'smpall: $EXPREG failure', 'While extending the program global area (PGA), VMS system service $EXPREG failed. This often happens when the virtual memory page count quota is exceeded.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07630', 'smpdal: $DELTVA failure', 'While deleting the program global area (PGA) during logoff, VMS system service $DELTVA failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07631', 'smcacx: $EXPREG failure', 'While creating or extending a context area, VMS system service $EXPREG failed. This often happens when the virtual memory page count quota is exceeded.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07632', 'smsrcx: $DELTVA failure', 'While deleting a context area, VMS system service $DELTVA failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07633', 'smsdbp: illegal protection value', 'The buffer debug function was called with an illegal value. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07634', 'smsdbp: $CRETVA failure', 'While attempting to set protection in the database buffer debug mechanism, VMS system service $CRETVA failed.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07635', 'smsdbp: $SETPRT failure', 'While attempting to set protection in the database buffer debug mechanism, VMS system service $SETPRT failed.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07636', 'smsdbp: $MGBLSC failure', 'While attempting to set protection in the database buffer debug mechanism, VMS system service $MGBLSC failed.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07637', 'smsdbp: buffer protect option not specified when sga created', 'Trying to change the buffer protect mode when the SGA was not created with buffer protect debug option. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07638', 'smsget: SGA pad area not large enough for created SGA', 'An attempt was made to map an SGA with software in which the SGA pad area isn''t large enough.', 'Create a smaller SGA, or relink the software with a larger pad.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07639', 'smscre: SGA pad area not large enough (string bytes required)', 'An attempt was made to create an SGA with software in which the SGA pad area isn''t large enough.', 'Create a smaller SGA, or relink the software with a larger pad.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07640', 'smsget: SGA not yet valid. Initialization in progress', 'An attempt was made to map to the SGA while it was being initialized.', 'Wait until initialization is complete, and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07641', 'smscre: Unable to use the system pagefile for the SGA', 'The system global area (SGA) backing file could not be allocated using the system pagefile because the system-wide limit on global pages has been exceeded.', 'Either increase the VMS system parameter GBLPAGFIL or use a disk file as the SGA backing file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07642', 'smprtset: $CMKRNL failure', 'While attempting to set the protection of a region of memory, an error was returned from the $CMKRNL system service.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07643', 'smsalo: SMSVAR is invalid', 'an internal error', 'Report this error to Oracle Support Services, provide your INIT.ORA file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07645', 'sszfsl: $CHANGE_CLASS failure', 'While attempting to set the label on a file, SEVMS service $CHANGE_CLASS failed.', 'Examine the system message and refer to SEVMS system documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07646', 'sszfck: $CREATE failure', 'While attempting to create a file, VMS system service $CREATE failed.', 'Examine the system message and refer to VMS system documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07647', 'sszfck: $OPEN failure', 'While attempting to reopen a file, VMS system service $OPEN failed.', 'Examine the system message and refer to VMS system documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07650', 'sigunc: $GETJPIW failure', 'While attempting to get the user''s terminal device name, user name, user program name, or process name during logon, VMS system service $GETJPIW failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07243', 'supplied buffer not big enough to hold entire line', 'supplied buffer was not big enough', 'Internal error. Contact customer support. Additional information indicates how big the supplied buffer was.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07244', 'ssfccf: create file failed, file size limit reached.', 'An attempt was made to create a file that exceeds the process''s file size limit.', 'Run osh to raise the file size limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07245', 'sfccf: unable to lseek and write the last block.', 'An attempt was made to move and write to a bad device address.', 'Check errno. Possible lack of space on device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07246', 'sfofi: open error, unable to open database file.', 'sfofi returns an error.', 'This is an oracle internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07247', 'skgfrfms, skgfrnms: read error, unable to read block from database file', 'The ioctl() system call returned an error doing VOL_READ_MIRRORS.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07248', 'sfwfb: write error, unable to write database block.', 'sfwfb returns an error.', 'This is an oracle internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07249', 'slsget: open error, unable to open /proc/pid.', 'The open() system call returned an error.', 'Check that /proc has the right permissions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07250', 'spcre: semget error, unable to get first semaphore set.', 'An error occurred when trying to get first semaphore set.', 'Check errno. Verify that system is configured to have semaphores. Verify that enough semaphores are available. Additional information indicates how many semaphores were requested.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07251', 'spcre: semget error, could not allocate any semaphores.', 'Semget failed to even allocate a single semaphore. Either they are all in use or the system is not configured to have any semaphores.', 'Check to see if all semaphores are in use. Check to see if system is configured to have semaphores. Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07252', 'spcre: semget error, could not allocate semaphores.', 'Semget system call returned an error. Possible resource limit problem.', 'Check errno. Verify that enough semaphores are available in system. If additional errors occur in destroying the semaphore sets then sercose[0] will be non-zero. If this occurs, remove the semaphore sets using ipcrm.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07253', 'spdes: semctl error, unable to destroy semaphore set.', 'Semctl system call returned an error.', 'Check semaphore sets. May require manual cleanup. Check additional information returned. Consult OS reference manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07254', 'spdcr: translation error while expanding ?/bin/oracle.', 'An error occurred while translating the name of the oracle executable.', 'Check sercose[0] for error returned from sltln. Perhaps $(ORACLE_HOME) is not set correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07255', 'spini: cannot set up signal handler.', 'System failed to set up signal handler.', 'Check errno and sercose[0] for the signal number that failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07256', 'sptrap: cannot set up signal handler to catch exceptions.', 'System failed to set up signal handler to catch exceptions.', 'Check errno and sercose[0] for the signal number that failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07257', 'spdcr: translation error expanding program name.', 'Error ocurred when expanding program name ora_PNAME_@. The result of this translation is put in argv[0] of oracle process.', 'Check error returned by sltln returned in sercose[0].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07259', 'spdcr: exec error, detached process failed in startup.', 'An oracle detached process died shortly after startup. Wait() indicated that a child process terminated.', 'Check ?/dbs directory for trace or core files. Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07260', 'spdcr: wait error.', 'Wait system call returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07261', 'spdde: kill error, unable to send signal to process.', 'Kill system call returned an error. Possibly an attempt to destroy an already gone process.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07262', 'sptpa: sptpa called with invalid process id.', 'This is an internal error.', 'This is an oracle internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07263', 'sptpa: kill error.', 'Kill system call returned an error. Possible OS error.', 'Check errno. Additional information indicates the process ID tested.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07264', 'spwat: semop error, unable to decrement semaphore.', 'Semop system call returned an error. Semaphore set may not exist.', 'Check errno. Semaphore ID is returned in sercose[0]. Verify semaphore set exists. A possible cause for this error is that a "shutdown abort" was done while this process was running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07265', 'sppst: semop error, unable to increment semaphore.', 'Semop system call returned an error. Semaphore set may not exist.', 'Check errno. Semaphore ID is returned in sercose[0]. Check semaphore set existence. A possible cause for this error is that a "shutdown abort" was done while this process was running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07266', 'sppst: invalid process number passed to sppst.', 'Function was passed an invalid oracle process id.', 'Internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07267', 'spwat: invalid process number.', 'Function was passed an invalid oracle process id.', 'Internal error. Additional information indicates the invalid process id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07268', 'szguns: getpwuid error.', 'Getpwuid() could not find an entry in the passwd file for a user.', 'Add an entry for the user in the passwd file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07269', 'spdcr: detached process died after exec.', 'Detached process succesfully execed, but died shortly thereafter. Additional information indicates exit code, and termination status.', 'Check termination code for information as to why process exited. Check for core dump or trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07270', 'spalck: setitimer error, unable to set interval timer.', 'An error occurred while trying to set an interval timer. Probable porting problem.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07271', 'spwat: invalid oracle process number.', 'Function was called with an invalid oracle process number (0).', 'Internal oracle error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07272', 'spwat: invalid semaphore set id.', 'Semaphore ID fetched from SGA was not initialized to valid value. Additional information returned is semaphore set index, and oracle process number.', 'Oracle internal error. Check semaphore set index. Check oracle process number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07273', 'sppst: invalid semaphore id.', 'Semaphore ID fetched from SGA contained an invalid value. Additional information returned is semaphore set index, and oracle process number.', 'Oracle internal error. Check semaphore set index. Check oracle process number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07274', 'spdcr: access error, access to oracle denied.', 'Unable to access "oracle" program. Verify ?/bin/oracle or $ORABCKPRG exist, and are executable.', 'Check errno returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07275', 'unable to send signal to process', 'The kill system call returned an error. Possibly an attempt to signal a process which does not exist.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07276', 'no dba group in /etc/group.', 'A group has not been set up for dba users.', 'Contact system administrator. Set up dba group in /etc/group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07277', 'spdde: illegal pid passed as argument.', 'A 0 pid was passed to spdde.', 'Internal error. .', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07278', 'splon: ops$username exceeds buffer length.', 'Splon constructed an ops$username logon which exceeded the alloted buffer space.', 'Use a shorter Unix username, or use an oracle username. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07279', 'spcre: semget error, unable to get first semaphore set.', 'An error occurred when trying to get first semaphore set.', 'Check errno. Verify that system is configured to have semaphores. Verify that enough semaphores are available. Additional information indicates how many semaphores were requested.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07655', 'slsprom:$TRNLOG failure', 'While attempting to translate SYS$INPUT during a prompt for a password, VMS system service $TRNLOG failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07656', 'slsprom:$GETDVI failure', 'While attempting to get device characteristics during a prompt for a password, VMS system service $GETDVI failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07657', 'slsprom:$ASSIGN failure', 'While prompting for a password, VMS system service $ASSIGN failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07658', 'slsprom:$QIOW read failure', 'While prompting for a password, VMS system service $QIOW failed.', 'Examine the system error message and refer to VMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07665', 'ssrexhd: recursive exception encountered string string string string string string', 'A VMS exception occurred while executing in the Oracle exception handler. The message includes the signal number, first and second signal arguments, and exception PC, PSL and R0. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07670', '$IDTOASC failed translating a secrecy category', 'VMS system service $IDTOASC failed while looking up the string representation in the rights database of a secrecy category.', 'Define the entry in the rights database which the binary label you specified references.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07671', '$IDTOASC failed translating an integrity category', 'VMS system service $IDTOASC failed while looking up the string representation in the rights database of an integrity category.', 'Define the entry in the rights database which the binary label you specified references.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07672', '$PARSE_CLASS failed translating the string into a binary label', 'SEVMS system service $PARSE_CLASS failed because the given string did not represent a valid classification.', 'Examine system error message and refer to SEVMS documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07680', 'sou2os: another call to Oracle currently executing', 'A call to the Oracle shared image entry point occurred from within the shared image. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07681', 'sou2os: An error occurred while initializing Oracle', 'While attempting to set up the dispatch vectors for the shared image, an error occurred. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07682', 'sou2os: set kernel dispatch fail err', 'During Oracle shared image entry, a dispatch to kernel mode failed.', 'Make sure that your shared image is installed with the CMKRNL privilege, then contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07683', 'sou2os: $SETPRV reset error', 'During an attempt to restore user privileges at Oracle shared image exit, VMS system service $SETPRV failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07684', 'sou2os: supervisor stack reset error', 'During an attempt to restore the supervisor-mode stack at Oracle shared image exit, VMS system service $SETSTK failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07685', 'sou2os: supervisor stack set error', 'During an attempt to set the Oracle supervisor-mode stack at Oracle shared image entry, VMS system service $SETSTK failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07700', 'sksarch: interrupt received', 'An interrupt was received while archiving the logs', 'Retry operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07701', 'sksatln: internal exception: output buffer too small', 'Overflow of buffer for parsing archive control text string', 'This is an internal error, please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07702', 'unrecognized device type in archive text', 'Unrecognized device type in archive text', 'This is an internal error, please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07703', 'error in archive text: need ''/'' after device type', 'The archive control text in the ARCHIVE command is invalid; the device type (to indicate a file or tape) must be followed by a ''/''.', 'Refer to the SQLDBA Guide for the proper syntax of the text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07704', 'error in archive text: need '':'' after device name', 'The archive control text in the ARCHIVE command is invalid; the device name must be followed by a '':''.', 'Refer to the SQLDBA Guide for the proper syntax of the text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07705', 'sksaprs: device name buffer too small', 'The buffer supplied for the device name is too small. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07706', 'error in archive text: need disk file name', 'The archive control text in the ARCHIVE command is invalid; the disk file name is missing.', 'Refer to the SQLDBA Guide for the proper syntax of the text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07707', 'error in archive text: need tape label name', 'The archive control text in the ARCHIVE command is invalid; the tape label name is missing.', 'Refer to the SQLDBA Guide for the proper syntax of the text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07708', 'sksaprs: tape label name buffer too small', 'The buffer supplied for the tape label is too small. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07709', 'sksaprs: archiving to a remote host is not allowed', 'The user specified a remote disk for archiving via DECnet.', 'Archive to a disk on the local host.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07710', 'sksaprs: file name buffer too small', 'The buffer supplied for the file name is too small. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07713', 'sksamtd: could not mount archival device (SYS$MOUNT failure)', 'VMS system service SYS$MOUNT failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07715', 'sksadtd: could not dismount archival device (SYS$DISMNT failure)', 'VMS system service SYS$DISMNT failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07716', 'sksachk: invalid device specification for ARCHIVE', 'VMS system service SYS$GETDVI failed"', 'Specify a valid device in ARCHIVE control string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07717', 'sksaalo: error allocating memory', 'VMS system service LIB$GET_VM failed"', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07718', 'sksafre: error freeing memory', 'VMS system service LIB$FREE_VM failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07721', 'scgcm: not enough OS resource to obtain system enqueue', 'd by the messages SS$_EXENQLM or SS$_INSFMEM.', 'Free up some of the required resource to allow the creation of the required lock.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07740', 'slemop: incorrect handle size (programming error)', 'structures used for reading error message files do not match', 'this is an internal error, please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07741', 'slemop: $OPEN failure', 'VMS system service $OPEN failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07742', 'slemop: $CONNECT failure', 'VMS system service $CONNECT failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07280', 'slsget: unable to get process information.', 'The ioctl call returned an error. Possible OS error.', 'Check additional information for errno. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07281', 'slsget: times error, unable to get cpu time.', 'times system call returned an error. Possible OS error.', 'Check additional information returned. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07282', 'sksaprd: string overflow.', 'The internal buffer is not big enough to hold the archive control string.', 'Internal restriction. Try a shorter archive control string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07283', 'sksaprd: invalid volume size for archive destination.', 'An invalid volume size was specified.', 'Specify a valid volume size in archive control string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07284', 'sksaprd: volume size specification not terminated properly.', 'Some non-numeric text follows the volume size specification.', 'Enter a correct archive control string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07285', 'sksaprd: volume size should not be specified for a disk file.', 'Volume size was specified for a disk file.', 'If you are archiving to a disk file, do not specify its volume size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07286', 'sksagdi: cannot obtain device information.', 'Stat on the log archiving device failed.', 'Check the returned OSD error for the reason of failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07287', 'sksagdi: unsupported device for log archiving.', 'Log archiving to this device is unsupported.', 'Try log archiving to a supported device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07290', 'sksagdi: specified directory for archiving does not exist.', 'The specified pathname is not a directory.', 'Verify that the archive destination directory exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07303', 'ksmcsg: illegal database buffer size.', 'The database buffer size must be a multiple of the database block size, and less than the maximum block size.', 'Verify that the db_block_size parameter is correct in INIT.ORA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07304', 'ksmcsg: illegal redo buffer size.', 'The redo buffer size must be a multiple of machine block size.', 'Verify that the log_buffer INIT.ORA parameter is correctly set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07305', 'ksmcsg: illegal database buffer size.', 'The database buffer size must be a multiple of the extended cache mapping size for indirect data buffers to be used.', 'Verify that the db_block_size parameter is correct in INIT.ORA, or disable the use_indirect_data_buffers parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07324', 'smpall: malloc error while allocating pga.', 'Malloc library routine returned an error.', 'Check errno. Possibly out of swap space.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07327', 'smpdal: attempt to destroy pga when it was not mapped.', 'Smpdal was called when the PGA had not been previously created.', 'Internal error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07339', 'spcre: maximum number of semaphore sets exceeded.', 'The internal buffer is not big enough to hold the number of semaphore set identifiers requested.', 'Reconfigure OS to have more semaphores per set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07345', 'The datafile name must not contain the string ''..''.', 'The specified datafile name contains ''..''.', 'Correct the datafile name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07346', 'slnrm: normalized file name is too long', 'After normalizing the specified file name, the resulting file name was too long.', 'Specify the shorter file name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07390', 'sftopn: translate error, unable to translate file name.', 'An error occurred while expanding the file name to open. Additional information returns error generated in translation routine.', 'Lookup additional error code for further information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07391', 'sftopn: fopen error, unable to open text file.', 'Fopen library routine returned an error.', 'Verify existence and permissions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07392', 'sftcls: fclose error, unable to close text file.', 'Fclose library routine returned an error.', 'Possible internal oracle error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07393', 'unable to delete text file', 'An error occurred while deleting a text file.', 'Verify that the file exists and check additional errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07394', 'unable to append string to text file', 'An error occurred while performing a string put operation.', 'This is an internal error. Check additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07400', 'slemtr: translated name for the message file is too long.', 'The name for the message file overflows internal buffer.', 'Try making the complete path-name of the message file shorter by reorganizing the directory hierarchy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07401', 'sptrap: cannot restore user exception handlers.', 'The system failed to restore user exception handlers.', 'Check errno and sercose[0] for the signal number that failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07402', 'sprst: cannot restore user signal handler.', 'The system failed to restore user signal handlers.', 'Check errno and sercose[0] for the signal number that failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07403', 'sfanfy: db_writers parameter not valid.', 'The db_writers parameter in INIT.ORA exceeds the system-dependent maximum or is less than 0.', 'Change the db_writers parameter in INIT.ORA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07404', 'sfareq: Timeout occurred waiting for request to complete.', 'The master database writer timed out waiting for a write or close to complete. One of the database writers may have stopped running.', 'Check all database writer trace files. Shut down the database and try to warm start.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07405', 'sptrap: cannot setup alternate signal stack.', 'The system failed to setup an alternate signal stack.', 'Check errno and sercose[0] for the location where it failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07406', 'slbtpd: invalid number.', 'An impossible request for binary to decimal conversion was made.', 'This conversion cannot be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07407', 'slbtpd: invalid exponent.', 'An impossible request for binary to decimal conversion was made', 'This conversion cannot be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07408', 'slbtpd: overflow while converting to packed decimal.', 'An impossible request for binary to decimal conversion was made.', 'This conversion cannot be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07409', 'slpdtb: invalid packed decimal nibble.', 'An impossible request for decimal to binary conversion was made.', 'This conversion cannot be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07410', 'slpdtb: number too large for supplied buffer.', 'An impossible request for decimal to binary conversion was made.', 'This conversion cannot be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07411', 'slgfn: full path name too big for supplied buffer.', 'The supplied buffer is not big enough to hold the full path name.', 'The construction of the full path name cannot be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07412', 'sfaslv: Error getting entry in asynchronous write array.', 'One of the database writer processes could not locate its entry in the SGA.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07415', 'slpath: allocation of memory buffer failed.', 'Malloc() failed to allocate buffer for storing ORACLE_PATH.', 'System has run out of heap space. Additional information indicates errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07416', 'slpath: pathname construction failed; lack of output buffer space.', 'The slpath routine is given a maximum length buffer to expand the name into. An overflow of this buffer occurred.', 'Possible internal error. Check output buffer length stored in sercose[0] and constructed pathname length in sercose[1].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07417', 'sfareq: One or more database writers not active.', 'One or more of the database writer processes is no longer running.', 'Check the trace files for the database writers. Shut down the database and try to warm start.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07418', 'sfareq: Database writer got error in timing function.', 'An error occurred when the database writer called the system timing function.', 'Check the database writer trace file. Shut down database and try to warm start.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07419', 'sfareq: Database writer got error in timing function.', 'An error occurred when the database writer called the system timing function.', 'Check the database writer trace file. Shut down database and try to warm start.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07425', 'sdpri: error string in translating dump file location.', 'An oracle error occurred when translating the location of the dump file.', 'Check the oracle error code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07426', 'spstp: cannot obtain the location of dbs directory.', 'An oracle error occurred when translating the location of the dbs directory.', 'Check additional information for the error returned from sltln.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07427', 'spstp: cannot change directory to dbs.', 'Chdir system call returned an error. Possible permission problems.', 'Check additional information for the OS error code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07431', 'fork failed', 'The server process was unable to fork a child process.', 'Verify that there are enough system resources to support another process. The user or system process limit may have been exceeded, or the amount of free memory or swap space may be temporarily insufficient.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07432', 'unable to perform nested sleep', 'An attempt was made to make a process sleep when it was already sleeping. This platform does not support this capability.', 'Try the SLEEP command when the process is not sleeping.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07440', 'WMON process terminated with error', 'The wakeup monitor process died.', 'Warm start instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07441', 'function address must be aligned on string byte boundary', 'An improperly aligned function address was specified.', 'Use a properly aligned function address.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07442', 'function address must be in the range string to string', 'An invalid function address was specified.', 'Use a valid function address.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07443', 'function string not found', 'An invalid function name was specified.', 'Use a valid function name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07444', 'function address string is not readable', 'An invalid function name/address was specified.', 'Use a valid function name/address.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07445', 'exception encountered: core dump [string] [string] [string] [string] [string] [string]', 'An OS exception occurred which should result in the creation of a core file. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07446', 'sdnfy: bad value ''string'' for parameter string.', 'The directory specified as the value for the stated parameter could not be used.', 'Make sure the directory you have specified is a valid directory/file specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07447', 'ssarena: usinit failed.', 'Oracle failed to create a shared arena file.', 'Use sercerrno field to determine cause of failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07448', 'ssarena: maximum number of shared arenas exceeded.', 'Oracle attempted to create more shared arena files than permitted.', 'Raise the value for max_arena in INIT.ORA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07449', 'sc: usnewlock failed.', 'Oracle failed to acquire a shared arena lock.', 'Check result code in sercerrno to determine the cause of failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07451', 'slskstat: unable to obtain load information.', 'kstat library returned an error. Possible OS failure', 'Check result code in sercose[0] for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07452', 'specified resource manager plan does not exist in the data dictionary', 'User tried to load a resource manager plan that does not exist.', 'Use a resource manager plan that exists in the data dictionary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07453', 'requested resource manager plan schema does not contain OTHER_GROUPS', 'User tried to load a resource manager plan schema that does not contain the OTHER_GROUPS group.', 'Use a resource manager plan schema that contains the OTHER_GROUPS group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07454', 'queue timeout, string second(s), exceeded', 'User session queued for longer than maximum specified queue queue duration time for consumer group.', 'Re-submit job at a later time or increase queue timeout.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07455', 'estimated execution time (string secs), exceeds limit (string secs)', 'User attempted to execute an operation whose estimated execution time exceeds the limit specified for the consumer group.', 'Execute job on behalf of another group, or increase limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07456', 'cannot set RESOURCE_MANAGER_PLAN when database is closed', 'An attempt was made to turn on the Resource Manager when the database was closed.', 'Open the database and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07457', 'cannot set _INTERNAL_RESOURCE_MANAGER_PLAN because of FORCE', 'An attempt was made to set the _INTERNAL_RESOURCE_MANAGER_PLAN parameter, however this failed because the current RESOURCE_MANAGER_PLAN has the FORCE prefix.', 'Remove the FORCE prefix from the RESOURCE_MANAGER_PLAN parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07458', 'cannot set the RESOURCE_MANAGER_PLAN parameter', 'An attempt was made to set the RESOURCE_MANAGER_PLAN parameter, however, this failed because the database was quiesced.', 'Unquiesce the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07459', 'cannot restore the RESOURCE_MANAGER_PLAN parameter', 'An attempt was made to internally restore the RESOURCE_MANAGER_PLAN parameter to the value before it was internally set. This failed because the current plan was set by the user and therefore did not need to be restored.', 'No action needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07460', 'cannot set the RESOURCE_MANAGER_PLAN parameter', 'An attempt was made to internally set the RESOURCE_MANAGER_PLAN parameter, however, this failed because the current RESOURCE_MANAGER_PLAN has the FORCE prefix.', 'Remove the FORCE prefix from the RESOURCE_MANAGER_PLAN parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07468', 'spwat: mset error, unable to set semaphore.', 'The mset routine returned an error. Semaphore may not exist.', 'Check result code in sercerrno. Semaphore number returned in sercose[0].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07469', 'sppst: mclear error, unable to clear semaphore.', 'The mclear routine returned an error. Semaphore may not exist.', 'Check result code in sercerrno. Semaphore number returned in sercose[0].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07470', 'snclget: cannot get cluster number.', 'The cluster_status system call failed to get status information for the current cluster.', 'Check result code in sercose[0]. Possible operating system failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07471', 'snclrd: name translation error of sgadef.dbf file name.', 'Unable to expand out ?/dbs/sgadef@.dbf file name.', 'Verify $(ORACLE_HOME) and $(ORACLE_SID) are properly set. Check error number returned from sltln in sercose[0].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07472', 'snclrd: open error when opening sgadef.dbf file.', 'open failed when opening the file ?/dbs/sgadef@.dbf', 'Check errno. Possible permission problem. Verify that the file ?/dbs/sgadef@.dbf exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07473', 'snclrd: read error when trying to read sgadef.dbf file.', 'Read had an error when reading sgadef.dbf file.', 'Check errno. Verify file exists, and is correct size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07474', 'snclrd: close error, unable to close sgadef.dbf file.', 'An error occurred in close, while closing the file "?/dbs/sgadef@.dbf"', 'Check errno. Possible operating system error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07475', 'slsget: cannot get vm statistics.', 'The vm_statistics system call failed to get virtual memory statistics.', 'Check result code in sercerrno. Possible operating system failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07476', 'slsget: cannot get mapped memory statistics.', 'The vm_mapmem system call failed to get mapped memory statistics.', 'Check result code in sercerrno. Possible operating system failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07477', 'scgcmn: lock manager not initialized.', 'Lock manager must be initialized before converting locks.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07478', 'scgcmn: cannot get lock status.', 'lm_stat_lock failed.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07479', 'scgcmn: cannot open or convert lock.', 'lm_open or lm_open_convert failed.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07480', 'snchmod: cannot change permissions on ?/dbs/sgalm.dbf.', 'When creating an instance, snlmini could not change the permissions on ?/dbs/sgalm.dbf', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07481', 'snlmatt: cannot attach to lock manager instance.', 'lm_attach failed to attach to lock manager instance.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07482', 'snlmini: cannot create lock manager instance.', 'lm_create failed to create lock manager instance.', 'Check permissions on ?/dbs, and remove ?/dbs/sgalm.dbf if it exists, then retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07483', 'snlkget: cannot convert(get) lock.', 'lm_convert failed to convert(get) lock.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07484', 'snlkput: cannot convert(put) lock.', 'lm_convert failed to put lock value.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07485', 'scg_get_inst: cannot open instance number lock.', 'lm_open failed.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07486', 'scg_get_inst: cannot convert(get) instance number lock.', 'lm_convert failed to get lock value.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07487', 'scg_init_lm: cannot create lock manager instance.', 'lm_create failed.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07488', 'scgrcl: lock manager not initialized.', 'Lock manager must be initialized before releasing locks.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07489', 'scgrcl: cannot get lock status.', 'lm_stat_lock failed during lock release/cancel.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07490', 'scgrcl: cannot convert lock.', 'lm_convert failed during lock release/cancel.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07491', 'scgrcl: cannot cancel lock request.', 'lm_cancel failed during lock release/cancel.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07492', 'scgrcl: cannot close lock.', 'lm_close failed during lock release/cancel.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07493', 'scgrcl: lock manager error.', 'An error was encountered releasing the lock.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07494', 'scgcm: unexpected error.', 'Unknown or unexpected error code.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07495', 'spwat: lm_wait failed.', 'lm_wait failed.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07496', 'sppst: lm_post failed.', 'lm_post failed.', 'Check result code in sercerrno. Possible lock manager failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07497', 'sdpri: cannot create trace file ''string''; errno = string.', '1. The trace file could not be created for writing.' || '<p>' || '2. The trace file is a symbolic link.', '1. Check if the dump directory exists and whether it is writable.' || '<p>' || '2. Remove the symbolic link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07498', 'spstp: Unable to open /dev/resched.', 'The rescheduling driver /dev/resched is not found or is not working properly.', 'Check installation of the ORACLE rescheduling driver in the AIX kernel.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07499', 'spglk: Cannot reschedule.', 'The rescheduling driver /dev/resched is not open. This is an internal error and should not occur.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07500', 'scglaa: $cantim unexpected return', 'VMS system service $CANTIM returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07501', 'scgtoa: $deq unexpected return', 'VMS system service $DEQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07502', 'scgcmn: $enq unexpected return', 'VMS system service $ENQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07503', 'scgcmn: $setimr unexpected return', 'VMS system service $SETIMR returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07504', 'scgcmn: $hiber unexpected return', 'VMS system service $HIBER returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07505', 'scggt: $enq parent lock unexpected return', 'VMS system service $ENQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07506', 'scgrl: $deq unexpected return on lockid string', 'VMS system service $DEQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07507', 'scgcm: unexpected lock status condition', 'A global locking system service returned an unexpected value.', 'Check for system error message (if any) and refer to VMS documentation, or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07508', 'scgfal: $deq all unexpected return', 'VMS system service $DEQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07509', 'scgfal: $deq parent lock unexpected return', 'VMS system service $DEQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07510', 'scgbrm: $getlki unexpected return on lockid string', 'VMS system service $GETLKI returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07511', 'sscggtl: $enq unexpected return for master termination lock', 'VMS system service $ENQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07512', 'sscggtl: $enq unexpected return for client termination lock', 'VMS system service $ENQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07513', 'sscgctl: $deq unexpected return on cancel of term. lock', 'VMS system service $DEQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07514', 'scgcan: $deq unexpected return while canceling lock', 'VMS system service $DEQ returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07534', 'scginq: $getlki unexpected return on lockid string', 'VMS system service $GETLKI returned an unexpected value', 'Check for system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07548', 'sftopn: Maximum number of files already open', 'Too many test files open', 'This is an internal error, please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07549', 'sftopn: $OPEN failure', 'VMS system service $OPEN failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07550', 'sftopn: $CONNECT failure', 'VMS system service $OPEN failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07551', 'sftcls: $CLOSE failure', 'VMS system service $CLOSE failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07552', 'sftget: $GET failure', 'VMS system service $GET failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07561', 'szprv: $IDTOASC failure', 'VMS system service $IDTOASC failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07562', 'sldext: extension must be 3 characters', 'An extension was found but it is of improper length', 'This is an internal error, please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07563', 'sldext: $PARSE failure', 'VMS system service $PARSE failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07564', 'sldext: wildcard in filename or extension', 'A wildcard was used in the file name', 'Reenter the file name completely', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07565', 'sldext: $SEARCH failure', 'VMS system service $SEARCH failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07568', 'slspool: $OPEN failure', 'VMS system service $OPEN failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07569', 'slspool: $CLOSE failure', 'VMS system service $CLOSE failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07570', 'szrfc: $IDTOASC failure', 'VMS system service $IDTOASC failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07571', 'szrfc: $FIND_HELD failure', 'VMS system service $FIND_HELD failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07572', 'szrfc: insufficient rolename buffer space', 'An OS role name was too long.', 'Re-define the role name to be of correct length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07573', 'slkhst: could not perform host operation', 'VMS system service LIB$SPAWN failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07574', 'szrfc: $GETUAI failure', 'VMS system service $GETUAI failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07576', 'sspexst: $GETJPIW failure on process ID string', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07577', 'no such user in authorization file', 'An attempt was made to set an INTERNAL password (for either DBA or OPER privilege), but the corresponding VMS account (either ORA_<sid>_DBA or ORA_<sid>_OPER) hasn''t been created yet.', 'Add a VMS account for ORA_<sid>_DBA and/or ORA_<sid>_OPER before trying to set a password for them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07578', 'szprv: $FIND_HELD failure', 'VMS system service $FIND_HELD failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07579', 'spini: $DCLEXH failure', 'VMS system service $PARSE failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07580', 'spstp: $GETJPIW failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07581', 'spstp: cannot derive SID from unexpected process name', 'A background process did not have name of correct form', 'If the job name was changed, restore it, otherwise this is an internal error, please report to Oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07582', 'spstp: ORA_SID has illegal value', 'The ORA_SID must exist and be less than 6 characters', 'Consult the VMS Installation guide for information on setting the SID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07584', 'spdcr: invalid value for ORA_sid_(proc_)PQL$_item', 'A logical name used to set a detached process quota value has an invalid value (probably non-numeric).', 'Examine the values of these logical names, correct the one in error, and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07585', 'spdcr: $PARSE failure', 'VMS system service $PARSE failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07586', 'spdcr: $SEARCH failure', 'VMS system service $SEARCH failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07587', 'spdcr: $CREPRC failure', 'VMS system service $CREPRC failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07588', 'spdcr: $GETJPIW get image name failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07589', 'spdde: system ID not set', 'The logical name ORA_SID doesn''t translate to a valid value.', 'Check the value of ORA_SID in the process that gets the error, and correct the installation or command procedures that caused ORA_SID to be set incorrectly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07590', 'spdde: $DELPRC failure', 'VMS system service $DELPRC failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07591', 'spdde: $GETJPIW failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07592', 'sspgprv: Error obtaining required privileges', 'While obtaining needed privileges, an error was returned from SYS$SETPRV.', 'This is an internal error. Please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07593', 'ssprprv: Error release privileges', 'While releasing privileges, an error was returned from SYS$SETPRV.', 'This is an internal error. Please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07594', 'spiip: $GETJPIW failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07595', 'sppid: $GETJPIW failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07596', 'sptpa: $GETJPIW failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07597', 'spguns: $GETJPIW failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07598', 'spwat: $SETIMR failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07599', 'spwat: $SCHDWK failure', 'VMS system service $SCHDWK failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07600', 'slkmnm: $GETSYIW failure', 'VMS system service $GETSYIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07601', 'spguno: $GETJPIW failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07602', 'spgto: $GETJPIW failure', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07605', 'szprv: $ASCTOID failure', 'VMS system service $ASCTOID failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07606', 'szprv: $CHKPRO failure', 'VMS system service $CHKPRO failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07607', 'szaud: $SNDOPR failure', 'VMS system service $SNDOPR failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07608', 'szprv: $GETUAI failure', 'VMS system service $GETUAI failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07609', 'szprv: $HASH_PASSWORD failure', 'VMS system service $HASH_PASSWORD failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07610', '$GETJPIW failed in retrieving the user''s MAC priviledges', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07612', '$GETUAI failed in retrieving the user''s clearance level', 'VMS system service $GETUAI failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07613', '$GETJPIW failed in retrieving the user''s process label', 'VMS system service $GETJPIW failed', 'Examine system error message and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07614', '$CHANGE_CLASS failed in retrieving the user''s process label', 'VMS system service $CHANGE_CLASS failed', 'Examine system error message and refer to SEVMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07615', '$CHANGE_CLASS failed in retrieving the specified file label', 'VMS system service $CHANGE_CLASSS failed', 'Examine system error message and refer to SEVMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08453', 'more than one V symbol specified in picture mask', 'The picture mask passed to a UTL_PG conversion routine contained more than one decimal point indicator (''V''). Only one decimal point indicator is allowed in the picture mask.', 'Correct the picture mask parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08454', 'more than one S symbol specified in picture mask', 'The picture mask passed to a UTL_PG conversion routine contained more than one operational sign indicator (''S''). Only one operational sign indicator is allowed in the picture mask.', 'Correct the picture mask parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08455', 'syntax error in CURRENCY SIGN environment clause', 'A syntax error was found in the CURRENCY SIGN environment clause parameter passed to a UTL_PG conversion routine. Valid specifications are: CURRENCY SIGN IS x where x is a valid currency sign', 'Correct the environment clause parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08456', 'no sign in picture mask but SIGN clause in mask options', 'The picture mask parameter passed to a UTL_PG conversion routine contained no sign symbol (''S'', ''+'', or ''-''), but the mask options parameter contained a SIGN clause. A sign symbol is required in the picture mask parameter when the mask options parameter contains a SIGN clause.', 'Correct the picture mask parameter or the mask options parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08457', 'syntax error in SEPARATE CHARACTER option of SIGN clause', 'A syntax error was found in the SEPARATE CHARACTER option of the SIGN clause in the mask options parameter passed to a UTL_PG conversion routine. Valid specifications are: SEPARATE SEPARATE CHARACTER', 'Correct the mask options parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08458', 'invalid format parameter', 'The format parameter passed to a UTL_PG conversion routine was invalid. The format parameter should have been built by a prior call to either MAKE_RAW_TO_NUMBER_FORMAT or MAKE_NUMBER_TO_RAW_FORMAT.', 'Check to be sure that the format parameter was built by MAKE_RAW_TO_NUMBER_FORMAT or MAKE_NUMBER_TO_RAW_FORMAT, and that it was not accidentally overwritten or modified by the PL/SQL procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08459', 'invalid format parameter length', 'The format parameter passed to a UTL_PG conversion routine was not the correct length. Format parameters must be 2048 bytes in length.', 'Check to be sure that the format parameter was built by MAKE_RAW_TO_NUMBER_FORMAT or MAKE_NUMBER_TO_RAW_FORMAT, and that it was not accidentally overwritten or modified by the PL/SQL procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08460', 'invalid environment clause in environment parameter', 'The environment parameter passed to a UTL_PG conversion routine contained an unsupported or invalid environment clause. Only the CURRENCY SIGN and the DECIMAL-POINT IS COMMA environment clauses are supported.', 'Correct the environment parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08462', 'raw buffer contains invalid decimal data', 'The input raw buffer passed to a UTL_PG RAW_TO_NUMBER conversion routine contains invalid decimal data.', 'Correct the input data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08463', 'overflow converting decimal number to Oracle number', 'The output variable passed to a UTL_PG RAW_TO_NUMBER was not large enough to hold the Oracle number resulting from the input decimal number.', 'Be sure that the input decimal number is valid, and besure that the output variable is large enough to hold the Oracle number value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08464', 'input raw decimal data contains more than 42 digits', 'The input raw buffer passed to a UTL_PG RAW_TO_NUMBER conversion routine contained more than 42 digits. This exceeds the maximum size of an Oracle number.', 'Correct the raw input buffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08465', 'input mask contains more than 32 characters', 'The input mask passed to UTL_PG numeric conversion routine contained more the 32 characters.', 'Correct the mask input buffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08466', 'raw buffer length string is too short for string', 'The input raw buffer passed to a UTL_PG RAW_TO_NUMBER conversion routine was less than %s bytes long, but the picture mask parameter specified that %s bytes of input data were to be converted.', 'Either the input data is incorrect, or the picture mask is incorrect. Correct the appropriate item.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08467', 'error converting Oracle number to string', 'An error occurred when converting an Oracle number to a COBOL <type> of: DISPLAY COMP-3 or character variable. The Oracle number was not in the correct format.', 'Correct the call to the conversion routine. The input must be a valid Oracle number variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08468', 'mask option string is not supported', 'The mask option <clause> was passed to a UTL_PG conversion routine, but is not supported by UTL_PG. The <clause> can be: USAGE IS POINTER USAGE IS INDEX USAGE IS COMP-1 USAGE IS COMP-2 POINTER', 'Remove the <clause> from the mask options parameter in the PL/SQL call to UTL_PG.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08469', 'must use the SIGN IS SEPARATE clause in mask options', 'A signed numeric entry with DISPLAY usage was converted using a non-defaulted character set and its PICTURE character-string contains an S. In these circumstances, a SIGN IS SEPARATE clause must be specified in the mask options.', 'Either specify a valid SIGN IS SEPARATE clause in the mask options, use the defaulted character set, or don''t specify an S in the PICTURE character-string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08498', 'Warning: picture mask ''string'' overrides picture mask option ''USAGE IS string'' to ''USAGE IS DISPLAY''', 'Picture mask USAGE option was overridden by the picture mask.', 'This is an informational message only. The message may be eliminated by changing the USAGE option to match the picture mask.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08499', 'Warning: picture mask options ''string'' ignored by UTL_PG', 'Picture mask options such as OCCUR, SYNC and others are not processed by the UTL_PG numeric conversion routines.', 'This is an informational message only. The message may be eliminated by removing the unnecessary picture mask options from the parameter list passed to the UTL_PG routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09200', 'sfccf: error creating file', 'Could be out of disk space', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09201', 'sfcopy: error copying file', 'Block sizes may not match', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09202', 'sfifi: error identifying file', 'db_block_size specified in init.ora could be incorrect', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09203', 'sfofi: error opening file', 'File attributes may have changed', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09204', 'sfotf: error opening temporary file', 'Incorrect path may have been specified for the file', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09205', 'sfqio: error reading or writing to disk', 'File may have been truncated or corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09206', 'sfrfb: error reading from file', 'File may have been truncated or corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09207', 'sfsrd: error reading from file', 'File may have been truncated or corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09208', 'sftcls: error closing file', 'File may have been corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09209', 'sftget: error reading from file', 'File may have been truncated or corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09210', 'sftopn: error opening file', 'Incorrect path may have been specified for the file', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09211', 'sfwfb: error writing to file', 'File may have been truncated or corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09212', 'sfwfbmt: error writing to file', 'File may have been truncated or corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09213', 'slgfn: error fabricating file name', 'Filename may be too long', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09214', 'sfdone: I/O error detected', 'File may have been truncated or corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09215', 'sfqio: error detected in IOCompletionRoutine', 'File may have been truncated or corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09216', 'sdnfy: bad value ''string'' for parameter string', 'The directory specified as the value for the stated parameter could not be used.', 'Make sure the directory you have specified is a valid directory/file specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09217', 'sfsfs: failed to resize file', 'Could be out of disk space', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09218', 'sfrfs: failed to refresh file size', 'File may be corrupted or truncated', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09240', 'smpalo: error allocating PGA memory', 'Could be out of memory', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09241', 'smsalo: error allocating SGA memory', 'Could be out of memory', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09243', 'smsget: error attaching to SGA', 'SGA may not have been created (database not started)', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09260', 'sigpidu: error obtaining process id', 'May be out of resources', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09261', 'spdcr: error creating detached (background) process', 'Could be out of resources', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09262', 'spdde: error terminating detached (background) process', 'Could be out of resources', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09263', 'spini: error initializing process', 'Could be out of memory', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09264', 'sptpa: error flagging process', 'Could be out of resources', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09265', 'spwat: error temporarily suspending process', 'Could be out of resources', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09266', 'spawn: error starting an Oracle process', 'Could be out memory', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09270', 'szalloc: error allocating memory for security', 'Could be out of memory', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09271', 'szlon: error verifying user name', 'Username may be too long', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09272', 'remote os logon is not allowed', 'Remote os login attempted when not allowed.', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09273', 'szrfc: error verifying role name', 'An OS error was returned when verifying the role name.', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09274', 'szrfc: insufficient role name buffer space', 'An OS role name was too long.', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09275', 'CONNECT INTERNAL is not a valid DBA connection', 'CONNECT INTERNAL is no longer supported for DBA connections.', 'Please try to connect AS SYSDBA or AS SYSOPER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09276', 'All bequeath database links must be loopback database links', 'A non-loopback bequeath connect string was supplied for a database link.', 'Please use a connect string with a different transport protocol, or specify a loopback connect string (one that points to the instance for the current session) using "(PROGRAM=<this instance''s ORACLE_HOME>/bin/oracle)" and, optionally, "(ENVS=''''ORACLE_SID=<this instance''s ORACLE_SID>'''')".', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09280', 'sllfcf: error closing file', 'File may be corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09281', 'sllfop: error opening file', 'Possibly incorrect path specified to the file', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09282', 'sllfrb: error reading records', 'File could be corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09283', 'sllfsk: error skipping records', 'File could be corrupted', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09284', 'sllfop: cannot allocate read buffer', 'malloc() system call returned an error. The system might have run out of heap space', 'Check additional information for the OS error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09285', 'sllfop: unrecognizable processing option, incorrect format', 'Processing option passed is of incorrect format', 'Consult your IUG for permissible formats', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09290', 'sksaalo: error allocating memory for archival', 'Could be out of memory', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09291', 'sksachk: invalid device specified for archive destination', 'Unable to access directory', 'Specify a valid device in ARCHIVE control string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09292', 'sksabln: unable to build archive file name', 'Bad directory or format specified', 'Specify a valid directory in ''log_archive_format'' and a valid format string in ''log_archive_format'' in init.ora', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09293', 'sksasmo: unable to send message to console', 'An error was returned while attempting to send a message to the console operator', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09300', 'osncon: unable to connect, DPMI not available', 'Unable to detect the presence of DPMI', 'Restart Windows and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09301', 'osncon: local kernel only supported in standard mode', 'An attempt was made to connect to S: while in enhanced mode', 'Restart Windows in standard mode', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09310', 'sclgt: error freeing latch', 'Internal error', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09311', 'slsleep: error temporarily suspending process', 'May be out of resources', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09312', 'slspool: error spooling file to printer', 'Could be out of resources', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09313', 'slsprom: error prompting user', 'May be out of resources', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09314', 'sltln: error translating logical name', 'Internal buffer may have overflowed', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09315', 'sql2tt: two-task error translating ORACLE_EXECUTABLE', 'Internal error', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09316', 'szrpc: unable to verify password for role', 'OS roles may not be supported for this platform', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09317', 'szprv: insufficient privileges', 'The password specified is invalid', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09318', 'slkhst: unable to host out to operating system', 'There might not be enough memory for the command or hosting out may not be supported on this platform', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09319', 'slgtd: unable to obtain the current date and time', 'The system time might be set incorrectly', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09320', 'szrfc: unable to obtain the list of valid OS roles', 'OS roles may not be supported on this platform', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09321', 'slzdtb: unable to convert zoned decimal to binary', 'internal error', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09322', 'slpdtb: unable to convert packed decimal to binary', 'internal error', 'See OSD error accompanying this message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09330', 'Session terminated internally by Oracle or by an Oracle DBA', 'Oracle to terminate that session after about a minute. This message also appears in the trace file if a shutdown abort is performed.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09340', 'Specified ORACLE_SID is either invalid or too long', 'ORACLE_SID must be at the most 4 alphanumeric characters.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09341', 'scumnt: unable to mount database', 'Another instance is currently mounting the database', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09342', 'Detached process terminated by Oracle during shutdown abort', 'The user performed a shutdown abort.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09344', 'spsig: error signalling thread', 'This function may not be implemented.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09350', 'Windows 32-bit Two-Task driver unable to allocate context area', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09351', 'Windows 32-bit Two-Task driver unable to allocate shared memory', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09352', 'Windows 32-bit Two-Task driver unable to spawn new ORACLE task', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09353', 'Windows 32-bit Two-Task driver unable to open event semaphore', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09354', 'Windows 32-bit Two-Task driver: ORACLE task unexpectedly died', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09360', 'Windows 3.1 Two-Task driver unable to allocate context area', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09361', 'Windows 3.1 Two-Task driver unable to lock context area', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09362', 'Windows 3.1 Two-Task driver unable to deallocate context area', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09363', 'Windows 3.1 Two-Task driver invalid context area', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09364', 'Windows 3.1 Two-Task driver unable to create hidden window', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09365', 'Windows 3.1 Two-Task driver unable to destroy hidden window', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09366', 'Windows 3.1 Two-Task driver unable to allocate shared memory', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09367', 'Windows 3.1 Two-Task driver unable to deallocate shared memory', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09368', 'Windows 3.1 Two-Task driver unable to spawn ORACLE', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09369', 'Windows 3.1 Two-Task driver bad instance handle', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09370', 'Windows 3.1 Two-Task driver ORACLE task timed out', 'See OSD error accompanying this message', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09700', 'sclin: maximum number of latches exceeded', 'ORACLE wants to use more latches then available.', 'increase INIT.ORA parameter latch_pages or decrease the amount of shared memory you are using.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09701', 'scnfy: maximum number of processes exceeded', 'PROCESSES INIT.ORA parameter exceeded.', 'Decrease the PROCESSES parameter and restart.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09702', 'sem_acquire: cannot acquire latch semaphore', 'The semaphore used for accessing latches could not be seized', 'Send trace file to your customer support representative, along with information on reproducing the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09703', 'sem_release: cannot release latch semaphore', 'The semaphore used for accessing latches could not be released', 'Send trace file to your customer support representative, along with information on reproducing the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09704', 'sstascre: ftok error in creating test and set pages.', 'the ftok() library call failed in sstastcre().', 'Verify that tasdef@.dbf file exists. If it does then this is a possible system failure. Perhaps System V compatibility is not enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09705', 'spcre: cannot initialize latch semaphore', 'The semaphore used for accessing latches could not be initialized', 'Send trace file to your customer support representative, along with information on reproducing the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09706', 'slsget: get_process_stats error.', 'get_process_stats system call returned an error. Possible OS error.', 'Check additional information returned. Look for information in OS reference. Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09708', 'soacon: failed to bind socket to port.', 'The bind system call failed on the socket.', 'Check additional information for OS error. Try connecting again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09709', 'soacon: failed to accept a connection.', 'The accept system call failed on the socket.', 'Check additional information for OS error. Try connecting again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09710', 'soarcv: buffer overflow.', 'The internal buffer is not big enough to hold the message read.', 'Internal error. Contact customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09711', 'orasrv: archmon already connected.', 'An existing connection has already been made from archmon to orasrv.', 'Stop trying to connect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09712', 'orasrv: log archiver already connected.', 'An existing connection has already been made from log archiver to orasrv.', 'Stop trying to connect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09714', 'Two Task interface: cannot obtain puname', 'The TXIPC driver cannot obtain the name of the PU. (Possible OS error)', 'Check if the PUs are named (consistend).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09715', 'orasrv: cannot obtain puname', 'Orasrv cannot obtain the name of the PU. (Possible OS error)', 'Check if the PUs are named (consistend).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09716', 'kslcll: Unable to fix in-flux lamport latch.', 'One Oracle process died while still holding a lamport latch.', 'Exit (kill) all Oracle user processes. Shutdown (abort) and restart Oracle RDBMS kernel.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09717', 'osnsui: maximum number of user interrupt handlers exceeded.', 'The internal limit on the number of user interrupt handlers has been exceeded.', 'Reduce the number of simulataneous logons or reduce the number of user interrupt handlers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09718', 'osnsui: cannot set up user interrupt handler.', 'Malloc() failed to allocate space to hold user interrupt handler.', 'Possible memory resource shortage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09719', 'osncui: invalid handle.', 'The handle passed to osncui is out of the valid range.', 'Use a valid handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09740', 'slsget: cannot get virtual memory region statistics.', 'The vm_region system call failed to get virual memory region statistics.', 'Check return code in sercerrno. Possible operating system failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09741', 'spwat: error waiting for a post.', 'Msg_receive system call returned an error. Internal error.', 'Check return code in sercerrno. Port name is returned in sercose[0].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09742', 'sppst: error during a post.', 'Msg_send system call returned an error. Internal error.', 'Check return code in sercerrno. Port name is returned in sercose[0].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09743', 'smscre: could not attach shared memory.', 'The mmap or write system call returned an error. Internal error.', 'Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09744', 'smsget: mmap returned an error.', 'The mmap system call returned an error. Internal error.', 'Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09745', 'smscre: vm_allocate error, unable to create shared memory.', 'Error in system call vm_allocate. Failed to create SGA as a single shared memory segment.', 'Check result code returned in sercerrno. Verify that the SGA attach address is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09746', 'smscre: shared memory attach address incorrect.', 'The vm_allocate system call attached the SGA at an incorrect location.', 'Verify that the SGA attach address is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09747', 'pw_detachPorts: server call pws_detach failed.', 'The call pws_detach to (Oracle helper) failed.', 'Make sure the server is still active. Check the error code returned in sercerrno, and look for error messages in the server log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07844', 'sllfop: LIB$GET_VM failure', 'An error was returned from LIB$GET_VM while attempting to allocate memory for data and index buffers', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07845', 'sllfcl: LIB$FREE_VM failue', 'An error was returned from LIB$FREE_VM while attempting to free memory used by data and index buffers', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07846', 'sllfop: string byte record too big for string byte user buffer', 'The longest record in the file will not fit into the largest data buffer that can be allocated', 'Modify the RMS file to have smaller records', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07847', 'sllfop: $CONNECT failure', 'An error was returned by SYS$CONNECT while attempting to open the data file', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07848', 'sllfrb: $GET failure', 'An error was returned by SYS$GET while attempting to read the data file', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07849', 'sllfsk: $GET failure', 'An error was returned by SYS$GET while attempting to skip records in the input file', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07850', 'sllfop: bad option', 'You are using a bad option to loader Fixed= is one legal option. Check documentation for others.', 'Check documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07860', 'osnsoi: error setting up interrupt handler', 'An error occurred while setting up the control interrupt handler', 'This is an internal error. Contact your Oracle representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07880', 'sdopnf: internal error', 'A list of all files open by this process could not be obtained.', 'This is an internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08000', 'maximum number of session sequence lists exceeded', 'the sequence parent state objects for this session are all used', 'an internal error; quit the session and begin a new one', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08001', 'maximum number of sequences per session exceeded', 'the limit on the number of sequences usable by session has been hit', 'increase INIT.ORA parameter user_sequences to get more', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08002', 'sequence string.CURRVAL is not yet defined in this session', 'sequence CURRVAL has been selected before sequence NEXTVAL', 'select NEXTVAL from the sequence before selecting CURRVAL', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08003', 'sequence string.NEXTVAL exceeds internal limits', 'The sequence was created with unsafe values for some of the parameters. The calculation of NEXTVAL cannot be made because it exceeds the legal represention size.', 'Alter or recreate the sequence number with legal limits.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08004', 'sequence string.NEXTVAL string stringVALUE and cannot be instantiated', 'instantiating NEXTVAL would violate one of MAX/MINVALUE', 'alter the sequence so that a new value can be requested', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08005', 'specified row does not exist', 'A row with the given rowid does not exist in any of the tables given', 'check the query for misspellings of table names and the rowid', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08006', 'specified row no longer exists', 'the row has been deleted by another user since the operation began', 're-try the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08007', 'Further changes to this block by this transaction not allowed', 'Max locks have been reached for this transaction in this block', 'Commit changes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08008', 'another instance is mounted with USE_ROW_ENQUEUES = string', 'the shared instance being started does not have the same value for use_row_enqueues as already running instances', 'ensure that all instances'' INIT.ORA files specify the same value for the parameter ''use_row_enqueues''', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08100', 'index is not valid - see trace file for diagnostics', 'Validate Index detected an inconsistency in its argument index', 'Send trace file to your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08101', 'index key does not exist file string: (root string, node string) blocks (string)', 'Internal error: possible inconsistency in index', 'Send trace file to your customer support representative, along with information on reproducing the error', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08102', 'index key not found, obj# string, file string, block string (string)', 'Internal error: possible inconsistency in index', 'Send trace file to your customer support representative, along with information on reproducing the error', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08103', 'object no longer exists', 'The object has been deleted by another user since the operation began, or a prior incomplete recovery restored the database to a point in time during the deletion of the object.', 'Delete the object if this is the result of an incomplete recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08104', 'this index object string is being online built or rebuilt', 'the index is being created or rebuild or waited for recovering from the online (re)build', 'wait the online index build or recovery to complete', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08105', 'Oracle event to turn off smon cleanup for online index build', 'set this event only under the supervision of Oracle development', 'debugging only', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08106', 'cannot create journal table string.string', 'The online index builder could not create its journal table', 'rename your table in conflict or rerun the SQL statement' || '<p>' || '* there may be a concurrent online index rebuild on the same object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08108', 'may not build or rebuild this type of index online', 'only support normal index or IOT top-level index', 'change your index type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08109', 'nosort is not a supported option for online index build', 'may not specify nosort for online index build', 'get rid of nosort in the index creation command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08110', 'Oracle event to test SMON cleanup for online index build', 'Oracle Kernel test only', 'Donot set this event(for test only)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08111', 'a partitioned index may not be coalesced as a whole', 'User attempted to coalesce a partitioned index using ALTER INDEX COALESCE statement, which is illegal', 'Coalesce the index a (sub)partition at a time (using ALTER INDEX MODIFY (sub)PARTITION COALESCE)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08112', 'a composite partition may not be coalesced as a whole', 'User attempted to coalesce a composite partition', 'Coalesce the index a subpartition at a time (using ALTER INDEX MODIFY SUBPARTITION COALESCE)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08113', 'composite partition index may not be compressed', 'User attempted to compress a composite partition index', 'create uncompressed composite partition index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08114', 'can not alter a fake index', 'User attempted to alter a fake index', 'drop fake index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08115', 'can not online create/rebuild this index type', 'User attempted to create index type that online doesnot support', 'use offline index create/rebuild command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08116', 'can not acquire dml enough lock(S mode) for online index build', 'User attempted to create index online without allowing DML Share lock', 'allow DML share lock on the base table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08117', 'Index Organized Table operation released its block pin', 'Block maintenance forced the release of a block pin', 'Contact your customer support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08118', 'Deferred FK constraints cannot be enforced, index too big (string)', 'Deferred Foreign Key constraints cannot be enforced due to the index key being too big and built on a non-default DB_BLOCK_SIZE.', 'First try to drop the Foreign Key and then the primary key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08119', 'The new initrans will make the index too big', 'Specifying the initrans need additional space to hold the index key which might make the index too big', 'Try giving a smaller initrans value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08199', 'Flashback Table operation is not supported on this object', 'An attempt was made to perform Flashback Table operation on an object on which the operation is not supported.', 'Do not perform a Flashback Table operation on such objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08205', 'ora_addr: $ORACLE_SID not set in environment', 'The environment variable ORACLE_SID is not set.', 'Set the ORACLE_SID environment variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08206', 'ora_addr: cannot translate address file name', 'Cannot translate $ORACLE_HOME/dbs/sgadef$ORACLE_SID.dbf.', 'Ensure that ORACLE_HOME and ORACLE_SID are properly set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08207', 'ora_addr: cannot open address file', 'The address file could not be opened.', 'Check that ORACLE is up. Check that the file $(ORACLE_HOME)/dbs/sgadef$(ORACLE_SID).dbf exists and has correct permissions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08208', 'ora_addr: cannot read from address file', 'The address file could not be read.', 'Check that the file $(ORACLE_HOME)/dbs/sgadef$(ORACLE_SID).dbf exists and contains a single line of text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08209', 'scngrs: SCN not yet initialized', 'The System Commit Number has not yet been initialized.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08210', 'Requested I/O error', 'Oracle requested that an I/O error be returned for this operation.', 'This should not occur in normal Oracle operation. Contact support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08230', 'smscre: failed to allocate SGA', 'The n_core system call failed, maybe due to insufficient memory.', 'Specify a smaller number of buffers. Check INIT.ORA parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08231', 'smscre: unable to attach to SGA', 'The process cannot attach to the SGA. This can happen if either the listener can''t attach, or the process cannot communicate with the listener.', 'Verify that the instance is up and running. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08232', 'smsdes: cannot detach from SGA', 'Probably, the listener process has died.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08233', 'smsdes: cannot unmap SGA', 'The n_core system call failed while detaching from the SGA.', 'Note nCX error returned; contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08234', 'smsget: cannot get instance listener address', 'The instance listener address cannot be read from the sgadef file.', 'Verify $(ORACLE_HOME) and $(ORACLE_SID) are set correctly. Additional information gives error return from ora_addr.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08236', 'smsget: cannot share subcube with listener', 'The n_share call failed, probably because the listener has died.', 'Check if the listener is running, and contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08237', 'smsget: SGA region not yet created', 'Attempting to attach to an SGA which has not yet been created.', 'Verify that the instance is running. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08238', 'smsfre: cannot detach from SGA', 'The n_core system call failed while detaching from the SGA.', 'Check nCX error, and contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08243', 'recursive audit operation attempted', 'A recursive operation requiring audit was attempted in the middle of an auditing operation. The most likely reason is space management operations needed to free up space in the audit tablespace.', 'Check space in the tablespace for SYS.AUD$ and correct the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08260', 'ora_addr: cannot open nameserver', 'A process could not connect to the nameserver.', 'Make sure the nameserver is up and running. Additional information gives nameserver''s returned status.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08261', 'ora_addr: cannot find name in nameserver', 'The listener nameserver entry for an instance could not be found.', 'Make sure the nameserver is up and running. Additional information gives nameserver''s returned status.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08263', 'ora_addr: cannot free listener address', 'The listener nameserver entry could not be freed', 'Additional information gives nameserver''s returned status. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08264', 'ora_addr: cannot close nameserver', 'The connection to the nameserver could not be closed.', 'Additional information gives nameserver''s returned status. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08265', 'create_ora_addr: cannot open nameserver', 'A process could not connect to the nameserver.', 'Make sure the nameserver is up and running. Additional information gives nameserver''s returned status.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08266', 'create_ora_addr: cannot register name in nameserver', 'The listener''s addressing information could not be registered.', 'Make sure the nameserver is up and running. Additional information gives nameserver''s returned status.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08267', 'destroy_ora_addr: cannot close nameserver', 'The connection to the nameserver could not be closed.', 'Additional information gives nameserver''s returned status. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08268', 'create_ora_addr: cannot close nameserver', 'The connection to the nameserver could not be closed.', 'Additional information gives nameserver''s returned status. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08269', 'destroy_ora_addr: cannot destroy name', 'The listener''s addressing information could not be removed.', 'Additional information gives nameserver''s returned status. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08270', 'sksachk: Illegal archival control string', 'Archive files cannot be created with the given archival control string.', 'Check that the volume exists', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08271', 'sksabln: Buffer size not large enough for archive control string', 'The given archival control string expands into too many characters.', 'Reduce archive control string length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08274', 'Out of memory for environment variable', 'There is insufficient memory to return the requested value', 'Reduce memory usage and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08275', 'Environment variable unset', 'The requested environment variable is not set', 'Ensure that the variable name requested is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08276', 'No room in nameserver for pid', 'There is no room to record the pid for a background process', 'Shutdown abort and restart the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08277', 'Cannot set environment variable', 'There is insufficient memory to expand the environment.', 'Reduce memory usage and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08278', 'Cannot get CPU statistics', 'Could not retrieve CPU times because n_stat failed.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08308', 'sllfop: Cannot open file', 'Oracle could not open a file.', 'Check the Unix errno returned as additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08309', 'sllfop: Cannot fstat file', 'Oracle could not obtain information about an open file.', 'Check the Unix errno returned as additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08310', 'sllfop: Bad value for recsize', 'An illegal value for the record size was specified.', 'Specify a value for the recsize option that is greater than 0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08311', 'sllfop: bad value for maxrecsize', 'An illegal value for the maximum record size was specified.', 'Specify a value for the maxrecsize option that is greater than 0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08312', 'sllfop: unrecognized processing option', 'An unrecognized processing option was specified.', 'Check the Oracle for nCUBE 2 User''s Guide for valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08313', 'sllfop: could not allocate buffers', 'Memory for the load buffers could not be allocated.', 'Reduce the maximum record size. Eliminate any unnecessary processes on your current node before running SQL*Loader again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07743', 'slemop: incorrect error file attributes', 'An error message file is of incorrect format', 'Unless an error file has been changed, report this to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07744', 'slemcl: invalid error message file handle', 'seal in passed in handle does not match correct value', 'this is an internal error, please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07745', 'slemcl: $CLOSE failure', 'VMS system service $CLOSE failed', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07746', 'slemrd: invalid error message file handle', 'seal in passed in handle does not match correct value', 'this is an internal error, please report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07747', 'slemrd: $READ failure', 'VMS system service $READ failed', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07750', 'slemcr: fopen failure', 'An attempt to create a message file failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07751', 'slemcr: malloc failure', 'An attempt to allocate a cache for a newly-created message file failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07753', 'slemcf: fseek before write failure', 'An attempt to seek before writing a message file cache element failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07754', 'slemcf: fwrite failure', 'An attempt to write a message file cache element failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07755', 'slemcf: fseek before read failure', 'An attempt to seek before reading a message file cache element failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07756', 'slemcf: fread failure', 'An attempt to read a message file cache element failed. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07757', 'slemcc: invalid handle', 'The seal in a passed-in handle does not match correct value. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07758', 'slemcw: invalid handle', 'The seal in a passed-in handle does not match correct value. This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07759', 'slemtr: invalid destination', 'The destination string provided to the function is too short This is an internal error.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07760', 'slemtr: $open failure', 'the $open service failed. This is an internal error', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07800', 'slbtpd: invalid number', 'An impossible request for binary to decimal conversion was made', 'This conversion cannot be performed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07801', 'slbtpd: invalid exponent', 'An impossible request for binary to decimal conversion was made', 'This conversion cannot be performed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07802', 'slbtpd: overflow while converting to packed decimal', 'An impossible request for binary to decimal conversion was made', 'This conversion cannot be performed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07803', 'slpdtb: invalid packed decimal nibble', 'An impossible request for decimal to binary conversion was made', 'This conversion cannot be performed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07804', 'slpdtb: number too large for supplied buffer', 'An impossible request for decimal to binary conversion was made', 'This conversion cannot be performed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07820', 'sspscn: SYS$CRELNM failure', 'An error was returned from the SYS$CRELNM function', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07821', 'sspsdn: SYS$DELLNM failure', 'An error was returned from the SYS$DELLNM function', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07822', 'sspscm: SYS$CREMBX failure', 'An error was returned from the SYS$CREMBX function while trying to create the process dump mailbox.', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07823', 'sspsqr: $QIO failure', 'An error was returned from $QIO while trying to queue a read to the process dump mailbox.', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07824', 'sspain: $SETIMR failure', 'An error was returned from SYS$SETIMR while trying to queue a process spin-watch timer.', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07825', 'sspsck: $QIO failure at AST level', 'An error was returned from SYS$QIO while trying to read the process dump mailbox.', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07826', 'sspscm: SYS$GETDVIW failure', 'An error was returned from SYS$GETDVIW while trying to get information about the process dump mailbox.', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07840', 'sllfop: LIB$GET_VM failure', 'An error was returned from LIB$GET_VM while attempting to allocate memory for an i/o vector.', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07841', 'sllfop: SYS$OPEN failure', 'An error was returned from SYS$OPEN while attempting to open the data file for reading', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07842', 'sllfcl: SYS$CLOSE failure', 'An error was returned from SYS$CLOSE while attempting to close the input data file', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-07843', 'sllfcl: LIB$FREE_VM failure', 'An error was returned from LIB$FREE_VM while attempting to free the memory for the i/o vector', 'Check system error and refer to VMS documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08314', 'sllfcf: Error closing file', 'An error occurred trying to close a file.', 'Check the Unix errno returned as additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08315', 'sllfrb: Error reading file', 'An error occurred trying to read from a file.', 'Check the Unix errno returned as additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08316', 'sllfsk: Error seeking in file.', 'The lseek system call returned an error.', 'Check the Unix errno returned as additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08317', 'sllfsk: Error seeking in file.', 'The lseek system call returned an error.', 'Check the Unix errno returned as additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08318', 'sllfsk: Error reading file', 'An error occurred trying to read from a file.', 'Check the Unix errno returned as additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08319', 'sllfsk: Error reading file', 'An error occurred trying to read from a file.', 'Check the Unix errno returned as additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08320', 'scnget: Call to scnget before scnset or scnfnd.', 'An internal error', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08321', 'scnmin: NOT IMPLEMENTED YET', 'An internal error', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08322', 'scnmin: open/convert of bias lock failed', 'A call to the lkmgr failed to open and convert the bias lock', 'Check to make sure the lkmgr is up.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08323', 'scnmin: close of bias lock failed', 'A call to the lkmgr failed to close the bias lock', 'Check to make sure the lkmgr is up.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08330', 'Printing not supported', 'An attempt was made to automatically spool a file to the printer', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08331', 'Wait operation timed out', 'Oracle timed out waiting for an event', 'Contact your Oracle support representative', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08332', 'rollback segment #string specified not available', '(same as 1545)', '(same as 1545). Also, make sure you have created enough rollback segments for the number of instances you are trying to start.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08340', 'This command not allowed on nCUBE, only one thread is ever used.', 'An illegal command was executed for the nCUBE platform.', 'There is no need to issue this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08341', 'On nCUBE, this command can only be executed from instance 1.', 'A command that can only be issued on instance 1 was issued elsewhere.', 'Log on to instance 1 and repeat the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08342', 'sropen: failed to open a redo server connection', 'An error occurred trying to connect to the redo server.', 'The OS specific error message should tell you what to do.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08343', 'srclose: failed to close a redo server connection', 'An error occurred trying to close the redo server connection.', 'The OS specific error message should tell you what to do.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08344', 'srapp: failed to send redo data to the redo server', 'An error occurred trying to send redo to the redo server.', 'The OS specific error message should tell you what to do.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08401', 'invalid compiler name: string', 'An invalid compiler name <compname> was passed to a UTL_PG conversion routine.', 'Correct the compiler name parameter in the PL/SQL code that called the conversion routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08412', 'error encountered in WMSGBSIZ, size for WMSGBLK is not big enough for warning message', 'The WMSGBSIZ is the maximun size for warning message block, it is recommanded to be 1024 bytes to 8 kbytes.', 'Defined WMSGBLK of size between 1k to 8k bytes and update the WMSGBSIZ to the sizeof(WMSGBLK).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08413', 'invalid compiler type in FORMAT parameter at string', 'An invalid compiler type is defined in format control block. The format control block is invalid.', 'Check to be sure that the format parameter was built by MAKE_RAW_TO_NUMBER_FORMAT or MAKE_NUMBER_TO_RAW_FORMAT, and that it was not accidentally overwritten or modified by the PL/SQL procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08414', 'error encountered in string', 'The function <routine> returned an error. Where <routine> may be: RAW_TO_NUMER NUMBER_TO_RAW RAW_TO_NUMBER_FORMAT NUMBER_TO_RAW_FORMAT MAKE_NUMBER_TO_RAW_FORMAT MAKE_RAW_TO_NUMBER_FORMAT', 'to take.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08429', 'raw data has invalid digit in display type data', 'The input raw buffer passed to a UTL_PG RAW_TO_NUMBER conversion routine contained invalid data. The picture mask parameter specified a digit, but the corresponding input from the raw data did not contain a valid digit.', 'Either the input data is incorrect, or the picture mask is incorrect. Correct the appropriate item.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08430', 'raw data missing leading sign', 'The input raw buffer passed to a UTL_PG RAW_TO_NUMBER conversion routine had no leading sign, but the mask options parameter specified a leading sign.', 'Correct the input raw data or the mask options so that they match.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08431', 'raw data missing zero as defined in picture', 'The picture mask parameter passed to a UTL_PG RAW_TO_NUMBER conversion routine contained a zero, but the corresponding input from the raw data was not a zero.', 'Either the input data is incorrect, or the picture mask is incorrect. Correct the appropriate item.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08432', 'raw data has invalid floating point data', 'The input raw data passed to a UTL_PG RAW_TO_NUMBER conversion routine contained invalid floating point data.', 'Correct the input raw data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08433', 'invalid picture type in convert raw to number', 'The picture mask parameter passed to a UTL_PG RAW_TO_NUMBER conversion routine contained non-numeric characters, but the conversion was to a numeric data type.', 'Correct the picture mask parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08434', 'raw data has invalid trailing sign', 'The input raw buffer passed to a UTL_PG RAW_TO_NUMBER conversion routine had no trailing sign, but the mask options parameter specified a trailing sign.', 'Correct the input raw data or the mask options so that they match.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08435', 'PICTURE MASK missing the leading sign when SIGN IS LEADING specified', 'The input MASK passed to a UTL_PG RAW_TO_NUMBER conversion routine had no leading sign, but the mask options parameter specified a leading sign.', 'Correct the input raw data or the mask options so that they match.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08436', 'raw data has invalid sign digit', 'The input raw buffer passed to a UTL_PG RAW_TO_NUMBER conversion routine had an invalid sign digit in the position where the picture mask specified a sign.', 'Correct the input raw data or the picture mask so that they match.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08437', 'invalid picture type in picture mask', 'The picture mask parameter passed to a UTL_PG NUMBER_TO_RAW conversion routine contained non-numeric characters, but the conversion was to a numeric data type.', 'Correct the picture mask parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08440', 'raw buffer is too short to hold converted data', 'The output raw buffer passed to a UTL_PG NUMBER_TO_RAW conversion routine was not large enough to contain the results of the conversion based on the picture mask.', 'Increase the raw buffer size to the size necessary to hold the entire result of the conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08441', 'closed parenthesis missing in picture mask', 'A closed parenthesis was missing from the picture mask passed to a UTL_PG conversion routine.', 'Correct the picture mask.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08443', 'syntax error in BLANK WHEN ZERO clause in mask options', 'A syntax error was found in the BLANK WHEN ZERO clause in the mask options parameter passed to a UTL_PG conversion routine. Valid specifications are: BLANK ZERO BLANK ZEROS BLANK ZEROES BLANK WHEN ZERO BLANK WHEN ZEROS BLANK WHEN ZEROES', 'Correct the mask options parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08444', 'syntax error in JUSTIFIED clause in mask options', 'A syntax error was found in the JUSTIFIED clause in the mask options parameter passed to a UTL_PG conversion routine. Valid specifications are: JUST JUST RIGHT JUSTIFIED JUSTIFIED RIGHT', 'Correct the mask options parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08445', 'syntax error in SIGN clause in mask options', 'A syntax error was found in the SIGN clause in the mask options parameter passed to a UTL_PG conversion routine. Valid specifications are: SIGN LEADING SIGN LEADING SEPARATE SIGN LEADING SEPARATE CHARACTER SIGN TRAILING SIGN TRAILING SEPARATE SIGN TRAILING SEPARATE CHARACTER SIGN IS LEADING SIGN IS LEADING SEPARATE SIGN IS LEADING SEPARATE CHARACTER SIGN IS TRAILING SIGN IS TRAILING SEPARATE SIGN IS TRAILING SEPARATE CHARACTER', 'Correct the mask options parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08446', 'syntax error in SYNCHRONIZED clause in mask options', 'A syntax error was found in the SYNCHRONIZED clause in the mask options parameter passed to a UTL_PG conversion routine. Valid specifications are: SYNC SYNC LEFT SYNC RIGHT SYNCHRONIZED SYNCHRONIZED LEFT SYNCHRONIZED RIGHT', 'Correct the mask options parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08447', 'syntax error in USAGE clause in mask options', 'A syntax error was found in the USAGE clause in the mask options parameter passed to a UTL_PG conversion routine. Valid specifications are: USAGE DISPLAY USAGE COMP USAGE COMP-3 USAGE COMP-4 USAGE COMPUTATIONAL USAGE COMPUTATIONAL-3 USAGE COMPUTATIONAL-4 USAGE IS DISPLAY USAGE IS COMP USAGE IS COMP-3 USAGE IS COMP-4 USAGE IS COMPUTATIONAL USAGE IS COMPUTATIONAL-3 USAGE IS COMPUTATIONAL-4', 'Correct the mask options parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08448', 'syntax error in DECIMAL-POINT environment clause', 'A syntax error was found in the DECIMAL-POINT environment clause parameter passed to a UTL_PG conversion routine. Valid specifications are: DECIMAL-POINT IS COMMA', 'Correct the environment clause parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08120', 'Need to create SYS.IND_ONLINE$ table in order to (re)build index', 'Alter index Build/Rebuild online require existing of SYS.IND_ONLINE$ table.', 'User/DBA needs to create sys.ind_online$ before alter the index /rdbms/admin/catcio.sql contains script to create ind_online$.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08121', 'Number of indexes need to be maintained offline exceeds limit for DML', 'Too many indexes needed to be maintained. The limit is 2^16 indexes for each DML statement', 'Make sure the index maintainance is online. If indexes need to be maintained offline, drop some indexes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08122', 'Online (re)build of index rolled back due to DML conflict', 'The online (re)build journal is inconsistent with ongoing DML and cannot be used successfully to complete the online index (re)build.', 'Reissue the online (re)build operation, after performing any cleanup, if needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08175', 'discrete transaction restriction violated (string)', 'An attempt was made to perform an action that is not currently supported in a discrete transaction.', 'Rollback the transaction, and retry it as a normal transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08176', 'consistent read failure; rollback data not available', 'Encountered data changed by an operation that does not generate rollback data : create index, direct load or discrete transaction.', 'In read/write transactions, retry the intended operation. Read only transactions must be restarted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08177', 'can''t serialize access for this transaction', 'Encountered data changed by an operation that occurred after the start of this serializable transaction.', 'In read/write transactions, retry the intended operation or transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08178', 'illegal SERIALIZABLE clause specified for user INTERNAL', 'Serializable mode is not supported for user INTERNAL.', 'Reconnect as another user and retry the SET TRANSACTION command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08179', 'concurrency check failed', 'Encountered data changed by an operation that occurred after a specific snapshot. This is usually used to indicate that a particular cached copy of a datablock is stale. This is used for internal use for now.', 'refresh the cached copy of the datablock and retry operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08180', 'no snapshot found based on specified time', 'Could not match the time to an SCN from the mapping table.', 'try using a larger time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08181', 'specified number is not a valid system change number', 'supplied scn was beyond the bounds of a valid scn.', 'use a valid scn.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08182', 'operation not supported while in Flashback mode', 'user tried to do dml or ddl while in Flashback mode', 'disable Flashback and re-attempt the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08183', 'Flashback cannot be enabled in the middle of a transaction', 'user tried to do Flashback in the middle of a transaction', 'do a commit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08184', 'attempting to re-enable Flashback while in Flashback mode', 'as stated above', 'disable first before re-enabling', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08185', 'Flashback not supported for user SYS', 'user logged on as SYS', 'logon as a different (non SYS) user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08186', 'invalid timestamp specified', 'as stated above', 'enter a valid timestamp', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08187', 'snapshot expression not allowed here', 'A snapshot expression using AS OF was specified when not allowed.', 'Do not use the AS OF clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08189', 'cannot flashback the table because row movement is not enabled', 'An attempt was made to perform Flashback Table operation on a table for which row movement has not been enabled. Because the Flashback Table does not preserve the rowids, it is necessary that row movement be enabled on the table.', 'Enable row movement on the table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08190', 'restore point string is from a different incarnation of the database', 'An attempt was made to perform Flashback Table operation using a restore point from a different incarnation of the database', 'Provide a restore point from the current database incarnation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08191', 'Flashback Table operation is not supported on remote tables', 'An attempt was made to perform Flashback Table operation on a remote table. This is not permitted.', 'Do not perform a Flashback Table operation on remote tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08192', 'Flashback Table operation is not allowed on fixed tables', 'An attempt was made to perform Flashback Table operation on a fixed table. This is not permitted.', 'Do not perform a Flashback Table operation on fixed tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08193', 'Flashback Table operation is not allowed on temporary tables', 'An attempt was made to perform Flashback Table operation on a temporary table. This is not permitted.', 'Do not perform a Flashback Table operation on temporary tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08194', 'Flashback Table operation is not allowed on materialized views', 'An attempt was made to perform Flashback Table operation on a materialized view. This is not permitted.', 'Do not perform a Flashback Table operation on materialized views or snapshot logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08195', 'Flashback Table operation is not supported on partitions', 'An attempt was made to perform Flashback Table operation on a partition. This is not permitted.', 'Do not perform a Flashback Table operation on partitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08196', 'Flashback Table operation is not allowed on AQ tables', 'An attempt was made to perform Flashback Table operation on AQ tables. This is not permitted.', 'Do not perform a Flashback Table operation on AQ tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08197', 'Flashback Table operation is not supported on clustered tables', 'An attempt was made to perform Flashback Table operation on a clustered table. This is not permitted.', 'Do not perform a Flashback Table operation on clustered tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08198', 'Flashback Table is not supported on object tables, nested tables', 'An attempt was made to perform Flashback Table operation on a object table or a nested table or a table with nested table column. This is not permitted.', 'Do not perform a Flashback Table operation on such tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08235', 'smsget: listener not on this node', 'A process wishing to attach to the SGA is on a different node from its instance''s listener.', 'Verify $(ORACLE_HOME) and $(ORACLE_SID) are set correctly. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08449', 'invalid numeric symbol found in picture mask', 'An invalid numeric symbol was found in the picture mask parameter passed to a UTL_PG conversion routine.', 'Correct the picture mask parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08450', 'invalid specification of CR in picture mask', 'The CR suffix was incorrectly specified in the picture mask parameter passed to a UTL_PG conversion routine. The CR suffix can only appear at the end of a picture mask.', 'Correct the picture mask parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08451', 'invalid specification of DB in picture mask', 'The DB suffix was incorrectly specified in the picture mask parameter passed to a UTL_PG conversion routine. The DB suffix can only appear at the end of a picture mask.', 'Correct the picture mask parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-08452', 'specification of E in picture mask is unsupported', 'The floating point exponent symbol ''E'' was specified in the picture mask parameter passed to a UTL_PG conversion routine. The floating point data type is currently not supported by the UTL_PG conversion routines.', 'Correct the picture mask parameter, and the data, if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09748', 'pws_look_up: fork failed', 'The pws_look_up call could not fork the (Oracle helper) process.', 'Verify that there are enough system resources to support another process. The user or system process limit may have been exceeded, or the amount of free memory or swap space may be temporarily insufficient.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09749', 'pws_look_up: port lookup failure', 'The pws_look_up could not find a port to (Oracle helper).', 'Make sure the (Oracle helper) server has been started correctly by pws_look_up, and that the network name server is still running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09750', 'pw_attachPorts: port_rename failed.', 'The port_rename system call failed; possible internal error.', 'Check return code in sercerrno, report to Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09751', 'pw_attachPorts: server call pws_attach failed.', 'The call pws_attach to (Oracle helper) failed.', 'Make sure the server is still active. Check the error code returned in sercerrno, and look for error messages in the server log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09752', 'pw_attachPorts: port_allocate failed.', 'The port_allocate system call failed; possible resource exhaustion.', 'Check return code in sercerrno, report to Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09753', 'spwat: invalid process number.', 'Function was passed an invalid oracle process id.', 'Internal error. Additional information indicates the invalid process id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09754', 'sppst: invalid process number passed to sppst.', 'Function was passed an invalid oracle process id.', 'Internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09755', 'osngpn: port allocation failure.', 'The port_allocate system call failed.', 'Possible system resource shortage; check the error code in sercerrno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09756', 'osnpns: no port in the name server.', 'osnpns could not find the given named port in the name server.', 'Check the error code in sercerrno. Make sure the shadow process and network name server are still running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09757', 'osnipn: port allocation failure.', 'The port_allocate system call failed.', 'Possible system resource shortage; check the error code in sercerrno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09758', 'osnipn: could not check port in name server.', 'The netname_check_in call failed.', 'Check the error code in sercerrno. Make sure the network name server is running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09759', 'osnsbt: bad message received.', 'The msg_receive system call failed, or received a bad message.', 'Internal error. Report the error code returned in sercerrno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09760', 'osnpui: cannot send break message', 'The Pipe driver could not send a break message to the ORACLE shadow process break thread.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09761', 'pw_destroyPorts: server call pws_stop_instance failed.', 'The call pws_stop_instance to (Oracle helper) failed.', 'Make sure the server is still active. Check the error code returned in sercerrno, and look for error messages in the server log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09762', 'sNeXT_instanceName: translation error.', 'A failure was detected while translating the value of ORACLE_SID.', 'Make sure ORACLE_SID is defined, and that it is of legal length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09763', 'osnmpx: send/receive error exchanging Mach ports.', 'The Mach driver failed to exchange port information with the other side of the connection. Either msg_send (sercose[0] == 1) or msg_receive (sercose[0] == 2) failed.', 'Check return code in sercerrno. Make sure both sides of the connection are still running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09764', 'osnmop: access error on oracle executable', 'The Mach driver could not access the oracle executable.', 'Check the permissions on the ORACLE executable and each component of the ORACLE_HOME/bin path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09765', 'osnmop: fork failed', 'The Mach driver could not fork the oracle shadow process.', 'Verify that there are enough system resources to support another process. The user or system process limit may have been exceeded, or the amount of free memory or swap space may be temporarily insufficient.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09766', 'osnmop: buffer allocation failure.', 'The Mach driver failed to allocate enough vm space for its I/O buffers.', 'Decrease the value of buffer_size parameter in the Two-Task driver hoststring.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09767', 'osnmfs: bad return code from msg_send.', 'The msg_send system call failed while flushing the Mach driver''s send buffer.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09768', 'osnmgetmsg: could not read a message', 'The msg_receive system call returned a failure code while waiting for a message in the Mach driver.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09769', 'osnmbr: cannot send break message', 'The Mach driver could not send a break message to the ORACLE shadow process break thread.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09770', 'pws_look_up: translation failure.', 'The pws_look_up routine failed to translate the name of the (Oracle helper) executable.', 'Make sure ORACLE_SID and ORACLE_HOME are set and correct. Additional information gives the translation error code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09771', 'osnmwrtbrkmsg: bad return code from msg_send.', 'The msg_send sytem call failed while sending a Mach driver break.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09772', 'osnpmetbrkmsg: message from host had incorrect message type', 'The Mach driver received a message having an unrecognizable message type.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09773', 'osnmgetdatmsg: message from host had incorrect message type', 'The Mach driver received a message having an unrecognizable message type.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09774', 'osnmui: cannot send break message', 'The Mach driver could not send a break message to the ORACLE shadow process break thread.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09775', 'osnmrs: reset protocol error', 'The Mach two-task driver could not reset the connection.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09776', 'pws_look_up: access error on (Oracle helper) executable', 'The pws_look_up call could not access the (Oracle helper) executable.', 'Check the permissions on the (Oracle helper) executable and each component of the ORACLE_HOME/bin path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09777', 'osnpbr: cannot send break message', 'The pipe driver could not send a break message to the ORACLE shadow process break thread.', 'Internal error. Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09948', 'Process information label retrieval failed.', 'ORACLE was unable to get the information label for a process.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09949', 'Unable to get client operating system privileges', 'ORACLE was unable to get the operating system privileges for the client process.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09950', 'Unable to get server operating system privileges', 'ORACLE was unable to get its privileges from the operating system.', 'This is an error that should never happen. Contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09951', 'Unable to create file', 'ORACLE was unable to create a file.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09778', 'snynfyport: failure allocating the notify port.', 'The routine failed to allocate or set the task''s notify port.', 'Possible operating system error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09779', 'snyGetPort: failure to allocate a port.', 'The port_allocate system call failed; system resources might be exhausted.', 'Possible operating system error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09786', 'sllfop: open error, unable to open file.', 'Open system call returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09787', 'sllfop: unrecognizable processing option, incorrect format.', 'Processing option passed is of incorrect format.', 'Consult your IUG for permissible formats.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09788', 'sllfrb: unable to read file.', 'Read system call returned an error.', 'Check errno. Verify file exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09789', 'sllfsk: unable to read file.', 'Read system call returned an error.', 'Check errno. Verify file exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09790', 'sllfcf: unable to close file.', 'Close system call returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09791', 'slembdf: translation error, unable to translate error file name.', 'Additional information indicates error returned from sltln.', 'Check additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09792', 'sllfop: cannot allocate read buffer.', 'Malloc system call returned an error. The system might have run out of heap space.', 'Check additional information for the OS error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09793', 'szguns: length of user name is greater than buffer.', 'The length of the name of the user being looked up is longer than size of the buffer provided by the calling routine.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09794', 'szrbuild: length of role name is greater than buffer.', 'The length of the name of the role being looked up is longer than size of the buffer provided by the calling routine.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09795', 'szrbuild: malloc of role structure failed.', 'The allocation of memory for an internal structure used to hold a role descriptor failed.', 'Check the UNIX error number for a possible operating system failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09796', 'szrbuild: malloc of role name failed.', 'The allocation of memory for an internal buffer used to hold the name of a role failed.', 'Check the UNIX error number for a possible operating system failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09797', 'Failed to get O/S MAC privileges.', 'The operating system would not allow the retrieval of this process'' privileges.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09798', 'Label comparison failed.', 'The comparison of two binary labels failed.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09799', 'File label retrieval failed.', 'ORACLE was unable to get a label attached to a file.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09800', 'Process sensitivity label retrieval failed.', 'ORACLE was unable to get the sensitivity label for a process.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09801', 'Unable to get user ID from connection', 'ORACLE was unable to retrieve the user''s ID number from the SQL*Net connection.', 'Check the UNIX error number for a possible operating system error. Also check the "additional information" field for the SQL*Net error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09802', 'Conversion of binary label to string failed.', 'ORACLE was unable to convert a binary label to a string.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09803', 'Allocation of string buffer failed.', 'a buffer used to hold the name of the file for which a label was to be obtained could not be allocated.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services. The number of bytes that ORACLE attempted to allocate is in the "Additional Information" field.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09804', 'Class conversion from binary to ORACLE failed.', 'ORACLE was unable to convert a class component from binary format to ORACLE format.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09805', 'conversion of category number to string failed.', 'ORACLE was unable to translate a category number to its corresponding string representation failed.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services. The category number is contained in the "Additional information" field.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09806', 'Allocation of label string buffer failed.', 'a temporary buffer used to hold a label could not be allocated.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services. The number of bytes that ORACLE attempted to allocate is in the "Additional Information" field.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09807', 'Conversion of label from string to binary failed.', 'ORACLE was unable to convert the string representation of a label to binary format.', 'Re-enter a valid label.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09808', 'Could not obtain user clearance.', 'ORACLE was unable to get a user''s clearance level.', 'Check the UNIX error number for a possible operating system failure. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09809', 'Unable to get user''s group ID from connection', 'ORACLE was unable to retrieve the user''s group ID number from the SQL*Net connection.', 'Check the UNIX error number for a possible operating system error. Also check the "additional information" field for the SQL*Net error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09810', 'Unable to get process ID from connection', 'ORACLE was unable to retrieve the user''s process ID number from the SQL*Net connection.', 'Check the UNIX error number for a possible operating system error. Also check the "additional information" field for the SQL*Net error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09811', 'Unable to initialize package.', 'ORACLE was unable to initialize the library used to obtain security information.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09812', 'Unable to get user clearance from connection', 'ORACLE was unable to retrieve the user''s operating system session clearance from the SQL*Net connection.', 'Check the UNIX error number for a possible operating system error. Also check the "additional information" field for the SQL*Net error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09813', 'Unable to get directory status', 'ORACLE was unable to determine if a directory is multilevel.', 'Check the UNIX error number for a possible operating system error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09814', 'Unable to expand file name', 'ORACLE was unable to expand the name of a file that resides in multilevel directory.', 'Check the UNIX error number for a possible operating system error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09815', 'File name buffer overflow', 'The buffer that ORACLE uses to hold the expanded name of a too small.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09817', 'Write to audit file failed.', 'ORACLE was unable to write an entry to the file used as the audit trail.', 'Check the UNIX error number for a possible operating system error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09818', 'Number is too large', 'ORACLE was unable to convert a component string to a number because the number is larger than the largest possible value for an integer. The additional information field specifies the maximum.', 'Correct the string and repeat the conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09819', 'Number exceeds maximum legal value', 'the number specified for a component was greater than the maximum value allowed for that component.', 'Change the component to a value less than the maximum and repeat the conversion. The maximum component number is contained in the "Additional information" field.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09820', 'Conversion of class string to numeric representation failed.', 'ORACLE was unable to convert a class string to a number because all of the characters in the string were not numeric.', 'Change the string to be either all numbers or all non-numeric characters and repeat the conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09821', 'Numeric label is not valid', 'A label specified in ORACLE numeric format was found not to be valid.', 'Re-enter a valid label. Consult your system''s encodings for valid numeric component values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09822', 'Translation of audit file name failed.', 'Oracle was unable to translate the value of the AUDIT_FILE_DEST initialization parameter.', 'Check the UNIX error number for a possible operating system error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09823', 'device name is too long', 'The name of a device was too long to fit into an internal buffer. The additional information field contains the length of the device name.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09824', 'Unable to enable allowmacaccess privilege.', 'ORACLE was not able to turn on allowmacaccess privilege so that it could do a label comparison.', 'Check the UNIX error number. If it indicates that ORACLE does not have the allowmacaccess privilege, add the allowmacaccess privilege to the potential privilege set of $ORACLE_HOME/bin/oracle using chpriv (1M). If the executable already has the allowmacaccess privilege, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09825', 'Unable to disable allowmacaccess privilege.', 'ORACLE was not able to turn off the allowmacaccess privilege after doing a label comparison.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09826', 'SCLIN: cannot initialize atomic latch.', 'System call atomic_op() return error.', 'Check additional information in the trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09827', 'SCLGT: atomic latch return unknown error.', 'System call atomic_op() return unexpected error.', 'Check additional information in the trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09828', 'SCLFR: atomic latch return error.', 'System call atomic_op() return unexpected error.', 'Check additional information in the trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09829', 'pw_createPorts: server call pws_start_instance failed.', 'The call pws_start_instance to (Oracle helper) failed; system resources might be exhausted.', 'Make sure the server is still active. Check the error code returned in sercerrno, and look for error messages in the server log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09830', 'snyAddPort: failed to perform a remote procedure call.', 'The msg_rpc system call returned an error.', 'Internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09831', 'snyStartThread: failed to build the server port set.', 'The routine failed to build a port set on which to listen for requests.', 'Possible operating system failure. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09832', 'infoCallback: bad message format.', 'The routine received an incorrectly formatted request.', 'Internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09833', 'addCallback: bad message format.', 'The routine received an incorrectly formatted request.', 'Internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09834', 'snyGetPortSet: failed to collect info on a port.', 'The port_status system called failed.', 'Possible operating system error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09835', 'addCallback: callback port is already in a set.', 'The port to be added to the callback list is already in a port set.', 'Internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09836', 'addCallback: could not add a port to the callback set.', 'The port_set_add system called failed.', 'Possible operating system error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09837', 'addCallback: could not add allocate a callback link.', 'The malloc library call failed to allocate space for a callback link.', 'Possible operating system error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09838', 'removeCallback: failure removing the callback port.', 'The port port_set_remove system call failed.', 'Possible operating system error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09839', 'removeCallback: callback port is not in the callback set.', 'The port to be removed to the callback list is not in the callback port set.', 'Internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09840', 'soacon: Name translation failure.', 'sltln() could not translate the named pipe ?/dbs/mon2arch_@.', 'Make sure that the ORACLE_HOME specified for this ORACLE_SID in oratab is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09841', 'soacon: Name translation failure.', 'sltln() could not translate the named pipe ?/dbs/arch2mon_@.', 'Make sure that the ORACLE_HOME specified for this ORACLE_SID in oratab is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09842', 'soacon: Archmon unable to create named pipe.', 'mknod() failed to create named pipe ?/dbs/mon2arch_@.', 'Your current OS login may lack write permission for the ORACLE_HOME/dbs directory. Only userids in the dba group of a given instance can run archmon for that ORACLE_SID. Make sure that the ORACLE_HOME directory is correct in oratab.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09843', 'soacon: Archmon unable to create named pipe.', 'mknod() failed to create named pipe ?/dbs/arch2mon_@.', 'Your current OS login may lack write permission for the ORACLE_HOME/dbs directory. Only userids in the dba group of a given instance can run archmon for that ORACLE_SID. Make sure that the ORACLE_HOME directory is correct in oratab.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09844', 'soacon: Archmon unable to open named pipe.', 'open() failed to open named pipe ?/dbs/mon2arch_@.', 'Only the oracle dba can run archmon. Make sure that your current OS login has owner or group search permission for the ORACLE_HOME/dbs directory. The max number of open files may have been exceeded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09845', 'soacon: Archmon unable to open named pipe.', 'open() failed to open named pipe ?/dbs/arch2mon_@.', 'Only the oracle dba can run archmon. Make sure that your current OS login has owner or group search permission for the ORACLE_HOME/dbs directory. The max number of open files may have been exceeded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09846', 'soacon: ARCH unable to open named pipe.', 'open() failed to open named pipe ?/dbs/mon2arch_@.', 'Make sure that the OS userid of the currently running database has search permission for the ORACLE_HOME/dbs directory. The max number of open files may have been exceeded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09847', 'soacon: ARCH unable to open named pipe.', 'open() failed to open named pipe ?/dbs/arch2mon_@.', 'Make sure that the OS userid of the currently running database has search permission for the ORACLE_HOME/dbs directory. The max number of open files may have been exceeded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09850', 'soacon: Archmon unable to lock named pipe.', 'fcntl() failed to set write lock on named pipe ?/dbs/arch2mon_@.', 'Make sure that archmon is not already active on another terminal for this ORACLE_SID. Only one archmon session is allowed at a time for a given instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09851', 'soacon: Archmon unable to lock named pipe.', 'fcntl() failed to set read lock on named pipe ?/dbs/mon2arch_@.', 'Make sure that archmon is not already active on another terminal for this ORACLE_SID. Only one archmon session is allowed at a time for a given instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09853', 'snyRemovePort: bad return code from request.', 'The request to remove a port from the callback set returned a failure code.', 'Possible operating system error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09854', 'snyPortInfo: bad return code from request.', 'The request to collect info on a port in the callback set returned a failure code.', 'Possible operating system error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09855', 'removeCallback: bad message format.', 'The routine received an incorrectly formatted request.', 'Internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09856', 'smpalo: vm_allocate error while allocating pga.', 'The vm_allocate system call returned an error.', 'Check returned error. Possibly out of system resources.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09857', 'smprset: vm_protect error while protecting pga.', 'The vm_protect system call returned an error.', 'Internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09858', 'sfngat: the input file name is not in the OMF format', 'The function sfngat() received a filename which is not an OMF file name.', 'Further diagnostic information should be in the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09859', 'sfngat: the input file name is not in the autobackup OMF format', 'The function sfngat() received a filename which is not an autobackup OMF file name.', 'Further diagnostic information should be in the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09870', 'spini: failure initializing maximum number of open files.', 'ulimit system call returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09871', 'TASDEF_NAME: translation error while expanding ?/dbs/tasdef@.dbf.', 'Failure of sltln(?/tasdef@.dbf) while creating test and set pages.', 'Check additional return error for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09872', 'TASDEF_CREATE: create failure in creating ?/dbs/tasdef@.dbf.', 'Create() failed when trying to create the tasdef file.', 'Verify permissions on $(ORACLE_HOME)/dbs directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09873', 'TASDEF_OPEN: open error when opening tasdef@.dbf file.', 'Unable to open tasdef@.dbf file.', 'Check errno. Possible permission problem. Verify that tasdef@.dbf file exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09874', 'TASDEF_READ: read error, unable to read tasdef@.dbf file.', 'Read system call returned an error when attempting to read ?/dbs/tasdef@.dbf.', 'Check errno returned. Sgadef file may be corrupted or incompatible with oracle version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09875', 'TASDEF_WRITE: write error when writing ?/dbs/tasdef@.dbf file.', 'Write call failed.', 'Check errno returned. Possibly out of space on device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09876', 'TASDEF_CLOSE: unable to close ?/dbs/tasdef@.dbf file.', 'Close system call returned an error.', 'Check errno returned. Possible operating system failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09877', 'sstascre: shmget error, unable to get a shared memory segment.', 'Error in shmget.', 'Check errno returned. Verify that enough shared memory is available on the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09878', 'sstascre/sstasat: shmat error, unable to attach tas write page', 'Error in shmat.', 'Check errno returned.Verify that enough shared memory is available on the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09879', 'sstascre/sstasat: shmat error, unable to attach tas read page', 'Error in shmat.', 'Check errno returned.Verify that enough shared memory is available on the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09880', 'sstasfre/sstasdel: shmdt error, unable to detach tas write page', 'Error in shmdt.', 'Check errno returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09881', 'sstasfre/sstasdel: shmdt error, unable to detach tas read page', 'Error in shmdt.', 'Check errno returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09882', 'sstasfre/sstasdel: shmctl error, unable to remove tas shm page', 'Error in shmctl.', 'Check errno returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09883', 'Two Task interface: oratab file does not exist', 'The oratab file does not exist.', 'Install oracle before you use it or recreate the oratab file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09884', 'Two Task interface: SID doens''t match current PU', 'You are trying to start oracle on another PU than you configured oracle on or there is no entry for this SID in oratab file.', 'Start oracle with this SID on its designated PU (see oratab file). Or install the new database with SID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09885', 'osnTXtt: cannot create TXIPC channel', 'The TXIPC driver failed to create pipes for two-task communications with the oracle shadow process.', 'You have probably exceeded the maximum number of open file descriptors per user or the system file table is full. Note the operating system error code and contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09886', 'osnTXtt: translation error while expanding txipc@.trc.', 'Failure of sltln(txipc@.trc) while creating debug channel.', 'Check additional return error for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09888', 'osnTXtt: txipc channel creation failed', 'The txipc driver failed to create channels for two-task communications with the oracle shadow process.', 'You have probably exceeded the maximum number of open file descriptors per user or the system file table operating system error code and contact your system administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09889', 'osnTXtt: access error on oracle executable', 'The txipc driver could not access the oracle executable.', 'Check the permissions on the ORACLE executable and each component of the ORACLE_HOME/bin path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09890', 'osnTXtt: malloc failed', 'The txipx driver failed to allocate enough heap space for its context area buffers.', 'Contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09908', 'slkmnm: gethostname returned error code.', 'The system call gethostname returned an error.', 'This is most likely an internal error. Make sure gethostname is successful in other contexts, and if so contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09909', 'Malloc of scratch buffer failed.', 'Memory needed for a temporary buffer could not be allocated. The additional information field contains the number of bytes that ORACLE attempted to allocate.', 'Check the UNIX error number. It is probable that the system has run out of memory. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09910', 'Unable to find ORACLE password file entry for user.', 'No entry exists for the user in the ORACLE password file.', 'Have the database administrator install a password entry by running orapasswd.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09911', 'Incorrect user password.', 'The password entered by the user was incorrect.', 'Enter the correct password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09912', 'Malloc of name buffer(s) failed.', 'ORACLE was unable to allocate memory for one or both of the buffers that are used to hold the name of DBA and the operator users.', 'Check the UNIX error number. It is probable that the system has run out of memory. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09913', 'Malloc of dummy name failed.', 'ORACLE was unable to allocate memory for the user name that is to to be used in the encryption of the user''s password.', 'Check the UNIX error number. It is probable that the system has run out of memory. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09914', 'Unable to open the ORACLE password file.', 'ORACLE could not open the password file for reading.', 'Check the UNIX error number. If the error number indicates that the file does not exist, have the database administrator create the file by running orapasswd. If the error number indicates insufficient permissions, ask the database administrator to change the permissions. Otherwise, contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09915', 'Password encryption failed.', 'ORACLE was unable to encrypt a password.', 'This is an internal error - contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09916', 'Required password was not specified.', 'A user attempted to connect as "internal," but did not specify a password.', 'Connect as internal again and specify a password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09918', 'Unable to get user privileges from SQL*Net', 'ORACLE was unable to retrieve the user''s privilege set from the SQL*Net connection.', 'Check the UNIX error number for a possible operating system error. Also check the "additional information" field for the SQL*Net error. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09919', 'Unable to set label of dedicated server', 'ORACLE was unable to set the label of the dedicated to server to the required value.', 'Check the UNIX error number for a possible operating system error. Also, check the privileges on the oracle executable. It should have at least "allowmacaccess" privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09920', 'Unable to get sensitivity label from connection', 'ORACLE was unable to retrieve the user''s sensitivity label from the SQL*Net connection.', 'Check the UNIX error number for a possible operating system error. Also check the "additional information" field for the SQL*Net error. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09921', 'Unable to get information label from connection', 'ORACLE was unable to retrieve the user''s information label from the SQL*Net connection.', 'Check the UNIX error number for a possible operating system error. Also check the "additional information" field for the SQL*Net error. If there is no error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09922', 'Can''t spawn process - background log directory not created properly', 'ORACLE was unable to spawn a background process because the directory that will hold trace files of the background processes was not created properly.', 'Examine the directory pointed to by the initialization parameter "background_dump_dest". Make sure that all of the following is true: ' || '<p>' || '1. The directory exists.' || '<p>' || '' || '<p>' || '2. The name indeed points to a directory, and is not a file.' || '<p>' || '' || '<p>' || '3. The directory is accessible and writable to the ORACLE user.' || '<p>' || '', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09923', 'Can''t spawn process - user log directory not created properly', 'ORACLE was unable to spawn a background process because the directory that holds the trace files of the dedicated server processes was not created properly.', 'Examine the directory pointed to by the initialization parameter "user_dump_dest". Make sure that all of the following is true: ' || '<p>' || '1. The directory exists.' || '<p>' || '' || '<p>' || '2. The name indeed points to a directory, and is not a file.' || '<p>' || '' || '<p>' || '3. The directory is accessible and writable to the ORACLE user.' || '<p>' || '', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09924', 'Can''t spawn process - core dump directory not created properly', 'ORACLE was unable to spawn a background process because the directory that holds the core dumps produced by ORACLE processes in the event of exceptions was not created properly.', 'Examine the directory pointed to by the initialization parameter "core_dump_dest". Make sure that all of the following is true: ' || '<p>' || '1. The directory exists.' || '<p>' || '' || '<p>' || '2. The name indeed points to a directory, and is not a file.' || '<p>' || '' || '<p>' || '3. The directory is accessible and writable to the ORACLE user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09925', 'Unable to create audit trail file', 'ORACLE was not able to create the file being used to hold audit trail records.', 'Check the UNIX error number for a possible operating system error. If there is no error, contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09926', 'Unable to set effective privilege set of the server', 'A dedicated server was unable to set it''s own privilege set.', 'Check the privileges granted to the ORACLE executable. It must have at least "allowmacacess" privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09927', 'Unable to set label of server', 'ORACLE was not able to set the label of a server to a new value.', 'Check the privileges on $ORACLE_HOME/bin/oracle. Make sure that it has "allowmacaccess" privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09928', 'Unable to restore the label of server', 'ORACLE was unable to restore the label of the server to the value that it had before raising it to database high.', 'This is an internal error - contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09929', 'GLB of two labels is invalid', 'The result of a greatest lower bound operation on two labels was not valid.', 'Repeat the operation with two different labels. Consult the system encoding file for the values of valid labels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09930', 'LUB of two labels is invalid', 'The result of a least upper bound operation on two labels was not valid.', 'Repeat the operation with two different labels. Consult the system encoding file for the values of valid labels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09931', 'Unable to open ORACLE password file for reading', 'An attempt to open a password file for reading failed.', 'Make sure that the permissions on the file have not been changed so that the ORACLE user cannot open it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09932', 'Close of ORACLE password file failed.', 'An attempt to close a password file failed.', 'Check the UNIX error number for the specific reason.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09933', 'Deletion of old password file failed.', 'The removal of the old password file failed.', 'Check the UNIX error number for the specific reason.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09934', 'Link of current password file to old failed.', 'ORACLE was unable to create a link so that the old password file could be saved.', 'Check the UNIX error number for the specific reason.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09935', 'Unlink of current password file failed.', 'ORACLE was unable to complete the saving of the current password file.', 'Check the UNIX error number for the specific reason.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09936', 'Open of ORACLE password file for write failed.', 'ORACLE was unable to create a password file.', 'Check the UNIX error number for the specific reason.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09937', 'Chmod of ORACLE password file failed.', 'ORACLE was unable to change a password file to be readonly.', 'Check the UNIX error number for the specific reason.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09938', 'Save of signal handlers failed.', 'ORACLE was unable to save the previous values of selected signal handlers.', 'This is an internal error. Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09939', 'Restoration of signal handlers failed.', 'ORACLE was unable to restore the previous values of selected signal handlers.', 'This is an internal error. Contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09940', 'ORACLE password file header is corrupt', 'The header of one of the password files was not in the format that ORACLE expected.', 'Check the headers of both files. The header should be in the format "FILE VERSION: N.N.N.N.N EXECUTABLE VERSION: N.N.N.N.N" where N is a number. Remove the corrupt file(s) and re-run "orapasswd".', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09941', 'Version of orapasswd or installer is older than file.', 'The version of orapasswd or installer that is being run is older than that of the ORACLE password file. Since the file version is only changed when the format is changed, this error means that the executable is using a different format than that with which the file was created.', 'Run a version of the installer or orapasswd whose version is the same or later than that of the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09942', 'Write of ORACLE password file header failed.', 'The attempt to write out the header of the ORACLE password file failed.', 'Check the operating system error number. It is possible that the file system became full.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09943', 'Allocation of memory for password list component failed.', 'When it is building a list of password file entries, ORACLE allocates memory for various components. One of the allocations failed.', 'Check the operating system error number. The system has probably run out of memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09944', 'Password entry is corrupt.', 'An entry in an ORACLE password file was not in the format that ORACLE expected.', 'Removed the corrupt file(s) and re-run "orapasswd."', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09945', 'Unable to initialize the audit trail file', 'ORACLE unable to write header information to the file being used as the audit trail.', 'Check the UNIX error number for a possible operating system error. If there is no error, contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09946', 'File name too long for buffer', 'The buffer that was to be used to hold a file name was determined to be too short for the generated name. This will happen if the translated name for either a trace file or an audit file is longer than the maximum allowed, which on many ports is 256 characters.', 'Use a shorter file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09947', 'Unable to allocate connection attributes structure', 'ORACLE was not able to allocate the memory needed to hold the attributes of the SQL*Net connection. The "Additional Information" field holds the number of bytes that ORACLE attempted to allocate.', 'Check the UNIX error number. It is probable that the system has run out of memory. If there is no error, contact ORACLE customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09952', 'scgcmn: lk_open_convert unexpected return: open failed', 'The distributed lock manager returned an unexpected value', 'Check for system error message and refer to the distributed lock manager documentation or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09953', 'scggc: unexpected return of a lock convert', 'The distributed lock manager returned an unexpected value', 'Check for lock manager error message and refer to DLM documentation refer to the distributed lock manager documentation or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09954', 'scgcc: unexpected return status to callback of lock close', 'The distributed lock manager returned an unexpected value', 'Check for lock manager error message and refer to DLM documentation refer to the distributed lock manager documentation or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09955', 'scgcan: unexpected return status when canceling a lock', 'DLM system service x returned an unexpected value', 'Check for system error message and refer to DLM documentation refer to the distributed lock manager documentation or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09956', 'scgcm: unexpected lock status condition', 'A global locking system service returned an unexpected value.', 'Check for system error message (if any) and refer to refer to the distributed lock manager documentation or contact your customer support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09957', 'Unable to send termination request to IMON', 'The attempt to send a termination signal to IMON failed.', 'This is an internal error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09958', 'IMON: two processes with the same ORACLE pid are active', 'The IMON process was unable to add an entry for a server process because another active process occupies the slot.', 'This is an internal error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09959', 'IMON: deletion of a process failed.', 'The IMON process was unable to delete a server process from its process ID array because no entry for the process could be found.', 'This is an internal error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09960', 'Unable to establish signal handler for termination signal', 'ORACLE was unable to set up a handler for the signal used to notify it that the instance was shutting down.', 'This is an internal error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09961', 'Unable to restore termination signal handler', 'ORACLE failed to set the handler for the termination signal to its previous value.', 'This is an internal error, contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09966', 'falure in translation while expanding ?/dbs/lk for lock file', 'Oracle failed to translate ?/dbs/lk, when creating a file name for the database mount lock or the instance startup/shutdown lock.', 'Check additional return errors for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09967', 'unable to create or open lock file', 'Oracle failed, when making an open system call, inorder to acquire a file lock used by the database mount lock or the instance startup/shutdown lock.', 'Check errno for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09968', 'unable to lock file', 'The system call for locking a file returned an error when trying to acquire a database mount lock or the instance startup/shutdown lock.', 'Check errno for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09969', 'unable to close or remove lock file', 'The close system call or unlink system call returned an error.', 'Check errno for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09974', 'skxfidini: Error Initializing SDI Channel', 'The process was unable to initialize the SDI channel properly.', 'Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09975', 'kxfspini: Error Initializing SDI Process', 'The process was unable to attach to the SDI channel.', 'Verify that the SDI process specific limits correctly configured. Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09976', 'skxfqdini: Error Creating Port', 'The process was unable to create a communications endpoint.', 'Verify that the SDI port specific limits correctly configured. Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09977', 'skxfqhini: Error Connecting', 'The process was unable to connect to another endpoint.', 'Verify that the SDI port specific limits correctly configured. Check that the other node(s) is part of the cluster and operating properly. Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09978', 'skxfqhdel: Error Disconnecting from another endpoint.', 'The process was unable to disconnect cleanly from another endpoint.', 'Check that the other node(s) are part of the cluster and operating properly. Check the instance and processes on the other node(s). Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09979', 'skxfqhsnd: Error Sending a message to another endpoint', 'The process was unable to send a message to an existing endpoint.', 'Check that the other node(s) are part of the cluster and operating properly. Check the instance and processes on the other node(s). Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09980', 'skxfqdrcv: Error Receiving a message from another endpoint', 'The process encountered an error while trying to receive a message.', 'Check that the other node(s) are part of the cluster and operating properly. Check the instance and processes on the other node(s). Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09981', 'skxfqdreg: Error Adding a page to the SDI buffer pool', 'The process was unable to add a page to the SDI buffer pool.', 'Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09982', 'skxfqddrg: Error Removing a page from the SDI buffer pool', 'The process was unable to remove a page to the SDI buffer pool.', 'Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09983', 'skxfidsht: Error shutting down SDI channel', 'The process was unable shut down the SDI channel', 'Check the SDI persistent resources using SDI tools. Verify that all processes exited cleanly and the instance is safely shut down. Delete any remaining SDI channel IDs associated with the current instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09984', 'SGA file $ORACLE_HOME/dbs/sgadef$ORACLE_SID.dbf does not exist', 'file does not exist or is not accessible', 'Restart the instance to create the SGA definition file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09985', 'SGA definition file could not be read', 'UNIX read() operation failed', 'check errno and take appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09986', 'wrong number of bytes read from SGA definition file', 'Struct skgmsdef size differs from no. of bytes read from SGA file', 'Compare the two struct definitions and ensure that they are identical in size and structure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09987', 'unable to attach to SGA in READ-ONLY mode', 'The instance is not up, or SGA segments are not read-accessible', 'Verify that the instance is up and read permissions for the SGA segments are set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09988', 'error while detaching SGA', 'skgmsdef struct is corrupted and/or segment addresses are modified', 'Safely shut down instance and mount SGA segments again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-09989', 'attempt to use invalid skgmsdef struct pointer', 'Pointer to skgmsdef struct used without validating it', 'Assign a valid address to the skgmsdef struct pointer before using it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10243', 'simulated error for test string of K2GTAB latch cleanup', 'levels 1..6 for insert, 7..11 for delete', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10244', 'make tranids in error msgs print as 0.0.0 (for testing)', 'also makes "alter system enable distributed recovery" synchronous', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10259', 'get error message text from remote using explicit call', 'for npigem coverage testing (normally called only for V5 remote)', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10261', 'Limit the size of the PGA heap', 'the limit is one kilobyte times the level of the event. If the pga grows bigger than this signal an internal error.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10262', 'Don''t check for memory leaks', 'Setting this event to level one causes memory leak checking to be disabled. Setting this event to any other non-zero number allows that number to be used as a threshold value when checking for memory leaks in the PGA, SGA, and UGA heaps.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10263', 'Don''t free empty PGA heap extents', 'This is useful for debugging since watchpoints are lost on free', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10265', 'Keep random system generated output out of error messages', 'so test system files don''t diff', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10266', 'Trace OSD stack usage', 'Porters should implement this to help them debug their stack implementations. It should be used in at least smcstk().', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10267', 'Inhibit KSEDMP for testing', 'Some tests may generate internal or fatal errors on purpose.', 'LEVEL used by KSEDMP is one less than level of this event.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10268', 'Don''t do forward coalesce when deleting extents', 'setting this event keeps kts from coalescing forward at each extent when dropping a temp segment.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10269', 'Don''t do coalesces of free space in SMON', 'setting this event prevents SMON from doing free space coalesces', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10270', 'Debug shared cursors', 'Enables debugging code in shared cursor management modules', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10281', 'maximum time to wait for process creation', 'used to override the default SPMXWAIT, level = timeout in sec.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10282', 'Inhibit signalling of other backgrounds when one dies', 'Used in KSB', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10284', 'simulate zero/infinite asynch I/O buffering', 'Used in KCF, level=1 out of space (red), level=2 infinite (green)', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10452', 'Cannot do block media recovery; media recovery session may be in progress', 'A media recovery, RMAN, or flashback database session may have been in progress when an attempt was made to perform block media recovery on the standby database.', 'Check for and cancel any conflicting recovery session and perform block media recovery on the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10456', 'cannot open standby database; media recovery session may be in progress', 'A media recovery, RMAN, or flashback database session may have been in progress on a mounted instance of a standby database when an attempt was made to open the standby database.', 'Check for and cancel any conflicting recovery session and open the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10457', 'cannot close standby database due to active media recovery', 'A media recovery session was in progress on a standby database when an attempt was made to close the standby database.', 'Cancel the media recovery session and close the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10458', 'standby database requires recovery', 'A standby database was in a state requiring media recovery when an attempt was made to open the standby database.', 'Perform the necessary recovery and open the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10459', 'cannot start media recovery on standby database; another instance may be open', 'An attempt was made to perform media recovery on a standby database while another instance performed recovery on the standby or had the standby open.', 'Close the standby on all other instances, cancel any conflicting recovery session, and perform manual recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10469', 'error creating control file backup, no checkpoint', 'The control file being backed up did not contain a valid control file checkpoint. Therefore the control file could not be backed up, as such a backup would not be usable later for recovery. A common cause for this situation is that you executed CREATE CONTROLFILE, which mounts the database, but not ALTER DATABASE OPEN, to open the database. The latter operation generates a valid control file checkpoint.', 'Open the database with ALTER DATABASE OPEN ..., which results in a valid control file checkpoint. Run the backup operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10546', 'Cannot perform block media recovery; standby database does not have requisite redo.', 'An attempt was made to perform block media recovery on the standby database when the necessary redo was not available.', 'Wait until the necessary redo is available and reattempt block media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10547', 'Cannot perform block media recovery; standby database is not caught up with primary.', 'An attempt was made to perform block media recovery on the standby database up to scn %s, which is greater than the highest scn of %s yet applied at the standby.', 'Recover the standby up to scn %s and reattempt block media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10585', 'Test recovery can not apply redo that may modify control file', 'Test recovery has encountered a special redo that may modify control file.', 'No action is needed. Test recovery has proceeded successfully as far as it could from its starting point.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10586', 'Test recovery had to corrupt 1 data block in order to proceed', 'This message summarizes test recovery result: Oracle may have to corrupt one block in order to apply the range of redo tested.', 'See alert log for details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10587', 'Invalid count for ALLOW n CORRUPTION option', 'The number specified in the ALLOW n CORRUPTION option is too big.', 'Use a smaller number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10588', 'Can only allow 1 corruption for normal media/standby recovery', 'The number specified in the ALLOW n CORRUPTION option is too big.', 'change to allow zero or one corruption.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10589', 'Test recovery had to corrupt string data blocks in order to proceed', 'This message summarizes test recovery result: Oracle may have to corrupt a number of data blocks as specified in the message in order to apply the range of redo tested.', 'See alert log for details of the problems.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10614', 'Operation not allowed on this segment', 'This procedure can be used only on segments in tablespaces with AUTO SEGMENT SPACE MANAGEMENT', 'Recheck the segment name and type and re-issue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10615', 'Invalid tablespace type for temporary tablespace', 'Tablespace with AUTO SEGMENT SPACE MANAGENEMT specified cannot be used as a temporary tablespace', 'Recheck the tablespace name and re-issue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10616', 'Operation not allowed on this tablespace', 'Cannot perform the operation on tablespace with AUTO SEGMENT SPACE MANAGEMENT', 'Recheck the tablespace name and re-issue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10617', 'Cannot create rollback segment in dictionary managed tablespace', 'Rollback segments cannot be created in dictionary managed tablespaces when SYSTEM tablespace is locally managed', 'Recheck the tablespace name and re-issue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10618', 'Operation not allowed on this segment', 'This DBMS_SPACE operation is not permitted on segments in tablespaces with AUTO SEGMENT SPACE MANAGEMENT', 'Recheck the segment name and type and re-issue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10619', 'Avoid assertions when possible', 'A bug (or upgrade) hits unicode assertions (csid, csform, bfc)', 'Event makes RDBMS skip assertions and patch up datastructures', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10620', 'Operation not allowed on this segment', 'Cannot alter freelist storage parameter for segments in tablespaces with AUTO SEGMENT SPACE MANAGEMENT', 'Recheck the segment name and re-issue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10627', 'Dump the content of the index leaf block', 'Generate a complete index tree dump, not just an overview during alter session set events immediate trace name treedump', 'This event is recommended only for small table/index since it', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10628', 'Turn on sanity check for kdiss index skip scan state', 'Will do sanity checking on the kdiss state.', 'set this event only under the supervision of Oracle development', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10630', 'Illegal syntax specified with SHRINK clause', 'An illegal option was specified with the SHRINK clause', 'Verify the SQL Reference Manual and reissue the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10631', 'SHRINK clause should not be specified for this object', 'It is incorrect to issue shrink on the object', 'Verify the object name and type and reissue the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10632', 'Invalid rowid', 'Segment Highwatermark was overwritten due to shrink and space reused', 'Reissue this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10633', 'No space found in the segment', 'Raised while trying to find space during segment shrink', 'This error should be trapped internally and treated. The user should not be able to see the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10634', 'Segment is already being shrunk', 'Only one invocation of shrink can be in progress on a segment at any time', 'Reissue the command after the first shrink is over', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10635', 'Invalid segment or tablespace type', 'Cannot shrink the segment because it is not in auto segment space managed tablespace or it is not a data, index or lob segment.', 'Check the tablespace and segment type and reissue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10636', 'ROW MOVEMENT is not enabled', 'To shrink a data segment, row movement must be enabled.', 'Enable row movement and reissue this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10637', 'The segment does not exist', 'Segment to be shrunk has been dropped', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10638', 'Index status is invalid', 'Cannot shrink an index which is being rebuilt or disabled is an unusable state.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10662', 'Segment has long columns', 'Shrink was issued on a segment with long columns. This is not supported.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10663', 'Object has rowid based materialized views', 'Shrink was issued on an object with rowid based materialized views.', 'Drop the rowid based materialized views and issue shrink on the object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10664', 'Table has bitmap join indexes', 'SHRINK was issued on a table with bitmap join indexes.', 'Drop bitmap join indexes and reissue SHRINK on the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10665', 'Inject Evil Literals', 'Event 10665 is set to some number > 0, causing 1/(value-1) of all literals to be replaced by 2000 letter ''A''s. A value of 1 does not corrupt anything.', 'never set this event', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10668', 'Inject Evil Identifiers', 'event 10668 is set to some number > 0, causing 1/(value-1) of all identifiers to be replaced by a maximum amount of x''s. It is common for an identifier to be parsed once with a max of 30 bytes, then reparsed later with a max of 4000, so it may not be possible to inject such an identifier without the aid of this event. A value of 1 causes no identifiers to be corrupted.', 'never set this event', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10690', 'Set shadow process core file dump type (Unix only)', 'Control core file size for shadow processes', 'Level 1: Detach SGA before dumping core Level 2: Do not produce any core', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10691', 'Set background process core file type (Unix only)', 'Control core file size file for background processes', 'Level 1: Detach SGA before dumping core', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10700', 'Alter access violation exception handler', 'Use this event to control what the VMS exception handler does when it encounters an access violation.', 'Level: >=10 Suspend current process on access violation *** SET THIS EVENT ONLY UNDER THE SUPERVISION OF ORACLE DEVELOPMENT ***', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10701', 'Dump direct loader index keys', 'Dumps index keys at various points in a direct load based on the value of this event.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10704', 'Print out information about what enqueues are being obtained', 'When enabled, prints out arguments to calls to ksqcmi and ksqlrl and the return values.', 'Level indicates details: Level: 1-4: print out basic info for ksqlrl, ksqcmi 5-9: also print out stuff in callbacks: ksqlac, ksqlop 10+: also print out time for each line', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10706', 'Print out information about global enqueue manipulation', 'When enabled, prints out activity in ksi routines.', 'Level indicates details: 0-4: show args for each main call 5-9: also indicate callbacks 10+: also printout time for each line', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10707', 'Simulate process death for instance registration', 'When enabled, process commits suicide to test instance registration recovery code.', 'Level indicates where the process will die', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10828', 'memory allocator error', 'Error in the memory allocator', 'Check the trace files and other relevant output', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10841', 'Default un-inintialized charact set form to SQLCS_IMPLICIT', 'client side, such as JDBC-THIN 8i client sends 0 as charset form', 'This event sets charset form as SQLCS_IMPLICIT when it is 0', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12026', 'invalid filter column detected', 'One or more of the specified filter columns did not exist or was a primary key column or a primary key based object identifier.', 'Ensure that all specified filter columns exist in the master table and ensure that primary key columns or primary key based object identifiers are not included in the list of filter columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12027', 'duplicate filter column', 'One or more of the specified filter columns were already being recorded in the materialized view log.', 'Describe the materialized view log table and reissue the SQL command with the filter columns that are already being recorded in the materialized view log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12028', 'materialized view type is not supported by master site string', 'Pre-Oracle8 master sites are not able to support primary key or subquery materialized views that are able to perform a fast refresh.', 'Create a ROWID materialized view or use a master table from an Oracle8 site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12029', 'LOB columns may not be used as filter columns', 'An attempt was made to use LOB columns as filter columns.', 'Remove LOB columns from the filter columns list and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12030', 'cannot create a fast refresh materialized view', 'The materialized view log did not exist or did not log the information needed by the materialized view to perform a fast refresh.', 'Ensure that the materialized view log exists and logs the necessary information. ' || '<p>' || '- For ROWID materialized views, the master table''s ROWID must be logged.' || '<p>' || '' || '<p>' || '- For primary key materialized views, the master table''s primary key columns must be logged.' || '<p>' || '' || '<p>' || '- For subquery materialized views, the filter columns, primary key, and ROWID values must be logged.' || '<p>' || '' || '<p>' || '- For object materialized views, object id must be logged.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12031', 'cannot use primary key columns from materialized view log on "string"."string"', 'The materialized view log either did not have primary key columns logged, or the timestamp associated with the primary key columns was more recent than the last refresh time.', 'A complete refresh is required before the next fast refresh. Add primary key columns to the materialized view log, if required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12032', 'cannot use rowid column from materialized view log on "string"."string"', 'The materialized view log either does not have ROWID columns logged, or the timestamp associated with the ROWID columns is more recent than the last refresh time.', 'A complete refresh is required before the next fast refresh. Add ROWID columns to the materialized view log, if required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12033', 'cannot use filter columns from materialized view log on "string"."string"', 'The materialized view log either did not have filter columns logged, or the timestamp associated with the filter columns was more recent than the last refresh time.', 'A complete refresh is required before the next fast refresh. Add filter columns to the materialized view log, if required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12034', 'materialized view log on "string"."string" younger than last refresh', 'The materialized view log was younger than the last refresh.', 'A complete refresh is required before the next fast refresh.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12035', 'could not use materialized view log on "string"."string"', 'The materialized view log did not exist or could not be used.', 'Use just REFRESH, which will reinstantiate the entire table. If a materialized view log exists and the form of the materialized view allows the use of a materialized view log, REFRESH FAST will be available starting the next time the materialized view is refreshed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12036', 'updatable materialized view log is not empty, refresh materialized view', 'The updatable materialized view log was not empty. The updatable materialized view log must be empty before an updatable rowid materialized view can be altered to a primary key materialized view.', 'Ensure that updatable materialized view log is empty by refreshing the materialized view before converting the updatable ROWID materialized view to a primary key materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12037', 'unknown export format', 'An attempt was made to import a materialized view exported by an unknown export version (e.g., from a newer release than the importing site)', 'Re-export the file using a version of export known by the importing site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12039', 'unable to use local rollback segment "string"', 'A local rollback segment was specified in the CREATE MATERIALIZED VIEW command, but automatic refresh parameters were not specified. Therefore a refresh group was not created to automatically refresh the materialized view and the local rollback segment can''t be registered for future use.', 'Either supply the automatic refresh parameters so that a refresh group will be created or do not specify a local rollback segment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12040', 'master rollback segment option not support by master site string', 'An attempt was made to specify master rollback segment in the current operation. The master site of the current materialized view does not allow users to specify a rollback segment to be used for materialized view operations. This feature is only supported by Oracle8 or later master sites.', 'Do not specify a master rollback segment in the current operation or choose a new master site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12041', 'cannot record ROWIDs for index-organized table "string"."string"', 'Index-organized tables do not have ROWIDs. Therefore a materialized view log that records the ROWIDs of an index-organized table could not be created.', 'Do not include the WITH ROWID option when using the CREATE MATERIALIZED VIEW command and do not include the ADD ROWID option when using the ALTER MATERIALIZED VIEW command if the master table is index-organized.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12042', 'cannot alter job_queue_processes in single process mode', 'An attempt was made to alter job_queue_processes in single process mode.', 'Do not attempt to set job_queue_processes in single process mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12043', 'invalid CREATE MATERIALIZED VIEW option', 'An invalid option was used in a CREATE MATERIALIZED VIEW statement.', 'Specify only valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12044', 'invalid CREATE MATERIALIZED VIEW LOG option', 'An invalid option was used in a CREATE MATERIALIZED VIEW LOG statement.', 'Specify only valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12045', 'invalid ALTER MATERIALIZED VIEW LOG option', 'An invalid option was used in an ALTER MATERIALIZED VIEW LOG statement.', 'Specify only valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12046', 'cannot use trusted constraints for refreshing remote MV', 'REFRESH USING TRUSTED CONSTRAINTS specified in ALTER MATERIALIZED VIEW or CREATE MATERIALIZED VIEW of a remote materialized view', 'remove this attribute from ALTER/ CREATE MATERIALIZED VIEW DDL', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12047', 'PCT FAST REFRESH cannot be used for materialized view "string"."string"', 'PCT refresh is either not enabled on this materialized view or not possible after set of the base table changes since last refresh.', 'Use just REFRESH FORCE, which will reinstantiate the entire table and try to pick the best refresh method on the materialized view Do explain_mview to look at the cause why PCT refresh is not possible on this materialized view', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10659', 'Segment being shrunk is not a lob', 'Shrink was issued on a segment that should be a first class lob or other data type stored in lob', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12048', 'error encountered while refreshing materialized view "string"."string"', 'Some problem occurs during refresh of multiple materialized views in atomic mode. The materialized view whose refresh failed has raised this error.', 'Examine the other messages on the stack to find the refresh problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12055', 'materialized view definition contains cyclic dependencies with existing materialized views', 'The materialized view query definition introduced a cyclic dependency with existing materialized view.', 'Modify the materialized view query definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12056', 'invalid REFRESH method', 'The NEVER REFRESH option may not be used under the following conditions: ' || '<p>' || '* The materialized view is updatable' || '<p>' || '' || '<p>' || '* The materialized view refreshes ON COMMIT' || '<p>' || '' || '<p>' || '* Automatic refresh options are specified', 'For updatable materialized views, reissue the SQL command using REFRESH FORCE, REFRESH FAST, or REFRESH COMPLETE. For read-only materialized views, reissue the SQL command using ON DEMAND.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12057', 'materialized view "string"."string" is INVALID and must complete refresh', 'The status of the materialized view was INVALID and an attempt was made to fast refresh the materialized view.', 'Perform a complete refresh of the materialized view. Check the value of the STATUS column in dba_mviews, all_mviews, or user_mviews to verify that the materialized view is VALID after the complete refresh.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12058', 'materialized view cannot use prebuilt table', 'An attempt was made to use the prebuilt tables.', 'Reissue the SQL command using BUILD IMMEDIATE or BUILD DEFERRED.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12059', 'prebuilt table "string"."string" does not exist', 'The specified prebuilt table did not exist.', 'Reissue the SQL command using BUILD IMMEDIATE, BUILD DEFERRED, or ensure that the prebuilt table exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12060', 'shape of prebuilt table does not match definition query', 'The number of columns or the type or the length semantics of a column in the prebuilt table did not match the materialized view definition query.', 'Reissue the SQL command using BUILD IMMEDIATE, BUILD DEFERRED, or ensure that the prebuilt table matches the materialized view definition query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12061', 'invalid ALTER MATERIALIZED VIEW option', 'An invalid option was used in an ALTER MATERIALIZED VIEW statement.', 'Specify only valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12062', 'transaction string received out of sequence from site string', 'A transaction from the client site was received out of sequence. This implies that one or more transactions were missing.', 'Ensure that the transaction queue at the client site is valid and has not been corrupted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12063', 'unable to apply transaction from site string', 'The current transaction from the client site could not be applied to the master site.', 'Ensure that the client site is still valid and that it has not been dropped from the master site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12064', 'invalid refresh sequence number: string', 'The client site was attempting to perform a refresh with an invalid refresh sequence.', 'Perform a complete refresh to synchronize the refresh sequence number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12065', 'unknown refresh group identifier string', 'The specified refresh group did not exist at the master site.', 'Ensure that the client site is still valid and that it has not been dropped from the master site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12066', 'invalid CREATE MATERIALIZED VIEW command', 'The Replication API does not support the following options and types of materialized view: ' || '<p>' || 'o ROWID materialized views' || '<p>' || '' || '<p>' || 'o REFRESH ON COMMIT' || '<p>' || '' || '<p>' || 'o ON PREBUILT TABLE' || '<p>' || '' || '<p>' || 'o BUILD DEFERRED' || '<p>' || '' || '<p>' || 'o NEVER REFRESH' || '<p>' || '' || '<p>' || 'o ENABLE QUERY REWRITE', 'Create a PRIMARY KEY materialized view using REFRESH WITH PRIMARY KEY and/or remove the invalid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12067', 'empty refresh groups are not allowed', 'The refresh group being instantiated did not contain any materialized views.', 'Modify the template to include at least one materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12068', 'updatable mview log for mview "string"."string" does not exist', 'The updatable materialized view was missing the updatable materialized view log required to track updates made to the materialized view.', 'Create the updatable materialized view log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12069', 'invalid object for offline instantiation', 'Only materialized views can be offline instantiated. The object being offline instantiated was not a valid materialized view.', 'Remove the object from the template or replace the object with a valid materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12070', 'cannot offline instantiate materialized view "string"."string"', 'Offline instantiation does not support materialized views using the following options: ' || '<p>' || 'o ON PREBUILT TABLE' || '<p>' || '' || '<p>' || 'o BUILD DEFERRED', 'Remove the invalid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12071', 'definition query of "string"."string" is invalid for offline instantiation', 'Offline instantiation requires materialized view definition queries to observe the following constraints: ' || '<p>' || 'o The database link that will be used by the materialized view site to connect to the master site must be included with each master table referenced in the query.' || '<p>' || '' || '<p>' || 'o All master tables referenced must be located at the local site. References to other sites are not allowed.', 'Modify the materialized view definition query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12072', 'updatable materialized view log data for "string"."string" cannot be created', 'The updatable materialized view was missing the updatable materialized view log required to track updates made to the materialized view.', 'Create an updatable materialized view log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12073', 'request cannot be processed', 'An out-of-sequence request was made and it cannot be processed.', 'Try again with a valid request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12074', 'invalid memory address', 'An attempt was made to access an invalid memory region.', 'Reconnect and try the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12075', 'invalid object or field', 'An attempt was made to access an invalid field or object in the Java Virtual Memory.', 'Retry the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12076', 'invalid threshold value', 'The result set threshold or LOB threshold value is not supported.', 'Specify a threshold value below 64K.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12077', 'temporary updatable materialized view log does not exist', 'Temporary updatable materialized view log was not created or was dropped.', 'Re-create the temporary updatable materialized view log. Warning: This will cause a complete refresh of the materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12078', 'fast refresh of refresh group ID string failed', 'Refresh result set sent through client method REFRESH_REQ_RESULT returned an unknown value.', 'Re-issue the refresh request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12081', 'update operation not allowed on table "string"."string"', 'An attempt was made to update a read-only materialized view.', 'No action required. Only Oracle is allowed to update a read-only materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12082', '"string"."string" cannot be index organized', 'An attempt was made to create an index-organized materialized aggregate view or an index-organized updatable ROWID materialized view. This is not supported.', 'Try to create the materialized view without the index organization clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12083', 'must use DROP MATERIALIZED VIEW to drop "string"."string"', 'An attempt was made to drop a materialized view using a command other than DROP MATERIALIZED VIEW.', 'Use the DROP MATERIALIZED VIEW command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10653', 'Table is in a cluster', 'It is illegal to shrink a table belonging to a cluster', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10654', 'Table is of type temporary or external', 'It is illegal to shrink a temporary table or an external table', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10655', 'Segment can be shrunk', 'Error message returned when called in probe mode by OEM', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10656', 'Table is in unusable state due to incomplete operation', 'ALTER TABLE SHRINK operation was tried on the table which is in unusable state because of previously failed/incomplete operation.', 'If the previous operation was ' || '<p>' || '- DROP COLUMN, resubmit DROP COLUMN CONTINUE' || '<p>' || '' || '<p>' || '- DROP TABLE, resubmit DROP TABLE <table> PURGE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10657', 'Lob column to be shrunk does not exist', 'Shrink was issued on a lob segment that did not exist', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10658', 'Lob column to be shrunk is marked unused', 'Shrink was issued on a lob segment that is marked as unused', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12084', 'must use ALTER MATERIALIZED VIEW to alter "string"."string"', 'An attempt was made to alter a materialized view using a command other than ALTER MATERIALIZED VIEW.', 'Use the ALTER MATERIALIZED VIEW command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12085', 'materialized view log on "string"."string" already has object id', 'Materialized view log on the indicated table already has object id information.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12086', 'table "string"."string" is not an object table', 'The CREATE MATERIALIZED VIEW LOG command was issued with the WITH OBJECT ID option and the master table is not an object table.', 'Either specify the name of an object table, or remove the WITH OBJECT ID clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12087', 'online redefinition not allowed on tables owned by "string"', 'An attempt was made to online redefine a table owned by SYS or SYSTEM.', 'Do not attempt to online redefine a table owned by SYS or SYSTEM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12088', 'cannot online redefine table "string"."string" with unsupported datatype', 'An attempt was made to online redefine a table containing a LONG column, an ADT column, or a FILE column.', 'Do not attempt to online redefine a table containing a LONG column, an ADT column, or a FILE column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12089', 'cannot online redefine table "string"."string" with no primary key', 'An attempt was made to online redefine a table that does not have a primary key defined on it.', 'Do not attempt to online redefine a table that does not have a primary key defined on it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12090', 'cannot online redefine table "string"."string"', 'An attempt was made to online redefine a table that is either a temporary table, an IOT overflow table, a table with fine-grained access control or row-level security enabled, a CDC change table, or a table with a CDC change table defined on it.', 'Do not attempt to online redefine a table that is not supported by online redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12091', 'cannot online redefine table "string"."string" with materialized views', 'An attempt was made to online redefine a table that had materialized views defined on it or had a materialized view log defined on it or is a master.', 'Drop all materialized views and materialized view logs before attempting to online redefine the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12092', 'cannot online redefine replicated table "string"."string"', 'An attempt was made to online redefine a table that is either a materialized view or a replicated table.', 'Do not attempt to online redefine a table that is either a materialized view or a replicated table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12093', 'invalid interim table "string"."string"', 'The table is not the interim table of the corresponding table to be online redefined.', 'Pass in the valid interim table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12094', 'error during online redefinition', 'There was an error during the online redefinition process.', 'Abort the online redefinition process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12096', 'error in materialized view log on "string"."string"', 'There was an error originating from this materialized view log. One possible cause is that schema redefinition has occurred on the master table and one or more columns in the log is now a different type than corresponding master column(s). Another possible cause is that there is a problem accessing the underlying materialized view log table.', 'Check further error messages in stack for more detail about the cause. If there has been schema redefinition, drop the materialized view log and recreate it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12097', 'changes in the master tables during refresh, try refresh again', 'There are some changes (i.e., conventional DML, direct load, partition maintenance operation) in the master tables during materialized view refresh.', 'Refresh the affected materialized views again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12098', 'cannot comment on the materialized view', 'An attempt was made to issue a COMMENT ON TABLE statement on a materialized view.', 'Issue a COMMENT ON MATERIALIZED VIEW statement instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12100', 'materialized view log on "string"."string" already has sequence', 'Materialized view log on the indicated table already has sequence information.', 'No action required. ///////////////////////////////////////////////////////////////////////// /////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12150', 'TNS:unable to send data', 'Unable to send data. Connection probably disconnected.', 'Reestablish connection. If the error is persistent, turn on tracing and reexecute the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12151', 'TNS:received bad packet type from network layer', 'Internal error.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12152', 'TNS:unable to send break message', 'Unable to send break message. Connection probably disconnected.', 'Reestablish connection. If the error is persistent, turn on tracing and reexecute the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12153', 'TNS:not connected', 'Not currently connected to a remote host.', 'Reestablish connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10842', 'Event for OCI Tracing and Statistics Info', 'This event is meant for tracing OCI Calls and getting statistics', 'This event sets tracing OCI Calls and gets statistics info', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10848', 'OCI Non Blocking not supported with string', 'Attempt made to set connection as non-blocking with another feature that does not support non-blocking.', 'Use blocking connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10852', 'Enable tracing for Enqueue Dequeue Operations', 'NA', 'THIS IS NOT A USER ERROR NUMBER/MESSAGE. THIS DOES NOT NEED TO BE TRANSLATED OR DOCUMENTED. IT IS USED ONLY FOR INTERNAL TESTING.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10854', 'Sets poll count used for AQ listen code under RAC', 'NA', 'THIS IS NOT A USER ERROR NUMBER/MESSAGE. THIS DOES NOT NEED TO BE TRANSLATED OR DOCUMENTED. IT IS USED ONLY FOR INTERNAL TESTING.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10862', 'resolve default queue owner to current user in enqueue/dequeue', 'resolve default queue owner to current user in enqueue/dequeue.', 'turn on if client wish to resolve the default queue owner to the current user. If not turned on, the default queue owner will be resolved to the login user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10863', 'Control behavior of buffered background operations', 'NA', 'THIS IS NOT A USER ERROR NUMBER/MESSAGE. THIS DOES NOT NEED TO BE TRANSLATED OR DOCUMENTED. IT IS USED ONLY FOR INTERNAL TESTING.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10865', 'Control tracing of notification operations', 'NA', 'THIS IS NOT A USER ERROR NUMBER/MESSAGE. THIS DOES NOT NEED TO BE TRANSLATED OR DOCUMENTED. IT IS USED ONLY FOR INTERNAL TESTING.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10873', 'file string needs to be either taken out of backup mode or media recovered', 'An attempt was made to open a database after an instance failure or SHUTDOWN ABORT interrupted an online backup.', 'If the indicated file is not a restored backup, then issue the ALTER DATABASE END BACKUP command and open the database. If the file is a restored online backup, then apply media recovery to it and open the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10877', 'error signaled in parallel recovery slave string', 'A parallel recovery slave reached an exception condition.', 'Check the following error message for the cause, and consult your error manual for the appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10878', 'parallel recovery slave died unexpectedly', 'A parallel recovery slave died unexpectedly, PMON cleaning up the process.', 'Check your system for anomalies and reissue the statement. If this error persists, contact Oracle Support Services. See trace file for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10900', 'extent manager fault insertion event #string', 'causes faults to be generated in instrumented extent code', 'this should only be enabled for internal testing', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10902', 'disable seghdr conversion for ro operation', 'causes seghdr conversion to be turned off for ro ops(#555856)', 'this should be enabled only if determined that bug 555856 has occured. Table needs to be exported subsequently', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10906', 'Unable to extend segment after insert direct load', 'This is a restriction with insert direct load transactions.', 'When a segment has been insert direct loaded, avoid DMLs that could cause more space to be consumed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10914', 'invalid TABLESPACE GROUP clause', 'An invalid option appears for TABLESPACE GROUP clause.', 'Specify a valid tablespace group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10915', 'TABLESPACE GROUP cannot be specified for this type of tablespace', 'In CREATE/ALTER TABLESPACE, the TABLESPACE GROUP clause was used while creating/altering a tablespace that is not TEMPORARY.', 'Remove the TABLESPACE GROUP clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10916', 'TABLESPACE GROUP already specified', 'In CREATE/ALTER TABLESPACE, the TABLESPACE GROUP option was specified more than once.', 'Remove all but one of the TABLESPACE GROUP specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10917', 'TABLESPACE GROUP cannot be specified', 'The tablespace name specified in the command is actually the name of a tablespace group.', 'Please specify an appropriate tablespace name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10918', 'TABLESPACE GROUP name cannot be the same as tablespace name', 'The tablespace group name specified in the command is the same as the tablespace being CREATEd/ALTERed.', 'Please specify an appropriate tablespace group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10919', 'Default temporary tablespace group must have at least one tablespace', 'An attempt was made to move the only tablespace in the default database temporary tablespace group to another tablespace group.', 'Either change the database default temporary tablespace or add another tablespace to the group that this tablespace belongs to.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10920', 'Cannot offline tablespace belonging to default temporary tablespace group', 'An attempt was made to offline a tablespace in the default database temporary tablespace group.', 'Either change the database default temporary tablespace or change the tablespace group of this tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10921', 'Cannot drop tablespace belonging to default temporary tablespace group', 'An attempt was made to drop a tablespace in the default database temporary tablespace group.', 'Either change the database default temporary tablespace or change the tablespace group of this tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10922', 'Temporary tablespace group is empty', 'An attempt was made to allocate a temporary segment in a group, which now no longer has any members.', 'Either add some temporary tablespaces or change the temporary tablespace for this user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10924', 'import storage parse error ignore event', 'causes server to ignore specific error associated with freelists and freelist groups when parsing', 'this should be enabled by import code only', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10925', 'trace name context forever', 'When enabled, turns off bugfix 237911', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10926', 'trace name context forever', 'When enabled, turns off bugfix 190119', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10927', 'trace name context forever', 'When enabled, turns off bugfix 235190', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10929', 'trace name context forever', 'When enabled, turns off bugfix 343966', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10930', 'trace name context forever', 'When enabled, provides V7 behavior for fixed char binds', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10931', 'trace name context forever', 'When enabled, allows normal packages to be compiled with standard extensions like "<ADT_1>"', 'Set this event only for a short amount of time. Once the packages are compiled, this event should be turned off. Level 1 - Turn the event on Level > 1 - Turn the event off', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10945', 'trace name context forever', 'When enabled, disables the behaviour change introduced by the fix for bug 822764, which traps and handles invalidations of packages whereas the previous behaviour was to use stale invalidated instantiations of the stateful package body.', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10639', 'Dump library cache during kksfbc-reparse-infinite-loop error', 'During this error a library cache dump is necessary , so enable librarycache dump if event is set.', 'Dump a library cache if this event is set when reparse error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10640', 'Operation not permitted during SYSTEM tablespace migration', 'SYSTEM tablespace is being migrated to locally managed format.', 'Reissue this command once SYSTEM tablespace migration is over.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10641', 'Cannot find a rollback segment to bind to', 'SYSTEM tablespace migration requires rollback segment in locally managed tablespace.', 'Drop rollback segments in dictionary managed tablespaces other than SYSTEM and create rollback segments in locally managed tablespace and retry migration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10642', 'Found rollback segments in dictionary managed tablespaces', 'When SYSTEM tablespace is migrated found rollback segments in dictionary managed tablespaces.', 'Drop the rollback segments in dictionary managed tablespaces and reissue the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10643', 'Database should be mounted in restricted mode and Exclusive mode', 'When SYSTEM tablespace is being migrated database should be mounted in Exclusive mode and in Restricted mode.', 'Reissue this command after mounting the database in right mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10644', 'SYSTEM tablespace cannot be default temporary tablespace', 'When SYSTEM tablespace is being migrated no user should have SYSTEM as the default temporary tablespace.', 'Reissue this command after altering the default temporary tablespace setting for all users.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10645', 'Recursive Extension in SYSTEM tablespace during migration', 'When SYSTEM tablespace is being migrated, dictionary tables tried to extend recursively. Must be caught and processed internally. Should not be thrown to the user.', 'Report the error as a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10646', 'Too many recursive extensions during SYSTEM tablespace migration', 'When SYSTEM tablespace is being migrated, dictionary tables tried to extend recursively more than 1000 times.', 'If SYSTEM tablespace is very large, then simply reissue the tablespace migration command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10647', 'Tablespace other than SYSTEM, string, string not found in read only mode', 'When SYSTEM tablespace is being migrated, tablespaces other than the three should be ALTERed to read only.', 'Alter the tablespace status to read only and retry migration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10648', 'Tablespace SYSAUX is not offline', 'The SYSAUX tablespace was online while SYSTEM tablespace was being migrated.', 'Alter the SYSAUX tablespace status to offline and retry migration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10649', 'Turn off/trace lob index freelist coalesce', 'Will turn off or trace lob index freelist coalescing', 'set this event only under the supervision of Oracle development', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10651', 'incorrect file number block number specified', 'The dba specified is not valid', 'Check if the dba specified belongs to the segment and is under the segment HWM and reissue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10652', 'Object has on-commit materialized views', 'It is illegal to issue shrink on an object with on-commit materialized views', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10660', 'Segment is a shared lob segment', 'Shrink was issued on a segment that was being shared by multiple lob columns', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10661', 'Invalid option specified', 'Check option can be specified for one segment only', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10932', 'trace name context forever', 'When enabled, disables one or more features or bug fixes available only in version 8.x.', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10933', 'trace name context forever', 'When enabled, disables one or more features or bug fixes available only in version 8.x.', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10936', 'trace name context forever', 'When enabled, disables one or more features or bug fixes available in versions 7.x and 8.x.', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10940', 'trace name context forever', 'Size of the PL/SQL tracing circular buffer, in kilobytes.', 'Set this event in concert with the 10938 event and the _PLSQL_DUMP_BUFFER_EVENTS init.ora parameter, under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10941', 'trace name context forever', 'When enabled, turns on PL/SQL profiler', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10943', 'trace name context forever', 'When enabled, disables one or more features or bug fixes available only in version 8.x.', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10944', 'trace name context forever', 'When enabled, allows or controls PL/SQL OPT code gen project. available only in version 8.2+.', 'set this event ONLY for development of the OPT project. This is not for general use or deployment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10946', 'trace name context forever', 'When enabled, disables one or more features or bug fixes available only in version 10.x.', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10947', 'trace name context forever', 'When enabled, causes various PL/SQL warnings related debugging info to be written in a trace file. Useful for debugging varous Oracle processes. available only in version 10.x.', 'set this event ONLY if necessary - after reading the README for this release or under supervision of Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10970', 'backout event for bug 2133357', '2133357 dynamically sets the varying width flag and character width. Lob data which is not migrated during migration from single byte to multibyte charater set will be displayed as special characters.', 'To help migrate lob data which was not migrated during migration by backing out 2133357, so lob data can be selected and moved to multibyte character set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10973', 'backout evet for 2619509', '2619509 catches offsets when not reading/writing on full character boundary. To facilitate backward compatiblity event is being introduced.', 'To help upgrade/migrate issues which already have corrupt data', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10979', 'trace flags for join index implementation', 'This is an informational message.', 'Values are as follows: LEVEL ACTION --------------------------------------------------------------------------- > 1 Dump refresh expressions (SQL) to trace file. > 999 If a complete refresh is invoked, it will not be performed but the system will assume that a complete refresh was done, causing the view to be VALID and updating timestamps. This should be used only under Oracle Support supervision.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10997', 'another startup/shutdown operation of this instance inprogress', 'An Oracle Instance startup or shutdown operation failed to procure the serialization primitive. Another foreground process may have attempted startup or shutdown operation in parallel.', 'Check additional error messages in the alert log and the process trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12001', 'cannot create log: table ''string'' already has a trigger', 'Materialized view logs are filled by a trigger on the master table. That trigger cannot be created.', 'To create a materialized view log, drop the current trigger on the master.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12002', 'there is no materialized view log on table "string"."string"', 'There was no materialized view log on the master table.', 'Create a materialized view log on the master table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12003', 'materialized view "string"."string" does not exist', 'The materialized view with the given owner and name does not exist.', 'Verify inputs and create a materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12004', 'REFRESH FAST cannot be used for materialized view "string"."string"', 'The materialized view log does not exist or cannot be used. PCT refresh is also not enabled on the materialized view', 'Use just REFRESH, which will reinstantiate the entire table. If a materialized view log exists and the form of the materialized view allows the use of a materialized view log or PCT refresh is possible after a given set of changes, REFRESH FAST will be available starting the next time the materialized view is refreshed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12005', 'may not schedule automatic refresh for times in the past', 'An attempt was made to schedule an automated materialized view refresh for a time in the past.', 'Choose a time in the future instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12007', 'materialized view reuse parameters are inconsistent', 'The CREATE MATERIALIZED VIEW .. or CREATE MATERIALIZED VIEW LOG .. REUSE command was given inconsistent parameters immediately after the REUSE.', 'Examine the other messages on the stack to find the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12008', 'error in materialized view refresh path', 'Table SNAP$_<mview_name> reads rows from the view MVIEW$_<mview_name>, which is a view on the master table (the master may be at a remote site). Any error in this path will cause this error at refresh time. For fast refreshes, the table <master_owner>.MLOG$_<master> is also referenced.', 'Examine the other messages on the stack to find the problem. See if the objects SNAP$_<mview_name>, MVIEW$_<mview_name>, <mowner>.<master>@<dblink>, <mowner>.MLOG$_<master>@<dblink> still exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12010', 'cannot create materialized view log on table owned by SYS', 'An attempt was made to create a materialized view log on the table owned by SYS. CREATE MATERIALIZED VIEW LOG attempts to create a trigger on the table, but triggers can not be created on SYS tables.', 'Do not create a materialized view log on SYS tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12011', 'execution of string jobs failed', 'An error was caught in dbms_ijob.run from one or more jobs which were due to be run.', 'Look at the alert log for details on which jobs failed and why.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12012', 'error on auto execute of job string', 'An error was caught while doing an automatic execution of a job.', 'Look at the accompanying errors for details on why the execute failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12013', 'updatable materialized views must be simple enough to do fast refresh', 'The updatable materialized view query contained a join, subquery, union, connect by, order by, or group by caluse.', 'Make the materialized view simpler. If a join is really needed, make multiple simple materialized views then put a view on top of them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12014', 'table ''string'' does not contain a primary key constraint', 'The CREATE MATERIALIZED VIEW LOG command was issued with the WITH PRIMARY KEY option and the master table did not contain a primary key constraint or the constraint was disabled.', 'Reissue the command using only the WITH ROWID option, create a primary key constraint on the master table, or enable an existing primary key constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12015', 'cannot create a fast refresh materialized view from a complex query', 'Neither ROWIDs and nor primary key constraints are supported for complex queries.', 'Reissue the command with the REFRESH FORCE or REFRESH COMPLETE option or create a simple materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12016', 'materialized view does not include all primary key columns', 'The query that instantiates the materialized view did not include all of the columns in the master''s primary key constraint.', 'Include all of the master''s primary key columns in the materialized view query or create a ROWID materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12017', 'cannot alter primary key mview ''string'' to a rowid mview', 'An attempt was made to convert the primary key of a materialized view to a ROWID materialized view.', 'Conversion of a primary key materialized view to a ROWID materialized view is not supported. Create a new materialized view with ROWIDs or drop and recreate the materialized view with ROWIDs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12018', 'following error encountered during code generation for "string"."string"', 'The refresh operations for the indicated materialized view could not be regenerated due to errors.', 'Correct the problem indicated in the following error messages and repeat the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12019', 'master table is a synonym to a remote object', 'An attempt was made to create a materialized view or a materialized view log on a remote synonym which is unsupported.', 'Do not create a materialized view or materialized view log on a remote synonym.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12020', 'materialized view string is not registered', 'An attempt was made to unregister a materialized view that is not registered.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12021', 'materialized view "string"."string" is corrupt', 'The materialized view indicated is no longer valid.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12022', 'materialized view log on "string"."string" already has rowid', 'Materialized view log on the indicated table already has ROWID information.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12023', 'missing index on materialized view "string"."string"', 'The specified ROWID materialized view did not have the required index on the ROWID column of its underlying table.', 'Drop and recreate the materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12024', 'materialized view log on "string"."string" does not have primary key columns', 'Materialized view log on the indicated table does not have primary key information.', 'Add primary keys to the materialized view log using the ALTER MATERIALIZED VIEW command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12025', 'materialized view log on "string"."string" already has primary keys', 'Materialized view log on the indicated table already has primary key columns.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12051', 'ON COMMIT attribute is incompatible with other options', 'ON COMMIT refresh attribute, incompatible with other refresh options such as automatic periodic refresh, was specified.', 'Specify only valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12052', 'cannot fast refresh materialized view string.string', 'Either ROWIDs of certain tables were missing in the definition or the inner table of an outer join did not have UNIQUE constraints on join columns.', 'Specify the FORCE or COMPLETE option. If this error is got during creation, the materialized view definition may have be changed. Refer to the documentation on materialized views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12053', 'this is not a valid nested materialized view', 'The list of objects in the FROM clause of the definition of this materialized view had some dependencies upon each other.', 'Refer to the documentation to see which types of nesting are valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12054', 'cannot set the ON COMMIT refresh attribute for the materialized view', 'The materialized view did not satisfy conditions for refresh at commit time.', 'Specify only valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10548', 'Cannot perform block media recovery on a read-only plugged-in datafile.', 'An attempt was made to perform block media recovery on a read-only plugged-in datafile.', 'Convert the plugged-in datafile to read/write and reattempt block media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10549', 'Cannot perform block media recovery using a read-only plugged-in backup datafile.', 'An attempt was made to perform block media recovery using a backup of a read-only plugged-in datafile.', 'Reattempt block media recovery using a backup taken after the plugged-in datafile has been converted to read/write.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10552', 'Inconsistent plug-in file string encountered during standby recovery', 'Standby recovery in read-only mode stopped and the database was closed because recovery encountered a plug-in file that was already converted.', 'Try opening the database again or restart standby recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10553', 'Incompatible UNTIL CONSISTENT clause', 'RECOVER UNTIL CONSISTENT required database-level recovery with a backup control file.', 'Omit the UNTIL CONSISTENT clause and retry recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10554', 'Media recovery failed to bring datafile string to a consistent point', 'Media recovery couldn''t recover database to a consistent point due to the specified datafile.', 'Restore a backup of the datafile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10560', 'block type ''string''', 'Report block type for details of another error.', 'See associated error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10561', 'block type ''string'', data object# string', 'Report block type and data object number for details of another error.', 'See associated error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10562', 'Error occurred while applying redo to data block (file# string, block# string)', 'See other errors on error stack.', 'Investigate why the error occurred and how important is the data block. Media and standby database recovery usually can continue if user allows recovery to corrupt this data block.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10563', 'Test recovery had to corrupt data block (file# string, block# string) in order to proceed', 'Test recovery completed.', 'No action is needed. Test recovery has ended successfully. See other messages on error stack for a summary of the result of the test recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10564', 'tablespace string', 'Report tablespace name for details of another error.', 'See associated error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10565', 'Another test recovery session is active', 'There can only be one test recovery session at any time. Another test recovery session is active.', 'Wait till the other test recovery session completes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10566', 'Test recovery has used all the memory it can use', 'Test recovery tests redo in memory. It can no longer proceed because it has consumed all the memory it can use.', 'No action is needed. Test recovery has ended successfully. See other messages on error stack for a summary result of the test recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10567', 'Redo is inconsistent with data block (file# string, block# string)', 'There are two possible causes of this error: (1) A write issued by Oracle was lost by the underlying OS or storage system. (2) an Oracle internal error.', 'Investigate why the error occurred and how important is the data block. Media and standby database recovery usually can continue if user allows recovery to corrupt this data block.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10568', 'Failed to allocate recovery state object: out of SGA memory', 'out of SGA memory', 'Restart the instance. If problem persists, call Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10570', 'Test recovery complete', 'Test recovery completed.', 'No action is needed. Test recovery has ended successfully. See other messages on error stack for a summary result of the test recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10571', 'Test recovery canceled', 'User canceled test recovery.', 'No action is needed. Test recovery has ended successfully. See other messages on error stack for a summary of the result of the test recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10572', 'Test recovery canceled due to errors', 'See other errors on the error stack.', 'is needed. See other messages on error stack for a summary of the result of the test recovery so far.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10573', 'Test recovery tested redo from change string to string', 'This message show the range of test recovery have tested.', 'No action is needed. See other messages on error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10574', 'Test recovery did not corrupt any data block', 'This message summarizes test recovery result.', 'No action is needed. See other messages on error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10575', 'Give up restoring recovered datafiles to consistent state: out of memory', 'There were not enough memory to restore recovered datafiles to consistent state', 'This error is just a warning: You may not be able to open the database with resetlogs immediately after this error. However, you may continue media/standby recovery, and that may make the datafiles recovered consistent again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10576', 'Give up restoring recovered datafiles to consistent state: some error occurred', 'See alert file or other errors on the stack for a cause of the problem.', 'This error is just a warning: You may not be able to open the database with resetlogs immediately after this error. However, you may continue media/standby recovery, and that may make the datafiles recovered consistent again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10577', 'Can not invoke test recovery for managed standby database recovery', 'Test recovery option is used for managed standby database recovery.', 'Either remove the test recovery option or invoke manual test standby database recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10578', 'Can not allow corruption for managed standby database recovery', 'You used the allow corruption option for managed standby database recovery.', 'Either remove the allow corruption option or invoke manual standby database recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10579', 'Can not modify control file during test recovery', 'To proceed with recovery, test recovery needs to modify the control file. But test recovery is not allowed to modify control file.', 'No action is needed. Test recovery has ended successfully. It can only go so far in the redo stream.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10580', 'Can not modify datafile header during test recovery', 'To proceed with recovery, test recovery needs to modify a datafile header. But test recovery is not allowed to modify datafile headers.', 'No action is needed. Test recovery has ended successfully. It can only go so far in the redo stream.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10581', 'Can not modify redo log header during test recovery', 'To proceed with recovery, test recovery needs to modify a redo log header. But test recovery is not allowed to modify redo log headers.', 'No action is needed. Test recovery has ended successfully. It can only go so far in the redo stream.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10582', 'The control file is not a backup control file', 'User requested backup control file test recovery, but the control file is not a backup control file.', 'Use a backup control file, or do not use USING BACKUP CONTROLFILE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10583', 'Can not recovery file string renamed as missing during test recovery', 'One of the files to be recovered is renamed as missing.', 'Rename the file to the correct file or offline it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-10584', 'Can not invoke parallel recovery for test recovery', 'Both test recovery and parallel recovery are requested.', 'Drop either one of the two recovery options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12154', 'TNS:could not resolve the connect identifier specified', 'A connection to a database or other service was requested using a connect identifier, and the connect identifier specified could not be resolved into a connect descriptor using one of the naming methods configured. For example, if the type of connect identifier used was a net service name then the net service name could not be found in a naming method repository, or the repository could not be located or reached.', '- If you are using local naming (TNSNAMES.ORA file):' || '<p>' || '' || '<p>' || '- Make sure that "TNSNAMES" is listed as one of the values of the NAMES.DIRECTORY_PATH parameter in the Oracle Net profile (SQLNET.ORA)' || '<p>' || '' || '<p>' || '- Verify that a TNSNAMES.ORA file exists and is in the proper directory and is accessible.' || '<p>' || '' || '<p>' || '- Check that the net service name used as the connect identifier exists in the TNSNAMES.ORA file.' || '<p>' || '' || '<p>' || '- Make sure there are no syntax errors anywhere in the TNSNAMES.ORA file. Look for unmatched parentheses or stray characters. Errors in a TNSNAMES.ORA file may make it unusable.' || '<p>' || '' || '<p>' || '- If you are using directory naming:' || '<p>' || '' || '<p>' || '- Verify that "LDAP" is listed as one of the values of the NAMES.DIRETORY_PATH parameter in the Oracle Net profile (SQLNET.ORA).' || '<p>' || '' || '<p>' || '- Verify that the LDAP directory server is up and that it is accessible.' || '<p>' || '' || '<p>' || '- Verify that the net service name or database name used as the connect identifier is configured in the directory.' || '<p>' || '' || '<p>' || '- Verify that the default context being used is correct by specifying a fully qualified net service name or a full LDAP DN as the connect identifier' || '<p>' || '' || '<p>' || '- If you are using easy connect naming:' || '<p>' || '' || '<p>' || '- Verify that "EZCONNECT" is listed as one of the values of the NAMES.DIRETORY_PATH parameter in the Oracle Net profile (SQLNET.ORA).' || '<p>' || '' || '<p>' || '- Make sure the host, port and service name specified are correct.' || '<p>' || '' || '<p>' || '- Try enclosing the connect identifier in quote marks. See the Oracle Net Services Administrators Guide or the Oracle operating system specific guide for more information on naming.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12155', 'TNS:received bad datatype in NSWMARKER packet', 'Internal error during break handling.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12156', 'TNS:tried to reset line from incorrect state', 'Internal error during break handling.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12157', 'TNS:internal network communication error', 'Internal error during network communication.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12158', 'TNS:could not initialize parameter subsystem', 'Unable to locate parameter file.', 'Verify that a valid parameter file exists, and is readable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12159', 'TNS:trace file not writeable', 'The trace file to be generated is not writeable by this user.', 'If the user does not have write permissions in the directory to which the trace file will be written, contact an administrator to get the proper permissions or set the TRACE_DIRECTORY_CLIENT parameter in the net profile (SQLNET.ORA file) to a directory the user can write to.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12160', 'TNS:internal error: Bad error number', 'Corrupt error reporting subsystem.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12161', 'TNS:internal error: partial data received', 'The connection may be terminated.', 'Reconnect and try again. For further details, turn on tracing and reexecute the operation. If error persists, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12162', 'TNS:net service name is incorrectly specified', 'The connect descriptor corresponding to the net service name in TNSNAMES.ORA or in the directory server (Oracle Internet Directory) is incorrectly specified.', 'If using local naming make sure there are no syntax errors in the corresponding connect descriptor in the TNSNAMES.ORA file. If using directory naming check the information provided through the administration used for directory naming.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12163', 'TNS:connect descriptor is too long', 'The connect descriptor corresponding to the net service name specified as the connect identifier is too long. The maximum length for a connect descriptor is 512 bytes and this limit has been exceeded.', 'Check the net service name''s connect descriptor in the local naming file (TNSNAMES.ORA) or in the directory server (Oracle Internet Directory). Use a smaller connect descriptor. If this is not possible, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12164', 'TNS:Sqlnet.fdf file not present', 'The sqlnet.fdf file doesn''t exist in $ORACLE_HOME/network/admin.', 'The sqlnet.fdf file is required for Oracle Tracing to occur. Either install the sqlnet.fdf file in $ORACLE_HOME/network/admin or turn off tracing in your ORA file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12165', 'TNS:Trying to write trace file into swap space.', 'Oracle Trace doesn''t allow writing trace information into your swap space.', 'Oracle Trace cannot write trace information into swap space so either disable tracing or redirect trace files to be written to another area of your disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12166', 'TNS:Client can not connect to HO agent.', 'NVstring contained DESCRIPTION/HO.', 'Call HO agent from integrating server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12168', 'TNS:Unable to contact LDAP Directory Server', 'Cannot contact LDAP directory server to get Oracle Net configuration.', 'Verify that the directory server is up and accessible from the network. Verify that directory access configuration is correct. For more information see the Oracle Internet Directory Administrators Guide or the Oracle Net Administrators Guide.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12169', 'TNS:Net service name given as connect identifier is too long', 'The net service name you are attempting to resolve is too long.', 'The maximum length of a net service name is 255 bytes; this limit has been exceeded. Use a smaller net service name. If this is not possible, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12170', 'TNS:Connect timeout occurred', 'The server shut down because connection establishment or communication with a client failed to complete within the allotted time interval. This may be a result of network or system delays; or this may indicate that a malicious client is trying to cause a Denial of Service attack on the server.', 'If the error occurred because of a slow network or system, reconfigure one or all of the parameters SQLNET.INBOUND_CONNECT_TIMEOUT, SQLNET.SEND_TIMEOUT, SQLNET.RECV_TIMEOUT in sqlnet.ora to larger values. If a malicious client is suspected, use the address in sqlnet.log to identify the source and restrict access. Note that logged addresses may not be reliable as they can be forged (e.g. in TCP/IP).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12171', 'TNS:could not resolve connect identifier: string', 'A connection to a database or other service was requested using a connect identifier, and the connect identifier specified could not be resolved into a connect descriptor using one of the naming methods configured. For example, if the type of connect identifier used was a net service name then the net service name could not be found in a naming method repository, or the repository could not be located or reached.', '- If you are using local naming (TNSNAMES.ORA file):' || '<p>' || '' || '<p>' || '- Make sure that "TNSNAMES" is listed as one of the values of the NAMES.DIRECTORY_PATH parameter in the Oracle Net profile (SQLNET.ORA)' || '<p>' || '' || '<p>' || '- Verify that a TNSNAMES.ORA file exists and is in the proper directory and is accessible.' || '<p>' || '' || '<p>' || '- Check that the net service name used as the connect identifier exists in the TNSNAMES.ORA file.' || '<p>' || '' || '<p>' || '- Make sure there are no syntax errors anywhere in the TNSNAMES.ORA file. Look for unmatched parentheses or stray characters. Errors in a TNSNAMES.ORA file may make it unusable.' || '<p>' || '' || '<p>' || '- If you are using directory naming:' || '<p>' || '' || '<p>' || '- Verify that "LDAP" is listed as one of the values of the NAMES.DIRETORY_PATH parameter in the Oracle Net profile (SQLNET.ORA).' || '<p>' || '' || '<p>' || '- Verify that the LDAP directory server is up and that it is accessible.' || '<p>' || '' || '<p>' || '- Verify that the net service name or database name used as the connect identifier is configured in the directory.' || '<p>' || '' || '<p>' || '- Verify that the default context being used is correct by specifying a fully qualified net service name or a full LDAP DN as the connect identifier' || '<p>' || '' || '<p>' || '- If you are using easy connect naming:' || '<p>' || '' || '<p>' || '- Verify that "EZCONNECT" is listed as one of the values of the NAMES.DIRETORY_PATH parameter in the Oracle Net profile (SQLNET.ORA).' || '<p>' || '' || '<p>' || '- Make sure the host, port and service name specified are correct.' || '<p>' || '' || '<p>' || '- Try enclosing the connect identifier in quote marks. See the Oracle Net Services Administrators Guide or the Oracle operating system specific guide for more information on naming.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12216', 'TNS:poorly formed PREFERRED_CMANAGERS addresses in TNSNAV.ORA', 'Address binding for the PREFERRED_CMANAGERS entry in the client''s TNSNAV.ORA file is improperly entered.', 'Define the ADDRESS as part of the PREFERRED_CMANAGERS binding.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12217', 'TNS:could not contact PREFERRED_CMANAGERS in TNSNAV.ORA', 'There is a syntax error in the PREFERRED_CMANAGERS entry, or addresses specified are wrong, or the intended Connection Managers are unavailable.', 'Check the PREFERRED_CMANAGERS entries in the client''s TNSNAV.ORA file and correct them or talk with your network administrator to determine if the specified Connection Managers are available. Verify that the Interchanges are active by using the INTCTL STATUS command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12218', 'TNS:unacceptable network configuration data', 'Poorly formed network configuration data. For example, a PREFERRED_CMANAGERS entry may have an incorrect CMANAGER_NAME in the client''s TNSNAV.ORA file. Or an Interchange downtime parameter (TIMEOUT_INTERVAL) on the Navigator may be set to zero in INTCHG.ORA.', 'Check the entries in TNSNAV.ORA and the Interchange configuration files and correct them. If necessary, talk with your network administrator to determine if the specified Interchanges (Connection Managers) are available and properly configured. Use the Oracle Network Manager to generate the configuration files if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12219', 'TNS:missing community name from address in ADDRESS_LIST', 'This error occurs when an ADDRESS_LIST has some ADDRESSes in it that have no COMMUNITY component and others that do have a COMMUNITY component.', 'Check that in the connect descriptors you are using either all the ADDRESSes have a COMMUNITY component or all do not.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12221', 'TNS:illegal ADDRESS parameters', 'An illegal set of protocol adapter parameters was specified. In some cases, this error is returned when a connection cannot be made to the protocol transport.', 'Verify that the destination can be reached using the specified protocol. Check the parameters within the ADDRESS section of TNSNAMES.ORA or in the directory. Legal ADDRESS parameter formats may be found in the Oracle operating system specific documentation or the Oracle Net Administrator''s Guide. Protocols that resolve names at the transport layer are vulnerable to this error if not properly configured or names are misspelled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12222', 'TNS:no support is available for the protocol indicated', 'The protocol requested in the ADDRESS portion of the connect descriptor identified through the net service name is not available. If the supplied ADDRESS is typographically correct then support for that protocol is not installed.', 'Install support for the protocol or correct typographical error, as appropriate. Note: if the supplied address was derived from resolving the net service name, check the address in the appropriate file (TNSNAMES.ORA, LISTENER.ORA) or in the directory server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12223', 'TNS:internal limit restriction exceeded', 'Too many TNS connections open simultaneously.', 'Wait for connections to close and re-try.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12224', 'TNS:no listener', 'The connection request could not be completed because the listener is not running.', 'Ensure that the supplied destination address matches one of the addresses used by the listener - compare the TNSNAMES.ORA entry with the appropriate LISTENER.ORA file (or TNSNAV.ORA if the connection is to go by way of an Interchange). Start the listener on the remote machine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12225', 'TNS:destination host unreachable', 'Contact can not be made with remote party.', 'Make sure the network driver is functioning and the network is up.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12226', 'TNS:operating system resource quota exceeded', 'The current user has exceeded the allotted resource assigned in the operating system.', 'Acquire more operating system resource, or perform a different function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12227', 'TNS:syntax error', 'The supplied connect descriptor contains illegal syntax.', 'Check the syntax of the connect descriptor in TNSNAMES.ORA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12228', 'TNS:protocol adapter not loadable', 'On some platforms (such as Windows) protocol support is loaded at run-time. If the shared library (or DLL) for the protocol adapter is missing or one of its supporting libraries is missing then this error is returned.', 'For further details, turn on tracing and reexecute the operation. The trace file will include the name of the shared library (or DLL) that could not be loaded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12229', 'TNS:Interchange has no more free connections', 'One or more Interchanges along the path to the destination desired has no more free connections available to be used for this call.', 'Try again later when the Interchanges are less busy, or contact your network administrator to have him determine which interchange it is, and increase the number of connections available on that interchange.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12230', 'TNS:Severe Network error occurred in making this connection', 'This error is reported by an interchange which fails to make contact with the destination due to a physical network error while calling a destination.', 'Try again later when the network service may have been fixed or report the problem to your Network Administrator so that he may fix the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12231', 'TNS:No connection possible to destination', 'This error is reported by an interchange which fails to find a possible connection along the path to the destination.', 'Report the problem to your Network Administrator so that he may fix the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12342', 'open mounts exceeds limit set on the OPEN_MOUNTS parameter', 'The number of currently open mounts exceeds the value you specified on the OPEN_MOUNTS parameter.', 'Increase the value of the OPEN_MOUNTS parameter so that it accommodates the maximum possible number of open mounts to secondary databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12345', 'user string lacks CREATE SESSION privilege in database link (linkname string)', 'There are several possible causes for this message: First, you will get this message if your username in the second database specified was not granted the CREATE SESSION system privilege. Second, you will get this message if the username specified in the connect string of the database link definition was not granted the CREATE SESSION system privilege.', 'The action you take depends upon the cause of the message: In the first case, ensure that your username in the secondary database was granted the CREATE SESSION system privilege. In the second case, ensure the username specified in the connect string of the database link definition was granted the CREATE SESSION system privilege in the secondary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12350', 'database link being dropped is still mounted', 'An attempt was made to drop a ROM: database link that was still mounted and/or opened.', 'Close and dismount the database and then re-issue the drop statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12351', 'cannot create view using a remote object which has a remote object reference', 'You tried to create a view which references a remote object which, in turn, references an object on another database. Since the view that you tried to create references a remote object, that object cannot reference an object on another database.', 'Choose a different object to reference in your view or change the remote object so that it does not reference another database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12352', 'object string.string@string is invalid', 'An attempt was made to reference (compile against) an object of a secondary database but the object is invalid and the system cannot validate or recompile it because it is in a secondary database.', 'Manually recompile the invalid object in the secondary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12353', 'secondary stored object cannot reference remote object', 'You tried to either select from a remote view or execute a remote procedure which references an object on another database. Since the remote view or procedure is on a secondary database, an additional reference to another database cannot be done.', 'Choose a different object to reference or change the remote view or procedure so that it does not reference another database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12354', 'secondary object being dropped', 'You tried to access a object (for example, a table or view) on a secondary database that was in the process of being dropped.', 'Repeat the operation. If you receive this message again, try to access the object from the secondary database. If you receive an internal error or a trace file, contact Oracle WorldWide Technical Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12400', 'invalid argument to facility error handling', 'An argument to a facility error handling function exceeded a maximum limit or referred to an invalid product/facility.', 'Specify a valid facility error handling parameter value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12401', 'invalid label string: string', 'The policy could not convert the label string to a valid internal label.', 'Correct the syntax of the label string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12402', 'invalid format string: string', 'The format string is not supported by the policy.', 'Correct the syntax of the format string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12403', 'invalid internal label', 'An internal label could not be converted to a valid label for the policy.', 'Analyze any additional messages on the error stack and consult the policy documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12404', 'invalid privilege string: string', 'The policy could not interpret the privilege string.', 'Specify a privilege string that is supported by the policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12405', 'invalid label list', 'The policy determined that the label list was invalid for its intended use.', 'Check the policy constraints on the specific list of labels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12406', 'unauthorized SQL statement for policy string', 'The policy did not authorize the database session to perform the requested SQL statement.', 'Grant the user or program unit the necessary policy privilege or additional authorizations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12407', 'unauthorized operation for policy string', 'The policy did not authorize the database session to perform the requested operation.', 'Grant the user or program unit the necessary policy privilege or additional authorizations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12408', 'unsupported operation: string', 'The specified policy does not support the requested operation.', 'Consult the policy documentation to determine the supported access mediation operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12409', 'policy startup failure for string policy', 'The policy encountered an error during startup processing; access to the data protected by the policy is prohibited.', 'Check the alert log for additional information, correct the policy error, and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12410', 'internal policy error for policy: string Error: string', 'The policy enforcement encountered an internal error.', 'Consult the policy documentation for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12411', 'invalid label value', 'The specified label value does not exist.', 'Check the data dictionary views for the policy to identify valid labels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12412', 'policy package string is not installed', 'The policy package does not exist in the database.', 'Check that the policy package name is correct or install the required policy package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12413', 'labels do not belong to the same policy', 'The labels being compared belong to different policies.', 'Only compare labels that belong to the same policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12414', 'internal LBAC error: string Error: string', 'An internal label policy framework error occurred.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12415', 'A column of another datatype exists on the specified table', 'The datatype of the column present in the table is different from the datatype set for the policy column.', 'Drop the column on the table or change the datatype for policy column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12416', 'policy string not found', 'The specified policy does not exist in the database.', 'Enter the correct policy name or create the policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12417', 'database object "string" not found', 'The specified object was not in the database.', 'Enter the correct name for the database object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12418', 'user string not found', 'The specified user does not exist in the database.', 'Correct the user name or create the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12419', 'null binary label value', 'A null value was provided for a binary label operation.', 'Provide a valid binary label for the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12420', 'required procedures and functions not in policy package "string"', 'The policy package did not contain all of the procedures and functions necessary to enforce the policy.', 'Consult the label framework documentation for a list of required procedures and functions for a policy package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12421', 'different size binary labels', 'The label sizes for the binary label operation were not equal.', 'Provide binary labels with the same lengths for the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12422', 'max policies exceeded', 'You tried to create a new policy, but the maximum number of policies for the instance had already been created.', 'Increase the size of the MAX_LABEL_POLICIES initialization parameter and restart the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12423', 'invalid position specified', 'The position specified for a binary label operation was invalid.', 'Provide a position that is within the label size limits.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12424', 'length exceeds binary label size', 'The length specified for a binary label operation exceeded the the size of the binary label.', 'Provide a bit or byte length that is within the label size limits.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12425', 'cannot apply policies or set authorizations for system schemas', 'You tried to either apply a policy to the SYS, SYSTEM, or LBACSYS schema or to set user labels/privileges for the SYS, SYSTEM, or LBACSYS user.', 'Apply policies and set authorizations only for non-system users.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12426', 'invalid audit option', 'The option specified was not a valid audit option for the specified policy.', 'Enter a correct audit option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12427', 'invalid input value for string parameter', 'An input parameter was specified incorrectly.', 'Correct the parameter value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12429', 'label list range exceeded', 'The specified index value was not between 1 and 6.', 'Correct the index value for the label list operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12430', 'invalid privilege number', 'The specified privilege number was not between 1 and 32.', 'Correct the privilege number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12431', 'invalid audit action', 'The specified audit action was not a valid audit action.', 'Correct the audit action number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12432', 'LBAC error: string', 'LBAC enforcement resulted in an error.', 'Correct the problem identified in the error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12433', 'create trigger failed, policy not applied', 'The policy could not be applied due to errors during the creation of a DML trigger.', 'Correct the SQL syntax of the label function specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12434', 'invalid audit type: string', 'The audit type must be BY ACCESS or BY SESSION.', 'Correct the audit type value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12435', 'invalid audit success: string', 'The audit success parameter must be SUCCESSFUL or NOT SUCCESSFUL.', 'Correct the audit success value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12436', 'no policy options specified', 'A NULL option string was specified, but no default schema or policy option string was found.', 'Enter a valid option string, or alter the schema or policy to have a valid default option string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12437', 'invalid policy option: string', 'A value that was not a valid policy option was entered.', 'Correct the policy option value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12438', 'repeated policy option: string', 'A policy option was entered more than once in the option string.', 'Remove the duplicate policy option value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12439', 'invalid combination of policy options', 'A set of contradictory policy options was entered.', 'Provide a set of compatible policy options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12440', 'insufficient authorization for the SYSDBA package', 'The use of the SYSDBA package requires the LBAC_DBA role.', 'Grant the LBAC_DBA role to the database user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12441', 'policy string already exists', 'You tried to create a policy with the same name as an existing one.', 'Use a different name or drop the existing policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12442', 'policy column "string" already used by an existing policy', 'You tried to create a policy with the same policy column name as an existing policy.', 'Use a different name for the policy column or drop the existing policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12443', 'policy not applied to some tables in schema', 'You applied a policy to a schema, and some of the tables in the schema already had the policy applied.', 'No action necessary; the policy was applied to the remaining tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12444', 'policy already applied to table', 'You tried to apply a policy to a table that was already protected by the policy.', 'To change the policy options, predicate, or label function, remove the policy from the table and re-apply it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12494', 'cannot insert or delete a level, category, or release category', 'You attempted to insert or delete a level, category, or release category definition.', 'If the label definition is no longer valid, change its name to one that identifies it as invalid. When any labels are converted to character strings, the new label definition will be used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12495', 'cannot disable an enabled level, category, or release category', 'You attempted to disable a level, category, or release category that had previously been enabled. An enabled label definition may be exist in some database label, so cannot be disabled.', 'If the label definition is no longer valid, change its name to one that identifies it as invalid. When any labels are converted to character strings, the new label definition will be used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12496', 'cannot change existing level, category, or release numbers', 'You attempted to change the number assigned to level, category or releasability category.', 'Change the character string representations, not the numbers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12497', 'maximum combined categories exceeds string', 'The maximum number of descriptive categories plus release categories supported by the MLS policy was exceeded.', 'Enter numbers that do not add up to more than the maximum.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12500', 'TNS:listener failed to start a dedicated server process', 'The process of starting up a dedicated server process failed. The executable could not be found or the environment may be set up incorrectly.', 'Turn on tracing at the ADMIN level and reexecute the operation. Verify that the ORACLE Server executable is present and has execute permissions enabled. Ensure that the ORACLE environment is specified correctly in LISTENER.ORA. The Oracle Protocol Adapter that is being called may not be installed on the local hard drive. Please check that the correct Protocol Adapter are successfully linked. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12502', 'TNS:listener received no CONNECT_DATA from client', 'No CONNECT_DATA was passed to the listener.', 'Check that the service name resolved from TNSNAMES.ORA has the CONNECT_DATA component of the connect descriptor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12504', 'TNS:listener was not given the SERVICE_NAME in CONNECT_DATA', 'The listener was not configured with a default service and SERVICE_NAME was missing from the CONNECT_DATA received by the listener.', 'Possible solutions are:' || '<p>' || '- Configure DEFAULT_SERVICE parameter in LISTENER.ORA with a valid service name. Reload the listener parameter file using reload [<listener_name>]. This should be done by the LISTENER administrator.' || '<p>' || '' || '<p>' || '- If using a service name, Check that the connect descriptor corresponding to the service name in TNSNAMES.ORA has a SERVICE_NAME or SID component in the CONNECT_DATA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12445', 'cannot change HIDDEN property of column', 'You tried to specify a different HIDE option for a table with an existing policy column.', 'Drop the column from the table and reapply the policy with the new HIDE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12446', 'Insufficient authorization for administration of policy string', 'You tried to perform an administrative function for a policy, but you have not been granted the <policy>_DBA role.', 'Grant the user the <policy>_DBA role for the specified policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12447', 'policy role already exists for policy string', 'The role named <policy>_DBA already exists.', 'Correct the policy name or delete the existing policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12448', 'policy string not applied to schema string', 'You tried to alter a schema policy that was not applied.', 'Correct the policy name or schema name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12449', 'Labels specified for user must be of type USER', 'You tried to set labels for a user, but the labels in the list were not all designated as USER labels.', 'Alter the labels to be USER labels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12450', 'LOB datatype disabled in LBAC initialization file', 'You tried to specify a LOB datatype for a column or attribute, but the use of the LOB datatype has been disabled.', 'Change the LBAC initialization file to allow the creation of LOB columns and attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12451', 'label not designated as USER or DATA', 'A label is either a DATA label, a USER label, or both DATA and USER.', 'Enter TRUE for at least DATA or USER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12452', 'label tag string already exists', 'The label tag value you entered is already in use for another label.', 'Enter a different value for the label tag.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12453', 'label string already exists', 'The label value you entered already exists.', 'No action necessary; alter the label to change its tag or type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12454', 'label string does not exist for policy string', 'The label tag or value you entered did not identify a label for the policy.', 'Enter a label value or tag that is in use by the policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12455', 'internal error in Label Security MMON cleanup task', 'An internal error occurred in the Label Security MMON cleanup task.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12456', 'label security startup in progress', 'You attempted to connect to the database before the Oracle Label Security component was fully initialized.', 'Wait until the database is fully open before attempting to connect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12457', 'security label exceeded maximum allowable length', 'An operation attempted to materialize a security label greater than 4000 bytes in length.', 'Consult the Oracle Label Security documentation for information on how the length of a security label is calculated. Re-submit the operation once the problem has been corrected.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12461', 'undefined level string for policy string', 'The specified level is not defined for the policy.', 'Correct the level identifier value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12462', 'undefined compartment string for policy string', 'The specified compartment is not defined for the policy.', 'Correct the compartment identifier value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12463', 'undefined group string for policy string', 'The specified group is not defined for the policy.', 'Correct the group identifier value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12464', 'invalid characters in label component string', 'Label components can contain only alphanumeric characters, blanks, and underscores.', 'Correct syntax of the label component.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12465', 'Not authorized for read or write on specified groups or compartments', 'You included groups or compartments that are not in the user''s list of groups and compartments authorized for read or write access.', 'Include read access when authorizing groups or compartments for write access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12466', 'default level is greater than the user''s maximum', 'The default level cannot be greater than the user''s maximum.', 'Enter an authorized level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12467', 'minimum label can contain a level only', 'You included compartments or groups in the minimum label.', 'Enter only an authorized minimum level as the label.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12468', 'max write level does not equal max read level', 'The level in the max write label must equal the level in the max read label.', 'Enter max read and max write labels with the same level component.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12469', 'no user levels found for user string and policy string', 'No levels have been specified for the user.', 'Enter the maximum and minimum labels for the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12470', 'NULL or invalid user label: string', 'The label entered is NULL or not within the user''s authorizations.', 'Enter the authorized labels for the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12471', 'Specified compartment or group is not authorized for user', 'The specified compartment or group is not in user''s authorizations or the user does not have read on compartment or group specified for write.', 'Enter an authorized compartment or group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12472', 'policy string is being used', 'The policy which was being dropped due to event propagation from OID was applied to some table or schema.', 'Drop a policy in OID only if it is not used in any of the databases using the policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12473', 'The procedure is disabled when Label Security is used with OID.', 'Using Label Security with OID disabled this procedure.', 'Do not use OID with Label Security if this procedure is required to function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12476', 'least upper bound resulted in an invalid OS label', 'You tried to do an operation that generated a least upper bound (LUB) label which is not a valid label on your operating system.', 'Consult your OS label management documentation for information on invalid label generation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12477', 'greatest lower bound resulted in an invalid OS label', 'You tried to do an operation that generated a greatest lower bound (GLB) label which is not a valid label on your operating system.', 'Consult your OS label management documentation for information on invalid label generation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12479', 'file label string must equal DBHIGH string', 'A database file had an OS label that did not match DBHIGH. Either DBHIGH was altered or the OS file was relabeled.', 'Relabel the file so that its label matches DBHIGH, or alter DBHIGH so that it matches the label on the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12480', 'specified clearance labels not within the effective clearance', 'You specified a clearance range that was not within your authorized clearance; you can only specify clearance ranges that are within your clearance.', 'Specify clearance labels that are within your own clearance range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12481', 'effective label not within program unit clearance range', 'The effective label when the program unit was invoked was not within the range authorized for the program unit.', 'Modify the program unit clearance range or invoke the program unit from a session with an authorized effective clearance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12482', 'internal MLS error: string Error: string', 'An internal MLS policy error occurred.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12483', 'label not in OS system accreditation range', 'The specified label is above the OS maximum label or below the OS minimum label.', 'Use a label that is within the accreditation range for the host OS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12484', 'invalid OS label', 'The specified label does not exist in the OS host''s label definition file.', 'Use the OS label management tools to define the label.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12196', 'TNS:received an error from TNS', 'The navigation layer received an error from TNS.', 'See the error log file for the specific TNS error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12197', 'TNS:keyword-value resolution error', 'The navigation layer received an error while trying to look up a value for a keyword.', 'Check the syntax of the connect descriptor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12198', 'TNS:could not find path to destination', 'Could not navigate a path through Interchanges to the destination. This error occurs if an invalid community is in the address string, or the address includes a protocol that is not available or the TNSNAV.ORA file does not have a correct CMANAGER address specified or the Interchange is down.', 'Assure that Interchanges necessary to get to the desired destination are up and have available capacity for an additional connection. Also check that the correct community and protocol have been specified in the CMANAGER address used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12200', 'TNS:could not allocate memory', 'Out of memory on machine.', 'Reconfigure machine to have more storage or run fewer applications while the Interchange is running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12201', 'TNS:encountered too small a connection buffer', 'TNS connection buffer supplied by the application was too small to retrieve the data sent back.', 'Supply a larger connection buffer. If problem persists, call Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12202', 'TNS:internal navigation error', 'Internal navigation error.', 'Not normally visible to the user. For further details contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12203', 'TNS:unable to connect to destination', 'Invalid address specified or destination is not listening. This error can also occur because of underlying network or network transport problems.', 'Verify that the net service name you entered was correct. Verify that the ADDRESS portion of the connect descriptor which corresponds to the net service name is correct. Ensure that the destination process (for example the listener) is running at the remote node.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12204', 'TNS:received data refused from an application', 'The application using Connection Manager refused the connection at the listener.', 'Make sure that the application listener at the destination is functioning correctly. If it is and the problem persists, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12205', 'TNS:could not get failed addresses', 'Internal navigation error.', 'Not normally visible to the user. For further details contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12206', 'TNS:received a TNS error during navigation', 'Internal navigation error because of an unexpected TNS error.', 'Look at the log file to find the TNS error. If necessary, turn on tracing and repeat the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12207', 'TNS:unable to perform navigation', 'Improperly configured navigation file TNSNAV.ORA.', 'Check the syntax of the TNSNAV.ORA file on the application`s machine, and verify that it lists the correct communities.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12208', 'TNS:could not find the TNSNAV.ORA file', 'Either the ORACLE environment is not set up correctly, or the TNSNAV.ORA file is not present.', 'Ensure that the ORACLE environment is set up appropriately on your platform and that a TNSNAV.ORA file is present.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12209', 'TNS:encountered uninitialized global', 'Application calling navigation routine has not properly configured the global variables. There are no TNSNAV.ORA files available, or they are defective.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Worldwide Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12210', 'TNS:error in finding Navigator data', 'Application calling navigation routine has not properly configured the TNSNAV.ORA file.', 'Check the syntax of the TNSNAV.ORA file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12211', 'TNS:needs PREFERRED_CMANAGERS entry in TNSNAV.ORA', 'TNSNAV.ORA does not have a PREFERRED_CMANAGERS defined.', 'Add a PREFERRED_CMANAGERS entry to the TNSNAV.ORA file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12212', 'TNS:incomplete PREFERRED_CMANAGERS binding in TNSNAV.ORA', 'The PREFERRED_CMANAGERS binding in the client''s TNSNAV.ORA file does not have a CMANAGER_NAME specified.', 'Define the CMANAGER_NAME as part of the PREFERRED_CMANAGERS binding. Use of the Oracle Network Manager should eliminate this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12213', 'TNS:incomplete PREFERRED_CMANAGERS binding in TNSNAV.ORA', 'The PREFERRED_CMANAGERS binding in the client''s TNSNAV.ORA file does not have an ADDRESS specified.', 'Define the ADDRESS as part of the PREFERRED_CMANAGERS binding.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12214', 'TNS:missing local communities entry in TNSNAV.ORA', 'There is no LOCAL_COMMUNITIES entry in TNSNAV.ORA.', 'Define the LOCAL_COMMUNITIES for this node in the TNSNAV.ORA file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12215', 'TNS:poorly formed PREFERRED_NAVIGATORS Addresses in TNSNAV.ORA', 'Address binding for PREFERRED_NAVIGATORS entry is improperly entered. entry.', 'Check your PREFERRED_NAVIGATORS entry and fix it in TNSNAV.ORA', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12485', 'new effective label not within effective clearance', 'You attempted to enter a value for an effective label that did not dominate the effective min label or was not dominated by the effective max label.', 'Enter a value between the min and the max labels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12486', 'effective max labels and min labels cannot be changed', 'You attempted to enter a value for an effective min label or effective max label, but these labels cannot be changed.', 'Enter NULL values for the effective minimum and maximum labels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12487', 'clearance labels not between DBHIGH and DBLOW', 'You attempted to enter a value for a clearance label that was not dominated by DBHIGH or did not dominate DBLOW.', 'Enter clearance label values between DBHIGH and DBLOW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12488', 'maximum label does not dominate minimum label', 'You attempted to enter a value for a clearance label that did not preserve the dominance relationship between the minimum and maximum labels.', 'Enter label values that preserves the dominance relationship between the minimum and maximum.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12489', 'default label not within clearance range', 'You attempted to enter a value for a default label that did not dominate the minimum clearance or was not dominated by the maximum clearance.', 'Enter a default label value within the clearance range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12490', 'DBHIGH cannot be lowered', 'You attempted to enter a value for DBHIGH that did not dominate the existing value of DBHIGH.', 'Enter a value for DBHIGH that dominates the old value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12491', 'DBHIGH value does not dominate DBLOW', 'You attempted to enter a value for DBHIGH that did not dominate DBLOW.', 'Enter a value for DBHIGH that dominates DBLOW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12492', 'DBLOW cannot be changed', 'You attempted to change the value of DBLOW after it had been set to any initial value. DBLOW can only be set once after initial database creation.', 'To change DBLOW, you have to create a new database, set DBLOW to the new value, and import your data into the new database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12493', 'invalid MLS binary label', 'The MLS binary label contained an invalid value, was not the correct size, or contained a level, category, or release category that was not enabled.', 'Check the DBA_MLS_LABELS view for the valid MLS labels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12232', 'TNS:No path available to destination', 'This error is reported by an interchange which fails to find a possible path to the destination.', 'Report the problem to your Network Administrator so that he may fix the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12233', 'TNS:Failure to accept a connection', 'This error is reported by an interchange which fails to accept a connection due to a redirect failure.', 'Report the problem to your Network Administrator so that he may isolate the interchange problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12234', 'TNS:Redirect to destination', 'This error is reported by an interchange which determines that this interchange is not the right gateway and needs to redirect the connection to another gateway along the path to the destination.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12235', 'TNS:Failure to redirect to destination', 'This error is reported by an interchange which fails to redirect a connection to another interchange along the path to the destination.', 'Report the problem to your Network Administrator so that he may fix the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12236', 'TNS:protocol support not loaded', 'On some platforms (such as Windows) protocol support is loaded at run-time. If the shared library (or DLL) for the protocol adapter has not been loaded, then this error is returned.', 'For further details, turn on tracing and reexecute the operation. The trace file will have the name of the shared library (or DLL) that has not been loaded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12315', 'database link type is invalid for the ALTER DATABASE statement', 'The database link name you specified on the ALTER DATABASE statement is not an ROM: link. You must specify an ROM: link when using the ALTER DATABASE statement to mount or open a secondary database.', 'Re-issue the ALTER DATABASE statement using a valid ROM: link to the database you want to mount or open. If a valid ROM: link does not exist, create one using the CREATE DATABASE LINK command. See the Trusted ORACLE RDBMS Guide to Security Features for more information about creating database links using the ROM: link type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12316', 'syntax error in database link''s connect string', 'The connect string in the CREATE DATABASE LINK statement has a syntactical error.', 'Drop the database link and recreate it using valid syntax. See the SQL Language Reference Manual for more information about the connect string portion of the CREATE DATABASE LINK statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12317', 'logon to database (link name string) denied', 'There are several possible causes for this error. First, you can get this error if your username (and password, if you are using database instead of operating system authentication) in the secondary database are not identical to your username (and password) in the primary database. Second, you can get this error if your username in the secondary database is invalid (has not been created). Third, you can get this error if the username/password combination specified in the connect string of the database link definition is invalid (either not created or has an invalid password).', 'In the first case, ensure that the secondary database contains a username (and password, if you are using database authentication) identical to the one you are using in the primary database. In general, you should always use operating system authentication in Trusted ORACLE (see the Trusted ORACLE RDBMS Guide to Security Features for more information about the advantages of OS authentication). In the second case, ensure that your username in the secondary database has been created. In the third case, ensure that the username specified in the connect string has been created in the secondary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12318', 'database (link name string) is already mounted', 'You are attempting to mount a secondary database that has already been mounted by your instance.', 'to mount it. To establish access, use the ALTER DATABASE <linkname> OPEN command to open the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12319', 'database (link name string) is already open', 'You are attempting to open a secondary database that is already open.', 'The database is open and you need not take additional action to establish access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12321', 'database (link name string) is not open and AUTO_MOUNTING=FALSE', 'The secondary database that your instance is attempting to mount is not open and automatic mounting has not been enabled.', 'Manually mount and open the secondary database using ALTER DATABASE <linkname> with the OPEN and MOUNT options. Alternately, to allow your instance to automatically mount and open secondary databases, set the AUTO_MOUNTING parameter in the parameter file to TRUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12322', 'unable to mount database (link name string)', 'This message should be accompanied by additional error messages that indicate the cause of the problem.', 'Follow the steps outlined in the accompanying error messages to resolve the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12323', 'unable to open database (link name string)', 'This message should be accompanied by additional error messages that indicate the cause of the problem.', 'Follow the steps outlined in the accompanying error messages to resolve the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12324', 'cannot use the ROM: link type on a private database link', 'You can only specify the ROM: link type on a public, not a private, database link.', 'Determine if there is an existing public database link to the secondary database. If not, and if you wish to establish public access to the secondary database, create a public database link to the secondary database using the CREATE DATABASE LINK command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12326', 'database string is closing immediately; no operations are permitted', 'The database you attempted to access is closing, so your operation has been terminated.', 'Wait until the database has been reopened, or contact the database adminstrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12329', 'database string is closed; no operations are permitted', 'The database you attempted to access is closed, so your operation has been terminated.', 'Wait until the database is reopened, or contact the database administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12333', 'database (link name string) is not mounted', 'You attempted to open a database that has not been mounted.', 'Mount the database with the ALTER DATABASE <linkname> MOUNT command, then re-attempt to open the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12334', 'database (link name string) is still open', 'You attempted to dismount a database that is still open.', 'Close the database with the ALTER DATABASE <linkname> CLOSE command, then re-attempt to dismount the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12335', 'database (link name string) is not open', 'You attempted to close a database that is not open.', 'The database is closed; you can proceed with dismounting it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12336', 'cannot login to database (link name string)', 'You are tyring to login while another user is mounting or dismounting the same database.', 'Check to see if the database is in the middle of being mounted or opened and try your login again once the database is accessible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12341', 'maximum number of open mounts exceeded', 'The number specified on the OPEN_MOUNTS parameter in the parameter file exceeds the maximum allowed (255).', 'Change the value of this parameter so that it reflects the actual number of possible open mounts to secondary databases. This must be less than 255.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12629', 'TNS:no event test', 'An attempt to register a connection for event notification failed because the ability to test for events is not available.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12630', 'Native service operation not supported', 'An operation requested by a user is not supported by the native services component.', 'This may be an internal error if the operation should have been supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12631', 'Username retrieval failed', 'The authentication service failed to retrieve the name of a user.', 'Enable tracing to determine which routine is failing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12632', 'Role fetch failed', 'The authentication service failed to retrieve one of the user''s roles.', 'Enable tracing to determine which routine is failing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12633', 'No shared authentication services', 'The list of authentication services specified by the user does not match those supported by the process.', 'Either specify another list or relink the executable with the desired services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12634', 'Memory allocation failed', 'Process was unable to allocate memory.', 'Terminate other processes in order to reclaim needed memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12635', 'No authentication adapters available', 'The executable was not linked with any authentication service adapters but the sqlnet.ora parameter that determines whether or not authentication is required was set to true.', 'Either disable the parameter or relink the executable with service adapters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12636', 'Packet send failed', 'A process was unable to send a packet to another process. Possible causes are:' || '<p>' || '1. The other process was terminated.' || '<p>' || '' || '<p>' || '2. The machine on which the other process is running went down.' || '<p>' || '' || '<p>' || '3. Some other communications error occurred.', 'If the cause is not obvious, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12637', 'Packet receive failed', 'A process was unable to receive a packet from another process. Possible causes are:' || '<p>' || '1. The other process was terminated.' || '<p>' || '' || '<p>' || '2. The machine on which the other process is running went down.' || '<p>' || '' || '<p>' || '3. Some other communications error occurred.', 'If the cause is not obvious, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12638', 'Credential retrieval failed', 'The authentication service failed to retrieve the credentials of a user.', 'Enable tracing to determine the exact error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12639', 'Authentication service negotiation failed', 'No match was found between the types of authentication services that the client supports and those that the server is using.', 'Possible solutions:' || '<p>' || '1. Change the entry in sqlnet.ora that determines which services are to be used.' || '<p>' || '' || '<p>' || '2. Relink the client with at least one of the authentication service adapters that the server supports.' || '<p>' || '' || '<p>' || '3. Relink the server with at least one of the authentication service adapters that the client supports.' || '<p>' || '' || '<p>' || '4. Disable authentication on both the client and server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12640', 'Authentication adapter initialization failed', 'The function specified in the authentication table entry for the service failed.', 'Enable tracing to determine the exact error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12641', 'Authentication service failed to initialize', 'The authentication service failed during initialization.', 'Enable tracing to determine the exact error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12642', 'No session key', 'A process has no session key associated with it because the authentication service being used does not use one.', 'If a session key is required, use another authentication service.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12643', 'Client received internal error from server', 'The client process received an error from the server that indicated that an internal Oracle Net native services error had occurred.', 'Enable tracing on both processes and attempt to recreate the problem. If successful in recreating the problem, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12645', 'Parameter does not exist.', 'A sqlnet.ora parameter from which a value was needed does not exist.', 'Set the parameter in the parameter file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12646', 'Invalid value specified for boolean parameter', 'The value specified for a parameter was set to a value other than true/false or on/off.', 'Correct the value of the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12647', 'Authentication required', 'The parameter that controls whether authentication is required was set to true, but the executable does not have an authentication service linked in.', 'Either re-link the executable with an authentication service adapter or disable the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12648', 'Encryption or data integrity algorithm list empty', 'An Oracle Advanced Security list-of-algorithms parameter was empty, e.g. "()".', 'Change the list to contain the name of at least one installed algorithm, or remove the list entirely if every installed algorithm is acceptable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12649', 'Unknown encryption or data integrity algorithm', 'An Oracle Advanced Security list-of-algorithms parameter included an algorithm name that was not recognized.', 'Either remove that algorithm name, correct it if it was misspelled, or install the driver for the missing algorithm.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12650', 'No common encryption or data integrity algorithm', 'The client and server have no algorithm in common for either encryption or data integrity or both.', 'Choose sets of algorithms that overlap. In other words, add one of the client''s algorithm choices to the server''s list or vice versa.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12651', 'Encryption or data integrity algorithm unacceptable', 'The algorithm the server chose to use for encryption or data integrity was not one of the choices acceptable to the client. This is either the result of an internal error, of a network data transmission error, or of deliberate tampering with the transmitted data.', 'For further details, turn on tracing, re-execute the operation, and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12652', 'String truncated', 'Not enough memory was allocated for a string so it had to be truncated', 'If it is OK that the string is truncated, then it is not an error. Otherwise, call the routine that reported the error again with a larger string buffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12653', 'Authentication control function failed', 'The control function utilized by the authentication service driver failed.', 'Enable tracing to determine the exact error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12654', 'Authentication conversion failed', 'The authentication service was unable to convert the credentials of a user from the format specific to the format into the ORACLE format.', 'Enable tracing to determine the exact error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12655', 'Password check failed', 'The authentication service being used was unable to verify the provided password.', 'Enable tracing to determine the exact error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12656', 'Cryptographic checksum mismatch', 'The cryptographic checksum received with a packet of incoming data didn''t match the checksum computed by the receiving end. This indicates that the packet was tampered with or otherwise corrupted in transit.', 'Look for sources of data corruption, perhaps including deliberate tampering.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12657', 'No algorithms installed', 'The near side of the connection required the use of a service (either encryption or checksumming) when no algorithms for that service were installed.', 'Remove the "ON" requirement for that service.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12505', 'TNS:listener does not currently know of SID given in connect descriptor', 'The listener received a request to establish a connection to a database or other service. The connect descriptor received by the listener specified a SID for an instance (usually a database instance) that either has not yet dynamically registered with the listener or has not been statically configured for the listener. This may be a temporary condition such as after the listener has started, but before the database instance has registered with the listener.', '- Wait a moment and try to connect a second time.' || '<p>' || '' || '<p>' || '- Check which instances are currently known by the listener by executing: lsnrctl services <listener name>' || '<p>' || '' || '<p>' || '- Check that the SID parameter in the connect descriptor specifies an instance known by the listener.' || '<p>' || '' || '<p>' || '- Check for an event in the listener.log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12508', 'TNS:listener could not resolve the COMMAND given', 'd by incompatible Oracle Net or Net8 versions. Do not include in error manual.', 'This is not seen in normal use of Oracle Net.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12509', 'TNS:listener failed to redirect client to service handler', 'The dispatcher terminated unexpectedly', 'Attempt to connect again and if the same error occurs, contact the DBA to check the state of the dispatchers for this SID. If the problem persists, turn on tracing in the listener to determine the TNS error caused by the redirect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12510', 'TNS:database temporarily lacks resources to handle the request', 'The dispatchers appear to be busy handling other requests.', 'Attempt the connection again. If error persists, ask the DBA to increase the number of dispatchers and/or dispatchers'' limit on number of connections/sessions that they can accept.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12511', 'TNS:service handler found but it is not accepting connections', 'The dispatchers notified the listener that they temporarily do not accept new connections.', 'Attempt the connection again. If error persists, contact the DBA to check the state of the dispatchers and/or ask him to increase the number of dispatchers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12513', 'TNS:service handler found but it has registered for a different protocol', 'The dispatchers registered for this service are connected to the listener by way of a different network protocol than that of the client.', 'Contact the DBA to register a dispatcher on your protocol.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12514', 'TNS:listener does not currently know of service requested in connect descriptor', 'The listener received a request to establish a connection to a database or other service. The connect descriptor received by the listener specified a service name for a service (usually a database service) that either has not yet dynamically registered with the listener or has not been statically configured for the listener. This may be a temporary condition such as after the listener has started, but before the database instance has registered with the listener.', '- Wait a moment and try to connect a second time.' || '<p>' || '' || '<p>' || '- Check which services are currently known by the listener by executing: lsnrctl services <listener name>' || '<p>' || '' || '<p>' || '- Check that the SERVICE_NAME parameter in the connect descriptor of the net service name used specifies a service known by the listener.' || '<p>' || '' || '<p>' || '- If an easy connect naming connect identifier was used, check that the service name specified is a service known by the listener.' || '<p>' || '' || '<p>' || '- Check for an event in the listener.log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12515', 'TNS:listener could not find a handler for this presentation', 'None of the listener''s known service handlers are registered as supporting the presentation protocol required by the connecting client.', 'Check that the destination service is configured to accept the presentation protocol.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12516', 'TNS:listener could not find available handler with matching protocol stack', 'None of the known and available service handlers for the given SERVICE_NAME support the client''s protocol stack: transport, session, and presentation protocols.', 'Check to make sure that the service handlers (e.g. dispatchers) for the given SERVICE_NAME are registered with the listener, are accepting connections, and that they are properly configured to support the desired protocols.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12518', 'TNS:listener could not hand off client connection', 'The process of handing off a client connection to another process failed.', 'Turn on listener tracing and re-execute the operation. Verify that the listener and database instance are properly configured for direct handoff. If problem persists, call Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12519', 'TNS:no appropriate service handler found', 'The listener could not find any available service handlers that are appropriate for the client connection.', 'Run "lsnrctl services" to ensure that the instance(s) have registered with the listener, and are accepting connections.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12520', 'TNS:listener could not find available handler for requested type of server', 'None of the known and available service handlers for requested type of server (dedicated or shared) are appropriate for the client connection.', 'Run "lsnrctl services" to ensure that the instance(s) have registered with the listener and that the appropriate handlers are accepting connections.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12521', 'TNS:listener does not currently know of instance requested in connect descriptor', 'The listener received a request to establish a connection to a database or other service. The connect descriptor received by the listener specified in addition to the service name an instance name for an instance (usually a database instance) that either has not yet dynamically registered with the listener or has not been statically configured for the listener. This may be a temporary condition such as after the listener has started, but before the database instance has registered with the listener.', '- Wait a moment and try to connect a second time.' || '<p>' || '' || '<p>' || '- Check which instances are currently known by the listener by executing: lsnrctl services <listener name>' || '<p>' || '' || '<p>' || '- Check that the INSTANCE_NAME parameter in the connect descriptor specifies an instance name known by the listener.' || '<p>' || '' || '<p>' || '- Check for an event in the listener.log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12522', 'TNS:listener could not find available instance with given INSTANCE_ROLE', 'There are not any available and appropriate database instances registered with the listener, that are part of the service identified by SERVICE_NAME given in the connect descriptor and that have the specified INSTANCE_ROLE (and INSTANCE_NAME, if specified).', 'Check to make sure that the INSTANCE_ROLE specified is correct. Run "lsnrctl services" to ensure that the instance(s) have registered with the listener and that they are ready to accept connections.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12523', 'TNS:listener could not find instance appropriate for the client connection', 'The listener could not find any available (database) instances, that are appropriate for the client connection.', 'Run "lsnrctl services" to ensure that the instance(s) are registered with the listener, and have status READY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12524', 'TNS:listener could not resolve HANDLER_NAME given in connect descriptor', 'The HANDLER_NAME in the CONNECT_DATA was not found in the listener''s tables for the specified SERVICE_NAME and INSTANCE_NAME.', 'Check to make sure that the HANDLER_NAME specified is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12525', 'TNS:listener has not received client''s request in time allowed', 'The listener disconnected the client because the client failed to provide the necessary connect information within the allowed time interval. This may be a result of network or system delays; or this may indicate that a malicious client is trying to cause a Denial of Service attack on the listener.', 'If the error occurred because of a slow network or system, reconfigure INBOUND_CONNECT_TIMEOUT to a larger value. If a malicious client is suspected, use the address in listener.log to identify the source and restrict access. Turn on tracing for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12526', 'TNS:listener: all appropriate instances are in restricted mode', 'Database instances supporting the service requested by the client were in restricted mode. The Listener does not allow connections to instances in restricted mode. This condition may be temporary, such as during periods when database administration is performed.', 'Attempt the connection again. If error persists, then contact the database administrator to change the mode of the instance, if appropriate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12527', 'TNS:listener: all instances are in restricted mode or blocking new connections', 'All appropriate database instances supporting the service requested by the client reported that they either were in restricted mode or were blocking the new connections. The Listener does not allow connections to such instances. This condition may be temporary, such as at instance startup.', 'Attempt the connection again. If error persists, then contact the database administrator to check the status of the instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12528', 'TNS:listener: all appropriate instances are blocking new connections', 'All instances supporting the service requested by the client reported that they were blocking the new connections. This condition may be temporary, such as at instance startup.', 'Attempt the connection again. If error persists, then contact the administrator to check the status of the instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12529', 'TNS:connect request rejected based on current filtering rules', 'Connection Manager and its listener were configured with filtering rules specifying that the connect request be rejected.', 'If this connect request should be allowed, then contact the administrator to modify the filtering rules.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12531', 'TNS:cannot allocate memory', 'Sufficient memory could not be allocated to perform the desired activity.', 'Either free some resource for TNS, or add more memory to the machine. For further details, turn on tracing and reexecute the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12532', 'TNS:invalid argument', 'An internal function received an invalid parameter.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12533', 'TNS:illegal ADDRESS parameters', 'An illegal set of protocol adapter parameters was specified. In some cases, this error is returned when a connection cannot be made to the protocol transport.', 'Verify that the destination can be reached using the specified protocol. Check the parameters within the ADDRESS section of TNSNAMES.ORA. Legal ADDRESS parameter formats may be found in the Oracle operating system specific documentation for your platform. Protocols that resolve names at the transport layer (such as DECnet object names) are vulnerable to this error if not properly configured or names are misspelled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12534', 'TNS:operation not supported', 'An internal function received a request to perform an operation that is not supported (on this machine).', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12535', 'TNS:operation timed out', 'The requested operation could not be completed within the time out period.', 'Look at the documentation on the secondary errors for possible remedy. See SQLNET.LOG to find secondary error if not provided explicitly. Turn on tracing to gather more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12536', 'TNS:operation would block', 'An internal operation did not commence because to do so would block the current process and the user has requested that operations be non-blocking.', 'None needed; this is an information message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12537', 'TNS:connection closed', '"End of file" condition has been reached; partner has disconnected.', 'None needed; this is an information message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12538', 'TNS:no such protocol adapter', 'The protocol adapter requested (by way of the "(PROTOCOL=..)" keyword-value pair in a TNS address) is unknown. If the supplied address is typographically correct then the protocol adapter is not installed.', 'Install the protocol adapter or correct typographically error, as appropriate. Note: if the supplied address was derived from resolving the service name, check the address in the appropriate file (TNSNAMES.ORA, LISTENER.ORA or SQLNET.ORA).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12539', 'TNS:buffer over- or under-flow', 'Buffer too small for incoming data or too large for outgoing data.', 'This restriction (which is associated with CONNECT DATA) is not normally visible to the user. For further details, turn on tracing and reexecute the operation; contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12540', 'TNS:internal limit restriction exceeded', 'Too many TNS connections open simultaneously.', 'Wait for connections to close and re-try.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12541', 'TNS:no listener', 'The connection request could not be completed because the listener is not running.', 'Ensure that the supplied destination address matches one of the addresses used by the listener - compare the TNSNAMES.ORA entry with the appropriate LISTENER.ORA file (or TNSNAV.ORA if the connection is to go by way of an Interchange). Start the listener on the remote machine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12542', 'TNS:address already in use', 'Specified listener address is already being used.', 'Start your listener with a unique address.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12543', 'TNS:destination host unreachable', 'Contact can not be made with remote party.', 'Make sure the network driver is functioning and the network is up.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12544', 'TNS:contexts have different wait/test functions', 'Two protocol adapters have conflicting wait/test functions.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12545', 'Connect failed because target host or object does not exist', 'The address specified is not valid, or the program being connected to does not exist.', 'Ensure the ADDRESS parameters have been entered correctly; the most likely incorrect parameter is the node name. Ensure that the executable for the server exists (perhaps "oracle" is missing.) If the protocol is TCP/IP, edit the TNSNAMES.ORA file to change the host name to a numeric IP address and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12546', 'TNS:permission denied', 'User has insufficient privileges to perform the requested operation.', 'Acquire necessary privileges and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12547', 'TNS:lost contact', 'Partner has unexpectedly gone away, usually during process startup.', 'Investigate partner application for abnormal termination. On an Interchange, this can happen if the machine is overloaded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12548', 'TNS:incomplete read or write', 'A data send or receive failed.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12549', 'TNS:operating system resource quota exceeded', 'The current user has exceeded the allotted resource assigned in the operating system.', 'Acquire more operating system resource, or perform a different function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12550', 'TNS:syntax error', 'The supplied connect descriptor contains illegal syntax.', 'Check the syntax of the connect descriptor in TNSNAMES.ORA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12551', 'TNS:missing keyword', 'The supplied connect descriptor is missing one or more TNS keywords.', 'Check the syntax, and ensure all required keywords are present.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12552', 'TNS:operation was interrupted', 'An internal operation was interrupted and could not complete.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12554', 'TNS:current operation is still in progress', 'An internal operation is still in progress.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12555', 'TNS:permission denied', 'User has insufficient privileges to perform the requested operation.', 'Acquire necessary privileges and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12556', 'TNS:no caller', 'TNS detected an incoming connect request but there was no caller.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12557', 'TNS:protocol adapter not loadable', 'On some platforms (such as OS/2) protocol adapters are loaded at run-time. If the shared library (or DLL) for the protocol adapter is missing or one of its supporting libraries is missing then this error is returned.', 'For further details, turn on tracing and reexecute the operation. The trace file will include the name of the shared library (or DLL) that could not be loaded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12558', 'TNS:protocol adapter not loaded', 'On some platforms (such as OS/2) protocol adapters are loaded at run-time. If the shared library (or DLL) for the protocol adapter has not been loaded, then this error is returned.', 'For further details, turn on tracing and reexecute the operation. The trace file will have the name of the shared library (or DLL) that has not been loaded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12560', 'TNS:protocol adapter error', 'A generic protocol adapter error occurred.', 'Check addresses used for proper protocol specification. Before reporting this error, look at the error stack and check for lower level transport errors. For further details, turn on tracing and reexecute the operation. Turn off tracing when the operation is complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12561', 'TNS:unknown error', 'A generic protocol error occurred.', 'For further details, turn on tracing and reexecute the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12562', 'TNS:bad global handle', 'Internal error - bad ''gbh'' argument passed to TNS from caller. System may have been linked with old libraries.', 'Not normally visible to the user, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12564', 'TNS:connection refused', 'The connect request was denied by the remote user (or TNS software).', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12566', 'TNS:protocol error', 'An unexpected TNS protocol error has occurred.', 'For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12569', 'TNS:packet checksum failure', 'The data received is not the same as the data sent.', 'Attempt the transaction again. If the error is persistent, turn on tracing and reexecute the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12570', 'TNS:packet reader failure', 'An error occurred during a data receive.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12571', 'TNS:packet writer failure', 'An error occurred during a data send.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12574', 'TNS:redirection denied', 'The connect request failed because it would have required redirection and the caller has requested no redirections.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12575', 'TNS:dhctx busy', 'The handoff over a dhctx failed as dhctx was already busy with an ongoing handoff.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12576', 'TNS:handoff not supported for this session', 'Handoff of a established session was attempted which either had tcps as its transport or NA options were enabled for this session.', 'Check the transport setting as well as NA options. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12582', 'TNS:invalid operation', 'An internal function received an invalid request.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12583', 'TNS:no reader', 'A send operation has been requested but partner has already disconnected.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12585', 'TNS:data truncation', 'A receive operation has completed with insufficient data to satisfy the user''s request.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12589', 'TNS:connection not bequeathable', 'An attempt to hand-off a connection from one process to another has failed because the protocol provider does not support it.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12590', 'TNS:no I/O buffer', 'An attempt to perform an I/O operation failed because no buffer was available.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12591', 'TNS:event signal failure', 'The TNS software is unable to signal an event occurrence.', 'For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12592', 'TNS:bad packet', 'An ill-formed packet has been detected by the TNS software.', 'For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12593', 'TNS:no registered connection', 'An attempt to solicit network event activity has failed because no connections are registered for event notification.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12595', 'TNS:no confirmation', 'TNS is unable to get requested confirmation acknowledgment from remote partner.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12596', 'TNS:internal inconsistency', 'TNS has detected an internal inconsistency.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12597', 'TNS:connect descriptor already in use', 'Internal error - illegal use of connect descriptor.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12598', 'TNS:banner registration failed', 'The registration of a product banner with the Oracle server failed.', 'This is an error which is not normally visible externally. Enable tracing and attempt to repeat the error. If it occurs again, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12599', 'TNS:cryptographic checksum mismatch', 'The data received is not the same as the data sent.', 'Attempt the transaction again. If error persists, check (and correct) the integrity of your physical connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12600', 'TNS: string open failed', 'The creation of a string in ORACLE NLS format failed.', 'This is an internal error, enable tracing and attempt to repeat the error. If it occurs again, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12601', 'TNS:information flags check failed', 'The TNS information flags set by the process prior to connection negotiation were not present after the negotiation was finished.', 'This is an internal error. Enable tracing and attempt to repeat the error. If it occurs again, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12602', 'TNS: Connection Pooling limit reached', 'The operation failed because maximum active current connections has been reached. It may not be a real error when the Connection Pooling feature is enabled. It is possible that the application later reissues the operation and successfully grabs the connection pool slot and proceeds.', 'This is an internal error. Enable tracing and attempt to repeat the error. If it occurs again, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12606', 'TNS: Application timeout occurred', 'A network session did not reach an application-defined stage within the allowed time interval.', 'This is an error which does not normally appear at the high level. The action to take is application specific, and is detailed in the higher level error description.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12607', 'TNS: Connect timeout occurred', 'A network session did not reach a predefined connect stage within the allowed time interval.', 'This is an error which does not normally appear at the high level. The action to take is application specific, and is detailed in the higher level error description.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12608', 'TNS: Send timeout occurred', 'The send or write operation did not complete within the allowed time interval.', 'Check if the peer host is available. Increase the send timeout value if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12609', 'TNS: Receive timeout occurred', 'The receive or read operation did not complete within the allowed time interval.', 'Check if the peer host is available. Increase the receive timeout value if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12611', 'TNS:operation is not portable', 'Attempted operation is not portable.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12612', 'TNS:connection is busy', 'Attempted operation failed because it conflicts with an ongoing', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12615', 'TNS:preempt error', 'A request to service an event failed because no event notification has yet been posted.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12616', 'TNS:no event signals', 'The operation failed because the type of data specified is unknown.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12618', 'TNS:versions are incompatible', 'The two machines are running incompatible versions of TNS.', 'Check the version numbers, and upgrade the machine with the smaller one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12619', 'TNS:unable to grant requested service', 'The connect request failed because requested service could not be provided by the local TNS software.', 'If appropriate, reexecute with reduced service requirements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12620', 'TNS:requested characteristic not available', 'The connect request failed because a requested transport characteristic could not be supported by the remote TNS software.', 'If appropriate, reexecute with reduced requirements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12622', 'TNS:event notifications are not homogeneous', 'An attempt to register a connection for event notification failed because the event notification type conflicts with existing registrations.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12623', 'TNS:operation is illegal in this state', 'Connection is half-duplex and a full-duplex operation was attempted.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation. If error persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12624', 'TNS:connection is already registered', 'An attempt to register a connection for event notification failed because the connection is already registered.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12625', 'TNS:missing argument', 'An operation failed because an argument was missing"', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12626', 'TNS:bad event type', 'An attempt to register a connection for event notification failed because the event type is unknown.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12628', 'TNS:no event callbacks', 'An attempt to register a connection for event notification failed because asynchronous callbacks are not available.', 'Not normally visible to the user. For further details, turn on tracing and reexecute the operation and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12658', 'ANO service required but TNS version is incompatible', 'A client process that is running an earlier version of TNS attempted to connect but the connection failed because the server process required that an ANO service (authentication, encryption, etc.) be used.', 'Relink the calling executable and retry the connection or eliminate the requirement that the service be used on the server side.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12659', 'Error received from other process', 'An error was received by one or more services from the process on the other side of the connection.', 'Enable tracing to determine the exact error(s). The error(s) is (are) not returned directly because an error generated by a server may not make sense on the client side and vice-versa.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12660', 'Encryption or crypto-checksumming parameters incompatible', 'One side of the connection specified "REQUIRED" for encryption or crypto-checksumming, while the other side specified "REJECTED".', 'Change the "REQUIRED" side to "REQUESTED" if the you want encryption or crypto-checksumming to be optional, or change the "REJECTED" side to "ACCEPTED" if you do not want the service to be optional.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12661', 'Protocol authentication to be used', 'The Oracle Advanced Security authentication service has determined that the Oracle Net transport protocol in use is to be utilized to authenticate a user''s identity.', 'This error is used solely to communicate information between the authentication service and the Oracle Net session layer and should not normally be visible. If the error is seen, contact Oracle Worldwide Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12662', 'proxy ticket retrieval failed', 'The authentication adapter used by Oracle Net failed to retrieve the credentials needed to authenticate a database link.', 'Enable tracing to determine the exact error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12663', 'Services required by client not available on the server', 'Service(s) that was (were) required by the client process were not available on the server process.', 'Configure the server with the services required by the client (best solution) or delete the requirement from the configuration file of the client (least secure).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12664', 'Services required by server not available on the client', 'Service(s) that was (were) required by the server process were not available on the client process.', 'Configure the client with the services required by the server (best solution) or delete the requirement from the configuration file of the server (least secure).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12665', 'NLS string open failed', 'A native service was unable to make a string available for use by the National Language Support component.', 'Make sure the National Language Support component has been properly. If it has, enable tracing and report the problem to Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12666', 'Dedicated server: outbound transport protocol different from inbound', 'The protocol specified for an externally-identified outbound connection from a dedicated server (database link) was not the same as that used for the inbound connection. It is not possible for Oracle Net to authenticate a proxy connection that uses a protocol that is different from that which was used for the connection to the dedicated server.', 'Specify the same protocol in the Oracle Net connect descriptor for the outbound connection as that used for the inbound connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12667', 'Shared server: outbound transport protocol different from inbound', 'The protocol specified for an externally-identified outbound connection from a shared server (database link) was not the same as as that used for the inbound connection. It is not possible for Oracle Net to authenticate a proxy connection that uses a protocol that is different from that which was used for the connection to the shared server.', 'Specify the same protocol in the Oracle Net connect descriptor for the outbound connection as that used for the inbound connection', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12668', 'Dedicated server: outbound protocol does not support proxies', 'The protocol specified to perform an externally-identified proxy connection (database link) from a dedicated server does not support proxy connections.', 'Specify a protocol in the Oracle Net connect descriptor used for the connection that does support externally-authenticated proxy connections. NOTE: Because of a limitation in Oracle Net, the protocol used for the proxy connection must the same as that used for the connection from the client to the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12669', 'Shared server: outbound protocol does not support proxies', 'The protocol specified to perform an externally-identified proxy connection (database link) from a shared server does not support proxy connections.', 'Specify a protocol in the Oracle Net connect descriptor used for the connection that does support externally-authenticated proxy connections. NOTE: Because of a limitation in Oracle Net, the protocol used for the proxy connection must the same as that used for the connection from the client to the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12670', 'Incorrect role password', 'A password supplied for a role could not be validated by the authentication service.', 'Supply the correct password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12671', 'Shared server: adapter failed to save context', 'The adapter for the authentication service failed when it tried to save the data needed for proxy connections (database links) through the shared server.', 'Enable tracing to determine the exact error. Contact Oracle Customer Support if the reason is not obvious.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12672', 'Database logon failure', 'The authentication service adapter in use encountered an error it attempted to validate the logon attempt of a user.', 'Enable tracing to determine the exact error encountered by the adapter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12673', 'Dedicated server: context not saved', 'A connection was marked as being a proxy connection (database link) from a dedicated server but no inbound context was present.', 'This error should not normally be visible to the user. Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12674', 'Shared server: proxy context not saved', 'A connection was marked as being a proxy connection (database link) from a shared server but no inbound context was present.', 'This error should not normally be visible to the user. Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12675', 'External user name not available yet', 'The authentication service in use was not able to return the external name of a user of the ORACLE server because it is not available to the service yet.', 'This is just an informational message and should not normally be visible to the user. If the error does appear, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12676', 'Server received internal error from client', 'The server process received an error from the client which indicated that an internal Oracle Net native services error had occurred.', 'Enable tracing on both processes and attempt to recreate the problem. If the problem recurs, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12677', 'Authentication service not supported by database link', 'The authentication service used by the proxy process (database link) was unable to find the adapter being used by the client in its list of authentication mechanisms.', 'Specify an authentication adapter that is shared by the client and the server being used for the database link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12678', 'Authentication disabled but required', 'The configuration parameters that control whether Oracle Advanced Security authentication is disabled or required were both set to TRUE.', 'Set one or both of the parameters to FALSE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12679', 'Native services disabled by other process but required', 'The remote process has disabled native services but the local process requires them.', 'Enable native services on the remote process or disable them locally.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12680', 'Native services disabled but required', 'The process has disabled native services but at least one service is required.', 'Enable native services or change the configuration file so that none of the available services are required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12715', 'invalid character set specified', 'The character set specified is not allowed for this operation or is invalid', 'Ensure that the specified character set is valid', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12716', 'Cannot ALTER DATABASE CHARACTER SET when CLOB data exists', 'CLOB data changes representation to Unicode when converting to a multibyte character set and must be migrated', 'Remove CLOB data as listed in the alert file. CLOB data can be migrated by methods such as import/export', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12717', 'Cannot issue ALTER DATABASE NATIONAL CHARACTER SET when NCLOB, NCHAR or NVARCHAR2 data exists', 'NCLOB, NCHAR or NVARCHAR2 data changed the representation to Unicode when converting to a multibyte character set and must be migrated.', 'Remove NCLOB, NCHAR or NVARCHAR2 data as listed in the alert file. The above type data can be migrated by methods such as import/export.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12718', 'operation requires connection as SYS', 'This command can only be run when connecting as SYS', 'Connect as SYS to run this command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12719', 'operation requires database is in RESTRICTED mode', 'This command can only be run when the database is in RESTRICTED mode', 'Ensure that the system is in RESTRICTED mode', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12720', 'operation requires database is in EXCLUSIVE mode', 'This command can only be run when the database is in EXCLUSIVE mode', 'Ensure that the system is in EXCLUSIVE mode', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12721', 'operation cannot execute when other sessions are active', 'This command can only be run when there are no other sessions active', 'Ensure there are no other connections to the database', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12722', 'regular expression internal error', 'A regular expression internal error occurred.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12723', 'regular expression too complex', 'The regular expression was too complex and could not be parsed.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12724', 'regular expression corrupt', 'The regular expression contained an incorrect sequence of metacharacters.', 'Ensure the metacharacters are correctly positioned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12725', 'unmatched parentheses in regular expression', 'The regular expression did not have balanced parentheses.', 'Ensure the parentheses are correctly balanced.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12726', 'unmatched bracket in regular expression', 'The regular expression did not have balanced brackets.', 'Ensure the brackets are correctly balanced.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12727', 'invalid back reference in regular expression', 'A back references was found before a sub-expression.', 'Ensure a valid sub-expression is being referenced.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12728', 'invalid range in regular expression', 'An invalid range was found in the regular expression.', 'Ensure a valid range is being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12729', 'invalid character class in regular expression', 'An unknown character class was found in the regular expression.', 'Ensure a valid characters class is being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12730', 'invalid equivalence class in regular expression', 'An unknown equivalence class was found in the regular expression.', 'Ensure a valid equivalence class is being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12731', 'invalid collation class in regular expression', 'An unknown collation class was found in the regular expression.', 'Ensure a valid collation class is being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12732', 'invalid interval value in regular expression', 'An invalid interval value was found in the regular expression.', 'Ensure a valid interval value is being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12733', 'regular expression too long', 'The operation failed because the regular expression it used exceeds the maximum supported size.', 'Use a shorter regular expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12734', 'Instant Client Light: unsupported client national character set string', 'Only UTF8 and AL16UTF16 are allowed to be used as the national character set. Instant Client Light has only minimal character sets.', 'Do not use Instant Client Light for this character set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12735', 'Instant Client Light: unsupported client character set string', 'The character set specified is not allowed for this operation or is invalid. Instant Client Light has only minimal character sets.', 'Do not use Instant Client Light for this character set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12736', 'Instant Client Light: unsupported server national character set string', 'Only UTF8 and AL16UTF16 are allowed to be used as the national character set. Instant Client Light has only minimal character sets.', 'Do not use Instant Client Light for this character set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12737', 'Instant Client Light: unsupported server character set string', 'The character set specified is not allowed for this operation or is invalid. Instant Client Light has only minimal character sets.', 'Do not use Instant Client Light for this character set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12738', 'Express Instant Client: unsupported client national character set string', 'Only UTF8 and AL16UTF16 are allowed to be used as the national character set. Instant Client has only minimal character sets.', 'Do not use Express Instant Client for this character set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12739', 'Express Instant Client: unsupported client character set string', 'The character set specified is not allowed for this operation or is invalid. Express Instant Client has only minimal character sets.', 'Do not use Express Instant Client for this character set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12740', 'Express Instant Client: unsupported server national character set string', 'Only UTF8 and AL16UTF16 are allowed to be used as the national character set. Instant Client has only minimal character sets.', 'Do not use Express Instant Client for this character set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12741', 'Express Instant Client: unsupported server character set string', 'The character set specified is not allowed for this operation or is invalid. Express Instant Client has only minimal character sets.', 'Do not use Express Instant Light for this character set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12800', 'system appears too busy for parallel query execution', 'load on system is too high to perform parallel queries.', 're-execute serially or wait until system load is reduced.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12801', 'error signaled in parallel query server string', 'A parallel query server reached an exception condition.', 'Check the following error message for the cause, and consult your error manual for the appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12802', 'parallel query server lost contact with coordinator', 'A parallel query server lost contact with the foreground (coordinator) process/thread.', 'Check your system for anomalies and reissue the statement. If this error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12803', 'parallel query server lost contact with another server', 'A parallel query server lost contact with another server.', 'Check your system for anomalies and reissue the statement. If this error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12804', 'parallel query server appears to have died', 'Cannot find process information for a parallel query server thread.', 'Check your system for anomalies and reissue the statement. If this error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12681', 'Login failed: the SecurID card does not have a pincode yet', 'The SecurID card that is used to logon to Oracle, does not have a pincode assigned to it.', 'Use one of the programs supplied by Security Dynamics to assign a pincode to the card.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12682', 'Login failed: the SecurID card is in next PRN mode', 'The SecurID card and the SecurID server are out of sync and the server requires the next cardcode to resynchronize the card.', 'Use one of the programs supplied by Security Dynamics to resynchronize the SecurID card.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12683', 'encryption/crypto-checksumming: no Diffie-Hellman seed', 'The "sqlnet.crypto_seed" parameter is missing from the SQLNET.ORA parameters file for Oracle Advanced Security.', 'Add this line to SQLNET.ORA: sqlnet.crypto_seed = "randomly-chosen text"', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12684', 'encryption/crypto-checksumming: Diffie-Hellman seed too small', 'The "sqlnet.crypto_seed" parameter in the SQLNET.ORA parameter file for Oracle Advanced Security is too small.', 'Add more randomly-chosen text to it, perhaps using Network Manager.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12685', 'Native service required remotely but disabled locally', 'A native service is required by the remote process but native services have been disabled locally.', 'Enable native services locally or change the configuration parameters on the remote host so that no native services are required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12686', 'Invalid command specified for a service', 'An operation which does not exist was specified for a native service.', 'This is a programming error and should not normally be visible to the user. If the error does appear, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12687', 'Credentials expired.', 'The credentials that are used to authenticate the user for the requested connection have expired.', 'Renew your credentials. Refer to the documentation specific for your Network Authentication Adapter on how to do this.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12688', 'Login failed: the SecurID server rejected the new pincode', 'There are a number of reasons why the SecurID server would refuse a pincode:' || '<p>' || '- The user might not have permission to make up his own pincode.' || '<p>' || '' || '<p>' || '- The pincode was either too short or too long. Valid pincodes consist of minimal four, but no more than eight characters.' || '<p>' || '' || '<p>' || '- The pincode contains any non alphanumeric characters.', 'Reexecute the operation and make sure to use a pincode that satisfies the above requirements. If the problem persists, turn on tracing at the Oracle Server side of the connection and examine the trace file for the exact error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12689', 'Server Authentication required, but not supported', 'Server Authentication is required for this connection, but not supported by both sides of the connection.', 'Make sure both sides of the connection have the correct version of Advanced Networking Option, and that the Authentication Adapter supports Server Authentication.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12690', 'Server Authentication failed, login cancelled', 'Server Authentication is required, but the server''s credentials were found invalid by the client.', 'Make sure that the server has a valid set of credentials. Refer to your authentication adapter specific documentation on how to do this.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12696', 'Double Encryption Turned On, login disallowed', 'The user is using a Secure Protocol Adapter that has Encryption turned ON as well as ANO Encryption.', 'Turn OFF either ANO Encryption or the Protocol Adapter Encryption if possible. Refer to Oracle Advanced Security Administrator''s Guide on how to do this.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12699', 'Native service internal error', 'An internal error occurred in the native services component.', 'Enable tracing to determine the exact error. Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12700', 'invalid NLS parameter value (string)', 'An invalid or unknown NLS configuration parameter was specified.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12701', 'CREATE DATABASE character set is not known', 'The character set specified when creating the database is unknown.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12702', 'invalid NLS parameter string used in SQL function', 'An unknown parameter name or invalid value is specified in a NLS parameter string.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12703', 'this character set conversion is not supported', 'The requested conversion between two character sets in the CONVERT function is not implemented', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12704', 'character set mismatch', 'One of the following: ' || '<p>' || '- The string operands(other than an nlsparams argument) to an operator or built-in function do not have the same character set.' || '<p>' || '' || '<p>' || '- An nlsparams operand is not in the database character set.' || '<p>' || '' || '<p>' || '- String data with character set other than the database character set is passed to a built-in function not expecting it.' || '<p>' || '' || '<p>' || '- The second argument to CHR() or CSCONVERT() is not CHAR_CS or NCHAR_CS.' || '<p>' || '' || '<p>' || '- A string expression in the VALUES clause of an INSERT statement, or the SET clause of an UPDATE statement, does not have the same character set as the column into which the value would be inserted.' || '<p>' || '' || '<p>' || '- A value provided in a DEFAULT clause when creating a table does not have the same character set as declared for the column.' || '<p>' || '' || '<p>' || '- An argument to a PL/SQL function does not conform to the character set requirements of the corresponding parameter.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12705', 'Cannot access NLS data files or invalid environment specified', 'Either an attempt was made to issue an ALTER SESSION command with an invalid NLS parameter or value; or the environment variable(s) NLS_LANG, ORA_NLSxx, or ORACLE_HOME was incorrectly specified, therefore the NLS data files cannot be located.', 'Check the syntax of the ALTER SESSION command and the NLS parameter, correct the syntax and retry the statement, or specify the correct directory path/values in the environment variables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12706', 'this CREATE DATABASE character set is not allowed', 'It is not allowed to create a database on a native ASCII-based machine using an EBCDIC-based character set, and vice versa.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12707', 'error while getting create database NLS parameter string', 'Internal error', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12708', 'error while loading create database NLS parameter string', 'Internal error', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12709', 'error while loading create database character set', 'Internal error', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12710', 'CREATE CONTROLFILE character set is not known', 'The character set specified when creating the control file is unknown.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12711', 'this CREATE CONTROLFILE character set is not allowed', 'It is not allowed to create a control file on a native ASCII-based machine using an EBCDIC-based character set, and vice versa.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12712', 'new character set must be a superset of old character set', 'When you ALTER DATABASE ... CHARACTER SET, the new character set must be a superset of the old character set. For example, WE8ISO8859P1 is not a superset of the WE8DEC.', 'Specify a superset character set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12713', 'Character data loss in NCHAR/CHAR conversion', 'When character set conversion happens between CHAR and NCHAR either implicitly or explicitly, some characters are lost due to no mapping characters in the destination character set.', 'Make sure all the characters can be mapped to destination character set or set NLS_NCHAR_CONV_EXCP to be FALSE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12714', 'invalid national character set specified', 'Only UTF8 and AL16UTF16 are allowed to be used as the national character set', 'Ensure that the specified national character set is valid', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24076', 'cannot perform operation string for NON_PERSISTENT queue string.string', 'One of the operations, SCHEDULE_PROPAGATION, ALTER_QUEUE, LISTEN, DEQUEUE was issued for a NON_PERSISTENT queue.', 'Do not specify a NON_PERSISTENT queue for these operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24077', 'cannot create propagation schedule for EXCEPTION queue string.string', 'A SCHEDULE_PROPAGATION was issued for an EXCEPTION queue. Propagation schedules can be created only for NORMAL queues.', 'To propagate messages from a queue specify the queue type as NORMAL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24078', 'cannot specify a non-NULL SECONDARY_INSTANCE if PRIMARY_INSTANCE was NULL', 'A non-NULL value was specified for SECONDARY_INSTANCE when PRIMARY_INSTANCE was NULL.', 'Specify a non-NULL primary instance before you specify a non-NULL secondary instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24079', 'invalid name string, names with AQ$_ prefix are not valid for string', 'An attempt was made to use a reserved prefix for the object name.', 'Enter a different name for this object. Then, retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24080', 'unschedule_propagation pending for QUEUE string and DESTINATION string', 'A propagation administration command was issued for a queue and destination pair whose propagation is being unscheduled.', 'Do not issue propagation administration commands for a propagation schedule on which there is a pending unschedule request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24081', 'compatible parameter needs to be string or greater', 'The compatible parameter was not high enough to allow the operation.', 'shutdown and startup with a higher compatibility setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24082', 'propagation may still be happening for the schedule for QUEUE string and DESTINATION string', 'The snapshot process executing the propagation schedule did not respond to the disable propagation command.', 'Make sure that the job for the propagation schedule has been ended.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24083', 'cannot specify remote subscribers for string QUEUE string', 'An add_subscriber call with a non-null address field was issued on a queue which does not support remote subscribers. Remote subscribers are not supported for NON_PERSISTENT QUEUES.', 'Specify a null address field and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24084', 'DBLINK name in address field of agent string is not unique within the first 24 bytes', 'Advanced Queuing requires that the agent''s dblink name should be unique within the first 24 bytes (for 8.0 compatible queuetables)', 'Specify a dblink name that is unique within the first 24 bytes or migrate to 8.1 compatible queuetables where this restriction is not there.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24085', 'operation failed, queue string is invalid', 'An attempt was made to enqueue, dequeue or administer a queue which is invalid. This could have occured because the payload type of the queue''s queue table was dropped or rules associated with queue subscribers got altered or dropped.', 'Drop the queue table setting the force option to true.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24086', 'cannot create a 8.0 compatible string queue', 'An attempt was made to create a 8.0 compatible queue table and enable a feature that is supported only on 8.1 style queue tables', 'This feature is not supported', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24087', 'Invalid database user string', 'An invalid database username was specified', 'Specify a valid database user', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24088', 'AQ Agent string does not exist', 'This AQ Agent does not exist', 'Specify a valid AQ agent. Check the DBA_AQ_AGENTS view for a list of valid aq agents', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24089', 'AQ Agent string already exists', 'This AQ agent has already been created', 'Specify another agent name or use the ALTER api to modify the agent information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24090', 'at least one protocol must be enabled', 'No protocol was enabled for aq agent', 'Enable one of the protocols by setting one of the enable parameters to true.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24091', 'Destination queue string is the same as the source queue', 'Propagation cannot be scheduled when the destination queue is the same as the source queue.', 'Specify a different destination queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24092', 'invalid value string specified', 'A queue, queue table, rule, or ruleset name that requires double quotes was specifed when the database compatibility was less than 10.0.', 'Specify a value that does not require double quotes and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24093', 'AQ agent string not granted privileges of database user string', 'The specified AQ agent does not have privileges of the specified database user', 'Specify a valid combination of AQ agent and database user. Check the DBA_AQ_AGENT_PRIVS or USER_AQ_AGENT_PRIVS view for user/agent mappings', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24094', 'invalid transformation, target type does not match that of the queue', 'The target type of the transformation specified was different from the type of the queue.', 'Provide a valid transformation whose target type is the same as the queue type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24095', 'invalid transformation, source type does not match that of the queue', 'The source type of the transformation specified was different from the type of the queue.', 'Provide valid transformation whose source type is the same as the queue type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24096', 'invalid message state specified', 'Invalid value is specified for message state', 'Provide a valid message state as specified in the documentation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24097', 'Invalid value string, string should be non-negative', 'A negative value or NULL was specified for the parameter.', 'Specify a non negative integer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24098', 'invalid value string for string', 'An Invalid value or NULL was specified for the parameter.', 'Check the documentation for valid values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24099', 'operation not allowed for 8.0 compatible queues', 'The specified operation is only supported for queues with compatibility 8.1 or greater', 'Upgrade the 8.0 compatible queue to release 8.1 using DBMS_AQADM.MIGRATE_QUEUE_TABLE or specify a queue with compatibility 8.1', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24100', 'error in ktz testing layer', 'There is an error in the Transaction layer test ICDs', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24101', 'stopped processing the argument list at: string', 'One of the arguments of the requested operation contained a list of scheduler objects. While processing this list an error was encountered with the specified item.', 'Resolve the error for this element of the list and then re-issue the command with the remainder of the argument list. See the rest of the error stack to find out what the exact error is.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24102', 'invalid prefix for generate_job_name', 'generate_job_name was called with a prefix longer than 18 characters or a prefix ending in a digit.', 'Re-issue the command using a prefix no longer than 18 characters and not ending in a digit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24120', 'invalid string parameter passed to DBMS_REPAIR.string procedure', 'An invalid parameter was passed to the specified DBMS_REPAIR procedure.', 'Specify a valid parameter value or use the parameter''s default.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24121', 'both cascade and a block range passed to DBMS_REPAIR.CHECK_OBJECT procedure', 'Both cascade and a block range were specified in a call to DBMS_REPAIR.CHECK_OBJECT.', 'Use either cascade or a block range, or do not use either one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24122', 'invalid block range specification', 'An incorrect block range was specified.', 'Specify correct values for the BLOCK_START and BLOCK_END parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24123', 'feature string is not yet implemented', 'An attempt was made to use the specified feature, but the feature is not yet implemented.', 'Do not attempt to use the feature.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15083', 'failed to communicate with ASMB background process', 'A database instance failed to communicate with its ASMB background process when attempting to access an ASM file.', 'Check the alert log for more information on the reason for the failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15084', 'ASM disk "string" is offline and cannot be dropped.', 'An attempt was made to drop a disk that is offline.', 'Check the ASM disk name as specified in the command; or, if needed, use the DROP DISK FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15090', 'handle string is not a valid descriptor', 'The file handle was not valid in this session.', 'Submit a handle obtained from a successful call to DBMS_DISKGROUP.OPEN().', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15091', 'operation incompatible with open handle in this session', 'The current session contained an open handle from the DBMS_DISKGROUP PL/SQL package which precluded performing the command.', 'Close the hanlde with DBMS_DISKGROUP.CLOSE() before executing the command, or execute the command in a different session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15092', 'I/O request size string is not a multiple of logical block size string', 'The length of the request was not a multiple of logical block size.', 'Correct the error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15093', 'buffer only contains string bytes, I/O requested is string bytes', 'The buffer supplied for write was too small to satisfy the request.', 'Correct the error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15094', 'attempted to write to file opened in read only mode', 'The file handle passed to DBMS_DISKGROUP.WRITE() did not have write privileges.', 'Obtain a file handle in read-write mode and retry the write operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15095', 'reached maximum ASM file size (string GB)', 'An ASM file creation or file resize operation exceeded the maximum file size permitted by ASM.', 'Use smaller files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15096', 'lost disk write detected', 'A failure either by disk hardware or disk software caused a disk write to to be lost, even though ASM received acknowledgement that the write completed. Alternatively, a clustering hardware failure or a clustering software failure resulted in an ASM instance believing that another ASM instance had crashed, when in fact it was still active.', 'The disk group is corrupt and cannot be recovered. The disk group must be recreated, and its contents restored from backups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15097', 'cannot SHUTDOWN ASM instance with connected RDBMS instance', 'A SHUTDOWN command was issued to an ASM instance that had one or more connected RDBMS instances.', 'Connect to each RDBMS instance and shut it down, and then reissue the SHUTDOWN command to the ASM instance. Alternatively, use the SHUTDOWN ABORT command. Note that issuing the SHUTDOWN ABORT command to an ASM instance results in abormal termination of all RDBMS instances connected to that ASM instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15098', 'file type not recognized by ASM instance', 'An attempt was made by DB instance to create a file for a file type that is not recognized by current version of ASM instance.', 'Upgrade ASM to higher version that recognizes this file type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15099', 'disk ''string'' is larger than maximum size of string MBs', 'The specified size of the disk was too big to allow the disk to become part of the diskgroup.', 'Specify a smaller disk size than the maximum allowed size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15100', 'invalid or missing diskgroup name', 'The command did not specify a valid diskgroup name.', 'Specify a valid diskgroup name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15101', 'no action specified', 'The ALTER DISKGROUP command did not specify any alterations.', 'Specify at least one operation clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15102', 'invalid POWER expression', 'The syntax of the POWER expression was invalid.', 'Specify a valid POWER expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15103', 'conflicting or duplicate REPAIR options', 'The command specified conflicting or duplicate REPAIR keywords.', 'Specify only one REPAIR action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15104', 'conflicting CONTENTS options', 'The command specified conflicting or duplicate INCLUDING CONTENTS or EXCLUDING CONTENTS options.', 'Specify only one option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15105', 'missing or invalid FAILGROUP name', 'The command did not specify a valid failure group name.', 'Specify a valid failure group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15106', 'missing or invalid operating system disk locator string', 'The command did not specify a valid operating system path for the device as a string.', 'Specify a valid operating system path for the device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15107', 'missing or invalid ASM disk name', 'The command did not specify a valid ASM disk name identifier.', 'Specify a valid ASM disk name identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15108', 'missing or invalid template name', 'The command did not specify a valid template name identifier.', 'Specify a valid template name identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15109', 'conflicting protection attributes specified', 'The command contained an invalid combination of the UNPROTECTED, MIRROR, or PARITY keywords.', 'Specify only one keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15110', 'no diskgroups mounted', 'No diskgroups were specified in the ASM_DISKGROUPS parameter, so instance startup or the ALTER DISKGROUP ALL MOUNT command did not mount any diskgroups.', 'Specify valid diskgroups in the ASM_DISKGROUPS parameter or ignore the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15111', 'conflicting or duplicate STRIPE options', 'The command contained both a FINE and COARSE keyword, or contained the FINE keyword more than once, or contained the COARSE keyword more than once.', 'Specify only one keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15112', 'no diskgroups currently mounted', 'An ALTER DISKGROUP ALL command did not find any mounted diskgroups upon which to operate. Either instance shutdown or an ALTER DISKGROUP ALL DISMOUNT command did not dismount any diskgroups, or an ALTER DISKGROUP ALL UNDROP DISKS command did not undrop any disks.', 'Mount the diskgroups on which you wish to operate or ignore the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15113', 'alias name ''string'' refers to a directory', 'The name specified referred to a directory in the alias directory and not a valid alias entry.', 'Check the alias name and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15114', 'missing or invalid ASM file name', 'The command did not specify a valid ASM file name identifier.', 'Specify a valid ASM file name identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15115', 'missing or invalid ASM disk size specifier', 'The command did not specify a valid ASM disk size.', 'Specify a valid ASM disk size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15116', 'invalid combination of ALTER DISKGROUP options', 'The ALTER DISKGROUP options may not be combined in this manner.', 'Issue separate ALTER DISKGROUP commands to accomplish the desired action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15117', 'command only operates on one diskgroup', 'An ALTER DISKGROUP, CREATE DISKGROUP, or DROP DISKGROUP command specified a list of diskgroups or the keyword ALL in a context where only a single diskgroup was permitted.', 'Issue separate ALTER DISKGROUP, CREATE DISKGROUP, or DROP DISKGROUP commands to accomplish the desired action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15120', 'ASM file name ''string'' does not begin with the ASM prefix character', 'A file name was specified to ASM which did not begin with the ASM prefix character (currently ''+''). ASM uses the prefix to determine that a file specification is in fact an ASM file.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19766', 'missing CHANGE keyword', 'Syntax error.', 'Use the correct syntax: ENABLE/DISABLE BLOCK CHANGE TRACKING', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19767', 'missing TRACKING keyword', 'Syntax error.', 'Use the correct syntax: ENABLE/DISABLE BLOCK CHANGE TRACKING', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19768', 'USING clause only valid with ENABLE CHANGE TRACKING', 'The USING clause was specified with DISABLE CHANGE TRACKING', 'Correct the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19769', 'missing FILE keyword', 'Syntax error.', 'Use the correct syntax: ENABLE/DISABLE BLOCK CHANGE TRACKING', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19770', 'invalid change tracking file name', 'The USING clause was specified with ALTER DATABASE ENABLE BLOCK CHANGE TRACKING, but no file name was given.', 'Specify the change tracking file name, or omit the USING clause to allow Oracle to create a default name for the change tracking file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19771', 'cannot rename change tracking file while database is open', 'The ALTER DATABASE RENAME FILE command was used to rename the change tracking file, and the database is open by one or more instances. The database must be mounted, and not open, to rename the change tracking file.', 'Close the database and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19772', 'change tracking file name exceeds limit of string characters', 'The name specified for the change tracking file is too long.', 'Specify a shorter change tracking file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19773', 'must specify change tracking file name', 'No file name was specified with the ALTER DATABASE ENABLE CHANGE TRACKING command, and the DB_CREATE_FILE_DEST parameter was not set.', 'Either specify a file name, or set the DB_CREATE_FILE_DEST parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19776', 'PROXY restore to ASM disk group "string" is not supported.', 'An attempt was made to proxy restore a file to ASM disk group using RMAN command. This is not supported.', 'Use a different file name and reissue RMAN command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19777', 'ASM file string cannot be proxy backed up.', 'An attempt was made to proxy backup a ASM file. This is not supported.', 'Use a different file name and reissue RMAN command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19779', 'could not obtain resilvering status for change tracking file', 'An error occurred while obtaining the mirror resilvering status of the change tracking file.', 'Refer to other error messages shown for additional details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19800', 'Unable to initialize Oracle Managed Destination', 'The name given for an Oracle managed files destination cannot be initialized.', ', if possible, and retry the command or use a different name for destination.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19801', 'initialization parameter DB_RECOVERY_FILE_DEST is not set', 'An attempt was made to create a file in DB_RECOVERY_FILE_DEST when DB_RECOVERY_FILE_DEST was not set. There are number of possible causes of this error, including: 1) A LOG_ARCHIVE_DEST_n parameter was specified using a LOCATION attribute whose value was DB_RECOVERY_FILE_DEST and an archived log file creation was attempted. 2) STANDBY_ARCHIVE_DEST parameter was specified using a LOCATION attribute whose value was DB_RECOVERY_FILE_DEST and an archived log file creation was attempted.', 'Specify a valid destination for DB_RECOVERY_FILE_DEST in initialization parameter file or with the ALTER SYSTEM SET command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19802', 'cannot use DB_RECOVERY_FILE_DEST without DB_RECOVERY_FILE_DEST_SIZE', 'There are two possible cause for this error: 1) The DB_RECOVERY_FILE_DEST parameter was in use when no DB_RECOVERY_FILE_DEST_SIZE parameter was encountered while fetching initialization parameter. 2) An attempt was made to set DB_RECOVERY_FILE_DEST with the ALTER SYSTEM command when no DB_RECOVERY_FILE_DEST_SIZE was in use.', 'Correct the dependency parameter definitions and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19803', 'Parameter DB_RECOVERY_FILE_DEST_SIZE is out of range (1 - string)', 'Parameter DB_RECOVERY_FILE_DEST_SIZE specified was not valid.', 'Specify a valid number within the range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19804', 'cannot reclaim string bytes disk space from string limit', 'Oracle cannot reclaim disk space of specified bytes from the DB_RECOVERY_FILE_DEST_SIZE limit.', 'There are five possible solutions: 1) Take frequent backup of recovery area using RMAN. 2) Consider changing RMAN retention policy. 3) Consider changing RMAN archived log deletion policy. 4) Add disk space and increase DB_RECOVERY_FILE_DEST_SIZE. 5) Delete files from recovery area using RMAN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19805', 'RECID string of string was deleted to reclaim disk space', 'The file described by the record in control file was deleted in order to reclaim disk space from flash recovery area for other operations.', 'Wait and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19806', 'cannot make duplex backups in recovery area', 'Duplex backup to recovery area is not supported.', 'Remove duplex option and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19808', 'recovery destination parameter mismatch', 'The value of parameters DB_RECOVERY_FILE_DEST and DB_RECOVERY_FILE_DEST_SIZE must be same in all instances. instance. All databases must have same recovery destination parameters.', 'Check DB_RECOVERY_FILE_DEST and DB_RECOVERY_FILE_DEST_SIZE values in all instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19809', 'limit exceeded for recovery files', 'The limit for recovery files specified by the DB_RECOVERY_FILE_DEST_SIZE was exceeded.', 'The error is accompanied by 19804. See message 19804 for further details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19810', 'Cannot create temporary control file string in DB_RECOVERY_FILE_DEST', 'An attempt was made to create a control file for a temporary purpose in DB_RECOVERY_FILE_DEST.', 'Retry the operation with a new file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19811', 'cannot have files in DB_RECOVERY_FILE_DEST with keep attributes', 'An attempt was made to 1) Create a backup piece or image copy in the recovery area with KEEP option. 2) Update the KEEP attributes of an existing backup piece or image copy in the recovery area.', 'Reissue RMAN command without KEEP options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19812', 'cannot use string without DB_RECOVERY_FILE_DEST', 'There are three possible cause for this error: 1) The indicated parameter was in use when no DB_RECOVERY_FILE_DEST parameter was encountered while fetching the initialization parameter. 2) An attempt was made to set indicated the parameter with the ALTER SYSTEM command when no DB_RECOVERY_FILE_DEST was in use. 3) An attempt was made to clear DB_RECOVERY_FILE_DEST with the ALTER SYSTEM command when the indicated parameter was in use.', 'Eliminate any incompatible parameter definitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19813', 'cannot have unavailable file string in DB_RECOVERY_FILE_DEST', 'An attempt was made to change a backup piece or image copy in recovery area to UNAVAILABLE.', 'Correct and resubmit the RMAN command. Do not use messages 19814; it is used for simulating crash.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19815', 'WARNING: string of string bytes is string% used, and has string remaining bytes available.', 'DB_RECOVERY_FILE_DEST is running out of disk space.', 'One of the following:' || '<p>' || '1. Add disk space and increase DB_RECOVERY_FILE_DEST_SIZE.' || '<p>' || '' || '<p>' || '2. Backup files to tertiary device using RMAN.' || '<p>' || '' || '<p>' || '3. Consider changing RMAN retention policy.' || '<p>' || '' || '<p>' || '4. Consider changing RMAN archived log deletion policy.' || '<p>' || '' || '<p>' || '5. Delete files from recovery area using RMAN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23450', 'flavor already contains object "string"."string"', 'The flavor already contains the specified object.', 'Check that the specified object is correct. To add all columns of a table object, delete the object from the flavor and then add it again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23451', 'flavor string already defined for object group "string"."string"', 'The given object group already contains a (possibly unpublished) definition of the specified flavor.', 'Check the spelling of the flavor name. Check for an unpublished flavor of the desired name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23452', 'flavor string of object group "string"."string" is already published', 'The given object group already contains a (published) definition of the specified flavor.', 'Check the spelling of the flavor name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23453', 'requested operation is not supported on top flavor', 'The TOP flavor has a NULL name and may not be directly defined or deleted.', 'Supply the name of a flavor other than the TOP flavor or use dbms_repcat routines to implicitly change the TOP flavor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23454', 'flavor string not defined for object group "string"."string"', 'The given object group does not contain a (published) definition of the specified flavor.', 'Check the spelling of the flavor name. Ensure the flavor has been defined (and published) for the object group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23455', 'flavor string contains object "string"', 'The given flavor contains the object to be dropped.', 'Purge the flavor or choose another object to drop.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23456', 'flavor string does not contain "string"', 'The flavor does not contain the given object, column, or attribute.', 'Either drop the flavor or choose a different object, column, or attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23457', 'invalid flavor ID string', 'The given flavor ID is invalid.', 'Make sure this flavor has been instantiated. If the flavor ID is outside the range (-2147483647, 2147483647), contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23458', 'inappropriate flavor string at string', 'The given flavor at the given database prevents the operation from succeeding.', 'Either change the database flavor or choose a different operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23459', 'flavor string must contain "string"', 'The flavor must contain the given object, column, or attribute.', 'Either choose a different database flavor or ensure the object, column, or attribute is available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23460', 'missing value for column string in resolution method "string" for "string"."string"."string"', 'before resolving conflicts, some values necessary resolving conflicts are not available, or after resolving conflicts, some values necessary for re-trying of the SQL are not available', 'define appropriate flavors, provide necessary values through availability vector in USER FLAVOR FUNCTION for conflict resolution', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23462', 'flavor string in use at site string', 'The given flavor cannot be deleted because it is being used at the given site.', 'Change the flavor of the site, or unregister it if it is a materialized view site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23463', 'flavor incompatible with object "string"."string"', 'An existing flavor includes the specified object with an incompatible type.', 'Change the type of the object, or delete the flavor if it is not in use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23464', 'flavor lacks column string of "string"."string"', 'The flavor includes some columns of an object group but not all the required columns.', 'Change the flavor definition to include all required columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23465', 'flavor already includes column string of "string"."string"', 'The flavor includes the specified column which is being added.', 'Check that the specified column is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23466', 'flavor requires missing object "string"."string"', 'The flavor includes the specified object which does not exist', 'Check that the specified object name is correct, and create the object if appropriate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23467', 'flavor lacks object "string"."string"', 'The flavor does not include the specified object which is being dropped.', 'Check that the specified object is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23468', 'missing string string', 'The template is missing the object with the specified key.', 'Add the object to the template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23469', 'string is different between templates', 'The values for the specified columns are different in each template for the same key values.', 'Correct the column values to make the templates the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23470', 'invalid status', 'The status should be DELETED, INSTALLING or INSTALLED. Any other status is invalid.', 'Check that the specified status value is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23471', 'template not authorized for user', 'The refresh template is private and the user has not been authorized to instantiate the template.', 'Authorize the user to use the template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23472', 'materialized view "string"."string" must be atomically refreshed', 'Non-atomic refresh is not supported for the specified materialized view.', 'Set the value of the ATOMIC parameter to FALSE in the refresh procedure being used or remove the specified materialized view from the set of materialized views being refreshed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23473', 'replication RPC processing for "string"."string" is disabled', 'The processing of replication RPCs for the object group that contains this object is disabled. This includes RPCs in the error queue.', 'Processing of replication RPCs is disabled when the object group is being offline instantiated. Wait until offline instantiation is finished.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23474', 'definition of "string"."string" has changed since generation of replication support', 'The current columns in the specified table and their column types do not match the columns and column types when replication support was last generated.', 'Regenerate replication support for the affected table. All flavors that include the specified table should be checked for validity. Types for any UDT columns should also be checked for validity.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23475', 'key column string must be sent and compared', 'The specified column is a key column and must be sent and compared during replication propagation.', 'Make sure every key column is sent and compared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23476', 'cannot import from string to string', 'This object was imported from a database with a different global name than the importing database.', 'Only import this object into a database with the same global name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23477', 'unable to alter propagation mode for object group "string"."string"', 'The propagation method of a materialized view object group can only be altered when no other object groups with the same master object group are sharing the materialized view site.', 'Ensure that there are no other materialized view object groups at the local site with the same master object group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23478', 'object group "string" is already mastered at string', 'There is at least one other materialized view repgroup at the local site with the same group name but a different master site.', 'Ensure that all materialized view repgroups at the local site with the same group name have the same master.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23480', 'Column string is not a top-level column of "string"."string".', 'The column is either not a top-level column or is not present in the table or materialized view.', 'Ensure only valid top-level columns are used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23482', 'column string of "string"."string": object types not allowed.', 'The column is of Object Type.', 'Ensure that all the columns are not of Object Type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24124', 'invalid ACTION parameter passed to DBMS_REPAIR.string procedure', 'An invalid ACTION parameter was specified.', 'Specify CREATE_ACTION, PURGE_ACTION or DROP_ACTION for the ACTION parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24125', 'Object string.string has changed', 'An attempt was made to fix corrupt blocks on an object that has been dropped or truncated since DBMS_REPAIR.CHECK_OBJECT was run.', 'Use DBMS_REPAIR.ADMIN_TABLES to purge the repair table and run DBMS_REPAIR.CHECK_OBJECT to determine whether there are any corrupt blocks to be fixed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24126', 'invalid CASCADE_FLAG passed to DBMS_REPAIR.string procedure', 'CASCADE_FLAG was specified for an object that is not a table.', 'Use CASCADE_FLAG only for tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24127', 'TABLESPACE parameter specified with an ACTION other than CREATE_ACTION', 'The TABLESPACE parameter can only be used with CREATE_ACTION.', 'Do not specify TABLESPACE when performing actions other than CREATE_ACTION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24128', 'partition name specified for a non-partitioned object', 'A partition name was specified for an object that is not partitioned.', 'Specify a partition name only if the object is partitioned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24129', 'table name string does not start with string prefix', 'An attempt was made to pass a table name parameter without the specified prefix.', 'Pass a valid table name parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24130', 'table string does not exist', 'An attempt was made to specify a map, repair, or sync table that does not exist.', 'Specify a valid table name parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24131', 'table string has incorrect columns', 'An attempt was made to specify a map, repair, or sync table that does not have a correct definition.', 'Specify a table name that refers to a properly created table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24132', 'table name string is too long', 'An attempt was made to specify a table name is greater than 30 characters long"', 'Specify a valid table name parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24141', 'rule set string.string does not exist', 'An attempt to access or modify a ruleset was made, which failed because the ruleset does not exist.', 'Only access or modify existing rulesets.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24142', 'invalid ruleset name', 'An attempt to create a ruleset with an invalid name was made. The ruleset name can not be NULL, and can not be more than 26 characters, unless a rules_table_name is also specified, in which case the ruleset name may be up to 30 characters.', 'Retry the create with a valid ruleset name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24143', 'invalid evaluation context name', 'An attempt to create a rule/ruleset on an invalid evaluation name was made. The evaluation_context can not be more than 30 characters. The evaluation context with the name specified must exist.', 'Retry the create with a valid evaluation context name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24144', 'rules engine internal error, arguments: [string], [string]', 'An internal error occurred in the rules engine. This indicates that the rules engine has encountered an exception condition.', 'Please report this error as a bug. The first argument is the error and the second argument is the package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24145', 'evaluation context string.string already exists', 'An evaluation context of the given name already exists', 'Specify another name for the evaluation context being created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24146', 'rule string.string already exists', 'A rule of the given name already exists', 'Specify another name for the rule being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24147', 'rule string.string does not exist', 'The rule of the given name does not exist', 'create the rule or specify one that exists', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24148', 'cannot drop rule string.string with dependents', 'The rule still belongs to some rulesets, cannot be dropped', 'do not drop a rule that belongs to rulesets without force option', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24149', 'invalid rule name', 'An attempt to create a rule with an invalid name was made. The rule name can not be NULL, and can not be more than 30 characters', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24150', 'evaluation context string.string does not exist', 'The evaluation context of the given name does not exist', 'create the evaluation context or specify one that exists', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24151', 'no evaluation context is associated with rule string.string or rule set string.string', 'Whening adding a rule to a rule set, either the rule or the rule set must have an evaluation context associated with it', 'do not add a rule without an evaluation context to a ruleset that does not have a default evaluation context', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24152', 'cannot drop evaluation context string.string with dependents', 'The evaluation context still belongs to some rules or rule sets, cannot be dropped', 'do not drop an evaluation context with dependents without force option', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24153', 'rule set string.string already exists', 'A rule set of the given name already exists', 'Specify another name for the rule set being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24154', 'rule string.string already in rule set string.string', 'a rule can be added to a rule set only once', 'do not add a rule to a rule set that already contains this rule', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24155', 'rule string.string not in rule set string.string', 'the rule to be removed from the rule set is not in the rule set', 'do not remove a rule from a rule set that does not contain the rule', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24156', 'duplicate table alias string', 'there is a table alias of the same name in the evaluation context', 'do not add two table aliases of the same name to an evaluation context', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24157', 'duplicate variable name string', 'there is a variable of the same name in the evaluation context', 'do not add two variables of the same name to an evaluation context', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24158', 'invalid table alias', 'table alias name or base table name is not specified in the table alias definiton', 'specify both alias name and alias base table in the table alias structure', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24159', 'invalid variable definiton', 'variable name or variable type is not specified in the variable definiton', 'specify both variable name and variable type in the variable definition structure', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24160', 'name string already exists in the name value pair list', 'there is already a name-value pair with the same name in the NVlist', 'try another name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24161', 'name string does not exist in the name value pair list', 'there is not such a name-value pair in the NVlist', 'check the name-value pair exists in the NVList.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24162', 'name value pair list is full, cannot add another entry', 'The NVList is full (1024 elements) and cannot hold more elements', 'do not add elements to a full list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24163', 'dblink is not supported in rules engine DDLs', 'the object name has a database link in it, which is not supported', 'Do not specify remote objects in rules engine DDLs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24164', 'invalid rule engine system privilege: string', 'no such system privilege number for rule engine objects', 'check specfication of dbms_rule_adm for valid system privilege numbers', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24165', 'invalid rule engine object privilege: string', 'no such object privilege number for rule engine objects', 'check specfication of dbms_rule_adm for valid object privilege numbers', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24166', 'evaluation context string.string has errors', 'cannot resolve the table aliases and the variable types specified in the evaluation context', 'make sure all base tables exist and all variable types correct', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24167', 'incompatible rule engine objects, cannot downgrade', 'there are rule engine objects in the database that cannot be downgraded.', 'check utlincmp.sql and remove all incompatible rules engine objects before downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15121', 'ASM file name ''string'' contains an invalid diskgroup name', 'A file name was specified that did not contain a valid diskgroup name. The diskgroup name follows immediately after the ASM prefix character. It must start with an alphabetic character, and consist of up to 30 characters which are alphabetic, numeric, or the characters ''$'' and ''_''.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15122', 'ASM file name ''string'' contains an invalid file number', 'A numeric file name was specified which did not contain a valid ASM file number. The ASM file number follows immediately after the diskgroup name. It must be preceeded by a ''.'' character, and contain only numeric characters.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15123', 'ASM file name ''string'' contains an invalid incarnation number', 'A numeric file name was specified which did not contain a valid ASM incarnation number. The ASM incarnation number follows immediately after the ASM file number. It must be preceeded by a ''.'' character, and contain only numeric characters.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15124', 'ASM file name ''string'' contains an invalid alias name', 'A file name was specified which did not contain a valid ASM alias name. The ASM alias name, if present, follows immediately after the diskgroup name, in place of the ASM file number. It must be preceeded by a slash, start with an alphabetic character, and consist of up to 48 characters which are alphabetic, numeric, or the characters ''$'', ''_'', ''-'', or ''#". A space can separate two parts of an alias name.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15125', 'ASM file name ''string'' contains an invalid template name', 'A file name was specified to ASM which did not contain a valid template name. The template name, if present, follows immediately after the ASM incarnation number or the ASM alias name, if such is used in place of the ASM file number. It must be enclosed in parenthesis, start with an alphabetic character, and consist of up to 30 characters which are alphabetic, numeric, or the characters ''$'' and ''_''.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15126', 'component within ASM file name ''string'' exceeds maximum length', 'The maximum identifier length of 30 characters was exceeded for the diskgroup name, template name, or alias name field within the ASM file name.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15127', 'ASM file name ''string'' cannot use templates', 'A fully qualified ASM file name was specified. Such a specification does not permit the inclusion of a template name in the ASM file name.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15128', 'ASM file name ''string'' exceeds maximum length string', 'The maximum ASM file name length of 256 characters was exceeded for the combination of diskgroup name, file number, template name, alias name plus punctuation within the ASM file name.', 'Correct the file name specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15129', 'entry ''string'' does not refer to a valid directory', 'The entry indicated did not refer to a directory. Attempt was made to access the contents of this directory.', 'Correct the error and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15130', 'diskgroup "string" is being dismounted', 'The diskgroup is being dismounted by request or because an I/O error was encountered that could not be handled by taking the disks offline. A disk cannot be offlined whenever doing so could result in all copies of a redundant extent being unavailable.', 'Repair the hardware problem and re-mount the diskgroup. Refer to the alert log to determine which disks have failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15131', 'block string of file string in diskgroup string could not be read', 'A block could not be read because the disk containing the block is either offline or an I/O error occured while reading the block. If this is mirrored file, then all disks that contain a copy of the block are either offline or received errors.', 'Repair the affected disk and bring it back online. Refer to accompanying error messages to determine which disk has failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15132', 'block string of file string in diskgroup string could not be written', 'A block could not be written because the disk containing the block is either offline or an I/O error occured while writing the block. If this is mirrored file, then insufficient disks which contain a copy of the block are either offline or received errors.', 'Repair the affected disk and bring it back online. Refer to accompanying error messages to determine which disk has failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15133', 'instance recovery required for diskgroup string', 'An instance in the cluster crashed making instance recovery necessary.', 'None. This error should not normally be seen by an ASM client. ASM will trap this error and retry the operation after doing instance recovery automatically.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15150', 'instance lock mode ''string'' conflicts with other ASM instance(s)', 'Some other ASM instance used the lock name space in a conflicting mode.', 'Shut down the other instance or start up in compatible mode. Alternatively, set the DB_UNIQUE_NAME initialization parameter to avoid the conflict.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15151', 'missing or invalid version number for rolling migration', 'The command did not sepcify a valid version number.', 'Correct the version number in the command. It should be of the form v#.#.#.#.# or other forms with fewer numbers delimited by a period. The version number must be different from the current software version of the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15152', 'cluster in rolling upgrade', 'The cluster was already in the middle of rolling upgrade.', 'Rolling upgrade needs to be stopped before attempting to start again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15153', 'cluster not in rolling upgrade', 'The cluster was not in rolling upgrade.', 'Start the rolling upgrade using the ALTER SYSTEM START ROLLING command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15154', 'cluster rolling upgrade incomplete', 'The cluster was still performing rolling upgrade.', 'Ensure that all the instances in the cluster are upgraded before retrying the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15155', 'version incompatible with the cluster', 'The current software version of the instance was incompatible with the other members of the cluster.', 'Make sure that all the members of the cluster are at the same version. If you are attempting to perform rolling upgrade, execute ALTER SYSTEM START ROLLING command. Ensure that the version being upgraded to is compatible with the existing version of the cluster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15156', 'cluster in rolling upgrade from version [string] to [string]', 'The current software version of the instance was incompatible with the rolling upgrade operation of the cluster.', 'The version number of new member instance must be one of the two versions involved in the rolling upgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15479', 'diskgroup version incompatible with ASM volumes', 'The diskgroup''s version was incompatible with creating volumes.', 'Upgrade the diskgroup version in order to use volume functionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15480', 'error reported in the ASM volume driver', 'An error was reported in the ASM volume driver.', 'Check the operating system log files to identify the reason for the failure and take necessary action to prevent such failures in the future.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15481', 'missing or invalid volume mountpath specifier', 'A invalid volume mountpath string was specified.', 'Specify a valid volume mountpath string with alphanumeric characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19816', 'WARNING: Files may exist in string that are not known to database.', 'One of the following events caused this:' || '<p>' || '1. A database crash happened during file creation.' || '<p>' || '' || '<p>' || '2. A backup control file was restored.' || '<p>' || '' || '<p>' || '3. The control file was re-created.' || '<p>' || '' || '<p>' || '4. DB_RECOVERY_FILE_DEST has previously been enabled and then disabled.', 'Use RMAN command CATALOG RECOVERY AREA to re-catalog any such files. If the file header is corrupted, then delete those files using an OS utility. Do not use messages 19817; it is used for simulating lock failure Do not use messages 19818; it is used for space reclamation before backup Do not use messages 19819; it is used to disable clearing file name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19830', 'error from target database: string', 'This error should be followed by other errors indicating the cause of the problem.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19831', 'incompatible string.string.string.string DBMS_BACKUP_RESTORE package: string.string.string.string required', 'This version of database was incompatible with the the indicated DBMS_BACKUP_RESTORE package installed in the database.', 'If the database has been upgraded from an earlier version, ensure that the catxxxx.sql script has been run successfully. Re-install dbmsbkrs.sql and prvtbkrs.plb if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19851', 'OS error while managing auxiliary database string', 'An OS error was received while managing the automatic auxiliary instance.', 'Check the accompanying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19852', 'error creating services for auxiliary instance string (error string)', 'An error was received while managing the services of the auxiliary instance.', 'Check the accompanying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19853', 'error preparing auxiliary instance string (error string)', 'An error was received while managing the automatic auxiliary instance.', 'Check the accompanying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19854', 'error obtaining connect string from target', 'Could not obtain the connect string from the target database', 'Check the accompanying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19860', 'piece validation cannot be performed more than once', 'The user attempted to validate a list of backup pieces more than once. Validation may only be performed once for a given validation conversation.', 'Do not attempt to validate the pieces more than once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19861', 'additional backup pieces cannot be validated in this conversation', 'The user tried to add new pieces to the list of files being validated after the validation had already been performed. In a validation conversation, the list can only be validated once.', 'Add all the backup pieces to the list before validating, or start a new validation conversation for the remaining pieces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19862', 'backup pieces must be validated before accessing results', 'The user tried to get validation results for backup pieces before the pieces were actually validated.', 'Validate the pieces before trying to access the results.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19863', 'device block size string is larger than max allowed: string', 'The user specified a device BLKSIZE that is larger than the device BLKSIZE specified during compressed backup.', 'Change the device BLKSIZE to be smaller than the maximum allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19865', 'Backup piece string has no data', 'No data was returned for the specified backup piece.', 'This normally indicates a problem with the media management software which is linked with Oracle to provide backup and restore services. Contact the media management software vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19866', 'error writing file header for datafile string', 'During a block recovery, the header of the datafile could not be updated.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19870', 'error while restoring backup piece string', 'This error should be followed by other errors indicating the cause of the problem.', 'See other errors actions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19873', 'cannot apply this backup section to file string', 'RMAN cannot restore a multi-section backup to the indicated file, because this section is not a backup of this file, or the file was not prepared correctly for this restore.', 'If this error occurs while running RMAN, then it is an internal error and you should contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19874', 'cannot finish multi-section restore to file string', 'During a multi-section restore, the file being restored is not a file in which a multi-section restore is in progress.', 'If this error occurs while running RMAN, then it is an internal error and you should contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19875', 'multi-section restore not complete for file string', 'While completing a multi-section restore, it was found that all required sections for this file were not correctly applied.', 'If this error occurs while running RMAN, then it is an internal error and you should contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19880', 'Corrupted space header for datafile string, block string', 'When reading the space header block to use Unused Block Optimization for the backup of the datafile, the space header block had corrupted information.', 'The corrupt space header must be fixed before Unused Block Optimization can be used for this file. Note that you should fix the corruption in any case because it will affect the availability of the data in the file, beyond just taking backups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19881', 'Corrupted space bitmap for datafile string, block string', 'When reading a space bitmap block to use Unused Block Optimization for the backup of the datafile, the space bitmap block had corrupted information.', 'The corrupt space bitmap must be fixed before Unused Block Optimization can be used for this file. Note that you should fix the corruption in any case because it will affect the availability of the data in the file, beyond just taking backups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19882', 'datafile string checkpoint string is ahead of space bitmap datafile string checkpoint string', 'When checkpointing the datafile containing the space bitmaps for the datafile being backed up in order to use Unused Block Optimization, the checkpoint of the datafile containing the space bitmaps did not advance.', 'Examine the trace and alert files for possible causes. Fix underlying problem to use Unused Block Optimization for datafile''s backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19883', 'Unused Block Optimization stopped for datafile string', 'Accompanying errors detail the problem that prevented Unused Block Optimization from being used.', 'See accompanying errors for appropiate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19900', 'RESETLOGS must be specified after recovery to new incarnation', 'Recovery was done to an incarnation after changing the destination incarnation using RMAN''s RESET DATABASE command.', 'Open the database with the RESETLOGS option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19901', 'database needs more recovery to create new incarnation', 'Recovery was done to an incarnation after changing the destination incarnation using RMAN''s RESET DATABASE command, but one or more of the recovered datafiles still belongs to the parent incarnation. This usually happens when recovery is ended before any logs from the desired incarnation have been applied.', 'Continue recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19902', 'incarnation key string not found', 'The specified incarnation was not found in the control file.', 'Resubmit request with known incarnation key. To see which incarnations are available for this target database, query V$DATABASE_INCARNATION or use RMAN''s LIST INCARNATION command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23483', 'object "string"."string" not allowed in this operation.', 'The specified operation does not support the given object.', 'Do not invoke the operation for this object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23484', 'internal internet Application Server error: string', 'An internal error occurred in internet Application Server.', 'Report the error and other information to support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23485', 'Column group "string" must consist of a single numeric column only', 'The column group doesn''t contain only one numeric column.', 'Use a column group containing a single numeric column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23487', 'object groups "string"."string" and "string"."string" do not have the same connection qualifier', 'The specified two object groups do not have the same connection qualifier.', 'Do not invoke the operation on the above object groups, or ensure they have the same connection qualifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23488', 'propagation mode "string" for "string" is not allowed for this operation', 'This operation does not support the specified dblink in the above propagation mode.', 'Do not invoke the operation for this dblink, or change the propagation mode for this dblink.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23489', 'duplicate entry "string"', 'The specified value is duplicated in the parameter list.', 'Remove duplicated entries in the parameter list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23490', 'extension request "string" with status "string" not allowed in this operation', 'The specified operation is not allowed for the extension request with the specified status.', 'Ensure the extension request has the appropriate status before retrying this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23491', 'no valid extension request at "string"', 'The specified database does not have a valid extension request.', 'Ensure there is a valid extension request in DBA_REPEXTENSIONS view before retrying this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23492', 'no new sites for extension request "string"', 'There is no new site with the specified extension request.', 'Ensure there is at least one new site in DBA_REPSITES_NEW view for this request before retrying this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23493', '"string" is not a new site for extension request "string"', 'The specified extension request does not include the specified site as a new site.', 'Ensure the specified site is a new site for this extension request before retrying this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23494', 'too many rows for destination "string"', 'The specified destination has too many rows in system.def$_destination table.', 'Ensure the specified destination has at most two valid rows before retrying this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23495', 'serial propagation can not be used for "string"', 'The sites involved may be in the process of adding a new site without quiescing.', 'Check the def$_destination table for this destination and try parallel propagation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23496', 'can not change disabled status for "string" and "string"', 'The disabled status for this site is set internally for synchronization during adding a new master without quiescing.', 'Ensure adding a new master without quiescing finished before invoking this procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23497', 'repgroup name cannot be null', 'The array of Repgroup names contains a null value.', 'Ensure that the array of Repgroup names is dense and is not null terminated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23498', 'repgroups specified must have the same masters', 'The Repgroup names specified do not have the same masters.', 'Ensure that the Repgroup names specified have the same masters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23500', 'cannot switch master for a multi-tier materialized view repgroup "string"."string"', 'An attempt was made to switch master for a materialized view repgroup when its parent repgroup is also a materialized view repgroup. This is not allowed.', 'Drop and recreate the materialized view repgroup based on a proper parent repgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23501', 'refresh template cannot be instantiated for database with compatibilty equal to or less than 8.0', 'Instantiation of a refresh template is not supported for database compatibility 8.0 or less.', 'Be sure the database compatibility is 8.1 or above.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23502', 'valid directory for offline instatiation is not specified', 'An attempt was made to offline instantiate to a directory which is not specified or null.', 'There are two ways to specify the directory: o As a parm offline_dirpath to the API o As an init.ora parm named utl_file_dir Make sure you have specified an appropriate directory in which the offline file can be created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23503', 'error occurred during IAS instantiation', 'An attempt was made to instantiate a IAS site. Error occurred during IAS instantiation.', 'See other errors on the error stack to look for the source of the problem. If the error still persists, contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23504', 'columns added to table do not match list of columns to be added', 'The list of columns passed as a parameter does not match the columns to be added to the table.', 'Correct the DDL string or list of columns and rexecute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23505', 'Object "string"."string" is missing.', 'The specified object does not exist.', 'Check that the specified object is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23514', 'invalid or incorrect number of arguments', 'The arguments passed to the online redefinition API were invalid or missing.', 'Call the online redefinition API with the right number of valid arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23515', 'materialized views and/or their indices exist in the tablespace', 'An attempt was made to drop a tablespace which contains materialized views and/or their indices.', 'Drop the materialized views in this tablespace. Also, find indices belonging to materialized views in this tablespace and drop then. Then try dropping the tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23531', 'site owner already exists in the template.', 'Site owner for the template already exists.', 'Do not create multiple siteowners for this template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23532', 'tables with different synchronization mechanisms are in the same group', 'Tables belonging to the same replication group were specified to be cached with different synchronization mechanisms.', 'Do not specify different synchronization mechanisms while caching tables belonging to the same replication group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23533', 'object "string"."string" can not be cached', 'An attempt was made to cache an object which is not supported.', 'Do not cache an object which is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23534', 'missing column in materialized view container table "string"."string"', 'After import, the materialized view container table has missing columns.', 'Check if materialized view container table was imported correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23535', 'instantiating templates from multiple back ends is not allowed.', 'An attempt was made to set a new non-null back end database for an iAS site.', 'Call dbms_ias_configure.set_back_end_db procedure with null dblink. Then, call the same procedure with the new non-null dblink.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23536', 'the object "string"."string" is not cached at the middle tier as expected.', 'The object may have been dropped or renamed at the back end after dbms_ias_inst.start_ias_inst was executed.', 'Check the validity of the object at the back end and retry the instantiation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23537', 'function or procedure string is not allowed to be invoked from this site.', 'This function or procedure is restricted to the backend or middle tier site', 'Connect to the proper site before calling this function or procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24168', 'rule string.string cannot have default evaluation context', 'If a rule is added to a rule set with more than one evaluation contexts, it must not have an evaluation context itself.', 'Do not set the evaluation context of such rules to a not-null value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24169', 'rule condition has unrecognized variables', 'The rule references variables not in the evaluation context.', 'Modify the rule condition to remove illegal reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24170', 'string.string is created by AQ, cannot be dropped directly', 'This object is created by AQ, thus cannot be dropped directly', 'use dbms_aqadm.drop_subscriber to drop the object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24171', 'creation properties are only for internal use', 'user specified not null creation properties when creating rules engine objects, which are not for external use', 'do not set creation properties when creating rules engine objects', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24172', 'rule set string.string has errors', 'The rule references variables not in the evaluation context.', 'Modify the rule condition to remove illegal reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24173', 'nested query not supported for rule condition', 'user specified nested query in rule condition.', 'do not use nested query in rule condition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24180', 'invalid transformation expression, the transformation expression does not evaluate to the target type/attribute', 'The transformation expression does not evaluate to the target type or the target type''s specified attribute.', 'Provide valid transformation expression which evaluates to the target type or the target type''s specified attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24181', 'The type string does not exist', 'The source or destination type for the transformation does not exist', 'Create the type or specify one that exists', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24182', 'attribute number specified does not exist', 'The target type of the transformation does not have the attribute number specified in the ADD_ATTRIBUTE_TRANSFORMATION command', 'check the target type definition and specify a valid attribute number', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24183', 'invalid transformation', 'The transformation specified is invalid because the source or the target type have been dropped/modified.', 'Drop and recreate the transformation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24184', 'transformation string.string already exists', 'The named transformation already exists.', 'Specify another name for the transformation being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24185', 'transformation string.string does not exist', 'The specified transformation does not exist.', 'Create the transformation before using it or specify an existing transformation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24186', 'wrong object type, could not transform message', 'The object type of the message to be transformed does not match the source type of the specified transfomation.', 'Specify another transformation, or specify a message of the correct type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24190', 'length of payload exceeds string', 'the length of payload being taken exceeds the limit of varchar2 or raw.', 'use clob type or blob type to call get_text or get_bytes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24191', 'the property name string has existed', 'the property name being set has existed.', 'use another property name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24192', 'the property name cannot be null', 'the property name cannot be null.', 'make sure the property name not null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24193', 'the property value exceeds the valid range string', 'the property valus being set exceeds the valid range.', 'make sure the property value is within the valid range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24194', 'attempt to read data in a message as the wrong type', 'According to JMS specification, some type conversions were not allowed.', 'Make sure to use the correct READ function to retrieve message data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24195', 'attemp to retrieve the name list of a map message with size exceeding 1024', 'The GET_NAMES function returns the names in a varray with a size limit of 1024.', 'Retrieve in several smaller steps using the GET_NAMES function with OFFSET and LENGTH parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24196', 'access the message in a wrong access mode', 'StreamMessage and BytesMessage could not be read when they were in write only mode and vice versa.', 'Change the access mode using PREPARE, CLEAR_BODY and RESET procedures.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24197', 'JAVA stored procedure throws JAVA exceptions', 'The JAVA stored procedure threw some exceptions that could not be catergorized.', 'Use GET_EXCEPTION procedure to see what the exception is about.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24198', 'attempt to use an invalid operation ID', 'An attempt was made to use an invalid operation ID to access messages.', 'Use the correct operation ID returned by PREPARE or CLEAR_BODY procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24199', 'message store is overflow', 'An attemp was made to access too many messages at the same time.', 'Use the CLEAN procedure to clean up some of the messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24201', 'duplicate publisher, publisher already added to the queue', 'Attempted to add a publisher to the queue again.', 'Specify another publisher or user DBMS_AQADM.ALTER_PUBLISHER to alter the publisher''s properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24202', 'publisher does not exist for the queue', 'Attempted to alter or drop a non existent publisher from a queue.', 'Specify another publisher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24203', 'operation failed, queue table string.string has errors', 'An operation attempt was made to a queue table which has errors.', 'Drop the queue table setting the force option to true.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24204', 'existing string propagation schedules', 'A propagation administrative interface was called when the existing propagation schedules were running in different mode (10.2/11g).', 'Set appropriate internal parameter and unschedule existing schedules if required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24230', 'input to DBMS_DDL.WRAP is not a legal PL/SQL unit', 'The input supplied to DBMS_DDL.WRAP or DBMS_DDL.CREATE_WRAPPED did not specify a legal PL/SQL package specification, package body, type specification, type body, function or procedure. This error can occur if you used incorrect syntax in the CREATE OR REPLACE statement or specified a unit that cannot be wrapped (e.g., a trigger or anonymous block).', 'Provide a legal PL/SQL unit as input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24231', 'database access descriptor (DAD) string not found', 'The specified Database Access Descriptor (DAD) did not exist.', 'Make sure the name of the Database Access Descriptor (DAD) is correct and the DAD exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24232', 'unknown Embedded PL/SQL Gateway attribute string', 'The specified Embedded PL/SQL Gateway attribute was not known.', 'Make sure the name of the Embedded PL/SQL Gateway attribute is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24233', 'argument passed to DBMS_UTILITY.VALIDATE is not legal', 'One or more input arguments to the DBMS_UTILITY.VALIDATE routine was not legal. This error occurred because the object name or owner or namespace arguments (if specified) were NULL or illegal.', 'Identify and correct the illegal argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24234', 'unable to get source of string "string"."string", insufficient privileges or does not exist', 'The specified PL/SQL object in a DBMS_PREPROCESSOR subprogram did not exist or you did not have the privileges necessary to view its source.', 'Make sure the specified object exists and you have the privileges necessary to view its source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24235', 'bad value for object type: string', 'The specified object type was not appropriate.', 'Make sure the specified object type is one of the following: package, package body, procedure, function, trigger, type, and type body.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15482', 'failed to create/remove path to volume device file', 'Improper driver installation.', 'Check the alert log for device file creation failure information. Reload the driver using the supported installation method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15501', 'cannot start workload capture on instance string', 'Given instance encountered unexpected errors while trying to start the workload capture.', 'Check the alert log and other diagnostics in the given instance to diagnose the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15502', 'cannot stop workload capture on instance string', 'Given instance encountered unexpected errors while trying to stop the workload capture.', 'Check the alert log and other diagnostics in the given instance to diagnose the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15503', 'cannot startup instance when procedures in "DBMS_WORKLOAD_CAPTURE" or "DBMS_WORKLOAD_REPLAY" are in the middle of their execution', 'The new instance could not be started because the database was executing a procedure in either the DBMS_WORKLOAD_CAPTURE or DBMS_WORKLOAD_REPLAY package.', 'Start the new instance after such procedures in the given packages have finished execution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15504', 'cannot start workload capture because instance string not present in RESTRICTED SESSION mode', 'The NO_RESTART_MODE option in DBMS_WORKLOAD_CAPTURE.START_CAPTURE was FALSE, therefore all the active instances were expected to be in the RESTRICTED SESSION mode.', 'Start all instances using STARTUP RESTRICT or execute ALTER SYSTEM ENABLE RESTRICTED SESSION on all active instances before issuing DBMS_WORKLOAD_CAPTURE.START_CAPTURE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15505', 'cannot start workload capture because instance string encountered errors while accessing directory "string"', 'Given instance could not access the specified CAPTURE directory or the specified CAPTURE directory already had a workload capture in it.', 'Provide a directory object that is valid, empty and accessible from all the instances in the database cluster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15506', 'cannot prepare instance string for replay', 'Given instance encountered unexpected errors while trying to prepare for a workload replay.', 'Check the alert log and other diagnostics in the given instance to diagnose the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15507', 'cannot start workload replay on instance string', 'Given instance encountered unexpected errors while trying to start a workload replay.', 'Check the alert log and other diagnostics in the given instance to diagnose the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15508', 'cannot cancel workload replay on instance string', 'Given instance encountered unexpected errors while trying to cancel a workload replay.', 'Check the alert log and other diagnostics in the given instance to diagnose the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15509', 'workload replay has been cancelled', 'Workload replay was cancelled.', 'Restart the workload replay.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15510', 'cannot perform operation when "STATISTICS_LEVEL" is "BASIC"', 'The STATISTICS_LEVEL initialization parameter was set to BASIC.', 'Change the STATISTICS_LEVEL initialization parameter setting to either TYPICAL or ALL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15511', 'cannot process workload capture because no user sessions were recorded', 'No user sessions were recorded in the given workload capture. Processing this capture failed because no user workload was captured.', 'Capture a workload in which at least one user session connects and performs some operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15512', 'directory "string" does not contain a valid processed workload capture', 'One or more files created by DBMS_WORKLOAD_REPLAY.PROCESS_CAPTURE were missing.', 'Process the workload capture using DBMS_WORKLOAD_REPLAY.PROCESS_CAPTURE and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15513', 'cannot access the input directory', 'Given input directory is either invalid or inaccessible.', 'Verify that the input directory is valid and accessible and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15514', 'cannot find a match for the remote procedure call during replay', 'The corresponding PL/SQL program was either dropped or modified.', 'Verify that the corresponding PL/SQL program is defined the same way during replay as it was defined during workload capture.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15515', 'error while replaying remote procedure call: "string.string.string"', 'Error encountered during the replay of a remote procedure call.', 'Correct the cause of the preceding error and restart workload replay.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15516', 'parallel preprocessing worker hit error ORA-string', 'One of the parallel preprocessing workers died unexpectedly while processing the workload.', 'Find the root cause or simply preprocess the workload using only one process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15517', 'cannot start parallel preprocessing worker', 'One of the parallel preprocessing workers could not be started.', 'Find the root cause or simply preprocess the workload using only one process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15518', 'parallel preprocessing encountered an unexpected error', 'An unexpected error occured during parallel preprocessing.', 'Find the root cause or simply preprocess the workload using only one process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15551', 'workload replay client cannot connect to database server', 'The server connection identifier was invalid.', 'Restart the client with correct server connection identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15552', 'workload replay client cannot login to database server', '1) the replay client used an invalid username or password; 2) the replay user does not have the privilege to switch user; 3) the recorded username does not exist in the replay database.', '1) restart replay client with correct username and password 2) grant user switching prvilege to the replay user 3) verify whether the replay database was restored properly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15553', 'workload replay client cannot execute the DBMS_WORKLOAD_REPLAY package', 'Workload Replay Client''s replay user did not have EXECUTE permission on the DBMS_WORKLOAD_REPLAY package.', 'Grant execute permission on the DBMS_WORKLOAD_REPLAY package to replay user and restart the Workload Replay Client.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15554', 'cannot start workload replay client because the database server is not in PREPARE mode', 'The Workload Replay Client could not connect to the database server because the database server was not in the PREPARE mode.', 'Put the database in PREPARE mode by using DBMS_WORKLOAD_REPLAY.PREPARE_REPLAY, and restart the Workload Replay Client.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15555', 'workload replay client encountered unexpected error: "string"', 'Workload Replay Client encountered an unexpected error.', 'Check the Workload Replay Client''s log files and the database server alert log to diagnose the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15556', 'invalid input specified to the workload replay client', 'Invalid input was specified.', 'Use the Workload Replay Client''s HELP=Y option to know more about valid input options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15557', 'workload replay client cannot access the replay directory or the database version do not match the preprocessing one', 'The Workload Replay Client could not access the directory that contained the workload to be replayed, or the workload was preprocessed by a different version of the database.', 'Restart the workload replay after specifying the correct replay directory, or preprocess it with the correct database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15558', 'replay thread encountered unexpected error', 'A single replay thread got disconnected from the server due to an unexpected error.', 'Check the Workload Replay Client''s log files and the database server alert log to diagnose the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19903', 'test recovery not allowed when recovering to new incarnation', 'Either a new incarnation was set using RMAN''s RESET DATABASE command for a control file that was CURRENT, or the control file is from a prior incarnation. As recovery to a new incarnation requires changing the control file, test recovery is not allowed.', 'Perform actual recovery or RESET DATABASE to incarnation that was last opened using the control file to do test recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19904', 'test recovery not allowed for datafile string', 'The specified datafile has been restored from a backup that was taken before the last RESETLOGS. Recovering this datafile will require a file header update that is incompatible with test recovery.', 'Perform actual recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19905', 'log_archive_format must contain %s, %t and %r', 'log_archive_format is missing a mandatory format element. Starting with Oracle 10i, archived log file names must contain each of the elements %s(sequence), %t(thread), and %r(RESETLOGS ID) to ensure that all archived log file names are unique.', 'Add the missing format elements to log_archive_format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19906', 'recovery target incarnation changed during recovery', 'While a media recovery was active, a new incarnation was detected by the server due to inspection or cataloging of archived logs or backup files.', 'If you want recovery to use the new incarnation, restart recovery. This is the most common action on a standby database when RESETLOGS is done in primary. If you do not want recovery to use the new incarnation, change the recovery destination using RMAN''s RESET DATABASE TO INCARNATION <incarnation#> command. To see which incarnations are available for this target database, query V$DATABASE_INCARNATION or use RMAN''s LIST INCARNATION command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19907', 'recovery time or SCN does not belong to recovered incarnation', 'A point-in-time recovery to an SCN or time stamp prior to the last RESETLOGS was requested.', 'Either change the specified recovery time/SCN, or change the recovery destination using RMAN''s RESET DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19908', 'datafile string has invalid checkpoint', 'The specified datafile has an invalid checkpoint.', 'Restore the datafile from a backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19909', 'datafile string belongs to an orphan incarnation', 'Either the specified datafile was restored from a backup that was taken during a period of time that has already been discarded by a RESETLOGS operation, or Oracle cannot identify which database incarnation the file belongs to. The alert log contains more information.', 'Restore a backup of this file that belongs to either the current or a prior incarnation of the database. If you are using RMAN to restore, RMAN will automatically select a correct backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19910', 'can not change recovery target incarnation in control file', 'The RESET DATABASE TO INCARNATION command was used while the database is open. This is not allowed.', 'Close the database then re-issue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19911', 'datafile string contains future changes at the incarnation boundary', 'The file did not hit end backup marker redo during recovery at the incarnation boundary, hence may contain changes discarded by new incarnation.', 'Use older backup of the file and then re-issue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19912', 'cannot recover to target incarnation string', 'The control file is not in the recovery path of the target incarnation, and does not contain enough information as to how to recover to the target incarnation.', 'Restore the latest control file from the target incarnation and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19913', 'unable to decrypt backup', 'A backup piece could not be decrypted. This message is accompanied with another message that indicates the name of the encrypted backup that could not be restored. The reason could be either that an invalid password was entered, or that, when using transparent decryption, the database external security device is not open.', 'If password-based restore was enabled for this backup, then supply the correct password using the RMAN SET DECRYPTION command. If transparent restore was enabled for this backup, then ensure that the database external security device is open.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19914', 'unable to encrypt backup', 'RMAN could not create an encrypted backup. This message will be accompanied by other messages that give more details about why the encrypted backup could not be created. The most common reason for this message is that you are trying to create a backup that can be transparently decrypted, and the database external security device is not open.', 'If the external security device is not open, then open it. If the external security device is not configured, then the only type of encrypted backup that you can create is a password-based backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19915', 'unable to encrypt pre-10.2 files', 'An RMAN encrypted backup was requested, but this backup includes one or more archived logs that were generated by an older release of Oracle. These archived logs cannot be encrypted.', 'Back up the older logs without encryption. Logs created with Oracle release 10.2 and greater can be encrypted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19916', 'string', 'An error occurred when processing user request.', 'Do not use message 19917; it is used internally for testing purpose. Do not use message 19918; it is an internal event used by encryption.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19919', 'encrypted backups to tertiary storage require Oracle Secure Backup', 'RMAN was configured to create encrypted backups, but the channel is neither a DISK channel nor an Oracle Secure Backup channel.', 'Allocate a DISK channel or an Oracle Secure Backup channel to use backup encryption.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19921', 'maximum number of string rows exceeded', 'The maximum number of rows in the V$RMAN_STATUS or V$RMAN_OUTPUT table has been exceeded.', 'Close some of existing and unused RMAN connections and sessions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19922', 'there is no parent row with id string and level string', 'RMAN tried to add a new V$RMAN_STATUS row, but the parent row did not exist.', 'This is an internal error. Contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19923', 'the session for row with id string is not active', 'RMAN tried to update an V$RMAN_STATUS row but the process which owns this row died.', 'This is an internal error. Contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19924', 'there are no row with id string', 'RMAN tried to update an V$RMAN_STATUS row, but the row don''t exist.', 'This is an internal error. Contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19926', 'Database cannot be converted at this time', 'Another CONVERT DATABASE operation is already in progress.', 'Retry CONVERT DATABASE command later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19927', 'CONVERT DATABASE operation cannot proceed', 'An error occurred earlier during CONVERT DATABASE operation.', 'Retry CONVERT DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19930', 'file string has invalid checkpoint SCN string', 'When opening the file to be placed in a copy or backup set, to be inspected, the file header was not recognized as a valid header because it contained a invalid checkpoint SCN. The indicated file cannot be processed.', 'Ensure that the correct files are being specified for the catalog or backup operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23538', 'cannot explicitly refresh a NEVER REFRESH materialized view ("string")', 'An attempt was made to explicitly refresh a NEVER REFRESH MV.', 'Do not perform this refresh operation or remove the MV(s) from the list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23539', 'table "string"."string" currently being redefined', 'An attempt was made to redefine a table which is currently involved in an ongoing redefinition.', 'Do not perform this redefinition operation on this table or wait till the ongoing redefinition of the table is completed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23540', 'Redefinition not defined or initiated', 'An attempt was made to continue or complete a redefinition which was not defined or initiated.', 'Define or initiate the redefinition before performing this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23541', 'tables do not match tables used while defining the redefinition', 'An attempt was made to continue or complete a redefinition by providing different tables than those used while defining or initiating the redefinition.', 'Repeat this operation and specify the same tables as those that were specified while defining or initiating the redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23542', 'dependent object "string"."string" already registered', 'An attempt was made to register an already registered dependent object to an ongoing redefinition.', 'Do not attempt to register an already registered dependent object to an ongoing redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23543', 'materialized view log on "string"."string" is in an inconsistent state', 'There was an error while creating the materialized view log and the log is currently in an inconsistent state. A possible cause could be that schema redefinition has occurred on the master table while the log was being created. Another possible cause could be that there were DMLs being applied on the master table concurrently in another session at the time the materialized view log creation started and those DML transactions haven''t committed even after a very long period of time.', 'Drop the materialized view log and recreate it. ///////////////////////////////////////////////////////////////////////////// 23600-23999 Reserved for Log Based Replication PL/SQL packages /////////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23600', 'cannot create PROPAGATION, string already exists', 'The propagate_name already exists.', 'Drop the propagate_name usign DROP_PROPAGATEcommand or specify propagate_name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23601', 'PROPAGATION_NAME string does not exist', 'Propagation does not exist.', 'Query DBA_PROPAGATION view to find existing propagation_name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23602', 'Invalid streams process type string', 'Specified streams process type is not valid.', 'Specify either capture or apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23603', 'STREAMS enqueue aborted due to low SGA', 'An attempt to enqueue a STREAMS message was aborted because ORACLE is running low on memory allotted for STREAMS.', 'Either start consuming messages by enabling any STREAMS propagation or apply which might be disabled. An alternative is to allot more memory to STREAMS, which can be done by increasing the streams_pool_size initialization parameter if one was defined or by increasing the shared_pool_size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23605', 'invalid value "string" for STREAMS parameter string', 'An attempt was made to specify an invalid parameter value.', 'Specify a valid value for the parameter. Check the documentation for valid parameter values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23606', 'invalid object string', 'An attempt was made to specify an invalid object.', 'Specify a valid object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23607', 'invalid column "string"', 'An invalid column was specified in the column list.', 'Check the columns in the object and specify the right column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23608', 'invalid resolution column "string"', 'An invalid column was specified as the resolution column. The resolution column must belong to the list of columns specified in the ''column_list'' parameter.', 'Check the columns in the column_list and specify the right resolution column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23609', 'unable to find directory object for directory string', 'There was no entry in ALL_DIRECTORIES corresponding to the specified directory.', 'Grant to the current user appropriate privileges on either a new directory object or an existing directory object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23610', 'internal dbms_streams_tablespaces error: [string] [string] [string] [string]', 'Streams detected an erroneous result.', 'Look for information in the session trace file and contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23611', 'tablespace "string" has more than one data file', 'The specified tablespace had more than one data file and hence did not qualify as a simple tablespace.', 'Choose a self-contained tablespace with a single data file, or use a procedure that supports any tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23612', 'unable to find tablespace "string"', 'Either the tablespace did not exist, or the current user did not have sufficient privileges on the tablespace.', 'Grant appropriate privileges on the tablespace to the current user or choose a different tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23613', 'Script string already exists', 'A script for the specified invoking package already existed.', 'Complete the previous invocation or drop the previous invocation before proceeding with the current invocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23614', 'Script string does not exist', 'The named script did not exist.', 'Create the script.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23615', 'Block number string does not exist for script string', 'The specified block number did not exist for the script.', 'Add the block or check the block number and reexecute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23616', 'Failure in executing block string for script string with string', 'The execution of specified block failed.', 'Check the error. Query DBA_RECOVERABLE_SCRIPT_BLOCKS to view the failed block. Rectify and rerun the block or script.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23617', 'Block string for script string has already been executed', 'The specified block was already executed.', 'Check the block number and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23618', 'Generation of script string is not complete.', 'Script generation for the specified script was not completed in a prior invocation.', 'Purge the specified script by calling the RECOVER_OPERATION API in the package DBMS_STREAMS_ADM and reattempt the entire operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23619', 'non-Oracle system error: string', 'A non-Oracle database has returned an error message to STREAMS when attempting to apply a DML statement. The non-Oracle system error message is a parameter to this Oracle error.', 'Corrective action may or may not be possible (depending on the non-Oracle system error). If corrective action is possible, correct the problem and try applying the transaction again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23620', 'bind value size too large for PL/SQL CALL operation', 'In a PL/SQL CALL to a stored procedure, the bind string size exceeded 4K.', 'Either make the bind string size shorter (less than 4K) or use BEGIN-END to call the procedure instead of CALL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23621', 'Operation corresponding to script string is in progress.', 'The script was already being run in a different session or was terminated before status for the script was updated to ERROR or EXECUTED.', 'Make sure the script is not being run in a parallel session. Then call the RECOVER_OPERATION API in the DBMS_STREAMS_ADM package with the appropriate OPERATION_MODE argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24236', 'source text is empty', 'The input source text supplied to a DBMS_PREPROCESSOR subprogram was empty.', 'Pass a non-empty input source text as the input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24237', 'object id argument passed to DBMS_UTILITY.INVALIDATE is not legal', 'This error occurred because the p_object_id argument passed to the DBMS_UTILITY.INVALIDATE routine was NULL, there was no object with the specified object id, or the user calling the routine did not have sufficient privileges to invalidate the object.', 'Correct the illegal argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24238', 'object settings argument passed to DBMS_UTILITY.INVALIDATE is not legal', 'This error occurred because the p_plsql_object_settings argument passed to the DBMS_UTILITY.INVALIDATE routine was NULL or malformed.', 'Correct the illegal argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24239', 'object could not be invalidated', 'A call to the DBMS_UTILITY.INVALIDATE routine failed. This error occurred because the object type of the object specified by the p_object_id argument is not one of the types that can be handled by this routine. Alternately, the object was an object type specification with table dependents, or the object was the specification of the STANDARD, DBMS_STANDARD, DBMS_UTILITY package, or the body of the DBMS_UTILITY package.', 'Call DBMS_UTILITY.INVALIDATE only on supported object types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24240', 'invalid database access descriptor (DAD) name', 'The specified Database Access Descriptor (DAD) name was invalid.', 'Make sure the name of the Database Access Descriptor (DAD) is valid and its length does not exceed its limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24241', 'source text is in wrapped format', 'The input source text supplied to a DBMS_PREPROCESSOR subprogram was in wrapped format.', 'Pass a nonwrapped source text as the input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24242', 'anonymous access through a dynamically authenticated Database Access Descriptor (DAD) prohibited', 'An attempt to allow anonymous access through a dynamically authenticated Database Access Descriptor (DAD) was prohibited.', 'Make sure the Database Access Descriptor (DAD) is not dynamically authenticated before allowing anonymous access through it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24243', 'access control entry (ACE) already exists', 'An access control entry (ACE) for the principal with the same grant or deny attribute in the IS_GRANT argument already existed.', 'Add the privilege to the existing access control entry (ACE) instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24244', 'invalid host or port for access control list (ACL) assignment', 'The host or port to which the access control list (ACL) was assigned was invalid.', 'Ensure the host and port to which you are assigning the access control list (ACL) are valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24245', 'invalid network privilege', 'The network privilege being added to the access control list (ACL) was invalid.', 'Ensure the network privilege that you are adding to the access control list (ACL) is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24246', 'empty access control list (ACL) not allowed', 'An attempt was made to store an empty access control list (ACL).', 'Ensure that the access control list (ACL) has at least one', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24247', 'network access denied by access control list (ACL)', 'No access control list (ACL) has been assigned to the target host or the privilege necessary to access the target host has not been granted to the user in the access control list.', 'Ensure that an access control list (ACL) has been assigned to the target host and the privilege necessary to access the target host has been granted to the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24248', 'XML DB extensible security not installed', 'XML DB extensible security necessary for this operation has not been installed.', 'Ensure that XML DB has been installed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24265', 'Insufficient privileges for SQL profile operation', 'A DDL operation was attempted on a SQL profile by a session without the proper privileges.', 'Grant the user the appropriate privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24270', 'a row already exists in the string table for these parameters', 'A call was made to create a new row in the specified table. A row already exists in the table with the specified values.', 'Delete the existing row using the appropriate API or check the parameters used to create the row.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24271', 'translation type must be either T, S or M', 'The translation type parameter is not a T, S or an M. A value other than T, S or M was specified.', 'Correct the translation type and reexecute the API call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24272', 'initialization value must be either F or T', 'The initialization value must be either F or T. A value other than F or T was specified.', 'Correct the initialization value and reexecute the API call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24273', 'translation text is required if translation type is T or S', 'If a translation type of T or S is specified, translation text must be supplied.', 'Provide translation text and reexecute the API call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24274', 'no row exists in the string table for these parameters', 'A call was made to update a row that does not exist or a foreign key value supplied to create a table does not exist.', 'Create the row using the appropriate API or check the parameters used to create the new row to ensure that all specified values exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24275', 'function ''string'' parameter ''string'' missing or invalid', 'The function <pkgname.funcname> was called with a parameter <parmname> that was null, 0 length, or had an invalid value.', 'Correct the parameter to supply values that comply with its datatype and limits as specified in the documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24276', 'function ''string'' output ''string'' maximum value exceeded', 'The function <pkgname.funcname> computed a value for the output <parmname> that exceeded the maximum allowed. This can occur when multiple input parameters, each valid separately, combine to specify an invalid result. For example, when a length parameter multiplied by a copies parameter yields a total length exceeding the maximum for the output datatype.', 'Correct the input values to produce a result that will comply with the limits as specified in the documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24277', 'invalid database link string', 'The database link did not exist.', 'Make sure the database link name is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24278', 'remote table string not found', 'The table did not exist in the remote database.', 'Make sure the remote table name is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24279', 'view string is not a parallel access view', 'The view was not created by CREATE_OR_REPLACE_VIEW API.', 'Provide the correct view name that was created by CREATE_OR_REPLACE_VIEW API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24280', 'invalid input value for parameter string', 'The parameter has been provided a negative, out of range, or NULL input value.', 'Correct the input value such that it is valid, and is within the range as specified in the documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24281', 'invalid access past the maximum size of LOB parameter string', 'The value of positional or size parameters exceeds the maximum allowed LOB size of 4 Gigabytes.', 'Correct the input values for amount and offset such that their sum is less than or equal to 4 Gigabytes. If error occurs in a read or write loop, check the looping conditions and/or offset increments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24292', 'no more tables permitted in this sorted hash cluster', 'A sorted hash cluster only supports a maximum of 2 tables', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24295', 'max key length (string) for sorted hash cluster exceeded', 'Sorted hash clusters have a maximum key size', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15559', 'workload replay client cannot open workload capture file', 'The Workload Replay Client could not access one or more workload capture files from the replay directory.', 'Restart the workload replay after copying all the workload capture files to the replay directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15560', 'workload replay client cannot access the work directory', 'The Workload Replay Client could not access the work directory to write log files for debug information.', 'Restart the Workload Replay Client after specifying the correct work directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15561', 'workload replay client cannot connect to the remapped connection with conn_id : string', 'The specified connection is invalid or the specified host is inaccessible.', 'Test the specified connection using other methods and redefine the connection remapping, if necessary. Consult the view DBA_WORKLOAD_CONNECTION_MAP to inspect connection remappings.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15562', 'workload replay client cannot read the DBA_WORKLOAD_CONNECTION_MAP view', 'The DBA_WORKLOAD_CONNECTION_MAP view did not exist or was not accessible.', 'Re-create the workload capture and replay views. For additional information, see the documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15563', 'workload replay client cannot spawn new threads', 'The Workload Replay Client does not have enough resource (CPU or memory) to spawn new threads.', 'Restart the workload replay after allocating more resource (CPU and memory) to the Workload Replay Client or use more hosts as replay clients to drive the workload.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15564', 'contents of the replay directory provided to the workload replay client do not match with the replay directory provided to the database server', 'The processed workload capture files given to the workload replay client directory did not match the contents of the replay directory given as input to DBMS_WORKLOAD_REPLAY.INITIALIZE_REPLAY.', 'Provide the same processed workload capture files to both the database server and all the workload replay clients and restart the replay. If the same workload capture files were processed more than once, provide a copy of the latest processed workload capture files to all the workload replay clients and the database server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15566', 'workload replay client cannot replay user call in the current version', 'The workload replay client encountered a user call in the captured workload that was not supported for replay in the current version.', 'Look in the DBA_WORKLOAD_REPLAY_DIVERGENCE view for details about the call that encountered this error. Refer to the documentation for more details on the types of workload that are not supported in the current version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15590', 'encountered an incomplete workload capture file', 'The captured workload contained one or more incomplete recording files. This can happen when the original workload capture''s FINISH_CAPTURE command timed out while waiting for all the active sessions to close their workload capture files.', 'Incomplete capture files will not interfere with the processing and replaying of the captured workload. This is simply a warning message to point out that some database calls might not have been recorded due to FINISH_CAPTURE command timing out.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15601', 'Invalid value specified for parameter "string"', 'An invalid value was specified for the given parameter.', 'Correct the value being specified for the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15602', 'Parameter "string" cannot be NULL.', 'An attempt was made to call a procedure without a required parameter.', 'Specify a valid value for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15603', 'Action cannot be performed when database is in read-only mode.', 'A procedure in DBMS_AUTO_TASK_ADMIN package was invoked when database was open in read-only mode.', 'Retry when database is open in read/write mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15604', 'Initialization parameters prevent client from being enabled.', 'An attempt was made to enable a client that was disabled for automatic execution by an initialization parameter.', 'Check the related client parameters and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15605', '"string" is not a Maintenance Window', 'Window name passed to DBMS_AUTO_TASK_ADMIN.ENABLE procedure must be a member of the MAINTENANCE_WINDOW_GROUP.', 'Make the window a member of the MAINTENANCE_WINDOW_GROUP and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16000', 'database open for read-only access', 'The database has been opened for read-only access. Attempts to modify the database using inappropriate DML or DDL statements generate this error.', 'In order to modify the database, it must first be shut down and re-opened for read-write access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16023', 'system string destination cannot be the same as session string destination', 'An attempt to change the first specified LOG_ARCHIVE_DEST_n (n = 1...10) parameter produced a destination that duplicates the session destination value of the second specified LOG_ARCHIVE_DEST_n parameter. This error can occur when setting a non-NULL value with the ALTER SYSTEM command. Or, this error can occur when setting a NULL value with ALTER SESSION command, because then the associated system destination value may appear as a duplicate.', 'Specify a different destination value for the first specified LOG_ARCHIVE_DEST_n parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16024', 'parameter string cannot be parsed', 'The value for the indicated LOG_ARCHIVE_DEST_n (n = 1...10) parameter could not be parsed. Common causes for this error are a misplaced equal sign, an unrecognized attribute, or an attribute that is missing a required value.', 'Correct the value for the indicated LOG_ARCHIVE_DEST_n parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16025', 'parameter string contains repeated or conflicting attributes', 'The value for the specified LOG_ARCHIVE_DEST_n (n = 1...10) parameter contained either repeated attributes or attributes that conflicted with each other.', 'Correct the value for the indicated LOG_ARCHIVE_DEST_n parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16026', 'parameter string contains an invalid attribute value', 'The value for the specified LOG_ARCHIVE_DEST_n (n = 1...10) parameter contained an attribute with an invalid value.', 'Correct the value for the indicated LOG_ARCHIVE_DEST_n parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16027', 'parameter string is missing a destination option', 'The value for the indicated LOG_ARCHIVE_DEST_n (n = 1...10) parameter failed to include a destination option. A destination option is specified using either the LOCATION or SERVICE attrbute.', 'Correct the value for the indicated LOG_ARCHIVE_DEST_n parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16028', 'new string causes less destinations than LOG_ARCHIVE_MIN_SUCCEED_DEST requires', 'With automatic archiving enabled, an attempt was made to change the indicated LOG_ARCHIVE_DEST_n or a LOG_ARCHIVE_DEST_STATE_n parameter (n = 1...10) to a value that reduces the number of archive log destinations to less than the specified LOG_ARCHIVE_MIN_SUCCEED_DEST value.', 'Either select different options for the LOG_ARCHIVE_DEST_n or LOG_ARCHIVE_DEST_STATE_n parameters, or reduce the value for parameter LOG_ARCHIVE_MIN_SUCCEED_DEST.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16029', 'cannot change LOG_ARCHIVE_MIN_SUCCEED_DEST, no archive log destinations', 'An attempt was made to change the LOG_ARCHIVE_MIN_SUCCEED_DEST parameter when there are no archive log destinations.', 'Define one or more log archive destinations using parameters LOG_ARCHIVE_DEST, LOG_ARCHIVE_DUPLEX_DEST, or LOG_ARCHIVE_DEST_n (n = 1...10). Then, change the value of parameter LOG_ARCHIVE_MIN_SUCCEED_DEST.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19931', 'file string has invalid creation SCN string', 'When opening the file to be placed in a copy or backup set, to be inspected, the file header was not recognized as a valid header because it contained a invalid creation SCN. The indicated file cannot be processed.', 'Ensure that the correct files are being specified for the catalog or backup operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19932', 'control file is not clone or standby', 'The operation failed because the control file was not mounted as standby or clone.', 'Mount the database as standby or clone and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19941', 'invalid blocksize in cross platform datafile string', 'Blocksize in header of datafile copy being converted at target was invalid. Either datafile has not been made read/write with compatibility 10.0 or greater at source database or datafile copy is corrupted.', 'Make a new datafile copy taken after tablespace has been made read/write with compatibility 10.0 at source database and retry conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19942', 'datafile copy string not created with compatibility 10.0 or greater', 'The specified datafile copy to be converted at the target was not produced after making the tablespace in read/write mode with compatibility 10.0 or greater at the source database.', 'Make a new datafile copy taken after tablespace has been made read/write with compatibility 10.0 at source database and retry conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19943', 'The current database incarnation changed during backup', 'The backup failed because the current database incarnation was changed during the backup. One of the following events caused this incarnation change:' || '<p>' || '- The database was opened using ALTER DATABASE OPEN RESETLOGS statement.' || '<p>' || '' || '<p>' || '- RMAN command RESET DATABASE TO INCARNATION was issued.' || '<p>' || '' || '<p>' || '- If this happened on physical standby database, then redo apply has applied redo data from a new database incarnation.', 'Re-try the backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19951', 'cannot modify control file until DBNEWID is completed', 'An operation requiring to modify the control file was attempted, but a NID change is in progress.', 'Wait until NID completes before attempting the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19952', 'database should be mounted exclusively', 'The database was started in parallel mode. To change the DBID, the database must be mounted exclusively.', 'Shut down the database and start it in exclusive mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19953', 'database should not be open', 'The database was open. To change the DBID, the database must be mounted exclusively.', 'Shut down the database and mount it in exclusive mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19954', 'control file is not current', 'The operation failed because a non-current, non-standby control file was mounted.', 'Make the control file current and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19955', 'only one open thread is allowed to change the DBID', 'The operation failed because there were active threads in the database. The most likely cause is that the database crashed the last time it was shut down.', 'Ensure that all threads are closed before retrying the operation. Start and open the database to perform crash recovery, then shut down with the NORMAL or IMMEDIATE options to close it cleanly. Finally, try running the utility again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19956', 'database should have no offline immediate datafiles', 'The operation failed because the database had one or more datafiles that were in OFFLINE IMMEDIATE mode.', 'Drop the datafiles or recover them and bring them online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19957', 'database should have no datafiles in unknown state', 'The operation failed because the database had one or more datafiles that were in an unknown state.', 'Drop the datafiles or recover them and bring them online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19958', 'potential deadlock involving DIAG process', 'DIAG requested a control file operation that may lead to a deadlock', 'Try last operation later when the control file is released', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19960', 'Internal use only', 'NID usage', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19999', 'skip_row procedure was called', 'The skip_row procedure was called which raises this error', 'Skip_row should only be called within a trigger or a procedure called by a trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-20000', 'string', 'The stored procedure ''raise_application_error'' was called which causes this error to be generated.', 'Correct the problem as described in the error message or contact the application administrator or DBA for more information.', 'Y');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21300', 'objects option not installed', 'The objects option is not installed at this site. object types and other object features are, therefore, unavailable.', 'Install the objects option. The objects option is not part of the Oracle Server product and must be purchased separately. Contact an Oracle sales representative if the objects option needs to be purchased.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21526', 'initialization failed', 'The initialization sequence failed. This can happen, for example, if an environment variable such as NLS_DATE_FORMAT is set to an invalid value.', 'Check that all NLS environment variables are well-formed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21527', 'internal OMS driver error', 'A process has encountered an exceptional condition. This is the generic internal error number for Oracle object management services exceptions.', 'Report this as a bug to Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21560', 'argument string is null, invalid, or out of range', 'The argument is expecting a non-null, valid value but the argument value passed in is null, invalid, or out of range. Examples include when the LOB/FILE positional or size argument has a value outside the range 1 through (4GB - 1), or when an invalid open mode is used to open a file, etc.', 'Check your program and correct the caller of the routine to not pass a null, invalid or out-of-range argument value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21561', 'OID generation failed', 'The handles passed in may not be valid', 'Check the validity of the env, svc handles', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21600', 'path expression too long', 'The path expression that is supplied by the user is too long. The path expression is used to specify the position of an attribute in an object. This error occurs when one of the intermediate elements in the path expression refers to an attribute of a built-in type. Thus, the OCI function cannot proceed on to process the rest of the elements in the path expression.', 'User should pass in the correct path expression to locate the attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21601', 'attribute is not an object', 'The user attempts to perform an operation (that is valid only for an object) to an attribute of a built-in type. An example of such an illegal operation is to dynamically set a null structure to an attribute of a built-in type.', 'User should avoid performing such operation to an attribute of built-in type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21602', 'operation does not support the specified typecode', 'The user attempts to perform an operation that does not support the specified typecode.', 'User should use the range of valid typecodes that are supported by this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21603', 'property id [string] is invalid', 'The specified property id is invalid.', 'User should specify a valid property id. Valid property ids are enumerated by OCIObjectPropId.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21604', 'property [string] is not a property of transient or value instances', 'Trying to get a property which applies only to persistent objects.', 'User should check the lifetime and only get this property for persistent objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23622', 'Operation string.string.string is in progress.', 'An attempt was made to execute a procedure which was being executed in a parallel session or failed execution.', 'Query the DBA_RECOVERABLE_SCRIPT view to identify the operation that is currently in progress for the specified invoking procedure. Complete the operation before proceeding.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23623', 'internal DBMS_COMPARISON error: [string] [string] [string] [string]', 'DBMS_COMPARISON detected an erroneous result.', 'Look for information in the session trace file and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23624', 'A comparison operation is currently in progress for string.', 'Another session was already performing an operation on this object.', 'Retry the operation once other sessions are done with the specific comparison object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23625', 'Table shapes of string.string and string.string@string did not match.', 'Table shapes of local and remote tables to compare did not match.', 'Retry by explicitly specifying columns that match in column_list or create views on the tables as appropriate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23626', 'No eligible index on table string.string', 'Table did not have an eligible index to use for comparison.', 'For a table to be compared using DBMS_COMPARISON, the table must have an appropriate index on a column of certain data types. Check the documentation for supported data types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23627', 'Comparison object string already existed.', 'A comparison object by the specified name already exists.', 'Retry with a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23628', 'Comparison query too long (actual string, allowed string).', 'A generated query for comparison was too long.', 'Comparison is unsupported for very large tables with long column names. Retry with a subset of columns or with shorter column names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23629', 'string.string is not an eligible index on table string.string for comparison', 'The specified index was not an eligible index to use for comparison.', 'For a table to be compared using DBMS_COMPARISON, the table must have an appropriate index. Please specify an eligible index for the table to be compared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23630', 'Cannot switch to checkpoint-free mode (value "string", STREAMS parameter string), due to the following reason:', 'Could not switch to checkpoint-free mode, or already in checkpoint-free mode.', 'Can switch to checkpoint-free mode only if the capture is new (it never ran), the capture wasn''t cloned from a capture with checkpoints, the capture doesn''t include any extra attributes, and combined capture and apply is enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23631', 'Checkpoint-free mode cannot change (value "string", STREAMS parameter string)', 'Could not switch to checkpoints because checkpoint-free mode was set.', 'Drop the checkpoint-free capture and create a new one that will / take checkpoints.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23632', 'Cannot force checkpoints in checkpoint-free mode (value "string", STREAMS parameter string)', 'The capture process was in checkpoint-free mode.', 'Cannot take checkpoints in checkpoint-free mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23633', 'Cannot turn off combined capture and apply mode in checkpoint-free mode (value "string", STREAMS parameter string)', 'The capture was running in checkpoint-free mode and had to run in combined capture and apply mode also.', 'Ensure that this capture runs in combined capture and apply by dropping additional propagation or apply processes for the same queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23634', 'Cannot include extra attributes in checkpoint-free mode', 'The capture process was in checkpoint-free mode.', 'Extra attributes are not supported in checkpoint-free mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23635', 'MAINTAIN_TTS: tablespace(s) already exist(s) in target database.', 'The tablespaces were already in existence in the target database when the streams MAINTAIN_TTS APIs were called."', 'Check whether you can drop the tablespaces to be maintained in the target database. If not, don''t use streams MAINTAIN_TTS APIs to setup streams. Check the Oracle documentation on how to setup streams.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23636', 'MAINTAIN_TTS: Invalid tablespace name, reason: string.', 'The tablespace name was either NULL or too long when the streams MAINTAIN_TTS APIs were called.', 'Check that the specified tablespace names are not NULL and are spelled correctly. If there are too many tablespaces, group them together and call the streams MAINTAIN_TTS APIs for the group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23642', 'Cannot switch to checkpoint mode (value "string", STREAMS parameter string)', 'Capture was cloned from a capture in checkpoint-free mode.', 'Clone from a capture with checkpoints.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23644', 'Cannot switch to checkpoint-free mode (Capture string)', 'Switch to checkpoint-free mode was prevented by a previous error.', 'See the previous error for the appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23645', 'Cannot switch to checkpoints (Capture string)', 'Switch to checkpoints was prevented by a previous error.', 'See the previous error for the appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23646', 'Streams string process string does not exist', 'Capture or Apply did not exist.', 'Create a Capture or Apply process, then try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23647', 'Streams string process string is not running', 'Capture or Apply were not running.', 'Start Capture or Apply process, then try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23648', 'Capture string is for Change Data Capture', 'Capture was for Change Data Capture, and checkpoints were required.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23649', 'Capture string is for Audit Vault', 'Capture was for Audit Vault, and checkpoints were required.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23650', 'No progress Capture string', 'Capture was not capturing changes.', 'Make sure Capture is running and capturing changes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23651', 'Capture string is already in string mode', 'Capture was already in the desired mode.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23652', 'The oldest SCN could not be updated at Apply string', 'The oldest SCN was not updated before the switch was performed.', 'Make sure Apply is running and the switch package version is the same at both databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23653', 'LogMiner session does not exist', 'LogMiner session did not exist.', 'Make sure the Capture process exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23654', 'Attempting to set the oldest SCN to a greater value (string) than the current one (string) at Apply string', 'The new value for the oldest SCN was not computed correctly.', 'Make sure Capture and Apply are running, and Capture is making progress.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23655', 'The SCN range cannot be smaller than 0, (SCN range = string)', 'The function was invoked with a negative SCN range.', 'Use a positive SCN range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23656', 'Timeout occurred while string Streams process string', 'The Streams process could not be stopped or started.', 'Call the switch procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23657', 'the converted file string already exists', 'The converted file was already in existence. CONVERT FILE call does not overwrite the existing file.', 'Check whether the existing file can be deleted. If the existing file can be deleted, delete it. Otherwise, specify a different directory or file extension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23658', 'Invalid character set specified when converting column ''string'' in ''string.string''', 'The conversion between two character sets for the column in the given table is not supported.', 'Check if the implicit conversion between source and destination column is supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24300', 'bad value for mode', 'An undefined mode value was specified.', 'Check that the correct mode is selected and that an allowed value for that mode is specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24330', 'internal OCI error', 'An internal OCI error has occurred.', 'Please contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24331', 'user buffer too small', 'The user buffer to contain the output data is too small.', 'Specify a bigger buffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24332', 'invalid object type', 'An invalid object type is requested for the describe call.', 'Specify a valid object type to the describe call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24333', 'zero iteration count', 'An iteration count of zero was specified for the statement', 'Specify the number of times this statement must be executed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24334', 'no descriptor for this position', 'The application is trying to get a descriptor from a handle for an illegal position.', 'Check the position number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24335', 'cannot support more than 1000 columns', 'The number of columns exceeds the maximum number supported.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24336', 'invalid result set descriptor', 'The result set descriptor should have valid data fetched into it before it can be converted to a statement handle', 'Fetch valid data into the descriptor before attempting to convert it into a statement handle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24337', 'statement handle not prepared', 'A statement cannot be executed before making preparing a request.', 'Prepare a statement before attempting to execute it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24338', 'statement handle not executed', 'A fetch or describe was attempted before executing a statement handle.', 'Execute a statement and then fetch or describe the data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24339', 'cannot set server group name after connecting to server', 'An attempt was made to set the server group in a server handle after connecting to the server. However, once the connection is established to a server, the server group name cannot be set anymore.', 'Attach to the server after setting the server group name in the server handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24340', 'cannot support more than 255 columns', 'The number of columns exceeds maximum supported by the server.', 'Limit your operation to 255 columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24341', 'bad mode specified', 'OCI_ENV_NO_MUTEX mode was specified for a non-threaded client.', 'OCI_ENV_NO_MUTEX may be specified when OCI_THREADED had been specified at process initialization.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24342', 'unable to destroy a mutex', 'An attempt to destroy a mutex failed.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24343', 'user defined callback error', 'The only valid return value for a user defined callback function is OCI_CONTINUE or OCI_ROWCBK_DONE. Any other value will cause this error.', 'Please insure that OCI_CONTINUE or OCI_ROWCBK_DONE is returned from the user defined callback function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24344', 'success with compilation error', 'A sql/plsql compilation error occurred.', 'Return OCI_SUCCESS_WITH_INFO along with the error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24345', 'A Truncation or null fetch error occurred', 'A truncation or a null fetch error"', 'Please ensure that the buffer size is long enough to store the returned data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24346', 'cannot execute without binding variables', 'None of the bind variables in the SQL statement are bound.', 'Please bind all the variables before the execute is done.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24347', 'Warning of a NULL column in an aggregate function', 'A null column was processed by an aggregate function', 'An OCI_SUCCESS_WITH_INFO is returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24348', 'Update or Delete without Where', 'An update or delete was executed without where clause', 'An OCI_SUCCESS_WITH_INFO is returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24350', 'OCI call not allowed', 'OCI used is not permitted from external procedures.', 'Refer to user manual for usage restrictions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24351', 'invalid date passed into OCI call', 'A bad date was passed into one of the OCI calls.', 'Check your date bind values and correct them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24352', 'invalid COBOL display type passed into OCI call', 'A bad COBOL display type was passed into one of the OCI calls.', 'Check your COBOL display type bind values and correct them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24353', 'user buffer too small to accommodate COBOL display type', 'User supplied buffer for a COBOL display type was too small to accommodate fetched number.', 'Increase the allocation for COBOL display type buffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24354', 'number fetched too large to fit in COBOL display type buffer.', 'The number fetched was beyond the range that can be displayed.', 'Please check the number in the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24355', 'attempt to store a negative number in an Unsigned Display type.', 'An attempt was made to convert a negative number into an unsigned display type.', 'Please check the number in the database or change the defined datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24356', 'internal error while converting from to COBOL display type.', 'An internal error was encountered during conversion to COBOL display type.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24357', 'internal error while converting from to OCIDate.', 'An internal error was encountered during conversion to OCIDate type.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24358', 'OCIBindObject not invoked for a Object type or Reference', 'OCIBindObject was not invoked resulting in an incomplete bind specification for a Object Type or Reference.', 'Please invoke the OCIBindObject call for all Object Types and References.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24359', 'OCIDefineObject not invoked for a Object type or Reference', 'OCIDefineObject was not invoked resulting in an incomplete bind specification for a Object Type or Reference.', 'Please invoke the OCIDefineObject call for all Object Types and References.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24360', 'Type Descriptor Object not specified for Object Bind/Define', 'Type Descriptor Object is a mandatory parameter for Object Types Binds and Defines.', 'Please invoke the OCIBindObject() or OCIDefineObject() call with a valid Type Descriptor Object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24361', 'basic bind call not invoked before invoking advanced bind call', 'One of the basic bind calls was not invoked on this bind handle before performing an advanced bind call.', 'Please invoke the advanced bind call on this bind handle only after performing a basic bind call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24362', 'improper use of the character count flag', 'When the character count flag is set, then the maximum size of the buffer in the server should be specified as a non-zero value.', 'Please use a non-zero value for the mamimum size of the buffer in the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24363', 'measurements in characters illegal here', 'Measurements in characters instead of bytes are illegal if either the server''s or client''s character set is varying width.', 'If either the client''s or server''s character set is varying width then do not use the OCI_ATTR_CHAR_COUNT attribute for the bind handle. Use OCI_ATTR_MAXDATA_SIZE instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24364', 'internal error while padding blanks', 'An internal error has occurred while attempting to blank pad string data. This error should not occur normally.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24365', 'error in character conversion', 'This usually occurs during conversion of a multibyte character data when the source data is abnormally terminated in the middle of a multibyte character.', 'Make sure that all multibyte character data is properly terminated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24366', 'migratable user handle is set in service handle', 'This occurs during user authentication, a migratable user handle has been set in the service handle.', 'Service handle must not be set with migratable user handle when it is used to authenticate another user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16030', 'session specific change requires a LOG_ARCHIVE_DEST_n destination', 'The following event caused an incompatibility: Parameter LOG_ARCHIVE_DEST or LOG_ARCHIVE_DUPLEX_DEST was in use when an attempt was made to change the LOG_ARCHIVE_MIN_SUCCEED_DEST parameter with an ALTER SESSION command.', 'Replace any LOG_ARCHIVE_DEST and LOG_ARCHIVE_DUPLEX_DEST parameters with LOG_ARCHIVE_DEST_n (n = 1...10) parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16031', 'parameter string destination string exceeds string character limit', 'The value for the specified parameter contained a destination string that is too long.', 'Replace the destination value for the specified parameter with a character string that has a length below the limit specified in the error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16032', 'parameter string destination string cannot be translated', 'The value for the specified parameter contained a destination string that could not be translated.', 'Use a valid destination string in the specified parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16033', 'parameter string destination cannot be the same as parameter string destination', 'An attempt was made to change the first specified archive log parameter to have a destination value that duplicates the system-level destination value of the second specified archive log parameter.', 'Specify a different value for one of the archive log parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16034', 'FROM parameter is incompatible with MANAGED recovery', 'Use of the FROM ''location'' parameter is not allowed when MANAGED recovery has been specified.', 'Correct the syntax and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16035', 'missing required keyword string', 'The indicated keyword is required but was not specified.', 'Correct the syntax and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16036', 'invalid MANAGED recovery CANCEL option', 'A mode other than IMMEDIATE follows the CANCEL keyword in RECOVER MANAGED STANDBY DATABASE statement.', 'Specify either nothing or IMMEDIATE following CANCEL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16037', 'user requested cancel of managed recovery operation', 'The managed standby database recovery operation has been canceled per user request.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16038', 'log string sequence# string cannot be archived', 'An attempt was made to archive the named file, but the file could not be archived. Examine the secondary error messages to determine the cause of the error.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16039', 'RFS request version mismatch', 'A request to archive a redo log to a standby site failed because the request was incompatible with the Remote File Server (RFS) at the standby site.', 'Verify that compatible versions of Oracle are running on the primary and all standby sites.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16040', 'standby destination archive log file is locked', 'The target standby destination archive log file is currently locked. This indicates that the file is being archived to by another Remote File Server (RFS) process.', 'Check for and eliminate duplicate standby destination archive log service names defined for the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16066', 'remote archival disabled', 'An archive log destination parameter has specified a remote destination with the SERVICE keyword. Remote archival of REDO log files has been disabled for this database. The associated archive log destination has been disabled.', 'If appropriate change the archive log parameter to specify a local destination with the LOCATION keyword or (if appropriate) set the REMOTE_ARCHIVE_ENABLE parameter to TRUE, or enable the SEND attribute of the LOG_ARCHIVE_CONFIG parameter and restart the database instance before further REDO log file archivals occur.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16067', 'activation identifier mismatch in archive log string', 'The activation identifier contained in the archive log file header does not match the activation identifier of the database being recovered. The indicated archive log cannot be applied to the database.', 'Locate the appropriate archive log for the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16068', 'redo log file activation identifier mismatch', 'The activation identifier of the indicated redo log file does not match the activation identifier of the database.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16069', 'Archive Log standby database activation identifier mismatch', 'The activation identifiers of the Primary and Standby database do not match. Remote archival of redo log files is not allowed to incompatible STANDBY database instances. This can occur when trying to apply an incorrect archive log to a standby database, or when trying to archive to a standby database that does not match the primary database.', 'Take the necessary steps to create the required compatible STANDBY database before retrying the ARCHIVE LOG processing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16070', 'parameter string contains an invalid REGISTER attribute value', 'The value for the specified LOG_ARCHIVE_DEST_n (n = 1...10) parameter contained a REGISTER attribute that specified an invalid file name template string. If specified, the REGISTER file name template string must indicate an O/S-specific file path name including thread and log sequence number substitution directives (%t, %T, %s, %S).', 'Correct the value for the LOG_ARCHIVE_DEST_n parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16071', 'dependency archived log file not found string', 'The specified archived log file was not found at the indicated standby destination.', 'Verify the correctness of the dependency archived log file name template specified for the indicated standby destination against the actual dependency archived log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16072', 'a minimum of one standby database destination is required', 'No standby database archive log destinations were specified.', 'Specify a standby archive log destination in the initialization parameter file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16073', 'archiving must be enabled', 'Online log file archiving is disabled.', 'Enable log file archiving.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16074', 'ARCH processes must be active', 'There are no active ARCH processes.', 'It is required that at least one ARCH process be active.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16075', 'standby database destination mismatch', 'A standby database destination was specified that is not accessed by another instance.', 'All database instances must access the same standby databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16076', 'unknown standby database destination', 'A standby database destination was specified that is not accessed by another instance.', 'All database instances must access the same standby databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16078', 'media recovery disabled', 'The database is not in ARCHIVELOG mode.', 'Place the database in ARCHIVELOG mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16079', 'standby archival not enabled', 'The standby database does not have archival enabled.', 'In order to allow the standby database to access the standby log files, the ARCH process must be enabled and active.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16261', 'Identification key mismatch for table "string"."string".', 'Internal error in SQL Apply.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16262', 'Invalid value specified for Logical Standby parameter', 'The value specified in APPLY_SET is invalid for the parameter.', 'Specify correct parameter value. Please refer to documentation on DBMS_LOGSTDBY PL/SQL package for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16263', 'Dynamic parameters can only be set on SQL apply instance', 'Attempt to set a Logical standby dynamic parameter on an instacne other than where SQL apply coordinator is running.', 'Connect to the instance where SQL apply coordinator is running and re-issue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21605', 'property [string] is not a property of value instances', 'Trying to get a property which applies only to persistent and transient objects.', 'User should check the lifetime and only get this property for persistent and transient objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21606', 'can not free this object', 'Trying to free an object that is persistent and dirty and the OCI_OBJECTFREE_FORCE flag is not specified.', 'Either flush the persistent object or set the flag to OCI_OBJECTFREE_FORCE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21607', 'memory cartridge service handle not initialized', 'Attempt to use the handle without initializing it.', 'Initialize the memory cartridge service handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21608', 'duration is invalid for this function', 'Attempt to use a duration not valid for this function.', 'Use a valid duration - a previously created user duration or OCI_DURATION_STATEMENT or OCI_DURATION_SESSION. For callout duration or external procedure duration, use OCIExtProcAllocCallMemory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21609', 'memory being resized without being allocated first', 'Attempt to resize memory without allocating it first.', 'Allocate the memory first before resizing it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21610', 'size [string] is invalid', 'Attempt to resize memory with invalid size.', 'Pass in a valid size (must be a positive integer).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21611', 'key length [string] is invalid', 'Attempt to use an invalid key length.', 'Key length is invalid and valid range is 0 to 64', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21612', 'key is already being used', 'Attempt to use a key that is already used.', 'Use a new key that is not yet being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21613', 'key does not exist', 'Attempt to use a non-existent key', 'Use a key that already exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21614', 'constraint violation for attribute number [string]', 'Constraints on the attribute were violated', 'Correct the value (of the attribute) so that it satisfies constraints', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21615', 'copy of an OTS (named or simple) instance failed', 'see following message', 'Check that no attribute value violates constraints.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21700', 'object does not exist or is marked for delete', 'User attempted to perform an inappropriate operation to an object that is non-existent or marked for delete. Operations such as pinning, deleting and updating cannot be applied to an object that is non-existent or marked for delete.', 'User needs to re-initialize the reference to reference an existent object or the user needs to unmark the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21701', 'attempt to flush objects to different servers', 'User attempted to flush objects to different servers in one function call. These objects are obtained by calling a callback functions provided by the program.', 'User should avoid performing such operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21702', 'object is not instantiated or has been de-instantiated in cache', 'User attempted to perform an inappropriate operation to a transient object that is not instantiated in the object cache. Operations that cannot be applied to a not-instantiated transient object include deleting or pinning such an object.', 'User should check their code to see if they are performing such an operation without instantiating the object first, or performing such an operation after the allocation duration of the object has expired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21703', 'cannot flush an object that is not modified', 'See the error message.', 'The object should not be flushed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21704', 'cannot terminate cache or connection without flushing first', 'See the error message.', 'The transaction should be aborted or committed before terminating the cache or connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21705', 'service context is invalid', 'The service context that is supplied by the user is not valid.', 'User needs to establish the service context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22059', 'buffer size [string] is too small - [string] is needed', 'The buffer to hold the resulting text string is too small.', 'Provide a buffer of the required size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22060', 'argument [string] is an invalid or uninitialized number', 'An invalid or uninitialized number is passed in.', 'Use a valid number. To initialize number call OCINumberSetZero().', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22061', 'invalid format text [string]', 'The numeric format string for converting characters to or from an Oracle number is invalid.', 'Use valid format string as documented in OCI Programmer''s Guide.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22062', 'invalid input string [string]', 'The text string for converting to numbers is invalid.', 'Use a valid input string as documented in OCI Programmer''s Guide.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22063', 'reading negative value [string] as unsigned', 'Attempt to convert a negative number to an unsigned integer.', 'Use the sign flag ORLTSB to convert a signed number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22064', 'invalid NLS parameter string [string]', 'The NLS parameter string for converting characters to or from an Oracle number is invalid.', 'Use valid format string as documented in OCI Programmer''s Guide.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22065', 'number to text translation for the given format causes overflow', 'Rounding done due to the given string format causes overflow.', 'Change the string format such that overflow does not occur.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22130', 'buffer size [string] is less than the required size [string]', 'The size of the buffer into which the hexadecimal REF string is to be written is too small.', 'Provide a buffer of the required size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22131', 'hexadecimal string length is zero', 'The given hexadecimal string length must be greater than zero.', 'Specify a length greater than zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22132', 'hexadecimal string does not correspond to a valid REF', 'The given hexadecimal string is invalid.', 'Provide a valid hexadecimal string which was previously returned by a call to OCIRefToHex().', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22140', 'given size [string] must be in the range of 0 to [string]', 'The given resize size is invalid.', 'Ensure that the given size is in the required range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22141', 'given size [string] must be even in UTF-16 environment', 'The given resize size is odd. In a UTF-16 environment, all characters are 2 bytes in length.', 'Ensure that the given size is even.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22150', 'variable-length array has not been initialized', 'An un-initialized variable-length array is being operated upon.', 'Initialize the variable-length array prior to calling this function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22151', 'cannot resize non-zero variable-length array to zero elements', 'Trying to resize a non-zero variable-length array to 0 elements.', 'Specify a non-zero size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22152', 'destination variable-length array is not initialized', 'The variable-length array on the right-hand-side of an assignment or the destination array of an append is not initialized.', 'Initialize the destination variable-length array prior to calling this function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22153', 'source variable-length array is not initialized', 'The variable-length array on the left-hand-side of an assignment or the source array of an append is not initialized.', 'Initialize the destination variable-length array prior to calling this function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22160', 'element at index [string] does not exist', 'Collection element at the given index does not exist.', 'Specify the index of an element which exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22161', 'type code [string] is not valid', 'Given type code is not valid.', 'Use one of the typecodes enumerated in OCITypeCode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22162', 'element at index [string] has been previously deleted', 'Trying to delete a non-existent collection element.', 'Check for the existence of the element prior to calling this function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23659', 'Destination buffer is not large enough when converting column ''string'' in ''string.string'' (actual length: string; maximum length: string)', 'The conversion between two character sets failed because a source column value is too large for the destination column.', 'Check if size of the source and destination column matches.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23660', 'Unable to load NLS data object when converting column ''string'' in ''string.string''', 'It may be caused by invalid NLS environment setting.', 'Check your NLS environment setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24000', 'invalid value string, string should be of the form [SCHEMA.]NAME', 'An invalid value was specified for the paramerter.', 'Specify a string of the form [SCHEMA.]NAME .', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24001', 'cannot create QUEUE_TABLE, string already exists', 'The queue table already exists in the queueing system.', 'Drop the table first using the DROP_QUEUE_TABLE() command or specify another table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24002', 'QUEUE_TABLE string does not exist', 'Queue_table not exist.', 'Query on the user view USER_QUEUE_TABLES to find out existing queue tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24003', 'Queue table index string inconsistent with queue table string', 'The queue table index has not yet been successfully imported.', 'Import the queue table index before attempting to use the queue table. If the import failed, correct the problem and try to import the queue table index again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24004', 'invalid column name string in SORT_LIST, should be ENQ_TIME or PRIORITY', 'Invalid column name was specified in the SORT_LIST.', 'The valid column names are ENQ_TIME and PRIORITY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24005', 'must use DBMS_AQADM.DROP_QUEUE_TABLE to drop queue tables', 'An attempt was made to use the SQL command DROP TABLE for queue tables, but DROP TABLE is not supported for queue tables.', 'Use the DBMS_AQADM.DROP_QUEUE_TABLE procedure instead of the DROP TABLE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24006', 'cannot create QUEUE, string already exists', 'The queue requested to be created already exists.', 'Specify another queue name. Query USER_QUEUES for all the exisiting queues in the users''s schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24007', 'invalid value string, MAX_RETRIES should be non-negative integer', 'An invalid value was specified for MAX_RETRIES.', 'Specify a non-negative integer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24008', 'queue table string.string must be dropped first', 'An error was detected when dropping a queue table in a cluster, tablespace, or schema.', 'Use the DBMS_AQADM.DROP_QUEUE_TABLE procedure to drop the specified queue table first; then, retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24009', 'invalid value string, QUEUE_TYPE should be NORMAL_QUEUE or EXCEPTION_QUEUE', 'Invalid queue type parameter', 'Valid values are NORMAL_QUEUE for normal queue and EXCEPTION_QUEUE for exception queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24010', 'QUEUE string does not exist', 'The specified queue does not exist.', 'Specify a valid queue. Query USER_QUEUES for all the valid queues.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24011', 'cannot drop QUEUE, string should be stopped first', 'The queue has not been stopped i.e. either enqueue or dequeue is still enabled.', 'Stop the queue first using the STOP_QUEUE command and disable it from both enqueueing and dequeueing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24012', 'cannot drop QUEUE_TABLE, some queues in string have not been dropped', 'A queue exists in the queue table which has not been dropped. All queues need to be dropped first.', 'Drop all queues belonging to this queue table using the drop_queue() command. Be sure to stop the queues appropriately before dropping them. Alternately, use the force option in drop_queuetable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24013', 'invalid value string, RETRY_DELAY should be non-negative', 'A negative value was specified for RETRY_DELAY.', 'Specify a non-negative value for RETRY_DELAY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24014', 'invalid value string, RETENTION_TIME should be FOREVER or non-negative', 'Queue retention was specified, but the retention time was specified to be less than zero.', 'Specify the retention time to be non-negative or FOREVER. Alternately don''t specify retention.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24015', 'cannot create QUEUE_TABLE, QUEUE_PAYLOAD_TYPE string.string does not exist', 'An invalid QUEUE_PAYLOAD_TYPE specified during create_queue_table.', 'The QUEUE_PAYLOAD_TYPE should be RAW or an object type that already exists in the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24016', 'cannot create QUEUE_TABLE, user string does not have execute privileges on QUEUE_PAYLOAD_TYPE string.string', 'An invalid object type specified for QUEUE_PAYLOAD_TYPE during create_queue_table.', 'The user should have execute priviliges on the object type specified for the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24017', 'cannot enable enqueue on QUEUE, string is an exception queue', 'User tried to enable enqueueing to an exception queue.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24018', 'STOP_QUEUE on string failed, outstanding transactions found', 'There were outstanding transactions on the queue, and WAIT was set to false, so STOP_QUEUE was unsucessful in stopping the queue.', 'Set WAIT to TRUE and try STOP_QUEUE again. It will hang till all outstanding transactions are completed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24019', 'identifier for string too long, should not be greater than string characters', 'The identifier specified is too long.', 'Try again with a shorter identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24020', 'Internal error in DBMS_AQ_IMPORT_INTERNAL, string', 'Internal Error occured in the package DBMS_AQ_IMPORT_INTERNAL.', 'Internal error, call Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24021', 'queue table definition not imported for string.string', 'The queue definition is not updated because the queue table was not imported properly', 'Import the queue table again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24022', 'the specified parameters has no effect on the queue', 'The parameter combination will not cause the queue to be started or stoped.', 'None. This is just a warning.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24023', 'Internal error in DBMS_AQ_EXP_INTERNAL.string [string] [string]', 'Internal Error occured in the package DBMS_AQ_EXP_INTERNAL.', 'Internal error, call Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24024', 'Internal error in DBMS_AQ_IMP_INTERNAL.string [string] [string]', 'Internal Error occured in the package DBMS_AQ_IMP_INTERNAL.', 'Internal error, call Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24025', 'invalid value string, QUEUE_PAYLOAD_TYPE should be RAW or an object type', 'Parameter queue_payload_type has invalid value.', 'Specify a valid object type or RAW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24026', 'operation failed, queue string.string has errors', 'An attempt was made to enqueue, dequeue or administer a queue which has errors.', 'Drop the queue table setting the force option to true.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24027', 'AQ HTTP propagation encountered error, status-code string, string', 'AQ propagation''s HTTP request to the propagation servlet at the specified address encountered an error', 'Specify a valid address in the connect string of the propagation destination dblink, the dblink user has the correct permissions, check if the AQ propagation servlet was properly installed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24028', 'cannot create a reciever non-repudiable single consumer queue', 'Tried to create a reciever non-repudiable single consumer queue', 'This feature is not supported', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24029', 'operation not allowed on a single-consumer queue', 'Tried an operation not allowed on a single-consumer queue.', 'Specify the operation on a multi-consumer queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24030', 'Only one of rule or rule-set must be specified', 'Specified both a rule and rule-set for the operation.', 'Specify only one of rule or rule-set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24031', 'invalid value, string should be non-NULL', 'Parameter is NULL.', 'Specify a non NULL value for the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24301', 'null host specified in thread-safe logon', 'An HDA was not specified in the logon call while running in a thread safe environment.', 'Make sure that HDA is not NULL when calling the logon routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24302', 'host connection in use by another thread', 'An attempt was made to use the host connection while it was in use by another thread.', 'Wait for another thread to finish before using this connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24303', 'call not supported in non-deferred linkage', 'One of the calls that is supported in deferred mode linkage exclusively was invoked when the client was linked non-deferred.', 'Use this call in deferred mode of linkage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24304', 'datatype not allowed for this call', 'Data of this datatype cannot be sent or fetched in pieces.', 'Use other bind or define calls for this datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24305', 'bad bind or define context', 'The call was executed on a cursor for which this is invalid.', 'Verify that this call is valid for this cursor. For example, Get piece information and set piece information are valid on a cursor if appropriate binds and defines have been done on this cursor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24306', 'bad buffer for piece', 'A zero length buffer or a null buffer pointer was provided.', 'Verify that the buffer pointing to this piece or its length is non-zero. The buffer pointer for the next piece or its length can be zero if it is the last piece to be inserted and there are no more data for the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24307', 'invalid length for piece', 'The length of the piece exceeded the maximum possible size.', 'Verify that the length of this piece and the cumulative length of all the previous pieces is not more than the desired value supplied by the application.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24308', 'illegal define position', 'Call to modify attributes was done for a non-existent position', 'Verify that a define has been done for this position', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24309', 'already connected to a server', 'This server handle is already attached to a server.', 'Disconnect from the server and then retry the call to establish a connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24310', 'length specified for null connect string', 'The connect string is null, but a length was specified for it.', 'Set length to zero if connect string is null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24311', 'memory initialization failed', 'Cannot initialize user memory.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24312', 'illegal parameters specified for allocating user memory', 'An illegal size or null pointer was specified for user memory.', 'Specify a legal size and a valid pointer for user memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24313', 'user already authenticated', 'A user has already been authenticated on this service handle.', 'Terminate the service context before using it for another user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24314', 'service handle not initialized', 'The server context does not done exist.', 'Establish the server context in the service context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24315', 'illegal attribute type', 'An illegal attribute type was specified for the handle.', 'Consult user manual to specify an attribute valid for this handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24316', 'illegal handle type', 'An illegal handle type was specified.', 'Consult user manual to specify a valid handle type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24317', 'define handle used in a different position', 'A define was done with an existing handle on a different position.', 'Specify the same position as before on a re-define.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24318', 'call not allowed for scalar data types', 'This call is valid only for object types.', 'Verify that the data-type for this variable is an object type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24319', 'unable to allocate memory', 'Process was unable to allocate memory to store diagnostics.', 'Terminate other processes in order to reclaim needed memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24320', 'unable to initialize a mutex', 'An attempt to initialize a mutex failed.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24321', 'inconsistent parameters passed', 'One of the three memory function pointers is null or non-null.', 'Verify that either all the memory functions are null or non-null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24322', 'unable to delete an initialized mutex', 'An attempt to delete an initialized mutex failed.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24323', 'value not allowed', 'A null value or a bogus value was passed in for a mandatory parameter.', 'Verify that all mandatory parameters are properly initialized.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24324', 'service handle not initialized', 'An attempt was made to use an improper service context handle.', 'Verify that the service context handle has all the parameters initialized prior to this call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24325', 'this OCI operation is not currently allowed', 'An attempt was made to use a context handle outside its scope.', 'Verify that the context handle is set to a service context handle that has been converted to a logon data area for other OCI calls. The logon data area must be converted back to a service context before it can be used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24326', 'handle passed in is already initialized', 'An attempt was made to pass an initialized handle.', 'Verify that the parameter passed in to retrieve a handle does not already point to a handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24327', 'need explicit attach before authenticating a user', 'A server context must be initialized before creating a session.', 'Create and initialize a server handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24328', 'illegal attribute value', 'The attribute value passed in is illegal.', 'Consult the users manual and specify a legal attribute value for the handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24329', 'invalid character set identifier', 'The character set identifier specifed is invalid', 'Specify a valid character set identifier in the OCI call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24367', 'user handle has not been set in service handle', 'This occurs during authentication of a migratable user. the service handle has not been set with non-migratable user handle.', 'Service handle must be set with non-migratable user handle when it is used to authenticate a migratable user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24368', 'OCI mutex counter non-zero when freeing a handle', 'This is an internal OCI error.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24369', 'required callbacks not registered for one or more bind handles', 'No callbacks have been registered for one or more of the bind handles which are part of the RETURNING clause.', 'The bind handles which are to receive data in a DML statememt with a RETURNING clause must have their mode set as DATA_AT_EXEC and callback functions must be registered for these bind handles using OCIBindDynamic.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24370', 'illegal piecewise operation attempted', 'Data of a certain datatype that does not support piecewise operation is being sent or fetched in pieces.', 'Always set the piece value to OCI_ONE_PIECE for datatypes that does not support piecewise operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24371', 'data would not fit in current prefetch buffer', 'An internal OCI error has occurred.', 'Please contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24372', 'invalid object for describe', 'The object to be described is not valid. It either has compilation or authorization errors.', 'The object to be described must be valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24373', 'invalid length specified for statement', 'The length specified for the statement is either 0 or too large.', 'Specify a valid length for the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24374', 'define not done before fetch or execute and fetch', 'The application did not define output variables for data being fetched before issuing a fetch call or invoking a fetch by specifying a non-zero row count in an execute call.', 'Issue OCI define calls for the columns to be fetched.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16264', 'invalid value for PREPARE_SERVERS parameter', 'attempt to set PREPARE_SERVERS parameter to zero or to a value which would require MAX_SERVERS to be increased.', 'set PREPARE_SERVERS parameter to a non zero value and or increase MAX_SERVERS parameter accordingly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16265', 'Unsupported PL/SQL procedure encountered', 'Apply encountered an unsupported procedure from an Oracle supplied PL/SQL package that is otherwise supported', 'Either add a skip rule for this procedure or manually apply the procedure and restart apply skipping the failed transaction Please refer to documentation on the PL/SQL package for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16266', 'Cannot instantiate a Logical Standby from another Logical Standby', 'An instantiation of a Logical Standby has been attempted for another database with the Logical Standby role, which is not supported.', 'Instantiate a Logical Standby database only from a Primary Database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16267', 'Cannot instantiate a Logical Standby during a switchover', 'An instantiation of a Logical Standby has been attempted for a primary database that is in the middle of a switchover.', 'Execute ALTER DATABASE PREPARE TO SWITCHOVER CANCEL to cancel the switchover, and attempt the instantiation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16268', 'user procedure processing of logical standby apply PL/SQL', 'A user-provided stored procedure was called to inspect a PL/SQL statement prior to the statement being processed.', 'No action necessary, this informational statement is provided to record user involvement in the processing of a statement. Additional information can be found in the DBA_LOGSTDBY_EVENTS and the DBA_LOGSTDBY_SKIP views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16269', 'PL/SQL procedure skipped due to failure on primary database', 'Because the PL/SQL procedure failed when executed on the primary database, it could not be executed on the standby database.', 'This informational statement is provided to record the event for diagnostic purposes. The failed PL/SQL procedure needs to be investigated to ensure it did not commit interesting data before it failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16270', 'PL/SQL procedure skipped due to unmaintained standby objects', 'Because the PL/SQL procedure manipulated objects not being maintained by the standby database, it was skipped.', 'No action necessary. This informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19255', 'XQST0035 - too many declarations of string in imported schemas', 'Two schemas were imported that defined the same name in the same symbol space and in the same scope.', 'Fix the schema imports to remove the name conflict.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19256', 'XQST0036 - missing type definitions in imported module', 'A module was imported, which contains references to type names that are not defined in the in-scope type definitions inside the module.', 'Fix the module definintion to include the in-scope type definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19258', 'XQST0038 - unsupported or duplicate default collation specified', 'The query prolog prolog either specified more than one default collation or the collation specified was not supported.', 'Remove the duplicate definition or specify a supported collation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19259', 'XQST0039 - duplicate parameter name string in function declaration', 'The function declaration contained more than one parameter with the same name.', 'Fix the function declaration to remove the duplicate parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19260', 'XQST0040 - invalid namespace node in element constructor', 'The content sequence in an element constructor contained a namespace node node following a node that was not a namespace node.', 'Remove the namespace node in the element constructor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19261', 'XQDY0041 - non empty URI in QName', 'The name expression in a computed processing instruction or computed namespace constructor returned a QName whose URI part was not empty.', 'Fix the processing instruction or computed namespace constructor to return the QName with an empty URI part.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19262', 'XQST0042 - namespace constructor not inside an element constructor', 'The enclosing expression of a computed namespace constructor was not a computed element constructor.', 'Fix the namespace constructor to be inside an element constructor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19263', 'XQST0043 - duplicate namespace prefix string', 'Two or more computed namespace constructors within the same computed element constructor attempted to bind the same namespace prefix.', 'Remove the duplicate namespace definitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19264', 'XQDY0044 - invalid namespace in attribute constructors', 'A computed attribute constructor returned a QName that is in the pre-defined XML namespace (corresponding to namespace prefix xmlns).', 'Change the namespace for the computed attribute constructor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19265', 'XQST0045 - invalid or unknown prefix string in function declaration', 'The declared function name in a function declaration had no namespace prefix or had one of the predefined namespace prefixes other than local.', 'Fix the function declaration to have the correct prefix.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19266', 'XQST0046 - invalid URI', 'The given URI contained a lexical form that was not valid according to the definition of xs:anyURI in XML Schema.', 'Fix the URI.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19267', 'module string not found', 'The module with the given target URI could not be found.', 'Fix the prolog to import only available modules.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19268', 'XQST0048 - namespace string does not match target namespace string', 'The module contained a function or variable whose namespace did not match the target namespace of the module.', 'Fix the namespace of the function or variable to match the target namespace of the module.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19269', 'XQST0049 - variable string defined multiple times', 'The module defined or imported the same variable multiple times.', 'Fix the import or the module definition to remove duplicate definitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19270', 'XPDY0050 - treat failed - expected string got string', 'The type of the operand to the treat expression did not match the required type.', 'Fix the input operand to be of the correct type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19271', 'XPST0051 - invalid atomic type definition', 'The QName used as an AtomicType in a SequenceType was not defined in the in-scope type definitions as an atomic type.', 'Use the correct atomic type name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19272', 'XQDY0052 - invalid atomic value in attribute or element constructor', 'The content of the element or attribute constructor included an atomic value that could not be cast into a string.', 'Fix the content to contain atomic values that can be cast to a string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19273', 'XQST0053 - empty string in namespace declaration', 'An empty string was used in a namespace declaration.', 'Fix the namespace declaration to have a non-empty string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19274', 'XQST0054 - variable initialization failed due to circularity', 'A circular definition was encountered when the variable was initialized.', 'Remove the circularity in the initialization.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19275', 'XQST0055 - schema path string not found in list of in-scope schema definitions', 'The ElementTest specified a schema path that could not be found in the list of in-scope schema definitions.', 'Include the appropriate schema that can be used to resolve the ElementTest.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22163', 'left hand and right hand side collections are not of same type', 'Left hand and right side collections are not of same type.', 'Ensure that the same collection type is passed for both left hand and right hand side of this function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22164', 'delete element operation is not allowed for variable-length array', 'Trying to delete an element of a variable-length array.', 'Ensure that the collection is not a variable-length array prior to calling this function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22165', 'given index [string] must be in the range of [string] to [string]', 'Given index is not in the required range.', 'Ensure that the given index is in the required range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22166', 'collection is empty', 'Given collection is empty.', 'Test if collection is empty prior to invoking this function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22167', 'given trim size [string] must be less than or equal to [string]', 'Given trim size is greater than the current collection size.', 'Ensure that the given size is less than or equal to the collection size prior to calling this function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22275', 'invalid LOB locator specified', 'There are several causes: (1) the LOB locator was never initialized; (2) the locator is for a BFILE and the routine expects a BLOB/CLOB/NCLOB locator; (3) the locator is for a BLOB/CLOB/NCLOB and the routine expects a BFILE locator; (4) trying to update the LOB in a trigger body -- LOBs in trigger bodies are read only; (5) the locator is for a BFILE/BLOB and the routine expects a CLOB/NCLOB locator; (6) the locator is for a CLOB/NCLOB and the routine expects a BFILE/BLOB locator;', 'For (1), initialize the LOB locator by selecting into the locator variable or by setting the LOB locator to empty. For (2),(3), (5) and (6)pass the correct type of locator into the routine. For (4), remove the trigger body code that updates the LOB value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22276', 'invalid locator for LOB buffering', 'There are several causes: (1) the locator was never enabled for buffering (2) it is not an updated locator but is being used for a write/flush operation', 'For (1) enable the locator for buffering; (2) ensure that only an updated locator is used for a LOB update operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22277', 'cannot use two different locators to modify the same LOB', 'LOB buffering is enabled and an attempt was made to modify the LOB using two different LOB locators.', 'When using LOB buffering, modify the LOB through one LOB locator only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22278', 'must update the LOB only through the LOB buffers', 'LOB buffering is enabled for this LOB and there are buffers for this LOB in the buffer pool. Thus, updating the LOB through means other than the LOB buffers is not allowed.', 'Update the LOB through the LOB buffers using the locator that has LOB buffering enabled. If this operation is required, buffers associated with this LOB should either be flushed as necessary or buffering should be disabled. Once this is done, reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22279', 'cannot perform operation with LOB buffering enabled', 'The operation attempted is not allowed when LOB buffering is enabled.', 'If the operation is required, LOB buffering should not be used. In this case, flush buffers associated with the input LOB locator as necessary, disable buffering on the input LOB locator and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22280', 'no more buffers available for operation', 'There are two causes: (1) All buffers in the buffer pool have been used up by previous operations (2) Attempt to flush a LOB without any previous buffered update operations.', 'For (1), flush the LOB(s) through the locator that is being used to update the LOB. For (2), write to the LOB through a locator enabled for buffering before attempting to flush buffers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22281', 'cannot perform operation with an updated locator', 'The input locator has buffering enabled and was used to update the LOB value through the LOB buffering subsystem. The modified buffer has not been flushed since the write that was performed by the the input locator; thus, the input locator is considered an updated locator. Updated locators cannot be the source of a copy operation. Only one locator per LOB may be used to modify the LOB value through the LOB buffering subsystem.', 'Depending on whether the modifications made through the input locator to the LOB buffering subsystem should be written to the server, either flush the buffer to write the modifications, or, disable buffering on the locator to discard the modifications. Then, reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22282', 'non-contiguous append to a buffering enabled LOB not allowed', 'The buffered write operation has an input offset value more than one byte or character past the end of the LOB.', 'Specify an input offset value which is exactly one character or byte greater than the length of the LOB that you are attempting to update through a buffered write operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22283', 'filename contains characters that refer to parent directory', 'Filename contains a path "../" which references a parent directory', 'Ensure that the filename does not contain characters which reference a parent directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22285', 'non-existent directory or file for string operation', 'Attempted to access a directory that does not exist, or attempted to access a file in a directory that does not exist.', 'Ensure that a system object corresponding to the specified directory exists in the database dictionary, or make sure the name is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22286', 'insufficient privileges on file or directory to perform string operation', 'The user does not have the necessary access privileges on the directory alias and/or the file for the operation.', 'Ask the database/system administrator to grant the required privileges on the directory alias and/or the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22287', 'invalid or modified directory occurred during string operation', 'The directory alias used for the current operation is not valid if being accessed for the first time, or has been modified by the DBA since the last access.', 'If you are accessing this directory for the first time, provide a valid directory name. If you have been already successful in opening a file under this directory before this error occured, then close the file and retry the operation with a valid directory alias as modified by your DBA. Oracle recommends that directories should be modified only during quiescent periods.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22288', 'file or LOB operation string failed string', 'The operation attempted on the file or LOB failed.', 'See the next error message in the error stack for more detailed information. Also, verify that the file or LOB exists and that the necessary privileges are set for the specified operation. If the error still persists, report the error to the DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22289', 'cannot perform string operation on an unopened file or LOB', 'The file or LOB is not open for the required operation to be performed.', 'Precede the current operation with a successful open operation on the file or LOB.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22290', 'operation would exceed the maximum number of opened files or LOBs', 'The number of open files or LOBs has reached the maximum limit.', 'Close some of the opened files or LOBs and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22291', 'Open LOBs exist at transaction commit time', 'An attempt was made to commit a transaction with open LOBs at transaction commit time.', 'Close the LOBs before committing the transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24032', 'object string exists, index could not be created for queue table string', 'Oracle AQ tried to create an index with the name specified in the error message. The index could not be created for the specified queue table because a object exists with the same name.', 'Drop the object specified in the error message and retry the command. You can also choose a different name for the queue table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24033', 'no recipients for message', 'An enqueue was performed on a queue that has been set up for multiple dequeuers but there were neither explicit recipients specified in the call nor were any queue subscribers determined to be recipients for this message.', 'Either pass a list of recipients in the enqueue call or add subscribers to the queue for receiving this message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24034', 'application string is already a subscriber for queue string', 'An application name that was already a subscriber for the queue was specified in the dbms_aq.subscribe call.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24035', 'AQ agent string is not a subscriber for queue string', 'An AQ agent that was not a subscriber for the queue was specified.', 'Check the name and/or address of the agent and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24036', 'invalid SORT_ORDER column string specified for queue table', 'The create queue table command was issued with message_grouping set to TRANSACTIONAL and a sort order column other than priority. Only the priority column can be specified in the sort order for queue tables with transactional grouping.', 'Change the sort order list in the create queue table command and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24037', 'schema string in QUEUE_NAME is not same as schema string in QUEUE_TABLE', 'The schema specified in the QUEUE_NAME parameter of CREATE_QUEUE is not the same as the schema specified in the QUEUE_TABLE parameter.', 'Use the same schema name for both the QUEUE_NAME and QUEUE_TABLE parameters and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24038', 'RETRY_DELAY and MAX_RETRIES cannot be used for a 8.0 compatible multiple consumer queue', 'The CREATE_QUEUE or ALTER_QUEUE command was issued with a non-zero RETRY_DELAY and a QUEUE_TABLE that was created for multiple consumers and with COMPATIBLE parameter set to ''8.0''.', 'Either set the RETRY_DELAY to zero or upgrade the queue table to 8.1 compatible using the DBMS_AQADM.MIGRATE_QUEUE_TABLE procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24039', 'Queue string not created in queue table for multiple consumers', 'Either an ADD_SUBSCRIBER, ALTER_SUBSCRIBER, or REMOVE_SUBSCRIBER procedure, or an ENQUEUE with a non-empty recipient list, was issued on a queue that was not created for multiple consumers.', 'Create the queue in a queue table that was created for multiple consumers and retry the call. NLS_DO_NOT_TRANSLATE [24040,24040]', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24041', 'propagation schedule exists for QUEUE string and DESTINATION string', 'A SCHEDULE_PROPAGATION was issued for a queue and destination pair which has an existing propagation schedule.', 'Issue UNSCHEDULE_PROPAGATION to remove the existing schedule and then reissue the SCHEDULE_PROPAGATION call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24042', 'no propagation schedule exists for QUEUE string and DESTINATION string', 'AN UNSCHEDULE_PROPAGATION was issued for a queue and destination pair which has no existing propagation schedule.', 'Verify the spelling of the specified QUEUE and DESTINATION and then reissue the call with the correct spelling.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24043', 'destination string uses a reserved name, names with AQ$_ prefix are not valid', 'An attempt was made to specify a reserved name for a destination.', 'Enter a different value or NULL for the local destination. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24044', 'source string and destination string object types do not match', 'A message recipient''s queue has a different object structure than the sender''s queue. The message cannot be propagated.', 'Either remove the recipient from the subscriber''s list for the sender''s queue or create the destination queue with an object type that matches the source queue''s object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24045', 'invalid agent address string, agent address should be of the form [SCHEMA.]NAME[@DATABASE LINK]', 'An invalid value was specified for the agent address parameter.', 'Specify a string of the form [SCHEMA.]NAME[@DATABASE LINK].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24046', 'protocol attribute reserved for future use', 'The protocol attribute of the AQ agent object type is reserved for future use.', 'Do not specify the protocol attribute in the agent object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24047', 'invalid agent name string, agent name should be of the form NAME', 'An invalid value was specified for the agent name parameter.', 'Specify a string of the form NAME. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24048', 'cannot create QUEUE_TABLE, user does not have access to AQ object types', 'An attempt was made to issue the CREATE_QUEUE_TABLE command, but the user who issued the command does not have access to internal AQ object types.', 'Use the DBMS_AQADM.GRANT_TYPE_ACCESS procedure to grant the user access to the AQ object types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24049', 'invalid agent name string, names with AQ$_ prefix are not valid', 'An attempt was made to use a reserved prefix in the agent name.', 'Enter a different value for the agent name. Then, retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24050', 'subscribers are not supported for exception queue string', 'An ADD_SUBSCRIBER, ALTER_SUBSCRIBER, or REMOVE_SUBSCRIBER procedure was issued on a queue that was created as an EXCEPTION_QUEUE.', 'Specify a NORMAL_QUEUE in the procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24051', 'cannot propagate object type payloads that have a REF attribute', 'An ADD_SUBSCRIBER or ENQUEUE procedure with a non-NULL address field in the agent type was issued on a queue whose payload has a REF attribute. Propagation of object type payloads that have a REF attribute currently is not supported.', 'Specify an agent with a NULL address field so that the agent can dequeue from the same queue. Or, change the object type definition to one that does not use REF attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24052', 'cannot propagate object type payloads with LOB attributes to an 8.0 release', 'The recipient of a message with LOB attributes was using an Oracle 8.0 release. Propagation of LOB attributes is supported only in Oracle 8.1 and higher releases.', 'Upgrade the target release to Oracle 8.1 and retry. Or, change the object type definition to one that does not use LOBs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24053', 'PRIMARY_INSTANCE and SECONDARY_INSTANCE must be non-negative', 'One of PRIMARY_INSTANCE or SECONDARY_INSTANCE was negative.', 'Specify non-negative integers for PRIMARY_INSTANCE and SECONDARY_INSTANCE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24054', 'cannot propagate to an Oracle 8.0.3 release or lower release', 'The recipient of a message was using an Oracle 8.0.3 release or lower release. Propagation is supported only in Oracle 8.0.4 and higher releases.', 'Upgrade the target release to Oracle 8.0.4 or higher and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24055', 'cannot delete propagation status rows that are in prepared state', 'An attempt was made to use the internal administration procedure to delete status rows from the SYS.AQ$_PROPAGATION_STATUS table that were in the prepared state.', 'Wait for the propagation to complete successfully before retrying the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24056', 'internal inconsistency for QUEUE string and destination string', 'The sequence numbers used in the SYS.AQ$_PROPAGATION_STATUS table were inconsistent for the given queue and destination.', 'Contact Oracle Worldwide Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12924', 'tablespace string is already in force logging mode', 'An attempt to alter the specified tablespace into force logging mode failed because it is already in force logging mode.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12925', 'tablespace string is not in force logging mode', 'An attempt to alter the specified tablespace out of force logging mode failed because it is not in force logging mode.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12926', 'FORCE LOGGING option already specified', 'In CREATE TABLESPACE, the FORCE LOGGING option was specified more than once.', 'Remove all but one of the FORCE LOGGING options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12927', 'RETENTION option already specified', 'In CREATE TABLESPACE, the RETENTION option was specified more than once.', 'Remove all but one of the RETENTION options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12928', 'ENCRYPTION option already specified', 'In CREATE TABLESPACE, the ENCRYPTION option was specified more than once.', 'Remove all but one of the ENCRYPTION options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12940', 'Not enough space in DBVerify text buffer', 'DBVerify ran out of text buffer. The error was trapped internally by the system. DBVerify would return the result in text buffer and then resume checking.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12941', 'DBVerify exception', 'DBVerify encountered run-time error. The error signal was trapped internally by the system.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12950', 'SYSTEM tablespace specified as default permanent tablespace', 'SYSTEM tablespace was specified as the default permanent during database creation.', 'If default permanent tablespace is not specified,then SYSTEM will implicitly become the default permanent tablespace. Specify an alternate tablespace or omit the default tablespace clause and reissue the CREATE DATABASE statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12951', 'Attempt to change default permanent tablespace to temporary', 'It is incorrect to alter the default permanent tablespace of a database to temporary type', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12980', 'checkpoint option not allowed with SET UNUSED', 'An attempt was made to specify checkpoint option with SET UNUSED.', 'Remove checkpoint option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12981', 'cannot drop column from an object type table', 'An attempt was made to drop a column from an object type table.', 'This action is not allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12982', 'cannot drop column from a nested table', 'An attempt was made to drop a column from a nested table.', 'This action is not allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12983', 'cannot drop all columns in a table', 'An attempt was made to drop all columns in a table.', 'Make sure at least one column remains in the table after the drop column operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12984', 'cannot drop partitioning column', 'An attempt was made to drop a column used as the partitioning key.', 'This action is not allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12985', 'tablespace ''string'' is read only, cannot drop column', 'An attempt was made to drop column from a partition/subpartition on a read only tablespace.', 'Set the tablespace to read write and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13136', 'null common code generated', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13137', 'failed to generate tablespace sequence number', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13138', 'could not determine name of object string', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13139', 'could not obtain column definition for string', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13140', 'invalid target type', 'The specified target type is not valid.', 'Substitute a valid target type. Valid target types are TABLE and VIEW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13141', 'invalid RANGE window definition', 'The RANGE window specified is not correctly defined.', 'A RANGE window is defined by specifying the lower and upper boundary of each dimension as a pair of values (e.g.: lower_bound1,upper_bound1,lower_bound2,upper_bound2,...). There should be an even number of values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13142', 'invalid PROXIMITY window definition', 'The PROXIMITY window specified is not correctly defined.', 'A PROXIMITY window is defined by specifying a center point and a radius. The center point is defined by ND values. There should be ND+1 values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13143', 'invalid POLYGON window definition', 'The POLYGON window specified is not correctly defined.', 'A POLYGON window is defined by specifying N pairs of values that represent the vertices of the polygon. There should be an even number of values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13144', 'target table string not found', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13145', 'failed to generate range list', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13146', 'could not find table substitution variable string', 'The partition name substitution variable %s was not found in the SQL filter.', 'The substitution variable %s must be in the SQL filter to indicate where that partition name should be placed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13147', 'failed to generate MBR', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13148', 'failed to generate SQL filter', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13149', 'failed to generate next sequence number for spatial table string', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13150', 'failed to insert exception record', 'Operation failed to insert a record into the exception table.', 'Fix any other errors reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13151', 'failed to remove exception record', 'Operation failed to remove a record from the exception table.', 'Fix any other errors reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13152', 'invalid HHCODE type', 'Specified HHCODE type is not valid.', 'Substitute a valid HHCODE type. Valid HHCODE types are POINT and LINE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13153', 'invalid high water mark specified', 'The high water mark must be greater than or equal to zero.', 'Make sure that the high water mark is an integer greater than or equal to zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13154', 'invalid precision specified', 'The precision specified is out of range.', 'The precision must be an integer greater than or equal to zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13155', 'invalid number of dimensions specified', 'The number of dimensions specified is out of range.', 'The number of dimension must be between 1 and 32.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13156', 'table to be registered string.string is not empty', 'The specified table has rows in it.', 'Make sure that the table to be registered is empty.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13157', 'Oracle error ORAstring encountered while string', 'The specified Oracle error was encountered.', 'Correct the Oracle error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13158', 'Oracle object string does not exist', 'The specified object does not exist.', 'Verify that the specified object exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13159', 'Oracle table string already exists', 'The specified table already exists.', 'Drop the specified table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13181', 'unable to determine length of column string_SDOINDEX.SDO_CODE', 'The length of the SDO_CODE column in the <layer>_SDOINDEX table could not be determined.', 'Make sure that the <layer>_SDOINDEX table exists with the SDO_CODE column. Verify that the appropriate privileges exist on the table. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13182', 'failed to read element string.string.string', 'The specified element could not be read from the <layer>_SDOGEOM table.', 'Verify that the specified element exists in the table. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13183', 'unsupported geometric type for geometry string.string', 'The geometry type in the <layer>_SDOGEOM table is unsupported.', 'Modify the geometry type to be one of the supported types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19276', 'XPST0005 - XPath step specifies an invalid element/attribute name: (string)', 'The XPath step specified invalid element or attribute name that did not match any nodes according to the input XML schema or structure.', 'Correct the element or attribute name as the name may be mis-spelled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19277', 'XPST0005 - XPath step specifies an item type matching no node: (string)', 'The XPath step specified an item type that did not match any nodes according to the input XML schema or structure.', 'Correct the item type defintion as node of such type does not exit in the input XML schema or structure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19278', 'Invalid value: (string) for type: (string)', 'The value was invalid for the type.', 'Correct the value or change the type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19279', 'XPTY0004 - XQuery dynamic type mismatch: expected singleton sequence - got multi-item sequence', 'The XQuery sequence passed in had more than one item.', 'Correct the XQuery expression to return a single item sequence.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19280', 'XQuery dynamic type mismatch: expected atomic value - got node', 'A node was passed in to the expression where an atomic value was expected.', 'Correct the XQuery expression to return an atomic value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19281', 'XQST0055 - It is a static error if a Prolog contains more than one copy-namespaces declaration', 'The query prolog contained multiple copy-namespaces declarations.', 'Remove the duplicate copy-namespaces declarations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19282', 'XQST0068 - It is a static error if a Prolog contains more than one xmlspace declaration', 'The query prolog contained multiple xmlspace declarations.', 'Remove the duplicate xmlspace declarations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19283', 'XQST0031 - It is a static error if the version number specified in a version declaration is not supported by the implementation.', 'The query contained a version declaration not supported by this implementation.', 'Change the version declaration to 1.0 which is the version supported by this implementation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19284', 'Encoding specification in version declaration not supported', 'The query contained an encoding specification.', 'Remove the encoding specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19285', 'FODC0002 - error retrieving resource', 'The URI provided could not be resolved to a valid resource.', 'Provide a valid URI for a resource.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19286', 'XPST0017 - unable to resolve call to function - string', 'The name and arity of the function call given could not be matched with any in-scope function in the static context.', 'Fix the name of the function or the number of parameters to match the list of in-scope functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19287', 'XPST0017 - invalid number of arguments to function - string:string', 'The name and arity of the function call given could not be matched with any in-scope function in the static context.', 'Fix the name of the function or the number of parameters to match the list of in-scope functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19288', 'XPST0017 - invalid number of arguments to function - string', 'The name and arity of the function call given could not be matched with any in-scope function in the static context.', 'Fix the name of the function or the number of parameters to match the list of in-scope functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19289', 'XQST0034 - function string:string declared or defined multiple times', 'Multiple functions declared or imported by a module had the same expanded QName and the same number of arguments.', 'Fix the function declaraction or definition to remove duplicates.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19290', 'XQST0069 - more than one empty order declaration declared in the prolog', 'A prolog had more than one empty order declaration.', 'Fix the prolog to have just one empty order declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19291', 'XPST0081 - specified QName cannot be expanded into a namespace URI', 'The namespace prefix of the QName could not be expanded into a namespace URI by using the statically known namespaces.', 'Use a namespace prefix that can be resolved into a namespace URI from the statically known namespaces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19292', 'XQST0057: It is a static error if a schema import binds a namespace prefix but does not specify a target namespace other than a zero-length string', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19293', 'XQST0058: It is a static error if multiple schema imports specify the same target namespace', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19294', 'XQST0059: It is a static error if an implementation is unable to process a schema or module import by finding a schema or module with the specified target namespace', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19295', 'XQST0060: It is a static error if the name of a function in a function declaration is not in a namespace (expanded QName has a null namespace URI)', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19296', 'XQDY0061: It is a dynamic error if the operand of a validate expression is a document node whose children do not consist of exactly one element node and zero or more comment and processing instruction nodes, in any order', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19297', 'XQDY0064: It is a dynamic error if the value of the name expression in a computed processing instruction constructor is equal to "XML" (in any combination of upper and lower case', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19298', 'XQST0065: A static error is raised if a Prolog contains more than one ordering mode declaration', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19299', 'XQST0066: A static error is raised if a Prolog contains more than one default element/type namespace declaration, or more than one default function namespace declaration', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19300', 'Error occurred in uri processingstring', 'An error occurred when processing the URL', 'Check the given error message and fix the appropriate problem', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19320', 'Host name not specified in HTTP URL', 'A host name was not specified in the HTTP url', 'Specify a host name in the HTTP url when creating the URL string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19321', 'Could not open HTTP connection to host (string): port (string)', 'A HTTP connection could not be opened to the host', 'Specify a valid host name and port to connect to', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19322', 'An error occurred while reading from host (string): port (string)', 'An error occurred while reading from the HTTP host', 'Specify a valid host name and port to read from', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19323', 'Invalid url string', 'The URL must be a valid URL string', 'Specify a valid url string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19581', 'no files have been named', 'An attempt was made to proceed from the file naming phase to the piece processing phase of a backup or restore conversation before any files have been specified for backup or restore.', 'Specify some files then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22292', 'Cannot open a LOB in read-write mode without a transaction', 'An attempt was made to open a LOB in read-write mode before a transaction was started.', 'Start a transaction before opening the LOB in read-write mode. Ways to start a transaction include issuing a SQL DML or SELECT FOR UPDATE command. Opening hte LOB in read-only mode does not require a transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22293', 'LOB already opened in the same transaction', 'An attempt was made to open a LOB that already is open in this transaction.', 'Close the LOB before attempting to re-open it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22294', 'cannot update a LOB opened in read-only mode', 'An attempt was made to write to or update a LOB opened in read-only mode.', 'Close the LOB and re-open it in read-write mode before attempting to write to or update the LOB.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22295', 'cannot bind more than 4000 bytes data to LOB and LONG columns in 1 statement', 'An attempt was made to bind data more than 4000 bytes of data to both LOB and LONG columns in the same insert or update statement. You can bind more than 4000 bytes of data to either a LONG column or one or more LOB columns but not both.', 'Bind more than 4000 bytes of data to either the LONG column or one or more LOB columns but not both.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22314', 'method information mismatch in ALTER TYPE', 'The number of methods or the method signature do not match that of the original type declaration. This is not supported.', 'Make sure the method signature stay identical for the previously declared method. Do not drop existing methods.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22315', 'type "string" does not contain a map or order function', 'The input type does not contain a map or order function so one cannot be returned.', 'Add a map or order function to the type or catch this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22316', 'input type is not a collection type', 'The user is trying to obtain information for collection types on a non-named collection type.', 'Use a named collection type for the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22317', 'typecode number is not legal as a number type', 'The user is trying to use a number typecode that is not valid.', 'Use only OCI_TYPECODE_SMALLINT, OCI_TYPECODE_INTEGER, OCI_TYPECODE_REAL, OCI_TYPECODE_DOUBLE, OCI_TYPECODE_FLOAT, OCI_TYPECODE_NUMBER, or OCI_TYPECODE_DECIMAL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22318', 'input type is not an array type', 'The user is trying to obtain the number of elements for a non-array type.', 'Pass in only a named collection type which is an array.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22319', 'type attribute information altered in ALTER TYPE', 'The type attribute information does not match that of the original type declaration when altering type. Attributes cannot be altered during ALTER TYPE. Only new methods can be added.', 'Check that all type alterations are legal.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22320', 'missing user version string', 'The VERSION option is specified without a user version string.', 'Resubmit the statement with the version string following the VERSION keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22321', 'method does not return any result', 'OCITypeResult() was called on a method that does not return any results.', 'Check that you are passing in the correct method descriptor, or that your method creation was done correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22322', 'error table "string"."string" has incorrect structure', 'The specified error table does not have the expected table structure.', 'Execute the DBMS_UTILITY.CREATE_ALTER_TYPE_ERROR_TABLE procedure to create an error table, then resubmit the statement using the new error table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22323', 'error table "string"."string" does not exist', 'The error table does not exist.', 'Resubmit the statement with a correct error table name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22324', 'altered type has compilation errors', 'The use of the ALTER TYPE statement caused a compilation error.', 'Correct the error reported and resubmit the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22326', 'cannot change a type to FINAL if it has subtypes', 'An attempt was made to change a type with subtypes to FINAL.', 'Drop all subtypes of the target type before changing it to FINAL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22327', 'cannot change a type to NOT INSTANTIABLE if it has dependent tables', 'An attempt was made to change a type with dependent tables to NOT INSTANTIABLE.', 'Drop all dependent tables of the target type and resubmit the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22328', 'object "string"."string" has errors. string', 'Altering the target type causes errors in its dependent object.', 'Correct the problem in the dependent object and resubmit the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22329', 'cannot alter a non-object type', 'An attempt was made to execute ALTER TYPE on a non-object type.', 'Drop the non-object type first, then re-create it as an object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22330', 'cannot alter a type that is not valid', 'An attempt was made to perform ALTER TYPE on an invalid type.', 'Use the CREATE OR REPLACE TYPE command to modify the type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22331', 'cannot alter an incomplete type', 'An attempt was made to perform ALTER TYPE on an incomplete type.', 'Use CREATE TYPE to completely define the original type before executing the ALTER TYPE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22332', 'a dependent object in schema "string" has errors. string', 'Altering the target type causes errors in its dependent object.', 'Correct the problem in the dependent object and resubmit the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22333', 'cannot reset type "string"."string" due to invalid dependent types and tables', 'An attempt was made to reset the type version with invalid dependent types and tables.', 'Use the ALTER TYPE COMPILE statement to compile all invalid dependent types and use the ALTER TABLE UPGRADE INCLUDING DATA to upgrade all the dependent tables then resubmit the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22334', 'cannot reset type "string"."string". Dependent tables must be upgraded to latest version', 'An attempt was made to reset the type version when the data in the dependent table has not been upgraded to the latest type version.', 'Use the ALTER TABLE UPGRADE INCLUDING DATA statement to upgrade the data in the dependent tables then resubmit the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22335', 'The client cannot work with an altered type', 'A pre 8.2 client has requested a type that has been altered on the server.', 'Only 8.2 or higher clients could access altered types', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22336', 'table contained 8.0 image format, must specify INCLUDING DATA', 'One of the following: 1) An attempt was made to alter a type with a dependent table in 8.0 image format and the NOT INCLUDING TABLE DATA option was specified. 2) An attempt was made to upgrade a table in 8.0 image format with the NOT INCLUDING DATA option specified.', 'Resubmit the statement with INCLUDING DATA option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22337', 'the type of accessed object has been evolved', 'The type of the accessed object has been altered and the client''s object is based on an earlier type definition.', 'The user needs to exit application and modify application to accommodate the type change. From SQL/PLUS, reconnect and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22338', 'must specify CASCADE INCLUDING DATA when altering the final property', 'An attempt was made to alter the final property of a type with dependent table(s) without specifying the CASCADE INCLUDING DATA . option.', 'Resubmit the statement with the CASCADE INCLUDING DATA option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19171', 'FORG0007: invalid argument to aggregate function', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19172', 'FORG0008: both arguments to fn:dateTime have a specified timezone', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19173', 'FORG0009: error in resolving a relative URI against a base URI in fn:resolve-uri', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19174', 'FORX0001: invalid regular expression flags', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19175', 'FORX0002: invalid regular expression', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19176', 'FORX0003: regular expression matches zero-length string', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19177', 'FORX0004: invalid replacement string', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19178', 'FOTY0001: type error', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19179', 'FOTY0011: Type error. Context item is not a node', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19180', 'FOTY0012: argument node does not have a typed value', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19181', 'FOTY0014: type exception', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19182', 'FORT0001: invalid number of parameters', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19183', 'FOTY0002: type definition not found', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19184', 'FOTY0021: invalid node type', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19185', 'FOAR0002: numeric operation overflow/unflow', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19186', 'FOCA0001: input value too large for decimal', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19187', 'FOCA0002: invalid lexical value', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19188', 'FOCA0003: input value too large for integer', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19189', 'FOCA0005: NaN supplied as float/double value', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19190', 'FOER0000: Unidentified error', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19191', 'FOAR0001: division by zero', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19192', 'XQST0047: It is a static error if multiple module imports in the same Prolog specify the same target namespace', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19193', 'XQST0045: It is a static error if the function name in a function declaration is in one of the following namespaces: http://www.w3.org/XML/1998/namespace, http://www.w3.org/2001/XMLSchema, http://www.w3.org/2001/XMLSchema-instance, http://www.w3.org/2005/04/xpath-functions, http://www.w3.org/2005/04/xpath-datatypes', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19194', 'XQDY0026: It is a dynamic error if the result of the content expression of a computed processing instruction constructor contains the string "?>"', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19200', 'Invalid column specification', 'All input arguments must be valid columns', 'Specify a valid list of columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19201', 'Datatype not supported', 'The particular datatype is not supported in the XMLGEN operator', 'Specify only supported datatypes as arguments to the XMLGEN operator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19202', 'Error occurred in XML processingstring', 'An error occurred when processing the XML function', 'Check the given error message and fix the appropriate problem', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19203', 'Error occurred in DBMS_XMLGEN processingstring', 'An error occurred when processing the DBMS_XMLGEN functions', 'Check the given error message and fix the appropriate problem', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19204', 'Non-scalar value ''string'' is marked as XML attribute', 'Only scalar values (i.e. values which are not of object or collection type) can be marked as XML attribute,i.e. is prefixed by ''@''. In this case, a non-scalar value was prefixed with ''@''', 'Remove the ''@'' sign, or make the value a scalar.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19205', 'Attribute ''string'' qualifies a non-scalar value in the select list', 'The attribute immediately follows a value of object or collection type in the select list or type definition.', 'Remove the ''@'' sign, or make the previous value a scalar.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19206', 'Invalid value for query or REF CURSOR parameter', 'The queryString argument passed to DBMS_XMLGEN.newContext was not a valid query, or REF CURSOR.', 'Rewrite the query so that the queryString argument is a valid query or REF CURSOR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19207', 'scalar parameter string of XMLELEMENT cannot have an alias.', 'The scalar parameter to XMLELEMENT has been qualified with an alias.', 'Remove the AS clause of the scalar element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19208', 'parameter string of function string must be aliased', 'The indicated parameter of the XML generation function has not been aliased, although it is an expression.', 'Specify an alias for the expression using the AS clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19209', 'invalid or unsupported formatting argument', 'An invalid or unsupported formatting argument was supplied', 'Change the formatting argument to legal supported values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19210', 'column ''string'', specified to be a key or update column for DBMS_XMLSTORE, does not not exist in table ''string''', 'The column specified using setKeyColumn()/setUpdateColumn() did not exist in the table.', 'Change the column specified to be a column in the table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12831', 'Must COMMIT or ROLLBACK after executing INSERT with APPEND hint', 'After executing an INSERT statement with an APPEND hint, a command other than COMMIT or ROLLBACK was issued.', 'Execute COMMIT or ROLLBACK before issuing another SQL command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13184', 'failed to initialize tessellation package', 'Initialization of the tessellation package failed.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13185', 'failed to generate initial HHCODE', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13186', 'fixed tile size tessellation failed', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13188', 'cell decode failed', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13189', 'recursive SQL parse failed', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13190', 'recursive SQL fetch failed', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13191', 'failed to read SDO_ORDCNT value', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13192', 'failed to read number of element rows', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13193', 'failed to allocate space for geometry', 'There was insufficient memory to read the geometry from the database.', 'Validate the geometry. Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13194', 'failed to decode supercell', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13195', 'failed to generate maximum tile value', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13196', 'failed to compute supercell for element string.string.string', 'The system was unable to compute the minimum bounding HHCODE or supercell for the geometry.', 'Another error might accompany this error. Correct the accompanying error. Also, validate the geometry for correctness.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13197', 'element string.string.string is out of range', 'Tessellation did not generate any tiles for this element. This error could be caused if the geometry definition puts the geometry outside the domain defined in the <layer>_SDODIM table.', 'Verify that the geometry is valid and within the defined domain.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13198', 'Spatial error: string', 'Internal error in some Oracle Spatial stored procedure.', 'Record the sequence of procedure calls or events that preceded this error, and contact Oracle Support Services if the error message text does not clearly specify the cause of the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13199', 'string', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13200', 'internal error [string] in spatial indexing.', 'This is an internal error.', 'Contact Oracle Support Services with the exact error text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13201', 'invalid parameters supplied in CREATE INDEX statement', 'An error was encountered while trying to parse the parameters clause for the spatial CREATE INDEX statement.', 'Check the Oracle Spatial documentation for the number, syntax, and semantics of expected parameters for spatial index creation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13202', 'failed to create or insert into the SDO_INDEX_METADATA table', 'An error was encountered while trying to create the SDO_INDEX_METADATA table or insert data into it.', 'Verify that the current user has CREATE TABLE privilege and that the user has sufficient quota in the default or specified tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13203', 'failed to read USER_SDO_GEOM_METADATA view', 'An error encountered while trying to read the USER_SDO_GEOM_METADATA view.', 'Check that USER_SDO_GEOM_METADATA has an entry for the current geometry table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13204', 'failed to create spatial index table', 'An error was encountered while trying to create the index table.', 'Check that user has CREATE TABLE privilege in the current schema and that the user has sufficient quota in the default or specified tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13205', 'internal error while parsing spatial parameters', 'An internal error was encountered while parsing the spatial parameters.', 'Check that the parameters passed in the parameter string are all valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13206', 'internal error [string] while creating the spatial index', 'An internal error was encountered while creating the spatial index.', 'Contact Oracle Support Services with the exact error text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13207', 'incorrect use of the [string] operator', 'An error was encountered while evaluating the specified operator.', 'Check the parameters and the return type of the specified operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13208', 'internal error while evaluating [string] operator', 'An internal error was encountered.', 'Contact Oracle Support Services with the exact error text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13209', 'internal error while reading SDO_INDEX_METADATA table', 'An internal error was encountered while trying to read the SDO_INDEX_METADATA table.', 'Contact Oracle Support Services. Note this and accompanying error numbers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13210', 'error inserting data into the index table', 'An error was encountered while trying to insert data into the index table. Likely causes are: ' || '<p>' || '- Insufficient quota in the current tablespace' || '<p>' || '' || '<p>' || '- User does not appropriate privileges', 'Check the accompanying error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13211', 'failed to tessellate the window object', 'An internal error was encountered while trying to tessellate the window object.', 'Verify the geometric integrity of the window object using the VALIDATE_GEOMETRY_WITH_CONTEXT procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13212', 'failed to compare tile with the window object', 'The spatial relationship between a generated tile and the specified window object could not be determined.', 'This is an internal error. Verify the geometry using the VALIDATE_GEOMETRY_WITH_CONTEXT procedure. If the procedure does not return any errors, note any accompanying errors and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13213', 'failed to generate spatial index for window object', 'Another error, indicating the real cause of the problem, should accompany this error.', 'Correct any accompanying errors. If no accompanying error message appears, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13214', 'failed to compute supercell for window object', 'The system was unable to compute the minimum bounding tile or supercell for the geometry.', 'Another error might accompany this error. Correct the accompanying error. Also, validate the geometry for correctness.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13215', 'window object is out of range', 'Tessellation did not generate any tiles for this geometry. This error could be caused if the geometry definition puts the geometry outside the domain defined in the USER_SDO_GEOM_METADATA view.', 'Verify that the geometry is valid and within the defined domain.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13216', 'failed to update spatial index', 'Another error will accompany this message that will indicate the problem.', 'Correct any accompanying errors. If no accompanying error message appears, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19582', 'archived log file header validation for string failed', 'Archived log file header is corrupt and could not be validated.', 'Provide a valid archived log file and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19583', 'conversation terminated due to error', 'An error occurred which forced the termination of the current backup or restore conversation.', 'There should be other error messages to help identify the cause of the problem. Correct the error and begin another conversation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19584', 'file string already in use', 'The indicated file, which was specified as the target for a copy, restore, or delete operation is already in use by the database.', 'Specify a different name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19585', 'premature end of volume on piece string', 'While creating the indicated backup piece, an end-of-volume condition was encountered before all of the backup set control data was written to the backup piece. This is most likely a media error, because the amount of backup set control data is very small in relation to the total amount of data in a backup set.', 'Retry the piece with a larger piece of output media.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19586', 'string k-byte limit is too small to hold piece directory', 'The user-specified limit of k-bytes per backup piece is not enough to hold the backup set control data.', 'Use the SETLIMIT procedure to increase the k-byte limit and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19587', 'error occurred reading string bytes at block number string', 'An error occurred while reading from a file.', 'One or more other messages should be displayed to help pinpoint the cause of the error. Correct the error then retry the copy, backup, or restore operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19588', 'string RECID string STAMP string is no longer valid', 'The indicated record has been marked as deleted. This indicates that the corresponding file has either been overwritten by another copy or restore, or that the copy was ''consumed'' by a SWITCHTOCOPY operation.', 'If you know the name of the file you wish to copy, then inspect it and then retry the copy specifying the new RECID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19589', 'string is not a snapshot or backup control file', 'The control file that is the source for a backup or copy operation is not a snapshot or backup control file.', 'Specify the name of a snapshot or backup control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19590', 'conversation already active', 'You tried to begin a backup or restore conversation, but another conversation is already active in this session.', 'Either continue the current conversation, or call BACKUPCANCEL or RESTORECANCEL to end the current conversation before starting a new one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19591', 'backup aborted because job time exceeded duration time', 'You tried to backup with duration option and the time provided was not sufficient to complete the backup.', 'Adjust the duration time and re-run the command. Or run the backup command without duration option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19592', 'wrong string conversation type', 'You attempted to specify a type of file to be backed-up or restored, but the current conversation cannot process this type of file. For example, you specified an archived log to be included in a datafile backup set. The specified file will not be included in the backup or restore operation.', 'No action required - the conversation is still active, and more files can be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19593', 'datafile number string already included as string', 'This datafile is already specified for inclusion in this backup or restore conversation. A backup or restore conversation may process only a single instance of a datafile.', 'No action required - the conversation is still active, and more files can be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19594', 'control file already included as string', 'The control file is already specified for inclusion in this backup or restore conversation. A backup or restore conversation may process only a single instance of the control file.', 'No action required - the conversation is still active, and more files can be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19595', 'archived log string already included in backup conversation', 'The indicated archived log has already been specified for inclusion in this backup conversation.', 'No action required - the conversation is still active, and more files can be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19596', 'SPFILE already included', 'The SPFILE is already specified for inclusion in this backup or restore conversation. A backup or restore conversation may process only a single instance of the SPFILE.', 'No action required - the conversation is still active, and more files can be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19597', 'file string block size string does not match set block size of string', 'A file was specified for inclusion in a backup set but it has a logical block size different from the rest of the files in the backup set. All files in a backup set must have the same logical block size.', 'Specify a file that has the same block size as the rest of the files in the backup set. The conversation is still active and more files can be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19598', 'can not backup SPFILE because the instance was not started with SPFILE', 'A backup command requested a backup of the SPFILE, but no SPFILE was used to startup the instance.', 'Create an SPFILE and re-start the instance using the SPFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19599', 'block number string is corrupt in string string', 'A corrupt block was found in a control file, archived log, or backup piece that is being read for a backup or copy. Corruption shall not be tolerated in control files, archived logs, or backup pieces.', 'None. The copy or backup operation fails. Note that in the case of a backup set, the conversation is still active and the piece may be retried.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19600', 'input file is string string (string)', 'This message identifies the input file for a failed copy operation. Both the file number and name (if the name has been determined) are shown. For a datafile, the file number refers to the datafile''s absolute file number as shown in the DBA_DATA_FILES view. For a datafile copy, the file number refers to the copy''s control file record number as shown in the RECID column of the V$DATAFILE_COPY view. For an archived log, the file number refers to the log''s control file record number as shown in the RECID column of the V$ARCHIVED_LOG view.', 'See other error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19601', 'output file is string string (string)', 'This message identifies the output file for a failed copy operation. The fields are as described in message 19600. When creating a new datafile copy, its control file record number may not have been determined when the message is printed. In that case, the record number shown is zero.', 'See other error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19602', 'cannot backup or copy active file in NOARCHIVELOG mode', 'You tried to copy or backup a file that was not closed cleanly, and the database was in NOARCHIVELOG mode. This is not allowed because when restored, the file will require redo application before it is usable, and redo is not currently being saved beyond the contents of the online redo logs.', 'Take the tablespace offline clean or close the database and retry the copy or backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22339', 'cannot alter to not final since its attribute column is substitutable', 'An attempt was made to alter a type to not final when its embedded attribute is defined as substitutable in some tables. Note, this is a restriction in 9.0 version because when a type is altered to not final, column of that type is set to not substitutable at all levels; thus, it is an error if one of its embedded attribute column is already marked substitutable.', 'Recreate the table and specify NOT SUBSTITUTABLE AT ALL LEVELS for all columns of non final type. Then resubmit the ALTER TYPE statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22340', 'cannot string type "string"."string". Dependent tables must be upgraded to latest version', 'An attempt was made to reset the version, drop or alter a type when the data in dependent table has not been upgraded to the latest version.', 'Use the ALTER TABLE UPGRADE INCLUDING DATA statement to upgrade the data in the dependent tables then resubmit the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22341', 'cannot assign supertype instance to subtype', 'An attempt was made to assign or copy a supertype instance to a container (destination) that can only hold a subtype instance.', 'Make sure the runtime type of the source of the assignment or copy is the same type as the destination or is a subtype of the destination type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22342', 'dependent VARRAY column exceeds the maximum inline column size', 'An attempt was made to alter a type (add or modify attribute) which causes the size of its dependent VARRAY column to exceed the maximum inline column size. However, the VARRAY column was not specified to be stored as LOB at the table level when the table was created.', 'Specify the VARRAY column to be stored as LOB at the table level when the table is created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22343', 'Compilation error for type invalidated by ALTER TYPE', 'Compilation failed for a type which was invalidated by ALTER TYPE. We throw this error and rollback the compilation effort so that the user may be able to fix whatever is causing the compilation error and try again. It is important that we do not chnage status here and modify the dependency information as this will affect the creation of versions.', 'Check what is causing teh compilation error and correct it and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22344', 'can not specify CONVERT TO SUBSTITUTABLE option for ALTER TYPE other than NOT FINAL change', 'An attempt was made to specify CONVERT TO SUBSTITUTABLE option for ALTER TYPE other than NOT FINAL change.', 'Specify CONVERT TO SUBSTITUTABLE option only for ALTER TYPE NOT FINAL change.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22345', 'recompile type string.string before attempting this operation', 'An attempt was made to perform an operation which requires the specified datatype to be valid, but the datatype is invalid', 'Recompile the specified type and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22346', 'Type has cyclical dependency. Should use CASCADE option', 'An attempt was made to alter a type which has a cyclical dependency, with invalidate option.', 'Give CASCADE option instead of INVALIDATE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22347', 'No changes to type specified for ALTER TYPE', 'The ALTER TYPE does not contain any changes to the type.', 'If any change is required for the type, modify the ALTER TYPE to specify the change. Else no need for the ALTER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22369', 'invalid parameter encountered in method string', 'An invalid parameter is being passed to this method of SYS.AnyType ,SYS.AnyData or SYS.AnyDataSet', 'Check the parameters being passed to this method and make sure that the parameters are allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22370', 'incorrect usage of method string', 'This method of SYS.AnyType or SYS.AnyData or SYS.AnyDataSet is being used inappropriately.', 'Check the documentation for correct usage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22371', 'Table contains data of type string.string, version string, which does not exist', 'Some of the older versions of the type may have got deleted because one or more of the types it were referencing was dropped.', 'These data could not be read as the whole ADT. Read the data at individual scalar attribute level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22372', 'Event for type dictionary upgrade', 'This is an internally used event for type dictionary upgrades from 8.0 to 8.1.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22373', 'Older version hashcode encountered', 'An older version HC is encountered when creating a new version hahscode. Currently this is handled internally.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22600', 'encountered 8.0.2 (Beta) VARRAY data that cannot be processed', 'Production Oracle8 (8.0.3 and beyond) encounters some VARRAY data which was created and stored by Oracle8 8.0.2 (Beta 2). Production Oracle8 cannot understand or process such VARRAY data.', 'Delete the VARRAY data from the table by dropping the table, deleting the rows, or nulling out the VARRAY columns, and then re-insert the VARRAY data. There is no provided script or tool to help automate this conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22601', 'pickler TDS context [string] is not initialized', 'Attempt to use the pickler TDS context without initializing it.', 'Use OCIPicklerTdsCtxInit to initialize the context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22602', 'pickler TDS handle [string] is not well-formed', 'Attempt to use the pickler TDS handle without initializing/ constructing it.', 'Use OCIPicklerTdsInit to initialize the handle before it is constructed. Use OCIPicklerTdsGenerate to generate the TDS before its attributes can be accessed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22603', 'cannot add an attribute to the already generated TDS handle', 'Attempt to add an attribute to the already constructed TDS.', 'Use a TDS handle that is initialized but not yet constructed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22604', 'TDS handle already generated', 'Attempt to geneate TDS that is already genearated.', 'Use a TDS handle that is initialized but not yet generated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22605', 'FDO handle [string] is not initialized', 'Attempt to use an uninitialized FDO handle.', 'Use OCIPicklerFdoInit to initialize FDO handle".', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22606', 'pickler image handle [string] is not well-formed', 'Attempt to use the image handle without initializing/ constructing it.', 'Use OCIPicklerImageInit to initialize the handle before it is constructed. Use OCIPicklerImageGenerate to generate the image before its attributes can be accessed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22607', 'image handle already generated', 'Attempt to geneate image that is already genearated.', 'Use a image handle that is initialized but not yet generated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22608', 'cannot add an attribute to the already generated image handle', 'Attempt to add an attribute to the already constructed image.', 'Use a image handle that is initialized but not yet constructed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22609', 'error string during initialization of FDO', 'Error during FDO initialization.', 'Take an action based on the specified error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22610', 'error while adding a scalar to the image handle', 'Error while adding a scalar attribute to the image handle', 'Make sure image handle is initialized before adding scalar', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22611', 'TDS version is not recognized', 'Incorrect TDS handle is passed', 'Make sure image handle is initialized with the correct TDS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22612', 'TDS does not describe a collection TDS', 'collection construct/access routines are being on an image but the TDS does not describe that a collection TDS', 'Make sure a collection TDS is used before invoking collection routines on the image handle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22613', 'buflen does not match the size of the scalar', 'buflen is incorrect', 'Make sure buflen is correct and matches the size of the scalar', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19211', 'column ''string'', specified as key using DBMS_XMLSTORE.setKeyColumn() , must be of scalar type', 'The column specified using setKeyColumn() was a non-scalar type column.', 'Change the column specified to be a scalar column in the table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19212', 'no key columns specified before call to DBMS_XMLSTORE.updateXML()', 'No columns were specified as key columns before the call to DBMS_XMLSTORE.updateXML.', 'Use DBMS_XMLSTORE.setKeyColumn() to specify key columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19221', 'XPST0001 - XQuery static context component string not initialized', 'An unitialized static context component was encountered during the static analysis of the expression.', 'initialize the given static context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19222', 'XPDY0002 - XQuery dynamic context component string not initialized', 'An unitialized dynamic context component was encountered during the evaluation of the expression.', 'Initialize the particular dynamic context component.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19223', 'XPST0003 - syntax error in XQuery expression', 'The given XQuery expression contains syntax errors.', 'Fix the syntax error in the XQuery expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19224', 'XPTY0004 - XQuery static type mismatch: expected - string got - string', 'The expression could not be used because it''s static type is not appropriate for the context in which it was used.', 'Fix the expression to be of the required type or add appropriate cast functions around the expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19225', 'XPST0005 - XQuery static type error: expected non empty type got empty sequence', 'The static type assigned to an expression other than the () expression must not be the empty type.', 'Fix the expression so it does not return empty sequences.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19226', 'XPTY0006 - XQuery dynamic type mismatch: expected string got string', 'The expression could not be used because it''s dynamic type did not match the required type as specified by XQuery sequencetype matching rules.', 'Fix the expression to return the expected type or use appropriate cast functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19227', 'XPTY0007 - fn:data function is applied to a node (type (string)) whose type annotation denotes a complex type with non-mixed complex content.', 'The input node for atomization contained a type annotation that denoted a complex type with non-mixed complex content.', 'Fix the input expression to fn:data to be a node that does not contain non-mixed complex content.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19228', 'XPST0008 - undeclared identifier: prefix ''string'' local-name ''string''', 'The given identifier refers to either a type name, function name, namespace prefix, or variable name that is not defined in the static context.', 'Fix the expression to remove the identifier, or declare the appropriate variable, type, function or namespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19229', 'XQST0009 - schema import not supported', 'A schema import was encountered in the query.', 'remove the schema import.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19230', 'XPST0010 - unsupported axis string', 'An unsupported axis was encountered in the given expression.', 'Remove the unsupported axis from the expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19232', 'XQST0012 - imported schemas violate validity rules', 'The imported schemas did not satisfy the conditions for schema validity specified in the XMLSchema specification.', 'Fix the imported schemas to satisfy the validity rules.In particular, the definitions must be valid, complete, and unique -- that is, the pool of definitions must not contain two or more schema components with the same name and target namespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19233', 'XQST0013 - invalid pragma', 'A pragma was specified whose contents are invalid.', 'Specify the pragma with the correct contents.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19234', 'XQST0014 - invalid or unsupported must-understand extension', 'The must-understand extension specified was either invalid or unsupported.', 'remove the unsupported must-understand extension or fix the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19235', 'XQST0015 - unsupported must-understand extension', 'The XQuery flagger was enabled and the query contained a must-understand extension.', 'remove the unsupported must-understand extension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19236', 'XQST0016 - module declaration or import not supported', 'The given query had a module declaration or module import.', 'Remove the import module or module declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19237', 'XPST0017 - unable to resolve call to function - string:string', 'The name and arity of the function call given could not be matched with any in-scope function in the static context.', 'Fix the name of the function or the number of parameters to match the list of in-scope functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19238', 'XPTY0018 - It is a type error if the result of the last step in a path expression contains both nodes and atomic values', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19239', 'XPTY0019 - It is a type error if the result of an step (other than the last step) in a path expression contains an atomic value', 'The step expression returned a sequence containing an atomic value.', 'Fix the path expression to return only nodes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19240', 'XPTY0020 - context item must be node in an axis expression', 'The context item that was used in the axis epression is not a node.', 'Change the context item to be a node.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19242', 'XQST0022 - namespace declaration attribute must be a literal', 'The namespace declaration attribute was not a literal string.', 'Fix the namespace declaration to be a literal string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19243', 'XQTY0023 - invalid document node content in element constructor', 'The content sequence in an element constructor contained a document node.', 'Change the content of the element constructor so that it does not contain a document node.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19244', 'XQTY0024 - invalid attribute node in element constructor', 'The content sequence in an element constructor contained an attribute node following a node that was not an attribute node.', 'Change the content sequence of the element constructor so that it does not contain the attribute node.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19245', 'XQDY0025 - duplicate attribute name string', 'The content sequence of the element constructor contained more than one attribute that had the same name.', 'Remove the duplicate attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19246', 'validation failed - element string not found in in-scope element declarations', 'The validation mode was strict and the element-constructor contained an element name that was not present in the in-scope element declarations.', 'Fix the validation mode to be lax or import the schema definition that contains the required element declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19247', 'XQDY0027 - validation error', 'An error was encountered during the validation of the expression.', 'Fix the validation error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19248', 'XQTY0028 - invalid node in document constructor', 'The content sequence in a document constructor contained either a document or an attribute node.', 'Fix the content so it does not contain any of the above node types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19249', 'XQDY0029 - value does not match facet of the target type', 'The input value to a cast expression did not satisfy the facets of the target type.', 'Fix the value to conform to the facets of the target type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19250', 'XQTY0030 - too many values to validate expression', 'The argument of a validate expression returned more than one element or document node.', 'Fix the argument of the validate expression to return a single element or document node.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13217', 'invalid parameters supplied in ALTER INDEX statement', 'An error was encountered while trying to parse the parameters clause for the spatial ALTER INDEX statement.', 'Check the Oracle Spatial documentation for the number, syntax, and semantics of expected parameters for the spatial ALTER INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13218', 'max number of supported index tables reached for [string] index', 'An add_index parameter was passed to ALTER INDEX when the number of existing index tables is already at maximum.', 'Delete one of the index tables before adding another index table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13219', 'failed to create spatial index table [string]', 'An error was encountered while trying to create the index table.', 'There is a table in the index''s schema with the specified name. The CREATE INDEX statement will try to create an index table with this name. Either rename this table or change the name of the index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13220', 'failed to compare tile with the geometry', 'The spatial relationship between a generated tile and the specified geometry could not be determined.', 'This is an internal error. Validate the geometry using the VALIDATE_GEOMETRY_WITH_CONTEXT procedure. If the procedure does not return any errors, note any errors that accompany ORA-13220 and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13221', 'unknown geometry type in the geometry object', 'The SDO_GTYPE attribute in the geometry object contains an invalid value', 'Redefine the geometric type in the geometry table using one of the supported SDO_GTYPE values. See the Oracle Spatial documentation for an explanation of SDO_GTYPE and its possible values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13222', 'failed to compute supercell for geometry in string', 'The system was unable to compute the minimum bounding tile or supercell for a geometry in the specified table.', 'Another error might accompany this error. Correct the accompanying error. Also, validate the geometry for correctness.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13223', 'duplicate entry for string in SDO_GEOM_METADATA', 'There are duplicate entries for the given table and column value pair in the USER_SDO_GEOM_METADATA view.', 'Check that the specified table and geometry column names are correct. There should be only one entry per table, geometry column pair in the USER_SDO_GEOM_METADATA view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13224', 'zero tolerance specified for layer in USER_SDO_GEOM_METADATA', 'A tolerance of zero or NULL is supplied for a layer in USER_SDO_GEOM_METADATA view.', 'Check the tolerance specified to make sure it is a positive value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13225', 'specified index table name is too long for a spatial index', 'An index table name is specified which is longer than the supported length of the spatial index table name.', 'Check the supported size of the index table name and reduce the size of the index name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13226', 'interface not supported without a spatial index', 'The geometry table does not have a spatial index.', 'Verify that the geometry table referenced in the spatial operator has a spatial index on it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13227', 'SDO_LEVEL values for the two index tables do not match', 'The SDO_LEVEL values for the two index tables used in the spatial join operator do not match.', 'Verify that two compatible indexes are used for the spatial join operator. Quadtree indexes are compatible if they have the same SDO_LEVEL and SDO_NUMTILES values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13228', 'spatial index create failed due to invalid type', 'An Attempt was made to create a spatial index on a column of type other than SDO_GEOMETRY.', 'Make sure that the index is created on a column of type SDO_GEOMETRY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13230', 'failed to create temporary table [string] during R-tree creation', 'The specified temporary table either already exists or there is not enough tablespace.', 'Delete the table if it already exists and verify if the current user has CREATE TABLE privileges and has sufficient space in the default or specified tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13231', 'failed to create index table [string] during R-tree creation', 'The specified index table either already exists or there is not enough tablespace.', 'Delete the table if it already exists and verify if the current user has CREATE TABLE privileges and has sufficient space in the default or specified tablespace. If that fails to correct the problem, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13232', 'failed to allocate memory during R-tree creation', 'This feature assumes a minimum of 64K memory for bulk creation.', 'Create the index for a small subset of the data. Then, use transactional insert operations for the rest of the data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13233', 'failed to create sequence number [string] for R-tree', 'The specified sequence number exists.', 'Delete the sequence object, or contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13234', 'failed to access R-tree-index table [string]', 'The index table is either deleted or corrupted.', 'Rebuild the index or contact Oracle Support Services with accompanying error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13236', 'internal error in R-tree processing: [string]', 'An internal error occurred in R-tree processing.', 'Contact Oracle Support Services with the message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13237', 'internal error during R-tree concurrent updates: [string]', 'An inconsistency is encountered during concurrent updates, possibly due to the use of serializable isolation level.', 'Change the isolation level to "read committed" using the ALTER SESSION statement, or contact Oracle Support Services with the message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13462', 'invalid blocking specification', 'The specified blocking configuration was invalid.', 'Check the documentation for the blocking specification supported by GeoRaster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13463', 'error retrieving GeoRaster data: string', 'An internal error occurred while retrieving GeoRaster data from the database.', 'Check the error message for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13464', 'error loading GeoRaster data: string', 'An internal error occurred while loading GeoRaster data into the database.', 'Check the error message for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13465', 'null or invalid table or column specification', 'The specified table or column did not exist, or the column was not a GeoRaster column.', 'Make sure the specified table exists and the specified column is a GeoRaster column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13466', 'format not appropriate for specified compression method: string', 'The operation failed because the GeoRaster object had an inappropriate type or format for the specified compression method. The GeoRaster type or format is not supported for the specified compression.', 'Check the error message for details. Check the documentation for the appropriate GeoRaster types and formats for each compression method. Use SDO_GEOR.changeFormatCopy to transform the GeoRaster object to an appropriate format, or apply another compression method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13467', 'unsupported GeoRaster metadata specification: string', 'The GeoRaster metadata specification is not supported.', 'Check the documentation for the supported GeoRaster metadata specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13468', 'invalid blockMBR', 'Invalid blockMBR geometries were stored in the raster data table.', 'Make sure the blockMBR geometries stored in the raster data table are valid, or call SDO_GEOR.generateBlockMBR() to regenerate the blockMBR geometries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19603', 'cannot backup or copy active file with KEEP .. UNRECOVERABLE option', 'The user tried to copy or backup a file that was not closed cleanly, with KEEP .. UNRECOVERABLE option. This is not allowed because when restored, the file will require redo application before it is usable, and redo will not be saved because of KEEP .. UNRECOVERABLE option.', 'Take the tablespace offline cleanly, or close the database and retry the copy or backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19604', 'conversation file naming phase is over', 'A call was made to specify a file to be backed up or restored after the first backup piece has been processed.', 'You cannot specify more files to be processed during a backup or restore conversation after the first backup piece has been processed. If more files must be specified, you must begin a new conversation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19605', 'input file name must be specified', 'The input file name was not specified for a control file copy operation.', 'Specify an input file name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19606', 'Cannot copy or restore to snapshot control file', 'A control file copy or restore operation specified the name of the snapshot control file as the output file. It is not permitted to overwrite the snapshot control file in this manner. Other methods are available to create the snapshot control file.', 'Specify a different file name and retry the operation. If this is a restore, then the restore conversation remains active and more files may be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19607', 'string is an active control file', 'A control file copy, restore, or backup specified the name of a control file named in the INIT.ORA file as the input or output file.', 'Specify a different file name and retry the operation. If this is a backup or restore conversation, then the conversation remains active and more files may be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19608', 'string is not a backup piece', 'The specified file is not a backup piece produced by the DBMS_BACKUP_RESTORE package. Either the first block of the backup piece is corrupt or this file is not a backup piece.', 'Specify a different file name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19609', 'string is from different backup set: stamp string count string', 'The specified file is not from the backup set which is currently being processed. It is part of a different backup set. The identification of the set containing this piece is shown.', 'Specify the correct backup piece and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19610', 'directory block string is corrupt', 'The indicated directory block failed checksum validation. This backup piece is unusable.', 'Supply another copy of the same backup piece, or terminate the restore conversation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19611', 'backup piece out of order. Expected string but found string', 'This backup piece is out of sequence.', 'Supply the correct backup piece.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19612', 'datafile string not restored due to string', 'The indicated file could not be restored, because all of its data blocks were not found in the backup piece.', 'The restore conversation remains active, and the current piece must be re-processed. If the failure cannot be resolved by re-processing the current piece, then the restore conversation must be cancelled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19613', 'datafile string not found in backup set', 'The indicated file could not be restored, because it is not in this backup set. If the file number is zero, then this refers to the control file.', 'This message is issued when the directory from the first backup piece is read and one or more files named for restoration were not found. The restore conversation is still active, but no data has been read and you must supply the first backup piece of a backup set that contains all of the requested files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19614', 'archived log thread string sequence string not found in backup set', 'The indicated archived log file was named explicitly for restoration but is not contained in this backup set.', 'This message is issued when the directory from the first backup piece is read and one or more files named for restoration were not found. The restore conversation is still active, but no data has been read and you must supply the first backup piece of a backup set that contains all of the requested files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19615', 'some files not found in backup set', 'Some files that were specified for restoration were not found in the backup set directory. Message 19613 or 19614 is issued for each file that was not found.', 'See the instructions for message 19613.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19616', 'output file name must be specified if database not mounted', 'A datafile restore specified no target file name, but the database is not mounted. The database must be mounted when no target file name is specified, so that the target file name can be obtained from the control file.', 'The restore conversation remains active. If you wish to restore datafiles without their target file names, then mount the database before continuing. Otherwise, a target file name must be specified on all datafile restoration calls.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19617', 'file string contains different RESETLOGS data', 'The indicated file contains RESETLOGS data which is different from the archived log files which are already included in the backup set. All archived log files in a backup set must have the same RESETLOGS data.', 'The restore conversation remains active, and you may continue to specify archived log files for inclusion in the backup set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19618', 'cannot name files after RESTOREVALIDATE has been called', 'A call was made to specify a file to restore from a backup set, but a previous call to RESTOREVALIDATE has already been made.', 'You must cancel and restart the conversation if you wish to specify files to restore.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19619', 'cannot call RESTOREVALIDATE after files have been named', 'RESTOREVALIDATE was called after some files had already been specified for restoration.', 'You must cancel and restart the conversation if you wish to call RESTOREVALIDATE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19620', 'string is not of string type', 'When opening the file to be placed in a copy or backup set, to be inspected, or used as the target for an incremental restore, its header was not recognized as a valid file header for a file of the indicated type (datafile, archived log, or control file) belonging to the current database.', 'The indicated file cannot be processed. Ensure that the correct files are being specified for the copy or backup operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19622', 'archived log thread string sequence string not restored due to string', 'The indicated file could not be restored, because all of its data blocks were not found in the backup piece.', 'The restore conversation remains active, and the current piece must be re-processed. If the failure cannot be resolved by re-processing the current piece, then the restore conversation must be cancelled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19623', 'file string is open', 'A SWITCHTOCOPY operation specified a datafile copy whose parent datafile is open.', 'Take the owning tablespace offline or close the database, then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19624', 'operation failed, retry possible', 'A backup, restore or image copy operation failed with an I/O error. If the source of the I/O error can be corrected, then the operation may be retried.', 'This message is used by recovery manager to decide whether or not to retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19032', 'Expected XML tag string got string', 'When converting XML to object, a wrong tag name was present', 'Pass a valid canonical XML that can map to the given object type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22614', 'error while construction the collection in the image', 'Error during the construction of collection', 'Make sure image handle is initialized and OCIPicklerImageCollBegin is called to begin collection', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22615', 'attribute is not a collection', 'collection routine is invoked upon a non-collection attribute', 'Make sure attribute is a collection', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22616', 'image is not of Oracle 8.1 format', 'The function being invoked is applicable only for 8.1 images', 'Make sure image is of 8.1 format', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22617', 'error while accessing the image handle collection', 'Error while accessing collection in the image handle', 'Make sure image is initialized correctly and the collection is constructed properly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22618', 'attribute is a BAD NULL in the image handle', 'attribute in question is probably the attribute of a null embedded image', 'Make sure attribute number is valid or it is NULL or NOT NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22619', 'all collection elements have already been accessed', 'Accessing a collection element after all the collection elements are already accessed', 'This function should not be invoked any more.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22620', 'buffer size too small to hold the value', 'Buffer size is not enough to hold the value. Most likely while doing the character set conversion, a bigger buffer is needed.', 'Pass in a bigger buffer. If the client character set format differs from that of server, doing the conversion may result in 4X expansion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22621', 'error transfering an object from the agent', 'Any error returned from pickler routines on the agent side.', 'Contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22625', 'OCIAnyData is not well-formed', 'Attempt to use the OCIAnyData without initializing constructing it.', 'Use OCIAnyDataBeginConstruct to initialize the handle before it is adding attributes. Use OCIAnyDataEndConstruct to complete the construction. Or use OCIAnyDataConvert to do the construction. MAke sure it is properly constructed before accessing attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22626', 'Type Mismatch while constructing or accessing OCIAnyData', 'Type supplied is not matching the type of the AnyData. If piece wise construction or access is being attempted, the type supplied is not matching the type of the current attribute.', 'Make sure the type supplied matches the type of object to to be constucted or accessed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22627', 'tc [string] must be that of object/varray/nested table', 'Type code is not that of object/varray/nested table', 'Make sure the type code is OCI_TYPECODE_OBJECT or OCI_TYPECODE_VARRAY or OCI_TYPECODE_TABLE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22628', 'OCIAnyData already constructed', 'Attempt to add attributes to OCIAnyData that is already constructed.', 'Use the OCIAnyData that is initialized but not yet constructed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22629', 'OCIAnyData is null', 'Attempting an operation that is not valid on null OCIAnyData', 'Make sure OCIAnyData is not null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22630', 'attribute [string] is null or it is not well-formed', 'Passing an attribute that is null or not well-formed', 'Make sure the attribute is not null or is well-formed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22631', 'attribute [string] is is not well-formed or does not match the type', 'Passing an attribute that is not well-formed or does not match the input type.', 'Make sure the attribute is well-formed and matches the type specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22632', 'AnyDataSet parameter is not valid for the current operation', 'The AnyDataSet parameter is null or it is somehow invalid for the current operation.', 'Check the documentation for the current operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22633', 'Error freeing AnyDataSet', 'AnyDataSet that is passed in may not be valid.', 'Check all the AnyDataSet parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22634', 'Error adding new instance to AnyDataSet', 'Current instance in the AnyDataSet has not been fully constructed.', 'Make sure that the current instance is fully constructed before adding new instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22800', 'invalid user-defined type', 'An attempt was made to use an incomplete type as a constructor.', 'Complete the type definition before using it in a query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22801', 'invalid object row variable', 'The specified object row variable is not available in the scope of name resolution.', 'Verify the specified object row variable is correct, or use an object row variable visible in scope.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22803', 'object type contains zero attributes', 'An attempt was made to create or specify a column or constructor of an object type that has no attributes. Only object types that have at least one attribute are allowed in this context.', 'specify a valid object type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22804', 'remote operations not permitted on object tables or user-defined type columns', 'An attempt was made to perform queries or DML operations on remote object tables or on remote table columns whose type is one of object, REF, nested table or VARRAY.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22805', 'cannot insert NULL object into object tables or nested tables', 'An attempt was made to insert a NULL object into an object table or a Nested Table.', 'Ensure that a non-NULL object is inserted into the table or insert an object with attributes whose values are NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22806', 'not an object or REF', 'An attempt was made to extract an attribute from an item that is neither an object nor a REF.', 'Use an object type or REF type item and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22807', 'cannot resolve to a scalar type or a collection type', 'Invalid use of a non-scalar (for example, object type) item.', 'Change the item''s data type and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22808', 'REF dereferencing not allowed', 'An attempt was made to access an object type''s attributes by dereferencing a REF item.', 'Make the item an object type instead of a REF to an object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22809', 'nonexistent attribute', 'An attempt was made to access a non-existent attribute of an object type.', 'Check the attribute reference to see if it is valid. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22810', 'cannot modify object attributes with REF dereferencing', 'An attempt was made to modify the attributes an object by dereferencing a REF column in an UPDATE statement.', 'Update the table containing the object that the REF points to, or change the REF column to an object type column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22812', 'cannot reference nested table column''s storage table', 'An attempt to access the nested table column''s storage table is not allowed in the given context.', 'Issue the statement against the parent table containing the nested table column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22813', 'operand value exceeds system limits', 'Object or Collection value was too large. The size of the value might have exceeded 30k in a SORT context, or the size might be too big for available memory.', 'Choose another value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22814', 'attribute or element value is larger than specified in type', 'Value provided for the object type attribute or collection element exceeded the size specified in the type declaration.', 'Choose another value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22816', 'unsupported feature with RETURNING clause', 'RETURNING clause is currently not supported for object type columns, LONG columns, remote tables, INSERT with subquery, and INSTEAD OF Triggers.', 'Use separate select statement to get the values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19251', 'XQST0031 - unsupported query version', 'The query version specified in the prolog was not supported.', 'Supply the version of the query that is supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19252', 'XQST0032 - too many declarations for base URI', 'The query prolog contained multiple declarations for the base URI.', 'Remove the duplicate definitions for the base URI.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19253', 'XQST0033 - too many declarations for namespace prefix string', 'The query prolog contained multiple declarations for the same namespace prefix.', 'Remove the duplicate definitions for the namespace prefix.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19254', 'XQST0034 - too many declarations for function string', 'The query module contained more than one function, either declared or imported, which have the same expanded QName.', 'Remove the duplicate function definitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19257', 'XQST0037 - function or variable string in module already defined', 'A module being imported contained the function or variable that is already declared in the static context of the importing module.', 'Remove the conflicting declarations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19330', 'Type ''string''.''string'' not installed. Please install the type before using the CREATE_DBURI operator', 'The type required for the CREATE_DBURI operator has not been installed correctly.', 'Read the installation notes to install the type correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19331', 'Last argument to CREATE_DBURI operator must be a column', 'The final argument to the CREATE_DBURI operator must be a column to which the reference is being created.', 'Specify a valid column name in the query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19502', 'write error on file "string", block number string (block size=string)', 'write error on output file', 'check the file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19503', 'cannot obtain information on device, name="string", type="string", parms="string"', 'call to get device information returned an error', 'check device name, type and parameters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19504', 'failed to create file "string"', 'call to create file returned an error', 'check additional messages, check access permissions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19505', 'failed to identify file "string"', 'call to identify the file returned an error', 'check additional messages, and check if the file exists', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19506', 'failed to create sequential file, name="string", parms="string"', 'call to create the sequential file returned an error', 'check additional messages, check access permissions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19507', 'failed to retrieve sequential file, handle="string", parms="string"', 'call to retrieve the sequential file returned an error', 'check additional messages, and check if the file exists', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19508', 'failed to delete file "string"', 'call to delete the file returned an error', 'check additional messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19509', 'failed to delete sequential file, handle="string", parms="string"', 'call to delete the sequential file returned an error', 'check additional messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19510', 'failed to set size of string blocks for file "string" (block size=string)', 'call to resize the file returned an error', 'check additional messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19511', 'Error received from media manager layer, error text: string', 'An error occurred in the media management software which is linked with the Oracle server to perform backup and restore in cooperation with Recovery Manager.', 'If the text of message 19511 does not provide enough information to resolve the problem, then you should contact the vendor of the media management software.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19512', 'file search failed', 'Recovery manager or Oracle Server attempted to discover files that matched the specified pattern but failed.', 'Check errors on the error stack for an explanation why the search for files could not be successfully executed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19513', 'failed to identify sequential file', 'Unable to identify the sequential file.', 'Check additional messages, and check if the file exists on media.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19525', 'tempfile for the clone database must be renamed', 'Opening a clone database failed because Oracle server forces the tempfile to be renamed, in order to avoid overwriting the primary tempfile.', 'Rename the tempfiles manually or automatically by using the DB_FILE_NAME_CONVERT initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19707', 'invalid record block number - string', 'The input number is either negative or too large.', 'Check the input record block number and make sure it is a valid number clauses in the create database statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19708', 'log destination exceeds maximum length of string characters', 'When starting a restore conversation, the user specified a log restore destination longer than the port-specific maximum.', 'Supply a shorter destination and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19709', 'numeric parameter must be non-negative integer', 'A numeric parameter to an DBMS_BACKUP_RESTORE procedure is negative or contains a fractional portion.', 'Supply a valid numeric parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19710', 'unsupported character set string', 'When the target database is not mounted, RMAN sets the target database character set to the value specified in the users environment.', 'Specify a valid character set in the environment. This is usually done via the NLS_LANG environment variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19711', 'cannot use RENORMALIZEALLFILENAMES while database is open', 'An attempt was made to re-normalize all the file names in the control file while the database is open.', 'Close the database before using the RENORMALIZEALLFILENAMES procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22296', 'invalid ALTER TABLE option for conversion of LONG datatype to LOB', 'An attempt was made to specify ALTER TABLE options which are disallowed during conversion of LONG datatype to LOB. The only ALTER TABLE options allowed during conversion of LONG datatype to LOB are the default clause and LOB storage clause for the column being converted to LOB.', 'Remove the disallowed options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22297', 'warning: Open LOBs exist at transaction commit time', 'An attempt was made to commit a transaction with open LOBs at transaction commit time.', 'This is just a warning. The transaction was commited successfully, but any domain or functional indexes on the open LOBs were not updated. You may want to rebuild those indexes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22298', 'length of directory alias name or file name too long', 'The length of directory alias name or file name given for a BFILE is too long.', 'Use a shorter alias or file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22303', 'type "string"."string" not found', 'The user is trying to obtain information for a type that cannot be found.', 'Check that the schema is correct and that the type has been created correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22304', 'input type is not an object type', 'The user is trying to obtain the supertype information for a non-object type.', 'Pass in only an object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22305', 'attribute/method/parameter "string" not found', 'Type element with the given name is not found in the type.', 'Check to make sure that the type element exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22306', 'type "string"."string" already exists', 'The user is trying to create a type that already exists.', 'Check to make sure that the type has not been created prior to this.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22307', 'operation must be on a user-defined type', 'attempt to perform an operation that is allowed only on a user-defined type, and the type is not a user-defined type.', 'Check to make sure that only user-defined types are being operated on.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13454', 'GeoRaster metadata is invalid', 'The GeoRaster metadata was invalid against its XML Schema.', 'Run the schemaValidate routine to find the errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13469', 'cannot perform updateRaster operation', 'The data of the source GeoRaster object could not be used to update that of the target GeoRaster object.', 'Make sure the source and the target GeoRaster objects have the same cell depth, and that both objects are either georeferenced or not georeferenced at all. If both are georeferenced, they should be in the same coordinate system and have the same spatial resolutions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13470', 'target and source layers or bands mismatched', 'The number of specified target layers or bands and source layers or bands did not match.', 'When updating layers or bands of a target GeoRaster object to reflect the associated layers or bands of the source GeoRaster object, specify the same number of layers or bands for both the source and the target objects. Check the documentation for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13471', 'unable to determine the owner of string', 'The owner of the specified raster data table could not be determined.', 'Make sure the GeoRaster object that refers to the raster data table has been registered by inserting the object into a GeoRaster table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13472', 'invalid geometry parameter', 'The geometry parameter did not specify a valid geometry.', 'Specify a valid 2D or 3D geometry. If the model SRID is null or indicates a 2D coordinate system, the geometry must be 2D. If the model SRID indicates a 3D coordinate system, the geometry must either be a 3D geometry or a 2D geometry that can be converted to 3D with the specified vertical axis (or vertical SRID) and ellipsoidal parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13473', 'invalid rasterSpec parameter', 'The rasterSpec parameter contained an invalid specification.', 'Check the documentation and make sure the rasterSpec parameter contains only valid keywords and values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13474', 'invalid rasterDataTable name: string', 'The rasterDataTable name was not a valid nonquoted identifier, it contained a period separator, or not all of the alphanumeric characters were uppercase.', 'Ensure that the table name is a valid nonquoted identifier without any period separators, and that all the alphanumeric characters are uppercase.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13475', 'invalid GeoRaster object for output', 'The output GeoRaster object had the same RASTER_DATA_TABLE and RASTER_ID combination as that of an input GeoRaster object.', 'Ensure that the output GeoRaster object is different from any of the input GeoRaster objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13476', 'invalid or out of scope point specification', 'The point position specified by the point geometry parameter or the rowNumber/colNumber parameter combination was null or out of scope.', 'Ensure that the parameters specify a valid point that translates or can be translated into a cell position inside the cell space of the GeoRaster object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13497', 'string', 'This is an internal GeoRaster error.', 'Contact Oracle Support Services. You may want to make sure the GeoRaster object is valid before you do so.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13498', 'string', 'An error related to an external plugin was encountered in the GeoRaster component.', 'Check the documentation for the external plugin, or contact the plugin provider and supply the exact error text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13500', 'SYSAUX DATAFILE clause specified more than once', 'The CREATE DATABASE command contains more than one SYSAUX DATAFILE clause.', 'Specify at most one SYSAUX DATAFILE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13501', 'Cannot drop SYSAUX tablespace', 'Tried to drop SYSAUX tablespace', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13502', 'Cannot rename SYSAUX tablespace', 'An attempt to rename the SYSAUX tablespace failed.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13503', 'Creating SYSAUX tablespace with invalid attributes', 'An attempt to create the SYSAUX tablespace with invalid attributes.', 'Create SYSAUX tablespace with ONLINE, PERMANENT, EXTENT MANAGEMENT LOCAL, SEGMENT SPACE MANAGEMENT AUTO attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13504', 'No SYSAUX datafile clause specified', 'If Create Database has the datafile clause, then SYSAUX datafile clause has to be specified, unless using OMF.', 'Specify the SYSAUX datafile clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13505', 'SYSAUX tablespace can not be made read only', 'Attempting to set the SYSAUX tablespace to read only. The SYSAUX tablespace must remain read write for database operation.', 'Leave SYSAUX tablespace read write.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13506', 'operation failed due to invalid snapshot range (string, string)', 'An attempt was made to perform operation with an invalid Start/End Snapshot Pair.', 'Choose a valid Start/End Snapshot Pair.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13509', 'error encountered during updates to a AWR table', 'An update error occurred during OCI operation due to an underlying error.', 'Check associated OCI error. Correct problem and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13510', 'invalid RETENTION string, must be in the range (string, string)', 'The user has specified a RETENTION setting that is not in the supported range of (MIN, MAX).', 'Choose a valid RETENTION setting and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13511', 'invalid INTERVAL string, must be in the range (string, string)', 'The user has specified a INTERVAL setting that is not in the supported range of (MIN, MAX).', 'Choose a valid INTERVAL setting and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13514', 'Metric Capture too close to last capture, group string', 'The metric capture cannot be executed because it is too close to the last capture (within 1 centi-second).', 'add some delay and reissue command to retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13515', 'Error encountered during Database Usage Statistics capture', 'Error occurred during OCI operation due to underlying error.', 'Check associated OCI error. Correct problem and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13516', 'AWR Operation failed: string', 'The operation failed because AWR is not available. The possible causes are: AWR schema not yet created; AWR not enabled; AWR schema not initialized; or database not open or is running in READONLY or STANDBY mode.', 'check the above conditions and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13517', 'Baseline (id = string) does not exist', 'The operation failed because the specified baseline ID does not exist in the Workload Repository.', 'check the baseline id and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13518', 'Invalid database id (string)', 'The operation failed because the specified database ID does not exist in the Workload Repository.', 'check the database id and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13519', 'Database id (string) exists in the workload repository', 'The operation failed because the specified database ID already exists in the Workload Repository.', 'check the database id and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13520', 'Database id (string) not registered, Status = string', 'The operation failed because the specified database ID was not registered in the Workload Repository properly.', 'check the status of database id and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13521', 'Unregister operation on local Database id (string) not allowed', 'The operation failed because the local database ID cannot be unregistered from the Workload Repository.', 'check the database id and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13523', 'unable to allocate required space for return type', 'Out of memory to allocate the space for the return variable for an external procedure.', 'Try operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19332', 'Invalid column in the CREATE_DBURI operator', 'The argument to the CREATE_DBURI operator can only be a column.', 'Specify a valid column name for the operator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19333', 'Invalid flags for the CREATE_DBURI operator', 'The flags argument given to the DBURI operator is invalid', 'Specify a valid flag value (TEXT) for the DBURI operator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19334', 'Invalid column specification for CREATE_DBURI operator', 'All columns must be valid and pointing to the same table or view', 'Specify valid list of columns that are from the same table or view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19335', 'Invalid format type object', 'An invalid format type object was specified for the XML function', 'Specify a valid format type object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19336', 'Missing XML root element', 'The XML being generated does not have an enclosing root element.', 'The XML generated must have a root element', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19361', 'ONLINE option not allowed with this type of index', 'The ONLINE option was specified to validate the structure of a system-generated metadata index', 'The ONLINE option can not be used with system-generated metadata indexes such as an LOB index, an IOT Top index, an Index on Clusters etc., Run query without using the ONLINE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19371', 'invalid update option', 'The user attempted to call load_sqlset with an update option that is different than REPLACE and ACCUMULATE.', 'Adjust the update option and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19372', 'invalid update condition', 'The user attempted to call load_sqlset with an invalid update condition.', 'Check the update condition (e.g., NEW.COL1_NAME >= OLD.COL2_NAME) and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19373', 'invalid staging table or tablespace', 'The user attempted to create a staging table and specified an invalid staging table (or one that already exists) or tablespace', 'Check the arguments and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19374', 'invalid staging table', 'The user specified an invalid staging table to one of the pack, unpack, or remap stgtab routines, or the user does not have the correct privileges on the staging table', 'Provide a correct staging table or grant the appropriate privileges', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19375', 'no CREATE TABLE privilege on schema "string"', 'The user tried to create a staging table when he is missing the CREATE TABLE privilege on the specified schema.', 'Grant the privilege to the user and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19376', 'no privileges on tablespace provided or tablespace is offline', 'The user tried to create a staging table on a tablespace on which he does not have any space allocated, or it is offline', 'Allocate space on the tablespace, bring it online, and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19377', 'no "SQL Tuning Set" with name like "string" exists for owner like "string"', 'The user specified a filter to a pack/unpack function for the SQL Tuning Set that targets no STS in the SYS schema or the staging table, respectively', 'Provide a different filter after checking the state of the system', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19378', 'invalid mode', 'The user specified an invalid mode argument to the capture function.', 'Provide a mode argument that was defined in the dbmssqlt file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19379', 'invalid time_limit or repeat_interval', 'The user specified a NULL value for either the time_limit or the repeat_interval, or a repeat_interval that is greater than the time_limit', 'Provide a non-null value and make sure time_limit >= repeat_interval', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19380', 'invalid plan filter', 'The user specified an invalid filter for the plan when calling the select_sqlset table function.', 'Adjust the the filter to be one of the following values and retry the operation: MAX_ELAPSED_TIME, MAX_CPU_TIME, MAX_DISK_READS, MAX_OPTIMIZER_COST, MAX_BUFFER_GETS, FIRST_LOADED LAST_LOADED, FIRST_GENERATED, or LAST_GENERATED.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19381', 'cannot create staging table in SYS schema', 'The user attempted to create a staging table in the sys schema', 'Create the table in another schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19384', 'cannot pack into staging table from previous version', 'An attempt was made to perform a pack operation on a staging table from a previous version.', 'Create a staging table in the current version and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19385', 'staging table is empty', 'An attempt was made to perform an operation on an empty staging table.', 'Check the staging table to make sure that it has rows.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19386', 'target object already exists for tuning task "string"', 'An attempt was made to set a target object for a tuning task when one had already been set.', 'Create a new task if another target object is needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19387', '"SQL Tuning Set" "string" belongs to another tuning task', 'The user attempted to tune a task-managed SQL Tuning Set belonging to one task within the scope of another task.', 'Check the SQL Tuning Set and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19388', 'operation not supported for "SQL Tuning Set" type', 'The attempted operation was unsupported for the type of the given SQL Tuning Set.', 'Check the SQL Tuning Set and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19400', 'System type conflict with object SYS.string', 'The user had an object with the same name as one of the system types. The system types were not initialized properly.', 'Remove the conflicting object and rerun migration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19500', 'device block size string is invalid', 'the device block size returned by sequential I/O OSD is invalid', 'If the block size was set by using the PARMS option of the Recovery Manager ALLOCATE CHANNEL command, then the specified block size must be changed. If no PARMS option was specified on the ALLOCATE CHANNEL command, then this is an internal error that should be reported to Oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19501', 'read error on file "string", block number string (block size=string)', 'read error on input file', 'check the file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19526', 'only one location allowed for parameter string', 'A list of default locations was provided in an Oracle-managed files parameter.', 'Edit the parameter to include a single location.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19527', 'physical standby redo log must be renamed', 'The CLEAR LOGFILE command was used at a physical standby database. This command cannot be used at a physical standby database unless the LOG_FILE_NAME_CONVERT initialization parameter is set. This is required to avoid overwriting the primary database''s log files.', 'Set the LOG_FILE_NAME_CONVERT initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19528', 'redo logs being cleared may need access to files', 'The redo logs are being cleared. This procedure may need the files this operation is being applied to.', 'Wait for the redo logs to be cleared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19529', 'Pattern string in initialization parameter string has an Oracle Managed Files file name.', 'An attempt was made to convert a database file name to an Oracle Managed Files file name using DB_FILE_NAME_CONVERT or LOG_FILE_NAME_CONVERT initialization parameter. This was not a valid operation.', 'Retry the operation with a pattern template instead of a full Oracle Managed Files file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19550', 'cannot use backup/restore functions while using dispatcher', 'Attempted to use backup/restore functions while connected to the dispatcher in a shared server. This is not allowed because the device that is used for backup and restore must remain allocated to a single process.', 'Connect directly to the instance then re-execute the backup or restore function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13187', 'subdivision failed', 'This is an internal error.', 'Record the error messages that are returned and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14619', 'resulting List subpartition(s) must contain at least 1 value', 'After a SPLIT/DROP VALUE of a list subpartition, each resulting subpartition(as applicable) must contain at least 1 value', 'Ensure that each of the resulting subpartitions contains atleast 1 value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22817', 'subquery not allowed in the default clause', 'An attempt was made to use a subquery in the column default clause expression.', 'Remove the subquery from the default clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22818', 'subquery expressions not allowed here', 'An attempt was made to use a subquery expression where these are not supported.', 'Rewrite the statement without the subquery expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22819', 'scope of input value does not correspond to the scope of the target', 'An attempt to operate on a REF value scoped to a different table than the expected one', 'Use a ref which is scoped to the expected table and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22826', 'cannot construct an instance of a non instantiable type', 'An attempt was made to use a non instantiable type as a constructor.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22828', 'input pattern or replacement parameters exceed 32K size limit', 'Value provided for the pattern or replacement string in the form of VARCHAR2 or CLOB for LOB SQL functions exceeded the 32K size limit.', 'Use a shorter pattern or process a long pattern string in multiple passes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22833', 'Must cast a transient type to a persistent type', 'An attempt was made to use the transient type in the query result.', 'Cast the transient type to a structurally equivalent persistent type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22835', 'Buffer too small for CLOB to CHAR or BLOB to RAW conversion (actual: string, maximum: string)', 'An attempt was made to convert CLOB to CHAR or BLOB to RAW, where the LOB size was bigger than the buffer limit for CHAR and RAW types. Note that widths are reported in characters if character length semantics are in effect for the column, otherwise widths are reported in bytes.', 'Do one of the following:' || '<p>' || '1. Make the LOB smaller before performing the conversion, for example, by using SUBSTR on CLOB' || '<p>' || '' || '<p>' || '2. Use DBMS_LOB.SUBSTR to convert CLOB to CHAR or BLOB to RAW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22837', 'Relational hint or keyword is disallowed for user-level DML', 'An attempt was made to use relational hint or keyword in user- level DML.', 'Avoid using DML with relational hint or keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22839', 'Direct updates on SYS_NC columns are disallowed', 'An attempt was made to update SYS_NC columns directly.', 'Avoid direct updates on SYS_NC columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22850', 'duplicate LOB storage option specificed', 'A LOB storage option (CHUNK, PCTVERSION, CACHE, NOCACHE, TABLESPACE, STORAGE, INDEX, SECUREFULE/BASICFILE, [A]SYNC) was specified more than once.', 'Specify all LOB storage options only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22851', 'invalid CHUNK LOB storage option value', 'The specified CHUNK LOB storage option value must be an integer.', 'Choose an appropriate integer value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22852', 'invalid PCTVERSION LOB storage option value', 'The specified PCTVERSION LOB storage option value must be an integer.', 'Choose an appropriate integer value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22853', 'invalid LOB storage option specification', 'A LOB storage option was not specified', 'Specify one of CHUNK, PCTVERSION, CACHE, NOCACHE, TABLESPACE, STORAGE, INDEX, [A]SYNC or DATA SYNC as part of the LOB storage clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22854', 'invalid option for LOB storage index', 'A valid LOB store index option was not specified.', 'Specify one of (INITRANS, MAXTRANS, TABLESPACE, STORAGE) as part of the LOB storage index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22855', 'optional name for LOB storage segment incorrectly specified', 'The optional name for LOB storage segment was specified with multiple columns in the column list.', 'Specify each column LOB storage only with optional name(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22856', 'cannot add columns to object tables', 'An attempt was made to add columns to an object table. Object tables cannot be altered to add columns since its definition is based on an object type.', 'Create a new type with additional attributes, and use the new type to create an object table. The new object table will have the desired columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22857', 'cannot modify columns of object tables', 'An attempt was made to alter the object table by modifing existing columns. An object table cannot be altered to modify existing columns since it is based on an object type. The table definition must be in sync with the corresponding type.', 'Create a new type with the desired attribute types and use it to create an object table. The new object table will have the desired columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22858', 'invalid alteration of datatype', 'An attempt was made to modify the column type to object, REF, nested table, VARRAY or LOB type.', 'Create a new column of the desired type and copy the current column data to the new type using the appropriate type constructor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22859', 'invalid modification of columns', 'An attempt was made to modify an object, REF, VARRAY, nested table, or LOB column type.', 'Create a new column of the desired type and copy the current column data to the new type using the appropriate type constructor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22860', 'object type expected', 'An attempt was made to create an object table using a non- object type, or to create a column that is a REF to a non-object type.', 'Use a valid object type in the table or column definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22861', 'invalid user-defined type', 'An attempt was made to create a column or object table of a non- existent type.', 'Specify a valid type in the table or column definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22862', 'specified object identifier doesn''t match existing object identifier', 'An attempt was made to specify an object identifier for the type that does not match the existing identifier of the incomplete type of the same name.', 'Specify the correct object identifier or leave it out of the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22863', 'synonym for datatype string.string not allowed', 'A synonym specification for a datatype is not supported', 'do not use the synonym for the datatype', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22864', 'cannot ALTER or DROP LOB indexes', 'An attempt was made to ALTER or DROP a LOB index.', 'Do not operate directly on the system-defined LOB index. Perform operations on the corresponding LOB column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22865', 'more than one column specified', 'An attempt was made to specify multiple columns where only one is allowed.', 'Specify a single column and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22868', 'table with LOBs contains segments in different tablespaces', 'An attempt was made to drop a tablespace which contains the segment(s) for the LOB columns of a table but does not contain the table segment.', 'Find table(s) with LOB columns which have non-table segments in this tablespace. Drop these tables and reissue drop tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22869', 'depth of type dependency hierarchy exceeds maximum limit', 'The type dependency hierarchy was structured to have depth greater than 1024.', 'Re-structure the type dependency hierarchy to a shorter depth.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22870', 'ALTER TYPE with REPLACE option a non-object type', 'attempt to perform ALTER TYPE with REPLACE option a non-object type', 'drop the non-object type first, then re-create it as an object type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21301', 'not initialized in object mode', 'This function requires the OCI process to be initialized in object mode.', 'Specify OCI_OBJECT mode when calling OCIInitialize().', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21500', 'internal error code, arguments: [string], [string], [string], [string], [string], [string], [string], [string]', 'This is the generic error number for the OCI environment (client-side) internal errors. This indicates that the OCI environment has encountered an exceptional condition.', 'Report as a bug - the first argument is the internal error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21501', 'program could not allocate memory', 'The operating system has run out of memory.', 'Take action to make more memory available to the program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21503', 'program terminated by fatal error', 'A program is in an unrecoverable error state.', 'Report as a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21520', 'database server driver not installed', 'User attempted to access a database server through an object-mode OCI environment but the necessary driver for supporting such access to the database server is not installed or linked in.', 'Check if the driver corresponding to the database server has been installed/linked in and entered in the server driver table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21521', 'exceeded maximum number of connections in OCI (object mode only)', 'User exceeded the maximum number of connections (255) that can be supported by an OCI environment in object mode.', 'Close some of existing and unused connections before opening more connections.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21522', 'attempted to use an invalid connection in OCI (object mode only)', 'User attempted to use an invalid connection or a connection that has been terminated in an OCI environment (object mode), or user attempted to dereference a REF obtained from a connection which has been terminated.', 'Ensure that the connection exists and is still valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21523', 'functionality not supported by the server (object mode only)', 'User attempted to use a functionality that the server does not support.', 'Upgrade the server', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21524', 'object type mismatch', 'The object type of the object is different from what is specified.', 'Check the type of the object and correct it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21525', 'attribute number or (collection element at index) string violated its constraints', 'Attribute value or collection element value violated its constraint.', 'Change the value of the attribute or collection element such that it meets its constraints. The constraints are specified as part of the attribute or collection element''s schema information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21706', 'duration does not exist or is invalid', 'The duration number that is supplied by the user is not valid.', 'User needs to establish the duration or use a correct predefined duration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21707', 'pin duration is longer than allocation duration', 'The pin duration supplied by the user is longer than the allocation duration. This affects operations such as pinning and setting default parameters.', 'User should use a shorter pin duration or use the null duration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21708', 'inappropriate operation on a transient object', 'User attempted to perform an inappropriate operation on a transient object. Operations that cannot be applied to a transient object include flushing and locking.', 'User should avoid performing such operation on a transient object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21709', 'cannot refresh an object that has been modified', 'User attempted to refresh an object that has been marked for delete, update or insert (new).', 'User should unmark the object before refreshing it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21710', 'argument is expecting a valid memory address of an object', 'The object memory address that is supplied by the user is invalid. The user may have passed in a bad memory address to a function that is expecting a valid memory address of an object.', 'User should pass in a valid memory address of an object to the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21779', 'duration not active', 'User is trying to use a duration that has been terminated.', 'User should avoid performing such operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-21780', 'Maximum number of object durations exceeded.', 'This typically happens if there is infinite recursion in the PL/SQL function that is being executed.', 'User should alter the recursion condition in order to prevent infinite recursion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22053', 'overflow error', 'This operation''s result is above the range of Oracle number.', 'Decrease the input value(s) so that the result is in the range of Oracle number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22054', 'underflow error', 'This operation''s result is below the range of Oracle number.', 'Increase the input value(s) so that the result is in the range of Oracle number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22055', 'unknown sign flag value [string]', 'Signed flag used is not OCI_NUMBER_SIGNED or OCI_NUMBER_UNSIGNED.', 'Use either OCI_NUMBER_SIGNED or OCI_NUMBER_UNSIGNED as sign flag.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22056', 'value [string] is divided by zero', 'Given value is divied by zero.', 'Modify divisor value to be non-zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22057', 'bad integer length [string]', 'The length of the integer (ie number of bytes) to be converted to or from an Oracle number is invalid.', 'Use integer length 1, 2, 4 or 8 bytes only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22308', 'operation not allowed on evolved type', 'An attempt was made to replace a type whose attribute definition been been altered.', 'Submit ALTER TYPE ADD/DROP statement instead of ALTER TYPE REPLACE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22309', 'attribute with name "string" already exists', 'The user is attempting to create an object type where more than one attributes have the same name.', 'Check to make sure that all attribute names are unique.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22310', 'ALTER TYPE error. Refer to table "string"."string" for errors', 'An invalid alter type statement was submitted.', 'Correct the errors listed in specified table and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22311', 'type for attribute "string" does not exist', 'The type of the attribute does not exist.', 'No types were created/modified for this DDL transaction. Redo the DDL transaction and add the creation of the attribute''s type in the DDL transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22312', 'must specify either CASCADE or INVALIDATE option', 'An attempt was made to alter a type which has a dependent type or table without specifying the CASCADE or INVALIDATE option.', 'Resubmit the statement with either the CASCADE or INVALIDATE option. Specify CASCADE if you want to cascade the type change to dependent types and tables; otherwise, specify INVALIDATE to invalidate all dependents.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22313', 'cannot use two versions of the same type "string"', 'The version of this type conflicts with the version of this type used by another library that was linked in with the application. An application may only use one version of a type.', 'Check that the libraries being linked with this application and use the same versions of the type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22893', 'constraint can be specified only for REF columns', 'The constraint specified does not apply to non-REF columns.', 'Remove the constraint and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22894', 'cannot add constraint on existing unscoped REF columns of non-empty tables', 'An attempt was made to add a constraint to existing unscoped REF columns of a table which contains one or more rows.', 'Remove the constraint specification or add the constraint after emptying the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13524', 'error encountered while retrieving baseline information', 'A read error occurred during the OCI operation to retrieve the baseline information', 'Check associated error. Correct problem and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13525', 'error with computing space usage for sysaux occupant', 'Error occurred during OCI operation due to underlying error.', 'Check associated OCI error. Correct problem and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13526', 'baseline (string) does not exist', 'The operation failed because the specified baseline name does not exist in the Workload Repository.', 'check the baseline name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13527', 'invalid baseline name', 'The operation failed because the specified baseline name is invalid.', 'check the baseline name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13528', 'name (string) is already used by an existing baseline', 'The operation failed because the specified baseline name already exists in the Workload Repository.', 'check the baseline name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13529', 'Error occurred when flushing AWR table group', 'An error occurred during the flushing of a table group. Because of the error in the group, we are unable to flush this table.', 'Check the error associated with the table group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13530', 'invalid TOPNSQL string, must be in the range (string, string)', 'The user has specified a TOPNSQL setting that is not in the supported range of (MIN, MAX).', 'Choose a valid TOPNSQL setting and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13531', 'SQL Text was purged from AWR before the operation completed', 'A SQL was purged from AWR before the operation completed.', 'Retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13532', 'SQL ID [string] already exists', 'The operation failed because the specified SQL ID already existed in the repository.', 'Check the SQL ID and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13533', 'invalid SQL ID', 'The operation failed because the specified SQL ID was invalid.', 'Check the SQL ID and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13534', 'Current SQL count(string) reached maximum allowed (string)', 'The operation failed because the maximum allowed colored SQL was exceeded.', 'Check the count for colored SQL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13535', 'name (string) is already used by an existing baseline template', 'The operation failed because the specified baseline template name already existed in the Workload Repository.', 'Check the baseline template name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13536', 'baseline template (string) does not exist', 'The operation failed because the specified baseline template name did not exist in the Workload Repository.', 'Check the baseline template name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13537', 'invalid input for create baseline template (string, string)', 'Invalid input was specified for the create baseline template routine.', 'Check the argument displayed in the error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13538', 'invalid value for baseline expiration (string)', 'An invalid value was specified for the expiration of a baseline. The expiration is specified in number of days, and the expiration must be at least one day.', 'Check the value for expiration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13539', 'invalid input for modify baseline window size (string, string)', 'Invalid input was specified for the modify baseline window size routine.', 'Check the argument displayed in the error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13540', 'operation not allowed on system moving window baseline (string)', 'The requested operation was not allowed on the system moving window baseline.', 'Retry the operation with another baseline name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13541', 'system moving window baseline size (string) greater than retention (string)', 'The system moving window baseline size must be less than the retention setting. The specified window size or retention violate this.', 'Check the moving window baseline size or retention.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13542', 'baseline ID (string) does not exist', 'The operation failed because the specified baseline ID did not exist in the Workload Repository.', 'Check the baseline ID and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13543', 'error encountered while retrieving baseline template information', 'A read error occurred during the OCI operation to retrieve the baseline template information.', 'Check associated error. Correct problem and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13602', 'The specified parameter string is not valid for task or object string.', 'The user attempted to access a task parameter that does not exist for the specified advisor object. The parameter may be misspelled or the user has selected a parameter that is not supported by the particular advisor.', 'Validate the parameter name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13831', 'SQL profile name specified is invalid', 'An invalid SQL profile name was specified.', 'Look for the underlying error on the error message stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13832', 'category name specified is invalid', 'An invalid category name swas pecified.', 'Look for the underlying error on the error message stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13833', 'SQL profile named string doesn''t exist', 'A SQL profile name was specified that doesn''t exist.', 'Verify the name of the SQL profile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13834', 'name of SQL profile to be cloned must be provided', 'A SQL profile name was not provided as the from target of a clone SQL profile operation.', 'Provide the name of the SQL profile being cloned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13835', 'invalid attribute name specified', 'An invalid attribute name was specified for an alter SQL profile operation.', 'Verify the name of the attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13836', 'invalid attribute value specified', 'An invalid attribute value was specified for an alter SQL profile operation.', 'Verify the attribute value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13837', 'invalid HASH_VALUE', 'An invalid HASH_VALUE was passed to a create SQL profile operation', 'Verify the HASH_VALUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13838', 'invalid ADDRESS value', 'An invalid ADDRESS value was passed to a create SQL profile operation.', 'Verify the ADDRESS value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13839', 'V$SQL row doesn''t exist with given HASH_VALUE and ADDRESS.', 'A HASH_VALUE and ADDRESS combination passed to the create SQL profile operation doesn''t coorespond to an existing V$SQL entry.', 'Verify the HASH_VALUE and ADDRESS in V$SQL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13840', 'Concurrent DDL Error in create SQL profile operation.', 'A concurrent DDL operation was performed during a create or replace sql profile operation.', 'Try operation again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13841', 'SQL profile named string already exists for a different signature/category pair', 'A SQL profile already exists with the name specified under a different signature/category pair so it cannot be replaced, even with FORCE specified.', 'Specify a different name or drop the existing SQL profile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13842', 'no SELECT privilege on DBA_SQL_PROFILES', 'A user has tried to perform an operation that requires SELECT privileges on the DBA_SQL_PROFILES view.', 'Either perform the operation as another user or get the privilege', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13843', 'no SQL profile with name like "string" exists for category like "string"', 'A user tried to perform an operation by specifying a profile name/ category filter that did not target any profiles', 'Try a different filter after checking the profile name/category', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13844', 'no new SQL profile name or category specified.', 'A user called remap_stgtab_sqlprof without specifying new values for the sql profile name or category. At least one is required.', 'Specify either a new profile name, or a new category, or both', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19551', 'device is busy, device type: string, device name: string', 'The indicated device could not be allocated because it is allocated to another session, or no device was named, or all devices of the requested type are busy.', 'Either attempt to allocate another device or wait until the required device is no longer busy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19552', 'device type string is invalid', 'The device type indicated is invalid.', 'Supply a correct device type and retry the allocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19553', 'device name string is invalid', 'The device name indicated is invalid.', 'Supply a correct device name and retry the allocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19554', 'error allocating device, device type: string, device name: string', 'The specified device could not be allocated.', 'One or more other messages should be displayed to help pinpoint the cause of the error. Correct the error and retry the allocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19555', 'invalid LOG_ARCHIVE_MIN_SUCCEED_DEST parameter value', 'The value of parameter LOG_ARCHIVE_MIN_SUCCEED_DEST was not set within the valid range.', 'Specify a correct value for parameter LOG_ARCHIVE_MIN_SUCCEED_DEST. If the archive log parameters LOG_ARCHIVE_DEST or LOG_ARCHIVE_DUPLEX_DEST are in use, set parameter LOG_ARCHIVE_MIN_SUCCEED_DEST to either 1 or 2.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19556', 'required destination LOG_ARCHIVE_DUPLEX_DEST currently is deferred', 'The destination for parameter LOG_ARCHIVE_DUPLEX_DEST was deferred when it was required to be enabled. The destination was deferred automatically when an ALTER SYSTEM command for parameter LOG_ARCHIVE_DEST defined a destination which duplicated an existing LOG_ARCHIVE_DUPLEX_DEST parameter destination.', 'Change the destination value for the LOG_ARCHIVE_DUPLEX_DEST parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19557', 'device error, device type: string, device name: string', 'An error occurred in the platform-specific device code', 'One or more other messages should be displayed to help pinpoint the cause of the error. Correct the error and retry the allocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19558', 'error de-allocating device', 'The specified device could not be de-allocated.', 'One or more other messages should be displayed to help pinpoint the cause of the error. Correct the error and retry the allocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19559', 'error sending device command: string', 'An error occurred while sending the indicated command to the session device.', 'One or more other messages should be displayed to help pinpoint the cause of the error. Correct the error and retry the allocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19560', 'string is not a valid device limit', 'An invalid type of device limit was specified in a call to DBMS_BACKUP_RESTORE.SETLIMIT.', 'Use one of the documented limits: KBYTES, READRATE, or PARALLEL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19561', 'string requires a DISK channel', 'The attempted command requires that a DISK device channel be allocated to the session, but a non-DISK device was found.', 'Deallocate the current device and allocate a DISK channel, then then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19562', 'file string is empty', 'The indicated file, which is an archived log, control file, or datafile was found to be empty during a copy, backup, or scan] operation.', 'Ensure that the correct files are being specified for the copy or backup operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19563', 'string header validation failed for file string', 'When opening the file to be placed in a copy or backup set, to be inspected, or used as the target for an incremental restore, its header was not recognized as a valid file header for a file of the indicated type (datafile, archived log, or control file) belonging to the current database.', 'Ensure that the correct files are being specified for the copy or backup operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19564', 'error occurred writing string bytes at block number string', 'An error occurred while writing to a file.', 'One or more other messages should be displayed to help pinpoint the cause of the error. Correct the error if possible, then retry the copy, backup, or restore operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19565', 'BACKUP_TAPE_IO_SLAVES not enabled when duplexing to sequential devices', 'An attempt was made to specify duplexing to sequential devices, but the BACKUP_TAPE_IO_SLAVES initialization parameter was not enabled.', 'Specify BACKUP_TAPE_IO_SLAVES=TRUE in the INIT.ORA file, or do not specify duplexing to sequential devices.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19566', 'exceeded limit of string corrupt blocks for file string', 'The user specified limit of allowable corrupt blocks was exceeded while reading the specified datafile for a datafile copy or backup.', 'None. The copy or backup operation fails. The session trace file contains detailed information about which blocks were corrupt.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19567', 'cannot shrink file string because it is being backed up or copied', 'An ALTER statement attempted to reduce the size of the indicated file while the same file is being backed up or copied.', 'Retry the resize after the backup or copy is complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19568', 'a device is already allocated to this session', 'A device cannot be allocated to a session if another device is already allocated.', 'Deallocate the current device', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19569', 'no device is allocated to this session', 'An operation was attempted which requires a device to be allocated to the current session, and there is no device allocated.', 'Allocate a device then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19570', 'file number string is outside valid range of 1 through string', 'A file number used in a copy, backup, or restore operation is not valid for the current database.', 'Specify a valid file number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19571', 'string RECID string STAMP string not found in control file', 'The input file specified for a copy or backup operation could not be opened because the record describing the file is not found in the control file.', 'Specify a correct RECID/STAMP and retry the copy or backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19572', 'cannot process file string, file is being being resized', 'The input file specified for a copy or backup operation could not be opened because the file is being resized.', 'Wait for the resize to complete then retry the copy or backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19573', 'cannot obtain string enqueue for datafile string', 'The file access enqueue could not be obtained for a file specified in a backup, copy or restore operation. If the enqueue type shown is ''shared'', then the file is the input file for a backup or copy. If the type is ''exclusive'', then the file is the output file for a datafile copy or restore which is attempting to overwrite the currently active version of that file - in this case, the file must be offline or the database must be closed. If the type is ''read-only'', then you are attempting to back up or copy this file while the database is in NOARCHIVELOG mode.', 'Wait until the conflicting operation is complete, then retry the copy or backup. If the database is in NOARCHIVELOG mode, then all files being backed up must be closed cleanly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19574', 'output file name must be specified', 'This type of copy or restore requires an output file name.', 'Specify an output file name and retry the copy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22871', 'ALTER TYPE with REPLACE is not allowed for pure incomplete types', 'An attempt to perform ALTER TYPE with REPLACE option for a pure incomplete type', 'Completely define the original type, before using the ALTER TYPE with REPLACE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22872', 'OID INDEX clause not allowed on tables with primary key based object identifiers', 'An attempt to create an OID INDEX on a table with primary key based object identifiers.', 'Remove the OID INDEX clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22873', 'primary key not specified for primary key based object table', 'An attempt to create a primary key based object table without specifying a primary key', 'Specify a primary key and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22874', 'attribute "string" is not part of the type "string"', 'Attribute specified in the user_defined clause is not an attribute of the REF type', 'Ensure that the name specified in the user_defined clause is the name of a valid attribute of the REF type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22875', 'cannot drop primary key of an object table whose object identifier is primary key based', 'An attempt to drop the primary key of an object table which has a primary key based object identifier', 'Remove the drop primary key clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22876', 'this user-defined type is not allowed or it cannot be used in this context', 'An attempt to create a kind of user-defined type which is not allowed, or an attempt to create table columns or use default constructor with a type on which these are not supported.', 'Ensure that the type is permitted in this context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22877', 'invalid option specified for a HASH partition or subpartition of a LOB column', 'One or more invalid options were encountered while parsing the physical attributes of a LOB partition or subpartition. Either the LOB partition is in a table partitioned using the HASH method, or the LOB subpartition is in a table subpartitioned using the HASH method. TABLESPACE is the only valid option for a HASH partition or subpartition.', 'Remove the invalid option(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22878', 'duplicate LOB partition or subpartition specified', 'An attempt was made to specify a partition or subpartition that has already been specified for the LOB column.', 'Remove the duplicate specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22879', 'cannot use the LOB INDEX clause for partitioned tables', 'An attempt was made to specify a LOB INDEX clause in a CREATE TABLE or ALTER TABLE statement for a partitioned table.', 'Remove the LOB INDEX clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22880', 'invalid REF', 'An invalid REF was accessed.', 'Modify the REF and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22881', 'dangling REF', 'The object corresponding to the REF that was accessed does not exist.', 'Ensure that the REF value is pointing to an existing object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22882', 'object creation failed', 'The object cannot be created in the database.', 'Check to see if the object table exists and the object size is not too big. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22883', 'object deletion failed', 'The object could not be deleted from the database.', 'Check to see if the object table exists.Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22884', 'object modification failed', 'The object could not be modified in the database.', 'Check to see if the object table exists and the object size is not too big. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22885', 'cannot get REF to a non-persistent object', 'An attempt was made to get a REF for something other than an object in an object table. REFs can only be taken for objects in object tables.', 'Rewrite the query to obtain REF values from object tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22886', 'scoped table "string" in schema "string" is not an object table', 'The scoped table specified for a REF column is not an object table.', 'Ensure that the scoped table is an object table.Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22887', 'type of REF column is not the same as that of its scoped table', 'The type specified for the REF column and the type specified for the scope table are different.', 'Ensure that the types of a REF column and its scoped table are the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22888', 'duplicate SCOPE clauses for a REF column', 'Multiple SCOPE clauses were specified for a single REF column.', 'Remove the duplicate SCOPE clauses and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22889', 'REF value does not point to scoped table', 'An attempt was made to insert a REF value that does not point to the scoped table.', 'Ensure that the REF values point to the scoped table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22890', 'cannot specify name for REF column constraint', 'An attempt was made to specify a constraint name for a constraint on a REF column.', 'Remove the constraint name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22891', 'cannot have multiple columns in REF constraint', 'An attempt was made to specify multiple columns in a single REF constraint.', 'Specify separate constraints for each column and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22892', 'scoped table "string" does not exist in schema "string"', 'The scoped table specified for a REF column does not exist.', 'Ensure that the scoped table exists and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22899', 'cannot specify both scope and rowid constraint on ref column', 'An attempt was made to specify both a scope and a rowid constraint on a REF column.', 'Remove either the rowid or scope constraint and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22900', 'the SELECT list item of THE subquery is not a collection type', 'The THE subquery must SELECT a nested table or VARRAY item.', 'change the subquery to SELECT a nested table or VARRAY item.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22901', 'cannot compare VARRAY or LOB attributes of an object type', 'Comparison of VARRAY or LOB attributes of an object type was attempted in the absence of a MAP or ORDER method.', 'Define a MAP or ORDER method for the object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22902', 'CURSOR expression not allowed', 'CURSOR on a subquery is allowed only in the top-level SELECT list of a query.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22903', 'MULTISET expression not allowed', 'MULTISET expressions are allowed only inside a CAST to a nested table or VARRAY type.', 'put the MULTISET(subquery) expression inside a CAST to a nested table or VARRAY type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22904', 'invalid reference to a nested table column', 'invalid use of a nested table column', 'remove invalid reference to the nested table column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22905', 'cannot access rows from a non-nested table item', 'attempt to access rows of an item whose type is not known at parse time or that is not of a nested table type', 'use CAST to cast the item to a nested table type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22906', 'cannot perform DML on expression or on nested table view column', 'Attempted to perform a DML on an expression or on a nested table view column where a nested table column of a base table is expected.', 'Only nested table column of a base table is allowed in the DML.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22907', 'invalid CAST to a type that is not a nested table or VARRAY', 'Attempted to CAST to a type that is not a nested table or VARRAY', 'Re-specify CAST to a nested table or VARRAY type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22895', 'referenced table "string" in schema "string" is not an object table', 'The referenced table specified for a REF column is not an object table.', 'Ensure that the referenced table is an object table.Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22896', 'cannot have both scope and referential constraint on REF column "string"', 'REF column has both a referential and a scope constraint. A referential constraint implies a scope constraint.', 'Remove either the referential or scope constraint and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22897', 'no scope clause specified for user-defined REF column "string"', 'User-defined REF column does not have a scope constraint.', 'Specify a scope constraint for the user-defined REF column and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22898', 'existing scope clause on "string" points to a table other than the one mentioned in the referential constraint', 'Table mentioned in the referential integrity constraint is different from the scope table of the REF column.', 'Specify the scope table of the REF column in the referential integrity constraint and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22923', 'amount of data specified in streaming LOB write is 0', 'Trying to write LOB value via the streaming mechanism (i.e. unlimited write) but the input amount of data to stream was specified as 0. Thus, the user is trying to write 0 bytes to the LOB value.', 'Write more than 0 bytes to the LOB value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22924', 'snapshot too old', 'The version of the LOB value needed for the consistent read was already overwritten by another writer.', 'Use a larger version pool.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22925', 'operation would exceed maximum size allowed for a LOB value', 'Trying to write too much data to the LOB value. LOB size is limited to 4 gigabytes.', 'Either start writing at a smaller LOB offset or write less data to the LOB value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22926', 'specified trim length is greater than current LOB value''s length', 'The input length for which to trim the LOB value to is greater than the current length of the LOB value.', 'May not need to trim the LOB value because it''s already smaller than the trim length specified. Or, if trimming the LOB value really is required, use a smaller trim length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22927', 'invalid LOB locator specified', 'There are several causes: (1) the LOB locator was never initialized; (2) the locator is for a BFILE and the routine expects a BLOB/CLOB/NCLOB locator; (3) the locator is for a BLOB/CLOB/NCLOB and the routine expects a BFILE locator; (4) trying to update the LOB in a trigger body -- LOBs in trigger bodies are read only.', 'For (1), initialize the LOB locator by selecting into the locator variable or by setting the LOB locator to empty. For (2) and (3), pass the correct type of locator into the routine. For (4), remove the trigger body code that updates the LOB value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22928', 'invalid privilege on directories', 'An attempt was made to grant or revoke an invalid privilege on a directory.', 'Only CREATE, DELETE, READ, WRITE and EXECUTE privileges can be granted or revoked on directories. Do not grant or revoke other privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22929', 'invalid or missing directory name', 'The required directory name is invalid or missing.', 'Specify a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22930', 'directory does not exist', 'Attempt to access a directory that does not exist.', 'Make sure the name is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22933', 'cannot change object with type or table dependents', 'Attempt to replace, drop or rename an object with type or table dependents.', 'Drop depending objects or use FORCE option if available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22936', 'cannot replace a system predefined type', 'An attempt was made to replace a system predefined type.', 'Use other names for newly created system types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22950', 'cannot ORDER objects without MAP or ORDER method', 'an object type must have a MAP or ORDER method defined for all comparisons other than equality and inequality comparisons.', 'Define a MAP or ORDER method for the object type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22951', 'NULL returned by ORDER method', 'ORDER method used to compare two object values returned NULL which is not allowed.', 'Redefine the ORDER method to not return a NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22952', 'Nested Table equality requires a map method on the element ADT', 'Nested Table equality was tried where the element ADT did not have a map method defined on it.', 'Define a map method on the element ADT..', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22954', 'This multiset operation is not supported for this element type.', 'The multiset operation attempted was not supported for the nested table element type.', 'Use a supported element type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22955', 'The cardinality parameter is not within the allowed limits', 'The cardinality parameter has to be greater than 1 and less than or equal to the cardinality of the input.', 'Give a valid cardinality value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22956', 'The set contains no elements', 'An empty set was given as input to the powermultiset function.', 'Give a non-empty set as input', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22957', 'NULL is an invalid input to powermultiset and COLLECT functions', 'NULL was given as input to the powermultiset or COLLECT function.', 'Give a non-null value as input', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22958', 'This operation is not allowed in check constraints or triggers', 'An invalid operation is used in a check constraint or trigger', 'Do not use the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22970', 'name does not correspond to an object view', 'Either the expression is not a view name or the name specified does not correspond to an object view.', 'Replace the expression with the name of an object view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22971', 'invalid datatype for PRIMARY KEY-based object identifier', 'When creating an object view, the datatype of an expression in the WITH OBJECT OID clause is not allowed for PRIMARY KEY-based OID.', 'Replace the expression with one of appropriate scalar datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22972', 'NULL value not allowed in PRIMARY KEY-based object identifier', 'A value constituting the PRIMARY KEY-based object identifier is NULL.', 'Ensure the expressions in MAKE_REF system function or attributes in the WITH OBJECT OID clause of an object view do not evaluate to NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22973', 'size of object identifier exceeds maximum size allowed', 'Size of the PRIMARY KEY-based object identifier of an object view exceeds the maximum size of 4000 bytes.', 'Specify fewer or smaller PRIMARY KEY attributes in the WITH object OID clause when creating the object view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22974', 'missing WITH OBJECT OID clause', 'WITH OBJECT OID clause is not specified when creating an object view.', 'Specify the WITH OBJECT OID clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22975', 'cannot create a PRIMARY KEY-based REF to this object view', 'The object view specified in the MAKE_REF function does not have a PRIMARY KEY-based object identifier. A PRIMARY KEY-based REF cannot be created for such a view.', 'Specify an object view that has a PRIMARY KEY-based object identifier in the MAKE_REF function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22976', 'incorrect number of arguments to MAKE_REF', 'Number of arguments for MAKE_REF is different from the number of PRIMARY KEY attributes of the object view.', 'Specify all the necessary arguments for MAKE_REF.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22977', 'missing or invalid attribute', 'Either the attribute name is missing in the WITH OBJECT OID clause or it is invalid.', 'Specify a valid attribute of the object type of the object view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13845', 'invalid SQL profile XML specification provided', 'The supplied XML specification for the SQL profile did not adhere to the proper schema.', 'Check the syntax and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13850', 'Tracing for client identifier string is not enabled', 'Attempt to disable a client identifier tracing which was never enabled', 'Supply correct client identifier', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13851', 'Tracing for client identifier string is already enabled', 'Attempt to enable a client identifier tracing which has been already enabled', 'Supply correct client identifier, or disable and re-enable tracing with different bind/wait options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13852', 'Tracing for service(module/action) string is not enabled', 'Attempt to disable a service-level tracing which was never enabled', 'Supply correct service(module/action) name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13853', 'Tracing for service (module/action) string is already enabled', 'Attempt to enable a service-level tracing which has been already enabled', 'Supply correct service(module/action), or disable and re-enable tracing with different bind/wait options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13854', 'Tracing for service(module/action) string on instance string is not enabled', 'Attempt to disable a service-level tracing which was never explicitly enabled on a specific instance', 'Supply correct service(module/action) name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13855', 'Tracing for service (module/action) string on instance string is already enabled', 'Attempt to enable a service-level tracing which has been already enabled on a specific instance', 'Supply correct service(module/action), or disable and re-enable tracing with different bind/wait options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13856', 'Service name must be specified', 'Omitting service name while enabling/disabling tracing or aggregation', 'Supply the service name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13857', 'Invalid module name', 'Module name is too long (exceeding 48 characters)', 'Supply correct name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13858', 'Invalid action name', 'Action name is too long (exceeding 32 characters)', 'Supply correct name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13859', 'Action cannot be specified without the module specification', 'Action name is specified, but the module name is not', 'Supply the module name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13860', 'Invalid service name', 'Service name is too long (exceeding 64 characters)', 'Supply correct name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13861', 'Statistics aggregation for client identifier string is already enabled', 'Attempt to enable a client identifier aggregation which has been already enabled', 'Supply correct client identifier', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13862', 'Statistics aggregation for client identifier string is not enabled', 'Attempt to disable a client identifier statistics aggregation which was never enabled', 'Supply correct client identifier', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13863', 'Statistics aggregation for service(module/action) string is not enabled', 'Attempt to disable a service-level statistics aggregation which was never enabled', 'Supply correct service(module/action) name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13864', 'Statistics aggregation for service (module/action) string is already enabled', 'Attempt to enable a service-level statistics aggregation which has been already enabled', 'Supply correct service(module/action)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13865', 'Module name must be specified', 'Attempt to enable/disable a service-level statistics aggregation without a module specification', 'Supply module name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13866', 'Client identifier must be specified', 'Omitting client identifier while enabling/disabling tracing or aggregation', 'Supply the client identifier', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13867', 'Database-wide SQL tracing is already enabled', 'Attempt to enable a database-level tracing which has been already enabled', 'Disable and re-enable tracing with different bind/wait options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13868', 'Instance-wide SQL tracing on instance string is not enabled', 'Attempt to disable a service-level tracing which was never explicitly enabled on a specific instance', 'No action required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13869', 'Instance-wide SQL tracing on instance string is already enabled', 'Attempt to enable an instance-level tracing which has been already enabled on a specific instance', 'Disable and re-enable tracing with different bind/wait options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13870', 'Database-wide SQL tracing is not enabled', 'Attempt to disable a database-level tracing which was never enabled', 'No action required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13871', 'Invalid instance name', 'Instance name is too long (exceeding 16 characters)', 'Supply correct name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13900', 'missing or invalid parameter string', 'A call to SET_THRESHOLD procedure was either missing a parameter, or the parameter was invalid.', 'Specify a valid value for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13901', 'Object string was not found.', 'An object name was passed to SET_THRESHOLD procedure that did not map to a valid object.', 'Specify a valid object name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13902', 'The specified file string is not a data file.', 'The object name was passed to a SET_THRESHOLD procedure that did not map to a valid data file.', 'Specify a valid data file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13903', 'Invalid combination of string threshold value and operator.', 'A non-positive number was used for "Blocked User Session Count" metrics while operator contains equal.', 'Use a positive number for the threshold value or use "greater than" operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13904', 'The file has been dropped and recreated during the procedure call.', 'The file on which threshold is specified was dropped and recreated during the procedure call.', 'Retry this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13905', 'Critical or warning threshold have incorrect values', 'The tablespace threshold values can be in the range 0 to 100 only.', 'Check the threshold values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13906', 'The tablepace is not of the right type.', 'An attempt was made to set a threshold on dictionary-managed tablespaces.', 'Check the tablespace type and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13907', 'Threshold value is invalid.', 'An attempt was made to specify an invalid value for critical or warning thresholds.', 'Use non-negative integers only for threshold values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13908', 'Invalid combination of metrics id and object type parameters.', 'An attempt was made to specify an invalid combination of metrics id // and object type parameters.', 'Specify a valid combination of metrics id and object type parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13909', 'Invalid combination of threshold value and operator.', 'An attempt was made to specify an invalid combination of threshold value and operator.', 'Check the operator and threshold values and reissue statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13910', 'Parameter string cannot be NULL.', 'An attempt was made to call GET_THRESHOLD procedure without a required parameter.', 'Specify a valid value for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13911', 'Threshold not found', 'The threshold did not exist with the specified threshold key.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13912', 'Critical threshold value is less than warning threshold value.', 'An attempt was made to call SET_THRESHOLD procedure with the critical threshold value less than the warning threshold value.', 'Check the threshold values and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13913', 'The threshold cannot be set when SYSAUX is offline.', 'SET_THRESHOLD procedure was called when SYSAUX tablespace was offline.', 'Call SET_THRESHOLD procedure when SYSAUX is online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13914', 'Threshold notification failed.', 'An error occurred when sending notification for this threshold.', 'Make sure you have enough space on SYSAUX tablespace and retry this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19575', 'expected string blocks in file string, found string', 'During a backup, restore, copy, or scan operation, the indicated file did not contain as many blocks as were indicated in the file header.', 'The input copy or backup piece is probably corrupt. If another backup or copy exists of the file that is being restored, then the corrupt file can be deleted from the recovery catalog and the operation can be restarted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19576', 'datafile string not defined in control file', 'The specified file number was not found in the control file.', 'Specify a correct file number and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19577', 'file string is MISSING', 'A COPYDATAFILECOPY, RESTOREDATAFILETO or PROXYRESTOREDATAFILE function specified a file number but no output file name, indicating that the output file name should be taken from the control file. However, the control file entry for this file indicates that it was created for a file that was present in the data dictionary but not named during the last CREATE CONTROLFILE statement, so the name in the control file cannot be used for restoration.', 'Either specify an output file name or issue a SQL RENAME command to enter a valid name for this file in the control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19578', 'end of volume while duplexing to sequential files, backup piece incomplete', 'An end of volume (EOV) condition was detected while duplexing to sequential files, and this condition cannot be handled currently.', 'Before retrying the backup, make sure the backup pieces will fit in the volume, or disable duplexing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19579', 'archived log record for string not found', 'No archived log record corresponding to input file could be found in the control file.', 'Specify a valid archived log file name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19580', 'string conversation not active', 'A backup or restore operation was attempted before a conversation was started.', 'Start a conversation then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19621', 'archived log range has already been specified', 'A range of logs has already been specified. Only one SCN range may be specified per conversation.', 'The restore conversation remains active and more logs may be specified by thread and sequence number, if desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19625', 'error identifying file string', 'A file specified as input to a copy or backup operation, or as the target for an incremental restore, could not be identified as an Oracle file. An OS-specific error accompanies this error to help pinpoint the problem.', 'Specify an different file and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19626', 'backup set type is string - can not be processed by this conversation', 'The data in the backup set is not compatible with the current conversation.', 'Either supply the first piece from a backup set that matches the current conversation or start a new restore conversation which can process this backup set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19627', 'cannot read backup pieces during control file application', 'This is a control file restore conversation, which is using the offline range information from one or more control files to update datafile checkpoint data. Backup sets are not used during this type of conversation.', 'The conversation is still active and more control files may be applied.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19628', 'invalid SCN range', 'The starting SCN for RESTOREREDOLOGRANGE is greater than the ending SCN.', 'Specify a starting SCN which is less than or equal to the ending SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19629', 'no files in specified archived log SCN range', 'This backup set contains no files in the specified range.', 'Either supply a backup set that contains files in the correct range or start a new conversation and specify a range which will select some files from this backup set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19630', 'end of volume encountered while copying backup piece', 'While copying a backup piece from the OS native file system to an output device, the output device encountered end-of-volume.', 'The copy fails. This could happen if a tape was used which is not large enough to hold the entire backup piece.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19631', 'archived log record contains no file name', 'This archived log record represents a switch into an active log that took place without archiving its prior contents. The prior contents of the log file are lost.', 'Specify the RECID of an archived log record that contains a file name. Fixed view v$archived_log can be used to examine the archived logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19632', 'file name not found in control file', 'The name passed to GETFNO was not found in the control file.', 'Supply a valid file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19633', 'control file record string is out of sync with recovery catalog', 'The control file record describing the file to be deleted in a call to DELETEBACKUPPIECE, DELETEDATAFILECOPY, PROXYDELETE or DELETEARCHIVEDLOG does not match the validation data supplied by recovery manager.', 'contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19634', 'file name required for this function', 'The FNAME or HANDLE parameter was not specified for DELETEPIECE, DELETEDATAFILECOPY, DELETEREDOLOG or PROXYDELETE.', 'Specify the FNAME or HANDLE parameter when calling these functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19635', 'input and output file names are identical: string', 'Identical input and output file names were specified for a datafile copy operation.', 'Specify an output file name which is different from the input file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19636', 'archived log thread string sequence string already included', 'The indicated archived log has already been specified for inclusion in this restore conversation. A restore conversation may process only one copy of any archived log.', 'No action required - the conversation is still active, and more files can be specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19637', 'BACKUPPIECECREATE requires file name when using DISK device', 'The session device is currently allocated to disk, and so a file name is required.', 'Supply a file name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19638', 'file string is not current enough to apply this incremental backup', 'The checkpoint of the target for this incremental backup is less than the start of the incremental backup. If this backup were applied, then any changes made between the datafile checkpoint and the start of the incremental backup could be lost.', 'Supply a backup set that can be applied and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19639', 'file string is more current than this incremental backup', 'The checkpoint of the target for this incremental backup is greater than or equal to the checkpoint of the file in the incremental backup set. This backup cannot advance the checkpoint of the target file, so there is no point in applying it.', 'Supply a backup set that can be applied and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19640', 'datafile checkpoint is SCN string time string', 'This message identifies the datafile checkpoint for a datafile that was too old to take an incremental backup from, or the target of an incremental restore that could not be applied.', 'See other error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19641', 'backup datafile checkpoint is SCN string time string', 'This message identifies the checkpoint of a datafile in an incremental backup set that could not be applied.', 'See other error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19642', 'start SCN of incremental backup is string', 'This message identifies the starting SCN of an incremental backup that could not be applied.', 'See other error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14155', 'missing PARTITION or SUBPARTITION keyword', 'expect either PARTITION or SUBPARTITION keyword but none was supplied', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19033', 'schema specified in the XML document does not match the schema parameter', 'When creating schema-based XML, the schema specified in the XML document is different from the schema passed in as the ''schema'' parameter.', 'Change the schema parameter to match the schema specified in the XML document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19241', 'XPDY0021 - cast to type string failed', 'The value inside a cast expression could not be cast to the required type.', 'Fix the input to the cast expression to be of a castable type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22908', 'reference to NULL table value', 'The evaluation of the THE subquery or nested table column resulted in a NULL value implying a NULL table instance. The THE subquery or nested table column must identify a single non-NULL table instance.', 'Ensure that the evaluation of the THE subquery or nested table column results in a single non-null table instance. If happening in the context of an insert statement where the THE subquery is the target of an insert, then ensure that an empty nested table instance is created by updating the nested table column of the parent table''s row specifying an empty nested table constructor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22909', 'exceeded maximum VARRAY limit', 'The total number of elements used in VARRAY construction exceeds the specified VARRAY limit.', 'Don''t use the more than the specified limit of elements for VARRAY construction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22910', 'cannot specify schema name for nested tables', 'Table name was qualified with schema name in the nested table column''s (or attribute''s) storage clause.', 'Re-specify the nested table item''s storage clause without the schema name qualification. By default, the storage table for the nested table item is created in the same schema as the containing table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22911', 'duplicate storage specification for the nested table item', 'The storage clause is specified more than once for the NESTED TABLE column.', 'Remove the duplicate storage specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22912', 'specified column or attribute is not a nested table type', 'The storage clause is specified for a column or attribute that is not a nested table column or attribute.', 'Specify a valid nested table column or attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22913', 'must specify table name for nested table column or attribute', 'The storage clause is not specified for a nested table column or attribute.', 'Specify the nested table storage clause for the nested table column or attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22914', 'DROP of nested tables not supported', 'Attempted to DROP a nested table.', 'nested tables cannot be explicitly dropped. nested tables can only be dropped by dropping their containing parent table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22915', 'cannot ALTER a nested table''s storage table to ADD/MODIFY columns', 'any such change.', 'Columns cannot be added or modified for a nested table''s storage table. You must alter the parent table''s nested table column to', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22916', 'cannot do an exact FETCH on a query with Nested cursors', 'Exact FETCH on a query was specified which is not allowed if the query returns any cursors.', 'Do not use an exact FETCH.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22917', 'use VARRAY to define the storage clause for this column or attribute', 'Not using VARRAY to define storage clause for VARRAY column or attribute.', 'Specify VARRAY before the column storage clause and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22918', 'specified column or attribute is not a VARRAY type', 'Attemp to define a VARRAY storage clause for a column or attribute which is not VARRAY type.', 'Specify VARRAY storage clause for a VARRAY column or attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22919', 'dangling REF error or lock object failed for no wait request', 'The error could be one of the following. The object corresponding to the REF does not exist or the object was locked by another user and the lock with nowait request failed.', 'Ensure that the REF value is pointing to an existing object or issue a lock request without the nowait option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22920', 'row containing the LOB value is not locked', 'The row containing the LOB value must be locked before updating the LOB value.', 'Lock the row containing the LOB value before updating the LOB value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22921', 'length of input buffer is smaller than amount requested', 'The buffer length is not big enough to hold the amount of data requested.', 'Verify that the number of bytes/characters specified in the input amount parameter is not bigger than the number of bytes specified in the input buffer length parameter. Allocate more space for the input buffer if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22922', 'nonexistent LOB value', 'The LOB value associated with the input locator does not exist. The information in the locator does not refer to an existing LOB.', 'Repopulate the locator by issuing a select statement and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22953', 'Cardinality of the input to powermultiset exceeds maximum allowed', 'The cardinality of the input nested table to the powermultiset should not exceed 32 elements', 'Reduce the number of elements to the input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23332', 'group string is in use; cannot drop', 'The given column group or priority group is being used to resolve conflicts.', 'Call dbms_repcat procedures drop_update_resolution, drop_delete_resolution, drop_unique_resolution so that the column group or priority group is no longer in use before dropping.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23333', 'column string is already part of a column group', 'Attempted to add a column to a column group when the column was already a member of a column group.', 'Drop the column from its existing column group before trying to add it to another.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23334', 'column string does not exist in table or column group', 'The given column is either null, misspelled or is not part of the given table or column group.', 'Use a column that is a member of the table or column group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23335', 'priority group string already exists', 'The priority group was already registered in the object group.', 'Use a column group name not yet registered in the object group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23336', 'priority group string does not exist', 'The priority group was already registered in the object group.', 'Use a priority group name not yet registered in the object group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23337', 'priority or value not in priority group string', 'The specified value or priority has not been registered as part of the priority group.', 'Either specify a different value or priority that is already part of the priority group, or add the value to the priority group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23338', 'priority or value already in priority group string', 'The specified value or priority has already been registered as part of the priority group.', 'Either specify a different value or priority that not already part of the priority group, or drop the value to the priority group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23339', 'duplicate conflict resolution information', 'The specified combination of column group, sequence, conflict type and/or parameter table name, parameter column name, and parameter sequence number has already been registered.', 'Verify that additional conflict resolution information needs to be added and provide a new sequence number. If modifying existing information, the existing information must be dropped first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22978', 'only simple attribute name is allowed in the WITH OBJECT OID clause', 'Attempted to specify a Nested attribute in the WITH OBJECT OID clause.', 'Specify a top-level attribute of the object type of the object view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22979', 'cannot INSERT object view REF or user-defined REF', 'Attempt to insert an object view REF or user-defined REF in a REF column created to store system generated REF values"', 'Make sure the REF to be inserted is not from an object view or from a user-defined REF column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22980', 'must specify a set of attributes for the WITH OBJECT OID clause', 'The WITH OBJECT OID DEFAULT clause was used, but the underlying view or table does not have a OID.', 'Specify attributes for the WITH OBJECT OID clause to create a primary key based object identifier for the object view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22981', 'must specify a table/view having system generated OID', 'The super-view is based on a table/view having the system generated OID and the sub-view must also be based on a similar table/view.', 'Specify table/view having system generated OID and retry the the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22982', 'cannot create sub-view under this view', 'The view derives its OID from a table/view having primary key based OID and sub-views cannot be created under such views.', 'Specify view having system generated OID or a view created with the specification of attributes in the WITH OBJECT ID clause and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22983', 'not a user-defined REF', 'Attempt to use a system generated REF value where a user-defined REF value should be used.', 'Make sure the REF value is user-defined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22984', 'view query cannot contain references to a super view', 'The query defining the view contains references to a super-view of the view being created.', 'Make sure that the view query does not reference a super-view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22990', 'LOB locators cannot span transactions', 'A LOB locator selected in one transaction cannot be used in a different transaction.', 'Re-select the LOB locator and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22991', 'insufficient space allocated for argument string', 'The data to be returned in the argument is greater than the amount of space allocated for the argument.', 'Allocate more space for the argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22992', 'cannot use LOB locators selected from remote tables', 'A remote LOB column cannot be referenced.', 'Remove references to LOBs in remote tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22993', 'specified input amount is greater than actual source amount', '(1) For LOB write, the amount of data received is different from the amount that was indicated would be sent. (2) For LOB copy and loadfromfile, the end of the source LOB/FILE value was reached before the specified input amount was copied/loaded.', '(1) will happen when using OCI''s piecewise mechanism with polling or with a callback function. Modify the code either to send the amount specified or to pass 0 as the input amount so that any amount of data can be sent. (2) will happen if the specified input amount is too large for the source LOB/FILE given the starting source offset. Either decrease the starting source offset, or decrease the amount to copy/load.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22994', 'source offset is beyond the end of the source LOB', 'The source offset for a LOB COPY or LOB LOADFROMFILE is beyond the end of the source LOB.', 'Check the length of the LOB and then adjust the source offset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22995', 'TABLESPACE DEFAULT option is invalid in this context', 'TABLESPACE DEFAULT option can be specified for LOB columns only in the following contexts:' || '<p>' || '- at the table level for a partitioned table' || '<p>' || '' || '<p>' || '- at the partition level for a composite partition. An attempt was made to use the TABLESPACE DEFAULT option in a different context.', 'Remove the TABLESPACE DEFAULT option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22996', 'NEXT extent size is smaller than LOB chunksize', 'An attempt was made to create or alter a LOB segment so that its NEXT extent size was less than the LOB chunksize', 'Specify a NEXT extent size that is greater than or equal to the LOB chunksize', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22997', 'VARRAY | OPAQUE stored as LOB is not specified at the table level', 'An attempt was made to specify a VARRAY|OPAQUE column to be stored as LOB at the partition/subpartition/template level. However the VARRAY|OPAQUE column was not specified to be stored as LOB at the table level when the table was created.', 'Specify the VARRAY | OPAQUE column to be stored as LOB at the table level when the table is created. Alternatively, do not specify the VARRAY | OPAQUE column to be stored as LOB at the partition/subpartition/template level if it is not specified at the table level when the table is created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22998', 'CLOB or NCLOB in multibyte character set not supported', 'A CLOB or NCLOB in a fixed-width or varying-width multibyte character set was passed to a SQL character function which does not support multibyte LOB data.', 'Use DBMS_LOB functions such as DBMS_LOB.INSTR() and DBMS_LOB.SUBSTR()', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-22999', 'CLOB or NCLOB data may have been corrupted', 'CLOB or NCLOB contains invalid character data. One possible cause is that the wrong csid was specified for the external file when calling DBMS_LOB.LOADCLOBFROMFILE or DBMS_XSLPROCESSOR.READ2CLOB to load CLOB or NCLOB data from external files.', 'Reload the CLOB/NCLOB data with the correct csid specified for the external file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23290', 'This operation may not be combined with any other operation', 'ALTER TABLE RENAME COLUMN/CONSTRAINT operation was given in conjunction with another ALTER TBALE Operation. This is not allowed.', 'Ensure that RENAME COLUMN/CONSTRAINT is the only operation specified in the ALTER TABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23291', 'Only base table columns may be renamed', 'Tried to rename a column of a non-base table, like object table/ nested table/ materialized view table.', 'None. This is not allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23292', 'The constraint does not exist', 'The given constraint name does not exist.', 'Give an existing constraint''s name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23293', 'Cannot rename a column which is part of a join index', 'The column participates in a join index.', 'If you need to rename the column, you need to drop the join index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23300', 'string', 'The stored procedure ''raise_system_error'' was called which causes this error to be generated.', 'Correct the problem as described in the error message or contact the application administrator or DBA for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23301', 'mixed use of deferred rpc destination modes', 'Replication catalog determined deferred RPC destinations were mixed with destination determined by other mechanisms in the same transaction.', 'Do not mix destination types in the same transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23302', 'application raised communication failure during deferred RPC', 'An application declared a communication failure during a defered RPC.', 'Retry the application when communication is restored.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23303', 'application raised generic exception during deferred RPC', 'An application declared a generic failure during a defered RPC.', 'Determined by the application', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23304', 'malformed deferred rpc at arg string of string in call string, in tid string', 'A deferred RPC call was issued without the correct number of arguments as determined by the count parameter to dbms_defer.call', 'Be sure the number of actuals matches the count.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13915', 'Critical byte based free space threshold value is greater than warning threshold value.', 'An attempt was made to call SET_THRESHOLD procedure with the bytes based critical threshold value greater than the warning threshold value.', 'Check the threshold values and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13916', 'Invalid value "string" specified for parameter "string"', 'An invalid value was specified for the the given parameter.', 'Correct the value being specified for the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13917', 'Posting system alert with reason_id string failed with code [string] [string]', 'Connection to the database is dead, or invalid parameter to alert routine.', 'If this condition repeats, please contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13918', 'Updating system alert with reason_id string failed; previous alert not found', 'System Error: An attempt to update a system alert failed. The alert was improperly cleared from WRI$_ALERT_OUTSTANDING.', 'Do not delete from WRI$_ALERT_OUTSTANDING. If this condition repeats, please contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13919', 'Cannot specify values for parameter "string" and for parameter "string"', 'Can only specify a value for one or the other.', 'Pass just one of the parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13920', 'Threshold cannot be set when database is in read-only mode.', 'SET_THRESHOLD procedure was called when database was open in read-only mode.', 'Call SET_THRESHOLD procedure when database is open in read/write mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13951', 'MMON sub-action time limit exceeded', 'MMON sub-action did not complete within the system specified time frame.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13970', 'Invalid name of "string" given', 'Passed an invalid component, report, or transformation name to the framework. Names must be alphanumeric and can contain the underscore (_) character.', 'Try again with a valid name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13971', 'string "string" unknown', 'Passed an unknown component, report, or transformation to the framework.', 'Give a different name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13972', 'string "string" unknown for string "string"', 'An object with the first name is unknown within the naming scope of the second name', 'Change the parameters passed in or register the proper object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13973', 'string unknown for string "string"', 'An object is unknown within the given naming scope', 'Change the parameters passed in or register the proper object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13974', 'string with name "string" already exists', 'An object with the given name already exists', 'Give a different name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13975', 'string with name "string" already exists for string "string"', 'An object with the first name already exists within the naming scope of the second name', 'Give a different name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13976', 'Improperly-formed report tag', 'The top-level report tag was not built properly', 'Make sure that the report tag is built using the common tag library function', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13977', 'Invalid content type', 'An invalid content type was passed to the register format API', 'Correct your code to use the values in dbmsrep.sql', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13978', 'Invalid reference string parameter or value', 'An invalid parameter/value was passed to a dbms_report API', 'Ensure that the parameter names and values are alphanumeric.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13979', 'Filename too long', 'An invalid file name was passed to STORE_FILE', 'Ensure that the filename is less than 500 bytes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13980', 'Invalid file URL', 'A URL with invalid syntax was provided, either directly to the function or via an XML IMPORT or INCLUDE.', 'Check the URL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13981', 'Invalid file URL or path prefix', 'Either a URL or path prefix with invalid syntax was provided.', 'Check the URL', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13982', 'Could not find file at URL provided', 'The file requested could not be found in the given location.', 'Check the URL provided.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13983', 'Missing <body> tag from HTML', 'An HTML document was passed to the function missing its <body> tag.', 'Check the HTML source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13984', 'Invalid reference string', 'The given reference string could not be parsed.', 'Check the reference string syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13985', 'Invalid URL provided to servlet', 'An invalid URL was provided to the servlet.', 'Check the URL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13986', 'Error \string received from XPath engine', 'An error was received from the xpath library during an xpath operation.', 'Check xmlerr.h to understand the cause of the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13987', 'Invalid input to build common <string> tag', 'Invalid input was given when attempting to build a common tag.', 'Check the function input to make sure all necessary information is given.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13988', 'Invalid input given to variable argument list report function.', 'An invalid parameter was provided to one of the report framework variable argument list functions.', 'Check the function input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13989', 'Invalid input given to structured argument list report function.', 'An invalid parameter was provided to one of the report framework structured argument list functions.', 'Check the function input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13990', 'Invalid tag name given to common tag callout function.', 'This is an internal Server Manageability Error', 'Contact Oracle Support Services', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14000', 'only one LOCAL clause may be specified', 'CREATE INDEX statement contained more than one LOCAL clause', 'Specify LOCAL option at most once', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14001', 'LOCAL clause contradicts previosly specified GLOBAL clause', 'CREATE INDEX statement contained a GLOBAL clause and a LOCAL clause', 'Specify LOCAL or GLOBAL clause, but not both', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14002', 'only one GLOBAL clause may be specified', 'CREATE INDEX statement contained more than one GLOBAL clause', 'Specify GLOBAL option at most once', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14003', 'GLOBAL clause contradicts previosly specified LOCAL clause', 'CREATE INDEX statement contained a LOCAL clause and a GLOBAL clause', 'Specify GLOBAL or LOCAL clause, but not both', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14004', 'missing PARTITION keyword', 'keyword PARTITION missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14028', 'missing AT or VALUES keyword', 'keyword AT or VALUES missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14156', 'invalid number of subpartitions specified in [SUBPARTITIONS | SUBPARTITION TEMPLATE] clause', 'number-of-subpartitions clause contained in CREATE TABLE or CREATE INDEX statement specified a number of subpartitions outside of legal range (1-1048575)', 'Specify a number between 1 and 1024K-1 in the number-of-subpartitions clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14157', 'invalid subpartition name', 'a subpartition name of the form <identifier> is expected but not present.', 'enter an appropriate subpartition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14158', 'too many subpartition descriptions', 'CREATE TABLE or CREATE INDEX contained too many subpartition descriptions; maximum number of subpartitions is 1048575.', 'Reduce number of subpartitions to not exceed 1024K-1.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14408', 'partitioned index contains subpartitions in a different tablespace', 'An attempt was made to drop a tablespace which contains indexes whose subpartitions are not completely contained in this tablespace, and which are defined on the tables which are completely contained in this tablespace.', 'find indexes with subpartitions which span the tablespace being dropped and some other tablespace(s). Drop these indexes, or move the index partitions to a different tablespace, or find the tables on which the indexes are defined, and drop (or move) them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19643', 'datafile string: incremental-start SCN is too recent', 'The incremental-start SCN which was specified when starting an incremental datafile backup is greater than the datafile checkpoint SCN, which could cause some blocks to be missed.', 'Specify a smaller incremental-start SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19644', 'datafile string: incremental-start SCN is prior to RESETLOGS SCN string', 'The incremental-start SCN which was specified when starting an incremental datafile backup is less than the RESETLOGS SCN.', 'Specify a larger incremental-start SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19645', 'datafile string: incremental-start SCN is prior to creation SCN string', 'The incremental-start SCN which was specified when starting an incremental datafile backup is less than the datafile''s creation SCN.', 'Specify a larger incremental-start SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19646', 'cannot change size of datafile string from string to string', 'Restore needs to adjust the size of the file as indicated, but the file size adjustment failed.', 'Examine the other messages which should be present to indicate the cause of the failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19647', 'non-zero LEVEL cannot be specified when INCREMENTAL is FALSE', 'BACKUPSETDATAFILE was called with a non-zero backup_level and a FALSE incremental indication.', 'Either set incremental to TRUE or change backup_level to zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19648', 'datafile string: incremental-start SCN equals checkpoint SCN', 'The incremental-start SCN which was specified when starting an incremental datafile backup is equal to the datafile''s checkpoint SCN. Since an incremental backup can only be applied to a datafile whose checkpoint SCN is between the backup set incremental-start SCN (inclusive) and the backup set checkpoint SCN (exclusive), there is no datafile that this backup set could ever be applied to.', 'Specify a smaller incremental-start SCN. NOTE that this message will usually only be encountered by the user while taking an incremental backup with Recovery Manager. Recovery Manager should intercept all usual cases of this error and simply ignore the incremental backup for this file. So, if you do encounter this error, please report it to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19649', 'offline-range record RECID string STAMP string not found in file string', 'APPLYOFFLINERANGE was called with a RECID/STAMP which was not found in the indicated control file. This probably means that the specified control file is no longer the same control file that Recovery Manager thinks it is.', 'Specify the RECID/STAMP of a record that exists in the control file copy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19650', 'Offline-range record RECID string STAMP string in file string has SCN string', 'This messages identifies the offline-clean SCN from the indicated offline-range record in the indicated file.', 'See other error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19651', 'cannot apply offline-range record to datafile string: SCN mismatch', 'APPLYOFFLINERANGE cannot apply an offline-range record to a target datafile unless the datafile''s checkpoint SCN exactly matches the offline-clean SCN in the specified offline-range record.', 'Specify an offline-range record whose offline-clean SCN matches the target datafile''s checkpoint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19652', 'cannot apply offline-range record to datafile string: file is fuzzy', 'The target datafile for an APPLYOFFLINERANGE call is fuzzy.', 'Specify a target datafile that is closed cleanly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19653', 'cannot switch to older file incarnation', 'SWITCHTOCOPY was called with a datafile copy for a datafile that was dropped prior to the time this control file was backed up.', 'Restore and mount an earlier control file. It is acceptable to use a control file that was backed up prior to the creation of the specified datafile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19654', 'must use backup control file to switch file incarnations', 'This SWITCHTOCOPY operation is attempting to switch incarnations of a datafile, but the currently mounted control file is not a backup control file.', 'Restore and mount a backup control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19655', 'cannot switch to incarnation with different RESETLOGS data', 'This SWITCHTOCOPY operation is attempting to switch to a datafile which comes from a different RESETLOGS version of the database.', 'Either restore a backup control file that was taken from the same database version as the target datafile copy, or switch to a different datafile copy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19656', 'cannot backup, copy, or delete online log string', 'The indicated log file is an active log. You can only backup, copy, or delete archived logs.', 'The indicated log file cannot be processed - select another file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19657', 'cannot inspect current datafile string', 'The file being inspected is already part of the currently mounted database.', 'None - the file is already part of the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19658', 'cannot inspect string - file is from different RESETLOGS', 'The RESETLOGS data in the log file being inspected does not match that in the currently mounted control file.', 'The indicated file cannot be processed - inspect another file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19659', 'incremental restore would advance file string past RESETLOGS', 'This incremental backup cannot be applied to the specified datafile, because the datafile is from an earlier incarnation of the database, and its checkpoint would be advanced too far to be recoverable in the current incarnation of the database.', 'This incremental cannot be applied to this datafile. If you wish to recover the file to the RESETLOGS SCN so that the database can be opened with the RESETLOGS option, then you must use redo-log recovery, not incremental restore, to continue recovering this file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19660', 'some files in the backup set could not be verified', 'A restore conversation was made to verify all the files in a backup set, and the files which were printed in messages 19661 or 19662 could not be verified because corrupt blocks for those files were found in the backup set.', 'Unless the damage to the backup set can be repaired, the indicated files cannot be restored from this backup set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19661', 'datafile string could not be verified', 'Some data blocks for the indicated datafile were corrupt in the backup set.', 'Unless the damage to the backup set can be repaired, the indicated datafile cannot be restored from this backup set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19662', 'archived log thread string sequence string could not be verified', 'Some data blocks for the indicated archived log were corrupt in the backup set.', 'Unless the damage to the backup set can be repaired, the indicated archived log cannot be restored from this backup set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19663', 'cannot apply current offline range to datafile string', 'An attempt was made to apply the current offline range to the specified datafile, but the datafile is either not current enough or is not at the correct SCN to apply the offline range.', 'The datafile remains unchanged.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19664', 'file type: string, file name: string', 'This message is issued to identify the file which is the subject of an error.', 'None - this is an informational message. There should be other Oracle messages explaining the cause of the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19665', 'size string in file header does not match actual file size of string', 'The size of the file as indicated in the file header does not match the true size of the file. The two differing sizes are shown in units of logical blocks.', 'This file is not usable - it has most likely been truncated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23340', 'incorrect resolution method string', 'User function is specified when conflict resolution method was not "USER FUNCTION" or specified resolution method is not one of the predefined methods.', 'If user function is specified when conflict resolution method was not "USER FUNCTION", either reregister function with method as "USER FUNCTION" or specify a NULL user function. Otherwise Specify one of the documented supported conflict resolution methods.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23341', 'user function required', 'A NULL user function was specified for the "USER FUNCTION" method.', 'Provide user function name (e.g., "schema"."package"."function") that conforms to the documented user function specifications or specify one of the documented supported conflict resolution methods.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23342', 'invalid parameter column string', 'The parameter column name is null or misspelled, the invocation database is not a master, or is of the wrong type for the specified conflict resolution method.', 'Specify a parameter column from the specified column group that has a correct type for the conflict resolution method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23343', 'no match for specified conflict resolution information', 'The specified combination of column group, sequence, conflict type has not been registered (e.g., for adding a comment).', 'Specify a combination of column group, sequence, conflict type has been registered.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23344', 'constraint (string.string) does not exist', 'A null, misspelled or nonexistent constraint was specified when registering a uniqueness conflict.', 'Register a named constraint for the specified table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23345', 'table "string"."string" not registered to collect statistics', 'A procedure that deals with conflict resolution statistics-gathering was called for a table that was not registered to collect statistics.', 'Call dbms_repcat.register_statistics to register the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23346', 'primary key or object ID is undefined for table or materialized view string', 'Trying to generate replication support for a table or materialized view without a primary key (as defined by a constraint or dbms_repcat.set_columns) or an object ID.', 'For a table, add a primary key constraint or define a primary key using dbms_repcat.set_columns or use object tables. For a ROWID materialized view, set min_communication to false or use primary key or object ID materialized views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23347', 'datatype string for column string table string not supported', 'The table has a column whose datatype is not supported by repcat.', 'Remove the column from the table, or alter the column to have one of the supported datatypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23348', 'cannot replicate procedure string; only IN parameters supported', 'Trying to generate replication support for a package that has a procedure with OUT or IN OUT parameters.', 'Remove the procedure from the package, or remove the OUT or IN OUT parameters from the procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23349', 'cannot generate replication support for functions', 'Trying to generate replication support for a package that has a public function, or for a stand-alone function.', 'Remove the public function from the package, or alter the function to be a procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23350', 'maximum number of recursive calls exceeded', 'This usually occurs when trying to resolve conflicts in a table while concurrent updates to the same row create more conflicts.', 'Re-execute the deferred transaction from DefError using dbms_defer_sys.execute_error', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23351', 'parameter datatype string for procedure string not supported', 'The procedure has a parameter whose datatype is not supported by repcat.', 'Remove the parameter from the procedure, or alter the parameter to have one of the supported datatypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23352', 'duplicate destination for deferred transaction', 'A duplicate destination was specified for a deferred transaction either in a dbms_defer.call call or an earlier dbms_defer.transaction call or a dbms_defer_sys.add_default_dest call.', 'Remove the duplicate entry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23353', 'deferred RPC queue has entries for object group "string"."string"', 'The requested action cannot be performed until the queue is empty for the given object group', 'Use dbms_defer_sys.execute or dbms_defer_sys.delete_tran to empty the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23354', 'deferred RPC execution disabled for "string" with "string"', 'Deferred RPC can not be executed at the destination with the specified catchup value because their propogation has been disabled.', 'Enable deferred RPC execution with the dbms_defer_sys.set_disabled call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23355', 'object string.string does not exist or is invalid at master site', 'The given name was null or misspelled, the given type was wrong, the object does not exist as a valid database object at the master site, or the object does not exist as a replicated object with the appropriate status.', 'Ensure the object is valid in the master database, and is visible to the user, and, if appropriate, is a valid object in all_repobject.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23356', 'masterdef recognizes a master which does not recognize the masterdef', 'Possibly drop_master_repgroup was run at a master site but remove_master_databases was not run at master definition site for that master.', 'Run remove_master_databases from master definition site to remove the appropriate master (see associated error messages).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23357', 'the propagator does not exist', 'The propagator does not exist.', 'Register a new propagator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23358', 'invalid remote user', 'The local user does not match the remote user connected via a database link.', 'Drop and recreate the identified database link with the connect-to user identical to the owner of the database link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23359', 'error on creating a ddl record for a repcatlog record', 'The userid in the repcatlog record does not match the userid of the connected user.', 'Retry the operation with a different user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23360', 'only one materialized view for master table "string" can be created', 'Trying to create more than one materialized view on a given master table in the same rep group.', 'Create these other materialized views in a different rep group at another site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23361', 'materialized view "string" does not exist at master site', 'The materialized view does not exist at the master site for offline instantiation of the materialized view.', 'The correct procedure is to create the materialized view in a different schema at the master site, and then follow the instructions for offline instantiation of materialized views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23362', 'invalid user', 'The given user does not exist.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23363', 'mismatch of mview base table "string" at master and mview site', 'The name of the base table of the materialized view at the master site is different from the base table at the materialized view site. This error may arise during offline instantiation of materialized views.', 'Retry offline instantiation with a materialized view name less than 24 bytes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23364', 'Feature not enabled: Advanced replication', 'The Advanced Replication feature is not enabled at this site. Updatable materialized views, deferred RPCs, and other replication features are, therefore, unavailable.', 'Do not attempt to use this feature. Contact an Oracle Customer Support representative if the Advanced Replication feature has been purchased but not enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23305', 'internal deferred RPC error: string', 'An internal error occurred in deferred rpc.', 'Report the error and other information to support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23306', 'schema string does not exist', 'The schema name was null or misspelled, or the schema does not exist locally.', 'Specify the schema correctly, or create it with CREATE USER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23307', 'replicated schema string already exists', 'The given database already replicates the given schema.', 'Choose a different schema or a different database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23308', 'object string.string does not exist or is invalid', 'The given name was null or misspelled, the given type was wrong, the object does not exist as a valid database object, or the object does not exist as a replicated object with the appropriate status.', 'Ensure the object is valid in the database, is visible to the user, and, if appropriate, is a valid object in all_repobject.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23309', 'object string.string of type string exists', 'An object in the same namespace exists, perhaps with a different type or shape, or the same object has already been registered as an repobject in another object group.', 'Remove the offending object with the SQL DROP command, unregister the offending object with dbms_repcat.drop_master_repobject(), or reinvoke the request using TRUE for a boolean parameter such as retry or use_existing_object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23310', 'object group "string"."string" is not quiesced', 'The requested operation requires the object group to be suspended.', 'Invoke suspend_master_activity at the repgroup''s masterdef, wait until the status has changed to quiesced, and then retry the original request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23312', 'not the masterdef according to string', 'The group name is null, the group name is misspelled, the invocation or given database is not the masterdef, or one of the masters does not believe the invocation database is the masterdef.', 'If the given group name and masterdef were both correct, connect to the masterdef and retry the request, or relocate the masterdef at the (errant) databases using relocate_masterdef.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23313', 'object group "string"."string" is not mastered at string', 'The group name is null, the group name is misspelled, the invocation database is not a master, or the invocation database does not believe the given database is a master.', 'If the given group name was correct, connect to a current master and retry the request, make the invocation database a master with add_master_database, or use switch_mview_master if the invocation database is a materialized view site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23314', 'database is not a materialized view site for "string"."string"', 'The invocation database is not a materialized view database for the given object group.', 'Connect to the desired materialized view database and retry the request, or make the invocation database a materialized view site with create_mview_repschema or create_mview_repgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23315', 'repcatlog version or request string is not supported by version string', 'Either incompatible repcat versions are used, or a repcatlog record has been corrupted.', 'Convert the master to a compatible version of repcat or retry the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23316', 'the masterdef is string', 'The requested operation is not permitted on a masterdef site.', 'Relocate the masterdef to another master and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23317', 'a communication failure has occurred', 'The remote database is inaccessible.', 'Ensure the remote database is running, the communications network is functioning, and the appropriate database links are present.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23318', 'a ddl failure has occurred', 'User-supplied or system-generated ddl did not execute successfully.', 'Examine ddl, database state, repcatlog, and all_errors to determine why the failure occurred.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23319', 'parameter value string is not appropriate', 'The given value of a parameter is either null, misspelled, or not supported.', 'Refer to the documentation and use parameter values that are appropriate for the given situation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23320', 'the request failed because of values string and string', 'A missing ddl record for a repcatlog record, or inconsistency in repcat views.', 'Retry the request, or make the views consistent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23321', 'Pipename may not be null', 'You called dbms_pipe with a null pipe name.', 'Find out the name of the pipe and call function with non-null pipename.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23322', 'Privilege error accessing pipe', 'You either tried to create a pipe that already existed and belonged to someone else, or remove a pipe that you were not authorized to use, or put a message into a pipe that you were not authorized for, or get a message from a pipe that you were not authorized for.', 'You may have to use a different pipename.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23323', 'parameter length exceeds deferred RPC limits', 'A deferred rpc parameter was longer than the deferred rpc limits of 4000 bytes for char/varchar2 parameters and 2000 bytes for raw parameters.', 'Use smaller parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23324', 'error string, while creating deferror entry at "string" with error string', 'The given error was encountered while attempting to create a deferor entry for the give error code and the give database.', 'Correct the cause of the given error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23325', 'parameter type is not string', 'A conflict resolution priority function was given a type different than the type assigned to the priority group; or the priority group has no type assigned or a function; or dbms_defer_sys_query was called to retrieve a deferred rpc parameter from the deferred rpc queue, but the type of the parameter does not match the return type of the function.', 'Use the function corresponding to the parameter type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23326', 'object group "string"."string" is quiesced', 'Either suspend_master_activity has been called before the object group has resumed normal operation or a (deferred) rpc operation was attempted while the object group was quiesced.', 'If suspend_master_activity has been called and a resume_master_activity request is pending, wait until it completes, and then reinvoke suspend_master_activity. Otherwise, resume database activity with the resume_master_activity call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23327', 'imported deferred rpc data does not match string of importing db', 'Deferred rpc queues were imported from a database with a different global name or operating system than importing database.', 'Deferred rpc data should only be imported into a database with the same global name and hardware and operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23328', 'mview base table "string"."string" differs from master table "string"."string"', 'When creating a materialized view through repcat, the materialized view base table name did not match a replicated table name at the master.', 'Change the materialized view ddl to use the same base table as the replicated table name at the master.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23329', 'successful user-provided ddl but no materialized view "string"."string"', 'The DDL provided by the user to create a materialized view was executed without error, but materialized view does not exist.', 'Manually back-out the DDL, and reregister with matching ddl and materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23330', 'column group string already exists', 'The column group was already registered in the object group.', 'Use a column group name not yet registered in the replicated object group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14409', 'inserted partition key is outside specified subpartition', 'the concatenated partition key of an inserted record is outside the ranges of the two concatenated subpartition bound lists that delimit the subpartition named in the INSERT statement', 'do not insert the key or insert it in another subpartition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14411', 'The DDL cannot be run concurrently with other DDLs', 'Another conflicting DDL was already running.', 'Retry after the conflicting DDL has finished.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14450', 'attempt to access a transactional temp table already in use', 'An attempt was made to access a transactional temporary table that has been already populated by a concurrent transaction of the same session.', 'do not attempt to access the temporary table until the concurrent transaction has committed or aborted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14451', 'unsupported feature with temporary table', 'An attempt was made to create an IOT, specify physical attributes, specify partition or parallel clause.', 'do not do that.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14452', 'attempt to create, alter or drop an index on temporary table already in use', 'An attempt was made to create, alter or drop an index on temporary table which is already in use.', 'All the sessions using the session-specific temporary table have to truncate table and all the transactions using transaction specific temporary table have to end their transactions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14463', 'OPERATIONS keyword not specified', 'OPERATIONS keyword was not specified in the Compression Clause.', 'specify OPERATIONS in the Compression Clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14464', 'Compression Type not specified', 'Compression Type was not specified in the Compression Clause.', 'specify Compression Type in the Compression Clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14500', 'LOCAL option not valid without partition name', 'Incorrect syntax specified', 'Retry the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14501', 'object is not partitioned', 'Table or index is not partitioned. Invalid syntax.', 'Retry the command with correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14503', 'only one partition name can be specified', 'More than one partition name has been specified for analyze', 'Specify one partition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14504', 'syntax not supported for analyze', 'A partition/subpartition number or bind variable has been used', 'Specify a valid partition/subpartition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14505', 'LOCAL option valid only for partitioned indexes', 'Incorrect syntax specified', 'Retry the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14506', 'LOCAL option required for partitioned indexes', 'Incorrect syntax specified', 'Retry the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14507', 'partition corrupt. all rows do not fall within partition bounds', 'The partition contains rows which should really be in some other partition. Possibly due to an exchange partition without validation', 'Delete rows in partition which do not qualify', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14508', 'specified VALIDATE INTO table not found', 'The specified table either does not exist or user does not have the proper privleges.', 'Specify the correct table to use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14509', 'specified VALIDATE INTO table form incorrect', 'The specified table does not have the proper field definitions.', 'Specify the correct table to use. See utlvalid.sql for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14510', 'can specify VALIDATE INTO clause only for partitioned tables', 'The VALIDATE INTO has been specified for a non partitioned table or cluster or index.', 'Use syntax correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14511', 'cannot perform operation on a partitioned object', 'An attempt was made to perform an operation that is not allowed on partitioned tables or indexes.', 'Retry the command with correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14512', 'cannot perform operation on a clustered object', 'An attempt was made to perform an operation that is not allowed on clustered tables or indexes.', 'Retry the command with correct syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14513', 'partitioning column may not be of object datatype', 'Partitioning column specified by the user was an object datatype (object, REF, nested table, array) which is illegal.', 'Ensure that no partitioning column is an object datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14514', 'LOCAL option not valid without subpartition name', 'Incorrect syntax specified', 'Retry the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14515', 'only one aubpartition name can be specified', 'More than one subpartition name has been specified for analyze', 'Specify one subpartition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14516', 'subpartition corrupt. all rows do not fall within subpartition bounds', 'The subpartition contains rows which should really be in some other subpartition. Possibly due to an exchange subpartition without validation', 'Delete rows in subpartition which do not qualify', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14517', 'subpartition of index ''string.string'' is in unusable state', 'An attempt has been made to access an index subpartition that has been marked unusable by a direct load or by a DDL operation', 'REBUILD the unusable index subpartition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14518', 'partition contains rows corresponding to values being dropped', 'table partition contains rows for the values being dropped.', 'DELETE all rows for the values being dropped and reissue statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14519', 'Conflicting tablespace blocksizes for string string: Tablespace string block size string [string] conflicts with previously specified/implied tablespace string block size string [string]', 'An attempt has been made to create a partitioned object in a manner that would require the partitioned object to span tablespaces of more than one block size.', 'Ensure that all tablespaces specified in the DDL command for the given object as well as any tablespaces implicitly assigned to partitions or subpartitions of the object being created are all of the same block size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14520', 'Tablespace string block size [string] does not match existing object block size [string]', 'A DDL statement was issued that would require a tablespace of a block size different from the block size of the specified partitioned object to be assigned either: (1) As the object''s default tablespace (or one of the object''s partition-level default tablespaces, if composite partitioning is being used) OR (2) To one of the object''s partitions/subpartitions.', 'Specify a tablespace of the same block size as the partitioned object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14521', 'Default tablespace string block size [string] for string string does not match existing string block size [string]', 'A DDL statement was issued that would require creation of a new partition/subpartition in the object-level default tablespace of an existing partitioned object. However, the object-level default tablespace block size does not match the block size of the partitioned object.', 'Either (1) Modify the default tablespace of the partitioned object to a tablespace of the same block size as the object and then retry the DDL command, OR (2) Ensure that tablespaces of the correct block size are specified for all new partitions/subpartitions being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19666', 'cannot do incremental restore of the control file', 'The control file was included in an incremental restore conversation', 'If you wish to restore the control file, you must do a full restore of the control file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19667', 'cannot do incremental restore of datafile string', 'The backup of the datafile is a full backup', 'If you wish to restore the datafile, you must do a full restore of the datafile', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19668', 'cannot do full restore of datafile string', 'The backup of the datafile is an incremental backup', 'If you wish to restore the datafile, you must do an incremental restore of the datafile', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19669', 'proxy copy functions cannot be run on DISK channel', 'A proxy copy procedure was called, but the device which is allocated to the current session has type DISK.', 'Allocate a non-DISK channel and retry the operation. Note that proxy copy requires a 3rd-party media management software product that supports the this backup/restore feature.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19670', 'file string already being restored', 'A proxy restore function has already named this file as a restore destination.', 'Use a different file name. If this message occurs during a recovery manager job, then this is an internal error in recovery manager, and you should contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19671', 'media management software returned invalid proxy handle', 'During a proxy backup or restore, the media management software returned an invalid file handle.', 'This is an internal error in the media management software which is linked with Oracle to provide backup/restore services. Contact the media management software vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19672', 'media management software returned invalid file status', 'During a proxy backup or restore, the media management software returned an invalid file status.', 'This is an internal error in the media management software which is linked with Oracle to provide backup/restore services. Contact the media management software vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19673', 'error during proxy copy of file string', 'During a proxy backup or restore, an error occurred while copying this file, but other files may have been copied successfully.', 'There should be other errors on the error stack which explain why the file could not be successfully copied.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19674', 'file string is already being backed up with proxy copy', 'Recovery manager attempted to back up the specified file with proxy copy, but the file is already being backed up by another recovery manager job.', 'Wait until the other recovery manager backup of this file is complete, then retry the backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19675', 'file string was modified during proxy copy', 'A proxy backup of the specified file failed because the file was brought on-line or otherwise modified while the proxy backup was in progress. This file was off-line or read-only when the backup began, so the file was not put into hot-backup mode, therefore no modifications are permitted while the backup is in progress.', 'Take another backup of this file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19676', 'one or more files failed during proxy backup or restore', 'During a proxy backup or restore, errors were encountered while processing some files. The files for which no error messages are shown were processed successfully.', 'Examine the messages regarding the specific files to determine the cause of the problems.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19677', 'RMAN configuration name exceeds maximum length of string', 'The configuration name string exceeds maximum length.', 'Supply a correct configuration name and retry the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19678', 'RMAN configuration value exceeds maximum length of string', 'The configuration value string exceeds maximum length.', 'Supply a correct configuration value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19679', 'RMAN configuration number string is outside valid range of 1 through string', 'An invalid RMAN Configuration number was specified.', 'Specify a correct datafile number and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19680', 'some blocks not recovered. See trace file for details', 'Some blocks are not recovered during block media recovery.', 'See trace files for details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19681', 'block media recovery on control file not possible', 'file number 0 specified in block media recovery', 'check file number', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19682', 'file string not in block media recovery context', 'Internal error', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19683', 'real and backup block size of file string are unequal', 'block size changed between backup & real file', 'use right backup', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19684', 'block media recovery failed because database is suspended', 'Database is suspended, probably by an ALTER SYSTEM SUSPEND statement', 'Execute ALTER SYSTEM RESUME then retry block media recovery', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19685', 'SPFILE could not be verified', 'Some data blocks for the SPFILE were corrupt in the backup set.', 'Unless the damage to the backup set can be repaired, the SPFILE cannot be restored from this backup set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19686', 'SPFILE not restored due to string', 'The indicated file could not be restored, because some of its data blocks were not found in the backup piece.', 'Unless the damage to the backup set can be repaired, the SPFILE cannot be restored from this backup set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19687', 'SPFILE not found in backup set', 'The SPFILE could not be restored, because it is not in this backup set.', 'This message is issued when the directory from the first backup piece is read and one or more files named for restoration were not found in the piece. You must supply the first backup piece of a backup set that contains the requested file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19688', 'control file AUTOBACKUP format(string) for string does not have %F', 'control file AUTOBACKUP format must contain %F for the device.', 'Change control file format using RMAN command CONFIGURE CONTROLFILE BACKUP FORMAT FOR DEVICE TYPE <type> TO <format>.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19689', 'cannot have more than one %F in control file AUTOBACKUP format(string) for string', 'control file AUTOBACKUP format contains more than one %F for the device.', 'Change control file format using RMAN command CONFIGURE CONTROLFILE BACKUP FORMAT FOR DEVICE TYPE <type> TO <format>.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19690', 'backup piece release string incompatible with Oracle release string', 'The backup piece was created by incompatible software.', 'Either restart with a compatible software release or create another backup using the current release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19691', 'string is from different database: id=string, name=string', 'The database name or database id in backup piece header does not match the one in control file.', 'Supply the correct backup piece belonging to this database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19692', 'missing creation stamp on piece string', 'The backup piece doesn''t have information about creation stamp.', 'Supply another backup piece which is created by oracle 9i or later version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19693', 'backup piece string already included', 'This backup piece was already specified for inclusion in the restore conversation. A restore conversation may process only a single instance of a backup piece.', 'Remove the specified duplicate backup piece in restore steps and restart the conversation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23365', 'site string does not exist', 'site specified in argument "reference_site" or argument "comparison_site" in call to "differences()" routine or "rectify()" routine does not name an existing site.', 'Make sure that database sites specified really do exist, and re-run the routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23366', 'integer value string is less than 1', 'Value of argument "max_missing" to routine "differences()" cannot be less than 1. Value of argument "commit_rows" to routines "differences()" and "rectify()" cannot be less than 1.', 'Choose an integer value for those arguments to be 1 or greater.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23367', 'table string is missing the primary key', 'Table specified in argument "oname1" or "oname2" in call to "differences()" routine does not contain either a primary key or a virtual primary key (defined through dbms_repcat package under symmetric replication).', 'Make sure the tables specified have a primary key defined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23368', 'name string cannot be null or the empty string', 'Argument "sname1," "sname2," "oname1," "oname2," "missing_rows_sname," "missing_rows_oname1," "missing_rows_oname2" to "differences()" or "rectify()" cannot be NULL or '''' (empty string).', 'Change argument to non-null or non-empty string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23369', 'value of "string" argument cannot be null', 'Argument "max_missing" to "differences()" routine cannot be NULL.', 'Legal values for "max_missing" are integers 1 or greater.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23401', 'materialized view "string"."string" does not exist', 'A materialized view name was given to dbms_mview.refresh that is not in sys.snap$ or its associated views.', 'Provide a materialized view name that is in sys.snap$, all_mviews or user_mviews.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23402', 'refresh was aborted because of conflicts caused by deferred txns', 'There are outstanding conflicts logged in the DefError table at the materialized view''s master.', 'Resolve the conflicts in the master DefError table and refresh again after the table is empty. Alternatively, refresh with refresh_after_errors set to TRUE, which will proceed with the refresh even if there are conflicts in the master''s DefError table. Proceeding despite conflicts can result with an updatable materialized view''s changes appearing to be temporarily lost (until a refresh succeeds after the conflicts are resolved).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23403', 'refresh group "string"."string" already exists', 'Making a new refresh group when there is already a group of the same name in sys.rgroup$.', 'Choose a diifferent refresh group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23404', 'refresh group "string"."string" does not exist', 'A refresh group name was given that is not in sys.rgroup$.', 'Provide a refresh group name that is in sys.rgroup$ or dbs_rgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23405', 'refresh group number string does not exist', 'A refresh group number was given that is not in sys.rgroup$.', 'Provide a refresh group number that is in sys.rgroup$ or dbs_rgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23406', 'insufficient privileges on user "string"', 'The caller is not the owner of the materialized view and does not have ALTER ANY MATERIALIZED VIEW privileges.', 'Perform the operation as the owner of the materialized view or as a user with ALTER ANY MATERIALIZED VIEW privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23407', 'object name string must be shaped like "schema"."object" or "object"', 'The object name (e.g., the rollback segment, the materialized view name, the refresh group) was incorrectly specified.', 'Retry the operation with the object name properly specified (like "schema"."object" or "object")', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23408', 'this replication operation is not supported in a mixed configuration', 'operation is not supported if the object group is replicated at a pre-V8 node.', 'Ensure that all nodes of the replicated object group are V8.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23409', 'could not find an unused refresh group number', '1000 consecutive refresh group numbers, as defined by the rgroupseq number, were already used by rows in sys.rgroup$.', 'Alter the sequence number to be within a legal unused range and destroy unneeded refresh groups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23410', 'materialized view "string"."string" is already in a refresh group', 'A materialized view of the same name is already in a refresh group.', 'Subtract the materialized view from the current refresh group and add it to its new refresh group, or combine the two refresh groups into a single refresh group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23411', 'materialized view "string"."string" is not in refresh group "string"."string"', 'The specified materialized view is not in the specified refresh group.', 'Try again with the proper materialized view and refresh group names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23412', 'master table''s primary key columns have changed', 'The master table''s primary key constraint was modified after the primary key materialized view was created.', 'Drop and recreate the primary key materialized view', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23413', 'table "string"."string" does not have a materialized view log', 'The fast refresh can not be performed because the master table does not contain a materialized view log.', 'Use the CREATE MATERIALIZED VIEW LOG command to create a materialized view log on the master table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23414', 'materialized view log for "string"."string" does not record rowid values', 'A rowid materialized view is being fast refreshed, but the materialized view log does not record rowid information.', 'Use the CREATE MATERIALIZED VIEW LOG...ADD ROWID command to begin recording rowid information in the materialized view log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23415', 'materialized view log for "string"."string" does not record the primary key', 'A primary key materialized view is being fast refreshed, but the materialized view log does not record primary key information.', 'Use the CREATE MATERIALIZED VIEW LOG...ADD PRIMARY KEY command to begin recording primary key information in the materialized view log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23416', 'table "string"."string" does not contain a primary key constraint', 'The master table does not constaint a primary key constraint or the primary key constraint has been disabled.', 'Create a primary key constraint on the master table or enable the existing constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23417', 'unknown materialized view type: string', 'A fast refresh is being performed on a materialized view of an unknown or unsupported type.', 'Check all_mviews and ensure that the materialized view being refreshed a valid materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23418', 'cannot unregister the propagator who is currently in use', 'The propagator is currently used in propagating replication RPCs.', 'Try again later when there is no transaction active in propagating replication RPCs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23419', 'regenerate replication support before resuming master activity', 'There are tables in the object group that require regeneration of replication support.', 'Check the generation_status column in the all_repobjects view. Regenerate replication support for any table in the object group with a ''NEEDSGEN'' status. Resume master activity.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23420', 'interval must evaluate to a time in the future', 'The parameter "interval" evaluates to a time earlier than SYSDATE.', 'Choose an expression that evaluates to a time later than SYSDATE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23421', 'job number string is not a job in the job queue', 'There is no job visible to the caller with the given job number.', 'Choose the number of a job visible to the caller.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23331', 'column group string does not exist', 'The given column group is either null, misspelled or not registered.', 'Use a registered column group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23370', 'table string and table string are not shape equivalent (string)', 'The tables specified are not shape equivalent, which means intuitively that the number of columns, the names, their datatypes and lengths are not the same. Specifically, problem is in the parentheses and is one of the following: the number of columns are not equal, datatypes of columns with same name in different tables are different, lengths of varchar2 and char columns are not equal, precision and scale of number datatypes are not equal.', 'Make sure the two tables being compared have the same number of columns, same column names, and same datatypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23371', 'column string unknown in table string', 'Some column in "array_columns" argument (or "column_list" argument) to "differences()" routine does not correspond to a column in the specified table.', 'Make sure that all the columns in either "array_columns" or "column_list" are present in the specified table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23372', 'type string in table string is unsupported', 'Certain types in the table comparison utility are not supported.', 'Make sure that the types of columns in the tables to be compared are the ones supported by symmetric replication.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23373', 'object group "string"."string" does not exist', 'The group name was null or misspelled, or the group does not exist locally.', 'Specify the group correctly, or create it with dbms_repcat.create_master_repgroup().', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23374', 'object group "string"."string" already exists', 'The given database already replicates the given object group. A materialized view repgroup cannot be created at a given site where a master repgroup with the same name already exists.', 'Choose a different group or a different database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23375', 'feature is incompatible with database version at string', 'A feature not compatible with the specified database was used', 'Set or raise the value of the "compatible" INIT.ORA parameter to match the necessary compatibility level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23376', 'node string is not compatible with replication version "string"', 'A feature not compatible with the remote database was used', 'Upgrade the remote database and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23377', 'bad name string for missing_rows_oname1 argument', 'An attempt was made to use the name of the reference site table as the name of the missing_rows_oname1 argument.', 'Provide a separately created table with a different name for missing_rows_oname1 argument. The separately created table will contain the differences between the tables being compared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23378', 'connection qualifier "string" is not valid for object group "string"."string"', 'The connection qualifier used in the database link for the specified object group does not match the qualifier specified for the group in create_master_repgroup.', 'Use or create a database link which contains the correct connection qualifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23379', 'connection qualifier "string" is too long', 'The maximum length of a database link, including the connection qualifier, is 128 bytes.', 'Use a shorter connection qualifier, or shorten the name of the database link', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23380', 'propagation mode "string" is not valid', 'The specified propagation may be misspelled, or is not supported. For materialized view sites, all materialized view object groups at the same materialized view site with the same master object group must all have the same propagation method.', 'Refer to the manual on replicated data for valid propagation modes. For materialized view sites, also ensure that the propagation modes of all materialized view object groups with the same master object group are the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23381', 'generated object for base object string.string@string does not exist', 'The system generated object(s) for the specified base object do not exist at the specified site. The current operation requires the base object to have generated replication support.', 'Ensure that the generated replication object(s) for the base object exist and are valid at the specified site. If the generated object(s) do not exist, then the procedure dbms_repcat.generate_replication_support() needs to be called from the master definition site for the base object. missing_rows_oname1 argument. The separately created table will contain the differences between the tables being compared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23382', 'materialized view repgroup "string"."string" is not registered at site string', 'The materialized view repgroup is not currently registered at the master and so cannot be unregistered.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23383', 'registration for materialized view repgroup "string"."string" failed at site string', 'Insertion into local repschema table failed.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23384', 'replication parallel push string argument out of range', 'Specified numeric argument to dbms_defer_sys.push is invalid.', 'Fix the argument value and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23385', 'replication parallel push string argument not valid', 'Specified string argument to dbms_defer_sys.push is invalid.', 'Fix the argument value and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23386', 'replication parallel push cannot create slave processes', 'An error was occurred while creating slave processes for parallel push.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23387', 'replication parallel push dequeue error', 'An attempt to dequeue a deferred transaction failed while trying to assign a new queue batch number.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23388', 'replication parallel push watermark error', 'An error occurred during parallel push while trying to update the high-water-mark information in system.def$_destination.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23389', 'obsolete procedure; drop objects and recreate using new master', 'dbms_repcat.switch_mview_master is no longer supported.', 'Drop the objects in the object group and recreate them using the new master.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23392', 'could not find materialized view to be associated with "string"."string"', 'Could not find materialized view associated with a trigger or index that is being pulled from the master site.', 'Ensure that materialized view, master, and master index or trigger is registered as replicated objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23393', 'the user is already the propagator', 'The given user is already the current propagator.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23394', 'duplicate propagator', 'More than one valid propagator exist.', 'Unregister any duplicate propagator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23395', 'object "string"."string" of type "string" does not exist or is invalid', 'The given name was null or misspelled, the given type was wrong, the object does not exist as a valid database object, or the object does not exist as a replicated object with the appropriate status.', 'Ensure the object is valid in the database, is visible to the user, and, if appropriate, is a valid object in all_repobject.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23396', 'database link "string" does not exist or has not been scheduled', 'the database link does not exist in the schema of the replication propagator or has not been scheduled.', 'Ensure that the database link exists in the database, is accessible and is scheduled for execution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14522', 'Partition-level default tablespace string block size [string] for string string does not match existing string block size [string]', 'A DDL statement was issued that would require creation of a new subpartition in one of the partition-level default tablespaces of an existing composite partitioned object. However, the partition-level default tablespace block size does not match the block size of the partitioned object.', 'Either (1) Modify the partition-level default tablespace of the appropriate partition of the partitioned object to a tablespace of the same block size as the object and then retry the DDL command, OR (2) Ensure that tablespaces of the correct block size are specified for all new subpartitions being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14523', 'Cannot co-locate [sub]partition of string string with table [sub]partition because string block size [string] does not match table block size [string]', 'A DDL statement was issued that would require a partition/subpartition of a local index/LOB column to be co-located with the corresponding partition/subpartition of the base table. However, this is not possible because the block sizes of the table and the LOB column/local index are different.', 'Either (1) Specify an object-level default tablespace (or partition-level default tablespace for the appropriate partition, if composite partitioning is used) for the partitioned local index/LOB column and then retry the DDL command, OR (2) Ensure that tablespaces of the correct block size are specified for all new partitions/subpartitions being created. Also ensure that neither of TABLESPACE DEFAULT and STORE IN (DEFAULT) is specified for a local index whose block size does not match that of the base table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14530', 'row mismatches found in table string.string and index string.string', 'rows in table and index inconsistent', 'run complete analyze to determine corrupt rows', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14551', 'cannot perform a DML operation inside a query', 'DML operation like insert, update, delete or select-for-update cannot be performed inside a query or under a PDML slave.', 'Ensure that the offending DML operation is not performed or use an autonomous transaction to perform the DML operation within the query or PDML slave.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14552', 'cannot perform a DDL, commit or rollback inside a query or DML', 'DDL operations like creation tables, views etc. and transaction control statements such as commit/rollback cannot be performed inside a query or a DML statement.', 'Ensure that the offending operation is not performed or use autonomous transactions to perform the operation within the query/DML operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14553', 'cannot perform a lob write operation inside a query', 'A lob write operation cannot be performed inside a query or a PDML slave.', 'Ensure that the offending lob write operation is not performed or use an autonomous transaction to perform the operation within the query or PDML slave.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14554', 'cannot perform requested operation during database startup', 'Requested operation requires the Cost Based Optimizer(CBO) which is not available during database startup. Features like partitioning, IOTs, grouping sets, and flashback cursor require the CBO.', 'Retry the query after the database is open.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14601', 'Illegal to specify SUBPARTITIONS or STORE-IN while specifying a subpartition template', 'Cannot specify these clauses while specifying a template', 'Correct the subpartition template clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14602', 'SUBPARTITION TEMPLATE is legal only for a composite partitioned table', 'SUBPARTITION TEMPLATE can be specified only for composite partitioned tables', 'Do not use SUBPARTITION TEMPLATE on non-partitioned or non-composite partitioned tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14603', '[SUBPARTITIONS | SUBPARTITION TEMPLATE] subpartition_count syntax is valid only for range-hash tables', 'This syntax is valid only if subpartitioning dimension is hash', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14604', 'During CREATE TABLE time it is illegal to specify SUBPARTITIONS or STORE IN once a SUBPARTITION TEMPLATE has been specified', 'Once a subpartition template has been specified during a CREATE TABLE it is illegal to specify SUBPARTITIONS or STORE IN anywhere else', 'Remove either the SUBPARTITIONS | STORE IN or remove the SUBPARTITION TEMPLATE clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14605', 'Name missing for subpartition / lob segment in template', 'A subpartition / lob segment was not specified a name in the template descriptions', 'All subpartitions / lob segments must have names specified in the template', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14606', 'Tablespace was specified for previous subpartitions in template but is not specified for string', 'Tablespaces may either be specified for all subpartitions or must not be specified for any subpartitions', 'Either specify tablespaces for all or for none of the subpartitions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14607', 'Tablespace was not specified for previous subpartitions in template but is specified for string', 'Tablespaces may either be specified for all subpartitions or must not be specified for any subpartitions', 'Either specify tablespaces for all or for none of the subpartitions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14608', 'Tablespace was specified for the previous lob segments of column string in template but is not specified for string', 'Tablespaces may either be specified for all lob segments of a column or must not be specified for any lob segments of this column', 'Either specify tablespaces for all or for none of the lob segments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14609', 'Tablespace was not specified for the previous lob segments of column string in template but is specified for string', 'Tablespaces may either be specified for all lob segments of a column or must not be specified for any lob segments of this column', 'Either specify tablespaces for all or for none of the lob segments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14610', 'Lob attributes not specified for lob column string for subpartition string', 'Lob attributes of a column must be specified for all subpartitions or must not be specified at all', 'Ensure lob attributes of a column are specified for all subpartitions or not specified at all', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14611', 'Duplicate subpartition name string in template', 'A subpartition name cannot be duplicated within the template', 'Rename one of the subpartitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14612', 'Duplicate lob segment name string for lob column string in template', 'Two lob segments of the same column were given the same name in the template', 'Rename one of the lob segments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14613', 'Attempt to generate name from parent name string and template name string failed as the combine named would have been longer than allowed', 'Any name generated from a partition name and template name must be less than the maximum permissible name for an identifier', 'Shorten either partition or template name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14614', 'List value ''string'' specified twice in subpartition ''string''', 'A list value cannot be specified more that once', 'Remove one of the specifications of the value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14615', 'List value ''string'' specified twice in subpartitions ''string'', ''string''', 'A list value cannot be specified more that once', 'Remove one of the specifications of the value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14616', 'table is not subpartitioned by List method', 'A subpartition maintenance operation, such as ALTER TABLE MODIFY SUBPARTITION ADD|DROP VALUES, was performed on a non-List subpartitioned object.', 'Reissue the command against a List subpartitioned object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19694', 'some changed blocks were not found in the change tracking file', 'A backup or copy found that some changed blocks had not been recorded in the change tracking file. The details of which files and blocks are affected will be in an Oracle trace file.', 'This indicates that there is a problem with the change tracking feature. Disable change tracking and re-start the backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19695', 'fixed table X$KRBMSFT has not been populated', 'This is an internal error. The fixed table X$KRBMAFT was not populated using the function DBMS_BACKUP_RESTORE.SEARCHFILES.', 'Internal error - contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19696', 'control file not found in backup set', 'The control file could not be restored because it is not in this backup set.', 'This message is issued when the directory from the first backup piece is read and one or more files named for restoration were not found in the piece. You must supply the first backup piece of a backup set that contains the requested file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19697', 'standby control file not found in backup set', 'The standby control file could not be restored because it is not in this backup set.', 'This message is issued when the directory from the first backup piece is read and one or more files named for restoration were not found in the piece. You must supply the first backup piece of a backup set that contains the requested file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19698', 'string is from different database: id=string, db_name=string', 'Catalog failed because the database id in file header does not match the one in control file.', 'Supply the correct file belonging to this database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19699', 'cannot make copies with compression enabled', 'Datafile copies with compression are not supported.', 'If the function DBMS_BACKUP_RESTORE.BACKUPPIECECREATE is called outside RMAN, then the incompatible values are being passed for the parameters DOCOMPRESS and IMAGCP. If this message occurs during an RMAN job, then this is an internal error in RMAN, and you should contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19700', 'device type exceeds maximum length of string', 'The device type indicated is invalid.', 'Supply a correct device type and retry the allocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19701', 'device name exceeds maximum length of string', 'The device name indicated is invalid.', 'Supply a correct device name and retry the allocation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19703', 'device command string exceeds maximum length of string', 'The device command string exceeds maximum length.', 'Correct the command and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19704', 'file name exceeds maximum length of string', 'The specified file name, which was a parameter to a copy, backup, or restore operation, exceeds the maximum file name length for this operating system.', 'Retry the operation with a shorter file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19705', 'tag value exceeds maximum length of string characters', 'During a backup or copy operation, the user supplied a tag value too long to fit in the file header.', 'Supply a shorter tag and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19706', 'invalid SCN', 'The input SCN is either not a positive integer or too large.', 'Check the input SCN and make sure it is a valid SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19712', 'table name exceeds maximum length of string', 'The table name string exceeds maximum length.', 'Retry the operation with a shorter table name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19713', 'invalid copy number: string', 'The copy number is not in a valid range or you have reached maximum limit.', 'Report the error and other information to support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19714', 'length for generated name longer than string', 'The specified format exceeds the maximum length for the piece name.', 'Change the format to create shorter piece names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19715', 'invalid format string for generated name', 'A restricted format or undefined format was used incorrectly.', 'Change the format specified in the additional information by removing the restricted format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19716', 'error processing format string to generate name for backup', 'There were errors while processing the format to generate name for backup.', 'Change the format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19717', 'for non-OMF search the pattern must be specified', 'The procedure DBMS_BACKUP_RESTORE.SEARCHFILES was called with an empty pattern while the parameter OMF was set to FALSE.', 'Either specify the pattern or set the parameter OMF to TRUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19718', 'length for command id longer than string', 'The specified command id exceeds the maximum length for command id.', 'Supply a shorter command id and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19719', 'length for operation name longer than string', 'The specified operation name exceeds the maximum length for operation name.', 'Supply a shorter operation name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19720', 'Error occurred when converting an OCI number into an SCN', 'This is most likely caused by an invalid SCN number that came from an external file, such as an export file.', 'See other errors on the error stack to look for the source of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19721', 'Cannot find datafile with absolute file number string in tablespace string', 'Can not find one of the datafile that should be in the Pluggable Set.', 'Make sure all datafiles are specified via import command line option or parameter files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19722', 'datafile string is an incorrect version', 'The datafile is an incorrect version. It contains either less or more changes then the desired version.', 'Make sure the right datafiles are transported. Make sure the datafile is copied while its tablespace is read only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19723', 'Cannot recreate plugged in read-only datafile string', 'The datafile is plugged in read only. It can not recreated.', 'Use ALTER DATABASE RENAME FILE command instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19724', 'snapshot too old: snapshot time is before file string plug-in time', 'The snapshot SCN is before the SCN at which the referred datafile is plugged into the database.', 'retry the query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19725', 'can not acquire plug-in enqueue', 'There maybe another "ALTER DATABASE RESET COMPATIBILITY" command issued concurrently, preventing this process from acquiring the plug-in enqueue.', 'retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19726', 'cannot plug data [string] at level string into database running at compatibility level string', 'Some of the data in the pluggable set requires a compatibility level higher than what is currently allowed by the database. The string in square bracket is the name of the compatibility type associated with the data.', 'Raise the "compatible" init.ora parameter and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19727', 'cannot plug data [string] at level string into database running Oracle string', 'Some of the data in the pluggable set requires a compatibility level higher than the release level of the Oracle executable. The string in square bracket is the name of the compatibility type associated with the data.', 'Upgrade Oracle and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19728', 'data object number conflict between table string and partition string in table string', 'The non-partitioned table has the same data object number as one of the partitions in the partitioned table. One can not exchange the table with the partition in this case.', 'Use "alter table move partition" command to move the offending partition, so that the partition will get a new data object number. Retry the operation then.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23422', 'Oracle Server could not generate an unused job number', 'Oracle Server could not generate a job number that was not used to identify another job.', 'Retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23423', 'job number string is not positive', 'The given job number is less than 1.', 'Choose a positive integer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23424', 'materialized view "string"."string" at string not registered', 'The specified materialized view has not be successfully registered at this site.', 'Register the materialized view manually at either the master site or the materialized view site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23425', 'invalid materialized view identifier string', 'The argument provided to dbms_mview.purge_mview_from_log is an invalid materialized view identifer or it does not identify an Oracle 8 fast refreshable materialized view or the materialized view has been already purged.', 'If the materialized view is an Oracle 8 fast refreshable materialized view then provide purge_mview_from_log with its valid materialized view identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23426', 'deferred RPC queue has entries for string', 'The requested action cannot be performed until the queue is empty for the given site/dblink', 'Use dbms_defer_sys.push, dbms_defer_sys.purge_queue or dbms_defer_sys.delete_tran to empty the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23427', 'deferred purge queue argument string out of range', 'Specified numeric argument to dbms_defer_sys.purge_queue is invalid.', 'Fix the argument value and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23428', 'job associated instance number string is not valid', 'A job is associated with an instance that is not running.', 'Choose a running instance for job affinity, or set force parameter to TRUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23430', 'argument "string" cannot be NULL or empty string', 'The caller has provided an argument whose value cannot be NULL or the empty string.', 'Check that the varchar2 value provided is not NULL or the empty string, and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23431', 'wrong state: string', 'The routine was executed against a replicated object group that was in the wrong state.', 'Make sure that the replicated object group is in the state given in the error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23432', 'master site string already exists', 'An attempt was made to instantiate a replicated object group at a master site that was already a part of the object group.', 'If you were trying to add this site, do nothing because it already exists; otherwise, pick the name of another site, and re-run the routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23433', 'executing against wrong master site string', 'An attempt was made to execute the routine at a site that is different from the site specified in the argument of the routine.', 'Provide an argument to the routine that correctly indicates the site against which the routine should be executing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23434', 'master site string not known for object group', 'The site name given as an argument to a routine was not already known to the replicated object group.', 'Execute the dbms_offline_og.begin_instantiation() routine to add a new site to the replicated object group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23435', 'cannot create an updatable ROWID materialized view with LOB columns', 'The propagation of LOB data from materialized view sites to the master site requires a primary key on the replicated table. Thus updatable ROWID materialized views that contain LOB columns are not supported.', 'Create a primary key materialized view instead of a ROWID materialized view. If the materialized view already exists, it can be converted to a primary key materialized view using the ALTER MATERIALIZED VIEW DDL command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23436', 'missing template authorization for user', 'The specified template authorization does not exist.', 'Check the values for user name and refresh template name to ensure a valid row exists in the DBA_REPCAT_USER_AUTHORIZATIONS view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23437', 'template authorization already exists for user', 'The specified user already has been authorized to use the specified refresh group template.', 'Check the values for user name and refresh template name or query the DBA_REPCAT_USER_AUTHORIZATIONS view to ensure that the correct values were passed as parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23438', 'missing refresh group template', 'The specified refresh group template does not exist.', 'Verify that the refresh group template does not exist by querying the DBA_REPCAT_REFRESH_TEMPLATES view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23439', 'refresh group template already exists', 'The specified refresh group template already exists.', 'Verify that the refresh group template exists by querying the DBA_REPCAT_REFRESH_TEMPLATES view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23440', 'incorrect public template value', 'The public template parameter is not ''Y'', ''N'' or NULL.', 'Correct the value of the public template parameter. It must be ''Y'',''N'' or NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23441', 'object does not exist for refresh group template', 'The specified object does not exist in the refresh group template.', 'Correct the object name and object type parameters. Check the DBA_REPCAT_TEMPLATE_OBJECTS view to verify the correct name and type of the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23442', 'object already exists for the refresh group template', 'The specified object already exists in the refresh group template.', 'Change the object name and object type parameters. Query the DBA_REPCAT_REMPLATE_OBJECTS view to verify the correct name and type of the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23443', 'missing template parameter', 'The specified template parameter does not exist.', 'Correct the template parameter value and execute the procedure again. Use the DBA_REPCAT_TEMPLATE_PARMS view to verify the name of the refresh group template and parameter name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23444', 'duplicate template parameter', 'The template parameter already exists for the specified refresh group template.', 'Correct the template parameter value and execute the procedure again. Use the DBA_REPCAT_TEMPLATE_PARMS view to verify the name of the refresh group template and parameter name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23445', 'missing template site', 'The template site specified by the site name, user name and refresh group template name does not exist.', 'Correct the invalid parameter and execute the procedure again. Use the DBA_REPCAT_TEMPLATE_SITES view to query the existing template sites.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23446', 'duplicate template site', 'The template site specified by the site name, user name and refresh group template name already exists.', 'Correct the invalid parameter and execute the procedure again. Use the DBA_REPCAT_TEMPLATE_SITES view to query the existing template sites.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23447', 'missing user parameter value', 'The user parameter value specified by the user name, parameter name and refresh group template name does not exist.', 'Correct the invalid parameter and execute the procedure again. Use the DBA_REPCAT_USER_PARMS view to query the existing user parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23448', 'duplicate user parameter value', 'The user parameter value specified by the user name, parameter name and refresh group template name already exists.', 'Correct the invalid parameter and execute the procedure again. Use the DBA_REPCAT_USER_PARMS view to query the existing user parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23449', 'missing user name', 'The user specified by the user name parameter does not exist in the database.', 'Correct an invalid user name or create the user in the master database. Use the DBA_USERS view to select the valid database users.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23397', 'global name "string" does not match database link name "string"', 'the database link name at the local node does not match the global name of the database that the link accesses.', 'Ensure that global names is set to true and the link name matches the global name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23398', 'user name "string" at database link "string" does not match local user name "string"', 'the user name of the replication administration user at the local node and the user name at the node corresponding to the database link are not the same. Symmetric replication expects the two users to be the same.', 'Ensure that the user ID of the replication administration user at the local node and the user ID at the node corresponding to the database link are the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23399', 'generation of replication support for "string"."string" is not complete', 'Replication support for the specified object has not been generated or the generation process is not yet complete.', 'Ensure that replication support has been generated for the object. Use DBMS_REPCAT.GENERATE_REPLICATION_SUPPORT() to generate replication support for the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-23400', 'invalid materialized view name "string"', 'A null, misspelled, or badly formed materialized view name was given to dbms_mview.refresh.', 'Provide a valid materialized view name to dbms_mview.refresh.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24057', 'cannot define subscriber with rule for queue string', 'An ADD_SUBSCRIBER or ALTER_SUBSCRIBER procedure with a rule was issued on a queue for which rule based subscribers are not supported. Rule based subscribers currently are supported only for NORMAL (persistent) multi-consumer queues created using an Oracle release 8.1.0 or higher compatible queue table.', 'Create a NORMAL multi-consumer queue in an Oracle release 8.1.0 or higher compatible queue table, and retry the call. Or, if the queue is a normal (persistent) multi-consumer queue, convert the queue table to Oracle 8.1.0 or higher compatibility and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24058', 'cannot downgrade QUEUE_TABLE that has propagation in a prepared state', 'An attempt was made to downgrade the queue table when there were messages being propagated that were in the prepared state.', 'Wait for the propagation to complete before retrying the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24059', 'invalid COMPATIBLE parameter setting string specified in DBMS_AQADM.string', 'An invalid compatible parameter was specified in the DBMS_AQADM procedure. The parameter setting must be of the form ''8.x.y'' where x is the release number and y is the update number.', 'Specify a valid COMPATIBLE parameter setting, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24060', 'cannot convert QUEUE_TABLE, string already is compatible with release string', 'The source queue table in the DBMS_AQADM procedure is compatible with the specified COMPATIBLE parameter setting.', 'Choose a different COMPATIBLE parameter setting to convert the queue table to the desired compatibility.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24061', 'cannot specify non-zero SECONDARY_INSTANCE if PRIMARY_INSTANCE was zero', 'A non-zero value was specified for SECONDARY_INSTANCE when PRIMARY_INSTANCE was zero.', 'Specify a non-zero primary instance before you specify a non-zero secondary instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24062', 'Subscriber table string inconsistent with queue table string', 'The subscriber table has not yet been successfully imported.', 'Import the subscriber table before attempting to use the queue table. If the import failed, correct the problem and try to import the subscriber table again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24063', 'cannot downgrade QUEUE_TABLE that has queues with rule-based subscribers', 'An attempt was made to downgrade the queue table when there were queues on which rule based subscribers are defined.', 'Remove the rule based subscribers for all queues in this queue table and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24064', 'propagation for QUEUE string and DESTINATION string already enabled', 'An ENABLE_SCHEDULE_PROPAGATION command was issued for a queue and destination pair whose propagation schedule already was enabled.', 'Make sure the QUEUE and DESTINATION are correct when you issue the ENABLE_SCHEDULE_PROPAGATION command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24065', 'propagation for QUEUE string and DESTINATION string already disabled', 'A DISABLE_SCHEDULE_PROPAGATION command was issued for a queue and destination pair whose propagation schedule already was disabled.', 'Make sure the QUEUE and DESTINATION are correct when you issue the DISABLE_SCHEDULE_PROPAGATION command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24066', 'invalid privilege specified', 'An invalid privilege is specified for granting or revoking privilege', 'Specify a valid privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24067', 'exceeded maximum number of subscribers for queue string', 'An attempt was made to add new subscribers to the specified, but the number of subscribers for this queue has exceeded the maximum number (1024) of subscribers allowed per queue.', 'Remove existing subscribers before trying to add new subscribers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24068', 'cannot start queue string, queue table string is being migrated', 'An attempt was made to start a queue in a queue table that is being migrated.', 'Complete the queue table migration, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24069', 'cannot downgrade queue table string while it is being upgraded', 'An attempt was made to downgrade a queue table, but a previous command to upgrade the queue table has not yet completed successfully.', 'Complete the upragde of the queue table by re-executing the DBMS_AQADM.MIGRATE_QUEUE_TABLE procedure. Then, downgrade the queue table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24070', 'cannot upgrade queue table string while it is being downgraded', 'An attempt was made to upgrade a queue table, but a previous command to downgrade the queue table has not yet completed succesfully.', 'Complete the downgrade of the queue table by re-executing the DBMS_AQADM.MIGRATE_QUEUE_TABLE procedure. Then, upgrade the queue table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24071', 'cannot perform operation string, queue table string is being migrated', 'An attempt was made to perform an operation on a queue in a queue table that is being migrated.', 'Complete the queue table migration, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24072', 'cannot execute MIGRATE_QUEUE_TABLE procedure; must own queue table', 'An attempt was made to upgrade or downgrade a queue table using the DBMS_AQADM.MIGRATE_QUEUE_TABLE procedure, but the user who executed the procedure does not own the queue.', 'Reconnect as the owner of the queue table, and then execute the DBMS_AQADM.MIGRATE_QUEUE_TABLE procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24073', 'cannot specify RETENTION_TIME on exception queue string.string', 'An attempt was made to create or alter an exception queue by specifying a non-zero RETENTION_TIME.', 'Use the default RETENTION_TIME parameter value for exception queues.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24074', 'RETRY_DELAY and MAX_RETRIES cannot be used for exception queue %.string', 'The CREATE_QUEUE or ALTER_QUEUE command was issued with a non-zero RETRY_DELAY and an exception queue.', 'Do not specify RETRY_DELAY or MAX_RETRIES for exception queues.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24075', 'cannot specify agent with NULL address and non-NULL protocol', 'An ADD_SUBSCRIBER or enqueue was attemoted with an agent that had a NULL address and a non-NULL protocol.', 'Either specify a non-NULL address or set the protocol to NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14617', 'cannot add/drop values to DEFAULT subpartition', 'A ADD/DROP VALUES operation is being done on the default subpartition', 'Ensure that ADD/DROP VALUES is not done on the DEFAULT subpartition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14618', 'cannot drop the last value of subpartition', 'ALTER TABLE DROP VALUES tried to drop the last value of the subpartition', 'Cannot execute the command, unless two or more values exist for subpartition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15061', 'ASM operation not supported [string]', 'An ASM operation was attempted that is invalid or not supported by this version of the ASM instance.', 'This is an internal error code that is used for maintaining compatibility between software versions and should never be visible to the user; contact Oracle support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15062', 'ASM disk is globally closed', 'The disk to which the I/O request was issued has gone offline or has been globally closed by the background process. Check other messages in the trace files for more information.', 'Bring the disk online for I/Os to get through.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15063', 'ASM discovered an insufficient number of disks for diskgroup "string"', 'ASM was unable to find a sufficient number of disks belonging to the diskgroup to continue the operation.', 'Check that the disks in the diskgroup are present and functioning, that the owner of the ORACLE binary has read/write permission to the disks, and that the ASM_DISKSTRING initialization parameter has been set correctly. Verify that ASM discovers the appropriate disks by querying V$ASM_DISK from the ASM instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15064', 'communication failure with ASM instance', 'There was a failure to communicate with the ASM instance, most likely because the connection went down.', 'Check the accompanying error messages for more information on the reason for the failure. Note that database instances will always return this error when the ASM instance is terminated abnormally.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15065', 'hash collision for diskgroup names ''string'' and ''string''', 'There was a collision in the group name used for the diskgroup. The diskgroup(s) cannot be mounted using colliding names.', 'Use a different diskgroup name and also report to Oracle Support Services the two diskgroup names which collided.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15066', 'offlining disk "string" may result in a data loss', 'Following I/O failures, the disks holding all copies of a data block were attempted to be taken offline.', 'Check the accompanying error messages for more information on the reason for the disk I/O failures.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15067', 'command or option incompatible with diskgroup redundancy', 'An attempt was made to use a feature which is not permitted by the diskgroup''s redundancy policy. Common examples are forcibly dropping a disk from an EXTERNAL REDUNDANCY diskgroup, using the FAILGROUP clauses with an EXTERNAL REDUNDANCY diskgroup, or using invalid template attributes.', 'Omit the option from the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15068', 'maximum number of diskgroups string already mounted', 'An attempt was made to mount more diskgroups than the instance is capable of mounting at one time.', 'Dismount a mounted diskgroup and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15069', 'ASM file ''string'' not accessible; timed out waiting for lock', 'An attempt was made to access an ASM file, but the file is currently being created, resized, or deleted and therefore cannot be accessed.', 'No action required, or try again later, after the create or resize has completed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15070', 'maximum number of files string exceeded in diskgroup "string"', 'The diskgroup ran out of space.', 'Delete some existing ASM files or create files in a new diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15071', 'ASM disk "string" is already being dropped', 'An attempt was made to drop a disk from a diskgroup that was already in the process of being dropped from the diskgroup. Alternatively, an attempt was made to forcibly drop a disk from a diskgroup using the FORCE option that was already being forcibly dropped from the diskgroup.', 'Check the ASM disk name and FORCE option as specified in the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15072', 'command requires at least string failure groups, discovered only string', 'An attempt was made to create either a normal redundancy diskgroup for which fewer than two failure groups were both specified and discovered, or a high redundancy diskgroup for which fewer than three failure groups were both specified and discovered.', 'Check the that the command does specify the required number of failure groups, and that all of the specified disks are discovered by ASM. A query of the V$ASM_DISK fixed view will show which disks are discovered by ASM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15073', 'diskgroup string is mounted by another ASM instance', 'An attempt was made to drop a diskgroup that is still mounted somewhere in the cluster by another instance.', 'dismount the diskgroup from all nodes except the one performing the drop diskgroup command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15074', 'diskgroup string requires rebalance completion', 'An attempt was made to repeatedly add or drop disks from a diskgroup. ASM could not perform the operation given the current state of the diskgroup.', 'Manually invoke the ALTER DISKGROUP REBALANCE command and allow the rebalance to run to completion. Alternatively, invoke the ALTER DISKGROUP UNDROP DISKS command and allow the rebalance to run to completion. After the rebalance has completed, retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15075', 'disk(s) are not visible cluster-wide', 'An ALTER DISKGROUP ADD DISK command specified a disk that could not be discovered by one or more nodes in a RAC cluster configuration.', 'Determine which disks are causing the problem from the GV$ASM_DISK fixed view. Check operating system permissions for the device and the storage sub-system configuration on each node in a RAC cluster that cannot identify the disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15076', 'Emulating I/O errors on the OSM disk', 'The disk to which the I/O request was issued is in an error emulation mode.', 'Bring the disk online for I/Os to get through.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15077', 'could not locate ASM instance serving a required diskgroup', 'The instance failed to perform the specified operation because it could not locate a required ASM instance.', 'Start an ASM instance and mount the required diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15078', 'ASM diskgroup was forcibly dismounted', 'The diskgroup to which the I/O request was issued was forcibly dismounted (with the ALTER DISKGROUP DISMOUNT FORCE command) so that it could not be accessed.', 'Mount the diskgroup to allow access again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15079', 'ASM file is closed', 'The file to which the I/O request was issued was closed. This could have been a consequence of the diskgroup being dismounted.', 'Make sure the diskgroup is mounted and the file is open.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15080', 'synchronous I/O operation to a disk failed', 'A synchronous I/O operation invoked on a disk has failed.', 'Make sure that all the disks are operational.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15081', 'failed to submit an I/O operation to a disk', 'A submission of an I/O operation to a disk has failed.', 'Make sure that all the disks are operational.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15082', 'ASM failed to communicate with database instance', 'There was a failure when ASM tried to communicate with a database instance (most likely because the connection went down).', 'Check the accompanying error messages for more information on the reason for the failure. Note that the ASM instances may return this error when a database instance is terminated abnormally.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19729', 'File string is not the initial version of the plugged in datafile', 'The file is not the initial version of the plugged in datafile.', 'Use the correct initial version of the plugged in datafile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19730', 'can not convert offline plugged-in datafile string', 'As part of making a tablespace read-write, we need to convert datafiles that are plugged in read-only. The file must be online.', 'Online the datafile and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19731', 'cannot apply change to unverified plugged-in datafile string', 'Recovery was not able to verify the referred datafile according to information in the control file. Before encountering this change vector for this file, somehow recovery did not encounter the file conversion redo that is supposed to verify the file. This may happen due to corrupted or incorrect control file used for media recovery.', 'Use the correct control file and continue recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19732', 'incorrect number of datafiles for tablespace string', 'd by a user editing the export file.', 'Use the correct export file and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19733', 'COMPATIBLE parameter needs to be string or greater', 'The COMPATIBLE initialization parameter is not high enough to allow the operation. Allowing the command would make the database incompatible with the release specified by the current COMPATIBLE parameter.', 'Shutdown and startup with a higher compatibility setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19734', 'wrong creation SCN - control file expects converted plugged-in datafile', 'When a tablespace is plugged into a database, the tablespace is initially read-only. Oracle converts the header of the plugged-in datafiles (assign them a new creation SCN) when the tablespace is first made read-write. This error occurs when the creation SCN in the file header is different from the creation SCN in the control file, possibly because this is the initial version of plugged-in datafile.', 'Either restore the converted datafile or continue recovering the datafile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19735', 'wrong creation SCN - control file expects initial plugged-in datafile', 'When a tablespace is plugged into a database, the tablespace is initially read-only. Oracle converts the header of the plugged-in datafiles (assign them a new creation SCN) when the tablespace is first made read-write. This error occurs when the creation SCN in the file header is different from the creation SCN in the control file, possibly because this is the converted datafile.', 'Either restore the initial version of the plugged-in datafile, or continue database recovery, which will recover the control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19736', 'can not plug a tablespace into a database using a different national character set', 'Oracle does not support plugging a tablespace into a database using a different national character set.', 'Use import/export or unload/load to move data instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19738', 'cannot find language information for character set: ''string''', 'The compatibility check failed because a character set name that was provided is not valid.', 'Correct the character set name and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19740', 'text is longer than string', 'The specified text exceeds the maximum length for text.', 'Supply a shorter text and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19750', 'change tracking file: ''string''', 'This message reports the name of a file involved in other messages.', 'See associated error messages for a description of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19751', 'could not create the change tracking file', 'It was not possible to create the change tracking file.', 'Check that there is sufficient disk space and no conflicts in file names and try to enable block change tracking again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19752', 'block change tracking is already enabled', 'The ALTER DATABASE ENABLE BLOCK CHANGE TRACKING command was issued, but block change tracking is already turned on for this database.', 'None, this is an informative message only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19753', 'error writing to change tracking file', 'An I/O error occurred while writing to the change tracking file.', 'There will be other messages on the error stack that show details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19754', 'error reading from change tracking file', 'An I/O error occurred while reading from the change tracking file.', 'There will be other messages on the error stack that show details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19755', 'could not open change tracking file', 'The change tracking file could not be opened.', 'There will be other messages on the error stack that show details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19756', 'corrupt block number string found in change tracking file', 'The specified block number is corrupt in the change tracking file.', 'There will be other messages on the error stack that show details of the problem. There will also be a trace file that contains a complete dump of the corrupt block.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19757', 'could not resize change tracking file to string blocks', 'An error occurred while trying to change the size of the change tracking file.', 'There will be other messages on the error stack that show details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19758', 'failed to enable/disable block change tracking: out of SGA memory', 'out of SGA memory', 'Increase SGA and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19759', 'block change tracking is not enabled', 'A command was entered that requires block change tracking to be enabled, but block change tracking is not enabled.', 'None, this is an informative message only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19760', 'error starting change tracking', 'Change tracking is enabled, but a problem was encountered while enabling the change tracking subsystem in this instance. The alert log and the trace file from the CTWR process will contain more information about the error.', 'Examine the trace and alert files. Correct the error if possible, otherwise disable change tracking.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19761', 'block size string is not valid for change tracking file', 'While opening the specified change tracking file, it was found that the file header did not contain a valid logical block size. This probably means that the file is corrupt.', 'If the file can be repaired, do so, otherwise disable and re-enable change tracking to re-initialize the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19762', 'invalid file type string', 'An invalid file type was found in the change tracking file. Some other file was put in place of the change tracking file, or the file is corrupt.', 'Disable then re-enable change tracking.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19763', 'compatibility version string is higher than maximum allowed: string', 'The compatibility version in the change tracking file is greater than what can be used by the current release of Oracle. This can happen when you upgrade, use change tracking with a new release, then downgrade.', 'Disable then re-enable change tracking.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19764', 'database id string does not match database id string in control file', 'The change tracking file is not the correct one for this database. This can happen when the database ID for this database has been changed.', 'Disable then re-enable change tracking.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19765', 'mount id string does not match mount id string in control file', 'd by having a change tracking file that cannot be consistently updated by all instances.', 'In RAC, ensure that the name specified for the change tracking file truly represents the same disk location for all nodes in the cluster. Disable then re-enable change tracking.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14065', 'ALLOCATE STORAGE may not be specified for a partitioned table', 'User specified ALLOCATE STORAGE clause in ALTER TABLE statement issued against a partitioned table which is illegal.', 'Remove the illegal option. If it is desired to add storage to individual partitions, ALLOCATE STORAGE clause may be specified with ALTER TABLE MODIFY PARTITION statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14066', 'illegal option for a non-partitioned index-organized table', 'An attempt was made to issue a CREATE or ALTER TABLE command on a non-partitioned IOT, but the command contains an option that is legal only for partitioned index-organized tables. Such options are: ENABLE ROW MOVEMENT and DISABLE ROW MOVEMENT.', 'Remove the illegal option(s) from the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14067', 'duplicate TABLESPACE_NUMBER specification', 'TABLESPACE_NUMBER clause was specified more than once for an table, index or an index partition', 'Correct the code generating text of CREATE INDEX statement sent to the slaves', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14068', 'TABLESPACE and TABLESPACE_NUMBER may not be both specified', 'Both TABLESPACE and TABLESPACE_NUMBER clauses were specified for a table, index or an index partition', 'Correct the code generating text of CREATE INDEX statement sent to the slaves', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14069', 'invalid TABLESPACE_NUMBER value', 'The TABLESPACE_NUMBER value is not an integer between 0 and 0x7FFFFFFF', 'Correct the code generating text of CREATE INDEX statement sent to the slaves', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14070', 'option may be specified only for partitioned indices or with REBUILD', 'User issued ALTER INDEX statament containing an option which is legal only for partitioned indices or in conjunction with REBUILD against a non-partitioned index. Such options are: PCTFREE, TABLESPACE, [NO]PARALLEL and INITIAL, FREELISTS, and FREELIST GROUPS inside STORAGE clause', 'Remove illegal option(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14071', 'invalid option for an index used to enforce a constraint', 'An option other than COMPRESS, NOCOMPRESS, PCTFREE, INITRANS, MAXTRANS, STORAGE, TABLESPACE, PARALLEL, NOPARALLEL, RECOVERABLE, UNRECOVERABLE, LOGGING, NOLOGGING, LOCAL, or GLOBAL was specified for an index used to enforce a constraint.', 'Choose one of the valid index options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14072', 'fixed table may not be truncated', 'User attempted to truncate a fixed table which is illegal.', 'Ensure that the table being truncated is not a fixed table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14073', 'bootstrap table or cluster may not be truncated', 'User attempted to truncate a bootstrap table or cluster which is illegal', 'Ensure that the table (or cluster) being truncated is not a bootstrap table (or cluster)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14074', 'partition bound must collate higher than that of the last partition', 'Partition bound specified in ALTER TABLE ADD PARTITION statement did not collate higher than that of the table''s last partition, which is illegal.', 'Ensure that the partition bound of the partition to be added collates higher than that of the table''s last partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14075', 'partition maintenance operations may only be performed on partitioned indices', 'Index named in ALTER INDEX partition maintenance operation is not partitioned, making a partition maintenance operation, at best, meaningless', 'Ensure that the index named in ALTER INDEX statement specifying a partition maintenance operation is, indeed, partitioned', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14076', 'submitted alter index partition/subpartition operation is not valid for local partitioned index', 'User attempted to either drop, split, add or coalesce a partition or a subpartition of a local index which is illegal.', 'Ensure that the index named in such statement is a global partitioned index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14078', 'you may not drop the highest partition of a GLOBAL index', 'User attempted to drop highest partition of a GLOBAL index, which is illegal.', 'Ensure that the partition specified in ALTER INDEX DROP PARTITION statement is not the highest partition of the index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14079', 'illegal option for a partition marked Index Unusable', 'ALTER INDEX MODIFY PARTITION statement against an index partition marked Index Unusable contained STORAGE and/or DEALLOCATE SPACE clauses which is illegal', 'Ensure that only valid optins are specified', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14080', 'partition cannot be split along the specified high bound', 'User attempted to split a partition along a bound which either collates higher than that of the partition to be split or lower than that of a partition immediately preceding the one to be split', 'Ensure that the bound along which a partition is to be split collates lower than that of the partition to be split and higher that that of a partition immediately preceding the one to be split', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14081', 'new partition name must differ from the old partition name', 'User entered ALTER TABLE/INDEX RENAME PARTITION specifying <new-partition-name> which is identical to the name of the partition being renamed', 'Ensure that the new partition name is different from the name of any (including the one being renamed) existing partition of a given table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14082', 'new partition name must differ from that of any other partition of the object', 'User entered ALTER TABLE/INDEX RENAME PARTITION specifying <new-partition-name> which is identical to the name of some existing partition of the object', 'Ensure that the new partition name is different from the name of any (including the one being renamed) existing partition of a given table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14083', 'cannot drop the only partition of a partitioned table', 'A drop partition command is being executed when there is only one partition in the table', 'Ensure that there is at least one partition. Drop table to remove all partitions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14084', 'you may specify TABLESPACE DEFAULT only for a LOCAL index', 'User attempted to specify TABLESPACE DEFAULT for an object other than a LOCAL index, which is illegal.', 'Reenter the statement without TABLESPACE DEFAULT clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14085', 'partitioned table cannot have column with LONG datatype', 'User tried to create a partitioned table with a LONG datatype or tried to add a LONG datatype column to a partitioned table.', 'LONG data types are not supported with partitioned tables. Create table without LONG column or change table to not partitioned. If adding column, do not use LONG datatype. If modifying attributes of a column to change data type to LONG, it has to be a non partitioned table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14086', 'a partitioned index may not be rebuilt as a whole', 'User attempted to rebuild a partitioned index using ALTER INDEX REBUILD statement, which is illegal', 'Rebuild the index a partition at a time (using ALTER INDEX REBUILD PARTITION) or drop and recreate the entire index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14094', 'invalid ALTER TABLE EXCHANGE PARTITION option', 'Name of the table to be EXCHANGED has to be followed by [{INCLUDING|EXCLUDING} INDEX][{WITH|WITHOUT} VALIDATION]', 'Ensure that no options besides INCLDING INDEX or EXCLUDING INDEX are specified with ALTER TABLE EXCHANGE PARTITION', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14095', 'ALTER TABLE EXCHANGE requires a non-partitioned, non-clustered table', 'The table in the EXCHANGE operation is either clustered or partitioned', 'Ensure that the table with which the partition is being exchanged for is not partitioned or clustered.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14638', 'cannot MERGE subpartitions in different Range Composite partitions', 'Attempted to MERGE subpartitions in different Range Composite partitions', 'Reissue the command after ensuring that the 2 subpartitions being merged lie in the same composite partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14639', 'SUBPARTITIONS clause can be specfied only for Hash, Composite Range Hash table/partition', 'Attempted to specify SUBPARTITIONS clause on table that is not partitioned by the Composite Range-Hash method', 'Reissue the command after ensuring that the SUBPARTITIONS clause is not specified, to specify a template for a Composite Range List object use the SUBPARTITION TEMPLATE clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14640', 'add/coalesce index partition operation is valid only for hash partitioned global indexes', 'User attempted to add or coalesce an index partition of a global index not partitioned by hash method.', 'Issue the statement on a global index partitioned by hash method. or if the index is partitioned by range method consider using split/drop instead of add/coalesce.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14641', 'STORE-IN clause can be specified only for a Hash, Composite Range Hash table/partition', 'Specifying a STORE-IN clause during CREATE/ALTER of a Range, Composite Range List partitioned table which is not allowed"', 'Re-issue the stament after removing the STORE-IN clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14642', 'Bitmap index mismatch for tables in ALTER TABLE EXCHANGE PARTITION', 'The two tables in the EXCHANGE have usable bitmap indexes, and the INCLUDING INDEXES option has been specified and the tables have different hakan factors.', 'Perform the exchange with the EXCLUDING INDEXES option or alter the bitmap indexes to be unusable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14643', 'Hakan factor mismatch for tables in ALTER TABLE EXCHANGE PARTITION', 'Either records_per_block has been minimized for one of the tables to be exchanged, but not the other, or the hakan factors for the tables to be exchanged are not equal.', 'If records_per_block has been minimized for one of the tables, but not the other, either perform alter table with the NOMINIMIZE RECORDS_PER_BLOCK option for both tables, or perform alter table with the MINIMIZE RECORDS_PER_BLOCK for both tables. If the hakan factors do not match perform alter table with the NOMINIMIZE RECORDS_PER_BLOCK option for both tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14644', 'table is not subpartitioned by Hash method', 'A subpartition maintenance operation such as ALTER TABLE MODIFY PARTITION COALESCE SUBPARTITION can only be performed on Hash subpartitioned objects', 'Re-issue the command against a Hash subpartitioned object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14645', 'STORE IN clause cannot be specified for Range List objects', 'A STORE IN clause was specified for Range List partitioned object', 'Re-issue the command after removng the STORE IN clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14646', 'Specified alter table operation involving compression cannot be performed in the presence of usable bitmap indexes', 'The first time a table is altered to include compression, it cannot have a usable bitmap index (partition). Subsequent alter table statements involving compression do not have this same restriction.', 'A) Drop any bitmap indexes defined on the table, and re-create them once the operation is complete or, B) Mark all index fragments of all bitmap indexes defined on the table UNUSABLE and rebuild them once the operation is complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14650', 'operation not supported for reference-partitioned tables', 'Attempted to perform an operation on a reference-partitioned table that was not supported.', 'Do not perform the unsupported operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14651', 'reference partitioning constraint is not supported', 'The specified partitioning constraint was not supported for reference-partitioned tables. The partitioning constraint must be enabled, validated, and not deferrable. The partitioning constraint must not have ON DELETE SET NULL semantics.', 'Correct the statement to specify a supported partitioning constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14652', 'reference partitioning foreign key is not supported', 'The specified partitioning foreign key was not supported for reference-partitioned tables. All columns of the partitioning foreign key must be constrained NOT NULL with enabled, validated, and not deferrable constraints. Furthermore, a virtual column cannot be part of the partitioning foreign key.', 'Correct the statement to specify a supported partitioning foreign key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14653', 'parent table of a reference-partitioned table must be partitioned', 'Attempted to create a reference-partitioned table with a non-partitioned parent table.', 'Correct the statement and reenter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14654', 'number of partitions of reference-partitioned table must equal that of the parent table', 'Attempted to create a reference-partitioned table with a number of partitions which was different from that of the parent table.', 'Correct the CREATE TABLE statement to specify a correct number of partitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14655', 'reference partitioning constraint not found', 'Partitioning constraint specified in CREATE TABLE ... PARTITION BY REFERENCE was not one of the referential constraints on the table being created.', 'Ensure that the specified partitioning constraint is one of the referential constraints on the table being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14656', 'cannot drop the parent of a reference-partitioned table', 'Attempted to drop the parent of a reference-partitioned table.', 'Drop all reference-partitioned child tables before dropping the parent table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14657', 'cannot cascade row migration to reference-partitioned child table', 'Update of a parent key may require migration of rows in reference-partitioned child tables, however this is not supported because the parent key was not suitably indexed.', 'Replace the existing index on the parent key with a unique index that does not contain any columns in addition to the parent key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14658', 'specified dependent table is not affected by this operation', 'A table has been specified in the DEPENDENT TABLES clause that is not a reference-partitioned table affected by the operation.', 'Correct the statement and reenter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14659', 'Partitioning method of the parent table is not supported', 'An attempt was made to create a reference-partitioned table with an interval partitioned parent table.', 'Do not create a reference-partitioned table with an interval partitioned parent table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14660', 'parent table of a reference-partitioned table cannot be index-organized', 'Attempted to create a reference-partitioned table with a index-organized parent table.', 'Correct the statement and reenter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14661', 'row movement must be enabled', 'Attempted to disable row movement for a reference-partitioned table, although row movement was enabled for its parent table.', 'Disable row movement for parent table before disabling row movement for the reference-partitioned table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14662', 'row movement cannot be enabled', 'Attempted to enable row movement for a partitioned table, although row movement was disabled for a reference-partitioned child table.', 'Enable row movement for reference-partitioned child tables before enabling row movement for the parent table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14663', 'reference partitioning parent key is not supported', 'Parent key of the reference-partitioned table''s partitioning constraint contained virtual columns.', 'Correct the statement to specify a partitioning constraint with supported parent key and reenter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16212', 'number of processes specified for SQL Apply is too great', 'Logical standby apply engine was started with more processes requested than are available.', 'Adjust the values of the initialization parameters PROCESSES or the MAX_SERVERS parameter seen in the DBA_LOGSTDBY_PARAMETERS view. If you did not specify MAX_SERVERS, but instead specified PREPARE_SERVERS and APPLY_SERVERS through the dbms_logstdby.apply_set procedure, you will need to decrease either one or both of them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16213', 'ddl encountered, stopping apply engine', 'stop_on_ddl callout specified and DDL was encountered.', 'Either disable stop_on_ddl callout or remove DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16214', 'apply stalled for apply delay', 'A delay has been specified on the primary database for this destination.', 'Either turn off the delay on the primary or use DBMS_LOGSTDBY.APPLY_UNSET(''APPLY_DELAY''); to override.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16215', 'history metadata inconsistency', 'internal error.', 'This is an internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16216', 'Log stream sequence error', 'The log stream being processed did not follow the last processed stream.', 'If the database is in an active configuration, issue an ALTER DATABASE START LOGICAL STANDBY APPLY NEW PRIMARY command to synchronize log stream data with the current primary database. If the database is not in an active configuration, manually add the next dictionary-begin logfile that followed the previous log stream.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16217', 'prepare to switchover has not completed', 'An ALTER DATABASE PREPARE TO SWITCHOVER command was issued, but the prepare activity did not complete.', 'Verify that the standby was prepared properly. You may cancel the prepare and perform an unprepared switchover which requires a database link to complete. Or reissue the prepare operation on the standby.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16218', 'This database is already preparing to switch over.', 'The database was already preparing to switch over and was not able to accomodate another prepare attempt.', 'Cancel the current prepare attempt with the ALTER DATABASE PREPARE TO SWITCHOVER CANCEL command, then reissue the prepare request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16219', 'This database is not preparing to switch over.', 'The database was not preparing to switch over. Therefore, it was not possible to cancel the SWITCHOVER command.', 'Preparing for the SWITCHOVER command can be accomplished with the ALTER DATABASE PREPARE TO SWITCHOVER command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16220', 'no failed transaction found', 'No failed transaction was found.', 'Retry the ALTER DATABASE START LOGICAL STANDBY APPLY command without the SKIP FAILED TRANSACTION option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16221', 'history table synchronization error', 'internal error.', 'This is an internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16222', 'automatic Logical Standby retry of last action', 'A failure occurred while running Logical Standby apply. A new attempt is automatically being made by Logical Standby apply.', 'No action is necessary. This informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16223', 'DDL skipped, unsupported in current version', 'The given DDL statement was not supported in the current version of Logical Standby and was skipped.', 'No action is necessary. This informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16224', 'Database Guard is enabled', 'Operation could not be performed because database guard is enabled', 'Verify operation is correct and disable database guard', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16225', 'Missing LogMiner session name for Streams', 'An attempt was made to register the log file for Streams without a specified LogMiner session name.', 'Specify a valid LogMiner session name to which the log file will be registered.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16226', 'DDL skipped due to lack of support', 'Logical Standby does not support this type of DDL in this version, so the DDL is skipped.', 'The DBA may apply the DDL explicitly at a later time or a procedure to handle this type of DDL can be created. see DBMS_LOGSTDBY.SKIP procedure for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16227', 'DDL skipped due to missing object', 'A table or other database object upon which this DDL depends is not defined on the Logical Standby database.', 'No action is necessary, this infomational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16228', 'Insufficient recovery for logical standby', 'Insufficient amount of recovery was run for logical standby instantiation.', 'Continue to recover the database using ALTER DATABASE RECOVER MANAGED STANDBY DATABASE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16229', 'PDML child string string string for parent string string string cannot be skipped.', 'A request was made to skip a parallel DML child transaction id. This is not supported.', 'Using the DBMS_LOGSTDBY.UNSKIP_TRANSACTION procedure, remove the child transaction id, then specify the parent transaction id using DBMS_LOGSTDBY.SKIP_TRANSACTION if appropriate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16230', 'committing transaction string string string', 'Logical Standby apply was committing changes for the given transaction.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16232', 'adding Logical Standby skip entry for table string.string', 'Table was previously unsupported due to datatype or storage attribute definitions. Table is now capable of being supported.', 'To have Logical Standby maintain the table, import that table directly from the primary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16233', 'The table string.string is unsupported now', 'Table was previously supported but now is unsupported due to altered datatype or storage attribute definitions.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16234', 'restarting to reset Logical Standby apply', 'Logical Standby encountered a work load that required a restart to properly reschedule.', 'No action necessary. This informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16235', 'DDL skipped because import has occurred', 'An object was exported from the primary database and imported into the Logical Standby database. This DDL occurred before the export.', 'No action necessary. This informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16236', 'Logical Standby metadata operation in progress', 'The requested operation failed because a Logical Standby metadata operation, such as DBMS_LOGSTDBY.SET_TABLESPACE or DBMS_LOGSTDBY.INSTANTIATE_TABLE, has not finished.', 'Wait for the Logical Standby metadata operation to finish, then re-enter or respecify the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16237', 'SGA specified for Logical Standby is too small', 'MAX_SGA must be at least 10 Megabytes for proper functioning of Logical Standby.', 'Specify the value of MAX_SGA to be greater than or equal to 10Mb. Alternatively, increase the shared_pool_size/sga_target so that 1/4 of it will amount to 10 Megabytes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16238', 'attempt to use version 9 log', 'Version 9 log files are not supported.', 'Use log files of a supported version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16239', 'IMMEDIATE option not available without standby redo logs', 'The IMMEDIATE option cannot be used without standby redo logs.', 'Do not specify the IMMEDIATE option unless standby redo logs are being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16240', 'Waiting for logfile (thread# string, sequence# string)', 'Reader process is idle waiting for additional logfile to be available.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16801', 'redo transport-related property is inconsistent with database setting', 'The values of one or more redo transport-related configuration properties were inconsistent with database in-memory settings or server parameter file settings. This may happen by directly altering initialization parameters instead of editing configurable property values using Data Guard broker.', 'Query the InconsistentLogXptProps property on the primary database or check the Data Guard broker log to find which properties are set inconsistently. Reset these properties to make them consistent with the database settings. Alternatively, enable the database or the entire configuration to allow the configurable property settings to be propagated to the initialization parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16802', 'downgrading redo transport mode from SYNC disallowed', 'An attempt was made to downgrade the redo transport mode of a standby database from SYNC to ASYNC when the configuration was in Maximum Protection or Maximum Availability mode and the primary database was a RAC database. This was not disallowed even though there may have been other standby databases with redo transport modes set to SYNC to support the protection mode.', 'Do one of the following if the redo transport mode of the standby must be downgraded: ' || '<p>' || '- Shut down all instances of the primary database and restart one instance with the initialization parameter CLUSTER_DATABASE set to FALSE. Downgrade the redo transport mode of the standby database of interest. Then, shutdown the instance, set the the CLUSTER_DATABASE initialization parameter to TRUE, and restart all primary database instances.' || '<p>' || '' || '<p>' || '- Downgrade the protection mode to Maximum Performance mode and then, downgrade the redo transport mode of the standby database of interest. Finally, upgrade the protection mode. This will require a restart of all primary database instances if upgrading to Maximum Protection mode. Note that the above only works when there is at least one standby database in the configuration that has its redo transport mode set to SYNC.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16803', 'unable to query a database table or fixed view', 'Failed to query a database table or fixed view. The database may not be opened or mounted.', 'Check the Data Guard broker log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16804', 'one or more configuration properties in metadata have invalid values', 'Data Guard broker health check detected that one or more configuration properties in the broker configuration had invalid values. The property values were changed while broker management of the database was disabled.', 'Check Data Guard broker log for more details on which properties have invalid values and reset them through the Data Guard broker.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16805', 'change of LogXptMode property violates overall protection mode', 'The broker disallowed the attempt to change the LogXptMode configurable property for the standby database because, if allowed, the overall protection mode for the configuration would have been violated.', 'If the LogXptMode configuration property must be changed for the specified standby database, first downgrade the overall protection mode for the broker configuration. After that operation has completed, the LogXptMode configuration property for the standby database can be changed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16806', 'supplemental logging is not turned on', 'Supplemental logging was not turned on while there was a logical standby database in the configuration. This could happen either on the primary database or on the logical standby database that was being switched over to be the primary database.', 'Check the Data Guard broker log for more details. Issue the ALTER DATABASE ADD SUPPLEMENTAL LOG DATA (PRIMARY KEY, UNIQUE INDEX) COLUMNS to add supplemental logging.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16807', 'unable to change database protection mode', 'An attempt to issue the ALTER DATABASE SET STANDBY TO MAXIMIZE {PROTECTION | AVAILABILITY | PERFORMANCE} failed.', 'Check the Data Guard broker log and the Oracle log for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16808', 'primary database is not open', 'A prior attempt to open the primary database was disallowed because the fast-start failover status could not be evaluated. The fast-start failover status has since been evaluated and the database can now be opened.', 'Open the database by issuing the SQL*Plus ALTER DATABASE OPEN command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16809', 'multiple warnings detected for the database', 'The broker detected multiple warnings for the database.', 'Check the StatusReport monitorable property of the specifed database to get a detailed status report.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16810', 'multiple errors or warnings detected for the database', 'The broker detected multiple errors or warnings for the database.', 'Check the StatusReport monitorable property of the specified database to get a detailed status report.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16811', 'apply instance not recorded by the Data Guard broker', 'The broker did not register an apply instance for a standby database.', 'Reenable the standby database to clear the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16812', 'log apply service not running on apply instance recorded by the broker', 'Log apply services were not running on the instance the Data Guard broker expected them to be running upon.', 'Reenable the standby database to clear the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16813', 'log apply service not running on apply instance string recorded by the broker', 'Log apply services were not running on the instance the Data Guard broker expected them to be running upon.', 'Reenable the standby database to clear the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16814', 'incorrect redo transport setting for AlternateLocation for standby database', 'The Data Guard broker detected an incorrect redo transport setting for a standby database AlternateLocation property. The incorrect setting could be one of the following: ' || '<p>' || '- The AlternateLocation property was empty, but the redo transport to the standby database had an ALTERNATE setting.' || '<p>' || '' || '<p>' || '- The AlternateLocation property was not empty and the redo transport to the standby database had no ALTERNATE setting.' || '<p>' || '' || '<p>' || '- The AlternateLocation property did not match the ALTERNATE setting in the redo transport. The mismatch may include service string, directory specification of the alternate location, or the DB_UNIQUE_NAME attribute.' || '<p>' || '' || '<p>' || '- The LOG_ARCHIVE_DEST_STATE_n parameter corresponding to the alternate location was not set to ALTERNATE.' || '<p>' || '' || '<p>' || '- The flash recovery area was being used by the standby database for archived logs, but the redo transport to the standby database still had an ALTERNATE setting for the AlternateLocation property. Data Guard broker logs provide more details on which of the above cases caused the error.', 'Reenable the primary database to clear the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14096', 'tables in ALTER TABLE EXCHANGE PARTITION must have the same number of columns', 'The two tables specified in the EXCHANGE have different number of columns', 'Ensure that the two tables have the same number of columns with the same type and size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15001', 'diskgroup "string" does not exist or is not mounted', 'An operation failed because the diskgroup specified does not exist or is not mounted by the current ASM instance.', 'Verify that the diskgroup name used is valid, that the diskgroup exists, and that the diskgroup is mounted by the current ASM instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15002', 'parameter LOCK_NAME_SPACE exceeds limit of string characters', 'The LOCK_NAME_SPACE initialization parameter contained a value that is too long.', 'Correct the LOCK_NAME_SPACE initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15003', 'diskgroup "string" already mounted in another lock name space', 'The diskgroup could not be mounted by the ASM instance because it was operating in a lockspace different than another existing ASM instance which had already mounted the diskgroup.', 'Check the LOCK_NAME_SPACE initialization parameter value, or dismount the diskgroup from the other ASM instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15004', 'alias "string" does not exist', 'The specified alias did not exist within the diskgroup.', 'Check the alias name and diskgroup name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15005', 'name "string" is already used by an existing alias', 'An existing alias in the diskgroup used the same name.', 'Select another alias name, or drop the existing alias.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15006', 'template "string" does not exist', 'The specified template did not exist within the diskgroup.', 'Check the template name and diskgroup name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15007', 'name is already used by an existing template', 'A template with the same name already exists.', 'Select another template name, or drop the existing template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15008', 'cannot drop system template', 'The specified template was created by the system and must always exist for proper operation.', 'Select another template name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15009', 'ASM disk "string" does not exist', 'The specified ASM disk was not found.', 'Check the ASM disk name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15010', 'name ''string'' is already used by an existing ASM disk', 'The specified name was already used in this diskgroup.', 'Specify a different ASM disk name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15011', 'failure group "string" does not exist in diskgroup "string"', 'The specified name did not match the failure group of any disks in the diskgroup. This usually indicates that the failure group name was specified incorrectly.', 'Check the failure group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15012', 'ASM file ''string'' does not exist', 'The ASM file was not found.', 'Check the ASM file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15013', 'diskgroup "string" is already mounted', 'An ALTER DISKGROUP MOUNT command specified the name of a diskgroup which is already mounted by the current ASM instance.', 'Check the name of the diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15014', 'path ''string'' is not in the discovery set', 'The operating system path specified was outside the set of disks that are discovered by the instance.', 'Specify a operating system path within the set of disks that are discovered based upon the ASM_DISKSTRING parameter. Alternatively, check the setting of the ASM_DISKSTRING parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15015', 'Specified path ''string'' conflicts with path ''string''', 'The ASM instance previously discovered specified disk with an ASM library using a different path.', 'Use the discovery string of the ASM library to add the disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15016', 'inconsistent respecification of path ''string''', 'The specified path was provided more than once with different properties.', 'Do not provide a path more than once. Alternatively, provide consistent properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15017', 'diskgroup "string" cannot be mounted', 'The specified diskgroup could not be mounted.', 'Check for additional errors reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15018', 'diskgroup cannot be created', 'The specified diskgroup could not be created.', 'Check for additional errors reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15019', 'discovered duplicate path ''string'' for ''string''', 'The discovery encountered multiple paths to the same disk.', 'Check that the ASM_DISKSTRING parameter specifies only a single path for each disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15020', 'discovered duplicate ASM disk "string"', 'The discovery encountered two disks claiming to be the same named ASM disk.', 'Check that the ASM_DISKSTRING parameter specifies only a single path for each disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15021', 'parameter "string" is not valid in string instance', 'The specified parameter was not supported when starting an instance of this type.', 'Delete the specified parameter from the INIT.ORA file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15023', 'reached maximum allowable number of disks string', 'An attempt was made to add another disk to a diskgroup which already contains the maximum number of disks allowed.', 'Consider dropping existing disks from the diskgroup before adding additional ones, or create a new diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15024', 'discovered duplicately numbered ASM disk string', 'The discovery encountered two disks claiming to have the same ASM disk number.', 'Check that the ASM_DISKSTRING parameter specifies only a single path for each disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15025', 'could not open disk ''string''', 'The specified disk could not be opened.', 'Check the additional error messages, if any.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15026', 'disk ''string'' is not an ASM disk', 'The disk did not contain a valid ASM disk header.', 'Check to see if the data on the disk has been changed by some system administrator action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15027', 'active use of diskgroup "string" precludes its dismount', 'An ALTER DISKGROUP ... DISMOUNT command specified a diskgroup which had database client instances with open files in the diskgroup. Diskgroups cannot be dismounted until all open files in the diskgroup are closed by the database client instances.', 'Stop all clients that are using this diskgroup and retry the ALTER DISKGROUP ... DISMOUNT command. The V$ASM_CLIENT fixed view in an ASM instance provides a list of its active database client instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15028', 'ASM file ''string'' not dropped; currently being accessed', 'An attempt was made to drop an ASM file, but the file was being accessed by one or more database instances and therefore could not be dropped.', 'Shut down all database instances that might be accessing this file and then retry the drop command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15029', 'disk ''string'' is already mounted by this instance', 'An attempt was made to add to a diskgroup a disk that was already mounted by the current instance as part of some (possibly other) diskgroup.', 'Specify a different disk in the command. Note that not even the FORCE option can be used to correct the situation until the diskgroup containing the disk becomes dismounted by this instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15030', 'diskgroup name "string" is in use by another diskgroup', 'A CREATE DISKGROUP command specfied a diskgroup name that was already assigned to another diskgroup.', 'Select a different name for the diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15031', 'disk specification ''string'' matches no disks', 'The device specification string to a CREATE DISKGROUP command did not match any devices which could be discovered.', 'Check the device specification string matches a disk on the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15032', 'not all alterations performed', 'At least one ALTER DISKGROUP action failed.', 'Check the other messages issued along with this summary error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14700', 'Object(s) owned by SYS cannot be locked by non-SYS user', 'Attempt to issue a LOCK TABLE statement on SYS owned object(s) by a non-SYS user, user should minimally have DML privileges', 'Re-issue LOCK TABLE statement for non-SYS user after granting DML privileges on object, or non-SYS user should connect as SYS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16062', 'DGID from standby not in Data Guard configuration', 'The Data Guard name from the standby is not in the Data Guard configuration of the server.', 'In order for the server to be allowed to archive logs to the standby, the Data Guard name of the standby must be in the Data Guard configuration of the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16063', 'remote archival is enabled by another instance', 'Remote archival of database REDO log files has been enabled by another instance, and cannot be disabled for this instance.', 'Set the REMOTE_ARCHIVE_ENABLE parameter to TRUE and restart this instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16064', 'remote archival is disabled by another instance', 'Remote archival of database REDO log files has been disabled by another instance, and cannot be enabled for this instance.', 'Set the REMOTE_ARCHIVE_ENABLE parameter to FALSE and restart this instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16065', 'remote archival disabled at standby destination', 'Receipt of remote archived REDO log files has been disabled at the associated standby destination host database.', 'If appropriate change the associated archive log parameter to specify a local destination with the LOCATION keyword or defer the associated archive log destination. Or, if possible, set the standby REMOTE_ARCHIVE_ENABLE parameter to TRUE, or enable the RECEIVE attribute of the LOG_ARCHIVE_CONFIG parameterand restart the standby database instance before further REDO log file archivals occur.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16080', 'invalid LogMiner session string for APPLY', 'Logical standby apply engine was started with an invalid LogMiner session identifier.', 'Fix the problem with the LogMiner session or create a new session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16081', 'insufficient number of processes for APPLY', 'Logical standby apply engine was started with fewer processes available than needed.', 'Increase the values of the initialization parameters PROCESSES and or the MAX_SERVERS parameter seen in the DBA_LOGSTDBY_PARAMETERS view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16082', 'logical standby is not initialized correctly', 'Logical standby apply engine was started but it found inconsistencies in its metadata.', 'Look in the trace file for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16083', 'LogMiner session has not been created', 'Logical standby apply engine was started without creating a LogMiner session.', 'Create a LogMiner session and restart the apply engine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16084', 'an apply engine is already running', 'A logical standby apply engine was running when another was created.', 'Shut down the previous apply engine before starting a new one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16086', 'standby database does not contain available standby log files', 'The primary database is in "no data loss" mode, but the standby database does not contain any "standby log files".', 'Add one or more standby log files to the standby database. This can be done while the standby database is mounted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16087', 'graceful switchover requires standby or current control file', 'An attempt was made to perform a graceful switchover operation using a backup or clone control file.', 'Convert the backup control file into a current control file prior to attempting a graceful switchover operation. A clone control file cannot be used for a graceful switchover operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16088', 'archive log has not been completely archived', 'An attempt was made to register an archive log that has not been completely archived. The specified archive log may be a "current" log file.', 'Specify a completed archive log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16089', 'archive log has already been registered', 'An attempt was made to register an archive log that already has a corresponding thread# and sequence# entry in the standby database control file. Duplicate information is not permitted.', 'Use the V$ARCHIVED_LOG fixed view to verify the archive log information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16090', 'archive log to be replaced not created by managed standby process', 'An attempt was made to replace an archive log entry that was not originally created by the managed standby operation.', 'No user action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16091', 'dependent archive log destination already archived', 'An archive log destination contains a dependency to another archive log destination that has previously been archived.', 'The parent archive log destination cannot be dependent on another archive log destination. Use the ALTER SYSTEM command to remove one of the dependency attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16092', 'dependent archive log destination is not active', 'An archive log destination contains a dependency to another archive log destination that is not active"', 'The child archive log destination cannot be dependent on another invalid archive log destination. Use the ALTER SYSTEM command to remove one of the dependency attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16093', 'dependent archive log destination is not LGWR-enabled', 'An archive log destination contains a dependency to another archive log destination that is not enabled for the LGWR process"', 'The child archive log destination cannot be dependent on another archive log destination not archived by the LGWR. Use the ALTER SYSTEM command to change the parent archive log to specify the LGWR process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16094', 'database shutdown during archival operation', 'The database was shut down while an online log file archival was active.', 'None required. The ARCH process is terminated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16095', 'Dependent destination removal for inactivation', 'A dependent archive log destination was inactivated due to the parent archive log destination becoming inelligible for archival. This may be due to the parent destination being manually deferred by an application user.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16098', 'inaccessible standby database forced shutdown to protect primary', 'No standby database archive log destinations remain accessible and the primary database is in "protected" no-data-loss mode.', 'Specify an alternate standby archive log destination in the initialization parameter file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16099', 'internal error ORA-00600 occurred at standby database', 'The RFS process on the standby database received an internal error.', 'Check the standby alert log and RFS trace files for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16100', 'not a valid Logical Standby database', 'This database has not been completely configured as a Logical Standby database.', 'Verify that the database is the intended Logical Standby database. Ensure that you already started logical standby apply with the ALTER DATABASE START LOGICAL APPLY INITIAL statement. See the Oracle8i SQL Reference manual for the statement syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16101', 'a valid start SCN could not be found', 'An SCN from which to start could not be found.', 'Register the first log file following the backup from which this database was generated. Using the ALTER DATABASE REGISTER LOGILE statement to register the database is recommended. Alternatively, you can provide a starting SCN value with this startement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16241', 'Waiting for gap logfile (thread# string, sequence# string)', 'Reader process is idle waiting for the logfile to fill the log sequence gap.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16242', 'Processing logfile (thread# string, sequence# string)', 'Reader process is processing the logfile.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16243', 'paging out string bytes of memory to disk', 'Builder process is paging out momery to free up space in lcr cache.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16246', 'User initiated abort apply successfully completed', 'SQL Apply was stopped using the abort option.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16247', 'DDL skipped on internal schema', 'Logical Standby ignores DDLs on internal schemas such as SYS and SYSTEM. For a complete list of internal schemas ignored by Logical Standby perform the following query: SELECT owner FROM dba_logstdby_skip WHERE statement_opt = ''INTERNAL SCHEMA''.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16248', 'RFS connections not permitted during Terminal Apply', 'Writes by RFS are not permitted while Logical Standby is performing Terminal Apply.', 'Permit any outstanding Logical Standby operations to complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16249', 'Terminal apply failed to complete during failover', 'The logical standby coordinator process terminated abnormally."', 'Examine the DBA_LOGSTDBY_EVENTS view for the reason behind the abnormal shutdown, and resolve accordingly. Once the problem has been rectified, reissue the ALTER DATABASE ACTIVATE LOGICAL STANDBY DATABASE command to complete the failover.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16250', 'Failed to acquire starting scn of new log stream', 'The starting SCN for the new log stream could not be determined.', 'Please reissue the ACTIVATE LOGICAL STANDBY DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16251', 'LSP1 Background Build not permitted', 'The LSP1 background process is not permitted to start because it had previously been attempted.', 'This is an internal error. Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16252', 'Rebuild operation not permitted', 'The REBUILD operation is not permitted.', 'Only on a primary database that has failed to complete the LogMiner dictionary build may the REBUILD operation take place. Reissue the ACTIVATE LOGICAL STANDBY DATABASE command if it previously failed to complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16253', 'Logical Standby cannot start due to incomplete terminal apply', 'A previous ACTIVATE of the logical standby failed to complete.', 'Reissue the ALTER DATABASE ACTIVATE LOGICAL STANDBY DATABASE FINISH APPLY command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16254', 'change db_name to string in the client-side parameter file (pfile)', 'An ALTER DATABASE RECOVER TO LOGICAL STANDBY new-dbname command was successfully executed without a server parameter file (spfile).', 'The client-side parameter file must be edited so that db_name is set to the given name before mounting the database again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16255', 'Log Auto Delete conflicts with another LogMiner session', 'Log Auto Delete cannot be on while another LogMiner session is running on the same database.', 'Start Logical Standby without Log Auto Delete or destroy other LogMiner sessions first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16256', 'Failure to complete standby redo logfile archival after failover', 'The standby redo logfiles processed during the failover of a logical standby were not archived.', 'Execute DBMS_LOGSTDBY.REBUILD to reattempt the archival.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16257', 'Switchover initiated stop apply successfully completed', 'SQL Apply was stopped because of a switchover.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16258', 'marking index unusable due to a constraint violation', 'A constraint violation occurred during the apply of a direct path load. The index will be marked unusable and the apply will be restarted.', 'No action necessary. See alert log for index schema and name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16259', 'Switchover to logical standby requires a log archive destination', 'A valid log archive destination was not found to which the local system could archive the EOR logfile. A minimum of one destination is required.', 'Ensure all log archive destinations are properly configured and, if applicable, have network connectivity before re-issuing the ALTER DATABASE COMMIT TO SWITCHOVER TO LOGICAL STANDBY DDL operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16260', 'Waiting to replace partial or corrupt logfile (thread# string, sequence# string)', 'LogMiner Reader process reached end of a partial logfile or encountered a corrupted block. It is now waiting for the logfile to be recovered and re-registered.', 'No action necessary. Once the FAL archiver replaces the logfile, standby will automatically restart to process the replaced file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16528', 'unable to allocate PGA memory', 'There was insufficient space in PGA to allocate memory.', 'Increase process virtual memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16530', 'invalid buffer or length', 'A NULL buffer or a length of zero was specified.', 'Correct the command parameters and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16532', 'Data Guard broker configuration does not exist', 'A broker operation was requested that required a broker configuration to already be created.', 'Create a Data Guard broker configuration prior to performing other broker operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16534', 'no more requests accepted', 'The Data Guard broker returned this status because either: ' || '<p>' || '- A failover operation was submitted or was in progress.' || '<p>' || '' || '<p>' || '- A switchover operation was submitted or was in progress.' || '<p>' || '' || '<p>' || '- An instance restart was pending for one or more databases.', 'Wait until the operation is complete and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16535', 'CRS is preventing execution of a broker operation', 'The broker was unable to have CRS stop management of all of the instances of this database.', 'Suspend CRS management of this database using the SRVCTL STOP DATABASE -D <name> -O NONE command. Then reissue the broker request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16541', 'database is not enabled', 'The database specified in the request was not enabled.', 'Select an enabled database and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16544', 'modifying DG_BROKER_START requires SID=''*'' qualifier', 'The setting for the DG_BROKER_START parameter must be exactly the same on all RAC database instances. The SID=''*'' qualifier was required in the command.', 'Reenter the command using the SID=''*'' qualifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16545', 'unable to get response', 'The Data Guard broker was unable to return the result of a previous request.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16546', 'missing or invalid value', 'The value of the request to return was not specified or was invalid.', 'Specify the value of the response starting from one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16815', 'incorrect redo transport setting for AlternateLocation for standby database "string"', 'The Data Guard broker detected an incorrect redo transport setting for a standby database AlternateLocation property. The incorrect setting could be one of the following: ' || '<p>' || '- The AlternateLocation property was empty, but the redo transport to the standby database had an ALTERNATE setting.' || '<p>' || '' || '<p>' || '- The AlternateLocation property was not empty and the redo transport to the standby database had no ALTERNATE setting.' || '<p>' || '' || '<p>' || '- The AlternateLocation property did not match the ALTERNATE setting in the redo transport. The mismatch may include service string, directory specification of the alternate location, or the DB_UNIQUE_NAME attribute.' || '<p>' || '' || '<p>' || '- The LOG_ARCHIVE_DEST_STATE_n parameter corresponding to the alternate location was not set to ALTERNATE.' || '<p>' || '' || '<p>' || '- The flash recovery area was being used by the standby database for archived logs, but the redo transport to the standby database still had an ALTERNATE setting for the AlternateLocation property. Data Guard broker logs provide more details on which of the above cases caused the error.', 'Reenable the primary database to clear the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16816', 'incorrect database role', 'The Data Guard broker detected that the specified database had a database role that was different from the database role recorded in the Data Guard configuration. This could be the result of a failed switchover or failover operation, or an out-of-band switchover or failover operation done to the database.', 'Manually fix the database to convert it to the appropriate database role, then issue an ENABLE DATABASE command to reenable the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16817', 'unsynchronized fast-start failover configuration', 'The fast-start failover target standby database was not synchronized with the primary database. As a result, a fast-start failover could not happen automatically in case of a primary database failure.', 'Ensure that the fast-start failover target standby database is running and that the primary database can ship redo data to it. When the standby database has received all of the redo data from the primary database, the primary and standby databases will then be synchronized. The Data Guard configuration may then fail over automatically to the standby database in the event of loss of the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16818', 'fast-start failover suspended', 'The primary database was intentionally shutdown. As a result, a fast-start failover could not happen automatically.', 'Start the primary database. This effectively restores the ability to automatically perform a fast-start failover in the event of a failure of the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16819', 'fast-start failover observer not started', 'The observer for fast-start failover was not started. As a result, fast-start failover could not happen in the case of a primary database failure.', 'Start the fast-start failover observer by using, for example, the DGMGRL START OBSERVER command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16820', 'fast-start failover observer is no longer observing this database', 'A previously started observer was no longer actively observing this database. A significant amount of time elapsed since this database last heard from the observer. Possible reasons were: ' || '<p>' || '- The host where the observer was running was not available.' || '<p>' || '' || '<p>' || '- The network connection between the observer and this database was not available.' || '<p>' || '' || '<p>' || '- The observer process was terminated unexpectedly.', 'Check the reason why the observer cannot contact this database. If the problem cannot be corrected, stop the current observer by connecting to the Data Guard configuration and issue the DGMGRL STOP OBSERVER command. Then, restart the observer on another host. Finally, use the DGMGRL START OBSERVER command to start the observer on the other host.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16821', 'logical standby database dictionary not yet loaded', 'The logical standby database had not loaded the dictionary. This status was detected by the broker health check mechanism. Alternatively, this status may be returned when attempting to switch or fail over to a logical standby database that had not yet loaded its dictionary.', 'Start SQL Apply on the logical standby database, if it is not already running, and wait for it to reach the APPLYING state.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16822', 'new primary database not yet ready for standby database reinstatement', 'The new primary database, as a result of a logical standby database failover operation, had not fully completed the failover operation. An attempt to reinstate a disabled standby database could not be completed until failover completed on the new primary database.', 'Wait until the failover operation has completed on the new primary database. Then retry the reinstate operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16823', 'redo transport mode is incompatible for current operation', 'The redo transport mode of this database was incompatible for this broker operation.', 'Reset the LogXptMode database property for this database and retry the broker operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16824', 'multiple warnings, including fast-start failover-related warnings, detected for the database', 'The broker detected multiple warnings for the database. At least one of these warnings may have prevented fast-start failover from occurring.', 'Check the StatusReport monitorable property of the database specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16825', 'multiple errors or warnings, including fast-start failover-related errors or warnings, detected for the database', 'The broker detected multiple errors or warnings for the database. At least one of these errors or warnings may have prevented a fast-start failover from occurring.', 'Check the StatusReport monitorable property of the database specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16826', 'apply service state is inconsistent with the DelayMins property', 'This warning was caused by one of the following reasons: ' || '<p>' || '- The apply service was started without specifying the real-time apply option or without the NODELAY option when the DelayMins property was set to zero.' || '<p>' || '' || '<p>' || '- The apply service was started with the real-time apply option or with the NODELAY option when the DelayMins property was set to a value greater than zero.', 'Reenable the standby database to allow the broker to restart the apply service with the apply options that are consistent with the specified value of the DelayMins property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16827', 'Flashback Database is disabled', 'The broker detected that the Flashback Database feature was disabled. With Flashback Database disabled, the broker would not be able to: ' || '<p>' || '- reinstate a database that required reinstatement.' || '<p>' || '' || '<p>' || '- convert a physical standby database to a snapshot standby database.' || '<p>' || '' || '<p>' || '- convert a snapshot standby database to a physical standby database. Flashback Database may been disabled manually with the ALTER DATABASE FLASHBACK DATABASE OFF command or automatically by the database in the event of an error.', 'Check the database alert log to determine whether Flashback Database was disabled due to errors and then correct the problem. If Flashback Database had been manually disabled, reenable Flashback Database with the ALTER DATABASE FLASHBACK DATABASE ON command. If, after enabling Flashback Database, the database still cannot be reinstated or converted, you must re-create the database from a copy of the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15033', 'disk ''string'' belongs to diskgroup "string"', 'An attempt was made to ADD to a diskgroup a disk that was already part of another diskgroup, or an attempt was made to DROP / OFFLINE / ONLINE / CHECK a disk that was not part of the specified diskgroup.', 'For ADD, check the path specifier for the disk. If it is certain that the disk is not in use by another diskgroup, the FORCE option may be used to override this check. For the other commands, check the name of the specified disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15034', 'disk ''string'' does not require the FORCE option', 'An attempt was made to add the disk to the diskgroup using the FORCE option. The disk was not found to be in use at the present time, so the FORCE option was not permitted.', 'Avoid gratuitous use of the FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15035', 'no disks belong to diskgroup "string"', 'An attempt was made to mount a diskgroup for which no member disks were discovered.', 'Specify a valid diskgroup name that contains disks.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15036', 'disk ''string'' is truncated', 'The size of the disk, as reported by the operating system, was smaller than the size of the disk as recorded in the disk header block on the disk.', 'Check if the system configuration has changed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15037', 'disk ''string'' is smaller than mimimum of string MBs', 'The size of the disk, as reported by the operating system, was too small to allow the disk to become part of the diskgroup.', 'Check if the system configuration is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15038', 'disk ''string'' size mismatch with diskgroup [string] [string] [string]', 'An attempt was made to mount into a diskgroup a disk whose recorded allocation unit size, metadata block size, or physical sector size was inconsistent with the other diskgroup members.', 'Check if the system configuration has changed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15039', 'diskgroup not dropped', 'An attempt to drop a diskgroup failed.', 'See the associated messages for details about why the drop was not successful.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15040', 'diskgroup is incomplete', 'Some of the disks comprising a diskgroup were not present.', 'Check the hardware to ensure that all disks are functional. Also check that the setting of the ASM_DISKSTRING initialization parameter has not changed. Alternatively, for normal or high redundancy diskgroups, use MOUNT FORCE to offline missing disks as part of mounting the diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15041', 'diskgroup space exhausted', 'The diskgroup ran out of space.', 'Add more disks to the diskgroup, or delete some existing files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15042', 'ASM disk "string" is missing', 'The specified disk, which is a necessary part of a diskgroup, could not be found on the system.', 'Check the hardware configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15043', 'ASM disk "string" is not a diskgroup member', 'The specified disk has been removed from the diskgroup, but a disk matching its name was found.', 'Check the hardware configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15044', 'ASM disk ''string'' is incorrectly named', 'Either the specified disk had its contents changed such that it no longer contained an ASM disk name in its header that matches the diskgroup information or its FAILGROUP information may have become inconsistent.', 'Drop the disk from the diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15045', 'ASM file name ''string'' is not in reference form', 'The ASM file name was not in a form that can be used to reference an existing file because a file/incarnation number or an alias name was not present or a template name was included.', 'Correct the specified ASM file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15046', 'ASM file name ''string'' is not in single-file creation form', 'The ASM file name was not in a form that can be used to create an single file because a file/incarnation number was present.', 'Correct the specified ASM file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15047', 'ASM file name ''string'' is not in multiple-file creation form', 'The ASM file name was not in a form that can be used to create multiple files because either a fully-qualified file name or an alias name was present.', 'Correct the specified ASM file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15048', 'ASM internal files cannot be deleted', 'An attempt was made to delete a metadata file used by ASM to manage the diskgroup.', 'Check the specified ASM file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15049', 'diskgroup "string" contains string error(s)', 'Errors were discovered by the ALTER DISKGROUP CHECK command.', 'See the alert log for details of the errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15050', 'disk "string" contains string error(s)', 'Errors were discovered by the ALTER DISKGROUP CHECK DISK command.', 'See the alert log for details of the errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15051', 'file ''string'' contains string error(s)', 'Errors were discovered by the ALTER DISKGROUP CHECK FILE command.', 'See the alert log for details of the errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15052', 'ASM file name ''string'' is not in diskgroup "string"', 'The ASM file name did not contain a diskgroup name that specified the correct diskgroup as implied by the other arguments to the command.', 'Correct the specified ASM file name or diskgroup name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15053', 'diskgroup "string" contains existing files', 'An attempt was made to drop a diskgroup that still contains existing files.', 'Specify the INCLUDING CONTENTS option to drop the diskgroup and all of its existing files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15054', 'disk "string" does not exist in diskgroup "string"', 'An attempt was made to DROP (or CHECK) a disk that is not part of the specified diskgroup.', 'Check the name of the specified disk and the specified diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15055', 'unable to connect to ASM instance', 'The RDBMS instance was unable to connect to the required ASM instance when accessing a disk group.', 'Check the additional error messages. May need to configure correct ASM sid or make sure the RDBMS instance has OS privileges for ASM SYSDBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15056', 'additional error message', 'An operating system error occured.', 'Correct the operating system error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15057', 'specified size of string MB is larger than actual size of string MB', 'A disk size expression exceeded the amount of storage actually availalable, as reported by the operating system.', 'Specify a valid size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15058', 'disk ''string'' belongs to an incompatible diskgroup', 'An attempt was made to ADD to a diskgroup a disk which was already part of another diskgroup. The other diskgroup was written by a more recent software release.', 'Check the path specifier for the disk. If it is certain that the disk is not in use by another diskgroup, the FORCE option may be used to override this check.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15059', 'invalid device type for ASM disk', 'The device type of the discovered disk was not valid for use as an ASM disk.', 'Check the file path and retry or exclude it from the discovery set. See the accompanying operating system error for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15060', 'template "string" does not exist', 'A command specified a template name, either directly or as part of an ASM file name, which did not exist.', 'Check the template specifier in the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15157', 'rolling migration is not allowed', 'The cluster was not capable of handling ASM rolling migration.', 'The Oracle Cluster Services is using vendor clusterware. Oracle cannot perform rolling upgrade or downgrade using vendor cluster ware. Restart ASM instances using Oracle cluster ware and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16102', 'remote information is not available on the specified primary', 'The new primary has not completed generating the necessary information for the standby to begin consuming its log stream.', 'Verify that the database link provided references a system that is about to become a new primary. Wait a short time before retrying the command to allow the primary some time to generate the necessary information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16103', 'Logical Standby apply must be stopped to allow this operation', 'Logical Standby is currently applying changes. The apply must complete or be stopped to allow the requested operation.', 'Execute the ALTER DATABASE STOP LOGICAL STANDBY APPLY statement, then re-enter or respecify the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16104', 'Invalid Logical Standby parameter', 'The specified parameter is not valid.', 'Check spelling or refer to the DBMS_LOGSTDBY PL/SQL package documentation for the correct statement syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16105', 'Logical Standby is already running in background', 'A Logical Standby apply operation is already running.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16107', 'all log data from primary has been processed', 'On the primary system, the log stream has been ended by the ALTER DATABASE COMMIT TO SWITCHOVER TO LOGICAL STANDBY command.', 'Issue one of the following commands to make this standby a primary or resume applying changes from a new primary. ALTER DATABASE COMMIT TO SWITCHOVER TO LOGICAL PRIMARY; ALTER DATABASE START LOGICAL STANDBY APPLY NEW PRIMARY dblink;', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16108', 'database is no longer a standby database', 'The current database has already been made a primary database.', 'Issue the following commands to make this primary a standby. ALTER DATABASE COMMIT TO SWITCHOVER TO LOGICAL STANDBY; ALTER DATABASE START LOGICAL STANDBY APPLY NEW PRIMARY dblink;', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16109', 'failed to apply log data from previous primary', 'Log data from previous primary could not be completely applied.', '. Then, re-issue command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16110', 'user procedure processing of logical standby apply DDL', 'A user provided stored procedure has been called to inspect a DDL statement prior to it being processed.', 'No action necessary, this informational statement is provided to record user involvement in the processing of a statement. Additional information can be found in the DBA_LOGSTDBY_EVENTS and the DBA_LOGSTDBY_SKIP views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16111', 'log mining and apply setting up', 'This logical standby process is setting up to begin processing changes.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16112', 'log mining and apply stopping', 'This logical standby process is cleaning up and stopping Logical Standby apply.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16113', 'applying change to table or sequence string', 'The process is applying changes to a specific schema object.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16114', 'applying DDL transaction with commit SCN string', 'The process is applying a DDL change that''s committed at the given SCN.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16115', 'string\% of LogMiner dictionary loading is done', 'The process is loading dictionary information from the redo stream. This activity may take a few minutes.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16116', 'no work available', 'The process is idle waiting for additional changes to be made available.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16117', 'processing', 'The process is performing its primary function and is not waiting on any significant event.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16119', 'building transaction at SCN string', 'The transaction being committed at the given SCN is being prepared for apply.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16120', 'dependencies being computed for transaction at SCN string', 'The transaction committed at the given SCN is being analyzed for dependencies.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16121', 'applying transaction with commit SCN string', 'The transaction committed at the given SCN is being applied.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16122', 'applying large dml transaction at SCN string', 'A large transaction is being applied before the commit has been seen. The current redo being applied ends as the given SCN.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16123', 'transaction string string string is waiting for commit approval', 'The apply process is waiting for approval to commit a transaction. This transaction may depend on another or other synchronization activity may delay the committing of a transaction.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16124', 'transaction string string string is waiting on another transaction', 'The apply process is waiting to apply additional changes. This transaction likely depends on another.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16125', 'large transaction string string string is waiting for more data', 'The apply process is waiting until additional changes for a large transaction are retrieved from the log stream.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16126', 'loading table or sequence string', 'Information on the given table or sequence is being loaded into an in memory cache for future use.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16127', 'stalled waiting for additional transactions to be applied', 'This process is waiting for additional memory before continuing. Additional log information cannot be read into memory until more transactions have been applied to the database, thus freeing up additional memory.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes. If this message occurs often and changes are not being applied quickly, increase available SGA or the number of apply processes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16128', 'User initiated stop apply successfully completed', 'Logical standby was shutdown in an orderly fashion.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16547', 'cannot disable or delete the primary database', 'An attempt was made to disable broker management of the primary database or delete the primary database from the broker configuration while the configuration was enabled.', 'If you wish to disable broker management of the primary database when the configuration is enabled, you must instead disable broker management of the entire broker configuration. If you wish to delete the primary database from the broker configuration while the configuration is enabled, you must instead delete the entire broker configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16548', 'database not enabled', 'An attempt was made to modify or query a disabled database. This error is also returned on an attempt to enable, modify, or query a database that the broker has disabled because of a switchover or failover operation. The broker disables its management of a database when it detects that the database needs to be re-created because of a failover or switchover operation.', 'If broker management of the database is disabled, enable it and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16549', 'invalid string', 'An invalid or NULL string value was specified.', 'Correct command parameters and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16550', 'truncated result', 'A string property value was truncated due to insufficient buffer size.', 'Specify a larger receive buffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16551', 'short string copied', 'A string property value that did not fill the receive buffer was placed in the receive buffer.', 'This is an informational message only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16552', 'an error occurred when generating the CLIENT OPERATION table', 'An error occurred while Data Guard broker was generating the CLIENT OPERATION table.', 'See the next error message for more detailed information. Execute the action described in the next error or contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16555', 'database is not active', 'An operation was attempted on a database that was not active. not active.', 'Verify that the database is active and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16556', 'observer version mismatch', 'This version of the observer was incompatible with the version of the specified Oracle database server to which the observer had been connected. This observer client cannot be used to observe the specified Oracle server.', 'Use a version of the observer that is compatible with the Oracle database server to be observed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16557', 'database is already in use', 'An attempt was made to create a duplicate database in the broker configuration.', 'Check the database to be added to ensure there are no duplicates.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16558', 'database specified for switchover is not a standby database', 'An attempt was made to switchover to a database that was not a standby database.', 'Locate an enabled standby database and select that database as the target of the switchover.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16561', 'cannot remove an active instance', 'The instance to be removed was running.', 'Shut down the instance and reissue the REMOVE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16568', 'cannot set property string', 'The specified property could not be modified because it was either a monitorable property or a property that did not exist.', 'Retry the command with a valid configurable property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16569', 'Data Guard configuration is not enabled', 'The requested operation required that broker management of the Data Guard configuration must be enabled.', 'Enable the Data Guard configuration and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16570', 'database needs restart', 'The Data Guard broker operation required this database instance to be shut down and restarted.', 'If DGMGRL or Enterprise Manager has not already done so, shutdown the Oracle instance and then restart it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16571', 'Data Guard configuration file creation failure', 'The Data Guard broker was unable to create the configuration file on permanent storage.', 'Verify space, permissions and file name as indicated by the DG_BROKER_CONFIG_FILE[1|2] initialization parameters and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16572', 'Data Guard configuration file not found', 'The Data Guard broker configuration file was either unavailable or did not exist.', 'Verify that the configuration file was successfully created. If the DG_BROKER_CONFIG_FILE[1|2] initialization parameters were changed, ensure the file name on disk and the parameter value match, there is space on the device, and the proper permissions are granted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16573', 'attempt to change or access configuration file for an enabled broker configuration', 'The operation was rejected because the Data Guard broker configuration file was in use. The attempted operation was unsafe while broker management of the configuration was enabled. For example: ' || '<p>' || '- An attempt was made to alter the DG_BROKER_CONFIG_FILE[1|2] initialization parameters while the broker was running.' || '<p>' || '' || '<p>' || '- Non-broker access (such as DBMS_FILE_TRANSFER) to the configuration files was attempted. See the alert log for additional information.', 'Disable the broker configuration and shut down the Data Guard broker, then retry the operation. If the operation includes altering the DG_BROKER_CONFIG_FILE[1|2] initialization parameters, be sure that the new parameter values correctly specify the files at their expected location before reenabling broker management of the configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16574', 'switchover disallowed when required databases are shut down', 'Switchover failed because either the primary database or the designated standby database were shut down.', 'Ensure that the primary and standby databases are running and that primary database is shipping redo data to the designated standby database. Also ensure that that the designated standby database is applying the redo data received from the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16575', 'request terminated at broker discretion', 'This error was returned when the broker terminated a command because it was processing a failover command.', 'Wait for failover to complete and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16576', 'failed to update Data Guard configuration file', 'A failure was encountered while the broker was updating the Data Guard broker configuration file on permanent storage.', 'Verify space, permissions and file name as indicated by the DG_BROKER_CONFIG_FILE[1|2] initialization parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16577', 'corruption detected in Data Guard configuration file', 'The Data Guard broker detected errors while loading the configuration file.', 'Verify space, permissions and file name as indicated by the DG_BROKER_CONFIG_FILE[1|2] initialization parameters. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16578', 'failed to read Data Guard configuration file', 'A failure was encountered while the broker was reading the configuration file on permanent storage.', 'Verify space, permissions and file name as indicated by the DG_BROKER_CONFIG_FILE[1|2] initialization parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16582', 'cannot change instance-specific property', 'An attempt was made to change an instance-specific property for a database that had more than one instance.', 'Retry the command and identify a specific instance whose property value is to be changed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16586', 'cannot change database property with EDIT INSTANCE command', 'An attempt was made to change a database property using an EDIT INSTANCE command instead of an EDIT DATABASE command.', 'Use an EDIT DATABASE command to change database properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16828', 'invalid value specified for REDO_TRANSPORT_USER initialization parameter', 'An invalid value was specified for the REDO_TRANSPORT_USER initialization parameter. The length of the user name exceeded 30 characters.', 'Check the documentation and specify a new value for the REDO_TRANSPORT_USER initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16829', 'fast-start failover configuration is lagging', 'The fast-start failover target standby database was not within the lag limit specified by the FastStartFailoverLagLimit configuration property. As a result, a fast-start failover could not happen in the event of a primary database failure.', 'Ensure that the fast-start failover target standby database is running and applying redo data and that the primary database is successfully trasmitting redo data. If this condition persists consider raising the value of the FastStartFailoverLagLimit configuration property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16830', 'primary isolated from fast-start failover partners longer than FastStartFailoverThreshold seconds: shutting down', 'The primary database was isolated from both the observer and target standby database for longer than the seconds specified by the FastStartFailoverThreshold property. A fast-start failover probably occurred. If the FastStartFailoverPmyShutdown configuration property was set to TRUE, the broker will shut down the primary database in this situation.', 'Ensure one instance of this database is running and the database is mounted on that instance so that the broker may reinstate the old primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16831', 'operation disallowed on this standby database type', 'The Data Guard broker operation was disallowed on the standby database type.', 'Check the documentation for the correct standby database type and reissue the Data Guard broker command to another standby database that is of the correct standby database type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16950', 'Remote mapped cursors are not supported by this feature.', 'This cursor is a remote mapped cursor which could not be processed locally.', 'Try to process this statement directly on the remote site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16951', 'Too many bind variables supplied for this SQL statement.', 'Binding this SQL statement failed because too many bind variables were supplied.', 'Pass the correct number of bind variables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16952', 'Failed to bind this SQL statement.', 'Binding this SQL statement failed.', 'Check if bind variables for that statement are properly specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16953', 'Type of SQL statement not supported.', 'This type of SQL statement could not be processed.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16954', 'SQL parse error.', 'The specified SQL statement failed to be parsed.', 'Check if syntax is correct and ensure that this statement can be parsed by the specified user name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16955', 'Unknown error during SQL analyze.', 'The specified SQL statement failed to be analyzed.', 'This is an internal error, please contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16956', 'Only SELECT or DML statements are supported for test execute.', 'The specified SQL statement cannot be tested for execute.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16957', 'SQL Analyze time limit interrupt', 'This is an internal error code used indicate that SQL analyze has reached its time limit.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16958', 'DML statements running parallel are not supported for test execute.', 'The specified DML statement cannot be tested for execute because part of it is running parallel.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16959', 'Statement type has been disabled for SQL Analyze', 'The system attempted to analyze a type of statement that was disabled by the current feature.', 'Try a different feature capable of analyzing this statement type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16960', 'SQL Analyze could not reproduce the desired plan.', 'SQL Analyze failed to reproduce a particular plan using an outline.', 'Check the outline data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16961', 'SQL statement with SQL patch is ignored', 'SQL statements with SQL patches are not supported by SQL tuning advisor.', 'Check the SQL patch information. Rerun SQL repair advisor on that SQL statement for a potential better SQL patch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17500', 'ODM err:string', 'An error returned by ODM library', 'Look at error message and take appropriate action or contact Oracle Support Services for further assistance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17618', 'Unable to update block 0 to version 10 format', 'An attempt was made to update block 0 to version 10 format.', 'Check additional error messages and call Oracle Support Services', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17619', 'max number of processes using I/O slaves in a instance reached', 'An attempt was made to start large number of processes requiring I/O slaves.', 'There can be a maximum of 35 processes that can have I/O slaves at any given time in a instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17620', 'failed to register the network adapter with Oracle Disk Manager library: string', 'The ODM library returned an error while trying to register the network adapter.', 'Make sure the network adapter name given in the fileio_network_adapters is a valid name, and that the Oracle user has the correct access privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17621', 'failed to register the memory with Oracle Disk Manager library', 'The ODM library returned an error while trying to register the memory.', 'Contact the Oracle Disk Manager Library provider.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17622', 'failed to deregister the memory with Oracle Disk Manager library', 'The ODM library returned an error while trying to deregister the memory.', 'Contact the Oracle Disk Manager Library provider', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17624', 'Failed to delete directory string', 'The directory that was being deleted is still in use or the process had insufficient permission to delete the directory.', 'check additional error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17626', 'ksfdcre: string file exists', 'trying to create a database file, but file by that name already exists', 'verify that name is correct, specify REUSE if necessary', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17627', 'string', 'An error returned by OCI while sending/receiving message from remote instance', 'Look at error message and take appropriate action or contact Oracle Support Services for further assistance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17628', 'Oracle error string returned by remote Oracle server', 'Oracle server on the remote instance has returned an error.', 'Look at remote instance alert log/trace file for more information and take appropriate action or contact Oracle Support Services for further assistance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17629', 'Cannot connect to the remote database server', 'Connecting to the remote server specified by database connect string for netowrk file transfer failed.', 'Check additional error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17630', 'Mismatch in the remote file protocol version client string server string', 'Cannot communicate with the remote database server as there is a mismatch in the Oracle file protocol version.', 'Check additional error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17631', 'dbname ''string'' specified by remote server does not match the instance name ''string''', 'The dbname specified by the remote server is not intended for this instance.', 'Check the dbname specified in the command of the remote instance and look for further error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17632', 'file ''string'' is a formatted ASM disk', 'An attempt to create a datafile on a device that was formatted for ASM disk failed.', 'Check that the device specified is not an ASM disk. If you would like to use the disk for datafiles, please clear the disk before you retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18000', 'invalid outline name', 'The parser detected a missing or invalid outline name', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15158', 'rolling upgrade prevented by string', 'One or more instances were blocking the rolling upgrade.', 'Terminate or wait until the reported operation is complete before attempting the rolling upgrade to the cluster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15160', 'rolling migration internal fatal error in module string,string', 'Rolling migration experienced a fatal error.', 'Please contact Oracle support services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15161', 'invalid SYS_CLUSTER_PROPERTIES parameter', 'The parameter passed in for SYS_CLUSTER_PROPERTIES is invalid', 'Pass in the correct parameter, refer to user documentation for a list of allowed parameter values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15162', 'cluster in rolling downgrade', 'The cluster was already in the middle of rolling downgrade.', 'Rolling downgrade needs to be stopped before attempting to start again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15163', 'cluster not in rolling downgrade', 'The cluster was not in rolling downgrade.', 'Start the rolling downgrade using the ALTER SYSTEM START ROLLING command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15164', 'cluster rolling downgrade incomplete', 'The cluster was still performing rolling downgrade.', 'Ensure that all the instances in the cluster are downgraded before retrying the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15166', 'cluster in rolling downgrade from version [string] to [string]', 'The current software version of the instance was incompatible with the rolling downgrade operation of the cluster.', 'The version number of new member instance must be one of the two versions involved in the rolling downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15168', 'rolling downgrade prevented by string', 'One or more instances were blocking the rolling downgrade.', 'Terminate or wait until the reported operation is complete before attempting the rolling downgrade to the cluster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15169', 'destination ''string'' is a subdirectory of ''string''', 'Attempt to rename directory failed because the new directory name was a subdirectory of the original directory.', 'Correct the path of the destination and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15170', 'cannot add entry ''string'' in directory ''string''', 'Other errors prevented directory/alias creation.', 'Correct the errors and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15171', 'invalid syntax in the alias path after ''string''', 'An invalid alias/directory name syntax was specified.', 'Correct the alias path and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15173', 'entry ''string'' does not exist in directory ''string''', 'The specified alias did not exist in the given directory.', 'Correct the alias path and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15175', 'cannot create alias for diskgroup metadata file ''string''', 'An attempt was made to create an alias for a diskgroup metadata file.', 'Correct the alias path and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15176', 'file ''string'' already has an alias associated with it', 'An attempt was made to create an alias for a file that already had an existing alias.', 'Correct the file name and try again or drop existing alias.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15177', 'cannot operate on system aliases', 'An attempt was made to modify a system alias.', 'Correct the alias name and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15178', 'directory ''string'' is not empty; cannot drop this directory', 'An attempt was made to drop a directory that contained valid entries.', 'Correct the directory path or specify the FORCE option to drop a directory that is not empty.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15179', 'missing or invalid alias name', 'The command did not specify a valid alias identifier.', 'Specify a valid alias identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15180', 'could not open dynamic library string, error [string]', 'The library was not accessible', 'Correct the permissions of the library and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15181', 'symbol [string] not found in library string, error [string]', 'An error was encountered while loading the specified ASMLIB symbol.', 'Correct the error reported and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15182', 'ASMLIB [string] version mismatch, ORACLE version [string]', 'The ASMLIB version reported is not supported by the ORACLE binary.', 'Install the correct library and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15183', 'ASMLIB initialization error [string]', 'Unable to initialize the ASMLIB in ORACLE.', 'Contact ASMLIB library vendor support with the error details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15184', 'ASMLIB error could not be determined [string] [string]', 'An error was encountered which cannot be diagnosed further.', 'Contact ASMLIB libary vendor for support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15185', 'could not close dynamic library string, error [string]', 'Could not close the dynamic library.', 'Contact ASMLIB libary vendor for support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15186', 'ASMLIB error function = [string], error = [string], mesg = [string]', 'An error occured during a call to function listed in the error.', 'The detailed message associated with the error is listed along with the error. Correct the error and try again or contact ASMLIB library vendor for support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15192', 'invalid ASM disk header [string] [string] [string] [string] [string]', 'ASM encountered an invalid disk header.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15196', 'invalid ASM block header [string:string] [string] [string] [string] [string != string]', 'ASM encountered an invalid metadata block.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15197', 'suppressing string additional ASM messages', 'The ASM command generated so many erorrs that this summary message was reported in place of many individual messages.', 'If the command contained multiple actions, try separating each action into its own command and executing each command by itself. Otherwise, try not to generate so many errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15198', 'operation string is not yet available', 'An unimplemented operation was attempted.', 'Consider upgrading to later releases as they become available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15200', 'initialization parameter string (string) is not a power of two', 'The value specified for this initialization parameter was not a power of two.', 'Correct the initialization parameter value and restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15201', 'disk string contains a valid RDBMS file', 'A disk specified in a CREATE DISKGROUP or ALTER DISKGROUP ... ADD DISK command appeared to contain a file from an existing database. By default, ASM will not allow a diskgroup to be created using this disk, as a safeguard against damaging an existing database.', 'Check that the ASM disk specification is correct. Otherwise, when storage from a defunct database is reused as part of an ASM diskgroup, specify the FORCE option to the ASM SQL command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15202', 'cannot create additional ASM internal change segment', 'The mount of a diskgroup by an additional instance in a RAC cluster required more space for internal use by ASM than was available in the diskgroup.', 'Delete unused files from the diskgroup or add additional disks to the diskgroup and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15203', 'diskgroup string contains disks from an incompatible version of ASM', 'Diskgroup was created by an ASM instance with a higher compatibility setting.', 'Use an ASM instance with the appropriate software version to mount the diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15204', 'database version string is incompatible with diskgroup string', 'The database compatibility of the diskgroup was advanced to a later version.', 'Upgrade the database instance to appropriate version of ORACLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15205', 'requested mirror side unavailable', 'The requested mirror side of a block is either unallocated or allocated on a disk that has been dropped from the diskgroup.', 'Resubmit the request or try another mirror side.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16129', 'unsupported dml encountered', 'DML to tables in the SYS schema have been updated and are not part of a DDL operation. This may be due to some DBA activity or DML associated with a kernel PL/SQL request that Logical Standby does not yet support.', 'Check the DBA_LOGSTDBY_EVENTS table for the name of the table being processed. Possibly use Log Miner to understand the transaction, and provide a compensating transaction on the standby system. Once complete, call DBMS_LOGSTDBY.SKIP_TRANSACTION with the associated transaction id, and resume apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16130', 'supplemental log information is missing from log stream', 'Supplemental logging is not enabled at the primary database.', 'Issue the following command to enable supplemental logging. ALTER DATABASE ADD SUPPLEMENTAL LOG DATA (PRIMARY KEY, UNIQUE INDEX) COLUMNS;', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16131', 'An error occurred during a Terminal Recovery of the standby.', 'An error occurred during a Terminal Recovery of the standby.', 'Check the standby alert log additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16132', 'An error occurred during activation of the standby.', 'An error occurred during activation of the standby database following a Terminal Recovery.', 'Check the standby alert log additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16133', 'Datafile string has incorrect terminal recovery stamp.', 'After activation of a standby database following a terminal recovery (recovery of standby using current logs), recovery of a datafile from before the activation must have completed the same terminal recovery to avoid corruption.', 'A backup of the datafile taken after the terminal recovery and before activating the standby must be used for recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16134', 'invalid MANAGED recovery FINISH option', 'A mode other than NOWAIT follows the FINISH keyword in RECOVER MANAGED STANDBY DATABASE statement.', 'Specify either nothing or NOWAIT following FINISH.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16135', 'Invalid LOG_ARCHIVE_CONFIG modification while in protected mode', 'The LOG_ARCHIVE_CONFIG parameter can not be modified while any RAC instance is open in either maximum protection or maximum availability mode. Also, the parameter can not be modified in such way that would cause all destinations to fail while in maximum protection mode.', 'Make the modification before the database is opened by any instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16136', 'Managed Standby Recovery not active', 'An attempt was made to cancel a managed recovery session but no managed recovery session was active.', 'No action is necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16138', 'end of log stream not received from primary', 'The standby system has not received notification that the primary system log stream has been terminated. A graceful switchover is not possible.', 'Verify that the primary log stream has been terminated. Ensure that the standby has applied all necessary redo from the primary system and, if appropriate, reissue the graceful switchover command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16139', 'media recovery required', 'An error has occurred while performing a switchover.', 'If you were switching a primary database to the standby role, the conversion was successful, but one or more errors occurred after the conversion completed. See the alert log for more information. You can proceed with switching the target standby database to the primary role, but you must address the errors reported at the old primary database before it can protect the new primary database. If you encountered this error while switching a physical standby database to the primary role, the switchover did not succeed because additional redo must be applied. Verify that redo apply is active and wait until the SWITCHOVER_STATUS column of the V$DATABASE dynamic performance view reports TO_PRIMARY or SESSIONS_ACTIVE before retrying the switchover.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16140', 'standby online logs have not been recovered', 'The standby database has online logs containing redo that has not been recovered. Activating the standby would lose redo contained in the online logs.', 'To recover the standby online logs issue the following command: ALTER DATABASE RECOVER MANAGED STANDBY DATABASE FINISH. Then re-issue the ALTER DATABASE ACTIVATE STANDBY DATABASE command. To activate the standby without recovering the online logs, issue the following command: ALTER DATABASE ACTIVATE STANDBY DATABASE SKIP STANDBY LOGFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16143', 'RFS connections not allowed during or after terminal recovery', 'An attempt was made, by an RFS process, to access a standby online log file during or after a terminal recovery.', 'The primary must not attempt to archive to the standby after a terminal recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16145', 'archival for thread# string sequence# string in progress', 'The indicated archived log file is not available for recovery due to the fact that it is still being archived.', 'Verify that archival of the indicated log file has completed and reissue the RECOVER STANDBY DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16146', 'standby destination control file enqueue unavailable', 'The target standby destination control file is currently unavailable to the Remote File Server (RFS) process. This indicates that the target destination is the primary database itself.', 'Check for and eliminate the standby destination archive log parameter in question.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16147', 'standby database referenced by multiple archive log destinations', 'Multiple archive log destinations reference the same standby database, using different service names. This is not allowed.', 'Remove one of the duplicate archive log destinations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16148', 'user requested expiration of managed recovery operation', 'The managed standby database recovery operation has been canceled per user specified EXPIRE option of the RECOVER MANAGED STANDBY DATABASE statement.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16150', 'FINISH recovery performed on another, older standby database', 'An archive log containing a FINISH recovery indicator was received by a standby database that has received archive logs in the future of the received archive log. Because of the possibility that these future archive logs have been applied to this standby database, the received archive log must be rejected.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16151', 'Managed Standby Recovery not available', 'The attempted operation failed because of a pending CANCEL of the managed standby recovery operation.', 'Wait for the managed standby recovery session to end. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16152', 'standby database is in ''no-data-loss'' protected mode', 'The attempted database operation is not allowed while the standby database is in ''no-data-loss'' protected mode.', 'Verify that the attempted database operation is warranted, ALTER DATABASE SET STANDBY DATABASE UNPROTECTED and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16154', 'suspect attribute: string', 'Use of the indicated attribute is illegal in the given context.', 'Make the appropriate changes and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16156', 'LGWR archive log dependency not allowed if database is standby protected', 'The use of a LGWR archive log dependency is not allowed when the primary is protected by a standby database, as this requires use of the standby redo log files.', 'Remove the LGWR archive log dependency and use normal LGWR archival instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16587', 'ambiguous object specified to Data Guard broker', 'An object was specified that the broker could not uniquely distinguish from other objects in the configuration.', 'Try to further distinguish the object specified for the operation and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16589', 'Data Guard broker detected network transfer error', 'The Data Guard broker detected an error while transferring data from one database to another. This may happen when: ' || '<p>' || '- the broker detects an inconsistency in the block count of configuration file when the file is transmitted between databases.' || '<p>' || '' || '<p>' || '- the broker encountered an error when writing the configuration file.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16594', 'DMON background process is not running', 'The Data Guard broker background process, DMON, was not running.', 'Check the Data Guard broker log and DMON process trace file to determine why the DMON process is not running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16595', 'process string failed to terminate', 'The specified process did not terminate at the request of the Data Guard broker.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16596', 'database not part of the Data Guard broker configuration', 'The specified database is not in the Data Guard broker configuration.', 'Retry the command with a database that is in the broker configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16597', 'Data Guard broker detects two or more primary databases', 'The Data Guard broker detected two or more primary databases in the broker configuration and could not continue.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16598', 'Data Guard broker detected a mismatch in configuration', 'The Data Guard broker detected a significant mismatch while performing configuration membership validation between two or more databases in the broker configuration. This can occur when the primary database has stale broker configuration files.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16599', 'Data Guard broker detected a stale configuration', 'The Data Guard broker detected a stale configuration during initialization for this database.', 'The broker will automatically resolve this situation once the primary database completes its initialization.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16600', 'not connected to target standby database for failover', 'The failover command failed because the client was not connected to the target standby database.', 'Explicitly connect to the standby database to be failed over to and retry the failover command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16602', 'database must be disabled to perform this operation', 'An attempt was made to edit a database property while the database was enabled.', 'Disable the database and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16603', 'Data Guard broker detected a mismatch in configuration ID', 'There was a mismatch in configuration unique ID. This could occur if the original configuration was re-created while this database was disconnected from the network or the same database was added to two different Data Guard broker configurations.', 'Make sure the database belongs to only one broker configuration. Shut down the broker by setting the DG_BROKER_START initialization parameter to false. Then remove the Data Guard broker configuration files. Finally restart the broker by setting the DG_BROKER_START initialization parameter to true.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16606', 'unable to find property "string"', 'The specified property did not exist.', 'Specify a valid property name and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16607', 'one or more databases have failed', 'A failure was detected for one or more databases in the Data Guard broker configuration.', 'Locate the database(s) with a failure status and correct it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16608', 'one or more databases have warnings', 'A warning was detected for one or more databases in the Data Guard broker configuration.', 'Locate the database(s) with a warning status and correct it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16609', 'database is being disabled', 'A command was attempted on a database that was being disabled. For example, attempting to reinstate the old primary database, the database that was the primary database prior to the most recent failover, before it was ready to be reinstated.', 'Wait for the Data Guard broker to disable the database and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16610', 'command "string" in progress', 'The specified broker command was already running and the command issued could not be completed.', 'Wait for the specified command to finish and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16611', 'command aborted at user request', 'The command was aborted at the user''s request.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16612', 'string value too long for attribute "string"', 'The string value for the named attribute was too long.', 'Specify a shorter string value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16613', 'initialization in progress for database', 'A request was made to modify the Data Guard broker configuration before the Data Guard broker had completed initialization.', 'Wait until the Data Guard broker has completed initialization before attempting to modify the broker configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16614', 'Data Guard broker configuration is disabled', 'An attempt to enable a database failed because the Data Guard broker configuration was disabled.', 'Enable the Data Guard broker configuration and issue the DGMGRL CLI SHOW CONFIGURATION command to see if there are any databases that are still disabled. If the database you tried to enable is still disabled, issue the DGMGRL CLI SHOW DATABASE command to check the status of the database. If the database status indicates that the database needs to be reinstated then issue the DGMGRL CLI REINSTATE DATABASE command to reinstate and enable the database. If the database does not require reinstatement then issue the DGMGRL CLI ENABLE DATABASE command to enable the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16617', 'unknown object identifier specified in request', 'Object identifier specified in the request was invalid or unknown.', 'Verify that a valid object identifier is specified and reissue reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16619', 'health check timed out', 'The standby database could not be reached during a routine health check.', 'This typically indicates a network problem where the standby database is unable to respond to the primary database within a predefined time frame. Check the network connections between the primary and standby databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16620', 'one or more databases could not be reached for a delete operation', 'One or more standby databases could not be reached for either a DGMGRL CLI REMOVE DATABASE or a REMOVE CONFIGURATION command.', 'This typically indicates a network problem where the standby database is unable to respond to the primary database. In the event of this situation, examine the primary database Data Guard broker log to determine which standby databases could not be reached. For each standby database not reached, connect to that database and shut down the broker by setting the initialization parameter, DG_BROKER_START, to false. After the broker has been shut down for the standby database, locate the Data Guard broker configuration files from the standby database DG_BROKER_CONFIG_FILE[1|2] initialization parameter values and delete them. Then restart the broker by setting DG_BROKER_START to true.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18001', 'no options specified for ALTER OUTLINE', 'The parser detected that no clause was specified on the command Our performance tests, which are not typical as they exercise all branches of the code, have shown approximately a 30% performance increase line for ALTER OUTLINE.', 'Re-issue the command, specifying a valid ALTER OUTLINE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18002', 'the specified outline does not exist', 'Either the outline did not exist to begin with, or a timing window allowed for another thread to drop or alter the outline midstream.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18003', 'an outline already exists with this signature', 'The signature generation algorithm generates signatures that are are 16 bytes in length so it is highly unlikely that any 2 signatures will be identical. This message is raised in such a rare case.', 'Either re-issue the statement that led to the outline being created with some whitespace added or force the outline to be created in a different category.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18004', 'outline already exists', 'An outline already exists, either with the specified name, or for the specified SQL text.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18008', 'cannot find OUTLN schema', 'The database creation script that creates this schema must not have been executed.', 'Review the log files to see what happened when the database was created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18009', 'one or more outline system tables do not exist', 'Either the database creation script that creates these tables was not executed or a user accidently deleted the table', 'Review the log files to see what happened when the database was created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18010', 'command missing mandatory CATEGORY keyword', 'User failed to specify the CATEGORY keyword', 'Re-issue the command with the CATEGORY keyword included', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-18015', 'invalid source outline signature', 'User imported an 8i outline into a 9i database without updating signatures', 'execute dbms_outln.update_signatures', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19000', 'missing RELATIONAL keyword', 'The keyword RELATIONAL in the work OBJECT RELATIONAL is missing in the XMLTYPE storage clause specification.', 'Supply the RELATIONAL keyword in the storage clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19001', 'Invalid storage option specified', 'An invalid storage option was specified for the XMLType.', 'Supply a valid storage option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19002', 'Missing XMLSchema URL', 'A XML schema URL must be specified in the storage option.', 'Specify a URL for the XMLSchema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19003', 'Missing XML root element name', 'A root element in the XMLSchema must be specified if the XML schema is given.', 'Specify a root element in the XML schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19004', 'Duplicate XMLType OBJECT RELATIONAL storage option', 'A duplicate storage option for the XMLType column was specified', 'Specify a single storage option for an XMLType column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19005', 'Duplicate XMLType LOB storage option', 'A duplicate storage option for the XMLType column was specified', 'Specify a single storage option for an XMLType column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19006', 'XMLType TYPE storage option not appropriate for storage type', 'The TYPE option can only be used in case of OBJECT RELATIONAL storage option', 'Remove the TYPE option or specify an OBJECT RELATIONAL storage for the XMLType column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19007', 'Schema string does not match expected string.', 'The given XML document conformed to a different schema than expected.', 'Insert/Update only the XML documents that conform to that particular schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19008', 'Invalid version of the XMLType', 'An invalid version of the XMLType was found.', 'This is possible due to data corruption or an internal error or running an older client against a newer version of the database. Make sure that the version of the client can understand the XMLType in the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19009', 'Missing XMLSchema keyword', 'The XMLSchema keyword is missing', 'Specify the XMLSchema URL and element name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19010', 'Cannot insert XML fragments', 'XML fragments got from extractNode cannot be inserted into the database.', 'Convert the fragment into a proper XML document before insertion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19011', 'Character string buffer too small', 'The string result asked for is too big to return back', 'Get the result as a lob instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19012', 'Cannot convert XML fragment to the required datatype', 'A conversion to a datatype was requested which cannot be performed', 'The XMLType may contain fragments and other elements which cannot be converted to the appropriate datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19013', 'Cannot create VARRAY columns containing XMLType', 'An attempt was made to create a VARRAY column which contains a XMLType', 'You cannot store VARRAYs containing XMLTypes in tables. Use nested tables instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19015', 'Invalid XML tag identifier (string)', 'An invalid XML identifer was detected during XML generation', 'Fix the offending tag to not contain characters or symbols that are not allowed by the XML specification', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19016', 'attributes cannot occur after element specifications', 'Attributes specified using the "@" identifier can only occur before any other element definition when creating XML', 'Change the order of the types so that the attributes occur in the begining', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19017', 'Attributes can only be simple scalars', 'Attribute values can only be simple scalar values', 'Use only simple datatypes for attribute values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19018', 'Invalid character in XML tag ''string''', 'A tag name was found to have an invalid XML character during XML generation.', 'Rewrite the query so that the generated XML tag, corresponding to a column name or alias, contains only valid characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19019', 'Invalid context passed to DBMS_XMLGEN.GETXML', 'The value of context passed to GETXML was invalid.', 'Rewrite the query so that the value of context passed to GETXML is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19020', 'invalid dereference of XMLType columns', 'An attempt was made to dereference the attributes of an XMLType column which is not part of a base table', 'You can only dereference the attributes of a base table XMLType column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19023', 'The first argument to UPDATEXML operator has to be an XMLTYPE', 'The first argument passed to the update value operator was not an XMLTYPE.', 'Rewrite the query so that the first argument to the UPDATEXML operator is XMLTYPE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19024', 'Cursor expression must be named', 'The value of context passed to GETXML was invalid.', 'Rewrite the query so that the value of context passed to GETXML is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19025', 'EXTRACTVALUE returns value of only one node', 'Given XPath points to more than one node.', 'Rewrite the query so that exactly one node is returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19026', 'EXTRACTVALUE can only retrieve value of leaf node', 'Given XPath does not point to a leaf node.', 'Rewrite the query so that a leaf node is returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19028', 'Invalid ADT parameter passed to toObject() function', 'The object passed as ADT parameter to sys.XMLType.toObject() is not the same type, or a super-type, of the mapped type.', 'Pass an object of the correct type to toObject().', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19029', 'Cannot convert the given XMLType to the required type', 'The passed in XMLType could not be convert to the required type', 'Binary XMLtype instances or other objects cannot be converted to the required object or collection types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19030', 'Method invalid for non-schema based XML Documents.', 'The method can be invoked on only schema based xmltype objects.', 'Don''t invoke the method for non schema based xmltype objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15206', 'duplicate diskgroup string specified', 'A command specified the same diskgroup twice.', 'Specify each diskgroup only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15210', 'conflicting or duplicate PERMISSION options', 'The PERMISSION clause contained the USER, GROUP, or OTHER keyword more than once.', 'Specify each keyword, at most, once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15211', 'conflicting or duplicate OWNERSHIP options', 'The OWNERSHIP clause contained either the OWNER or the GROUP keyword more than once.', 'Specify each keyword, at most, once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15212', 'missing or invalid OWNER or GROUP name', 'The command did not specify a valid name for either the OWNER or the GROUP keyword.', 'Specify a valid name for either the OWNER or the GROUP keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15213', 'command operates on only one attribute', 'More than one disk group attribute was specified in the ALTER DISKGROUP statement.', 'Specify only one disk group attribute per ALTER DISKGROUP statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15214', 'missing or invalid attribute specification', 'The command did not specify a valid attribute name or a valid attribute value.', 'Specify a valid attribute name and value pair.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15215', 'missing or invalid user name', 'The command did not specify a valid user name.', 'Specify a valid user name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15216', 'missing or invalid user group name', 'The command did not specify a valid user group name.', 'Specify a valid user group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15217', 'missing or invalid timeout value after DROP AFTER', 'The command did not specify a valid timeout value after the DROP AFTER clause.', 'Specify a valid timeout value after the DROP AFTER clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15218', 'timeout value exceeded range', 'The OFFLINE timeout value exceeded the range of 0-136 years, inclusive. 136 years are 49674 days, 1192176 hours, and 71530560 minutes.', 'Specify a timeout value within the range of 0-136 years, inclusive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15219', 'conflicting or duplicate ZONE options', 'The command contained one or more of the following: ' || '<p>' || '- both the HOT and the COLD keywords' || '<p>' || '' || '<p>' || '- both the MIRRORHOT and the MIRRORCOLD keywords' || '<p>' || '' || '<p>' || '- the HOT keyword more than once' || '<p>' || '' || '<p>' || '- the COLD keyword more than once' || '<p>' || '' || '<p>' || '- the MIRRORHOT keyword more than once' || '<p>' || '' || '<p>' || '- the MIRRORCOLD keyword more than once', 'Specify either the HOT or the COLD keyword and either the MIRRORHOT or the MIRRORCOLD keyword, at most, once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15220', 'invalid file attribute specification', 'The keyword UNPROTECTED, MIRROR, HIGH, FINE, or COARSE was specified in a MODIFY FILE clause. These file attributes are immutable once a file is created.', 'Specify a ZONE keyword; for example, HOT, COLD, MIRRORHOT, or MIRRORCOLD.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15221', 'ASM operation requires compatible.asm of string or higher', 'The ASM operation specified requires a higher disk group attribute value for compatible.asm.', 'Set the disk group attribute compatible.asm to or above the requested version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15230', 'diskgroup ''string'' does not require the FORCE option', 'An attempt was made to MOUNT or DROP a disk group with the FORCE option.', 'MOUNT and DROP diskgroup with the FORCE option are only permitted if the diskgroup cannot be mounted normally.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15231', 'advancing diskgroup compatibility would exclude connected clients', 'Disk group compatibility could not be advanced because connected clients were at a lower compatibility than the target value.', 'Make sure all connected clients are at target compatibility level or higher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15232', 'cannot advance diskgroup compatibility due to offline disks', 'Disk group compatibilty could not be advanced because some disks are offline.', 'Retry the command after offline disks are dropped.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15233', 'cannot advance diskgroup compatibility due to [string]', 'Disk group compatibilty could not be advanced because of errors.', 'Check the alert log for more information on the reason for the failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15234', 'target RDBMS compatibility (string) exceeds ASM compatibility (string)', 'An attempt was made to advance RDBMS compatibility beyond the disk group''s ASM compatibility.', 'Advance ASM compatibility before advancing RDBMS compatibility.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15235', 'diskgroup string mount mode conflicts with existing mount', 'The mode specified in the diskgroup mount command conflicted with the mode in which it was mounted on some other instance.', 'Specify a compatible mode in the diskgroup mount command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15463', 'volume size of stringK is less then the minimum of stringM', 'The volume size specified was too small.', 'Select a larger volume size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15464', 'STRIPE_COLUMNS of string is greater than the maximum of string', 'An ADD VOLUME command specified a STRIPE_COLUMNS that was that was too large.', 'Select a smaller STRIPE_COLUMNS value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15465', 'STRIPE_COLUMNS of string is less than the minimum of string', 'An ADD VOLUME command specified a STRIPE_COLUMNS that was too small.', 'Select a larger STRIPE_COLUMNS value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15466', 'volume name ''string'' does not exist', 'The command specified a volume name that does not exist.', 'Ensure a valid volume name is used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15467', 'volume operation is already in progress', 'Another command is currently operating on the specified volume.', 'Wait a short time before retrying the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15468', 'operation not permitted; volume ''string'' currently being accessed', 'An attempt was made to communicate with the volume driver. The volume was being accessed by another application and, therefore, could not be changed.', 'Shut down all applications that might be accessing this volume and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15469', 'VBG process terminated with error', 'A volume background process terminated with error.', 'Wait for process to restart.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15470', 'VDBG process terminated with error', 'The volume driver background process terminated with error.', 'Warm start instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15471', 'volume redundancy incompatible with diskgroup redundancy', 'An ADD VOLUME command specified a volume redundancy that was incompatible with the diskgroups redundancy.', 'Specify a valid volume redundancy. A volume cannot have external redundancy with a high redundancy diskgroup. Also, a volume cannot have high redundancy with an external redundancy diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15472', 'volume library cannot be loaded. Platform may not support volume creation.', 'The volume library could not be loaded. Either the platform does not support volume operations, or there is a problem with the library.', 'Ensure that the platform supports volumes. If the platform does support volumes, check the alert log for library loading failure information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15473', 'access to a volume''s storage through an unsupported interface', 'An attempt was made to access or modify a volume''s storage through an unsupported interface.', 'Use supported interfaces for access to volume devices.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15474', 'volume name is greater than string characters', 'An ADD VOLUME command specified a volume name that was too long.', 'Select a smaller volume name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15475', 'usage string is greater than string characters', 'The usage string specified was too long.', 'Select a smaller usage string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15476', 'resize of OFS volume must use OFS resize command', 'An attempt was made to resize an OFS volume through SQL.', 'Use the supported OFS commands to resize the volume.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16157', 'media recovery not allowed following successful FINISH recovery', 'A RECOVER MANAGED STANDBY DATABASE FINISH command has previously completed successfully. Another media recovery is not allowed.', 'Issue one of these operations following a FINISH recocvery: ALTER DATABASE OPEN READ ONLY or ALTER DATABASE COMMIT TO SWITCHOVER TO PRIMARY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16159', 'Cannot change protected standby destination attributes', 'An attempt was made to change the LGWR/ARCH or SYNC/ASYNC attributes for a destination that is participating in the standby protection mode of the database.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16160', 'Cannot change protected standby database configuration', 'An attempt was made to change the standby database configuration when the primary database is in standby protected mode.', 'The standby database must be added to the configuration before the primary database is opened.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16161', 'Cannot mix standby and online redo log file members for group string', 'An attempt was made to add a log file member that does not match the other member types. This problem typically occurs when adding a standby log file member to an online redo logfile group, or adding an online redo log file member to a standby redo log file group.', 'Verify the log file group type using the TYPE column of the V$LOG fixed view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16162', 'Cannot add new standby databases to protected configuration', 'An attempt was made to enable a new standby database destination when the primary database is in standby protected mode.', 'The standby database must be added to the configuration before the primary database is opened.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16163', 'LGWR network server host attach error', 'The LGWR network server could not attach to remote host', 'The alert log contains more problem-specific information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16164', 'LGWR network server host detach error', 'The LGWR network server could not detach from remote host', 'The alert log contains more problem-specific information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16165', 'LGWR failed to hear from network server', 'The LGWR lost its connection to the network server', 'The alert log contains more problem-specific information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16166', 'LGWR network server failed to send remote message', 'The LGWR network server could not communicate with the remote host', 'The alert log contains more problem-specific information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16167', 'LGWR network server could not switch to non-blocking mode', 'The LGWR network server could not switch to non-blocking mode', 'The alert log contains more problem-specific information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16168', 'LGWR network server could not switch to blocking mode', 'The LGWR network server could not switch to blocking mode', 'The alert log contains more problem-specific information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16169', 'LGWR network server invalid parameters', 'The LGWR network server could not switch to blocking mode', 'The alert log contains more problem-specific information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16170', 'Terminal recovery may have left the database in an inconsistent state', 'When terminal recovery is invoked in a standby database without synchronous log shipping, in the rare case of the recovery session being in an unrecoverable state, terminal recovery cannot bring the standby database to a consistent SCN boundary if the primary database continues to have redo thread(s) open.', 'Continue standby recovery with additional log shipping from primary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16171', 'RECOVER...FINISH not allowed due to gap for thr string, seq string-string', 'See alert log for more details', 'Copy missing archived logs from primary or another standby. Register the logs and re-issue the RECOVER...FINISH command. If the logs are not available, issue the ALTER DATABASE RECOVER MANAGED STANDBY SKIP command to ignore the standby redo log files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16172', 'archive logs detected beyond Terminal End-Of-Redo', 'An attempt to archive a Terminal End-Of-Redo archive log to a remote destination failed due the existence, at the remote site, of archive logs containing REDO in the future of the Terminal EOR.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16173', 'incompatible archival network connections active', 'One of two situations can cause this error: 1) An attempt to start a Terminal Incomplete Recovery operation failed due to an active Remote File Server process detected. 2) An attempt to archive a Terminal End-Of-Redo archive log to a remote destination failed due to an active Remote File Server process at the remote site. An active Remote File Server (RFS) process implies connectivity with the primary database which may indicate that a Terminal Incomplete Recovery operation is not warrented.', 'Verify the Managed Standby environment and re-evaluate the necessity of a Terminal Incomplete Recovery operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16174', 'user requested thread/sequence termination of managed recovery', 'The managed standby database recovery operation has been terminated per user specified THROUGH THREAD/SEQUENCE option of the RECOVER MANAGED STANDBY DATABASE statement.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16175', 'cannot shut down database when media recovery is active', 'An attempt was made to shut down a standby database while media recovery was active.', 'Cancel media recovery to proceed with the shutdown.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16176', 'background dictionary build cannot be running', 'The background process dedicated to dictionary build is active.', 'wait and try it later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16177', 'media recovery is not required', 'The THROUGH LAST SWITCHOVER clause of the ALTER DATABASE RECOVER MANAGED STANDBY DATABASE was specified and the database has been recovered to the most recent End-Of-Redo marker. All known archived logs have been applied. Managed recovery is not required.', 'No action is necessary. The standby database may be activated as a new primary or may continue as a standby.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16178', 'Cannot specify remote destinations in archivelog manual mode', 'The database is operating in ARCHIVELOG MANUAL mode. Remote archivelog destinations are not allowed in this mode.', 'Use the ALTER DATABASE ARCHIVELOG command to place the database in automatic archivelog mode, or defer the archivelog destinations that specify the SERVICE= attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16179', 'incremental changes to "string" not allowed with SPFILE', 'Incremental changes to a log_archive_dest_n parameter cannot be made when using an SPFILE.', 'Specify either LOCATION or SERVICE plus all other attributes to be set in one ALTER SYSTEM/SESSION SET command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16180', 'number of processes specified is too large', 'The number of server processes available for Logical Standby is currently limited to 1024 LogMiner processes and 1024 apply processes or a total of 2048.', 'Retry with a lower value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16181', 'SGA specified for Logical Standby is too large', 'MAX_SGA is larger than the larger of initialization parameters SHARED_POOL_SIZE and SGA_TARGET.', 'Specify the value of MAX_SGA to be less than the maximum of SHARED_POOL_SIZE and SGA_TARGET. Likely only 75% or lower.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16182', 'Internal error on internal channel during remote archival', 'An internal error was encountered on the internal channel between LGWR and Network Server.', 'No action is required, as an attempt will be made to re-archive the file that had this failure during archival.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16621', 'database name for ADD DATABASE must be unique', 'An attempt was made to add a database to the broker configuration that already included a database with the specified name. The database names must be unique.', 'Verify that a unique name is specified for the new database to be added. Also, the database name must match the DB_UNIQUE_NAME initialization parameter of the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16622', 'two or more broker database objects resolve to the same database', 'Multiple database objects referred to the same database.', 'Examine the details of all databases in the broker configuration and verify that there are not two or more databases referring to the same database. If two or more database profiles in the broker configuration have the same value for the DGConnectIdentifier database property, either: ' || '<p>' || '- Remove and re-add the erroneously defined database(s) to resolve the ambiguity.' || '<p>' || '' || '<p>' || '- Ensure that the DGConnectIdentifier database property for each database allows the broker to properly connect to that database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16623', 'database detected role change', 'A successful switchover or failover operation had been completed and was detected during database startup or broker health check. If this database was unavailable during a switchover or failover operation, it may not be a viable standby database for the new primary database and was disabled by the Data Guard broker.', 'Connect to the new primary database and examine the broker configuration for databases that were disabled and that may require reinstatement or re-creation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16624', 'broker protocol version mismatch detected', 'A network protocol version number mismatch was detected. This could happen if the databases in the broker configuration were not running the same version of Oracle. The broker would disable standby databases that were not running the same version of Oracle as the primary database if this situation was detected.', 'Examine the version of Oracle installed on all databases in the broker configuration to ensure they are identical. Once all of the datbases in the broker configuration are running the same version of Oracle, reenable the standby databases that were disabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16625', 'cannot reach the database', 'The command could not be executed because the database required to complete the command was not reachable from the database where the command was issued. If the command modifies the configuration, the command must be processed by the copy of the broker running on an instance of the primary database.', 'Check the network connections between all of the databases in the configuration. Alternatively, connect to a different database in the Data Guard broker configuration and retry the command. If an attempt was made to determine the status of a particular database in the configuration, connect to that database and get the current value of the StatusReport property for that database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16626', 'failed to enable specified database', 'This status was returned when attempting to enable a standby database that: ' || '<p>' || '- Could not locate itself in the broker configuration file.' || '<p>' || '' || '<p>' || '- Failed to distinguish itself from two or more databases in the configuration file.' || '<p>' || '' || '<p>' || '- Determined it missed a role change within the configuration.', 'To correct the problem, try one of these actions: ' || '<p>' || '- Confirm that the host and SID names for the database exactly match the values in the HOST_NAME and INSTANCE_NAME columns of V$INSTANCE.' || '<p>' || '' || '<p>' || '- Confirm that there are not two or more databases with the same connect identifier. That is, multiple databases in the broker configuration should not reach the same database.' || '<p>' || '' || '<p>' || '- If a failover had been performed and the old primary database has been re-created (or a standby database has been re-created), make sure the Data Guard broker configuration files have been removed for that database. Do NOT remove the configuration files that are in use by the new primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16627', 'operation disallowed since no standby databases would remain to support protection mode', 'This status was returned because of one of the following: ' || '<p>' || '- The broker rejected an attempt to change the overall configuration protection mode since it could not find any enabled standby databases that supported the proposed protection mode.' || '<p>' || '' || '<p>' || '- The broker rejected an attempt to enable the configuration if it determined that there were no enabled standby databases that supported the overall protection mode.' || '<p>' || '' || '<p>' || '- The broker rejected an attempt to disable or remove a database that, if disabled or deleted, would result in no remaining standby databases that could support the overall configuration protection mode.' || '<p>' || '' || '<p>' || '- The broker rejected an attempt to switchover if doing so would violate the overall configuration protection mode.' || '<p>' || '' || '<p>' || '- Performing automatic health check if the broker determined that no standby datbases supported the overall protection mode.', '- If changing the overall protection mode, confirm that at least one standby database satisfies the new protection mode. ' || '<p>' || '- For enable failures, confirm that at least one standby database has a LogXptMode configurable property setting that supports the current overall protection mode.' || '<p>' || '' || '<p>' || '- For delete and disable failures, confirm that at least one other standby database has a LogXptMode configurable property setting that supports the overall protection mode.' || '<p>' || '' || '<p>' || '- For switchover failures that occur when the configuration is operating in maximum protection or maximum availability mode, confirm that at least one other standby database has its LogXptMode configurable property set to the value "SYNC". If the configuration contains a primary database and a single standby database and is operating in either maximum protection or maximum availability mode, ensure that the LogXptMode configurable property of the primary database is set to the value "SYNC". Since the old primary database will become the standby database after switchover completes, its LogXptMode configurable property setting must support the configuration protection mode.' || '<p>' || '' || '<p>' || '- For health check error, confirm that at least one standby database has a LogXptMode configurable property setting that supports the current overall protection mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16628', 'broker protection mode inconsistent with the database setting', 'The Data Guard broker protection mode saved in the broker configuration file was inconsistent with the actual database setting.', 'Reset the protection mode through the Data Guard broker.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16629', 'database reports a different protection level from the protection mode', 'The actual or current database protection level was different from the configured protection mode. This typically is caused by redo transport problems.', 'Check the database alert logs and Data Guard broker logs for more details. Also, check the redo transport status. Ensure that one standby database supports the configured protection mode and that the network to that standby database is working properly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16630', 'database property has been deprecated', 'The property that was specified in the command was deprecated.', 'Check the broker documentation to identify a replacement property or SQL command for the deprecated property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19031', 'XML element or attribute string does not match any in type string.string', 'The passed in XML tag does not match any in the object type', 'Pass a valid canonical XML that can map to the given object type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19034', 'Type not supported during schema generation', 'The object type contained a type that is not supported for schema generation.', 'Use a different type or do not generate a schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19035', 'Invalid select item of the query in newContextFromHierarchy()', 'The query does not have a number select item followed by an XMLType select item only.', 'Make sure the result set of the query used in the newContextFromHierarchy() must have only two selected items: the first item must be number type and the second item must be XMLType.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19036', 'Invalid query result set in newContextFromHierarchy()', 'The result set of the query used in the newContextFromHierarchy() does not have the same property as the result set generated by a CONNECT BY query.', 'Make sure the query used in newContextFromHierarchy() is a CONNECT BY query or the query returns the result set have the same property as the result set generated by a CONNECT BY query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19037', 'XMLType result can not be a fragment', 'The select item of the query in newContextFromHierarchy() is an XML fragment.', 'Make sure the select item of the query in newContextFromHierarchy() is NOT an XML fragment', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19038', 'Invalid opertions on query context', 'SetMaxRows, SetSkipRows, SetRowTagName opertions are applied to a query context created from newContextFromHierarchy().', 'SetMaxRows, SetSkipRows, SetRowTagName opertions can not be applied to a query context created from newContextFromHierarchy().', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19039', 'Keyword string reserved for future use', 'The keyword is reserved for future use as a builtin function.', 'Change the name mentioned above to a different one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19040', 'Element string does not match expected string.', 'The given XML document had a different root element than expected.', 'Insert/Update only the XML documents that conform to that particular schema and element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19041', 'Comment data cannot contain two consecutive ''-''s', 'The given comment string expression has two consecutive ''-''s.', 'Modify comment string to eliminate one or both of the consevutive ''-''s.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19042', 'Enclosing tag string cannot be xml in any case combination', 'The given enclosing tag matched ''xml'' in some case combination', 'Modify the enclosing tag so that it is not xml in any case combination.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19043', 'Multiply nested XMLROOT function disallowed', 'An XMLROOT function has an operand that is also an XMLROOT function.', 'Modify the query so that there are no multiply nested XMLROOT functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19044', 'character length specified for XMLSerialize is too small.', 'An XMLSerialize function was called with a type of character type (e.g. VARCHAR2(27)), and the length specified (27 in the example) was too small.', 'Modify the query so that the character length specified is larger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19045', 'character set id specified for XMLSerialize not valid', 'An XMLSerialize function was called with an invalid value for the caracter set id.', 'Modify the query so that the character set id is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19100', 'PASSING or RETURNING keyword expected', 'The keyword PASSING or RETURNING was missing.', 'Specify the PASSING or RETURNING keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19101', 'CONTENT keyword expected', 'The keyword CONTENT was missing.', 'Specify the CONTENT keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19102', 'XQuery string literal expected', 'The string literal containing the XQuery expression was missing.', 'Specify the XQuery expression as a string literal.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19103', 'VALUE keyword keyword', 'The keyword VALUE was missing.', 'Specify the VALUE keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19104', 'invalid XQueryX: missing attribute string', 'The XQueryX expression was not assigned the expected attribute.', 'Specify a valid XQueryX.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19105', 'invalid XQueryX: expected text node - got string', 'The XQueryX expression did not contain a text node as expected.', 'Specify a valid XQueryX.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19106', 'invalid XQueryX: expected string - got string', 'The XQueryX expression did not contain the node as expected.', 'Specify a valid XQueryX.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19107', 'invalid XQueryX - unsupported construct - string', 'The given XQuery expression contains an unsupported construct.', 'Specify a valid XQueryX.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19108', 'WHITESPACE keyword expected', 'The keyword WHITESPACE was missing.', 'Specify the WHITESPACE keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19109', 'RETURNING keyword expected', 'The keyword RETURNING was missing.', 'Specify the RETURNING keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19110', 'unsupported XQuery expression', 'The program specified an XQuery expression that is not supported.', 'Rewrite the XQuery with a expression that is supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19111', 'error during evaluation of the XQuery expression', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19112', 'error raised during evaluation: string', 'The error function was called during evaluation of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19113', 'trace function called during evaluation: string', 'The trace function was called during evaluation of the XQuery expression.', 'Check the log file for the trace message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19114', 'XPST0003 - error during parsing the XQuery expression: string', 'An error occurred during the parsing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19115', 'too many context items specified', 'More than one context item was specified as input to the XMLQuery function.', 'Specify a single context item for the XMLQuery function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19116', 'too many xmlspace declarations', 'The query prolog contained multiple xmlspace declarations.', 'Remove the duplicate xmlspace declarations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19117', 'XQST0070 - invalid redefinition of predefined namespace prefix ''string''', 'The given predefined namespace was being redefined in a namespace declaration.', 'Remove the namespace declaration that redefines the predefined namespace prefix.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19118', 'XQST0066 - duplicate default namespace definition - string', 'More than one default namespace declaration used the given namespace URI.', 'Remove the duplicate default namespace definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19121', 'duplicate attribute definition - string', 'More than one attribute with the same name.', 'Remove the duplicate attribute definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19122', 'unsupported XQuery declaration', 'The program specified an XQuery declaration that is not supported.', 'Rewrite the XQuery with a declaration that is supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19123', 'FORG0003: fn:zero-or-one() called with a sequence containing more than one item', 'sequence with more than one item was passed into fn:zero-or-one() function', 'correct input argument to fn:zero-or-one() function', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19124', 'FORG0004: fn:one-or-more() called with a sequence containing no items', 'sequence containing no items was passed into fn:one-or-more() function', 'correct input argument to fn:one-or-more() function', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19125', 'FORG0005: fn:exactly-one() called with a sequence containing zero or more than one item', 'sequence containing zero or more than one item was passed into fn:exactly-one() function', 'correct input argument to fn:exactly-one() function', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15477', 'cannot communicate with the volume driver', 'An attempt was made to communicate with the volume driver.', 'Check that the ASM volume driver is loaded. If so, check the alert log to identify the reason for failure and take necessary action to prevent such failures in the future.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15478', 'OFSC process terminated with error', 'The ofs background process terminated with error', 'Wait for process restart', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16001', 'database already open for read-only access by another instance', 'The database has been opened for read-only access by another instance, and cannot be opened for read-write access by this instance.', 'This instance must be opened for read-write access, or all other instances must first be shut down and re-opened for read-only access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16002', 'database already open for read-write access by another instance', 'The database has been opened for read-write access by another instance, and cannot be opened for read-only access by this instance.', 'This instance must be opened for read-only access, or all other instances must first be shut down and re-opened for read-write access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16003', 'standby database is restricted to read-only access', 'To ensure its integrity, a standby database can only be opened for read-only access.', 'Re-issue the ALTER DATABASE OPEN specifying READ ONLY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16004', 'backup database requires recovery', 'The control file is for a backup database which requires recovery, and cannot be opened for read-only access by this instance.', 'Perform the necessary recovery and re-open for read-only access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16005', 'database requires recovery', 'The database requires recovery, and therefore cannot be opened for read-only access by this instance.', 'Perform the necessary recovery and re-open for read-only access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16006', 'audit_trail destination incompatible with database open mode', 'The audit_trail initialization parameter was set to "DB" (or TRUE), which is incompatible with a database opened for read-only access.', 'When the database is opened for read-only access, the audit_trail initialization parameter can only be set to "OS" or "NONE" (FALSE).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16007', 'invalid backup control file checkpoint', 'The backup control file being opened for read-only access does not contain a valid control file checkpoint. Therefore the database cannot be opened for read-only access.', 'First open the database for read-write access which will result in valid control file checkpoint. Then re-open the database for read-only access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16008', 'indeterminate control file checkpoint', 'The control file for the database being opened for read-only access was created via CREATE CONTROLFILE. Therefore a control file checkpoint could not be calculated and the database cannot be opened for read-only access.', 'First open the database for read-write access which will result in valid control file checkpoint. Then re-open the database for read-only access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16009', 'remote archive log destination must be a STANDBY database', 'The database associated with the archive log destination service name is other than the required STANDBY type database. Remote archival of redo log files is not allowed to non-STANDBY database instances.', 'Take the necessary steps to create the required compatible STANDBY database before retrying the ARCHIVE LOG processing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16011', 'Archivelog Remote File Server process in Error state', 'The archivelog remote file server (RFS) process at the specified standby database site has experienced an unrecoverable error and is unable to receive further archive log data.', 'Correct the problem at the standby database site.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16012', 'Archive log standby database identifier mismatch', 'The database identifiers of the Primary and Standby database do not match. Remote archival of redo log files is not allowed to incompatible STANDBY database instances.', 'Take the necessary steps to create the required compatible STANDBY database before retrying the ARCHIVE LOG processing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16013', 'log string sequence# string does not need archiving', 'An attempt was made to archive the named file manually, but the file did not require archiving. The file had previously been successfully archived.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16014', 'log string sequence# string not archived, no available destinations', 'An attempt was made to archive the named log, but the archive was unsuccessful. The archive failed because there were no archive log destinations specified or all destinations experienced debilitating errors.', 'Verify that archive log destinations are being specified and/or take the necessary step to correct any errors that may have occurred.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16015', 'log string sequence# string not archived, media recovery disabled', 'An attempt was made to archive the named log, but the archive was unsuccessful. A standby archive log destination was specified and the database was not media recovery enabled. This is not allowed.', 'Disable the standby destination or enable media recovery and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16016', 'archived log for thread string sequence# string unavailable', 'The managed standby database recovery operation has timed out waiting for the requested archived log file.', 'Verify that the primary database is still archiving redo logs to the standby recovery database site and reissue the RECOVER STANDBY DATABASE WAIT command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16017', 'cannot use LOG_ARCHIVE_DUPLEX_DEST without a primary archive destination', 'The parameter LOG_ARCHIVE_DUPLEX_DEST was set to a non-NULL value when the primary archive destination was set to NULL explicitly.', 'Set the primary archive destination to a valid non-NULL value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16018', 'cannot use string with LOG_ARCHIVE_DEST_n or DB_RECOVERY_FILE_DEST', 'One of the following events caused an incompatibility: 1) Parameter LOG_ARCHIVE_DEST or LOG_ARCHIVE_DUPLEX_DEST was in use when a LOG_ARCHIVE_DEST_n (n = 1...10) parameter was encountered while fetching initialization parameters. 2) An ALTER SYSTEM ARCHIVE LOG START TO command was in effect when a LOG_ARCHIVE_DEST_n parameter was encountered while fetching initialization parameters. 3) A LOG_ARCHIVE_DEST_n parameter was in use when an ALTER SYSTEM command was used to define a value for either the LOG_ARCHIVE_DEST or LOG_ARCHIVE_DUPLEX_DEST parameter. 4) Parameter DB_RECOVERY_FILE_DEST was in use when an attempt was made to use an ALTER SYSTEM or ALTER SESSION command to define a value for LOG_ARCHIVE_DEST or LOG_ARCHIVE_DUPLEX_DEST.', 'Eliminate any incompatible parameter definitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13045', 'invalid compatibility flag', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13046', 'invalid number of arguments', 'An invalid number of arguments were specified for an SDO_GEOM function.', 'See the Oracle Spatial documentation for a description of the syntax and semantics of the relevant SDO_GEOM function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13047', 'unable to determine ordinate count from table <layer>_SDOLAYER', 'An SDO_GEOM function was unable to determine the number of ordinates for the SDO layer <layer>.', 'Verify that the <layer>_SDOLAYER table has a valid value for the column SDO_ORDCNT. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13048', 'recursive SQL fetch error', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13049', 'unable to determine tolerance value from table <layer>_SDODIM', 'An SDO_GEOM function was unable to determine the tolerance value for the SDO layer <layer>.', 'Verify that the <layer>_SDODIM table has a valid value for the column SDO_TOLERANCE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13050', 'unable to construct spatial object', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13051', 'failed to initialize spatial object', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13052', 'unsupported geometric type for geometry string.string', 'The geometry type for a specific instance in a <layer>_SDOGEOM table is not among the set of geometry types supported by Oracle Spatial.', 'Check the Oracle Spatial documentation for the list of supported geometry types and workarounds that permit the storage and retrieval of non-supported geometric types with the SDO schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13053', 'maximum number of geometric elements in argument list exceeded', 'The maximum number of geometric elements that can be specified in the argument list for an SDO_GEOM function was exceeded.', 'Check the Oracle Spatial documentation for the syntax of the SDO_GEOM function and use fewer arguments to describe the geometry, or check the description of the SDO_WINDOW package for a workaround that permits storing the object in a table and then using it in as an argument in a call to the SDO_GEOM function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13054', 'recursive SQL parse error', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13055', 'Oracle object string does not exist in specified table', 'The requested object is not present in the specified table.', 'Verify the syntax of the function or procedure that reported this error and verify that the object does indeed exist in the specified table. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13060', 'topology with the name string already exists', 'The specified topology name was not unique in the database.', 'Verify that the CREATE_TOPOLOGY call specifies the correct topology name and that the procedure is invoked from the correct schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13061', 'topology with the name string does not exist', 'The specified topology did not exist in the database.', 'Verify that the current procedure/function call specifies the correct schema and topology name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13062', 'topology IDs do not match in the feature table and the topology', 'The specified topology ID in the feature table did not match the topology ID stored in the topology metadata.', 'Verify that the specified topology ID matches the topology ID stored in the topology metadata.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13063', 'relationship information table is missing data for feature table [string]', 'The topology relationship information table (xxx_RELATION$) did not have the matching partition corresponding to the feature table.', 'Make sure the correct topology IDs and names are specified in the call to register the feature table with the topology.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13064', 'relationship information table has inconsistent data for feature table [string]', 'The topology_id, tg_layer_id values stored in the feature table did not match the values stored in the topology relationship information table (xxx_RELATION$).', 'Make sure that the correct feature tables are specified in the call to register the feature table with the topology.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13065', 'cannot delete a child layer with a parent layer', 'A call was made to delete a feature layer which has a dependent layer defined on it.', 'Make sure that all dependent feature layers are deleted before deleting the current feature layer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13066', 'wrong feature geometry or element type', 'The SDO_TOPO_GEOMETRY object had the wrong geometry and/or element type.', 'Correct the geometry and/or element type in the SDO_TOPO_GEOMETRY object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13067', 'operator requires both parameters from the same topology', 'Both SDO_TOPO_GEOMETRY parameters did not come from the same topology.', 'Make sure both the parameters to the operator are from the same topology. If this is not possible, consider using a signature of the operator that does not use two SDO_TOPO_GEOMETRY parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13068', 'wrong table or column name in SDO_TOPO_GEOMETRY constructor', 'An SDO_TOPO_GEOMETRY constructor was invoked with incorrect parameters for table name and/or column name.', 'Fix the parameters in the call and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13108', 'spatial table string not found', 'The specified spatial table does not exist.', 'Check the Spatial data dictionary to make sure that the table is registered.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13109', 'spatial table string exists', 'The specified spatial table is registered in the Spatial data dictionary.', 'Remove the existing table from the Spatial data dictionary or use a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13110', 'cannot drop topology with associated topo_geometry tables', 'The drop_topology procedure was invoked for a topology that has assocated topo_geometry layers with it.', 'Delete the topo_geometry layers from the topology before dropping the topology. Use SDO_TOPO.delete_topo_geometry_layer to delete topo_geometry layers from the topology.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13111', 'cannot add topo_geometry layer [string] to topology', 'It was not possible to add the specified topo_geometry layer to the topology.', 'Make sure the topo_geometry layer table exists in the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13112', 'cannot delete topo_geometry layer [string] from topology', 'It was not possible to delete the specified topo_geometry layer from the topology.', 'Check USER_SDO_TOPO_METADATA to see if the specified topo_geometry layer is part of the topology. Only those topo_geometry layers which are part of the topology can be deleted from it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13113', 'invalid tg_layer_id in sdo_topo_geometry constructor', 'An invalid layer_id was passed to the SDO_TOPO_GEOMETRY constructor.', 'Valid layer_ids are obtained by adding a topo_geometry layer to the topology. Check USER_SDO_TOPO_METADATA to find out the layer_id for an existing topo_geometry layer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13114', '[string]_NODE$ table does not exist', 'The NODE$ table for the topology did not exist in the database.', 'There is a severe corruption of the topology. Call Oracle Support Services with the error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13115', '[string]_EDGE$ table does not exist', 'The EDGE$ table for the topology did not exist in the database.', 'There is a severe corruption of the topology. Call Oracle Support Services with the error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13116', '[string]_FACE$ table does not exist', 'The FACE$ table for the topology did not exist in the database.', 'There is a severe corruption of the topology. Call Oracle Support Services with the error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16631', 'operation requires shutdown of database or instance "string"', 'The Data Guard broker operation required a shutdown of the database or instance.', 'If database or instance has not been shutdown by the DGMGRL CLI or Enterprise Manager, shutdown the database or instance manually.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16632', 'instance being added to database profile', 'The Data Guard broker determined that an instance successfully found its database profile within the broker configuration file, but lacked an instance-specific profile. The broker automatically created an instance-specific profile and associated the instance with its database profile.', 'No user action is required. The broker will automatically associate the instance with its database profile and incorporate the instance into broker activity.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16633', 'the only instance of the database cannot be removed', 'The instance to be removed was the only instance of the corresponding database that was known to the broker.', 'Remove the corresponding database object from the broker configuration instead of the individual instance object of the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16635', 'network connection failed during transmission', 'The Data Guard broker detected a connection failure to a remote database in the broker configuration. This failure happened in the middle of a transmission session. A transmission session usually requires more than one send operation for sending a large amount of data (for example, the broker configuration file) to the remote database.', 'In most cases, no user action is required. The Data Guard broker always tries to resend the data. This error will be reported if the problem persists. This error indicates there are some problems with the network connection between broker managed databases. Further network troubleshooting should be done to identify and correct the actual problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16636', 'fast-start failover target standby in error state, cannot stop observer', 'A STOP OBSERVER operation could not be completed when fast-start failover was enabled because the target standby database could not participate in the STOP OBSERVER operation.', 'Additional information about this failure is recorded in the Data Guard broker log file for the primary database. This information helps to identify the reason why the target standby database was unable to participate in the STOP OBSERVER operation. If the problem can be corrected by the information in the broker log file, retry the operation. Alternatively, fast-start failover may be forcibly disabled by connecting to the primary database and issuing the DISABLE FAST_START FAILOVER FORCE command from the DGMGRL CLI. Once fast-start failover has been forcibly disabled, the observer can be stopped regardless of the current state of the target standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16637', 'an instance failed to access the Data Guard broker configuration', 'The broker could not access the broker configuration files on one or more database instances. This can happen when the DG_BROKER_CONFIG_FILE[1|2] initialization parameter values are not to the same set of file locations for a RAC database.', 'Shut off the broker by setting the DG_BROKER_START initialization parameter to false. Then set the DG_BROKER_CONFIG_FILE1 and DG_BROKER_CONFIG_FILE2 initialization parameters to file locations that are shared by all instances of a RAC database. Finally, restart the broker by setting the DG_BROKER_START initialization parameter to true.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16638', 'could not get the instance status', 'The broker could not determine whether the specified instance was running.', 'See the next error message in the error stack for more detailed information. If the situation described in the next error in the stack can be corrected, do so; otherwise, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16639', 'specified instance inactive or currently unavailable', 'An attempt was made to perform an operation on an instance that was not running or was unavailable.', 'Ensure that the instance specified in the operation is running and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16640', 'CRS warns that multiple instances may still be running', 'The broker failed to have CRS stop instance monitoring and shut down all but one instance. CRS instance monitoring did stop, but CRS may not have been able to shut down all but one instance. The broker operation was canceled.', 'Suspend CRS management of this database using SRVCTL STOP DATABASE -D <name> -O NONE. Reissue the broker request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16642', 'DB_UNIQUE_NAME mismatch', 'The expected DB_UNIQUE_NAME value did not match the actual DB_UNIQUE_NAME value for the database that the broker contacted using the connect identifier that was associated with that database.', 'Verify that the connect identifier correctly connects to the intended database. Verify that the name of the database the broker expects to find by that connect identifier matches the actual DB_UNIQUE_NAME for that database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16643', 'unable to determine location of broker configuration files', 'The Data Guard broker was unable to determine the location of its configuration files from the DG_BROKER_CONFIG_FILE[1|2] initialization parameters.', 'Retry the operation and, if the error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16644', 'apply instance not available', 'The broker operation could not finish, because it requires a running apply instance for the standby database, and either there was no such instance designated for the standby database or the designated apply instance was not currently available.', 'Start the designated apply instance or wait until the broker specifies an instance to be the apply instance and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16645', 'unexpected new instance interrupted current operation', 'A new instance unexpectedly joined the Data Guard configuration at a point when the current operation may proceed only if the set of known instances is not changing dynamically.', 'Reissue the operation after the new instance has joined the Data Guard configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16646', 'fast-start failover is disabled', 'The operation was not allowed because fast-start failover was disabled.', 'Enable fast-start failover and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16647', 'could not start more than one observer', 'The observer could not start because there was another observer already observing the Data Guard configuration for which fast-start failover may have been enabled.', 'Stop the running observer. Retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16648', 'a new observer registered with identifier string', 'The observer was registered with the Data Guard broker and will begin observing the Data Guard configuration for conditions that warrant doing a fast-start failover.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16649', 'possible failover to another database prevents this database being opened', 'An attempt to open the database was made either when a failover occurred or while fast-start failover was enabled and the fast-start failover status could not be evaluated.', 'Check if a failover did occur. If fast-start failover is enabled, and a failover did not occur, ensure that connectivity exists between this database and either the observer or the target standby database. Then, try opening the database again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15251', 'only restricted mount is allowed in the ASM instance', 'The ASM instance was started in restricted mode, and an attempt was made to mount a diskgroup in non-restricted mode.', 'Start the ASM instance in non-restricted mode and mount the diskgroup again, or mount the diskgroup in restricted mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15281', 'not all specified disks were brought ONLINE', 'Some of the disks specified either experienced I/O errors while being brought ONLINE, or were simultaneously brought OFFLINE or dropped in another session, or were full.', 'Query V$ASM_DISK or use ASMCMD LSDSK to determine which disks were not brought ONLINE. Inspect any additional error messages and the alert log to determine the exact cause. If some of the disks failed, either fix the cause of the failures or drop the disks. If some of the disks are full, either free space in the disk group or add new disks to the diskgroup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15282', 'ASM disk "string" is not visible cluster-wide', 'An ALTER DISKGROUP ONLINE command specified a disk that could not be discovered by one or more nodes in a RAC cluster configuration.', 'Check operating system permissions for the device and the storage sub-system configuration on each node in the RAC cluster that cannot identify the disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15283', 'ASM operation requires compatible.rdbms of string or higher', 'The ASM operation specified requires a higher disk group attribute value for compatible.rdbms.', 'Set the disk group attribute compatible.rdbms to or above the requested version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15284', 'ASM terminated ALTER DISKGROUP ONLINE', 'None of the disks specified by ALTER DISKGROUP ONLINE could be brought ONLINE.', 'Inspect additional error messages and the alert log to determine why the specified disks cannot be brought ONLINE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15285', 'disk ''string'' violates disk group attribute string', 'Including the specifed disk would violate a restriction imposed by the specified disk group attribute.', 'Retry the operation while omitting the offending disk or change the attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15286', 'could not set disk group attribute string due to offline disks', 'The specified disk group attribute could not be set because the disk group includes offline disks.', 'Retry the operation after the offline disks in this disk group are dropped or brought online.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15287', 'could not set disk group attribute string due to incompatible disks', 'The specified disk group attribute could not be set because the disk group includes disks that conflict with the new value.', 'Retry the operation after dropping the conflicting disks in this disk group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15288', 'disk(s) require disk group attribute string clause', 'Some of the disks specified by the command also require the specified disk group attribute to be stated.', 'Retry the command including an ATTRIBUTE clause for the required disk group attribute. Alternatively, omit the disks that require setting the disk group attribue. See the alert log for additional information on the disks that require setting the disk group attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15289', 'ASM disk string cannot be resized beyond string M', 'A resize disk command specified a size beyond the maximum allowed for this disk.', 'Check alert logs from all ASM instances to identify the reason for the size limitation. If there are any 10g database instances using this disk group, shut down those instances and retry the resize operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15290', 'operation not permitted on offline disk string', 'An attempt was made to specify an operation that is only permitted on disks that are online. The specified disk was not online.', 'Online the disk or wait for online to complete before retrying the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15291', 'ASM could not add disk "string" to disk group "string"', 'An attempt was made to add a disk to a disk group while the distribution of disks in failure groups was too uneven.', 'Add or drop disks to or from failure groups to balance their distribution in all failure groups and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15292', 'Disk name string is being used by another disk', 'The specified disk name could not be reused because an 11.1.0.6.0 or earlier database instance had it cached in memory.', 'Do one of the following ' || '<p>' || '- Specify a different name for the disk.' || '<p>' || '' || '<p>' || '- Wait for the rebalance to complete successfully.' || '<p>' || '' || '<p>' || '- Identify the database instance with the problem and shut it down before retrying the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15293', 'operation disallowed by ASM_POWER_LIMIT', 'This operation required data movement in order to complete successfully. However, ASM_POWER_LIMIT was set to zero, thereby preventing this operation.', 'Repeat the operation after setting ASM_POWER_LIMIT to a non-zero value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15294', 'SYSASM privilege not allowed on database instance', 'The SYSASM privilege was not allowed on this database instance; it is allowed only on an ASM instance.', 'Use either the SYSDBA or the SYSOPER privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15295', 'FINE striping not allowed for the Staleness Registry', 'An SQL command attempted to set the striping attribute of the ASM_STALE template to FINE striping.', 'Do not modify the striping attribute of the ASM_STALE template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15450', 'invalid volume name specifier', 'The volume name specified was invalid', 'Specify a valid volume name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15451', 'missing or invalid volume size specifier', 'The volume size specified was invalid.', 'Specify a valid volume size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15452', 'missing or invalid stripe width specifier', 'The volume stripe width specified was invalid.', 'Specify a valid volume stripe width.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15453', 'invalid STRIPE_COLUMNS specifier', 'An ADD VOLUME command did not specify a valid number of stripe columns.', 'Specify a valid number of stripe columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15454', 'ALTER DISKGROUP ALL cannot use single volume names', 'An ALTER DISKGROUP ALL command specified a single volume or a list of volumes', 'Use the ALL keyword when specifying volumes on multiple diskgroups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15455', 'FORCE option cannot be used when specifying ALL volumes', 'The FORCE option was used to disable ALL volumes.', 'Use FORCE option to disable one volume at a time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15456', 'missing or invalid volume usage specifier', 'The command did not specify a valid volume usage string.', 'Specify a valid volume usage string with alphanumeric characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15457', 'first letter of the volume name is not alphabetic', 'A volume name was specified with a nonalphabetic first character.', 'Set the first character of the volume name to be alphabetic.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15458', 'invalid character in volume name', 'A volume name was specified with an invalid character.', 'Use a volume name with only alphanumeric characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15459', 'STRIPE_WIDTH of string is not a power of two', 'An ADD VOLUME command specified a STRIPE_WIDTH that was not a power of two.', 'Select a STRIPE_WIDTH that is a power of two; for example, 4K, 8K, etc.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15460', 'volume name ''string'' is already in use', 'An ADD VOLUME command specified a volume name that was already used by another volume.', 'Select a different name for the volume.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15461', 'STRIPE_WIDTH of string bytes is less than the minimum of string bytes', 'An ADD VOLUME command specified a STRIPE_WIDTH that was too small.', 'Select a larger STRIPE_WIDTH.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15462', 'STRIPE_WIDTH of string bytes is greater than the maximum of string bytes', 'An ADD VOLUME command specified a STRIPE_WIDTH that was too large.', 'Select a smaller STRIPE_WIDTH.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16019', 'cannot use string with LOG_ARCHIVE_DEST or LOG_ARCHIVE_DUPLEX_DEST', 'One of the following events caused an incompatibility: 1) Parameter LOG_ARCHIVE_DEST or LOG_ARCHIVE_DUPLEX_DEST was in use when the specified LOG_ARCHIVE_DEST_n (n = 1...10) or DB_RECOVERY_FILE_DEST parameter was encountered while fetching initialization parameters. 2) Parameter LOG_ARCHIVE_DEST or LOG_ARCHIVE_DUPLEX_DEST was in use when an attempt was made to use an ALTER SYSTEM or ALTER SESSION command to define a value for the specified LOG_ARCHIVE_DEST_n or DB_RECOVERY_FILE_DEST parameter. 3) An ALTER SYSTEM ARCHIVE LOG START TO command was in effect when the specified LOG_ARCHIVE_DEST_n parameter was encountered while fetching initialization parameters. 4) An ALTER SYSTEM ARCHIVE LOG START TO command was in effect when an attempt was made to use an ALTER SYSTEM or ALTER SESSION command to define a value for the specified LOG_ARCHIVE_DEST_n parameter.', 'Eliminate any incompatible parameter definitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16020', 'less destinations available than specified by LOG_ARCHIVE_MIN_SUCCEED_DEST', 'With automatic archiving enabled, the number of archive log destinations that could be used for the database was less than the LOG_ARCHIVE_MIN_SUCCEED_DEST parameter value.', 'Either adjust the settings of the log archive destination parameters, or lower the value of LOG_ARCHIVE_MIN_SUCCEED_DEST.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16021', 'session string destination cannot be the same as session string destination', 'An attempt was made to change the first specified archive log parameter using ALTER SESSION to have a destination value that duplicates the session-level destination value of the second specified archive log parameter.', 'Specify a different session destination value for one of the LOG_ARCHIVE_DEST_n parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16022', 'LOG_ARCHIVE_DEST cannot be NULL because LOG_ARCHIVE_DUPLEX_DEST is non-NULL', 'An attempt was made to change parameter LOG_ARCHIVE_DEST to NULL when parameter LOG_ARCHIVE_DUPLEX_DEST is non-NULL.', 'Either set parameter LOG_ARCHIVE_DEST to a non-NULL value, or set parameter LOG_ARCHIVE_DUPLEX_DEST to a NULL value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16041', 'Remote File Server fatal error', 'The Remote File Server (RFS) process at the standby destination archive log site has encountered a disabling error and is no longer available. Further archiving to the standby site may not be possible.', 'Refer to the appropriate RFS trace file located at the standby site for details regarding the error encountered and if possible take corrective action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16042', 'user requested cancel immediate of managed recovery operation', 'The managed standby database recovery operation has been canceled immediately per user request. Processing of the current archive log file has been interrupted and therefore the database is in an inconsistent state.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16043', 'managed recovery session canceled', 'The standby database managed recovery operation has been canceled per user request or operation timeout.', 'More specific messages will accompany this message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16044', 'destination string attribute cannot be specified at session level', 'An archive log destination attribute was attempted to be modified at the session level.', 'Use the ALTER SYSTEM command to modify the destination attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16045', 'circular archive log destination dependency chain', 'An archive log destination contains a dependency to another archive log destination that also contains a dependency.', 'The parent archive log destination cannot be dependent on another archive log destination. Use the ALTER SYSTEM command to remove one of the dependency attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16046', 'Archive log destination failed due to failed dependent destination', 'The archive log destination is dependent upon another destination, which has failed. Therefore, this destination also fails.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16047', 'DGID mismatch between destination setting and standby', 'The DB_UNIQUE_NAME specified for the destination does not match the DB_UNIQUE_NAME at the destination.', 'Make sure the DB_UNIQUE_NAME specified in the LOG_ARCHIVE_DEST_n parameter defined for the destination matches the DB_UNIQUE_NAME parameter defined at the destination.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16050', 'destination exceeded specified quota size', 'An archive log was attempted to be created in a destination with a specified maximum quota size. The creation of the archive log exceeded the specified quota size. Therefore, the destination has been made inaccessible to future archival operations.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16051', 'parameter string contains an invalid delay time', 'The value for the specified LOG_ARCHIVE_DEST_n (n = 1...10) parameter contained a DELAY attribute with an invalid numeric value. The valid range is 0-5760 (in minutes).', 'Correct the value for the indicated LOG_ARCHIVE_DEST_n parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16052', 'DB_UNIQUE_NAME attribute is required', 'The DB_UNIQUE_NAME attribute is required when DG_CONFIG is enabled.', 'Use the DB_UNIQUE_NAME attribute to specify a valid Data Guard Name for the destination. The list of valid DB_UNIQUE_NAMEs can be seen with the V$DATAGUARD_CONFIG view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16053', 'DB_UNIQUE_NAME string is not in the Data Guard Configuration', 'The specified DB_UNIQUE_NAME is not in the Data Guard Configuration.', 'If the DG_CONFIG attribute of the LOG_ARCHIVE_CONFIG parameter is enabled, you must specify a valid DB_UNIQUE_NAME. The list of valid DB_UNIQUE_NAMEs can be seen with the V$DATAGUARD_CONFIG view. This problem can also occur when specifying a non-standby destination with an DB_UNIQUE_NAME attribute that does not match the DB_UNIQUE_NAME initialization parameter for the current instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16055', 'FAL request rejected', 'FAL server rejects the FAL request from the FAL client. This may be caused by different reasons.', 'to solve the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16056', 'backup control file archival requires proper syntax', 'An attempt was made to perform an online log file archival using a backup control file. However, the USING BACKUP CONTROLFILE syntax was not specified.', 'If the archival operation is correct when using a backup control file, then the USING BACKUP CONTROLFILE syntax is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16057', 'DGID from server not in Data Guard configuration', 'The Data Guard name of the primary database or the FAL server is not in the Data Guard configuration of the standby.', 'In order for the primary database or the FAL server to archive logs to the standby database, the Data Guard name of the primary or FAL server must be in the Data Guard configuration of the standby.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16058', 'standby database instance is not mounted', 'The RFS process on the standby database received an internal error.', 'Check the standby alert log and RFS trace files for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16059', 'Log file is empty or invalid next available block', 'Archiving not allowed of an empty or invalid log file.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16060', 'Log file is current', 'The current log file cannot be archived using its file name.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16061', 'Log file status has changed', 'It is possible the online log file was reclaimed as a new log file either before archival started, or during the archival operation.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13117', '[string]_RELATION$ table does not exist', 'The RELATION$ table for the topology did not exist in the database.', 'There is a severe corruption of the topology. Call Oracle Support Services with the error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13118', 'invalid node_id [string]', 'A topology node operation was invoked with an invalid node_id.', 'Check the topology node$ table to see if the specified node_id exists in the topology.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13119', 'invalid edge_id [string]', 'A topology edge operation was invoked with an invalid edge_id.', 'Check the topology edge$ table to see if the specified edge_id exists in the topology.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13120', 'invalid face_id [string]', 'A topology face operation was invoked with an invalid face_id.', 'Check the topology face$ table to see if the specified face_id exists in the topology.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13121', 'layer type type mismatch with topo_geometry layer type', 'The tg_type in SDO_TOPO_GEOMETRY constructor did not match the type specified for the layer.', 'Check the USER_SDO_TOPO_METADATA view to see the layer type for the layer and use it in the constructor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13122', 'invalid topo_geometry specified', 'The SDO_TOPO_GEOMETRY object passed into the function/operator was not valid.', 'Check the SDO_TOPO_GEOMETRY object and verify that it is a valid topo_geometry object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13123', 'invalid <TOPOLOGY> name specified', 'The create_topo operation requires a unique TOPOLOGY name, that already does not exist in the database.', 'Check to see if there is already an entry in the USER_SDO_TOPO_METADATA (or the MDSYS.SDO_TOPO_METADATA_TABLE) with this topology name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13544', 'error encountered while automatically generating a baseline', 'An error occurred while automatically generating a baseline based on the template information.', 'Look in the trace file for more error information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13545', 'invalid baseline template name', 'The operation failed because the specified baseline template name was an invalid identifier.', 'Check the baseline template name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13546', 'Error encountered during maintenance of Adaptive Thresholds', 'Error occurred during OCI operation due to underlying error.', 'Check associated OCI error. Correct problem and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13547', 'Unable to drop baseline since it is in use by string', 'The system is not able to drop the baseline since the baseline is in use by a functionality that depends on its existence.', 'Note the name of the functionality using the baseline, and check if the functionality still needs the baseline.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13548', 'Unable to find valid snapshot IDs for the inputted baseline time range', 'The system is not able to find valid snapshot IDs for the inputted time range while attempting to create a baseline.', 'Check that the inputted time range has at least two valid snapshots. The dba_hist_snapshot displays the snapshot id and time information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13549', 'invalid input for create baseline with time range (string)', 'Invalid time input was specified for the create baseline routine.', 'Check the argument displayed in the error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13600', 'error encountered in Advisor string', 'An error occurred in the Advisor. This message will be followed by a second message giving more details about the nature of the error.', 'See the Advisor documentation for an explanation of the second error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13601', 'The specified Advisor string does not exist.', 'The user specified an advisor name that has not be defined in the advisor repository.', 'Correct the advisor name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13603', 'The specified parameter string cannot be fetched as a numeric value for task or object string.', 'The user attempted to retrieve a string parameter as a numeric value.', 'Check the datatype for the task parameter and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13604', 'The specified parameter string cannot be fetched as a SQL table.', 'The user attempted to retrieve a non-table parameter as a table name.', 'Check the datatype for the task parameter and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13773', 'insufficient privileges to select data from the cursor cache', 'The user attempted to perform an operation without having the appropriate privileges on V$SQL and V$SQL_BIND_CAPTURE.', 'Adjust the user''s privileges and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13774', 'insufficient privileges to select data from the workload repository', 'The user attempted to perform an operation without having the appropriate privileges on views DBA_HIST_BASELINE, DBA_HIST_SQLTEXT, DBA_HIST_SQLSTAT, DBA_HIST_SQLBIND, DBA_HIST_OPTIMIZER_ENV, and DBA_HIST_SNAPSHOT.', 'Adjust the user''s privileges and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13775', 'inconsistent datatype in input cursor', 'The user attempted to load a SQL Tuning Set using an invalid input cursor. All rows in the cursor must match type SQLSET_ROW.', 'Check the rows type in the cursor and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13776', 'User "string" has not been granted the "SELECT" privilege on the "SQL tuning set" DBA views.', 'The user attempted to read a SQL tuning set belonging to someone else without having SELECT privilege on the DBA views', 'User should be granted the privilege or only access his own STS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13777', 'invalid list of attribute names', 'The user specified an attribute element that is not valid. The only attributes that can be selected are NULL, BASIC, TYPICAL, ALL or a comma separated list of the names including EXECUTION_STATISTICS, OBJECT_LIST, BIND_LIST and SQL_PLAN.', 'Adjust the attribute list and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13778', 'no new name or owner specified for "SQL Tuning Set"', 'The user attempted to call remap_stgtab_sqlset without specifying either a new SQL tuning set name or a new SQL tuning set owner', 'Specify at least one or the other argument as non-NULL', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13779', 'invalid load option', 'The user attempted to call load_sqlset with a load option that is different than INSERT, UPDATE and MERGE.', 'Adjust the load option and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13780', 'SQL statement does not exist.', 'The user attempted to tune a SQL statement that does not exist.', 'Verify the sql_id and the plan hash value of the statement and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13781', 'cannot perform test-execute and explain plan operations on the automatic SQL tuning task', 'The user attempted to test-execute or generate explain plans for a SQL workload using the automatic SQL tuning task.', 'Verify the name of the tuning task and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13783', 'invalid tuning scope', 'The user attempted to specify a tuning task scope that is invalid. The possible values are LIMITED or COMPREHENSIVE.', 'Check the scope value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13784', 'cannot accept SQL profiles for all statements in the "string"', 'An attempt was made to accept SQL profiles for all statements in the input workload.', 'Provide the object identifier corresponding to a statement in the workload and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13785', 'missing target object for tuning task "string"', 'The user attempted to perform an operation on a task without specifying a target object or by using an invalid object identifier.', 'Check the identifier of the object and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16650', 'command incompatible when fast-start failover is enabled', 'An attempt was made to issue a command that is not permitted when fast-start failover is enabled. The command was not issued using the Data Guard broker.', 'The command must be issued using the Data Guard broker.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17501', 'logical block size string is invalid', 'logical block size for oracle files must be a multiple of the physical block size, and less than the maximum', 'check INIT.ORA file parameters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17502', 'ksfdcre:string Failed to create file string', 'file creation failed due to either insufficient OS permission or the file already exists', 'check additional error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17503', 'ksfdopn:string Failed to open file string', 'file open failed due to either insufficient OS permission or the name of file exceeds maximum file name length.', 'check additional error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17504', 'ksfddel:Failed to delete file string', 'The file that was being deleted is still in use or the process has insufficient permission to delete file.', 'check additional error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17505', 'ksfdrsz:string Failed to resize file to size string blocks', 'There is insufficient space left on the device or the process has insufficient permission to resize file.', 'check additional error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17506', 'I/O Error Simulation', 'The i/o request is marked with error because the i/o error simulation event is turned on.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17507', 'I/O request size string is not a multiple of logical block size', 'i/o''s are done in multiple of logical block size', 'Check additional error messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17508', 'I/O request buffer ptr is not alligned', 'i/o request buffer should be alligned, check additional information for buffer ptr value', 'Call Oracle Support Services', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17509', 'Attempt to do i/o beyond block1 offset', 'When a file is identified with logical block size of 0, only i/o''s to block1 is allowed.', 'check additional error messages and call Oracle Support Services', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17510', 'Attempt to do i/o beyond file size', 'The i/o request points to a block beyond End Of File', 'check additional error messages and call Oracle Support Services', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17512', 'Block Verification Failed', 'Block Verification after a read operation on a database file failed since the block is media corrupt.', 'check additional error messages in the trace file and call Oracle Support Services', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17610', 'file ''string'' does not exist and no size specified', 'An attempt to create a file found neither an existing file nor a size for creating the file.', 'Specify a size for the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17611', 'ksfd: file ''string'' cannot be accessed, global open closed', 'An attempt to write to a file which has gone offline/unidentified', 'Check for other errno in the stack', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17612', 'Failed to discover Oracle Disk Manager library, return value string', 'Discovery of the odm library by calling odm_discover() failed', 'Contact your storage vendor who has provided the ODM library or call Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-17613', 'Failed to initialize Oracle Disk Manager library: string', 'ODM initialization for the thread failed due to insufficient previlige or memory.', 'Make sure there is enough system resources available for the oracle process and it has access to the ODM library', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19126', 'XQuery extension expression contains neither a pragma that is recognized by the implementation nor an expression enclosed in curly braces', 'No expression was enclosed in curly braces for the extension expression or the pragma content was not recognized.', 'Correct inputs to extension expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19127', 'XQST0067: XQST0067: A static error is raised if a Prolog contains more than one construction declaration', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19128', 'XQST0068: A static error is raised if a Prolog contains more than one boundary-space declaration', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19129', 'XQST0069: A static error is raised if a Prolog contains more than one empty order declaration', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19130', 'XQST0070: A static error is raised if the predefined namespace prefix xml or xmlns is redeclared by a namespace declaration or namespace declaration attribute', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19131', 'XQST0071: A static error is raised if the namespace declaration attributes of a direct element constructor do not have distinct names', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19132', 'XQDY0072: It is a dynamic error if the result of the content expression of a computed comment constructor contains two adjacent hyphens or ends with a hyphen', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19133', 'XQST0073: It is a static error if the graph of module imports contains a cycle (that is, if there exists a sequence of modules M1 ... Mn such that each Mi imports Mi+1 and Mn imports M1), unless all the modules in the cycle share a common namespace', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19161', 'XPTY0004 - XQuery type mismatch: invalid argument type ''string'' for function ''string''', 'The type of the argument that was passed to the given function was not valid.', 'Fix the argument to be of a type supported by the given function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19162', 'XPTY0004 - XQuery type mismatch: invalid argument types ''string'', ''string'' for function ''string''', 'The type of the arguments that were passed to the given function was not valid.', 'Fix the arguments to be of a type appropriate for the given function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19163', 'XPTY0004 - XQuery type mismatch: argument type mismatch: expected - ''string'' got - ''string'' for function ''string''', 'The type of the arguments that were passed to the given function was not valid.', 'Fix the arguments to be of a type appropriate for the given function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19164', 'XQST0085 - It is a static error if the namespace URI in a namespace declaration attribute is a zero-length string, and the implementation does not support [XML Names 1.1].', 'There was a zero-length URI in namespace declaration.', 'Fix the namespace declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19165', 'FONS0003: no prefix defined for namespace', 'There was a zero-length URI in namespace declaration.', 'Fix the namespace declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19166', 'FONS0003: FONS0004: no namespace found for prefix', 'There was a zero-length URI in namespace declaration.', 'Fix the namespace declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19167', 'FONS0005: base uri not defined in the static context', 'There was a zero-length URI in namespace declaration.', 'Fix the namespace declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19168', 'FORG0002: invalid argument to fn:resolve-uri()', 'There was a zero-length URI in namespace declaration.', 'Fix the namespace declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19169', 'FORG0006: invalid argument type in ''string''', 'There was a zero-length URI in namespace declaration.', 'Fix the namespace declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12805', 'parallel query server died unexpectedly', 'A parallel query server died unexpectedly, PMON cleaning up the process.', 'Check your system for anomalies and reissue the statement. If this error persists, contact Oracle Support Services. See trace file for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12806', 'could not get background process to hold enqueue', 'Internal error.', 'This error should not normally occur. If it persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12807', 'process queue could not receive parallel query message', 'Internal error.', 'This error should not normally occur. If it persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12808', 'cannot set string_INSTANCES greater than number of instances string', 'An attempt was made to set SCAN_INSTANCES or CACHE_INSTANCES using the ALTER SYSTEM command to a value larger than the number of available instances.', 'See the accompanying message for the current allowable maximum value, or set SCAN_INSTANCES / CACHE_INSTANCES to ALL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12809', 'cannot set string_INSTANCES when mounted in exclusive mode', 'An attempt was made to set SCAN_INSTANCES or CACHE_INSTANCES using the ALTER SYSTEM command while the database was mounted in exclusive mode.', 'SCAN_INSTANCES / CACHE_INSTANCES may not be set unless running Oracle Real Application Clusters mounted in CLUSTER_DATABASE mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13019', 'coordinates out of bounds', 'Vertex coordinates lie outside the valid range for specified dimension.', 'Redefine vertex coordinates within specified boundaries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13020', 'coordinate is NULL', 'A vertex coordinate has a NULL value.', 'Redefine vertex coordinate to have non-NULL value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13021', 'element not continuous', 'The coordinates defining a geometric element are not connected.', 'Redefine coordinates for the geometric element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13022', 'polygon crosses itself', 'The coordinates defining a polygonal geometric element represent crossing segments.', 'Redefine coordinates for the polygon.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13023', 'interior element interacts with exterior element', 'An interior element of a geometric object interacts with the exterior element of that object.', 'Redefine coordinates for the geometric elements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13024', 'polygon has less than three segments', 'The coordinates defining a polygonal geometric element represent less than three segments.', 'Redefine the coordinates for the polygon.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13025', 'polygon does not close', 'The coordinates defining a polygonal geometric element represent an open polygon.', 'Redefine the coordinates of the polygon.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13026', 'unknown element type for element string.string.string', 'The SDO_ETYPE column in the <layer>_SDOGEOM table contains an invalid geometric element type value.', 'Redefine the geometric element type in the <layer>_SDOGEOM table for the specified geometric element using one of the supported SDO_ETYPE values. See the Oracle Spatial documentation for an explanation of SDO_ETYPE and its possible values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13027', 'unable to read dimension definition from string', 'There was a problem reading the dimension definition from the <layer>_SDODIM table.', 'Verify that the <layer>_SDODIM table exists and that the appropriate privileges exist on the table. Address any other errors that might appear with the message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13028', 'Invalid Gtype in the SDO_GEOMETRY object', 'There is an invalid SDO_GTYPE in the SDO_GEOMETRY object.', 'Verify that the geometries have valid gtypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13029', 'Invalid SRID in the SDO_GEOMETRY object', 'There is an invalid SDO_SRID in the SDO_GEOMETRY object. The specified SRID may be outside the valid SRID range.', 'Verify that the geometries have valid SRIDs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13030', 'Invalid dimension for the SDO_GEOMETRY object', 'There is a mismatch between the dimension in the SDO_GTYPE and dimension in the SDO_GEOM_METADATA for the SDO_GEOMETRY object.', 'Verify that the geometries have valid dimensionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13031', 'Invalid Gtype in the SDO_GEOMETRY object for point object', 'There is an invalid SDO_GTYPE in the SDO_GEOMETRY object where the VARRAYs are NULL but the SDO_GTYPE is not of type POINT.', 'Verify that the geometries have valid gtypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13032', 'Invalid NULL SDO_GEOMETRY object', 'There are invalid SDO_POINT_TYPE or SDO_ELEM_INFO_ARRAY or SDO_ORDINATE_ARRAY fields in the SDO_GEOMETRY object.', 'Verify that the geometries have valid fields. To specify a NULL geometry, specify the whole SDO_GEOMETRY as NULL instead of setting each field to NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13033', 'Invalid data in the SDO_ELEM_INFO_ARRAY in SDO_GEOMETRY object', 'There is invalid data in the SDO_ELEM_INFO_ARRAY field of the SDO_GEOMETRY object. The triplets in this field do not make up a valid geometry.', 'Verify that the geometries have valid data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13034', 'Invalid data in the SDO_ORDINATE_ARRAY in SDO_GEOMETRY object', 'There is invalid data in the SDO_ORDINATE_ARRAY field of the SDO_GEOMETRY object. The coordinates in this field do not make up a valid geometry. There may be NULL values for X or Y or both.', 'Verify that the geometries have valid data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13035', 'Invalid data (arcs in geodetic data) in the SDO_GEOMETRY object', 'There is invalid data in the SDO_ELEM_INFO_ARRAY field of the SDO_GEOMETRY object. There are arcs in a geometry that has geodetic coordinates.', 'Verify that the geometries have valid data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13036', 'Operation [string] not supported for Point Data', 'The specified geometry function is not supported for point data.', 'Make sure that the specified geometry function is not called on point data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13037', 'SRIDs do not match for the two geometries', 'A Spatial operation is invoked with two geometries where one geometry has an SRID and the other geometry does not have an SRID.', 'Make sure that the spatial operations are invoked between two geometries with compatible SRIDs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13039', 'failed to update spatial index for element string.string.string', 'Another error will accompany this message that will indicate the problem.', 'Correct any accompanying errors. If no accompanying error message appears, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13040', 'failed to subdivide tile', 'This is an internal error.', 'Note any accompanying errors and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13041', 'failed to compare tile with element string.string.string', 'The spatial relationship between a generated tile and the specified element could not be determined.', 'This is an internal error. Verify the geometry using the VALIDATE_GEOMETRY_WITH_CONTEXT procedure. If the procedure does not return any errors, note any errors that accompany ORA-13041 and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13042', 'invalid SDO_LEVEL and SDO_NUMTILES combination', 'An invalid combination of SDO_LEVEL and SDO_NUMTILES values was read from the <layer>_SDOLAYER table. The most likely cause is that the columns are NULL.', 'Verify the that SDO_LEVEL and SDO_NUMTILES columns contain valid integer values as described in the Oracle Spatial documentation. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13043', 'failed to read metadata from the <layer>_SDOLAYER table', 'An error was encountered reading the layer metadata from the <layer>_SDOLAYER table.', 'This error is usually the result of an earlier error which should also have been reported. Address this accompanying error and retry the current operation. If no accompanying error was reported, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14159', 'duplicate subpartition name', 'Name of a subpartition of a table or index being created is not unique', 'rename subpartition(s) to ensure that their names are unique among subpartitions of the table or index being created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14160', 'this physical attribute may not be specified for a table subpartition', 'unexpected option was encountered while parsing physical attributes of a table subpartition; TABLESPACE is the only valid option', 'remove invalid option(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14161', 'subpartition number string: sum of PCTUSED and PCTFREE may not exceed 100', 'the sum of PCTUSED and PCTFREE for a subpartition whose number (subpartitions are numbered starting with 1) is displayed in this message exceeds 100. Note that if PCTUSED and/or PCTFREE values for this subpartition were not specified explicitly, default values at partition-level would be used. If, in turn, default PCTUSED and/or PCTFREE values at partition-level were not specified, default values for the partitioned table or index would be used. If those values were also not specified explicitly, system defaults would be used.', 'ensure that a sum of PCTUSED and PCTFREE for the subpartition does not exceed 100', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14162', 'subpartition "string": sum of PCTUSED and PCTFREE may not exceed 100', 'the sum of PCTUSED and PCTFREE for a subpartition whose name (explicitly specified by the user) is displayed in this message exceeds 100. Note that if PCTUSED and/or PCTFREE values for this subpartition were not specified explicitly, default values at partition-level would be used. If, in turn, default PCTUSED and/or PCTFREE values at partition-level were not specified, default values for the partitioned table or index would be used. If those values were also not specified explicitly, system defaults would be used.', 'ensure that a sum of PCTUSED and PCTFREE for the subpartition does not exceed 100', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14163', 'subpartition number string: INITRANS value must be less than MAXTRANS value', 'Value of INITRANS was found to be greater than that of MAXTRANS for a subpartition whose number (subpartitions are numbered starting with 1) is displayed in this message. Note that if INITRANS and/or MAXTRANS values for this subpartition were not specified explicitly, default values at partition-level would be used. If, in turn, default INITRANS and/or MAXTRANS values at partition-level were not specified, default values for the partitioned table or index would be used. If those values were also not specified explicitly, system defaults would be used.', 'ensure that value of INITRANS (whether specified explicitly or derived from the default value at partition-level, table-level or index-level) is no greater than that of MAXTRANS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14164', 'subpartition "string": INITRANS value must be less than MAXTRANS value', 'Value of INITRANS was found to be greater than that of MAXTRANS for a subpartition whose name (explicitly specified by the user) is displayed in this message. Note that if INITRANS and/or MAXTRANS values for this subpartition were not specified explicitly, default values at partition-level would be used. If, in turn, default INITRANS and/or MAXTRANS values at partition-level were not specified, default values for the partitioned table or index would be used. If those values were also not specified explicitly, system defaults would be used.', 'ensure that value of INITRANS (whether specified explicitly or derived from the default value at partition-level, table-level or index-level) is no greater than that of MAXTRANS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14165', 'MODIFY DEFAULT ATTRIBUTES FOR PARTITION may not be combined with other operations', 'ALTER TABLE or ALTER INDEX statement attempted to combine MODIFY DEFAULT ATTRIBUTES OF PARTITION with some other operation (e.g. ADD PARTITION or PCTFREE) which is illegal', 'Ensure that MODIFY DEFAULT ATTRIBUTES is the sole operation specified in ALTER TABLE or ALTER INDEX statement; operations other than those dealing with partitions, default attributes of partitioned tables/indices or specifying that a table be renamed (ALTER TABLE RENAME) may be combined at will', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14166', 'missing INTO keyword', 'keyword INTO missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14167', 'only one subpartition may be moved', 'ALTER TABLE MOVE SUBPARTITION contained descriptions of more than one subpartition to be moved', 'Ensure that the statement describes exactly one subpartition to be moved and that it does not contain any commas', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14168', 'only one subpartition may be modified', 'ALTER TABLE|INDEX MODIFY SUBPARTITION contained descriptions of more than one subpartition to be modified', 'Ensure that the statement describes exactly one subpartition to be modified and that it does not contain any commas', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14169', 'invalid ALTER TABLE MODIFY SUBPARTITION option', 'An option other than PCTFREE, PCTUSED, INITRANS, MAXTRANS, STORAGE, was specified in an ALTER TABLE MODIFY SUBPARTITION statement.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14170', 'cannot specify <partition-description> clause in CREATE TABLE|INDEX', 'User requested to generate default partition description(s) (possibly via PARTITIONS <number-of-partitions>) while at the same time specified <partition-description> clause which is illegal', 'Remove one of offending clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14171', 'cannot specify <subpartition-description> clause in CREATE|ALTER TABLE', 'User requested to generate default subpartition description(s) (possibly via SUBPARTITIONS) while at the same time specified <subpartition-description> clause which is illegal', 'Remove one of offending clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14172', 'invalid ALTER TABLE EXCHANGE SUBPARTITION option', 'Name of the table to be EXCHANGED has to be followed by [{INCLUDING|EXCLUDING} INDEX][{WITH|WITHOUT} VALIDATION]', 'Ensure that no options besides INCLDING INDEX or EXCLUDING INDEX are specified with ALTER TABLE EXCHANGE SUBPARTITION', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14173', 'illegal subpartition-extended table name syntax', 'Subpartition to be accessed may only be specified using its name. User attempted to use a subpartition number or a bind variable.', 'Modify statement to refer to a subpartition using its name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14174', 'only a <parallel clause> may follow COALESCE PARTITION|SUBPARTITION', 'ALTER TABLE COALESCE PARTITION|SUBPARTITION may be followed by an optional <parallel clause>. No partition/subpartition attributes may be specified', 'Ensure that no partition/subpartition attribute was specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14175', 'a subpartition maintenance operation may not be combined with other operations', 'ALTER TABLE or ALTER INDEX statement attempted to combine a subpartition maintenance operation (e.g. MOVE SUBPARTITION) with some other operation (e.g. MODIFY PARTITION ADD SUBPARTITION or PCTFREE) which is illegal', 'Ensure that a subpartition maintenance operation is the sole operation specified in ALTER TABLE or ALTER INDEX statement; operations other than those dealing with subpartitions, default attributes of partitioned tables/indices or specifying that a table be renamed (ALTER TABLE RENAME) may be combined at will', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13239', 'sdo_dimensionality not specified during n-d R-tree creation', 'An error occurred in reading the dimensionality parameter', 'Check the documentation for a valid range, and specify the dimensionality as a parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13240', 'specified dimensionality greater than that of the query mbr', 'An error occurred because of too few values in the query minimum bounding rectangle (MBR).', 'Omit the dimensionality, or use the dimensionality of the query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13241', 'specified dimensionality does not match that of the data', 'An error occurred because the dimensionality specified in the CREATE INDEX statement does not match that of the data.', 'Change the statement to reflect the data dimensionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13243', 'specified operator is not supported for 3- or higher-dimensional R-tree', 'Currently, an R-tree index with three or more index dimensions can be used only with the SDO_FILTER operator.', 'Use the SDO_FILTER operator, and check the documentation for the querytype parameter for SDO_FILTER; or contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13249', 'string', 'An internal error was encountered in the extensible spatial index component. The text of the message is obtained from some other server component.', 'Contact Oracle Support Services with the exact error text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13250', 'insufficient privileges to modify metadata table entries', 'The user requesting the operation does not have the appropriate privileges on the referenced tables.', 'Check that the specified feature and geometry table names are correct, and then verify that the current user has at least SELECT privilege on those tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13251', 'duplicate entry string in metadata table', 'The specified entry already exists in the metadata table.', 'Check that the specified feature and geometry table names are correct. A feature-geometry table association should be registered only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13260', 'layer table string does not exist', 'Data migration source table <layer>_SDOGEOM does not exist.', 'Ensure that the specified layer name is correct and that the corresponding spatial layer tables exist in the current schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13261', 'geometry table string does not exist', 'The specified geometry table does not exist in the current schema.', 'Create a table containing a column of type SDO_GEOMETRY and a column of type NUMBER for the GID values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13262', 'geometry column string does not exist in table string', 'The specified table does not have a column of type SDO_GEOMETRY.', 'Alter or re-create the table such that it includes a column of type SDO_GEOMETRY and a column of type NUMBER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13263', 'column string in table string is not of type SDO_GEOMETRY', 'The column intended for storing the geometry is not of type SDO_GEOMETRY.', 'Alter the column definition to be of type SDO_GEOMETRY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13264', 'geometry identifier column string does not exist in table string', 'The specified table does not contain a GID column.', 'Confirm that the GID column name was correctly specified and that it exists in the specified table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13265', 'geometry identifier column string in table string is not of type NUMBER', 'GID column is not of type NUMBER.', 'Alter the table definition such that the column containing the geometry identifier (GID) is of type NUMBER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13266', 'error inserting data into table string', 'An OCI error occurred, or the user has insufficient quota in the active tablespace, or the rollback segments are too small.', 'There should be an accompanying error message that indicates the cause of the problem. Take appropriate action to correct the indicated problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13267', 'error reading data from layer table string', 'There was an error reading the geometry data from the <layer>_SDOGEOM table.', 'Verify that <layer>_SDOGEOM and <layer>_SDODIM exist. If they do exist, run VALIDATE_LAYER_WITH_CONTEXT on the specified layer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13268', 'error obtaining dimension from USER_SDO_GEOM_METADATA', 'There is no entry in the USER_SDO_GEOM_METADATA view for the specified geometry table.', 'Insert an entry for the destination geometry table with the correct dimension information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13480', 'the Source Type is not supported', 'The specified source type was not supported.', 'Check the documentation for the source types (such as FILE and HTTP) supported by GeoRaster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13481', 'the destination type is not supported', 'The specified destination type was not supported.', 'Check the documentation for the destination types (such as FILE) supported by GeoRaster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13482', 'GeoRaster object is not initialized for the image', 'No GeoRaster object has been initialized for the specified image.', 'Initialize a GeoRaster object to hold this image before loading it into the database. Check the documentation for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13483', 'insufficient memory for the specified GeoRaster data', 'There was insufficient memory to hold the specified GeoRaster data for this operation.', 'Use SDO_GEOR.subset to isolate a subset of the GeoRaster data, or reblock the GeoRaster data into smaller sized blocks. Check the documentation for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13484', 'the file format or compression type is not supported: string', 'The file format or compression type was not supported.', 'Check the documentation for formats that are currently supported by GeoRaster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13485', 'error occurred during compression or decompression: string', 'The operation could not be completed because an error occurred during compression or decompression. Check the error message for details.', 'Check that the GeoRaster object is valid, that its metadata is valid for the specified compression format, and that valid parameters are passed into the compression or decompression operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13486', 'invalid or insufficient GeoTIFF metadata to georeference the GeoRaster object: string', 'The GeoTIFF metadata of the specified input image contained invalid or insufficient information to georeference the GeoRaster object.', 'Check the error message for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13487', 'SRID not found for source coordinate system metadata', 'No SRID was found in the Oracle Spatial CS_SRS table to match the source coordinate system metadata.', 'Add a user-defined coordinate reference system for this coordinate system, as explained in the Oracle Spatial documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13499', 'string', 'This is an internal Spatial error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13786', 'missing SQL text of statement object "string" for tuning task "string"', 'The user attempted to accept SQL profile for an object that has not a SQL text associated to it.', 'Check the identifier of the object and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13787', 'missing SQL profile for statement object "string" for tuning task "string"', 'The user attempted to accept a SQL profile for an object that has not a SQL profile associated to it.', 'Check the identifier of the object and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13788', 'invalid recommendation type', 'The user passed an invalid recommendation type in the rec_type argument to script_tuning_task. Possible values are ALL or any subset of a comma-separated list of PROFILES, STATISTICS and INDEXES.', 'Check the rec_type arg and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16271', 'PL/SQL successfully applied', 'A PL/SQL procedure was successfully applied on the logical standby database.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19134', 'XQDY0074: It is a dynamic error if the value of the name expression in a computed element constructor cannot be converted to an expanded QName (for example, because it contains a namespace prefix not found in statically known namespaces.)', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19135', 'XQST0075: An implementation that does not support the Validation Feature must raise a static error if it encounters a validate expression', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19136', 'XQST0076: It is a static error if a collation subclause in an order by clause of a FLWOR expression does not identify a collation that is present in statically known collations', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19137', 'XQST0079: It is a static error if an extension expression contains neither a pragma that is recognized by the implementation nor an expression enclosed in curly braces', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19138', 'The target type of a cast or castable expression must be an atomic type that is in the in-scope schema types and is not xs:NOTATION or xs:anyAtomicType, optionally followed by the occurrence indicator "?"; otherwise a static error is raised', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19139', 'XPST0081: It is a static error if a QName used in a query contains a namespace prefix that cannot be expanded into a namespace URI by using the statically known namespaces', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19140', 'XPST0083: It is a static error if the target type of a cast expression or constructor function is xs:QName or a type derived from xs:QName or xs:NOTATION, and the argument of the cast expression or constructor function is not a string literal', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19141', 'XQDY0084: It is a dynamic error if the element validated by a validate statement does not have a top-level element declaration in the in-scope element declarations, if validation mode is strict', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19142', 'FONC0001 = FONC0001: undefined context item', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19143', 'XQTY0086: It is a type error if the typed value of a copied element or attribute node is namespace-sensitive when construction mode is preserve and copy-namespaces mode is no-preserve', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19145', 'XQST0087: It is a static error if the encoding specified in a Version Declaration does not conform to the definition of EncName specified in [XML 1.0]', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19146', 'XQST0088: It is a static error if the literal that specifies the target namespace in a module import or a module declaration is of zero length', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19147', 'XQST0089: It is a static error if a variable bound in a for clause of a FLWOR expression, and its associated positional variable, do not have distinct names (expanded QNames)', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19148', 'XQST0090: It is a static error if a character reference does not identify a valid character in the version of XML that is in use', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19149', 'XQDY0091: An implementation may raise a dynamic error if an xml:id error, as defined in [XML ID], is encountered during construction of an attribute named xml:id', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19150', 'XQDY0092: An implementation may raise a dynamic error if a constructed attribute named xml:space has a value other than preserve or default', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19151', 'XQST0093: It is a static error to import a module M1 if there exists a sequence of modules M1 ... Mi ... M1 such that each module directly depends on the next module in the sequence (informally, if M1 depends on itself through some chain of module dependencies.)', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19152', 'FOCH0001 = FOCH0001: codepoint not valid', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19153', 'FOCH0002: unsupported collation', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19154', 'FOCH0003: unsupported normalization form', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19155', 'FOCH0004: collation does not support collation units', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19156', 'FODC0001: no context document', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19157', 'FODC0002: error retrieving resource', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19158', 'FODC0004: invalid argument to fn:collection()', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19159', 'FODC0005: invalid argument to fn:doc', 'An error occurred during the processing of the XQuery expression.', 'Check the detailed error message for the possible causes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-19160', 'XPST0003 - syntax error: invalid variable name string', 'The given XQuery variable does not begin with the ''$'' sign', 'Fix the variable name to start with the "$" sign.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12810', 'PARALLEL_MAX_SERVERS must be less than or equal to string', 'An attempt was made to set the PARALLEL_MAX_SERVERS parameter to a value higher than the maximum allowed by the system.', 'Set PARALLEL_MAX_SERVERS to a value less than or equal to the maximum specified in the accompanying message and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12811', 'PARALLEL_MIN_SERVERS must be less than or equal to PARALLEL_MAX_SERVERS, string', 'An attempt was made to set the PARALLEL_MIN_SERVERS parameter to a value higher than PARALLEL_MAX_SERVERS.', 'Set PARALLEL_MIN_SERVERS to a value less than or equal to PARALLEL_MAX_SERVERS (indicated in the accompanying message) and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12812', 'only one PARALLEL or NOPARALLEL clause may be specified', 'PARALLEL was specified more than once, NOPARALLEL was specified more than once, or both PARALLEL and NOPARALLEL were specified in a CREATE TABLE, CLUSTER, or INDEX or in an ALTER TABLE or CLUSTER statement, or in a RECOVER command.', 'Remove all but one of the PARALLEL or NOPARALLEL clauses and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12813', 'value for PARALLEL or DEGREE must be greater than 0', 'PARALLEL 0 or DEGREE 0 was specified in a CREATE TABLE, CLUSTER, or INDEX or in an ALTER TABLE or CLUSTER statement.', 'Specify a degree of parallelism greater than 0 or specify default parallelism using PARALLEL with no degree or using DEGREE DEFAULT within a PARALLEL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12814', 'only one CACHE or NOCACHE clause may be specified', 'CACHE was specified more than once, NOCACHE was specified more than once, or both CACHE and NOCACHE were specified in a CREATE TABLE or CLUSTER, or in an ALTER TABLE or CLUSTER statement.', 'Remove all but one of the CACHE or NOCACHE clauses and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12815', 'value for INSTANCES must be greater than 0', 'PARALLEL parameter specifying number of instances must be a positive integer or DEFAULT', 'specify a positive integer or DEFAULT for INSTANCES if parallelism across instances is desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12817', 'parallel query option must be enabled', 'A parallel query option feature has been invoked but this option has not been enabled.', 'Enable the parallel query option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12818', 'invalid option in PARALLEL clause', 'an unrecognized option was used within a PARALLEL clause.', 'specify any combination of DEGREE { <n> | DEFAULT } and INSTANCES { <n> | DEFAULT } within the PARALLEL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12819', 'missing options in PARALLEL clause', 'PARALLEL clause cannot be empty.', 'specify any combination of DEGREE { <n> | DEFAULT } and INSTANCES { <n> | DEFAULT } within the PARALLEL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12820', 'invalid value for DEGREE', 'invalid value for DEGREE was specified within a PARALLEL clause.', 'specify a positive integer or DEFAULT for the DEGREE option within a PARALLEL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12821', 'invalid value for INSTANCES', 'invalid value for INSTANCES was specified within a PARALLEL clause.', 'specify a positive integer or DEFAULT for the INSTANCES option within a PARALLEL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12822', 'duplicate option in PARALLEL clause', 'DEGREE or INSTANCES was specified more than once within a PARALLEL clause.', 'specify each desired PARALLEL clause option only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12823', 'default degree of parallelism may not be specified here', 'the PARALLEL keyword was used alone or DEGREE DEFAULT was specified in the PARALLEL clause of an ALTER DATABASE RECOVER command.', 'respecify with an explicit degree of parallelism.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12824', 'INSTANCES DEFAULT may not be specified here', 'INSTANCES DEFAULT was specified in the PARALLEL clause of an ALTER DATABASE RECOVER command', 'respecify with an explicit value for INSTANCES or omit the INSTANCES option if single instance recovery is desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12825', 'explicit degree of parallelism must be specified here', 'the DEGREE option was omitted from an ALTER DATABASE RECOVER command.', 'respecify with an explicit degree of parallelism.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12826', 'hung parallel query server was killed', 'parallel query server was hung and subsequently killed.', 're-execute query and report suspicious events in trace file to Oracle Support Services if error persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12827', 'insufficient parallel query slaves available', 'PARALLEL_MIN_PERCENT parameter was specified and fewer than minimum slaves were acquired', 'either re-execute query with lower PARALLEL_MIN_PERCENT or wait until some running queries are completed, thus freeing up slaves', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12828', 'Can''t start parallel transaction at a remote site', 'PDML transaction cannot be started because we are not in the coordinator site of the distributed transaction.', 'Do not use PDML at remote sites.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12829', 'Deadlock - itls occupied by siblings at block string of file string', 'parallel statement failed because all itls in the current block are occupied by siblings of the same transaction.', 'increase MAXTRANS of the block or reduce the degree of parallelism for the statement. Reexecute the statement. Report suspicious events in trace file to Oracle Support Services if error persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12830', 'Must COMMIT or ROLLBACK after executing parallel INSERT/UPDATE/DELETE', 'After executing a parallel INSERT/UPDATE/DELETE statement, a command other than COMMIT or ROLLBACK was issued.', 'Execute COMMIT or ROLLBACK before issuing another SQL command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12832', 'Could not allocate slaves on all specified instances', 'After executing a query on a global v$ fixed view, one or more instances failed to allocate a slave to process query', 'To allow results to be returned by sucessfully allocated slaves, execute ALTER SESSION SET ALLOW_PARTIAL_SN_RESULTS=TRUE statement, or check parameters of instances', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12833', 'Coordinator''s instance not a member of parallel_instance_group', 'The coordinator''s instance must be a member of the parallel_instance_group in which this operation will be run.', 'Either add the coordinator''s instance to the current parallel_instance_group or change parallel_instance_group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12834', 'Instance group name, ''string'', too long, must be less than string characters', 'The instance group name is too long.', 'Either shorten the name or get rid of the instance group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12835', 'No instances are active in the GLOBAL_VIEW_ADMIN_GROUP', 'There must be at least one instance in the GLOBAL_VIEW_ADMIN_GROUP in order to execute a query on global views', 'Change the value of GLOBAL_VIEW_ADMIN_GROUP', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12838', 'cannot read/modify an object after modifying it in parallel', 'Within the same transaction, an attempt was made to add read or modification statements on a table after it had been modified in parallel or with direct load. This is not permitted.', 'Rewrite the transaction, or break it up into two transactions: one containing the initial modification and the second containing the parallel modification operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12839', 'cannot modify an object in parallel after modifying it', 'Within the same transaction, an attempt was made to perform parallel modification operations on a table after it had been modified. This is not permitted.', 'Rewrite the transaction or break it up into two transactions: one containing the parallel modification and the second containing the initial modification operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14097', 'column type or size mismatch in ALTER TABLE EXCHANGE PARTITION', 'The corresponding columns in the tables specified in the ALTER TABLE EXCHANGE PARTITION are of different type or size', 'Ensure that the two tables have the same number of columns with the same type and size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14098', 'index mismatch for tables in ALTER TABLE EXCHANGE PARTITION', 'The two tables specified in the EXCHANGE have indexes which are not equivalent', 'Ensure that the indexes for the two tables have indexes which follow this rule For every non partitioned index for the non partitioned table, there has to be an identical LOCAL index on the partitioned table and vice versa. By identical, the column position, type and size have to be the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14099', 'all rows in table do not qualify for specified partition', 'There is at least one row in the non partitioned table which does not qualify for the partition specified in the ALTER TABLE EXCHANGE PARTITION', 'Ensure that all the rows in the segment qualify for the partition. Perform the alter table operation with the NO CHECKING option. Run ANALYZE table VALIDATE on that partition to find out the invalid rows and delete them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14100', 'partition extended table name cannot refer to a remote object', 'User attempted to use partition-extended table name syntax in conjunction with remote object name which is illegal', 'Correct the statement and reenter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14101', 'partition extended table name cannot refer to a synonym', 'User attempted to use partition-extended table name syntax in conjunction with synonym name which is illegal', 'Correct the statement and reenter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14102', 'only one LOGGING or NOLOGGING clause may be specified', 'LOGGING was specified more than once, NOLOGGING was specified more than once, or both LOGGING and NOLOGGING were specified.', 'Remove all but one of the LOGGING or NOLOGGING clauses and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14103', 'LOGGING/NOLOGGING may not be combined with RECOVERABLE/UNRECOVERABLE', 'A statement contained both [NO]LOGGING and [UN]RECOVERABLE clauses which is disallowed.', 'Remove one of the offending clauses. [UN]RECOVERABLE is being deprecated in V8 and will be obsoleted in V9. To duplicate semantics of UNRECOVERABLE clause, create an object with NOLOGGING option and then ALTER it specifying LOGGING. To duplicate semantics of RECOVERABLE clause, create an object with LOGGING option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14104', 'RECOVERABLE/UNRECOVERABLE may not be specified for partitioned tables/indices', 'CREATE TABLE/INDEX statement used to create a partitioned table/index contained RECOVERABLE or UNRECOVERABLE clause which is illegal', 'Remove offending clause. [UN]RECOVERABLE is being deprecated in V8 and will be obsoleted in V9. To duplicate semantics of UNRECOVERABLE clause, create an object with NOLOGGING option and then ALTER it specifying LOGGING. To duplicate semantics of RECOVERABLE clause, create an object with LOGGING option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14105', 'RECOVERABLE/UNRECOVERABLE may not be specified in this context', 'RECOVERABLE/UNRECOVERABLE clause is not allowed in this context.', 'Remove offending clause. RECOVERABLE/UNRECOVERABLE may only be specified in CREATE TABLE/INDEX statement describing a non-partitioned table or index and ALTER INDEX REBUILD statement. [UN]RECOVERABLE is being deprecated in V8 and will be obsoleted in V9. To duplicate semantics of UNRECOVERABLE clause, create an object with NOLOGGING option and then ALTER it specifying LOGGING. To duplicate semantics of RECOVERABLE clause, create an object with LOGGING option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14106', 'LOGGING/NOLOGGING may not be specified for a clustered table', 'User attempted to specify LOGGING or NOLOGGING clausein CREATE TABLE or ALTER TABLE statement involving a clustered table', 'Remove offending clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14107', 'partition specification is required for a partitioned object', 'parameter which supplies partition name is missing. This parameter is optional for non-partitioned objects, but is required for partitioned objects.', 'supply missing parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14108', 'illegal partition-extended table name syntax', 'Partition to be accessed may only be specified using its name. User attempted to use a partition number or a bind variable.', 'Modify statement to refer to a partition using its name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14109', 'partition-extended object names may only be used with tables', 'User attempted to use a partition-extended object name with an object which is not a table.', 'Avoid using partition-extended name syntax with objects which are not tables', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14110', 'partitioning column may not be of type ROWID', 'Partitioning column specified by the user was of type ROWID, which is illegal.', 'Ensure that no partitioning column is of type ROWID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14111', 'creation of a GLOBAL partitioned index on clustered tables is not supported', 'An attempt was made to create a GLOBAL partitioned index on a clustered table which is currently illegal.', 'Remove PARTITION BY RANGE/HASH clause along with any partition descriptions to create a GLOBAL non-partitioned index on a clustered table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14112', 'RECOVERABLE/UNRECOVERABLE may not be specified for a partition or subpartition', 'Description of a partition or subpartition found in CREATE TABLE/INDEX statement contained RECOVERABLE or UNRECOVERABLE clause which is illegal', 'Remove offending clause. Use LOGGING or NOLOGGING instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14113', 'partitioned table cannot have column with LOB datatype', 'User tried to create a partitioned table with a LOB datatype or tried to add a LOB datatype column to a partitioned table.', 'LOB data types are not supported with partitioned tables. Create table without LOB column or change table to not partitioned. If adding column, do not use LOB datatype. If modifying attributes of a column to change data type to LOB, it has to be a non partitioned table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14114', 'partitioned table cannot have column with object, REF, nested table, array datatype', 'User tried to create a partitioned table with a object datatype (object, REF, nested table, array) or tried to add a object datatype column to a partitioned table.', 'object data types are not supported with partitioned tables. Create table without object column or change table to not partitioned. If adding column, do not use object datatypes. If modifying attributes of a column to change data type to object, it has to be a non partitioned table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14115', 'partition bound of partition number string is too long', 'Length of linear key representation of a high bound of the partition whose number (partitions are numbered starting with 1) is displayed in this message exceeded the legal limit (4K).', 'Change representation of a partition high bound to bring its length within legal limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14116', 'partition bound of partition "string" is too long', 'Length of linear key representation of a high bound of the partition whose name (explicitly specified by the user) is displayed in this message exceeded the legal limit (4K).', 'Change representation of a partition high bound to bring its length within legal limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13789', 'invalid process action', 'The user passed an invalid action to process a SQL statement. Possible value is any subset of a comma-seperated list of EXECUTE and EXPLAIN_PLAN.', 'Check the action argument and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13790', 'invalid value for time limit', 'The user passed an invalid value for the time limit argument.', 'Check the argument specified value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13791', 'cannot resume a task created to process a single statement', 'An attempt was made to resume a task that was created for a single SQL statement. A task can be resumed only if it is used for a SQL Tuning Set.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13793', 'invalid comparison metric', 'An invalid metric to compare SQL performance was specified.', 's.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13794', 'execution type mismatch', 'An attempt was made to analyze the performance of a SQL workload using two executions that were generated using two different', 'check the name and type of task executions to analyze and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13795', 'missing task execution', 'An insufficient number of valid task executions to analyze the performance of a SQL workload were specified.', 'run the task to generate two executions of the same type and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13796', 'invalid value string specified for problem type', 'An invalid problem type was specified to the SQL diagnosis advisor. Problem type should be one of the PROBLEM_TYPE_* defined in ''admin/dbmsdiag.sql''.', 'Specify valid problem type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13797', 'invalid SQL Id specified, string', 'Invalid SQL Id specified for conversion.', 'Specify valid SQL Id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13798', 'Parameter string cannot be NULL.', 'A call to GET_THRESHOLD procedure was made without a required parameter.', 'Specify a valid value for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13799', 'threshold not found', 'No threshold was found with the specified threshold key.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13800', 'concurrent DDL failure on SQL repository objects', 'A SQL repository object was the target of two concurrent DDL operations.', 'Check the current state of the object and retry the operation that failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13801', 'invalid value for SQLTUNE_CATEGORY parameter', 'An invalid Oracle identifier was used as the value of the parameter.', 'Specify the parameter conforming to the rules for Oracle identifiers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13802', 'failed to purge SQL Tuning Base entry from sql$', 'An error occured while try to delete a SQL Tuning Base object.', 'Look at the underlying error(s) on the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13825', 'missing SQL statement text for create SQL profile', 'No SQL text was provided to the create SQL profile operation.', 'Retry with properly specified SQL text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13826', 'empty SQL profile not allowed for create or update SQL profile', 'No attributes were specified to the create SQL profile operation.', 'Retry with at least one hint specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13827', 'null or zero length attribute specified in SQL profile collection', 'One of the attributes within the SQL profile was not properly specified.', 'Retry with a fully specified SQL profile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13828', 'generated SQL profile name string already exists', 'A SQL profile already exists with the name generated by the system.', 'Retry the operation as the generated name is time sensitive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13829', 'SQL profile named string already exists', 'A SQL profile already exists with the name specified.', 'Specify a different name or drop the existing SQL profile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13830', 'SQL profile with category string already exists for this SQL statement', 'A SQL profile already exists for the given SQL statement and category.', 'Drop or update the existing SQL profile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14005', 'missing RANGE keyword', 'keyword RANGE missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14006', 'invalid partition name', 'a partition name of the form <identifier> is expected but not present.', 'enter an appropriate partition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14007', 'missing LESS keyword', 'keyword LESS missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14008', 'missing THAN keyword', 'keyword THAN missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14009', 'partition bound may not be specified for a LOCAL index partition', 'while parsing a CREATE INDEX statement to create a LOCAL partitioned index, <partition-description> of one of partitions was found to contain VALUES LESS THAN clause which is illegal since a LOCAL index inherits partition bounds from its base table', 'remove all VALUES LESS THAN clauses from descriptions of LOCAL index partitions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14010', 'this physical attribute may not be specified for an index partition', 'unexpected option was encountered while parsing physical attributes of an index partition; valid options for Range or Composite Range partitions are INITRANS, MAXTRANS, TABLESPACE, STORAGE, PCTFREE; only TABLESPACE may be specified for Hash partitions', 'remove invalid option(s) from the list of physical attributes of an index partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14011', 'names assigned to resulting partitions must be distinct', 'Names of partitions resulting from splitting of an existing table or index partition are not distinct', 'rename resulting partition(s) to ensure that their names are distinct and different from those of any other partition of the table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14012', 'resulting partition name conflicts with that of an existing partition', 'Name of a partition resulting from splitting of an existing table or index partition is identical to that of some other existing partition of that table or index', 'rename resulting partition(s) to ensure that their names are distinct and different from those of any other partition of the table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14013', 'duplicate partition name', 'Name of a partition of a table or index being created is not unique', 'rename partition(s) to ensure that their names are unique among partitions of the table or index being created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14014', 'maximum number of partitioning columns is 16', 'number of columns in a partitioning column list exceeded the legal limit of 16', 'modify partitioning column list so that it consists of at most 16 columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14015', 'too many partition descriptions', 'CREATE TABLE or CREATE INDEX contained too many partition descriptions; maximum number of partitions is 1048575 (1024K-1).', 'Reduce number of partitions to not exceed 1048575 (1024K -1).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14016', 'underlying table of a LOCAL partitioned index must be partitioned', 'User attempted to create a LOCAL partitioned index on a non-partitioned table which is illegal. Only GLOBAL indices (partitioned or otherwise) may be created on a non-partitioned table.', 'Correct the statement and reenter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14017', 'partition bound list contains too many elements', 'Partition bound list contained more elements than there are partitioning columns', 'Ensure that the number of elements in partition bound list is equal to the number of partitioning columns of the table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14018', 'partition bound list contains too few elements', 'Partition bound list contained fewer elements than there are partitioning columns', 'Ensure that the number of elements in partition bound list is equal to the number of partitioning columns of the table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16272', 'PL/SQL procedure skipped due to skip setting', 'A setting in the logical standby skip table indicated that this PL/SQL procedure should always be skipped.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16273', 'invalid value for APPLY_SERVERS parameter', 'attempt to set APPLY_SERVERS parameter to zero or to a value which would require MAX_SERVERS to be increased.', 'set APPLY_SERVERS parameter to a non zero value or increase MAX_SERVERS parameter accordingly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16274', 'failure to perform DDL on all RAC instances', 'One or more instances encountered an error while performing an operation.', 'Ensure every instance in the RAC meets the requirements for the operation, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16275', 'prior failed CTAS detected and pre-existing table dropped', 'During the processing of a CTAS operation, an existing empty table with the same name and attributes as the CTAS source table was found, and the table was dropped.', 'No action is necessary. This informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16276', 'specified database link does not correspond to primary database', 'The database link specified to DBMS_LOGSTDBY.INSTANTIATE_TABLE did not link to the primary database for this logical standby database.', 'Specify a database link that corresponds to the primary database for this logical standby database. The link should have privileges to read and lock the table being instantiated, as well as the SELECT_CATALOG_ROLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16277', 'specified table is not supported by logical standby database', 'A call was made to DBMS_LOGSTDBY.INSTANTIATE_TABLE to instantiate an unsupported table on the logical standby database. Tables with unsupported data types cannot be replicated to a logical standby database.', 'Specify a table which is not listed in the DBA_LOGSTDBY_UNSUPPORTED_TABLE view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16278', 'specified table has a multi-object skip rule defined', 'A table that is instantiated via DBMS_LOGSTDBY.INSTANTIATE_TABLE must not have any skip rules defined with wildcard characters.', 'Remove or rewrite any skip rules defined for the specified table so that they no longer contain wildcard characters, or no longer affect the specified table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16279', 'Supplied dblink must have CONNECT, RESOURCE, and SELECT_CATALOG_ROLE roles', 'A dblink was specified to DBMS_LOGSTDBY.INSTANTIATE_TABLE that lacked one or more of the CONNECT, RESOURCE, or SELECT_CATALOG_ROLE roles.', 'Grant the CONNECT, RESOURCE, and SELECT_CATALOG_ROLE roles to the specified dblink, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16280', 'cannot change master key on a logical standby database', 'An attempt was made to change the master key for transparent data encryption on a logical standby database.', 'Set GUARD to NONE and reissue the command. This prevents you from replicating tables with encrypted columns from the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16281', 'missing identification key for table "string"."string".', 'No identification key was created for specified table.', 'Create a primakey key or unique index for specified table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16282', 'operation not permitted during rolling upgrade', 'An operation was attempted that is not supported during a rolling upgrade.', 'Retry the operation upon completion of the upgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16400', 'quota attributes are not allowed with DB_RECOVERY_FILE_DEST', 'Quota attributes for the destination parameters are not allowed when the parameter DB_RECOVERY_FILE_DEST is defined.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16401', 'archivelog rejected by RFS', 'An attempt was made to re-archive an existing archivelog. This usually happens because either a multiple primary database or standby database(s) or both are trying to archive to this standby database.', 'See alert log and trace file for more details. No action is necessary; this is an informational statement provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16402', 'ONDEMAND archival requires FAL_CLIENT and FAL_SERVER support', 'The archivelog destination TRANSPORT=ONDEMAND attribute was specified on the primary database. Use of the TRANSPORT=ONDEMAND attributes requires that the corresponding standby database explicitly specify the FAL_CLIENT and FAL_SERVER initialization parameters.', 'Make sure the FAL_CLIENT and FAL_SERVER initialization parameters are explicitly specified on the standby database that received this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16403', 'shutdown in progress - remote connection is not permitted', 'The SHUTDOWN command was used to shut down a running remote primary or standby ORACLE instance, so the LGWR or ARCH processes cannot connect to ORACLE.', 'Wait for the remote instance to be restarted, or contact your DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16406', 'Primary and standby database software version mismatch', 'The primary database and standby database Oracle software is not compatible.', 'Install the correct Oracle software and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16407', 'Standby database is in the future of the archive log', 'An archive log, from a different Redo Branch, was received by a standby database that has applied Redo in the future of Redo contained within the archive log. The standby database has rejected the REDO Branch archive logs.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16408', 'Incompatible archival Redo Branch lineage', 'An archive log, from an incompatible different Redo Branch, was received by a standby database. The standby database has rejected the Redo Branch archive logs.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16409', 'Archive log switchover reference number mismatch', 'The archive log switchover reference numbers of the Primary and Standby database do not match. Remote archival of redo log files is not allowed to incompatible STANDBY database instances.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16411', 'ONDEMAND archival requires active managed recovery operation', 'The use of the ONDEMAND attribute for a physical standby database destination requires that the managed recovery operation be active prior to establishing the network connection.', 'Start the managed recovery operation on the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16412', 'ONDEMAND archival requires active SQL apply operation', 'The use of the ONDEMAND attribute for a logical standby database destination requires that the SQL apply operation be active prior to establishing the network connection.', 'Start the SQL apply operation on the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16413', 'Unsupported database type for ONDEMAND archivelog destinations', 'The use of the ONDEMAND attribute for a standby database destination is supported for only physical and logical standby database types. Cross-Instance-Archival and repository database types are not valid for the ONDEMAND attribute.', 'Verify the database corresponding to the archivelog destination is either a physical standby database or a logical standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16416', 'Switchover target is not synchronized with the primary', 'The switchover target incurred an error or has a gap at the time the switchover operation was attempted.', 'Allow the switchover target to become synchronized and then re-attempt the switchover.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16417', 'Activation occurred after recovery from standby redo log files; a full database backup is required', 'Activation occurred after recovery from standby redo log files.', 'Take a full database backup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12840', 'cannot access a remote table after parallel/insert direct load txn', 'Within a transaction, an attempt was made to perform distributed access after a PDML or insert direct statement had been issued.', 'Commit/rollback the PDML transaction first, and then perform the distributed access, or perform the distributed access before the first PDML statement in the transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12841', 'Cannot alter the session parallel DML state within a transaction', 'Transaction in progress', 'Commit or rollback transaction and then re-execute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12842', 'Cursor invalidated during parallel execution', 'The cursor was invalidated during the parse phase of deferred parallel processing, e.g. when set operands are parallelized.', 'Depends on why the cursor was invalidated. Possible causes include DDL on a schema object and shared pool being flushed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12843', 'pdml lock not held properly on the table', 'The coodinator crashed or released the lock on the partition which the slave is trying to aquire currently.', 'Check if the coordinator or some of the other slaves died. Also check that the lock has not been corrupted. Issue the pdml again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12844', 'cluster reconfiguration in progress', 'Internal error', 'THIS IS NOT A USER ERROR NUMBER/MESSAGE. THIS DOES NOT NEED TO BE TRANSLATED OR DOCUMENTED. IT IS USED ONLY FOR INTERNAL ERROR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12845', 'failed to receive interinstance parallel execution message', 'OS or interconnect problem receiving interinstance message', 'Check OS specific diagnostics', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12850', 'Could not allocate slaves on all specified instances: string needed, string allocated', 'When executing a query on a gv$ fixed view, one or more instances failed to allocate a slave to process query.', 'Check trace output for instances on which slaves failed to start. GV$ query can only proceed if slaves can be allocated on all instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12851', 'PARALLEL_MAX_SERVERS must be greater than or equal to PARALLEL_MIN_SERVERS, string', 'An attempt was made to set the PARALLEL_MAX_SERVERS parameter to a value less than PARALLEL_MIN_SERVERS.', 'Set PARALLEL_MAX_SERVERS to a value greater than or equal to PARALLEL_MIN_SERVERS value specified in the accompanying message and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12852', 'PARALLEL_MIN_SERVERS must be less than PROCESSES, string', 'An attempt was made to set the PARALLEL_MIN_SERVERS parameter to a value higher than PROCESSES.', 'Set PARALLEL_MIN_SERVERS to a value less than PROCESSES value specified in the accompanying message and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12853', 'insufficient memory for PX buffers: current stringK, max needed stringK', 'Insufficient SGA memory for PX buffers', 'Reconfigure sga to include at least (max - current) bytes of additional memory', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12854', 'Parallel query is not supported on temporary LOBs', 'The parallel query statement produced a temporary LOB.', 'Turn off parallelism for the query or underlying table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12855', 'cannot run parallel or insert direct load in a loopback', 'A loopback was created in the transaction before this operation.', 'Do not use loopback when using pdml or insert direct load.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12856', 'cannot run parallel query on a loopback connection', 'A table or index in a parallel query is referenced via a loopback connection.', 'Do not use loopback connection when running a query in parallel.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12872', 'First slave parse gave different plan', 'First hard parse on slave given QC-supplied environment and parameters gave different plan from QC. Try again with outline.', 'No external action. Internally used for outline-based reparse.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12899', 'value too large for column string (actual: string, maximum: string)', 'An attempt was made to insert or update a column with a value which is too wide for the width of the destination column. The name of the column is given, along with the actual width of the value, and the maximum allowed width of the column. Note that widths are reported in characters if character length semantics are in effect for the column, otherwise widths are reported in bytes.', 'Examine the SQL statement for correctness. Check source and destination column data types. Either make the destination column wider, or use a subset of the source column (i.e. use substring).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12900', 'must specify a default temporary tablespace for a locally managed database', 'a locally managed database must have a temporary tablespace other than SYSTEM tablespace', 'specify the default temporary tablespace when creating a locally managed database', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12901', 'default temporary tablespace must be of TEMPORARY type', 'in a locally managed database, default temporary tablespace must be TEMPORARY type', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12902', 'default temporary tablespace must be SYSTEM or of TEMPORARY type', 'in a dictionary managed database, default temporary tablespace must be SYSTEM or TEMPORARY type', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12910', 'cannot specify temporary tablespace as default tablespace', 'attempt to assign a temporary tablespace to be a user''s default tablespace', 'assign a permanent tablespace to be the default tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12911', 'permanent tablespace cannot be temporary tablespace', 'attempt to assign a permanent tablespace to be a user''s temporary tablespace', 'assign a temporary tablespace to be user''s temporary tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12912', 'Dictionary managed tablespace specified as temporary tablespace', 'attempt to assign a dictionary managed tablespace to be a user''s temporary tablespace', 'Assign a locally managed temporary tablespace to be user''s temporary tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12913', 'Cannot create dictionary managed tablespace', 'Attemp to create dictionary managed tablespace in database which has system tablespace as locally managed', 'Create a locally managed tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12914', 'Cannot migrate tablespace to dictionary managed type', 'Attemp to migrate locally managed tablespace to dictionary managed type when the database has locally managed system tablespace.', 'Command cannot be issued.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12915', 'Cannot alter dictionary managed tablespace to read write', 'Attemp to alter dictionary managed tablespace to read write in database which has system tablespace as locally managed. This tablespace can only be dropped.', 'Command cannot be issued.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12916', 'cannot shrink permanent or dictionary managed tablespace', 'An attempt was made to shrink a permanent tablespace or a dictionary managed tablespace.', 'Check the tablespace type and issue the statement only on locally managed temporary tablespaces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12918', 'Invalid tablespace type for default permanent tablespace', 'The tablespace is either dropped, temporary or undo', 'Check the tablespace type and reissue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12919', 'Can not drop the default permanent tablespace', 'An attemp was made to drop the default permanent tablespace', 'Make a different tablespace as the default permanent tablespace and reissue the drop', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12920', 'database is already in force logging mode', 'ALTER DATABASE FORCE LOGGING command failed because the database is already in force logging mode.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12921', 'database is not in force logging mode', 'ALTER DATABASE NO FORCE LOGGING command failed because the database is not in force logging mode.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14117', 'partition resides in offlined tablespace', 'User attempted an operation requiring that we access data in a partition which resides in a tablespace which was taken offline. Such operations include trying to drop a tablespace of a table which has indices defined on it or is referenced by a constraint.', 'Bring tablespace online before attempting the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14118', 'CHECK constraint mismatch in ALTER TABLE EXCHANGE PARTITION', 'The corresponding columns in the tables specified in the ALTER TABLE EXCHANGE PARTITION statement have CHECK constraint defined on them.', 'Ensure that the two tables do not have CHECK constraint defined on any column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14119', 'specified partition bound is too long', 'Length of a linear key representation of a high bound of a table partition being added or along which an existing table or index partition is being split exceeded the legal limit (4K).', 'Change representation of a partition high bound to bring its length within legal limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14120', 'incompletely specified partition bound for a DATE column', 'An attempt was made to use a date expression whose format does not fully (i.e. day, month, and year (including century)) specify a date as a partition bound for a DATE column. The format may have been specified explicitly (using TO_DATE() function) or implicitly (NLS_DATE_FORMAT).', 'Ensure that date format used in a partition bound for a DATE column supports complete specification of a date (i.e. day, month, and year (including century)). If NLS_DATE_FORMAT does not support complete (i.e. including the century) specification of the year, use TO_DATE() (e.g. TO_DATE(''01-01-1999'', ''MM-DD-YYYY'') to fully express the desired date.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14121', 'MODIFY DEFAULT ATTRIBUTES may not be combined with other operations', 'ALTER TABLE or ALTER INDEX statement attempted to combine MODIFY DEFAULT ATTRIBUTES with some other operation (e.g. ADD PARTITION or PCTFREE) which is illegal', 'Ensure that MODIFY DEFAULT ATTRIBUTES is the sole operation specified in ALTER TABLE or ALTER INDEX statement; operations other than those dealing with partitions, default attributes of partitioned tables/indices or specifying that a table be renamed (ALTER TABLE RENAME) may be combined at will', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14122', 'only one REVERSE or NOREVERSE clause may be specified', 'Both REVERSE and NOREVERSE were specified in CREATE INDEX statement.', 'Remove all but one of the REVERSE or NOREVERSE clauses and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14123', 'duplicate NOREVERSE clause', 'NOREVERSE was specified more than once in ALTER INDEX statement.', 'Remove all but one of the NOREVERSE clauses and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14124', 'duplicate REVERSE clause', 'REVERSE was specified more than once in ALTER INDEX or CREATE INDEX statements.', 'Remove all but one of the REVERSE clauses and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14125', 'REVERSE/NOREVERSE may not be specified in this context', 'REVERSE/NOREVERSE clause is not allowed in this context.', 'Remove offending clause. REVERSE may be specified as an attribute of an index (not of an individual partition, if creating a partitioned index) in CREATE INDEX statement and ALTER INDEX REBUILD statement. NOREVERSE may be specified only in ALTER INDEX REBUILD statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14126', 'only a <parallel clause> may follow description(s) of resulting partitions', 'Descriptions of partition(s) resulting from splitting of a table or index partition may be followed by an optional <parallel clause> which applies to the entire statement and which, in turn, may not be followed by any other clause.', 'Ensure that all partition attributes appear within the parenthesized list of descriptions of resulting partitions in ALTER TABLE/INDEX SPLIT PARTITION statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14128', 'FOREIGN KEY constraint mismatch in ALTER TABLE EXCHANGE PARTITION', 'The corresponding columns in the tables specified in the ALTER TABLE EXCHANGE PARTITION statement have different FOREIGN KEY constraints.', 'Ensure that the two tables do not have FOREIGN KEY constraints defined on any column or disable all FOREIGN KEY constraints on both tables. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14129', 'INCLUDING INDEXES must be specified as tables have enabled UNIQUE constraints', 'Matching UNIQUE constraints in both table are enabled and validated but INCLUDING INDEXES is not specified in ALTER TABLE EXCHANGE PARTITION|SUBPARTITION command.', 'Disable currently enabled matching UNIQUE constraints on both tables or ensure that INCLUDING INDEXES option is used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14130', 'UNIQUE constraints mismatch in ALTER TABLE EXCHANGE PARTITION', 'One of the tables named in the ALTER TABLE EXCHANGE PARTITION command has a UNIQUE constraint for which no matching (vis-a-vis key columns) constraint is defined on the other table or a matching constraint is defined on the other table, but it differs from that defined on the first table vis-a-vis being enabled and/or validated.', 'Ensure that for every UNIQUE constraint defined on one of the tables named in the ALTER TABLE EXCHANGE PARTITION statement there is a matching (vis-a-vis key columns and being enabled and/or validated) UNIQUE constraint defined on the other table. If UNIQUE constrains are enabled, UNIQUE constraints on the partitioned table should be enforced using local indexes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14131', 'enabled UNIQUE constraint exists on one of the tables', 'One of the tables referenced in the ALTER TABLE EXCHANGE PARTITION|SUBPARTITION statement has enabled UNIQUE constraint(s) defined on it, which prevents EXCHANGE from proceeding.', 'Disable constraints defined on tables referenced in the ALTER TABLE EXCHANGE PARTITION|SUBPARTITION statement and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14132', 'table cannot be used in EXCHANGE', 'An attempt was made to issue an ALTER TABLE EXCHANGE PARTITION | SUBPARTITION command, but the non-partitioned table cannot be used in the EXCHANGE because one or more of the following apply: ' || '<p>' || '- it is a typed table' || '<p>' || '' || '<p>' || '- it is a temporary table' || '<p>' || '' || '<p>' || '- it contains ADT columns' || '<p>' || '' || '<p>' || '- it contains nested-table columns' || '<p>' || '' || '<p>' || '- it contains REF columns' || '<p>' || '' || '<p>' || '- it contains array columns' || '<p>' || '' || '<p>' || '- it is an index-organized table' || '<p>' || '' || '<p>' || '- it contains LOB columns' || '<p>' || '' || '<p>' || '- it is a nested table' || '<p>' || '' || '<p>' || '- it is created with row dependency and the partitioned table is not' || '<p>' || '' || '<p>' || '- it is created without row dependency and the partitioned table is', 'Make sure the non-partitioned table does not violate any of the above restrictions for the ALTER TABLE EXCHANGE PARTITION | SUBPARTITION command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14133', 'ALTER TABLE MOVE cannot be combined with other operations', 'An attempt was made to combine an ALTER TABLE MOVE statement with another operation, such as MODIFY.', 'Make sure that MOVE is the only operation specified in ALTER TABLE statement;', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14134', 'indexes cannot use both DESC and REVERSE', 'An attempt was made to make a reverse index with some index columns marked DESC.', 'Do not use DESC in reverse indexes. The rule-based optimizer can scan indexes backwards, which allows a normal reverse index to simulate a reverse index with columns marked DESC.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14135', 'a LOB column cannot serve as a partitioning column', 'An attempt was made to specify a column of type BLOB or CLOB as a partitioning or subpartitioning column.', 'Ensure that no partitioning or subpartitioning column is of type BLOB or CLOB.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13269', 'internal error [string] encountered when processing geometry table', 'An internal error occurred.', 'Contact Oracle Support Services with the exact error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13270', 'OCI error string', 'An OCI error occurred while processing the layer or geometry tables.', 'Take the appropriate steps to correct the OCI-specific error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13271', 'error allocating memory for geometry object', 'Insufficient memory.', 'Make more memory available to the current session/process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13272', 'geometric object string in table string is invalid', 'The specified object failed the geometric integrity checks performed by the validation function.', 'Check the Oracle Spatial documentation for information about the geometric integrity checks performed by VALIDATE_GEOMETRY_WITH_CONTEXT and correct the geometry definition if required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13273', 'dimension metadata table string does not exist', 'The <layer>_SDODIM table does not exist.', 'Verify that the specified layer name is correct and that the <layer>_SDODIM table exists in the current schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13274', 'operator invoked with non-compatible SRIDs', 'A Spatial operator was invoked with a window geometry with an SRID but the layer has no SRID; or the window has no SRID but the layer has an SRID.', 'Make sure that the layer and window both have an SRID or that they both do not have an SRID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13275', 'spatial index creation failure on unsupported type', 'An attempt was made to create a spatial index create on a column that is not of type SDO_GEOMETRY.', 'A spatial index can only be created on a column of type SDO_GEOMETRY. Make sure the indexed column is of type SDO_GEOMETRY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13276', 'internal error [string] in coordinate transformation', 'OCI internal error.', 'Contact Oracle Support Services with the exact error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13278', 'failure to convert SRID to native format', 'OCI internal error.', 'Contact Oracle Support Services with the exact error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13281', 'failure in execution of SQL statement to retrieve WKT', 'OCI internal error, or SRID does not match a table entry.', 'Check that a valid SRID is being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13282', 'failure on initialization of coordinate transformation', 'Parsing error on source or destination coordinate system WKT, or incompatible coordinate systems.', 'Check the validity of the WKT for table entries, and check if the requested transformation is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13283', 'failure to get new geometry object for conversion in place', 'OCI internal error.', 'Contact Oracle Support Services with the exact error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13284', 'failure to copy geometry object for conversion in place', 'OCI internal error.', 'Contact Oracle Support Services with the exact error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13285', 'Geometry coordinate transformation error', 'A coordinate pair was out of valid range for a conversion/projection.', 'Check that data to be transformed is consistent with the desired conversion/projection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13287', 'can''t transform unknown gtype', 'A geometry with a gtype of <= 0 was specified for transformation. Only a gtype >= 1 is allowed.', 'Check the Oracle Spatial documentation for SDO_GTYPE values, and specify a value whose last digit is 1 or higher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13288', 'point coordinate transformation error', 'An internal error occurred while transforming points.', 'Check the accompanying error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13290', 'the specified unit is not supported', 'An Oracle Spatial function was called with an unknown UNIT value.', 'Check Spatial documentation for the supported units, and call the function with the correct UNIT parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13291', 'conversion error between the specified unit and standard unit', 'Cannot convert the specified unit from/to standard unit for linear distance, angle, or area.', 'Check the unit specification and respecify it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13292', 'incorrect ARC_TOLERANCE specification', 'When a SDO_BUFFER or SDO_AGGR_BUFFER function is called on a geodetic geometry, or SDO_ARC_DENSIFY is called, ARC_TOLERANCE must be specified, and it should not be less than the tolerance specified for the geometry.', 'Check ARC_TOLERANCE specification and make sure it is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13293', 'cannot specify unit for geometry without a georeferenced SRID', 'An Oracle Spatial function with a UNIT parameter was called on a geometry without a georeferenced SRID.', 'Make sure that spatial functions with UNIT parameters are only called on geometries with georeferenced SRIDs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13294', 'cannot transform geometry containing circular arcs', 'It is impossible to transform a 3-point representation of a circular arc without distortion.', 'Make sure a geometry does not contain circular arcs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13295', 'geometry objects are in different coordinate systems', 'An Oracle Spatial function was called with two geometries that have different SRIDs.', 'Transform geometry objects to be in the same coordinate system and call the spatial function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13296', 'incorrect coordinate system specification', 'Wrong numbers in WKT for Earth radius or flattening for the current SRID.', 'Check WKT in the MDSYS.CS_SRS table for Earth radius and inverse flattening.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13300', 'single point transform error', 'Low-level coordinate transformation error trap.', 'Check the accompanying error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13303', 'failure to retrieve a geometry object from a table', 'OCI internal error.', 'Contact Oracle Support Services with the exact error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13304', 'failure to insert a transformed geometry object in a table', 'OCI internal error.', 'Contact Oracle Support Services with the exact error message text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13330', 'invalid MASK', 'The MASK passed to the RELATE function is not valid.', 'Verify that the mask is not NULL. See the Oracle Spatial documentation for a list of supported masks.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13331', 'invalid LRS segment', 'The given LRS segment was not a valid line string.', 'A valid LRS geometric segment is a line string geometry in Oracle Spatial. It could be a simple or compound line string (made of lines or arcs, or both). The dimension information must include the measure dimension as the last element in the Oracle Spatial metadata. Currently, the number of dimensions for an LRS segment must be greater than 2 (x/y or longitude/latitude, plus measure)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13332', 'invalid LRS point', 'The specified LRS point was not a point geometry with measure information.', 'Check the given point geometry. A valid LRS point is a point geometry in Oracle Spatial with an additional dimension for measure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13333', 'invalid LRS measure', 'The given measure for linear referencing was out of range.', 'Redefine the measure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13334', 'LRS segments not connected', 'The specified geometric segments are not connected.', 'Check the start/end points of the given geometric segments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13335', 'LRS measure information not defined', 'The measure information of a geometric segment was not assigned (IS NULL).', 'Assign/define the measure information. An LRS geometric segment is defined if its start and end measure are assigned (non-null).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13336', 'failure in converting standard diminfo/geometry to LRS dim/geom', 'There is no room for the measure dimension in the given diminfo, or the specified standard geometry is not a point a line string.', 'Check if the diminfo dimensions are less than 3 or if the geometry type is point or line string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14620', 'DEFAULT subpartition already exists', 'A subpartition already exists with DEFAULT value', 'Remove the DEFAULT value from the list specified', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14621', 'cannot add subpartition when DEFAULT subpartition exists', 'An ADD SUBPARTITION operation cannot be executed when a subpartition with DEFAULT values exists', 'Issue a SPLIT of the DEFAULT subpartition instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14622', 'Value string already exists in subpartition string', 'One of the list values in the ADD SUBPARTITION or ADD VALUES statement already exists in another subpartition', 'Remove the duplicate value from the statement and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14623', 'Value string does not exist in subpartition string', 'One of the list values in the SPLIT PARTITION or DROP VALUES statement does not exist in the subpartition', 'Remove the value from the statement and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14624', 'DEFAULT subpartition must be last subpartition specified', 'A subpartition description follows the one describing the default subpartition', 'Ensure that the DEFAULT subpartition is the last subpartition description', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14625', 'subpartition contains rows corresponding to values being dropped', 'table subpartition contains rows for the values being dropped.', 'DELETE all rows for the values being dropped and reissue statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14626', 'values being added already exist in DEFAULT subpartition', 'An ADD VALUE operation cannot be executed because the values being added exist in the DEFAULT subpartition', 'Issue a SPLIT of the DEFAULT subpartition and then MERGE the split subpartition into the subpartition to which values need to be added', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14627', 'Invalid operation was specified on a GLOBAL partitioned index', 'An invalid operation such as ALTER INDEX DROP|SPLIT SUBPARTITION was specified on the global index', 'Ensure that subpartition level operations are not specified on a GLOBAL index, since these are only RANGE partitioned', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14628', 'specification of bounds is inconsistent with LIST method', 'An operation such as ALTER TABLE SPLIT|ADD SUBPARTITION specified bounds that were inconsistent with List subpartitioning method', 'Specify VALUES/subpartition descriptions correctly for SPLIT/ADD of List subpartitions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14629', 'cannot drop the only subpartition of a partition', 'A drop subpartition command is being executed when there is only one subpartition in the partition', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14630', 'subpartition resides in offlined tablespace', 'User attempted an operation requiring that we access data in a subpartition which resides in a tablespace which was taken offline. Such operations include trying to drop a tablespace of a table which has indices defined on it or is referenced by a constraint.', 'Bring tablespace online before attempting the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14631', 'the partition bounds do not match the subpartition bounds of the partition', 'When exchanging a partitioned table with a composite partition the bounds that describe the partitions of the table must match the bounds that describe the subpartitions of the composite partition.', 'Ensure that the bounds describing partitions in the partitioned table is the same as the bounds of the subpartitions in the the composite partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14632', 'cannot specify PARALLEL clause when adding a List subpartition', 'User issued ALTER TABLE ADD SUBPARTITION statement with PARALLEL clause for a List subpartition of a Range/List partitioned object which is illegal', 'Remove the PARALLEL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14633', 'Index maintainence clause not allowed for ADD list subpartition to a Composite partitioned table', 'The clause INVALIDATE or UPDATE GLOBAL INDEXES is allowed only for ADD hash subpartition to a composite partitioned table.', 'Remove clause and reissue operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14634', 'Subpartition descriptions cannot be specified during the SPLIT/MERGE of a partition of a Range-List partitioned table', 'During a split or a merge of a partition of a range list partitioned table you cannot specify any subpartitioning information for the resulting partition (s)', 'Remove all subpartitioning information from the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14635', 'only one resulting subpartition can be specified for MERGE SUBPARTITIONS', 'ALTER TABLE MERGE SUBPARTITIONS contained more than one resulting subpartition for the MERGE', 'Ensure that the statement describes exactly one subpartition as the target that need to be MERGEd', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14636', 'only 2 resulting subpartition can be specified for SPLIT SUBPARTITION', 'ALTER TABLE SPLIT SUBPARTITION contained more than 2 resulting subpartition for the SPLIT', 'Ensure that the statement describes exactly 2 subpartitions as the target of the SPLIT operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14637', 'cannot merge a subpartition with itself', 'The same subpartition name was specified twice for the merge operation', 'Re-submit operation with 2 distinct subpartition names within the same composite partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16419', 'Snapshot standby must be converted from physical standby', 'The database is not physical standby.', 'Convert to physical standby and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16420', 'fast-start failover target cannot be converted to snapshot standby', 'The database chosen for conversion to a snapshot standby was the fast-start failover target standby database.', 'Choose another physical standby database and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16424', 'Terminal recovery cannot start due to GAP on Physical Standby', 'Terminal Recovery failed because of gap behind the start point of standby recovery.', 'Issue ALTER DATABASE ACTIVATE STANDBY DATABASE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16425', 'Terminal recovery branch string older than target branch string', 'Terminal Recovery failed because of new branch on Physical Standby.', 'Issue real time apply recovery and see if recovery can proceed on the new branch by checking if logs on the new branch are applied by recovery. If so, issue another terminal recovery. Otherwise, issue ALTER DATABASE ACTIVATE STANDBY DATABASE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16426', 'log requested by recovery is not the correct log', 'Media recovery has selected an incorrect log', 'Verify that the proper log has been properly registered and restart media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16427', 'Potential archive log gap too large to service', 'Standby destination is too far behind the primary database for automatic archive log gap detection/resolution to take place.', 'Standby database should be recreated with a recent backup copy of the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16431', 'Cannot expand control file', 'More threads were added on the primary database after this standby control file was created.', 'Shut down the standby database, either replace the control file with a new standby control file from primary database or change the COMPATIBLE parameter to 10.2.0 or above, and restart the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12922', 'concurrent ALTER DATABASE [NO] FORCE LOGGING command is running', 'There is a concurrent ALTER DATABASE FORCE LOGGING or ALTER DATABASE NO FORCE LOGGING command running in the system.', 'Contact the database administrator who is responsible for the concurrent command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12923', 'tablespace string is in force logging mode', 'An attempt to alter the specified tablespace temporary failed because the tablespace is in force logging mode.', 'Put the tablespace out of force logging mode by ALTER TABLESPACE NO FORCE LOGGING command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12986', 'columns in partially dropped state. Submit ALTER TABLE DROP COLUMNS CONTINUE', 'An attempt was made to access a table with columns in partially dropped state (i.e., drop column operation was interrupted).', 'Submit ALTER TABLE DROP COLUMNS CONTINUE to complete the drop column operation before accessing the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12987', 'cannot combine drop column with other operations', 'An attempt was made to combine drop column with other ALTER TABLE operations.', 'Ensure that drop column is the sole operation specified in ALTER TABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12988', 'cannot drop column from table owned by SYS', 'An attempt was made to drop a column from a system table.', 'This action is not allowed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12989', 'invalid value for checkpoint interval', 'An invalid checkpoint interval specified in statement. Checkpoint interval must be between 0 and (2^31-1).', 'Correct checkpoint interval and resubmit statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12990', 'duplicate option specified', 'Duplicate option specified in statement.', 'Remove the duplicate option and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12991', 'column is referenced in a multi-column constraint', 'An attempt was made to drop a column referenced by some constraints.', 'Drop all constraints referencing the dropped column or specify CASCADE CONSTRAINTS in statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12992', 'cannot drop parent key column', 'An attempt was made to drop a parent key column.', 'Drop all constraints referencing the parent key column, or specify CASCADE CONSTRAINTS in statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12993', 'tablespace ''string'' is offline, cannot drop column', 'An attempt was made to drop a column from a partition/subpartition on an offline tablespace.', 'Bring the tablespace online and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12994', 'drop column option only allowed once in statement', 'An attempt was made to repeat the drop column option in a single statement.', 'Separate drop column options into different statements and resubmit statements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12995', 'no columns in partially dropped state', 'An attempt was made to submit DROP COLUMNS CONTINUE statement while there are no partially dropped columns.', 'Cannot submit this statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12996', 'cannot drop system-generated virtual column', 'An attempt was made to drop a virtual column generated by the system.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-12997', 'cannot drop primary key column from an index-organized table', 'An attempt was made to drop a primary key column from an index- organized table.', 'This action is not allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13000', 'dimension number is out of range', 'The specified dimension is either smaller than 1 or greater than the number of dimensions encoded in the HHCODE.', 'Make sure that the dimension number is between 1 and the maximum number of dimensions encoded in the HHCODE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13001', 'dimensions mismatch error', 'The number of dimensions in two HHCODEs involved in a binary HHCODE operation do not match.', 'Make sure that the number of dimensions in the HHCODEs match.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13002', 'specified level is out of range', 'The specified level is either smaller than 1 or greater than the maximum level encoded in an HHCODE.', 'Verify that all levels are between 1 and the maximum number of levels encoded in the HHCODE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13003', 'the specified range for a dimension is invalid', 'The specified range for a dimension is invalid.', 'Make sure that the lower bound (lb) is less than the upper bound (ub).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13004', 'the specified buffer size is invalid', 'The buffer size for a function is not valid.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13005', 'recursive HHCODE function error', 'An error occurred in a recursively called HHCODE function.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13006', 'the specified cell number is invalid', 'The cell identifier is either less than 0 or greater than (2^ndim - 1).', 'Make sure that the cell identifier is between 0 and (2^ndim - 1).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13007', 'an invalid HEX character was detected', 'A character that is not in the range [0-9] or [A-F a-f] was detected.', 'Verify that all characters in a string are in [0-9] or [A-F a-f].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13008', 'the specified date format has an invalid component', 'Part of specified date format is invalid.', 'Verify that the date format is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13009', 'the specified date string is invalid', 'The specified date string has a bad component or does not match the specified format string.', 'Make sure that the components of the date string are valid and that the date and format strings match.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13010', 'an invalid number of arguments has been specified', 'An invalid number of arguments was specified for an SDO function.', 'Verify the syntax of the function call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13011', 'value is out of range', 'A specified dimension value is outside the range defined for that dimension.', 'Make sure that all values to be encoded are within the defined dimension range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13012', 'an invalid window type was specified', 'An invalid window type was specified.', 'Valid window types are RANGE, PROXIMITY, POLYGON.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13013', 'the specified topology was not INTERIOR or BOUNDARY', 'A topology was specified that was not INTERIOR or BOUNDARY.', 'Make sure that INTERIOR or BOUNDARY is used to describe an HHCODE''s topology.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13014', 'a topology identifier outside the range of 1 to 8 was specified', 'A topology identifier outside the range of 1 to 8 was specified.', 'Specify a topology in the range of 1 to 8.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13015', 'the window definition is not valid', 'The number of values used to define the window does not correspond to the window type.', 'Verify that the number of values used to defined the window is correct for the window type and number of dimensions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13016', 'specified topology [string] is invalid', 'The specified topology did not exist in the database, or some components of the topology were missing from the database.', 'Check the specified topology by executing the SDO_TOPO.validate_topology function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13017', 'unrecognized line partition shape', 'The shape of a 2-D line partition could not be determined.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13018', 'bad distance type', 'The specified distance type is invalid.', 'The only supported distance functions are EUCLID and MANHATTAN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13044', 'the specified tile size is smaller than the tolerance', 'The tile size specified for fixed size tessellation is smaller than the tolerance as specified in the layer metadata.', 'See the Oracle Spatial documentation for an explanation of tiling levels, tile size, and tiling resolution. Ensure that the tiling parameters are set such that any generated tile is always larger than or equal to a tile at the maximum level of resolution. This can be achieved by using a fewer number of tiles per geometric object or specifying a smaller tile size value than the current one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14136', 'ALTER TABLE EXCHANGE restricted by fine-grained security', 'User doing exchange does not have full table access due to VPD policies.', 'Grant exempt priviliges to this user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14137', 'Table in partially dropped state, submit DROP TABLE PURGE', 'An attempt was made to access a partitioned table in a partially dropped state.', 'Submit DROP TABLE <table> PURGE to drop the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14138', 'An unexpected error encountered during drop table operation', 'Drop table encountered an unexpected error.', 'a. Submit drop table <table> purge, or b. If the situation described in the next error on the stack can be corrected, do so. c. Contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14139', 'table string.string is already in read-only mode', 'an attempt was made to set a read-only table in read-only mode', 'this DDL can only be executed on a read/write table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14140', 'table string.string is already in read/write mode', 'an attempt was made to set a read/write table in read/write mode', 'this DDL can only be executed on a read-only table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14141', 'ALTER INDEX VISIBLE|INVISIBLE may not be combined with other operations', 'ALTER INDEX statement attempted to combine a VISIBLE|INVISIBLE operation with some other operation which is illegal', 'Ensure that VISIBLE|INVISIBLE operation is the sole operation specified in ALTER INDEX statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14142', 'ALTER INDEX VISIBLE|INVISIBLE may not be used with certain types of index', 'Using the ALTER INDEX VISIBLE|INVISIBLE statement on certain types of indexes (IOT-TOP, Cluster indexes) is illegal.', 'Remove the option VISIBLE|INVISIBLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14143', 'CREATE INDEX INVISIBLE may not be used with this type of index', 'Certain types of indexes (IOT-TOP, Cluster indexes) cannot be created invisible.', 'Remove the option INVISIBLE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14150', 'missing SUBPARTITION keyword', 'keyword SUBPARTITION missing', 'supply missing keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14151', 'invalid table partitioning method', 'Invalid partitioning method was specified in CREATE TABLE statement. A table may be partitioned by RANGE, HASH, LIST, SYSTEM, or Composite Range-Hash/List/Range (R+H/L/R).', 'Specify one of valid partitioning methods', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14152', 'invalid number of partitions specified in PARTITIONS clause', 'number-of-partitions clause contained in CREATE TABLE or CREATE INDEX statement specified a number of partitions outside of legal range (1-1048575)', 'Specify a number between 1 and 1024K-1 in the number-of-partitions clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14153', 'only one of STORE IN or <partition-description> clause may be specified', 'both STORE IN and <partition-description> clauses were specified in a CREATE TABLE|INDEX command', 'Remove one of offending clauses', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14154', 'only one of STORE IN or <subpartition-description> clause may be specified', 'both STORE IN and <subpartition-description> clauses were specified in a CREATE TABLE|INDEX, or ALTER TABLE ADD|SPLIT PARTITION or ALTER TABLE MERGE PARTITIONS command for a Composite Range partitioned object', 'Remove one of offending clauses', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14176', 'this attribute may not be specified for a hash partition', 'An invalid option was encountered while parsing physical attributes of a partition of an object partitioned using the HASH method. The TABLESPACE option is the only valid option for such partitions.', 'Remove the invalid option(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14177', 'STORE-IN (Tablespace list) can only be specified for a LOCAL index on a Hash or Composite Range Hash table', 'STORE-IN (Tablespace list) clause was used while creating a local index on a range/list/composite range list partitioned table', 'Do not use the STORE_IN (Tablespace list) clause while creating a local index on range/list/composite range list partitioned table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14178', 'STORE IN (DEFAULT) clause is not supported for hash partitioned global indexes', 'STORE IN (DEFAULT) is valid only for local indexes.', 'a) Specify a tablespace list in place of DEFAULT, or b) Remove STORE IN clause and specify tablespaces individually for each index partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14183', 'TABLESPACE DEFAULT can be specified only for Composite LOCAL index', 'User attempted to specify TABLESPACE DEFAULT for a partition of a Range/System/Hash partitioned LOCAL index object, which is illegal.', 'Replace TABLESPACE DEFAULT with TABLESPACE <ts_name> or remove it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14185', 'incorrect physical attribute specified for this index partition', 'unexpected option was encountered while parsing physical attributes of a local index partition; valid options for Range or Composite Range partitions are INITRANS, MAXTRANS, TABLESPACE, STORAGE, PCTFREE, PCTUSED, LOGGING and TABLESPACE; but only TABLESPACE may be specified for Hash partitions STORE IN () is also disallowed for all but Composite Range partitions', 'remove invalid option(s) from the list of physical attributes of an index partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14186', 'number of sub-partitions of LOCAL index must equal that of the underlying table', 'User attempted to create a LOCAL partitioned index with a number of sub-partitions which is different from that of the underlying table.', 'Correct the CREATE INDEX statement to specify a correct number of sub-partitions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14187', 'partitioning method for LOCAL index is inconsistent with that of the underlying table', 'User attempted to create a LOCAL partitioned index that is not equi-partitioned with the underlying table. The partitioning types are mismatched.', 'Correct the CREATE INDEX statement to ensure that the index partitionining method is consistent with that of the base table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14188', 'sub-partitioning columns must form a subset of key columns of a UNIQUE index', 'User attempted to create a UNIQUE partitioned index whose sub-partitioning columns do not form a subset of its key columns which is illegal', 'If the user, indeed, desired to create an index whose subpartitioning columns do not form a subset of its key columns, it must be created as non-UNIQUE; otherwise, correct the list of key and/or subpartitioning columns to ensure that the index'' subpartitioning columns form a subset of its key columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14189', 'this physical attribute may not be specified for an index subpartition', 'unexpected option was encountered while parsing physical attributes of an index subpartition; TABLESPACE is the only valid option', 'remove invalid option(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14190', 'only one ENABLE/DISABLE ROW MOVEMENT clause can be specified', 'One of three possible actions caused the error: 1) ENABLE ROW MOVEMENT was specified more than once. 2) DISABLE ROW MOVEMENT was specified more than once. 3) Both ENABLE ROW MOVEMENT and DISABLE ROW MOVEMENT were specified.', 'Remove all but one of the ENABLE ROW MOVEMENT or DISABLE ROW MOVEMENT clauses; then, reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14191', 'ALLOCATE STORAGE may not be specified for Composite Range partitioned object', 'User specified ALLOCATE STORAGE clause in ALTER TABLE/ALTER INDEX statement issued against a range-partitioned index which is illegal.', 'Remove the illegal option. If it is desired to add storage to individual partitions, ALLOCATE STORAGE clause may be specified with ALTER TABLE/INDEX MODIFY PARTITION statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14192', 'cannot modify physical index attributes of a Hash index partition', 'User attempted to modify one of INITRANS/MAXTRANS/LOGGING/STORAGE clause for an index partition of a Hash partitioned index', 'Remove the physical attributes one is trying to modify', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13337', 'failure in concatenating LRS polygons', 'LRS concatenation involving LRS polygons is not supported.', 'Check the geometry and element types to make sure the concatenate operation is not called with a polygon type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13338', 'failure in reversing LRS polygon/collection geometry', 'Reversing an LRS polygon/collection geometry produces an invalid geometry.', 'Check the geometry type to make sure this operation is called on non-polygon geometries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13339', 'LRS polygon clipping across multiple rings', 'Clipping (dynseg) a polygon across multiple rings is not allowed.', 'Polygon clipping is allowed only for a single ring.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13340', 'a point geometry has more than one coordinate', 'A geometry, specified as being a point, has more than one coordinate in its definition.', 'A point has only one coordinate. If this geometry is intended to represent a point cluster, line, or polygon, set the appropriate SDO_GTYPE or SDO_ETYPE value. If this is a single point object, remove the extraneous coordinates from its definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13341', 'a line geometry has fewer than two coordinates', 'A geometry, specified as being a line, has fewer than two coordinates in its definition.', 'A line must consist of at least two distinct coordinates. Correct the geometric definition, or set the appropriate SDO_GTYPE or SDO_ETYPE attribute for this geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13342', 'an arc geometry has fewer than three coordinates', 'A geometry, specified as being an arc, has fewer than three coordinates in its definition.', 'An arc must consist of at least three distinct coordinates. Correct the geometric definition, or set the appropriate SDO_GTYPE or SDO_ETYPE attribute for this geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13343', 'a polygon geometry has fewer than four coordinates', 'A geometry, specified as being a polygon, has fewer than four coordinates in its definition.', 'A polygon must consist of at least four distinct coordinates. Correct the geometric definition, or set the appropriate SDO_GTYPE or SDO_ETYPE attribute for this geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13344', 'an arcpolygon geometry has fewer than five coordinates', 'A geometry, specified as being an arcpolygon, has fewer than five coordinates in its definition.', 'An arcpolygon must consist of at least five coordinates. An arcpolygon consists of an ordered sequence of arcs, each of which must be described using three coordinates. Since arcs are connected the end-point of the first is the start of the second and does not have to be repeated. Correct the geometric definition, or set the appropriate SDO_GTYPE or SDO_ETYPE attribute for this geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13345', 'a compound polygon geometry has fewer than five coordinates', 'A geometry, specified as being a compound polygon, has fewer than five coordinates in its definition.', 'A compound polygon must contain at least five coordinates. A compound polygon consists of at least one arc and one line, each of which must be described using three and at least two distinct coordinates respectively. Correct the geometric definition, or set the appropriate SDO_GTYPE or SDO_ETYPE attribute for this geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13346', 'the coordinates defining an arc are collinear', 'Invalid definition of an arc. An arc is defined using three non-collinear coordinates.', 'Alter the definition of the arc, or set the SDO_ETYPE or SDO_GTYPE to the line type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13347', 'the coordinates defining an arc are not distinct', 'Two or more of the three points defining an arc are the same.', 'Alter the definition of the arc to ensure that three distinct coordinate values are used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13348', 'polygon boundary is not closed', 'The boundary of a polygon does not close.', 'Alter the coordinate values or the definition of the SDO_GTYPE or SDO_ETYPE attribute of the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13349', 'polygon boundary crosses itself', 'The boundary of a polygon intersects itself.', 'Correct the geometric definition of the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13350', 'two or more rings of a complex polygon touch', 'The inner or outer rings of a complex polygon touch.', 'All rings of a complex polygon must be disjoint. Correct the geometric definition of the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13351', 'two or more rings of a complex polygon overlap', 'The inner or outer rings of a complex polygon overlap.', 'All rings of a complex polygon must be disjoint. Correct the geometric definition of the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13352', 'the coordinates do not describe a circle', 'The set of coordinates used to describe a circle are incorrect.', 'Confirm that the set of coordinates actually represent points on the circumference of a circle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13353', 'ELEM_INFO_ARRAY not grouped in threes', 'The ELEM_INFO_ARRAY in an SDO_GEOMETRY definition has more or fewer elements than expected.', 'Confirm that the number of elements in ELEM_INFO_ARRAY is divisible by 3.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13354', 'incorrect offset in ELEM_INFO_ARRAY', 'The offset field in ELEM_INFO_ARRAY of an SDO_GEOMETRY definition references an invalid array subscript in SDO_ORDINATE_ARRAY.', 'Confirm that the offset is a valid array subscript in SDO_ORDINATE_ARRAY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13355', 'SDO_ORDINATE_ARRAY not grouped by number of dimensions specified', 'The number of elements in SDO_ORDINATE_ARRAY is not a multiple of the number of dimensions supplied by the user.', 'Confirm that the number of dimensions is consistent with data representation in SDO_ORDINATE_ARRAY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13356', 'adjacent points in a geometry are redundant', 'There are repeated points in the sequence of coordinates.', 'Remove the redundant point.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13357', 'extent type does not contain 2 points', 'Extent type should be represented by two points: lower left and upper right.', 'Confirm that there are only two points for an extent type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13358', 'circle type does not contain 3 points', 'Circle type should be represented by three distinct points on the circumference.', 'Confirm that there are only three points for a circle type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13359', 'extent does not have an area', 'The two points representing the extent are identical.', 'Confirm that the two points describing the extent type are distinct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13360', 'invalid subtype in a compound type', 'This subtype is not allowed within the ETYPE specified.', 'Check the Oracle Spatial documentation for type definitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13361', 'not enough sub-elements within a compound ETYPE', 'The compound type declare more sub-elements than actually defined.', 'Confirm that the number of sub-elements is consistent with the compound type declaration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13362', 'disjoint sub-element in a compound polygon', 'Compound polygon must describe an enclosed area.', 'Confirm that all sub-elements are connected.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13385', 'error in network manager: [string]', 'There was an internal error in network manager.', 'Contact Oracle Customer Support for more help.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13386', 'commit/rollback operation error: [string]', 'The index-level changes were not fully incorporated as part of the commit or rollback operation.', 'Correct the specified error and use the following statement: ALTER INDEX <index-name> PARAMETERS (''index_status=synchronize'');', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13387', 'sdo_batch_size for array inserts should be in the range [number,number]', 'The specified value for sdo_batch_size was too high or too low.', 'Change the value to be in the specified range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13388', 'invalid value for dst_spec parameter', 'The dst_spec parameter was specified in the wrong format.', 'Check the documentation for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16432', 'inconsistent set of terminal logs detected', 'Media Recovery stopped because it detected an inconsistency between the first log in the new incarnation and the state of the previous incarnation. If this database is a bystander standby database, this is most likely because there was a failover operation, and this database applied terminal logs generated from that failover operation for some redo threads but applied corresponding logs from the old primary database of that failover operation for some other redo threads.', 'Flashback or restore this database to before the standby_became_primary_scn of that failover operation and restart media recovery. The standby_became_primary_scn of the failover operation can be obtained from V$DATABASE on the new primary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16433', 'The database has not been opened in read-write mode', 'When a physical standby database is converted to a read-write database or there was a failed open resetlogs attempt, the database should be opened in read-write mode to have correct file access information in the controlfile.', 'Open the database in read-write mode and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16438', 'Switchover to primary cannot be executed at this time', 'ALTER DATABASE COMMIT TO SWITCHOVER TO PRIMARY could not be executed because an incompatible operation such as RMAN restore or flashback was in progress. See the database alert log for details.', 'Wait for the incompatible operation to complete. The files that have been flashed back or restored need recovery before you can reissue ALTER DATABASE COMMIT TO SWITCHOVER TO PRIMARY statement. Start redo apply and verify that the SWITCHOVER_STATUS column of the V$DATABASE view reports TO_PRIMARY or SESSIONS_ACTIVE before retrying ALTER DATABASE COMMIT TO SWITCHOVER TO PRIMARY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16501', 'the Data Guard broker operation failed', 'The Data Guard broker operation failed.', 'See accompanying messages for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16502', 'the Data Guard broker operation succeeded with warnings', 'The Data Guard broker operation succeeded with warnings.', 'See accompanying messages for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16504', 'the Data Guard configuration already exists', 'A request to create a Data Guard configuration was made while connected to a database that is part of an existing configuration.', 'To create a new configuration, the existing configuration must be deleted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16505', 'site ID is invalid', 'The request contained an invalid site ID.', 'Make the request again with a valid site ID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16506', 'out of memory', 'Process exceeded private or shared memory limits.', 'Check for memory leaks, increase system parameters and restart.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16507', 'unrecognized request identifier', 'The specified request identifier was not recognized by the Data Guard broker.', 'Reissue the request using a valid request identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16509', 'request timed out', 'The Data Guard broker timed out out the request.', 'Check the Data Guard broker log file for more information. Ensure that the network connections between the databases are functioning properly and retry the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16513', 'maximum requests exceeded', 'The maximum number of requests that the broker can service', 'Wait for the broker to complete processing the requests before issuing more requests.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16514', 'request was not found', 'An attempt was made to read a response but a matching request was not found.', 'Verify request identifier is valid and that it references a previously issued request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16516', 'current state is invalid for the attempted operation', 'The broker may have returned this error for either switchover operations or for database state change operations. If this error was returned for a switchover operation, the broker determined that either: ' || '<p>' || '- The databases changing roles are shut down.' || '<p>' || '' || '<p>' || '- The primary database is not shipping redo data.' || '<p>' || '' || '<p>' || '- The standby database that will become the primary database is not applying redo data. If this error was returned for database state change operations, the database state specified was invalid.', 'If this error is returned when attempting a switchover operation, make sure that: ' || '<p>' || '- The databases changing roles are started.' || '<p>' || '' || '<p>' || '- The primary database is shipping redo data.' || '<p>' || '' || '<p>' || '- The standby database is applying redo data. If this error is returned when attempting a database state change operation, make sure a valid database state is specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16523', 'operation requires the client to connect to instance "string"', 'The switchover or failover operation required the client to connect to the apply instance of the target database.', 'Connect to the indicated instance and reissue the SWITCHOVER or FAILOVER command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16524', 'unsupported operation', 'A command or option was not supported in this release.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16525', 'the Data Guard broker is not yet available', 'The Data Guard broker process was either not yet started, was initializing, or failed to start.', 'If the broker has not been started, set the DG_BROKER_START initialization parameter to true and allow the broker to finish initializing before making the request. If the broker failed to start, check the Data Guard log for possible errors. Otherwise, retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16526', 'unable to allocate task element', 'The Data Guard broker was unable to allocate memory for a request.', 'Increase the size of the SGA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16527', 'unable to allocate broker SGA memory', 'The Data Guard broker was unable to allocate memory within the SGA.', 'Increase the size of the SGA memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13124', 'unable to determine column id for column string', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13125', 'partition key is already set', 'A partition key is already set for the spatial table.', 'Only one partition key can be specified per spatial table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13126', 'unable to determine class for spatial table string', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13127', 'failed to generate target partition', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13128', 'current tiling level exceeds user specified tiling level', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13129', 'HHCODE column string not found', 'The specified spatial column does not exist.', 'Verify that the specified column is a spatial column by checking the Spatial data dictionary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13135', 'failed to alter spatial table', 'This is an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13363', 'no valid ETYPE in the geometry', 'None of the ETYPEs within the geometry is supported.', 'Confirm that there is at least one valid ETYPE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13364', 'layer dimensionality does not match geometry dimensions', 'The spatial layer has a geometry with a different dimensions than the dimensions specified for the layer.', 'Make sure that all geometries in a layer have the same dimensions and that they match the dimensions in the SDO_DIM_ARRAY object for the layer in the USER_SDO_GEOM_METADATA view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13365', 'layer SRID does not match geometry SRID', 'The spatial layer has a geometry with a different SRID than the SRID specified for the layer.', 'Make sure that all geometries in a layer have the same SRID and that the SRIDs match the SRID for the layer in the USER_SDO_GEOM_METADATA view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13366', 'invalid combination of interior exterior rings', 'In an Oracle Spatial geometry, interior and exterior rings are not used consistently.', 'Make sure that the interior rings corresponding to an exterior ring follow the exterior ring in the ordinate array.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13367', 'wrong orientation for interior/exterior rings', 'In an Oracle Spatial geometry, the exterior and/or interior rings are not oriented correctly.', 'Be sure that the exterior rings are oriented counterclockwise and the interior rings are oriented clockwise.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13368', 'simple polygon type has more than one exterior ring', 'In a polygon geometry there is more than one exterior ring.', 'Set the type to be multipolygon if more than one exterior ring is present in the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13369', 'invalid value for etype in the 4-digit format', 'A 4-digit etype for a non-polygon type element is used, or the orientation is not a valid orientation for interior/exterior rings of the polygon.', 'Correct the geometry definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13370', 'failure in applying 3D LRS functions', 'Only non-geodetic 3D line string geometries (made of line segments) are supported for 3D LRS functions.', 'Check the geometry and element types and the SRID values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13371', 'invalid position of measure dimension', 'LRS measure dimension has to be after spatial dimensions. The position has to be either 3rd or 4th in the dim_info_array.', 'Check the geometry''s gtype and its position in the dim_info_array.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13372', 'failure in modifying metadata for a table with spatial index', 'Modifying the metadata after the index is created will cause an inconsistency between the geometry''s gtype and diminfo.', 'Modify (or Prepare) metadata before creating an index on the SDO_GEOMETRY column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13373', 'invalid line segment in geodetic data', 'A geodetic line segment was not less than half of a great circle.', 'Densify the line by adding points.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13374', 'SDO_MBR not supported for geodetic data', 'The SDO_MBR functionality is not supported for geodetic data.', 'Find an alternative function that can be used in this context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13375', 'the layer is of type [string] while geometry inserted has type [string]', 'The layer has a type that is different or inconsistent with the type of the current geometry.', 'Change the geometry type to agree with the layer type, or change the layer type to agree with the geometry type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13376', 'invalid type name specified for layer_gtype parameter', 'An invalid type name is specified for the layer_gtype constraint.', 'See the Spatial documentation for of valid keywords that can be used in defining a layer_gtype constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13377', 'invalid combination of elements with orientation', 'An element of the geometry has orientation specified while some other element has no orientation specified (4-digit etype).', 'Make sure all the polygon elements have orientation specified using the 4-digit etype notation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13378', 'invalid index for element to be extracted', 'An invalid (or out of bounds) index was specified for extracting an element from a geometry.', 'Make sure the parameters to the extract function are in the valid range for the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13379', 'invalid index for sub-element to be extracted', 'An invalid (or out of bounds) index was specified for extracting a sub-element from a geometry.', 'Make sure the parameters to the extract function are in the valid range for the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13380', 'network not found', 'The specified network was not found in the network metadata.', 'Insert the network information in the USER_SDO_NETWORK_METADATA view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13381', 'table:string not found in network:string', 'The specified table was not found in the network metadata.', 'Insert the table information in the USER_SDO_NETWORK_METADATA view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13382', 'geometry metadata (table:string column:string) not found in spatial network:string', 'The specified geometry metadata was not found in the spatial network metadata.', 'Insert the spatial metadata information in the USER_SDO_NETWORK_METADATA view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13383', 'inconsistent network metadata: string', 'There was an inconsistency between the network metadata and the node/link information.', 'Check the network metadata and the node/link information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13384', 'error in network schema: string', 'The network table(s) did not have required column(s)', 'Check the network schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13605', 'The specified task or object string does not exist for the current user.', 'The user attempted to reference an advisor task or object using a name that does not exist in the Advisor repository.', 'Adjust the name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13606', 'the specified task parameter element string is out of range for parameter string.', 'The user attempted to reference an invalid parameter element.', 'Adjust the element offset and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13607', 'The specified task or object string already exists', 'The user attempted to create the specified task or object using a name that already exists in the Advisor repository. Task names must be unique to the database user.', 'Adjust the name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13608', 'The specified name string is invalid.', 'An attempt was made to specify a name for a task, object, execution or directive instance, which contained invalid characters or an invalid wildcard specifier.', 'Adjust the name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13609', 'The specified task string must be executing to be cancelled or interrupted.', 'The user attempted to cancel or interrupt a task that is not currently executing.', 'Check the status of the task and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14193', 'invalid ALTER INDEX MODIFY SUBPARTITION option', 'An option other than UNUSABLE, ALLOCATE EXTENT, DEALLOCATE UNUSED was specified in an ALTER INDEX MODIFY SUBPARTITION statement.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14194', 'only one subpartition may be rebuilt', 'ALTER INDEX REBUILD SUBPARTITION contained descriptions of more than one subpartition to be rebuilt', 'Ensure that the statement describes exactly one subpartition to be rebuilt and that it does not contain any commas', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14195', 'ALLOCATE STORAGE may not be specified for RANGE or LIST partitioned object', 'User specified ALLOCATE STORAGE clause in ALTER TABLE/ALTER INDEX statement issued against a range-partitioned index which is illegal.', 'Remove the illegal option. If it is desired to add storage to individual partitions, ALLOCATE STORAGE clause may be specified with ALTER TABLE/INDEX MODIFY PARTITION statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14196', 'Specified index cannot be used to enforce the constraint.', 'The index specified to enforce the constraint is unsuitable for the purpose.', 'Specify a suitable index or allow one to be built automatically.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14201', 'specified subpartition bound is too long', 'Length of a linear key representation of a high bound of a table subpartition being added or along which an existing table or index subpartition is being split exceeded the legal limit (4K).', 'Change the representation of a subpartition high bound to bring its length within legal limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14202', 'subpartition bound of subpartition "string" is too high', 'High bound of the specified subpartition displayed in this message did not collate lower than that of the subsequent subpartition.', 'Ensure that high bound of every subpartition (except for the last one) collates lower than that of a subsequent subpartition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14203', 'subpartition bound of subpartition "string" is too long', 'Length of linear key representation of a high bound of the specified subpartition displayed in this message exceeded the legal limit (4K).', 'Change the representation of a subpartition high bound to bring its length within legal limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14204', 'subpartition bound of subpartition number string is too high', 'High bound of the specified subpartition displayed in this message did not collate lower than that of the subsequent subpartition.', 'Ensure that high bound of every subpartition (except for the last one) collates lower than that of a subsequent subpartition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14205', 'subpartition bound of subpartition number string is too long', 'Length of linear key representation of a high bound of the specified subpartition displayed in this message exceeded the legal limit (4K).', 'Change the representation of a subpartition high bound to bring its length within legal limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14206', 'table is not subpartitioned by List or Range methods', 'A subpartition maintenance operation such as ALTER TABLE DROP|SPLIT|MERGE SUBPARTITION can only be performed on List or Range subpartitioned objects', 'Issue the command only against a List or Range subpartitioned object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14207', 'maximum number of subpartitioning columns is 16', 'number of columns in a subpartitioning column list exceeded the legal limit of 16', 'modify subpartitioning column list so that it consists of at most 16 columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14208', 'lower-bound subpartition must be specified first', 'A higher-bound subpartition was specified before the lower-bound subpartition in ALTER TABLE MERGE SUBPARTITIONS statement.', 'Specify lower-bound subpartition first and then higher-bound subpartition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14209', 'subpartitions being merged are not adjacent', 'Attempted to merge two subpartitions that are not adjacent to each other.', 'Specify two subpartitions that are adjacent', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14210', 'cannot reuse lower-bound subpartition as resulting subpartition', 'Attempted to reuse the lower-bound subpartition of the subpartitions being merged.', 'Specify new resulting subpartition name or reuse the higher-bound subpartition only', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14211', 'subpartition bound must collate higher than that of the last subpartition', 'Subpartition bound specified in ALTER TABLE MODIFY PARTITION ADD SUBPARTITION statement did not collate higher than that of the partition''s last subpartition.', 'Ensure that the subpartition bound of the subpartition to be added collates higher than that of the table partition''s last subpartition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14212', 'subpartition cannot be split along the specified high bound', 'Attempted to split a subpartition along a bound which either collates higher than that of the subpartition to be split or lower than that of a subpartition immediately preceding the one to be split', 'Ensure that the bound along which a subpartition is to be split collates lower than that of the subpartition to be split and higher than that of a subpartition immediately preceding the one to be split', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14213', 'VALUES LESS THAN or AT clause cannot be used for List subpartitioned tables', 'VALUES LESS THAN or AT clause was used for List subpartitioned tables', 'Use VALUES (<value list>) clause for List subpartitioned tables', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14214', 'VALUES (<value list>) cannot be used for Range subpartitioned tables', 'VALUES (<value list>) clause was used for Range subpartitioned tables', 'Use VALUES LESS THAN or AT clause with Range subpartitioned tables', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14215', 'subpartition bound list contains too many elements', 'Subpartition bound list contained more elements than there are subpartitioning columns', 'Ensure that the number of elements in subpartition bound list is equal to the number of subpartitioning columns of the table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14216', 'subpartition bound list contains too few elements', 'Subpartition bound list contained fewer elements than there are subpartitioning columns', 'Ensure that the number of elements in partition bound list is equal to the number of partitioning columns of the table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14217', 'VALUES (<value list>) clause expected', 'VALUES (<value list>) clause was not specified for the list subpartition being added', 'Specify a VALUES (<value list>) clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14251', 'Specified subpartition does not exist', 'Subpartition not found for the object.', 'Retry with correct subpartition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14252', 'invalid ALTER TABLE MODIFY PARTITION option for a Hash partition', 'Only ALLOCATE EXTENT and DEALLOCATE UNUSED may be specified in ALTER TABLE MODIFY PARTITION for a Hash partition.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14253', 'table is not partitioned by Composite Range method', 'The table in a subpartition maintenance operation (ALTER TABLE EXCHANGE/MODIFY/MOVE/TRUNCATE SUBPARTITION, or ALTER TABLE MODIFY PARTITION ADD/COALESCE SUBPARTITION command must be partitioned by Composite Range method', 'Ensure that the table is partitioned by Composite Range method', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14254', 'cannot specify ALLOCATE STORAGE for a (Composite) Range or List partitioned table', 'User specified ALLOCATE STORAGE clause in ALTER TABLE statement issued against a Range or Composite Range partitioned table which is illegal.', 'Remove the illegal option. If it is desired to add storage to individual partitions/subpartitions, ALLOCATE STORAGE clause may be specified with ALTER TABLE MODIFY PARTITION/SUBPARTITION statement. If it is desired to add storage to all subpartitions of a Composite partition, ALLOCATE STORAGE clause may be specified with ALTER TABLE MODIFY PARTITION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13389', 'unable to compute buffers or intersections in analysis function', 'There was an internal error in computing the buffers or intersections in the specified spatial analysis function.', 'Modify the tolerance value in the USER_SDO_GEOM_METADATA view before invoking the spatial analysis function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13390', 'error in spatial analysis and mining function: [string]', 'There was an internal error in the specified analysis function.', 'Contact Oracle Customer Support for more help.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13391', 'string', 'An attempt was made to violate GeoRaster management restrictions.', 'Check the documentation for more detailed information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13400', 'duplicate entry for string in USER_SDO_GEOR_SYSDATA view', 'The current operation caused a duplicate RASTER_DATA_TABLE and RASTER_ID combination to be inserted into the USER_SDO_GEOR_SYSDATA view.', 'Ensure that the RASTER_DATA_TABLE and RASTER_ID combination to be inserted into the USER_SDO_GEOR_SYSDATA view is unique.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13401', 'duplicate entry for string in USER_SDO_GEOR_SYSDATA view', 'The RASTER_DATA_TABLE and RASTER_ID columns contained the same information in two or more rows in the USER_SDO_GEOR_SYSDATA view.', 'Ensure that the RASTER_DATA_TABLE and RASTER_ID columns in the USER_SDO_GEOR_SYSDATA view contain the correct information, and that the value pair is unique for each row.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13402', 'the rasterType is null or not supported', 'The specified rasterType was null or not supported.', 'Check the documentation for the rasterType number and/or formats supported by GeoRaster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13403', 'invalid rasterDataTable specification: string', 'Each GeoRaster object must have an associated raster data table whose name is unique among raster data table names in the database. If the GeoRaster object is not empty and not blank, the raster data table must exist, be visible in the current schema, be defined in the same schema as the GeoRaster data table, and be an object table of SDO_RASTER type. However, one or more of these requirements were not met.', 'Check the rasterDataTable specification and ensure that all relevant raster data table requirements are met.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13404', 'invalid ultCoordinate parameter', 'The ultCoordinate array parameter had the wrong length or contained an invalid value.', 'Check the documentation, and make sure the ultCoordinate parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13405', 'null or invalid dimensionSize parameter', 'The dimensionSize array parameter was null, had the wrong length, or contained an invalid value.', 'Check the documentation, and make sure the dimensionSize parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13406', 'null or invalid GeoRaster object for output', 'The GeoRaster object for output was null or invalid.', 'Make sure the GeoRaster object for output has been initialized properly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13407', 'invalid storage parameterstring', 'The storage parameter contained an invalid specification.', 'Check the documentation, and make sure the storage parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13408', 'invalid blockSize storage parameter', 'The blockSize storage parameter had the wrong length or contained invalid value.', 'Check the documentation, and make sure the blockSize storage parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13409', 'null or invalid pyramidLevel parameter', 'The specified pyramidLevel parameter was null or invalid.', 'Make sure the pyramidLevel parameter specifies a valid pyramid level value for the GeoRaster object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13410', 'invalid layerNumbers or bandNumbers parameter', 'The layerNumbers or bandNumbers parameter was invalid.', 'Check the documentation and make sure the layerNumbers or bandNumbers parameter is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13411', 'subset results in null data set', 'The intersection of cropArea and source GeoRaster object was null.', 'Check the documentation, and make sure the cropArea parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13412', 'invalid scale parameterstring', 'The scale parameter contained an invalid specification.', 'Check the documentation, and make sure the scale parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13413', 'null or invalid resampling parameter', 'The resampling parameter was null or invalid.', 'Check the documentation, and make sure the resampling parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13414', 'invalid pyramid parameter', 'The pyramid parameter was invalid.', 'Check the documentation, and make sure the pyramid parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13415', 'invalid or out of scope point specification', 'The point position specified by the <ptGeom, layerNumber> or <rowNumber, colNumber, bandNumber> parameter combination was invalid or out of scope.', 'Make sure the parameter(s) specify a valid point that is or can be translated into a cell position inside the cell space of the GeoRaster object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13416', 'invalid geometry parameter', 'The geometry parameter did not specify a valid single-point geometry.', 'Specify a valid single-point geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13417', 'null or invalid layerNumber parameter', 'The layerNumber parameter was null or out of scope.', 'Specify a valid layerNumber parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13418', 'null or invalid parameter(s) for set functions', 'A parameter for set metadata operations was null or invalid.', 'Check the documentation for information about the parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13419', 'cannot perform mosaick operation on the specified table column', 'An attempt to perform a mosaick operation failed because the GeoRaster objects in the specified table column did not meet necessary conditions.', 'Check the documentation for SDO_GEOR.Mosaick for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13420', 'the SRID of the geometry parameter was not null', 'The input geometry must be in the GeoRaster cell space, which has a null SRID value.', 'Make sure the geometry parameter has a null SRID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13421', 'NULL or invalid cell value', 'The cell value was NULL or out-of-scope.', 'Make sure the cell value is not NULL and is in the range as designated by the cellDepth definition of the specified GeoRaster object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13422', 'invalid model coordinate parameter', 'The model coordinate array parameter had the wrong length or had null ordinate element(s).', 'Make sure the model coordinate parameter is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13423', 'invalid cell coordinate parameter', 'The cell coordinate array parameter had the wrong length or had null ordinate element(s).', 'Make sure the cell coordinate parameter is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13424', 'the GeoRaster object is not spatially referenced', 'The GeoRaster object was not spatially referenced.', 'Make sure the GeoRaster object is spatially referenced.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13425', 'invalid background filling value parameter', 'The background filling value parameter was invalid either because the array had the wrong size or because some of the element values were invalid.', 'Make sure the parameter that specifies the background filling value is valid. The size of the array must equal to either 1 (the value is for all bands) or the exact band dimension size. The element values must be valid cell values as determined by the cell depth.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13426', 'invalid window parameter', 'The specified window parameter was invalid.', 'Specify a valid window parameter. Check the documentation for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13427', 'invalid bitmap mask', 'The bitmap mask was not a valid 1BIT GeoRaster object, or it had the wrong dimension sizes.', 'Make sure the bitmap mask is a valid 1BIT GeoRaster object with only one band, and the row and column dimension sizes of the bitmap mask are the same as those of the target GeoRaster object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16651', 'requirements not met for enabling fast-start failover', 'The attempt to enable fast-start failover could not be completed because one or more requirements were not met: ' || '<p>' || '- The Data Guard configuration must be in either MaxAvailability or MaxPerformance protection mode.' || '<p>' || '' || '<p>' || '- The LogXptMode property for both the primary database and the fast-start failover target standby database must be set to SYNC if the configuration protection mode is set to MaxAvailability mode.' || '<p>' || '' || '<p>' || '- The LogXptMode property for both the primary database and the fast-start failover target standby database must be set to ASYNC if the configuration protection mode is set to MaxPerformance mode.' || '<p>' || '' || '<p>' || '- The primary database and the fast-start failover target standby database must both have flashback enabled.' || '<p>' || '' || '<p>' || '- No valid target standby database was specified in the primary database FastStartFailoverTarget property prior to the attempt to enable fast-start failover, and more than one standby database exists in the Data Guard configuration.', 'Retry the command after correcting the issue: ' || '<p>' || '- Set the Data Guard configuration to either MaxAvailability or MaxPerformance protection mode.' || '<p>' || '' || '<p>' || '- Ensure that the LogXptMode property for both the primary database and the fast-start failover target standby database are set to SYNC if the configuration protection mode is set to MaxAvailability.' || '<p>' || '' || '<p>' || '- Ensure that the LogXptMode property for both the primary database and the fast-start failover target standby database are set to ASYNC if the configuration protection mode is set to MaxPerformance.' || '<p>' || '' || '<p>' || '- Ensure that both the primary database and the fast-start failover target standby database have flashback enabled.' || '<p>' || '' || '<p>' || '- Set the primary database FastStartFailoverTarget property to the DB_UNIQUE_NAME value of the desired target standby database and the desired target standby database FastStartFailoverTarget property to the DB_UNIQUE_NAME value of the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16652', 'fast-start failover target standby database is disabled', 'The command to enable or disable fast-start failover could not be completed because Data Guard broker management of the fast-start failover target standby database is currently disabled.', 'Enable broker management of the target standby database and reissue the command. If an attempt was made to disable fast-start failover when this error was reported, disable fast-start failover forcibly using the DGMGRL DISABLE FAST_START FAILOVER FORCE command. Consult the documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16653', 'failed to reinstate database', 'The Data Guard broker failed to reinstate the specified database because the REINSTATE command failed or because the database is already enabled.', 'Additional information about this failure is recorded in the primary database or the specified database Data Guard broker log files. This information is helpful in determining how to proceed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16654', 'fast-start failover is enabled', 'The attempted command was not allowed while fast-start failover was enabled: ' || '<p>' || '- The FastStartFailoverTarget property may not be modified.' || '<p>' || '' || '<p>' || '- The LogXptMode property for either the primary database or the fast-start failover target standby database may not be modified.' || '<p>' || '' || '<p>' || '- The configuration''s protection mode may not be modified.' || '<p>' || '' || '<p>' || '- Neither the broker configuration nor the fast-start failover target standby database may be disabled using the DGMGRL CLI DISABLE command.' || '<p>' || '' || '<p>' || '- Neither the broker configuration nor the fast-start failover target standby database may be removed using the DGMGRL CLI REMOVE command.' || '<p>' || '' || '<p>' || '- The FAILOVER IMMEDIATE command is not allowed.' || '<p>' || '' || '<p>' || '- The DG_BROKER_START initialization parameter may not be set to FALSE.', 'Disable fast-start failover, using the FORCE option if required. Then retry the attempted command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16655', 'specified target standby database invalid', 'The attempted command was not allowed because fast-start failover was enabled for this Data Guard configuration and the target standby database specified in the command differs from the standby database that was indicated by the FastStartFailoverTarget property associated with the current primary database.', 'Retry the attempted command by specifying the standby database that is indicated by the FastStartFailoverTarget property that is associated with the current primary database. Alternatively, fast-start failover may be disabled. Then retry the command using the originally specified target standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16656', 'Data Guard broker detected role change', 'The Data Guard broker detected a role during database startup or health check.', 'Additional information about this failure is recorded in the Data Guard broker log files, one for the primary database and one for each standby database in the Data Guard configuration. This information is helpful in determining how best to proceed from this failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16657', 'reinstatement of database in progress', 'Reinstatement of this database was in progress.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16658', 'unobserved fast-start failover configuration', 'The fast-start failover configuration was currently unobserved so failover was disallowed.', 'Make sure the observer is running and has connectivity to both the primary and the target standby databases. Otherwise, disable fast-start failover to perform a failover in the absence of the observer process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16659', 'failover operation in progress', 'A primary database that restarted contacted a standby database that is being failed over to.', 'Shut down the primary database and wait for failover to complete on the standby database. Once failover is complete, restart the old primary database. If the failover occurred due to fast-start failover, restarting the primary database after failover is complete allows it to be automatically reinstated as a standby database to the new primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16660', 'fast-start failover operation attempted in absence of a broker configuration', 'An attempt was made to enable or disable fast-start failover when connected to a standby database for which broker configuration details are currently unavailable. For instance, the standby database may currently require re-creation (or flashback reinstantiation) before it may respond to broker client commands.', '1) An attempt to enable or disable (non-FORCE) fast-start failover at this standby database will be rejected until such time that the broker configuration details have been made available to that standby database from the primary database. This normally occurs when the standby database is successfully re-created or flashed back, and then reenabled at the primary database. 2) Use the FORCE option to override fast-start failover that has been enabled at the standby database even when the broker configuration details are currently unavailable to the standby database. In this case, this status message is only a warning. Note that fast-start failover is not formally disabled in the broker configuration. The effect of this command issued under these circumstances may or may not be permanent, depending upon when the primary and standby databases regain full communication between each other and if the state of fast-start failover has been altered at the primary database in the meantime.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13610', 'The directive string does not exist for task string.', 'The user attempted to access a task directive that does not exist.', 'Validate the directive and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13611', 'The command string is not a valid advisor command.', 'The user attempted to specify a command that does not exist.', 'Validate the command and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13612', 'The recommendation action string,string is not valid for task string.', 'The user attempted to access a recommendation action that does not exist in the task.', 'Validate the recommendation-action and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13613', 'The requested operation is not supported for this advisor object.', 'The user attempted to perform an operation that is not supported for the particular advisor or task type.', 'Validate the task or object and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13614', 'The template string is not compatible with the current advisor.', 'The user attempted to create a new task or object using an existing task or object that was not created by the same advisor.', 'Validate the template and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13615', 'The task or object string is greater than the maximum allowable length of 30 characters.', 'The user attempted to create a new task or object using a name that is too long.', 'Shorten the name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13616', 'The current user string has not been granted the ADVISOR privilege.', 'The user attempted an advisor operation that requires privilege.', 'Adjust the user''s privileges and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13617', 'The specified task string already executing', 'The user attempted to execute a task that is currently executing.', 'Wait for the task to finish before attempting any further task activities.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13618', 'The specified value is not a valid value for procedure argument string.', 'The user executed a procedure but failed to provide correct values for the argument.', 'Correct the procedure arguments and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13619', 'The procedure argument string is greater than the maximum allowable length of string characters.', 'The user attempted to pass a character argument that is too long.', 'Shorten the specified character argument and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13620', 'The task or object string is read-only and cannot be deleted or modified.', 'The user attempted to perform an operation that will update or delete a read-only task or object.', 'Adjust the READ_ONLY property for the object and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13621', 'The task_or object string is marked as a template and cannot perform the requested operation.', 'The user attempted perform an unsupported operation on a task or object that is identified as a template.', 'Choose a different object and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13622', 'invalid recommendation annotation', 'The user attempted to mark a recommendation using an invalid annotation. Valid annotation actions are ACCEPT, REJECT and IGNORE.', 'Correct the action and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13623', 'The recommendation string is not valid for task string.', 'The user attempted to access a recommendation that does not exist in the task.', 'Validate the recommendation and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13624', 'The task string is executing and cannot be deleted or modified.', 'The user attempted to access a task that currently executing.', 'Wait for the task to complete and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13625', 'string is an invalid advisor object type.', 'The user has specified an invlaid object type.', 'Refre to dba_advisor_object_types for all valid object types', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13626', 'The specified object string is not valid for task string.', 'The user specified an non-existent object for the task', 'Choose a different object and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13627', 'Setting of parameter string is disallowed until the task is reset.', 'The user attempted to set the value of a parameter before the task was reset. This parameter cannot be changed until the task is reset.', 'Reset the task and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13628', 'Insufficient privileges to access the task belonging to the specified user', 'The user could not access dba_* views.', 'Retry operation as owner of the task or after granting new privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13629', 'The task or object string is being used by another operation.', 'The user attempted to access a task or object that is locked by another session.', 'Wait for the task or object activity to complete and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13630', 'The task string contains execution results and cannot be executed.', 'The user attempted to execute a task that already contains execution results.', 'Reset the task to its initial state and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13631', 'The most recent execution of task string contains no results.', 'The user attempted to create a report or script from a task that has not successfully completed an execution.', 'Execute the task and then retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13632', 'The user cancelled the current operation.', 'The user signaled a cancel during a task or object operation.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13633', 'The task string was interrupted and needs to be resumed.', 'The user attempted to execute a task that was interrupted.', 'Resume the execution of the task via the RESUME_TASK API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13634', 'The task string needs to be reset before being re-executed.', 'The task must be in an inital state to be executed.', 'Reset the task to its initial state and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13635', 'The value provided for parameter string cannot be converted to a number.', 'A numeric parameter was incorrectly supplied in string form.', 'Retry by supplying valid numeric value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13636', 'The specified value provided for parameter string is not valid for this advisor.', 'The user supplied an invalid parameter value.', 'Retry by supplying valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13637', 'Executing or modifying task string is disallowed until the task is reset to its initial state.', 'The user attempted to execute or modify the task that is in not in its INITIAL state.', 'Reset the task and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13638', 'The user interrupted the current operation.', 'The user signaled an interrupt during a task or object operation.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13639', 'The current operation was interrupted because it timed out.', 'The task or object operation timed out.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13640', 'The current operation was cancelled because it timed out, and was not in interruptible mode.', 'The task or object operation timed out.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13641', 'Task cannot be interrupted yet. You may cancel it instead.', 'The user attempted to interrupt a task that has not reached interruptible mode.', 'Wait until the task reaches interruptible mode, or cancel the task execution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13642', 'The specified string string provided for string cannot be converted to a date. The acceptable date format is string.', 'The user supplied a date value in an incorrect format.', 'Retry by supplying valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13643', 'The task can not be interrupted or cancelled.', 'Request to interrupt or cancel task execution can not be granted because the task has not reached the appropriate mode.', 'User should wait for a few seconds and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13644', 'The user "string" is invalid.', 'Invalid user name specified to advisor framework', 'User should specify a correct, case-sensitive, name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14255', 'table is not partitioned by Range, List, Composite Range or Composite List method', 'The table was not partitioned by Range, List, Composite Range or Composite List method.', 'ALTER TABLE SPLIT/DROP PARTITION or ALTER TABLE MERGE PARTITIONS command is only valid for table partitioned by Range, List, Composite Range or Composite List methods. Ensure that the table is partitioned appropriately.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14256', 'invalid resulting partition description(s)', 'User specified STORE-IN clause, SUBPARTITIONS clause, and/or <subpartition-description> clause in partition description(s) in ALTER TABLE SPLIT PARTITION or ALTER TABLE MERGE PARTITIONS statement but the table in the maintenance operation is not a Composite Range partitioned table which is illegal', 'Remove invalid clause(s), or ensure that the table is partitioned by Composite Range method', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14257', 'cannot move partition other than a Range, List, System, or Hash partition', 'User attempt to move a partition that is not a Range,List,System, or Hash partition which is illegal', 'Specify MOVE PARTITION for a Range,List,System, or Hash partition only', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14258', 'invalid partition description', 'User specified STORE-IN clause, SUBPARTITIONS clause, and/or <subpartition-description> clause in ALTER TABLE ADD PARTITION statement but the table in the maintenance operation is not a Composite Range/Hash partitioned table which is illegal', 'Remove invalid clause(s), or ensure that the table is partitioned by Composite Range/Hash method', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14259', 'table is not partitioned by Hash method', 'ALTER TABLE COALESCE PARTITION is only valid for table partitioned by Hash method', 'Specify valid ALTER TABLE option for the table, or ensure that the table is partitioned by Hash method', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14260', 'incorrect physical attribute specified for this partition', 'User specified INITRANS, MAXTRANS, STORAGE, PCTFREE, PCTUSED, and/or [NO]LOGGING option to a Hash partition via ALTER TABLE ADD/MOVE PARTITION command which is illegal. Only TABLESPACE may be specified.', 'Remove invalid option(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14261', 'partition bound may not be specified when adding this Hash partition', 'User specified VALUES LESS THAN clause when adding a partition (via ALTER TABLE ADD PARTITION) to a Hash partitioned table which is illegal', 'Remove VALUES LESS THAN clause from the description of partition being added', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14262', 'new subpartition name must differ from the old subpartition name', 'User entered ALTER TABLE/INDEX RENAME SUBPARTITION specifying <new-subpartition-name> which is identical to the name of the subpartition being renamed', 'Ensure that the new subpartition name is different from the name of any (including the one being renamed) existing subpartition of a given table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14263', 'new subpartition name must differ from that of any other subpartition of the object', 'User entered ALTER TABLE/INDEX RENAME SUBPARTITION specifying <new-subpartition-name> which is identical to the name of some existing subpartition of the object', 'Ensure that the new subpartition name is different from the name of any (including the one being renamed) existing subpartition of a given table or index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14264', 'table is not partitioned by Composite Range method', 'The table in the MODIFY DEFAULT ATTRIBUTES FOR PARTITION operation is partitioned by method other than Composite method', 'Ensure that the table is partitioned by Composite method', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14265', 'data type or length of a table subpartitioning column may not be changed', 'User issued ALTER TABLE statement attempting to modify data type and/or length of a column used to subpartition the table named in ALTER TABLE statement, which is illegal', 'Avoid modifying data type and/or length of table subpartitioning column(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14266', 'data type or length of an index subpartitioning column may not be changed', 'User issued ALTER TABLE statement attempting to modify data type and/or length of a column used to subpartition some index defined on the table named in ALTER TABLE statement, which is illegal', 'Avoid modifying data type and/or length of index subpartitioning column(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14267', 'cannot specify PARALLEL clause when adding a (Composite) Range partition', 'User issued ALTER TABLE ADD PARTITION statement with PARALLEL clause for a Range or Composite Range partition which is illegal', 'Remove the PARALLEL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14268', 'subpartition ''string'' of the partition resides in offlined tablespace', 'User attempted an operation requiring that we access data in a subpartition which resides in a tablespace which was taken offline. Such operations include trying to drop a tablespace of a table which has indices defined on it or is referenced by a constraint.', 'Bring tablespace online before attempting the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14269', 'cannot exchange partition other than a Range,List,System, or Hash partition', 'User attempt to exchange a partition with a non-partitioned table but the specified partition is not a Range,List,System, or Hash partition which is illegal', 'Specify EXCHANGE PARTITION for a Range,List,System, or Hash partition only', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14270', 'table is not partitioned by Range, System, Hash or List method', 'The table in ALTER TABLE MODIFY PARTITION { UNUSABLE LOCAL INDEXES | REBUILD UNUSABLE LOCAL INDEXES } statement is not partitioned by Range,List,System, or Hash method which is illegal.', 'Ensure that the table is partitioned by Range,List,System, or Hash method', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14271', 'table is not partitioned by Composite Range method', 'The table in ALTER TABLE MODIFY SUBPARTITION { UNUSABLE LOCAL INDEXES | REBUILD UNUSABLE LOCAL INDEXES } statement is not partitioned by Composite Range method which is illegal.', 'Ensure that the table is partitioned by Composite Range method', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14272', 'only a partition with higher bound can be reused', 'User attempt to reuse a lower-bound partition in ALTER TABLE MERGE PARTITIONS statement as the resulting partition which is illegal.', 'Use the higher-bound partition to be the resulting partition or specify a new partition name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14273', 'lower-bound partition must be specified first', 'User specified higher-bound partition before lower-bound partition in ALTER TABLE MERGE PARTITIONS statement which is illegal', 'Specify lower-bound partition then higher-bound partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14274', 'partitions being merged are not adjacent', 'User attempt to merge two partitions that are not adjacent to each other which is illegal', 'Specify two partitions that are adjacent', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14275', 'cannot reuse lower-bound partition as resulting partition', 'User attempt to reuse lower-bound partition of the partitions being merged which is illegal', 'Specify new resulting partition name or reuse the higher-bound partition only', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14276', 'EXCHANGE SUBPARTITION requires a non-partitioned, non-clustered table', 'The table in the ALTER TABLE EXCHANGE SUBPARTITION operation is either clustered or partitioned', 'Ensure that the table with which the subpartition is being exchanged for is not partitioned or clustered.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14277', 'tables in EXCHANGE SUBPARTITION must have the same number of columns', 'The two tables specified in the ALTER TABLE EXCHANGE SUBPARTITION have different number of columns', 'Ensure that the two tables have the same number of columns with the same type and size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13428', 'invalid modelCoordinateLocation', 'The program [or user] specified a modelCoordinateLocation that is not supported, or the modelCoordinateLocation of the GeoRaster object was wrong.', 'Set or specify the modelCoordinateLocation to be CENTER (0) or UPPERLEFT (1).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13429', 'invalid xCoefficients or yCoefficients parameter(s)', 'An attempt to perform a georeference operation failed. Possible reasons include xCoefficients or yCoefficients having the wrong number of coefficients or invalid coefficients.', 'Check the documentation for supported coefficient specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13430', 'the GeoRaster object has null attribute(s)', 'The metadata or rasterType of the GeoRaster object was null.', 'This object may only be used as an output parameter of procedures or functions. It is not valid for other purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13431', 'GeoRaster metadata rasterType error', 'The rasterType in the metadata of the GeoRaster object was inconsistent with the GeoRaster rasterType attribute.', 'Make sure the rasterType in the metadata of the GeoRaster object and the GeoRaster rasterType attribute have the same value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13432', 'NULL or invalid blankCellValue', 'The blankCellValue element could not be found in the metadata of a blank GeoRaster object, or the specified blankCellValue element value was NULL or invalid.', 'Call SDO_GEOR.setBlankCellValue to add blankCellValue to the metadata whenever the isBlank element value is TRUE, and make sure that the specified blankCellValue element value is not NULL and is in the range as designated by the cellDepth definition of the GeoRaster object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13433', 'GeoRaster metadata default RGB error', 'At least one of the defaultRed, defaultGreen, and defaultBlue values (logical layer numbers) was zero, negative, or out of range.', 'Check the documentation for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13434', 'GeoRaster metadata cellRepresentation error', 'The cellRepresentation type was not supported.', 'Check the documentation for supported cellRepresentation types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13435', 'GeoRaster metadata dimension inconsistent', 'The specification of dimensions or totalDimensions was inconsistent with rasterType, or vice versa.', 'Make sure dimension specifications are consistent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13436', 'GeoRaster metadata dimensionSize error', 'Either the dimensionSize for each dimension was not specified, or an extraneous dimensionSize was specified.', 'Add a dimsenionSize for each dimension of the GeoRaster object and delete extra dimensionSize elements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13437', 'GeoRaster metadata blocking error', 'Either the wrong block number(s) or block size(s) along dimensions were specified, or the block numbers and sizes when taken together were not consistent.', 'Check the documentation for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13438', 'GeoRaster metadata pyramid type error', 'The specified pyramid type was not supported.', 'Check the documentation for supported pyramid types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13439', 'GeoRaster metadata pyramid maxLevel error', 'The specified maxLevel exceeded the maximum level allowed by the specified pyramid type.', 'Check the documentation for supported pyramid types and their total level limitations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13440', 'GeoRaster metadata compression type error', 'The specified compression type was not supported.', 'Check the documentation for supported compression types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13441', 'GeoRaster metadata SRS error: string', 'The specified error relates to the polynomialModel element in the Spatial Reference System (SRS) metadata.', 'Check the documentation and make sure that a valid polynomial model is specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13442', 'GeoRaster object not registered: string', 'There was no sysdata entry for the specified GeoRaster object.', 'Make sure that a sysdata entry has been inserted for the specified GeoRaster object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13443', 'null or invalid values in string', 'There were null or invalid component values in the specified metadata.', 'Check the documentation and make sure that all the component values are valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13444', 'cannot perform mergeLayers operation', 'The two GeoRaster objects whose layers are to be combined together either had different row or column dimension sizes, or their georeferencing information did not match.', 'Make sure the objects have the same row and column dimension sizes. If neither is georeferenced, their ULTCoordinate values must be the same. Otherwise, they must be both georeferenced and cover the same area in the model space.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13445', 'NULL or invalid NODATA value or value range', 'There was invalid NODATA value or value range in the metadata, or the specified NODATA value or value range was invalid.', 'Make sure the NODATA value or value range is not NULL and is completely contained in the range as designated by the cellDepth definition of the specified GeoRaster object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13446', 'GeoRaster metadata TRS error', 'The GeoRaster Temporal Reference System was not supported.', 'Set isReferenced to FALSE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13447', 'GeoRaster metadata BRS error', 'The GeoRaster Band Reference System was not supported.', 'Set isReferenced to FALSE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13448', 'GeoRaster metadata BRS error', 'The GeoRaster spectral extent specification was incorrect.', 'The MIN value must be less than the MAX value in the spectralExtent element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13449', 'GeoRaster metadata ULTCoordinate error', 'The GeoRaster rasterInfo ULTCoordinate was not correct.', 'Check the documentation for restrictions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13450', 'GeoRaster metadata layerInfo error', 'The GeoRaster had more than one layerInfo element, or the layerDimension value was not supported.', 'The current release only supports one layerInfo element; layer can only be defined along one dimension, and this dimension must be BAND.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13451', 'GeoRaster metadata scaling function error', 'The scaling function had a zero denominator.', 'Make sure the scaling function denominator is not zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13452', 'GeoRaster metadata BIN function error', 'The bin function data did not match its type.', 'For EXPLICIT type, provide a binTableName element; otherwise, provide a binFunctionData element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13453', 'GeoRaster metadata layer error', 'Too many subLayers were defined for the GeoRaster object, or layerNumber or layerDimensionOrdinate was not assigned correctly.', 'The total number of logical layers cannot exceed the total number of physical layers, and each logical layer must be assigned a valid physical layer number following the same order. Check the documentation for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13455', 'GeoRaster metadata TRS error', 'The beginDateTime value was later than the endDateTime value.', 'Make sure that the beginDateTime value is not later than the endDateTime value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13456', 'GeoRaster cell data error: string', 'There was an error in the original GeoRaster cell data or in the cell data of the pyramids.', 'If the error is related to the original GeoRaster cell data, the GeoRaster object is invalid and has to be deleted or manually repaired. If the error is related to pyramids, delete the pyramids and regenerate them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13457', 'bitmap mask cell data error: string', 'There was an error in the cell data of an original bitmap mask or in the cell data of the pyramids of a bitmap mask.', 'If the error is related to an original bitmap mask, remove the bitmap mask. If the error is related to the pyramids of a bitmap mask, delete the pyramids and regenerate them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16661', 'the standby database needs to be reinstated', 'A switchover or failover operation has caused this database to require reinstatement.', 'Use the DGMGRL REINSTATE DATABASE command or Enterprise Manager to reinstate the database. If the target database has flashback enabled and it has sufficient flashback logs, the database will be reinstated as a standby database for the current primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16662', 'network timeout when contacting a database', 'In response to the issued command, the Data Guard broker attempted to contact a database in the Data Guard configuration. That attempt failed because there was no response from that database after the period of time specified by the NetTimeout property for that database.', 'Check the Data Guard broker log for the details of the failure. Fix the problem and try the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16664', 'unable to receive the result from a database', 'During execution of a command, a database in the Data Guard broker configuration failed to return a result.', 'Check Data Guard broker logs for the details of the failure. Fix any possible network problems and try the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16665', 'timeout waiting for the result from a database', 'The Data Guard broker was forced to time out a network connection', 'Check Data Guard broker logs for the details of the failure. Fix any possible network problems and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16666', 'unable to initiate fast-start failover on a standby database', 'The request to initiate a fast-start failover using DBMS_DG.INITIATE_FS_FAILOVER was made to a standby database. An application may only request that fast-start failover be initiated by calling DBMS_DG.INITIATE_FS_FAILOVER on a primary database.', 'Call DBMS_DG.INITIATE_FS_FAILOVER on the primary database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16667', 'request Data Guard broker client to reissue command', 'The Data Guard broker operation required the same command be issued again from the client.', 'If DGMGRL or Enterprise Manager has not already done so, reissue the same command to the Data Guard broker manually.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16668', 'operation invalid on fast-start failover target database', 'The attempted command was not allowed on the fast-start failover target standby database when fast-start failover is currently enabled.', 'Retry the attempted command on a database other than the fast-start failover target standby database. Alternatively, disable fast-start failover and reissue the same command to the fast-start failover target standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16700', 'the standby database has diverged from the primary database', 'The primary database may have been flashed back or restored from a backup set and then reopened with the RESETLOGS option.', 'Re-create the standby database from the primary database or flash back the standby database to the same point the primary database had been flashed back to.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16701', 'Data Guard broker command failed', 'Command to modify or query the database failed.', 'Check the Data Guard broker log for the reason for the failure, and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16702', 'Data Guard broker command warning', 'A command to modify or query the database resulted in a warning.', 'Check the Data Guard broker log for the warning and, if necessary, reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16703', 'cannot set property while the database is enabled', 'An attempt was made to change a database property while the database was enabled.', 'Disable the database first, update the property and then, reenable the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16704', 'cannot modify a read-only property', 'An attempt was made to change a read-only property.', 'The property is controlled internally by the Data Guard broker and cannot be modified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16706', 'no resource guard is available', 'Resource guard was not available to service the request.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16707', 'the value of the property string is invalid, valid values are string', 'An invalid property value was entered while broker management of the database was disabled.', 'Reset the property to a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16708', 'the state supplied to broker is invalid', 'The state name specified was invalid for the database.', 'Check the state name and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16709', 'standby archived log location settings conflict with database recovery area', 'The StandbyArchiveLocation or AlternateLocation property was set to USE_DB_RECOVERY_FILE_DEST, but the initialization parameter DB_RECOVERY_FILE_DEST did not specify a valid destination.', 'Use a value other than USE_DB_RECOVERY_FILE_DEST for StandbyArchiveLocation or AlternateLocation, or set up a valid database recovery area by setting DB_RECOVERY_FILE_DEST to a valid destination.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16713', 'the Data Guard broker command timed out', 'The Data Guard broker timed out the command.', 'Verify that the command is valid for the database and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16714', 'the value of property string is inconsistent with the database setting', 'The value of the specified configuration property was inconsistent with database in-memory settings or server parameter file settings. This may be caused by changing an initialization parameter that corresponds to a configuration property.', 'Query the InconsistentProperties property on the database to determine the which properties are set inconsistently. Reset the properties to make them with the database settings.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16715', 'redo transport-related property string of standby database "string" is inconsistent', 'The value of the specified redo transport-related configuration property of the given standby database was inconsistent with the primary database redo transport service setting. This may be caused by changing an initialization parameter that corresponds to a configuration property.', 'Query the InconsistentLogXptProps property on the primary database to determine which redo transport properties are set inconsistently Reset the properties on the standby database to make them consistent with the primary database redo transport settings.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16716', 'clearing parameter LOG_ARCHIVE_DEST failed', 'An attempt to clear the LOG_ARCHIVE_DEST parameter failed.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16717', 'clearing parameter LOG_ARCHIVE_DUPLEX_DEST failed', 'An attempt to clear the LOG_ARCHIVE_DUPLEX_DEST parameter failed.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16718', 'failed to locate database', 'The Data Guard broker was unable to locate the database in the broker configuration.', 'Add the database to the broker configuration and then reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16719', 'unable to query V$ARCHIVE_DEST fixed view', 'The broker failed to query the V$ARCHIVE_DEST fixed view."', 'Test and clear the problem using SQL*Plus.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16720', 'no LOG_ARCHIVE_DEST_n initialization parameters available', 'All LOG_ARCHIVE_DEST_n initialization parameters were in use.', 'Clear one or more LOG_ARCHIVE_DEST_n initialization parameters so that broker can use them to setup the primary database redo transport.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16721', 'unable to set LOG_ARCHIVE_DEST_n initialization parameters', 'The broker was unable to set one or more LOG_ARCHIVE_DEST_n initialization parameters.', 'Check the Data Guard broker log and Oracle alert logs for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13645', 'The specified execution string does not exist for this task.', 'You attempted to reference an advisor task execution using a name that did not exist.', 'Adjust the name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13646', 'The specified execution string already exists', 'You attempted to perform a new execution using a name that already exists for the specified task. Execution names must be unique within the same task.', 'Adjust the name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13647', 'Setting of parameter string is disallowed during task execution.', 'You attempted to set the value of a parameter while the task was being executed. This parameter cannot be changed until the task finishes its execution.', 'Verify the status of the task and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13648', 'The specified execution type does not exist for this advisor.', 'You attempted to use an advisor task execution type using a name that did not exist.', 'Adjust the name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13649', 'The type of execution is not specified for this advisor or task.', 'You attempted to execute a task for a multi-execution task advisor without specifying the type of execution to perform.', 'Set the execution type and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13650', 'The specified object does not exist for this execution.', 'You attempted to associate an object to a task execution that id not contain the object.', 'Adjust the execution name and object ID, and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13651', 'The specified list of execution parameters is invalid.', 'The list did not include pairs of (parameter_name, parameter_value) where every parameter is a valide task parameter. Duplicates are not allowed.', 'Adjust the content of the list, and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13652', 'Cannot set execution parameters for this advisor', 'You attempted to set execution parameters for an advisor that did not support multiple executions of its tasks.', 'Adjust the property of the advisor, and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13653', 'The directive with definition id string was not found.', 'An invalid directive identifier was specified to advisor framework.', 'User should specify a correct identifier number and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13654', 'The directive with instance id of string was not found.', 'An invalid instance identifier was specified to advisor framework.', 'User should specify a correct instance identifier number and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13655', 'The directive document contains a syntax error and cannot be loaded.', 'An attempt was made to load an XML-based directive that does not conform to the documented DTD.', 'Reformat the directive according the documented DTD.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13656', 'The parameter was not found in directive string.', 'The specified parameter name could not be located within the directive XML document.', 'Verify the existence of the parameter in the specified directive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13657', 'The filter Xpath specification has invalid syntax.', 'The specified filter could not be compiled within the directive XML document.', 'Verify the syntax of the filter and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13658', 'The specified directive already has an instance', 'An attempt was made to create multiple instances of a directive when not permitted', 'Verify the parent directive identifier and the instance name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13659', 'A directive with domain "string" and name "string" already exists for advisor string.', 'The specified directive is not unique among the directives.', 'Choose a directive name and domain that is distinct for the associated advisor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13660', 'A directive instance with the name "string" already exists.', 'The specified directive instance is not unique among instances for this directive.', 'Choose an instance name that is distinct for the associated directive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13661', 'A directive instance with the name "string" was not found.', 'An attempt was made to update or delete a non-existent directive instance.', 'Verify the parent directive identifier and the instance name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13662', 'The specified value provided for parameter string is not valid for this task.', 'The supplied parameter value was not valid for the current task configuration.', 'Retry by supplying valid value. Check the current task configuration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13663', 'The task string contains no results for execution string.', 'An attempt was made to create a report or script from an execution that had not been successfully completed.', 'Run a new execution and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13664', 'A task-managed "SQL Tuning Set" already exists for task "string".', 'An attempt was made to create a task-managed SQL Tuning Set for a task that already had one.', 'Create a new task to use a different SQL Tuning Set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13665', 'Execution names are not correctly ordered.', 'The supplied execution names were not properly ordered by execution start date.', 'Retry by supplying a valid order.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13666', 'Task ID string does not exist.', 'The supplied task ID was invalid.', 'Check the task ID and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13667', 'Execution ID string does not exist.', 'The supplied execution ID was invalid.', 'Check the execution ID and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13668', 'The current operation was aborted because it was blocking another session.', 'The task or object operation interrupted itself when it detected that it was blocking some other session.', 'Retry the operation when the conflicting operations are not running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13699', 'Advisor feature is not currently implemented.', 'An attempt was made to execute an unsupported advisor operation.', 'Verify the availability of the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13701', 'Snapshot pair [string, string] seems to be specified in reverse order.', 'The start snapshot id was greater than the end snapshot id.', 'Swap the start and end snapshot ids.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13702', 'Snapshot IDs specified by the range [string, string] are equal.', 'The start snapshot id and end snapshot id were identical.', 'Provide different start and end snapshot ids.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13703', 'The snapshot pair [string, string] for database_id string and instance_id string are not found in the current repository.', 'The snapshot ids or the database id or the instance id was invalid or the specified snapshots have already been purged.', 'Set valid snapshot ids and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13704', 'Invalid value "string" specified for parameter "string".', 'The parameter was not set before executing the ADDM.', 'Set the parameter to a valid value and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13705', 'There was a instance shutdown/startup between the snapshots in the range [string, string].', 'Instance was shut down and restarted between the two specified snapshots.', 'Specify start and end snapshot ids that does not have a shutdown/startup in between them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13706', 'Invalid value "string" specified for parameter "string" in "string" analysis mode.', 'The parameter was not set to an acceptable value for this particular mode of analysis.', 'Set the parameter to a valid value and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14278', 'column type or size mismatch in EXCHANGE SUBPARTITION', 'The corresponding columns in the tables specified in the ALTER TABLE EXCHANGE SUBPARTITION are of different type or size', 'Ensure that the two tables have the same number of columns with the same type and size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14279', 'index mismatch for tables in ALTER TABLE EXCHANGE SUBPARTITION', 'The two tables specified in the ALTER TABLE EXCHANGE SUBPARTITION have indexes which are not equivalent', 'Ensure that the indexes for the two tables have indexes which follow this rule For every non partitioned index for the non partitioned table, there has to be an identical LOCAL index on the partitioned table and vice versa. By identical, the column position, type and size have to be the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14280', 'all rows in table do not qualify for specified subpartition', 'There is at least one row in the non partitioned table which does not qualify for the subpartition specified in the ALTER TABLE EXCHANGE SUBPARTITION', 'Ensure that all the rows in the segment qualify for the subpartition. Perform the alter table operation with the NO CHECKING option. Run ANALYZE table VALIDATE on that subpartition to find out the invalid rows and delete them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14281', 'CHECK constraint mismatch in ALTER TABLE EXCHANGE SUBPARTITION', 'The corresponding columns in the tables specified in the ALTER TABLE EXCHANGE SUBPARTITION statement have CHECK constraint defined on them.', 'Ensure that the two tables do not have CHECK constraint defined on any column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14282', 'FOREIGN KEY constraint mismatch in ALTER TABLE EXCHANGE SUBPARTITION', 'The corresponding columns in the tables specified in the ALTER TABLE EXCHANGE SUBPARTITION statement have different FOREIGN KEY constraints.', 'Ensure that the two tables do not have FOREIGN KEY constraints defined on any column or disable all FOREIGN KEY constraints on both tables. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14283', 'UNIQUE constraints mismatch in ALTER TABLE EXCHANGE SUBPARTITION', 'One of the tables named in the ALTER TABLE EXCHANGE SUBPARTITION command has a UNIQUE constraint for which no matching (vis-a-vis key columns) constraint is defined on the other table or a matching constraint is defined on the other table, but it differs from that defined on the first table vis-a-vis being enabled and/or validated.', 'Ensure that for every UNIQUE constraint defined on one of the tables named in the ALTER TABLE EXCHANGE SUBPARTITION statement there is a matching (vis-a-vis key columns and being enabled and/or validated) UNIQUE constraint defined on the other table. If UNIQUE constrains are enabled, UNIQUE constraints on the partitioned table should be enforced using local indexes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14284', 'one or more of table''s subpartitions reside in a read-only tablespace', 'User issued ALTER TABLE statement attempting to modify an existing VARCHAR2 (or VARCHAR) column to be of type CHAR (or CHARACTER), increase length of an existing CHAR (or CHARACTER) column, or add a column with user-specified default for a table one or more subpartitions of which reside in read-only tablespaces, which is illegal', 'Avoid performing aformentioned operations on a partitioned table one or more subpartitions of which reside in read-only tablespaces', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14285', 'cannot COALESCE the only partition of this hash partitioned table or index', 'A COALESCE PARTITION command was issued when there is only one partition in the table or index, which is illegal', 'Ensure that there is at least one partition. Drop the table or index to remove all partitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14286', 'cannot COALESCE the only subpartition of this table partition', 'A COALESCE SUBPARTITION command was issued when there is only one subpartition in the partition which is illegal', 'Ensure that there is at least one subpartition. Drop partition to remove all subpartitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14287', 'cannot REBUILD a partition of a Composite Range partitioned index', 'User attempted to rebuild a partition of a Composite Range partitioned index which is illegal', 'REBUILD the index partition, a subpartition at a time', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14288', 'index is not partitioned by Composite Range method', 'The index in a partition or subpartition maintenance operation (ALTER INDEX MODIFY [SUBPARTITION|DEFAULT ATTRIBUTES FOR PARTITION] or ALTER INDEX REBUILD SUBPARTITION command must be partitioned by Composite Range method', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14289', 'cannot make local index partition of Composite Range partitioned table unusable', 'User attempted to rebuild a partition of a Composite Range partitioned index which is illegal', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14290', 'PRIMARY KEY constraint mismatch in ALTER TABLE EXCHANGE [SUB]PARTITION', 'The corresponding columns in the tables specified in the ALTER TABLE EXCHANGE [SUB]PARTITION statement have different PRIMARY KEY constraints.', 'Ensure that the two tables do not have PRIMARY KEY constraints defined on any column or disable all PRIMARY KEY constraints on both tables. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14291', 'cannot EXCHANGE a composite partition with a non-partitioned table', 'A composite partition can only be exchanged with a partitioned table.', 'Ensure that the table being exchanged is partitioned or that that the partition being exchanged is non-composite.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14292', 'Partitioning type of table must match subpartitioning type of composite partition', 'When exchanging a partitioned table with a composite partition the partitioning type of the table must match the subpartitioning type of the composite partition.', 'Ensure that the partitioning type of partitioned table is the same as the subpartitioning type of the composite partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14293', 'Number of partitioning columns does not match number of subpartitioning columns', 'When exchanging a partitioned table with a composite partition the number of partitioning columns of the table must match the number of subpartitioning columns of the composite partition.', 'Ensure that the number of partitioning columns in the partitioned table is the same as the number of subpartitioning columns in the the composite partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14294', 'Number of partitions does not match number of subpartitions', 'When exchanging a partitioned table with a composite partition the number of partitions of the table must match the number of subpartitions of the composite partition.', 'Ensure that the number of partitions in the partitioned table is the same as the number of subpartitions in the the composite partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14295', 'column type or size mismatch between partitioning columns and subpartitioning columns', 'When exchanging a partitioned table with a composite partition the type and size of the partitioning columns of the table must match the type and size of the subpartitioning columns of the composite partition.', 'Ensure that the type and size of the partitioning columns of the partitioned is the same as the type and size of the subpartitioning columns of the composite partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13458', 'GeoRaster metadata SRS error', 'The polynomial model did not match the requirements of a rectified GeoRaster object.', 'Check the documentation for the requirements of the polynomial model for a rectified GeoRaster object, or set isRectified to be false.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13459', 'GeoRaster metadata SRS error', 'The polynomial model was not an six-parameter transformation, or the six-parameter transformation was not valid.', 'Check the documentation and make sure the polynomial model is a valid six-parameter affine transformation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13460', 'GeoRaster metadata SRS error', 'The referenced GeoRaster object had a zero model space SRID or the specified model space SRID was zero.', 'Set or specify the model space SRID to be a nonzero number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13461', 'the interleaving type is not supported', 'The interleaving type of the GeoRaster object was not supported.', 'Check the documentation for the interleaving types supported by GeoRaster. Use SDO_GEOR.changeFormatCopy to transform the image to a supported interleaving type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14019', 'partition bound element must be one of: string, datetime or interval literal, number, or MAXVALUE', 'Partition bound list contained an element of invalid type (i.e. not a number, non-empty string, datetime or interval literal, or MAXVALUE)', 'Ensure that all elements of partition bound list are of valid type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14020', 'this physical attribute may not be specified for a table partition', 'unexpected option was encountered while parsing physical attributes of a table partition; valid options for Range or Composite Range partitions are INITRANS, MAXTRANS, TABLESPACE, STORAGE, PCTFREE, and PCTUSED; only TABLESPACE may be specified for Hash partitions', 'remove invalid option(s) from the list of physical attributes of a table partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14021', 'MAXVALUE must be specified for all columns', 'In the VALUES LESS THAN clause for the highest (last) partition of a GLOBAL index, MAXVALUE must be specified for all columns', 'Ensure that VALUES LESS THAN clause for the last partition of a GLOBAL index has MAXVALUE specified for all columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14022', 'creation of LOCAL partitioned cluster indices is not supported', 'An attempt was made to create a LOCAL partitioned cluster index, which is currently illegal', 'Remove LOCAL along with <partition description>s, if any, from the CREATE INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14023', 'creation of GLOBAL partitioned cluster indices is not supported', 'An attempt was made to create a GLOBAL partitioned cluster index, which is currently illegal', 'Remove PARTITION BY RANGE clause along with <partition description>s from the CREATE INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14024', 'number of partitions of LOCAL index must equal that of the underlying table', 'User attempted to create a LOCAL partitioned index with a number of partitions which is different from that of the underlying table.', 'Correct the CREATE INDEX statement to specify a correct number of partitions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14025', 'PARTITION may not be specified for a materialized view or a materialized view log', 'PARTITION option was encountered while parsing a definition of a materialized view or a materialized view log', 'Ensure that a definition of a MATERIALIZED VIEW does not include invalid options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14026', 'PARTITION and CLUSTER clauses are mutually exclusive', 'definition of a table contained both PARTITION and CLUSTER clauses which is illegal', 'Remove one of the conflicting clauses', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14027', 'only one PARTITION clause may be specified', 'CREATE TABLE statement contained more than one PARTITION clause', 'Specify PARTITION option at most once', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14701', 'partition-extended name or bind variable must be used for DMLs on tables partitioned by the System method', 'User attempted not to use partition-extended syntax for a table partitioned by the System method', 'Must use of partition-extended syntax in contexts mentioned above.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14702', 'The partition number is invalid or out-of-range', 'Attempted to use nonnumerical value or the number was out of range of the partitions.', 'Use a valid partition number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14703', 'The AFTER clause can be used to ADD PARTITION only to a System Partitioned table.', 'The table is not partitioned by the System method', 'Skip the AFTER clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14704', 'Create table as select disallowed for SYSTEM patitioned tables', 'User attempted to create a SYSTEM partitioned table by doing a create table as select.', 'Do a create table followed by an insert as select into each partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14750', 'Range partitioned table with INTERVAL clause has more than one column', 'You attempted to create an interval partitioned table with more than one partitioning column.', 'Use a single partitioning column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14751', 'Invalid data type for partitioning column of an interval partitioned table', 'You attempted to use interval partitioning on a table partitioned on a column of data type other than number or date/time.', 'Use only number or date/time columns as partitioning columns for interval partitioned tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14752', 'Interval expression is not a constant of the correct type', 'You attempted to use either a nonconstant interval or an interval whose data type does not correspond to the partitioning column', 'Use only constant expressions for the interval. If the data type of partitioning column is numeric, the interval must be a numeric constant. If the data type is of type date/time, the interval must be a constant of interval type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14753', 'Interval cannot be zero', 'The interval mapped to zero.', 'You must use a nonzero interval.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14754', 'Interval string is too long', 'The interval string was too long', 'Specify interval using a shorter string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14755', 'Invalid partition specification for FOR VALUES clause.', 'The [SUB]PARTITION FOR VALUES (...) clause can only take constants. In addition it takes as many arguments as there are partitioning columns and the values must be coercible to the partitioning columns.', 'Specify a valid FOR VALUES clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14756', 'Table is not partitioned by Interval method.', 'The table was not partitioned by Interval method.', 'ALTER TABLE SET STORE IN is only valid for Interval partitioned tables. Ensure that the table by Interval.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14757', 'Table is already a range partitioned table', 'SET INTERVAL () is used to convert an interval partitioned table to a range partitioned table. It is not legal on a range partitioned table', 'Use SET INTERVAL () only on an interval partitioned table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14758', 'Last partition in the range section cannot be dropped', 'An attempt was made to drop the last range partition of an interval partitioned table.', 'Do not attempt to drop this partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14759', 'SET INTERVAL is not legal on this table.', 'ALTER TABLE SET INTERVAL is only legal on a range partitioned table with a single partitioning column. Additionally this table cannot have a maxvalue partition.', 'Use SET INTERVAL only on a valid table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14760', 'ADD PARTITION is not permitted on Interval partitioned objects', 'ALTER TABLE ADD PARTITION was attempted on an Interval partitioned object.', 'Do not perform the operation on an Interval partitioned object. Insert a row to create the new partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16722', 'unable to set LOG_ARCHIVE_DEST_STATE_n initialization parameters', 'The broker was unable to set one or more LOG_ARCHIVE_DEST_STATE_n initialization parameters.', 'Check the Data Guard broker log and Oracle alert logs for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16723', 'setting AlternateLocation property conflicts with the redo transport setting', 'The standby database was not using standby redo logs, and the redo transport service to the standby database is set to a nonzero value for the ReopenSecs property and a value of zero for the MaxFailure property. In this case, the redo transport service will attempt to send redo data to the standby database indefinitely and never switch to the alternate destination.', 'Any one of the following actions will solve the problem: ' || '<p>' || '- add standby redo logs to the standby database.' || '<p>' || '' || '<p>' || '- set ReopenSecs property to zero.' || '<p>' || '' || '<p>' || '- set MaxFailure property to a nonzero value. After performing one of the above actions, reset the standby database AlternateLocation property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16727', 'cannot close database', 'The Data Guard broker could not close the database.', 'Terminate any active sessions connected to the database and then reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16728', 'consistency check for property string found string error', 'The consistency check for the specified property failed due to the error shown.', 'Check the error message and clear the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16729', 'validation of value for property string found string error', 'The property value validation failed due to the error shown.', 'Check the error message and clear the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16730', 'error executing DBMS_LOGSTDBY.SKIP_TXN procedure', 'Logical standby database package may not be installed.', 'Install logical standby database packages and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16731', 'error executing DBMS_LOGSTDBY.UNSKIP_TXN procedure', 'Logical standby database package may not be installed.', 'Install logical standby database packages and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16732', 'error executing DBMS_LOGSTDBY.SKIP procedure', 'Logical standby database package may not be installed.', 'Install logical standby database packages and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16733', 'error executing DBMS_LOGSTDBY.UNSKIP procedure', 'Logical standby database package may not be installed.', 'Install logical standby database packages and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16734', 'error executing DBMS_LOGSTDBY.SKIP_ERROR procedure', 'Logical standby database package may not be installed.', 'Install logical standby database packages and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16735', 'error executing DBMS_LOGSTDBY.UNSKIP_ERROR procedure', 'Logical standby database package may not be installed.', 'Install logical standby database packages and reissue the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16736', 'unable to find the destination entry of standby database "string" in V$ARCHIVE_DEST', 'Either the standby destination was manually changed or deleted outside of Data Guard broker, or no entry was available for the Data Guard broker to use.', 'Clean up the destination setting, remove the unused settings, and reset the redo transport service.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16737', 'the redo transport service for standby database "string" has an error', 'A communication problem with the standby database caused the redo transport to fail.', 'Query the LogXptStatus property to see the error message. Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16738', 'redo transport service for database "string" is not running', 'The redo transport service for the specified standby database was not running.', 'Check the Data Guard broker log and/or the alert log for more details. If necessary, start the redo transport service for the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16739', 'redo transport service for standby database "string" is running', 'The redo transport service for the standby database was running.', 'Check the Data Guard broker log for more details. If necessary, stop the redo transport service for the standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16740', 'redo transport service for standby database "string" incorrectly set to ALTERNATE', 'The redo transport service to the standby database was set to ALTERNATE when no other destination was set to alternate to this destination.', 'Reenable the standby database or the entire configuration to allow the configuration property settings to be propagated to the initialization parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16741', 'the destination parameter of standby database "string" has incorrect syntax', 'The destination defined in the server parameter file of the primary database had incorrect syntax and Data Guard broker failed to update the destination when redo transport services were enabled.', 'Fix the syntax error in the primary database server parameter file or remove the entry from the server parameter file. Also, check the values of the redo transport-related properties for the specified standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16742', 'the standby database "string" has exhausted its quota', 'The standby database exhausted its quota for storing archived redo logs.', 'Remove some archived redo logs from the standby database or increase its quota.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16743', 'cannot determine status of redo transport service for standby database "string"', 'The status of redo transport to the specified standby database could not be determined.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16744', 'the DG_CONFIG list of LOG_ARCHIVE_CONFIG parameter is full', 'The DG_CONFIG list of the LOG_ARCHIVE_CONFIG attribute was full and the Data Guard broker was not able to add a new DB_UNIQUE_NAME to the list.', 'Remove some unused entries in the DG_CONFIG list, then reenable the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16745', 'unable to add DB_UNIQUE_NAME "string" into the DG_CONFIG list because it is full', 'The DG_CONFIG list of the LOG_ARCHIVE_CONFIG attribute was full and the Data Guard broker was not able to add the specified DB_UNIQUE_NAME to the list.', 'Remove some unused entries in the DG_CONFIG list, then reenable the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16746', 'Data Guard broker cannot mount the database', 'The Data Guard broker failed to mount the database."', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16747', 'logical standby database guard could not be turned on', 'The Data Guard broker could not turn on the logical standby database guard.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16748', 'Data Guard broker cannot open the primary database', 'The Data Guard broker failed to open the primary database" the database.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16749', 'switchover to logical standby database failed', 'The Data Guard broker failed to switch a logical standby database over to a primary database.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16750', 'failed to activate logical standby database', 'The Data Guard broker failed to activate a logical standby database.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16751', 'failed to switchover to physical standby database', 'The Data Guard broker failed to switch a physical standby database over to a primary database.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13707', 'Either the start snapshot string or the end snapshot string is incomplete or missing key statistics.', 'Either the start or the end snaphots was missing or purged or had encountered errors while creating them.', 'Verify that AWR is done taking these two snapshots, or Look in DBA_HIST_SNAP_ERROR to find what tables are missing in the start/end snapshots. Use the ERROR_NUMBER column in that view together with the alert log to identify the reason for failure and take necessary action to prevent such failures in the future. Try running ADDM on a different snapshot range that has valid start and end snapshots.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13708', 'Some snapshots in the range [string, string] were purged before the analysis was complete.', 'One or both of the snapshots have been purged from AWR.', 'Verify that the AWR auto purging is not trying to purge these snapshots and re-run ADDM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13709', 'Required parameter "string" must be set before execution.', 'The parameter needs to be set before running the ADDM', 'Set the parameter to a valid value and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13710', 'Parameter "string" must have a higher value than parameter "string". The values supplied were "string" and "string" respectively.', 'Invalid interaction between two parameter values.', 'Set at least one of the values so the value of the first parameter is higher than the value of the second parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13711', 'Some snapshots in the range [string, string] are missing key statistics.', 'Some AWR tables encountered errors while creating one or more snapshots in the given range. The data present in one or more of these missing tables is necessary to perform an ADDM analysis.', 'Look in DBA_HIST_SNAP_ERROR to find what tables are missing in the given snapshot range. Use the ERROR_NUMBER column in that view together with the alert log to identify the reason for failure and take necessary action to prevent such failures in the future. Try running ADDM on a different snapshot range that does not include any incomplete snapshots.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13712', 'Cannot perform ADDM analysis on AWR snapshots from previous releases. Snapshot version "string" do not match the database version "string".', 'ADDM analysis can only be performed on AWR snapshots taken in the current release.', 'One can still generate AWR and ASH reports using ?/rdbms/admin/awrrpt and ?/rdbms/admin/ashrpt on these snapshots to analyze the data in them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13713', 'Finding name "string" does not exist. Look in DBA_ADVISOR_FINDING_NAMES for all valid values', 'Attempt to refer to an advisor''s finding name that does not exist.', 'Specify a valid value. The list of all valid values is in DBA_ADVISOR_FINDING_NAMES', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13714', '"string" is not a valid SQL_ID value', 'The specified value of SQL_ID was not properly formatted.', 'Specify a valid value consisting of a 13 character string with characters from ''0'' to ''9'' and from ''a'' to ''z''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13715', '"string" is not recognized by ADDM as a parameter name', 'The specified value for a system parameter was not recognized by ADDM.', 'Specify a value that appears in the NAME column of V$PARAMETER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13716', 'Diagnostic Package License is needed for using this feature.', 'The specified value for system parameter CONTROL_MANAGEMENT_PACK_ACCESS indicated that the Diagnostic Package was disabled.', 'Modify the parameter value if the Diagnostic Package License was purchased.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13717', 'Tuning Package License is needed for using this feature.', 'The specified value for system parameter CONTROL_MANAGEMENT_PACK_ACCESS indicated that the Tuning Package was disabled.', 'Modify the parameter value if the Tuning Package License was purchased.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13718', 'Tuning Package License or Real Application Testing Option is needed for using this feature.', 'The specified package license and option were not installed.', 'Consider purchasing and installing either the missing package licence or option. If the tuning package license was purchased, then check the value of system parameter CONTROL_MANAGEMENT_PACK_ACCESS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13750', 'User "string" has not been granted the "ADMINISTER SQL TUNING SET" privilege.', 'The user attempted an SQL Tuning Set operation that requires a specific privilege.', 'Adjust the user''s privileges and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13751', '"SQL Tuning Set" "string" does not exist for owner "string" or user "string" does not have permission to access the "SQL Tuning Set".', 'The user attempted to access a SQL Tuning Set that does not exist or the user does have permission to access the SQL Tuning Set', 'Check the existence of the "SQL Tuning Set" or adjust the user''s privileges and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13752', 'User "string" must be SYS or must have the "ADMINISTER ANY SQL TUNING SET" privilege.', 'The attempted to create a SQL Tuning Set in another schema without having the right privilege.', 'Connect as SYS or adjust the user''s privilege and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13753', '"SQL Tuning Set" "string" already exists for user "string".', 'The user attempted to create a "\SQL Tuning"\ Set using a name that already exists for that owner.', 'Change the name of the SQL Tuning Set and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13754', '"SQL Tuning Set" "string" does not exist for user "string".', 'The user attempted to access a SQL Tuning Set that does not exist.', 'Check the speelling of the SQL Tuning Set name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13755', 'invalid "SQL Tuning Set" name', 'The user attempted to specify a SQL Tuning Set name that is invalid. A name must not contain wildcards and its length must be less than 30 characters.', 'Adjust the name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13756', 'Cannot update attribute "string".', 'The user attempted to update an attribute element that cannot be modified. The only string attributes that can be updated are MODULE, ACTION, PARSING_SCHEMA_NAME, PRIORITY, and OTHER.', 'Adjust the attribute name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13757', '"SQL Tuning Set" "string" owned by user "string" is active.', 'The user attempted to update an active SQL Tuning Set.', 'Remove all reference to the SQL Tuning Set and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13758', '"SQL Tuning Set" "string" owned by user "string" is in use.', 'The user attempted to modify a SQL Tuning Set or to add a reference to a SQL Tuning Set which is in use.', 'Wait until the end of the previous operation and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13759', 'User "string" cannot remove reference "string".', 'The user attempted to remove a SQL Tuning Set reference that does not exist. The user might not own the reference.', 'Check the reference ID and the reference owner and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13761', 'invalid filter', 'The user attempted to select data from a data source using an invalid filter. A filter is a WHERE clause on data source content.', 'Correct the filter and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13762', 'The string ranking measure is invalid.', 'The user attempted to select data from a data source using an invlaid ranking measure. A ranking measure must represent a valid numerical expression.', 'Correct the ranking measure and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13763', 'illegal ranking attribute "string"', 'The user attempted to use an attribute element that is not allowed in a ranking meseare.', 'Check the attribute in the ranking meseare and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14296', 'Table block size mismatch in ALTER TABLE EXCHANGE [SUB]PARTITION', 'The block sizes of the two tables specified in the ALTER TABLE EXCHANGE [SUB]PARTITION statement are different. For index organized tables, either the block sizes of the index or the overflow (or both) do not match.', 'Ensure that the block sizes of the tables involved in the ALTER TABLE EXCHANGE [SUB]PARTITION statement are the same. For index organized tables, ensure that the block sizes of both the index and the overflow of the two tables match.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14297', 'Index block size mismatch in ALTER TABLE EXCHANGE [SUB]PARTITION', 'The block sizes of a pair of indexes being exchanged in the ALTER TABLE EXCHANGE [SUB]PARTITION statement are different.', 'Ensure that the block sizes of the corresponding pairs of indexes that need to be exchanged in the ALTER TABLE EXCHANGE [SUB]PARTITION statement are the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14298', 'LOB column block size mismatch in ALTER TABLE EXCHANGE [SUB]PARTITION', 'The block sizes of a pair of corresponding LOB columns of the two tables specified in the ALTER TABLE EXCHANGE [SUB]PARTITION statement are different.', 'Ensure that the block sizes of corresponding pairs of LOB columns of the tables involved in the ALTER TABLE EXCHANGE [SUB]PARTITION statement are the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14299', 'total number of partitions/subpartitions exceeds the maximum limit', 'The total number of combined fragments specified in partitions /subpartitions exceeds 1048575.', 'Reissue the statement with fewer number of fragments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14301', 'table-level attributes must be specified before partition-level attributes', 'While processing an ALTER TABLE ADD COLUMN statement, table-level attributes of LOB columns were encountered after processing partition-level attributes of LOB columns or while processing CREATE TABLE statement, table-level attributes of LOB columns were encountered after processing partition descriptions.', 'Modify the SQL statement to specify table-level attributes prior to partition-level attributes or partition descriptions; then retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14302', 'only one list of added-LOB-storage-clauses can be specified in a statement', 'While parsing an ALTER TABLE ADD COLUMN statement, one list of added-LOB-storage-clauses was parsed when another list of added-LOB-storage-clauses was encountered. There cannot be more than one list of added-LOB-storage-clauses in a statement; all added-LOB-storage-clauses must be combined into one list.', 'Combine all of the lists of added-LOB-storage-clauses into one list and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14303', 'partitions or subpartitions are not in the right order', 'User attempted to rebuild a partition of a Composite Range partitioned index which is illegal', 'Re-order the partitions or subpartitions in the added LOB storage clause by partition or subpartition DDL order, and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14304', 'List partitioning method expects a single partitioning column', 'number of columns in a partitioning column list exceeded the legal limit of 1 for List partitioned objects', 'modify partitioning column list so that it consists of at most 1 column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14305', 'List value ''string'' specified twice in partition ''string''', 'A list value cannot be specified more that once', 'Remove one of the specifications of the value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14306', 'List value ''string'' specified twice in partitions ''string'', ''string''', 'A list value cannot be specified more that once', 'Remove one of the specifications of the value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14307', 'partition contains too many list values', 'Partition list contains more than 524288 list values', 'Reduce the number of values to not exceed 524288 values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14308', 'partition bound element must be one of: string, datetime or interval literal, number, or NULL', 'Partition bound list contained an element of invalid type (i.e. not a number, non-empty string, datetime or interval literal, or NULL)', 'Ensure that all elements of partition bound list are of valid type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14309', 'Total count of list values exceeds maximum allowed', 'Partitioned object contains more than 524288 list values', 'Reduce number of values to less than 524288.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14310', 'VALUES LESS THAN or AT clause cannot be used with List partitioned tables', 'VALUES LESS THAN or AT clause can be used only with Range partitioned tables', 'Use VALUES (<value list>) clause with List partitioned tables', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14311', 'Expecting VALUES LESS THAN or AT clause', 'VALUES (<value list>) clause can be used only with List partitioned tables', 'Use VALUES LESS THAN clause with Range partitioned tables', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14312', 'Value string already exists in partition string', 'One of the list values in the ADD PARTITION or ADD VALUES statement already exists in another partition', 'Remove the duplicate value from the statement and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14313', 'Value string does not exist in partition string', 'One of the list values in the SPLIT PARTITION or DROP VALUES statement does not exist in the partition', 'Remove the value from the statement and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14314', 'resulting List partition(s) must contain atleast 1 value', 'After a SPLIT/DROP VALUE of a list partition, each resulting partition(as applicable) must contain at least 1 value', 'Ensure that each of the resulting partitions contains atleast 1 value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14315', 'cannot merge a partition with itself', 'The same partition name was specified twice for the merge operation', 'Re-submit operation with 2 distinct partition names', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14316', 'table is not partitioned by List method', 'ALTER TABLE ADD|DROP VALUES can only be performed on List partitioned objects', 'Re-issue the command against a List partitioned object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14317', 'cannot drop the last value of partition', 'ALTER TABLE DROP VALUES tried to drop the last value of the partition', 'Cannot execute the command, unless two or more values exist for partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14318', 'DEFAULT partition must be last partition specified', 'A partition description follows the one describing the default partition', 'Ensure that the DEFAULT partition is the last partition description', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14319', 'DEFAULT cannot be specified with other values', 'DEFAULT keyword has been specified along with other values when specifying the values for a list partition', 'Ensure that if DEFAULT is specified, it is the only value specified', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14320', 'DEFAULT cannot be specified for ADD/DROP VALUES or SPLIT', 'DEFAULT keyword has been specified when doing a ADD VALUES or DROP VALUES or SPLIT partition or subpartition.', 'Ensure that DEFAULT is not specified for ADD/DROP VALUES or SPLIT partition/subpartition operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14321', 'cannot add/drop values to DEFAULT partition', 'A ADD/DROP VALUES operation is being done on the default partition', 'Ensure that ADD/DROP VALUES is not done on the DEFAULT partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14322', 'DEFAULT partition already exists', 'A partition already exists with DEFAULT value', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14323', 'cannot add partition when DEFAULT partition exists', 'An ADD PARTITION operation cannot be executed when a partition with DEFAULT values exists', 'Issue a SPLIT of the DEFAULT partition instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14761', 'MAXVALUE partition cannot be specified for Interval partitioned objects', 'An attempt was made to create a partition with a MAXVALUE highbound on an Interval partitioned object.', 'Do not create a partition with a MAXVALUE highbound.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14762', 'Domain index creation on interval partitioned tables is not permitted', 'An attempt was made to create a domain index on an interval partitioned table.', 'Do not create a domain index on an interval partitioned table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14763', 'Unable to resolve FOR VALUES clause to a partition number', 'Could not determine the partition corresponding to the FOR VALUES clause.', 'Remove bind variables and dependencies on session parameters from the values specified in the FOR VALUES clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14764', 'FOR VALUES clause cannot be specified for only one partition', 'An attempt was made to specify the FOR VALUES clause for only one of the two partitions being merged.', 'Specify a FOR VALUES clause for each of the two partitions being merged or do not specify the FOR VALUES clause for either.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14765', 'Cannot create a partition while doing a create index', 'An attempt was made to create a partition concurrently with index creation.', 'Retry the statement after the index build is finished.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14766', 'Unable to obtain a stable metadata snapshot', 'This operation was not able to obtain a stable snapshot of the interval partitioning metadata.', 'Retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14767', 'Cannot specify this interval with existing high bounds', 'The interval specified conflicts with the existing high bound for the last partition. The combination might lead to invalid dates for high bounds in the future.', 'If this is a CREATE TABLE, try specifying a different high bound value for the last partition, or a different interval. If this is an ALTER TABLE SET INTERVAL, please choose either a different interval, or, modify the table to change the high bound for the last partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14801', 'Hash composite partitioning is not supported', 'An attempt was made to partition a table using a Hash composite method.', 'Do not partition the table by a Hash composite method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14802', 'Specified operation is not permitted on Hash composite partitioned objects', 'An unsupported operation was attempted on a Hash composite partitioned object.', 'Do not perform the operation on a Hash composite partitioned object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14803', 'partition bound may not be specified for hash subpartitioned tables', 'A VALUES LESS THAN or VALUES clause was specified with a subpartition description.', 'Remove the VALUES LESS THAN or VALUES clause from the subpartition description.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15000', 'command disallowed by current instance type', 'The user has issued a command to a conventional RDBMS instance that is only appropriate for an ASM instance. Alternatively, the user has issued a command to an ASM instance that is only appropriate for an RDBMS instance.', 'Connect to the correct instance type and re-issue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15236', 'diskgroup string mounted in restricted mode', 'The specified diskgroup was mounted in restricted mode prohibiting client access.', 'Dismount the diskgroup and remount it in appropriate mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15237', 'attribute string cannot be set in CREATE DISKGROUP', 'The specified attribute may not be set with the CREATE DISKGROUP command.', 'Check the attribute name or use ALTER DISKGROUP SET ATTRIBUTE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15238', 'string is not a valid value for attribute string', 'The specified value was not valid for the attribute.', 'Check the attribute name and value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15239', 'allocation unit size higher than string requires RDBMS compatibility string', 'The allocation unit size requested exceeded the limit imposed by the RDBMS compatibility setting.', 'Use a smaller allocation unit size or specify a higher RDBMS compatibility setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15240', 'attribute name string is invalid', 'The attribute name was not valid or was not recognized.', 'Check the attribute name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15241', 'attribute string is read only', 'The attribute value is read-only and cannot be changed.', 'None. The attribute value cannot be changed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15242', 'could not set attribute string', 'An error occurred while setting the attribute.', 'Look at the underlying error(s) on the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15243', 'string is not a valid version number', 'The given version number was invalid, or not valid in this context.', 'Verify that the version number is valid and is appropriate for this command. Check for additional errors reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15244', 'new compatibility setting less than current [string]', 'The compatibility setting was invalid. The compatibility setting can only be advanced.', 'Check the version number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15245', 'ASM disk string is already being brought online', 'An attempt was made to bring online a disk that is already being brought online.', 'Change the ONLINE statement to exclude the disk.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15246', 'cannot bring ASM disk string both online and then offline in the same statement', 'An attempt was made to bring the specified disk both online and offline in the same statement.', 'Revise the statement to either bring the disk online or take the disk offline.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15247', 'cannot specify both WAIT and NOWAIT options in the same statement', 'An attempt was made to specify both WAIT and NOWAIT options in the same statement.', 'Revise the statement and include at most one option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15248', 'ASM attributes feature not enabled', 'The ASM attributes feature was not enabled.', 'Advance disk group ASM compatibility to version 11.1.0 or newer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15249', 'could not locate ASM attribute string', 'The specified attribute could not be accessed.', 'Check the attribute name and examine underlying error(s) on the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-15250', 'insufficient diskgroup space for rebalance completion', 'The command attempted to reduce the available diskgroup space below the current space used.', 'Consult V$ASM_DISK to determine the space requirements for the diskgroup contents, and repeat the command after making the required storage available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16184', 'DB_UNIQUE_NAME string hashes to the same value as DB_UNIQUE_NAME string', 'The internal hash value generated for one DB_UNIQUE_NAME collided with the hash value of another DB_UNIQUE_NAME.', 'Slightly modify one of the DB_UNIQUE_NAMEs so it hashes to a different value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16185', 'REMOTE_ARCHIVE_ENABLE and LOG_ARCHIVE_CONFIG mutually exclusive', 'Both the REMOTE_ARCHIVE_ENABLE and LOG_ARCHIVE_CONFIG parameters are defined in the initialization file and they are mutually exclusive.', 'The REMOTE_ARCHIVE_ENABLE parameter has been made obsolete. Use only the LOG_ARCHIVE_CONFIG parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16186', 'Modifying LOG_ARCHIVE_CONFIG requires SID=''*'' qualifier', 'The setting for the LOG_ARCHIVE_CONFIG parameter must be exactly the same on all RAC instances so the SID=''*'' qualifier is required.', 'Re-enter the command using the SID=''*'' qualifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16187', 'LOG_ARCHIVE_CONFIG contains duplicate, conflicting or invalid attributes', 'The LOG_ARCHIVE_CONFIG parameter was specified with duplicate, conflicting or invalid attributes.', 'Check the documentation regarding the correct specification of the LOG_ARCHIVE_CONFIG parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16753', 'Data Guard broker cannot open standby database', 'The Data Guard broker failed to open the standby database.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16754', 'failed to activate physical standby database', 'The Data Guard broker failed to activate the physical standby database.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16755', 'failed to set initialization parameter', 'The Data Guard broker failed to set an initialization parameter using either the ALTER SYSTEM SET or ALTER SYSTEM RESET command.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16757', 'unable to get this property''s value', 'The Data Guard broker failed to get the value for the specified property, possibly because the specified property''s value is not available for the current database role.', 'If the specified property''s value is not available for the database''s current role, please specify this property for a database for which it is available. Otherwise, check the Data Guard broker log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16758', 'the specified apply instance is not running', 'The Data Guard broker could not start apply services on the specified instance because that instance was not running.', 'Start the instance and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16759', 'cannot start SQL Apply with initial SCN', 'The Data Guard broker failed to start SQL Apply with an initial SCN.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16760', 'cannot start SQL Apply', 'The Data Guard broker failed to start SQL Apply.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16761', 'cannot stop SQL Apply', 'The Data Guard broker failed to stop SQL Apply.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16762', 'invalid database state', 'Database was not in the intended state.', 'Determine the reason why the database is not running in the intended state and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16763', 'redo transport service for a standby database is running', 'The redo transport service for a standby database was running.', 'Query the StatusReport property of the primary database for more details. If necessary, stop the redo transport service for the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16764', 'redo transport service to a standby database is not running', 'The redo transport service to a standby database was not running.', 'Query the StatusReport property of the primary database for more details. If necessary, start the redo transport service.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16765', 'Redo Apply is running', 'Redo Apply was running when it should have been stopped.', 'If necessary, stop Redo Apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16766', 'Redo Apply is stopped', 'Redo Apply was stopped when it should have been running.', 'If necessary, start Redo Apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16767', 'SQL Apply is running', 'SQL Apply was running when it should have been stopped."', 'If necessary, stop SQL Apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16768', 'SQL Apply is stopped', 'SQL Apply was stopped when it should have been running."', 'If necessary, start SQL Apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16769', 'the physical standby database is open read-only', 'All instances in the physical standby database were put into a read-only state instead of APPLY-OFF.', 'Issue the EDIT DATABASE SET STATE command to set the database to the APPLY-OFF state.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16770', 'Redo Apply not started since physical standby database is opening', 'Redo Apply services could not be started on the physical standby database because it was being opened. The Data Guard broker will start Redo Apply services once the physical standby database has been opened.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16771', 'failover to a physical standby database failed', 'The Data Guard broker encountered errors when converting a physical standby database to a primary database.', 'Check the Data Guard broker log and the Oracle alert log for more details about the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16772', 'switchover to a standby database failed', 'The Data Guard broker encountered errors when switching over to the specified standby database.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16773', 'cannot start Redo Apply', 'The Data Guard broker failed to start Redo Apply.', 'Check the Data Guard broker log and Oracle alert log for more details. If the database is already open, the broker will not be able to start Redo Apply if the COMPATIBLE initialization parameter is set to a value less than 11.0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16774', 'cannot stop Redo Apply', 'The Data Guard broker failed to stop Redo Apply.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16775', 'target standby database in broker operation has potential data loss', 'The target standby database specified for the broker operation did not have all the redo data from the primary database.', 'Confirm that the redo transport service on the primary database is functioning correctly by checking its status using the StatusReport monitorable property. Reissue the broker command once all redo data is available on the target standby database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16776', 'health check of the redo transport service failed', 'The Data Guard broker could not complete the health check for the redo transport service.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16777', 'unable to find the destination entry of a standby database in V$ARCHIVE_DEST', 'Either a destination was manually deleted or no entry was available for Data Guard.', 'Check the Data Guard broker log and the Oracle alert log for more details. The redo transport service may need to be reset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16778', 'redo transport error for one or more databases', 'The redo transport service was unable to send redo data to one or more standby databases.', 'Check the Data Guard broker log and Oracle alert log for more details. Query the LogXptStatus property to see the errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16779', 'the destination parameter of a database is set incorrectly', 'The destination was defined in the LOG_ARCHIVE_DEST_n server parameter file with incorrect syntax. The Data Guard broker failed to update the destination when the redo transport was turned on.', 'Check the Data Guard broker log to see which database has the problem. Fix the syntax error in the server parameter file or remove the entry from the server parameter file. Check if the syntax of the redo transport-related properties are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16780', 'a database has exhausted its archived redo log storage quota', 'A database has exhausted its quota for storing archived redo logs.', 'Check the Data Guard broker log to see which database has the problem. Remove some archived logs at the standby database or increase its quota.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16781', 'cannot determine status of redo transport service for standby database', 'The status of redo transport to the specified standby database could not be determined.', 'Check the Data Guard broker log and Oracle alert log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16782', 'instance not open for read and write access', 'The database was mounted on an instance but not opened for read and write access.', 'Check the StatusReport property for more details and, if possible, open the instance manually.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13764', 'Value "string" is illegal as a result percentage.', 'The user attempted to select data from a SQL Tuning Set using an invalid result percentage. The result percentage must be between 0 and 1.', 'Correct the result percentage value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13765', 'Value "string" is illegal for a result limit.', 'The user attempted to select data from a SQL Tuning Set using an invalid result limit. A result limit must be a positive interger.', 'Correct the result limit value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13766', 'A ranking measure is required.', 'The user attempted to select data from a SQL Tuning Set using a percentage argument without specifying a ranking measure.', 'Add a ranking measure or remove the percentage argument and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13767', 'End snapshot ID must be greater than begin snapshot ID.', 'The user attempted to select data from the workload repository using an invalid snaphot ID range.', 'Adjust the snapshot ID range and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13768', 'Snapshot ID must be between string and string.', 'The user attempted to select data from the workload repository using a snaphot ID which does not exist.', 'Adjust the snapshot ID and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13769', 'Snapshots string and string do not exist.', 'The user attempted to select data from the workload repository using snapshots that do not exist.', 'Check the snapshot identifiers and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13770', 'Baseline "string" does not exist.', 'The user attempted to access a baseline that does not exsit.', 'Check the speelling of the baseline name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13771', 'cannot obtain exclusive lock string on "SQL Tuning Set" "string" owned by user "string"', 'Unexpected error from DBMS_LOCK.REQUEST.', 'This error should not normally occur. Check your system for anomalies and retry the operation. If this error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-13772', 'unexpected deadlock on "SQL Tuning Set" "string" owned by user "string"', 'Unexpected error from DBMS_LOCK.REQUEST', 'This error should not normally occur. Check your system for anomalies and retry the operation. If this error persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14029', 'GLOBAL partitioned index must be prefixed', 'partitioning columns of a global partitioned index must form a prefix of the index'' key columns', 'Ensure that the GLOBAL partitioned index being created is prefixed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14030', 'non-existent partitioning column in CREATE TABLE statement', 'Partitioning column specified in CREATE TABLE statement is not one of columns of the table being created.', 'Ensure that all columns in the partitioning column list are columns of the table being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14031', 'partitioning column may not be of type LONG or LONG RAW', 'Partitioning column specified by the user was of type LONG or LONG RAW, which is illegal.', 'Ensure that no partitioning column is of type LONG or LONG RAW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14032', 'partition bound of partition number string is too high', 'High bound of the partition whose number (partitions are numbered starting with 1) is displayed in this message did not collate lower than that of the following partition, which is illegal.', 'Ensure that high bound of every partition (except for the last one) collates lower than that of a following partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14036', 'partition bound value too large for column', 'Length of partition bound value is longer than that of the corresponding partitioning column.', 'Ensure that lengths of high bound values do not exceed those of corresponding partitioning columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14037', 'partition bound of partition "string" is too high', 'High bound of the partition whose name (explicitly specified by the user) is displayed in this message did not collate lower than that of the following partition, which is illegal.', 'Ensure that high bound of every partition (except for the last one) collates lower than that of a following partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14038', 'GLOBAL partitioned index must be prefixed', 'User attempted to create a GLOBAL non-prefixed partitioned index which is illegal', 'If the user, indeed, desired to create a non-prefixed index, it must be created as LOCAL; otherwise, correct the list of key and/or partitioning columns to ensure that the index is prefixed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14039', 'partitioning columns must form a subset of key columns of a UNIQUE index', 'User attempted to create a UNIQUE partitioned index whose partitioning columns do not form a subset of its key columns which is illegal', 'If the user, indeed, desired to create an index whose partitioning columns do not form a subset of its key columns, it must be created as non-UNIQUE; otherwise, correct the list of key and/or partitioning columns to ensure that the index'' partitioning columns form a subset of its key columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14041', 'partition bound may not be specified for resulting partitions', 'while parsing an ALTER {TABLE|INDEX} SPLIT PARTITION statement, <partition-description> of a resulting partition was found to contain VALUES LESS THAN clause which is illegal', 'remove VALUES LESS THAN clause from the description(s) of partitions resulting from splitting an existing table or index partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14042', 'partition bound may not be specified for a partition being moved, modified or rebuilt', 'while parsing an ALTER {TABLE|INDEX} MODIFY PARTITION, ALTER TABLE MOVE PARTITION, or ALTER INDEX REBUILD PARTITION statement, description of new physical attributes of the partition being moved, modified, or rebuilt was found to contain VALUES LESS THAN clause which is illegal', 'remove VALUES LESS THAN clause from the description of new attributes of the partition being moved, modified, or rebuilt', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14043', 'only one partition may be added', 'ALTER TABLE ADD PARTITION contained descriptions of more than one partition to be added', 'Ensure that the statement contains exactly one partition definition and that it does not contain any commas', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14044', 'only one partition may be moved', 'ALTER TABLE MOVE PARTITION contained descriptions of more than one partition to be moved', 'Ensure that the statement describes exactly one partition to be moved and that it does not contain any commas', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14045', 'only one partition may be modified', 'ALTER TABLE|INDEX MODIFY PARTITION contained descriptions of more than one partition to be modified', 'Ensure that the statement describes exactly one partition to be modified and that it does not contain any commas', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14046', 'a partition may be split into exactly two new partitions', 'ALTER TABLE|INDEX SPLIT PARTITION did not contain descriptions of exactly two new partitions into which an existing table or index partition was to be split', 'Ensure that the statement describes exactly two partition into which an existing partition is to be split', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14047', 'ALTER TABLE|INDEX RENAME may not be combined with other operations', 'ALTER TABLE or ALTER INDEX statement attempted to combine a RENAME operation with some other operation which is illegal', 'Ensure that RENAME operation is the sole operation specified in ALTER TABLE or ALTER INDEX statement;', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14324', 'values being added already exist in DEFAULT partition', 'An ADD VALUE operation cannot be executed because the values being added exist in the DEFAULT partition', 'Issue a SPLIT of the DEFAULT partition and then MERGE the split partition into the partition to which values need to be added', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14325', 'only LOCAL indexes may be specified in this clause', 'A global index has been specified in the UPDATE INDEXES (..) clause', 'Only specify local indexes when using this clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14326', 'Primary index on an IOT, DOMAIN and LOB indexes may not be specified in the UPDATE INDEXES clause', 'A Primary index on an IOT, DOMAIN or LOB index has been specified in the UPDATE INDEXES (..) clause', 'Do not specify any of these indexes when using this clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14327', 'Some index [sub]partitions could not be rebuilt', 'The first phase (partition DDL and index [sub]partition placement) completed successfully. During the second phase, some of the index [sub]partitions could not be rebuilt.', '.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14329', 'domain index [sub]partitions cannot be renamed in this clause', 'The user tried to rename a domain index [sub]partition in the UPDATE INDEXES clause of a ALTER TABLE MOVE [SUB]PARTITION operation. This is not allowed.', 'Leave the name blank or use the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14330', 'Cannot drop a partition of a global hash-partitioned index', 'An attempt was made to drop a partition of a hash-partitioned global index.', 'Try COALESCE PARTITION instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14400', 'inserted partition key does not map to any partition', 'An attempt was made to insert a record into, a Range or Composite Range object, with a concatenated partition key that is beyond the concatenated partition bound list of the last partition -OR- An attempt was made to insert a record into a List object with a partition key that did not match the literal values specified for any of the partitions.', 'Do not insert the key. Or, add a partition capable of accepting the key, Or add values matching the key to a partition specification', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14401', 'inserted partition key is outside specified partition', 'the concatenated partition key of an inserted record is outside the ranges of the two concatenated partition bound lists that delimit the partition named in the INSERT statement', 'do not insert the key or insert it in another partition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14402', 'updating partition key column would cause a partition change', 'An UPDATE statement attempted to change the value of a partition key column causing migration of the row to another partition', 'Do not attempt to update a partition key column or make sure that the new partition key is within the range containing the old partition key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14403', 'cursor invalidation detected after getting DML partition lock', 'cursor invalidation was detected after acquiring a partition lock during an INSERT, UPDATE, DELETE statement. This error is never returned to user, because is caught in opiexe() and the DML statement is retried.', 'nothing to be done, error should never be returned to user', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14404', 'partitioned table contains partitions in a different tablespace', 'An attempt was made to drop a tablespace which contains tables whose partitions are not completely contained in this tablespace', 'find tables with partitions which span the tablespace being dropped and some other tablespace(s). Drop these tables or move partitions to a different tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14405', 'partitioned index contains partitions in a different tablespace', 'An attempt was made to drop a tablespace which contains indexes whose partitions are not completely contained in this tablespace, and which are defined on the tables which are completely contained in this tablespace.', 'find indexes with partitions which span the tablespace being dropped and some other tablespace(s). Drop these indexes, or move the index partitions to a different tablespace, or find the tables on which the indexes are defined, and drop (or move) them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14406', 'updated partition key is beyond highest legal partition key', 'At attempt was made to update a record with a concatenated partition key that is beyond the concatenated partition bound list of the last partition.', 'Do not update the key. Or, add a partition capable of accepting the key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14407', 'partitioned table contains subpartitions in a different tablespace', 'An attempt was made to drop a tablespace which contains tables whose subpartitions are not completely contained in this tablespace', 'find tables with subpartitions which span the tablespace being dropped and some other tablespace(s). Drop these tables or move subpartitions to a different tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14453', 'attempt to use a LOB of a temporary table, whose data has alreadybeen purged', 'An attempt was made to use LOB from a temporary table whose data has been dropped either because table was transaction-specific and transaction has commited or aborted, table was truncated or session which created this LOB has ended.', 'This LOB locator is invalid and cannot be used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14454', 'attempt to reference temporary table in a referential integrity constraint', 'An attempt was made to reference temporary table in a referencial integrity constraint. This is not supported.', 'Use triggers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14455', 'attempt to create referential integrity constraint on temporary table', 'An attempt was made to create a referential integrity constraint on a temporary table. This is not supported.', 'Use triggers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14456', 'cannot rebuild index on a temporary table', 'An attempt was made to rebuild an index on a temp table.', 'The index data is anyway lost at end of session/transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14457', 'disallowed Nested Table column in a Temporary table', 'An attempt made to create a Nested Table column in a temporary table. This is not supported.', 'Do not specify these datatypes for temporary tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14458', 'attempt was made to create a temporary table with INDEX organization', 'An attempt was made to create an Index Organized Temporary table. This is not supported.', 'Create the table with HEAP organization and the primary key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14459', 'missing GLOBAL keyword', 'keyword GLOBAL is missing while creating temporary table.', 'supply keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14460', 'only one COMPRESS or NOCOMPRESS clause may be specified', 'COMPRESS was specified more than once, NOCOMPRESS was specified more than once, or both COMPRESS and NOCOMPRESS were specified.', 'specify each desired COMPRESS or NOCOMPRESS clause option only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14461', 'cannot REUSE STORAGE on a temporary table TRUNCATE', 'REUSE STORAGE was specified with TRUNCATE on a temporary table. This is unsupported as it is meaningless.', 'Specify DROP STORAGE instead (which is the default).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14462', 'cannot TRUNCATE temporary table in an autonomous transaction which is already in use by the parent transaction', 'An attempt was made to TRUNCATE a temporary table in an autonomous transaction which is already in use by the parent transaction.', 'Make sure the temporary table is not being used by the parent transaction before trying to TRUNCATE in an autonomous transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16188', 'LOG_ARCHIVE_CONFIG settings inconsistent with previously started instance', 'The settings for the LOG_ARCHIVE_CONFIG parameter are inconsistent with the settings of a previously started instance. The settings for this parameter must be exactly the same for all instances.', 'Make sure all instances use the exact same LOG_ARCHIVE_CONFIG settings.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16191', 'Primary log shipping client not logged on standby', 'An attempt to ship redo to standby without logging on to standby or with invalid user credentials.', 'Check that primary and standby are using password files and that both primary and standby have the same SYS password. Restart primary and/or standby after ensuring that password file is accessible and REMOTE_LOGIN_PASSWORDFILE initialization parameter is set to SHARED or EXCLUSIVE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16192', 'Primary and standby network integrity mismatch', 'Standby wants sqlnet network integrity for redo shipment which is not configured properly at the primary.', 'Check sqlnet.ora documentation regarding how to setup network integrity and set it up identically on both primary and standby. Restart primary and/or standby.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16193', 'Primary and standby network encryption mismatch', 'Standby wants sqlnet network encryption for redo shipment which is not configured properly at the primary.', 'Check sqlnet.ora documentation regarding how to setup network encryption and set it up identically on both primary and standby. Restart primary and/or standby.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16194', 'Modifying DB_UNIQUE_NAME requires SID=''*'' qualifier', 'The setting for the DB_UNIQUE_NAME parameter must be exactly the same on all RAC instances so the SID=''*'' qualifier is required.', 'Re-enter the command using the SID=''*'' qualifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16195', 'DG_CONFIG requires DB_UNIQUE_NAME be explicitly defined', 'The DG_CONFIG attribute of the LOG_ARCHIVE_CONFIG parameter can only be used if the DB_UNIQUE_NAME parameter has been explicitly defined.', 'Explicitly define a valid DB_UNIQUE_NAME.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16196', 'database has been previously opened and closed', 'The instance has already opened and closed the database, which is allowed only once in its lifetime.', 'Shut down the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16197', 'Invalid DB_UNIQUE_NAME parameter specification', 'The DB_UNIQUE_NAME parameter has an invalid specification. The DB_UNIQUE_NAME parameter has a maximum length of 30 characters and the only characters allowed are alpha-numeric characters and "_", "$" and "#".', 'Check the documentation and re-enter the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16198', 'Timeout incurred on internal channel during remote archival', 'A timeout was incurred during remote archival.', 'No action is required, as an attempt will be made to re-archive the file that had this failure during archival.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16199', 'Terminal recovery failed to recover to a consistent point', 'See alert log for more details', 'Try to resolve the problem. Retry terminal recovery. If the problem occurs repeatedly and cannot be resolved, call Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16200', 'Skip procedure requested to skip statement', 'Logical standby called a skip procedure that requested for a particular statement not to be applied.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16201', 'Skip procedure requested to apply statement', 'Logical standby called a skip procedure that requested for a particular statement to be applied.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16202', 'Skip procedure requested to replace statement', 'Logical standby called a skip procedure that requested for a particular statement to be replaced with a new statement.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16203', 'Unable to interpret skip procedure return values', 'The skip procedure returned conflicting or invalid values.', 'Ensure that the new_statement output parameter is non-NULL when returning DBMS_LOGSTDBY.SKIP_ACTION_REPLACE and NULL otherwise. Also ensure SKIP_ACTION is specified correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16204', 'DDL successfully applied', 'A DDL statement has successfully commited on the logical standby database.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16205', 'DDL skipped due to skip setting', 'A setting in the logical standby skip table indicates that this type of DDL should always be skipped.', 'No action necessary, this informational statement is provided to record the event for diagnostic purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16206', 'database already configured as Logical Standby database', 'This database has been previously configured as a Logical Standby database. A Logical Standby database is not capable of processing the requested operation.', 'Ensure that you entered the command on the correct database as this database is a Logical Standby and is not capable of servicing the request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16207', 'Logical standby dictionary build not permitted.', 'A dictionary build is currently in progress. Only one build can be active at a time.', 'Wait for the active build to complete before invoking a new build.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16208', 'Logical standby dictionary build failed to start.', 'Failure to start the logical standby dictionary build process (LSP1)', 'Check the accompanying messages, and the background process trace file. Correct the problem mentioned in the messages. Then shut down and restart the instance. If the trace file mentions any other background process messages, check the trace file for the mentioned process until the root message is found.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16209', 'Logical standby dictionary build failed to complete.', 'The logical standby dictionary build process terminated abnormally.', 'Check the accompanying messages, and the background process trace file. Correct the problem mentioned in the messages. Then shut down and restart the instance. If the trace file mentions any other background process messages, check the trace file for the mentioned process until the root message is found.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16210', 'Logical standby coordinator process terminated with error', 'The logical standby coordinator process terminated abnormally.', 'Check the accompanying messages, and the background process trace file. Correct the problem mentioned in the messages. Then shut down and restart the instance. If the trace file mentions any other background process messages, check the trace file for the mentioned process until the root message is found.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16211', 'unsupported record found in the archived redo log', 'Log apply services encountered a record in the archived redo log that could not be interpreted.', '1. Use DBMS_LOGSTDBY.INSTANTIATE_TABLE to re-create the table on the standby database or simply drop the table if it''s unimportant. ' || '<p>' || '2. ALTER DATABASE START LOGICAL STANDBY APPLY;' || '<p>' || '' || '<p>' || '3. Examine the current_scn column in the DBA_LOGSTDBY_EVENTS view to determine which log file contains the unsupported record.' || '<p>' || '' || '<p>' || '4. Provide the log file to Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16783', 'instance string not open for read and write access', 'The database was mounted on an instance but not opened for read and write access.', 'Check the StatusReport property for more details and, if possible open the instance manually.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16784', 'database name specified by Dependency property is incorrect', 'The database name, that should be the value of the DB_UNIQUE_NAME initialization parameter, specified in the Dependency property was incorrect.', 'Reset the Dependency property to the correct name of the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16785', 'the database is in NOARCHIVELOG mode', 'The database was in NOARCHIVELOG mode when it was either a primary database or when it was a standby database that was being switched over to be a primary database.', 'Set the database to ARCHIVELOG mode by issuing the ALTER DATABASE ARCHIVELOG command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16786', 'unable to access Data Guard broker metadata', 'The Data Guard broker configuration files did not exist or for some other reason the Data Guard broker configuration metadata could not be accessed.', 'Check the Data Guard broker log for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16788', 'unable to set one or more database configuration property values', 'This situation occurred when the broker attempted to set database configurable property values into the database by issuing ALTER SYSTEM or ALTER DATABASE commands. Typical causes of this error are: ' || '<p>' || '- The values of redo transport-related properties contain syntax syntax errors.' || '<p>' || '' || '<p>' || '- The value of the LogArchiveTrace property was out of range.', 'Check the Data Guard broker log to see which property has the problem and set the property to the correct value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16789', 'standby redo logs not configured', 'Standby redo logs were not configured for the database.', 'Standby redo logs are required when the redo transport mode is set to SYNC or ASYNC. Check the Data Guard documentation to see how to create standby redo logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16790', 'the value of the configurable property is invalid', 'An invalid property value was entered.', 'Reset the property to a correct value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16791', 'unable to check the existence of the standby redo logs', 'The database may not be mounted, or the query of the V$STANDBY_LOG fixed view failed.', 'Ensure the database is mounted and query the V$STANDBY_LOG fixed view to see if the problem has been corrected, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16792', 'configurable property value is inconsistent with database setting', 'The values of one or more configurable properties were inconsistent with database in-memory settings or server parameter file settings. This may happen by directly altering initialization parameters instead of editing configurable property values using Data Guard broker.', 'Query the InconsistentProperties property on the database or check the Data Guard broker log to find which properties are set inconsistently. Reset these properties to make them consistent with the database settings. Alternatively, enable the database or the entire configuration to allow the configurable property settings to be propagated to the initialization parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16793', 'logical standby database guard is off', 'The logical standby database guard was turned off.', 'Issue the ALTER DATABASE GUARD ALL command to turn the guard on and verify that Data Guard health check error or warning is cleared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16794', 'database guard is on for primary database', 'The database guard was turned on for the primary database.', 'Issue the ALTER DATABASE GUARD NONE command to turn off the guard and verify that Data Guard health check error or warning is cleared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16795', 'the standby database needs to be re-created', 'A switchover or failover operation caused this database to require re-creation. The database was marked for re-creation because it was not a viable standby database for the new primary database. Until this error status is resolved for this database, information about this database and the broker configuration to which it belongs is unavailable to a broker client that is connected to this database. Therefore, all commands directed by that client to this database cannot be completed.', 'Re-create (or flash back) the standby database. Connect to the primary database in the broker configuration and reenable broker management of that database. Once enabled, it is possible to connect to that standby database and manage it with the broker. Alternatively, many client commands that cannot be completed at the standby database when in this error state can be completed successfully when issued to the primary database. In this case, simply reconnect to the primary database and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16796', 'one or more properties could not be imported from the database', 'The broker was unable to import property values for the database being added to the broker configuration. This error indicates: ' || '<p>' || '- The Oracle Net service name specified in DGMGRL CREATE CONFIGURATION or ADD DATABASE command was not one that provides access to the database being added.' || '<p>' || '' || '<p>' || '- There were no instances running for the database being added.', 'Remove the database from the configuration using the REMOVE CONFIGURATION or REMOVE DATABASE command. Make sure that the database to be added has at least one instance running and that the Oracle Net service name provides access to the running instance. Also check the broker log file for additional information. Then, reissue the CREATE CONFIGURATION or ADD DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16797', 'database is not using a server parameter file', 'The database was not using a server parameter file or the broker was unable to access the server parameter file.', 'Issue the CREATE SPFILE=''..'' FROM PFILE=''...''" command to create a server parameter file and then restart the database to use it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16798', 'unable to complete terminal recovery on the standby database', 'Terminal recovery on the standby database failed during the failover operation.', 'Check the Data Guard broker log and the Oracle alert logs to see more details on the reason for the failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16799', 'Redo Apply is not running', 'Either the Data Guard broker metadata indicates that Redo Apply was turned off, or the recovery process, MRP0, was not running. As a result, Redo Apply-related properties could not be set.', 'Turn on Redo Apply through Data Guard broker and reissue the command to set a Redo Apply-related property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-16800', 'redo transport service for a standby database incorrectly set to ALTERNATE', 'The redo transport service for a standby database was set to ALTERNATE when no other destination is set to alternate to this destination.', 'Reenable the standby database or the entire configuration to allow the configuration property settings to be propagated to the initialization parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14048', 'a partition maintenance operation may not be combined with other operations', 'ALTER TABLE or ALTER INDEX statement attempted to combine a partition maintenance operation (e.g. MOVE PARTITION) with some other operation (e.g. ADD PARTITION or PCTFREE which is illegal', 'Ensure that a partition maintenance operation is the sole operation specified in ALTER TABLE or ALTER INDEX statement; operations other than those dealing with partitions, default attributes of partitioned tables/indices or specifying that a table be renamed (ALTER TABLE RENAME) may be combined at will', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14049', 'invalid ALTER TABLE MODIFY PARTITION option', 'An option other than PCTFREE, PCTUSED, INITRANS, MAXTRANS, STORAGE, BACKUP, ALLOCATE EXTENT, or DEALLOCATE UNUSED was specified in an ALTER TABLE MODIFY PARTITION statement for a Range or Composite Range partition.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14050', 'invalid ALTER INDEX MODIFY PARTITION option', 'An option other than INITRANS, MAXTRANS, STORAGE, or DEALLOCATE UNUSED was specified in an ALTER INDEX MODIFY PARTITION statement.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14051', 'invalid ALTER MATERIALIZED VIEW option', 'An option other than PCTFREE, PCTUSED, INITRANS, MAXTRANS, STORAGE, or BACKUP was specified in an ALTER MATERIALIZED VIEW statement.', 'Specify only legal options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14052', 'partition-extended table name syntax is disallowed in this context', 'User attempted to use partition-extended table name syntax in illegal context (i.e. not in FROM-clause or INSERT, DELETE, or UPDATE statement)', 'Avoid use of partition-extended table name in contexts other those mentioned above.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14053', 'illegal attempt to modify string in string statement', 'Certain attributes of objects (e.g. tables) may be specified at creation time, but may not be modified using ALTER statement. Unfortunately, user specified one of such attributes.', 'Ensure that ALTER statement specifies new values only for attributes which may be changed once an object has been created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14054', 'invalid ALTER TABLE TRUNCATE PARTITION option', 'Name of the partition to be truncated may be followed by DROP STORAGE or REUSE STORAGE', 'Ensure that no options besides DROP STORAGE or REUSE STORAGE are specified with ALTER TABLE TRUNCATE PARTITION', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14055', 'keyword REBUILD in ALTER INDEX REBUILD must immediately follow <index name>', 'ALTER INDEX statement contained REBUILD keyword following some index attributes (e.g. INITRANS.)', 'Ensure that keyword REBUILD immediately follows the name of the index being altered', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14056', 'partition number string: sum of PCTUSED and PCTFREE may not exceed 100', 'the sum of PCTUSED and PCTFREE for a partition whose number (partitions are numbered starting with 1) is displayed in this message exceeds 100. Note that if PCTUSED and/or PCTFREE values for this partition were not specified explicitly, default values for the partitioned table or index would be used. If, in turn, default PCTUSED and/or PCTFREE values for the partitioned table or index were not specified, system defaults would be used.', 'ensure that a sum of PCTUSED and PCTFREE for the partition does not exceed 100', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14057', 'partition "string": sum of PCTUSED and PCTFREE may not exceed 100', 'the sum of PCTUSED and PCTFREE for a partition whose name (explicitly specified by the user) is displayed in this message exceeds 100. Note that if PCTUSED and/or PCTFREE values for this partition were not specified explicitly, default values for the partitioned table or index would be used. If, in turn, default PCTUSED and/or PCTFREE values for the partitioned table or index were not specified, system defaults would be used.', 'ensure that a sum of PCTUSED and PCTFREE for the partition does not exceed 100', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14058', 'partition number string: INITRANS value must be less than MAXTRANS value', 'Value of INITRANS was found to be greater than that of MAXTRANS for a partition whose number (partitions are numbered starting with 1) is displayed in this message. Note that if INITRANS and/or MAXTRANS values for this partition were not specified explicitly, default values for the partitioned table or index would be used. If, in turn, default INITRANS and/or MAXTRANS values for the partitioned table or index were not specified, system defaults would be used.', 'ensure that value of INITRANS (whether specified explcitly or derived from the default value for the partitioned table or index) is no greater than that of MAXTRANS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14059', 'partition "string": INITRANS value must be less than MAXTRANS value', 'Value of INITRANS was found to be greater than that of MAXTRANS for a partition whose name (explicitly specified by the user) is displayed in this message. Note that if INITRANS and/or MAXTRANS values for this partition were not specified explicitly, default values for the partitioned table or index would be used. If, in turn, default INITRANS and/or MAXTRANS values for the partitioned table or index were not specified, system defaults would be used.', 'ensure that value of INITRANS (whether specified explcitly or derived from the default value for the partitioned table or index) is no greater than that of MAXTRANS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14060', 'data type or length of a table partitioning column may not be changed', 'User issued ALTER TABLE statement attempting to modify data type and/or length of a column used to partition the table named in ALTER TABLE statement, which is illegal', 'Avoid modifying data type and/or length of table partitioning column(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14061', 'data type or length of an index partitioning column may not be changed', 'User issued ALTER TABLE statement attempting to modify data type and/or length of a column used to partition some index defined on the table named in ALTER TABLE statement, which is illegal', 'Avoid modifying data type and/or length of index partitioning column(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14062', 'one or more of table''s partitions reside in a read-only tablespace', 'User issued ALTER TABLE statement attempting to modify an existing VARCHAR2 (or VARCHAR) column to be of type CHAR (or CHARACTER), increase length of an existing CHAR (or CHARACTER) column, or add a column with user-specified default for a table one or more partitions of which reside in read-only tablespaces, which is illegal', 'Avoid performing aformentioned operations on a partitioned table one or more partitions of which reside in read-only tablespaces', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14063', 'Unusable index exists on unique/primary constraint key', 'User attempted to add or enable a primary key/unique constraint on column(s) of a table on which there exists an index marked Index Unusable.', 'Drop the existing index or rebuild it using ALTER INDEX REBUILD', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-14064', 'Index with Unusable partition exists on unique/primary constraint key', 'User attempted to add or enable a primary key/unique constraint on column(s) of a table on which there exists an index one or more partitions of which are marked Index Unusable.', 'Drop the existing index or rebuild unusable partitions it using ALTER INDEX REBUILD PARTITION', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37134', '(XSCCOMP09) You cannot add new values to workspace object because it includes positions for precomputed aggregate values.', 'The user attempted to create a new position in a compressed composite, either directly (using MAINTAIN MERGE or MAINTAIN ADD) or by storing a value into the variable dimensioned by the compressed composite. This is not allowed when the variable has been precomputed using the AGGREGATE command. Once the AGGREGATE command is run on a variable dimensioned by a compressed composite, the compressed composite becomes read-only until the computed values are removed with the CLEAR command.', 'Run the CLEAR AGGREGATES command to remove the computed values from the variable and then rerun the failed operation. Note that CLEAR AGGREGATES will remove all the data computed during the last AGGREGATE command on this variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37135', '(XSCCOMP19) The COMPRESSED COMPOSITE workspace object in the current defined partition template should be unique or global.', 'The COMPRESSED COMPOSITE was neither unique nor global. Unique means each subpartition should have different COMPRESSED COMPOSITEs; Global means all subpartitions should use the same COMPRESSED COMPOSITE if they use any COMPRESSED COMPOSITE.', 'Redefine the partition template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37136', '(XSCCOMP11) Cannot ROLLUP dimension workspace object which is a base of COMPRESSED COMPOSITE workspace object, use AGGREGATE instead.', 'The user ran ROLLUP on a variable dimensioned by a COMPRESSED COMPOSITE.', 'Instead of using ROLLUP, generate an aggmap and use AGGREGATE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37137', '(XSCCOMP12) You cannot CHGDFN workspace object because it is a COMPRESSED COMPOSITE.', 'The user tried to CHGDFN a compressed composite', 'If the change is desired then delete the old composite and create a new one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37138', '(XSCCOMP13) You cannot delete values from workspace object because it is an aggregated COMPRESSED COMPOSITE.', 'The user tried to MAINTAIN DELETE from an aggregated COMPRESSED COMPOSITE.', 'In order to perform this sort of maintenance the composite must first be cleared. This can be done by running the CLEAR AGGREGATES command on the variable dimensioning the composite. Note that this will remove all data computed during the last AGGREGATE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37139', '(XSCCOMP14) Cannot AGGREGATE workspace object using AGGMAP workspace object because you can not AGGREGATE a variable dimensioned by a COMPRESSED COMPOSITE using an AGGMAP with a PROTECT clause.', 'The user tried to AGGREGATE a variable dimensioned by a COMPRESSED COMPOSITE with an AGGMAP that included a PROTECT clause.', 'Modify the aggmap or create a new aggmap that does not include a PROTECT clause and reaggregate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37140', '(XSCCOMP15) Cannot AGGREGATE partitioned variable workspace object using AGGMAP workspace object because you cannot use the base of a COMPRESSED COMPOSITE as a partition dimension.', 'The user tried to run aggregate on a partitioned variable with a partition dimension that is a base of a COMPRESSED COMPOSITE.', 'Repartition the data, drop the partition dimension from the aggmap, or don''t use COMPRESSED COMPOSITES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37141', '(XSSQLMDQ01) Invalid host variable syntax for MDQUERY procedure.', 'The schema and analytic workspace name for the MDQUERY cursor declaration were incorrectly specified.', 'Specify the schema and awname as a host variable name preceded by a colon, or as a text literal string of the form ''SCHEMA.AWNAME'' or ''*.*'' (quotes optional).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37142', '(XSSQLMDQ02) Invalid host variable data type for MDQUERY procedure: string expected.', 'The user specified a host variable that was not of the correct type.', 'Choose a different host variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37143', '(XSSQLMDQ03) string is not a valid analytic workspace name.', 'The user specified an analytic workspace name not qualified by a schema name, or one or both components of the name exceed the maximum length', 'Specify a schema-qualified analytic workspace name with components no longer than 30 characters long.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37144', '(MDQUERY01) string is not a valid metadata object type for MDQUERY.', 'The user specified an unrecognized first argument to MDQUERY', 'Specify a recognized object type (CUBE or DIMENSION)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37145', '(XSTTS_PLAT) Cannot transport analytic workspace across platforms.', 'The user attempted to transport a tablespace containing an analytic workspace from one platform to another.', 'Use export/import to move an analytic workspace across platforms.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37146', '(XSCCOMP18) The variable workspace object is already dimensioned by the COMPRESSED COMPOSITE workspace object.', 'An attempt was made to define the partition template dimensioned by the COMPRESSED COMPOSITE which had dimensioned the variable.', 'Define the second COMPRESSED COMPOSITE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37147', '(XSCCOMP21) The variable workspace object must be in the current operation group of the COMPRESSED COMPOSITE workspace object.', 'The variable dimensioned by the COMPRESSED COMPOSITE was not in the object list of the current operation group. For AGGREGATE, all variables dimensioned by the same COMPRESSED COMPOSITE also must use the same aggmap', 'Add the variable into the object list of the current operation group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37148', '(XSCCOMP22) workspace object is an aggregated COMPRESSED COMPOSITE.', 'Defined the variable or partition template with the aggregated COMPRESSED COMPOSITE.', 'Clear the COMPRESSED COMPOSITE or use a new COMPRESSED COMPOSITE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37149', '(XSCCOMP23) Individual partitions of the variable dimensiond by workspace object cannot be aggregated separately.', 'An attempt was made to aggregate partitions of a variable dimensioned by a global COMPRESSED COMPOSITE partition template.', 'Aggregate the partitioned variable dimensioned by the global COMPRESSED COMPOSITE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37150', 'line string, column string, string', 'expression syntax error was found in expression query string.', 'Check the error message details and make the corrections.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37151', 'expression parser initialization error', 'expression parser initialization failed', 'Please report this to Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37152', 'MDX query error: (string)', 'An exception occurred while MDX query was processed.', 'Check the error message details and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37153', 'unknown exception caught: (case string)', 'An unknown exception was caught while MDX query was processed.', 'Please report it to Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37154', 'OLAP API initialization error: (case string)', 'OLAP API initialization failed.', 'Ensure that Oracle is properly installed with the OLAP option. If the RDBMS has been patched, review the patch log for errors. If the problem persists, report it to Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37155', 'OLAP API bootstrap error: (case string)', 'OLAP API bootstraping failed.', 'Ensure that Oracle is properly installed with the OLAP option. If the RDBMS has been patched, review the patch log for errors. If the problem persists, report it to Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37156', '(string)', 'unknown', 'Check the error message details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37157', 'expression syntax error was found in expression string but error text was missing', 'This happened because the message file was missing.', 'Make sure that the message file xsous.msb is located in $ORACLE_HOME/olap/mesg and rerun your expression query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29532', 'Java call terminated by uncaught Java exception: string', 'A Java exception or error was signaled and could not be resolved by the Java code.', 'Modify Java code, if this behavior is not intended.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29533', 'attempt to overwrite class or resource string while defining or compiling string.string', 'A class or resource defined by a SQLJ source conflicted with an existing object.', 'Remove existing object, or modify SQLJ source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29534', 'referenced object string.string could not be resolved', 'Name resolution determined that the indicated object is referenced but could not be resolved.', 'Correct name resolver or address resolution problems in the referenced class, or correct compilation problems in its source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29535', 'source requires recompilation', 'The reason the current class object was invalid is recorded with the source object from which it was compiled.', 'Inspect errors in the source object and take the necessary corrective actions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29536', 'badly formed source: string', 'An attempt was made to create a Java source object with text that could not be parsed adequately to determine the class(es) defined by it.', 'Correct errors in source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29537', 'class or resource cannot be created or dropped directly', 'An attempt was made to create or drop a Java class or resource that is known to result from compilation of an existing Java source object.', 'Act on the class or resource by acting on the source, or change the source so that it no longer defines the class or resource.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29538', 'Java not installed', 'An attempt was made to use a Java command when Java is not installed.', 'Install Java, or do not use the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29539', 'Java system classes already installed', 'An attempt was made to use the CREATE JAVA SYSTEM command in a database where the Java system classes already are installed.', 'Use CREATE OR REPLACE JAVA SYSTEM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29540', 'class string does not exist', 'Java method execution failed to find a class with the indicated name.', 'Correct the name or add the missing Java class.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29541', 'class string.string could not be resolved', 'An attempt was made to execute a method in a Java class that had not been previously and cannot now be compiled or resolved successfully.', 'Adjust the call or make the class resolvable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29542', 'class string already defined by source string', 'An attempt was made to create a Java source object that would define a class that is already defined by a different Java source object.', 'Either drop the old source or modify the new source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29543', 'Java command string not yet implemented', 'An attempt was made to use a Java command that is not yet implemented.', 'Do not use the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29544', 'invalid type', 'The type argument in a call to a Java export or import command did not have a recognized value.', 'Correct the value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29545', 'badly formed class: string', 'An attempt was made to create a Java class object with bytecodes that were rejected by the Java verifier.', 'It is possible that an attempt was made to create the Java class from a damaged class file, in which case the CREATE should be reattempted with a correct class file. It is also possible that the message is the result of using "-" in the resolver so that the verifier could not check the correctness of some code. In that case, the class needs to be created with a resolver.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29546', 'badly formed resource: string', 'An attempt was made to create a Java resource object with data that was rejected by the Java verifier.', 'Correct the data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29547', 'Java system class not available: string', 'An attempt was made to use a command that requires a Java system class that was not yet present or was invalid.', 'Load the system classes, or do not use the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29548', 'Java system class reported: string', 'A command that uses a Java system class was aborted due to an error reported by the Java system class.', 'Correct the error that was reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29549', 'class string.string has changed, Java session state cleared', 'A class in use by the current session was redefined or dropped, invalidating the current Java session state and requiring that it be cleared.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29550', 'Java session state cleared', 'The Java state in the current session became inconsistent and was cleared.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29551', 'could not convert string to Unicode', 'A string in the database character set could not be converted to Unicode, as required for use by Java.', 'Correct the string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29552', 'verification warning: string', 'An attempt was made to create a Java class object with bytecodes that caused the Java verifier to issue a warning.', 'It is possible that the Java class was created from a damaged class file, in which case the CREATE should be reattempted with a correct class file. It is also possible that the message is the result of using "-" in the resolver so that the verifier could not check the correctness of some code. In that case, the class needs to be created with a resolver.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29553', 'class in use: string.string', 'An attempt was made to modify a Java class that is in use in the current call.', 'Correct the code in use in this call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29554', 'unhandled Java out of memory condition', 'The session encountered an out of memory condition in Java from which it could not recover. Java session state was cleared.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29555', 'Java source, class or resource is not allowed here', 'A Java source, class, or resource was specified in an inappropriate place in a statement.', 'Make sure the name is correct or remove it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29556', 'object type has changed', 'A database object name that named a Java source, class, or resource now names an object of a different type.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29557', 'Java system class string cannot be modified', 'A command was attempted that would have modified a Java system class.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29558', 'JAccelerator (NCOMP) not installed. Refer to Install Guide for instructions.', 'JAccelerator (NCOMP) is not installed.', 'Please refer to the Post-installation Tasks section in the Database Install Guide for instructions on how to install JAccelerator (NCOMP).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29561', 'Java VM JIT not supported on this platform.', 'Java VM JIT is not supported on this platform.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29655', 'USING clause is incompatible with its supertype', 'The USING clause of a type has to be the same as its supertype or compatible with it.', 'Make sure the USING clause is compatible with its supertype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29656', 'Invalid option for USING', 'The class has to implement the required interface for the value of the option for USING.', 'Make sure the USING clause is supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29657', 'class defined in EXTERNAL NAME clause is used in another subtype', 'The supertype has an existing type that has the same value for the EXTERNAL NAME.', 'Make sure the EXTERNAL NAME clause is unique among subtypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29658', 'EXTERNAL NAME clause is not compatible with its supertype', 'The EXTERNAL NAME clause of the type is not a subclass of the supertype EXTERNAL NAME.', 'Make sure the EXTERNAL NAME clause of the type is a subclass of the EXTERNAL NAME of its supertype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29659', 'SQLJ Object Type validation failed to get default connection', 'Unable to connect using the JDBC default connection.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33038', '(XSAGDNGL18) In AGGMAP workspace object, RELATION workspace object contains hierarchy dimensions that are also dimensions of the AGGMAP.', 'Hierarchy dimensions(extra dimensions) of a RELATION in the AGGMAP are base dimensions of the AGGMAP.', 'Correct the RELATION not to have hierarchy dimensions(extra dimensions) which are also base dimensions of the AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33040', '(XSAGDNGL19) In AGGMAP workspace object, VALUESETS workspace object and workspace object are both over the same hierarchy dimension.', 'Two or more different VALUESETs over the same hierarchy dimension are used in the AGGMAP.', 'Use the same VALUESET for two RELATION phrases or use two different VALUESETs over two different hierachy dimensions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33042', '(XSAGDNGL20) In AGGMAP workspace object, VALUESET workspace object must qualify all relations dimensioned by workspace object.', 'A VALUESET over a hierarchy dimension qualifies some RELATIONs but not all RELATIONs dimensioned by the same hierarchy dimension.', 'Use the same VALUESET to qualify all the RELATIONs dimensioned by the same hierarchy dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33044', '(XSAGDNGL21) AGGREGATE operator string requires a WEIGHTBY clause, but the ARGS clause in AGGMAP workspace object did not specify one.', 'The user used an operator which needs weight values but not provided the weight values.', 'Provide weight values using a WEIGHTBY cluase.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33045', '(XSAGDNGL51) The AGGREGATE operator string does not require a weight, but ARGS clause in AGGMAP workspace object specified workspace object as a weight.', 'The ARGS variable specified a weight even though one is not needed.', 'Modify the ARGS variable so that it does not specify a weight for that operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33046', '(XSAGDNGL22) In AGGMAP workspace object, you can specify only one SCREENBY clause.', 'The AGGMAP contained multiple SCREENBY clauses.', 'Remove one of the SCREENBY clauses from the AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33048', '(XSAGDNGL23) In AGGMAP workspace object, the relation workspace object and the relation workspace object are both over the same base dimension.', 'The AGGMAP contains incompatible RELATION statements.', 'Remove one of the RELATION statements from the AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33050', '(XSAGDNGL24) AGGMAP workspace object cannot be used to aggregate workspace object, because it is defined in a different analytic workspace.', 'The user attempted to aggregate a variable in another analytic workspace.', 'Create an AGGMAP in the other analytic workspace to aggregate that variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33052', '(XSAGDNGL25) AGGMAP workspace object is a dimensioned AGGMAP; it can only be used to aggregate like-dimensioned variables.', 'The user attempted to aggregate a variable with different dimensions than the AGGMAP. This is only possible with undimensioned AGGMAPs.', 'Create a new undimensioned AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33058', '(XSAGDNGL28) In AGGMAP workspace object, error code string is greater than the maximum error code of number.', 'The user specified an invalid ERRORMASK value.', 'Remove the invalid value from the ERRORMASK list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33060', '(XSAGDNGL29) In AGGMAP workspace object, the value for the ERRORLOG MAX option must be greater than 0.', 'The user specified an ERRORLOG MAX of 0 or a negative number.', 'Adjust the AGGMAP so that it uses a positive number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33062', '(XSAGDNGL30) In ALLOCMAP workspace object, WEIGHTBY option workspace object must be a numerical VARIABLE or FORMULA.', 'The WEIGHTBY clause requires numerical VARIABLE or FORMULA but the user used invalid objects.', 'Correct the WEIGHTBY cluase to use a valid numerical VARIABLE or FORMULA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33064', '(XSAGDNGL31) In AGGMAP workspace object, the hierarchy dimension QDR workspace object cannot refer to the related dimension of the relation.', 'The user specified an invalid hierarchy dimension qualified data reference.', 'Adjust the AGGMAP so that it uses a valid dimension value qualified data reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33066', '(XSAGDNGL32) In AGGMAP workspace object, the hierarchy dimension QDR workspace object must be a hierarchy dimension of the relation.', 'The user specified an invalid qualified data reference for the hierarchy dimension.', 'Adjust the AGGMAP so that it uses a valid dimension value qualified data reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33068', '(XSAGDNGL33) In AGGMAP workspace object, the hierarchy dimension QDR over dimension workspace object must specify a positive dimension offset.', 'The user specified an invalid qualified data reference for the hierarchy dimension.', 'Adjust the AGGMAP so that it uses a valid dimension value qualified data reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33070', '(XSAGDNGL34) In AGGMAP workspace object, all QDRs of dimension workspace object must map to the same dimension position.', 'The user specified two conflicting hierarchy dimension qualified data references.', 'Adjust the AGGMAP so that it uses a consistent qualified data reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33072', '(XSAGDNGL35) In AGGMAP workspace object, the hierarchy dimension QDR over dimension workspace object must be specified for every relation dimensioned by that hierarchy dimension.', 'Multiple dimensions share the same hierarchy dimension, but it is only qualified within a subset of the AGGMAP relations.', 'Adjust the AGGMAP so that it uses consistent qualified data references.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33074', '(XSAGDNGL36) In AGGMAP workspace object, the offset number is not a valid offset into dimension workspace object.', 'The hierarchy dimension offset is an invalid dimension position.', 'Adjust the AGGMAP so that it uses valid qualified data references.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33076', '(XSAGDNGL37) In AGGMAP workspace object, the value ''number'' is not a valid value of dimension workspace object.', 'The hierarchy dimension offset is an invalid dimension position.', 'Adjust the AGGMAP so that it uses valid qualified data references.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33078', '(XSAGDNGL39) In AGGMAP workspace object, the hierarchy dimension QDR workspace object must refer to a dimension.', 'The user specified an invalid qualified data reference for the hierarchy dimension.', 'Adjust the AGGMAP so that it uses a valid dimension value qualified data reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33080', '(XSAGDNGL40) In AGGMAP workspace object, you cannot reference dimension workspace object with both a RELATION statement and a DIMENSION statement.', 'The user included both RELATION and DIMENSION statements in the AGGMAP referring to the same AGGMAP.', 'Remove one of the conflicting clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33082', '(XSAGDNGL41) In AGGMAP workspace object, the non-dimensioned valueset workspace object must have a parent QDR in its VALUESET statement over the VALUESET''s base dimension.', 'The VALUESET statement specified a scalar valueset but did not include a qualified data reference to specify the parent.', 'Add a qualified data reference specifying the parent to the VALUESET statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33084', '(XSAGDNGL42) In AGGMAP workspace object, you cannot qualify the dimensioned valueset workspace object.', 'The VALUESET line referred to a dimensioned valueset.', 'Use a non-dimensioned valueset to limit the status of the dimensioned one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33086', '(XSAGINIT01) AGGMAP workspace object cannot be dimensioned by a conjoint dimension.', 'The specified AGGMAP was dimensioned by a conjoint dimension.', 'Use the CHGDFN command to change the conjoint to a composite dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36212', '(XSAGOP06) In AGGMAP workspace object, you can only specify the MIN, MAX, FLOOR, and CEILING arguments while using the PROPORTIONAL operator, not string.', 'The user specified MIN, MAX, FLOOR, or CEILING when using an operator other than PROPORTIONAL.', 'Remove the incorrect argument from the RELATION line.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36220', '(XSLPDSC01) All dimensions in LIST number are also in the IGNORE clause.', 'One of the dimension lists in the dimension loop descriptor had no base dimensions except those in the IGNORE list. This leaves no dimensions for looping over.', 'Fix the dimension loop descriptor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36221', '(XSLPDSC02) LIST number and LIST number have different base dimensions.', 'The base dimensions of the dimension lists given in the loop descriptor do not match.', 'Ensure that each dimension list has the same set of looping base dimensions. If necessary, use IGNORE within a lists to discard base dimensions that should not be looped.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36222', '(XSLPDSC03) duplicate IGNORE or DENSE information for dimension workspace object', 'An IGNORE or DENSE list in a dimension loop descriptor included the dimension twice, included two different valuesets of the dimension, or includes the dimension and a valueset of the dimension.', 'Only use the dimension or a valueset of the dimension once in an IGNORE or DENSE list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36280', '(XSCGMDLAGG08) Valueset workspace object does not contain values of any dimension of the current model.', 'AGGREGATION specified a valueset of a dimension not listed in a DIMENSION statement for the current model.', 'Add the valueset''s dimension to the model''s DIMENSION list, or choose a different valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36290', '(EIFMAKEF14) You cannot export object workspace object, because EIFVERSION is set to number. That version does not support string strings.', 'The user tried to export a NUMBER dimension to an EIF file with the EIFVERSION option set to a number less than 80000. Versions previous to that eversion do not support NUMBER dimensions.', 'A NUMBER dimension cannot be used in a version of older than 9.2.0. If', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36312', '(PHYS00) workspace object must be a dimension, dimensioned variable or relation.', 'The user specified an invalid OLAP object while attempting to use the PHYSICAL function', 'Specify a valid object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36313', '(PHYS03) The VALUE option of PHYSICAL cannot be applied to a variable.', 'the VALUE argument to PHYSICAL was supplied for a variable.', 'remove VALUE or specify a relation or dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36314', '(PHYS01) workspace object must be a dimension, relation or variable.', 'The user specified an invalid OLAP object while attempting to use the PHYSICAL command', 'Specify a valid object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36315', '(PHYS04) You must specify the VALUE option for scalar relation workspace object.', 'The VALUE argument to PHYSICAL was omitted for a scalar relation', 'specify VALUE or choose a dimensioned relation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36316', '(PHYS02) Relation workspace object must be a single-dimensional relation that relates one INTEGER dimension to another.', 'The user specified an invalid relation while attempting to use the PHYSICAL command', 'Specify a valid relation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36340', '(SNSYN130) The format of the PARTITIONCHECK function is: PARTITIONCHECK(aggmap, partition_template)', 'Bad syntax', 'Correct syntax', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36342', '(SNSYN200) The format of the CLEAR command is: CLEAR [ ALL | STATUS ] [ AGGREGATES | CHANGES | PRECOMPUTES | NONPRECOMPUTES | CACHE ] FROM var1 [var2, var3...] [USING aggmap]', 'The syntax for the CLEAR command was invalid.', 'Modify your syntax using the correct format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36376', '(XSAGZERO) AGGREGATE attempted to divide by zero. Set DIVIDEBYZERO to YES if you want NA to be returned as the result of a division by zero.', 'A calculation in the current AGGREGATE command attempted to divide by zero as a result of an AVERAGE, WAVERAGE, HAVERAGE or HWAVERAGE operation.', 'Either fix the data, or set DIVIDEBYZERO to YES to return NA instead of signaling an error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36378', '(XSAGTHRWEIGHT) While running AGGREGATE with multiple threads, the weight variable workspace object specified by your ARGS variable workspace object must exist in the same analytic workspace as your AGGMAP workspace object.', 'While running AGGREGATE in threaded mode, you attempted to specify a WEIGHT variable in another analytic workspace.', 'Use a weight variable from the same analytic workspace as the aggmap and rollup variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36380', '(AGGRECURSE) AGGREGATE was called recursively, which is not allowed.', 'A model, NATRIGGER, or other object called the AGGREGATE function or command while another AGGREGATE function or command was already in progress.', 'Modify your objects so that they do not need to have two AGGREGATE commands or functions executing at once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36389', '(XSAGPARTDEP01) Can not aggregate from PARTITION number into PARTITION number due to increasing sparsity along DIMENSION %J.', 'The user is attempting to use partitions as a means of sparsity control, however they have set up their partitions in a manner that simply makes no sense. It is a simple fact that during aggregation data becomes more dense, not less dense, and yet their partitions indicate the opposite.', 'Modify the partition template add the specified dimension into the source composite, or removing it from the target composite.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36391', '(XSMXCLEA01) When CLEAR is used with the STATUS keyword or an AGGMAP, workspace object must be dimensioned identically to workspace object.', 'The user specified objects whose dimensionality didn''t match', 'Break up the CLEAR command into multiple commands where the dimensionality of the objects matches', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36392', '(XSMXCLEA02) When using CLEAR with the PRECOMPUTES or NONPRECOMPUTES options, you must specify an AGGMAP.', 'The user didn''t specify an AGGMAP with the CLEAR command.', 'specify an aggmap by adding a USING phrase to the CLEAR command, or attach a ''$AGGMAP'' property to the variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36393', '(XSMXCLEA03) When using the AGGREGATES, CHANGES or CACHE options, you must specify the ALL keyword.', 'The user didn''t use the ALL keyword when using CHANGES or CACHE.', 'Specify the ALL keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36394', '(XSMXCLEA04) When using CLEAR on the AGGMAP workspace object, CACHE is the only valid directive.', 'The user attempted to CLEAR an AGGMAP using a directive other than CACHE.', 'Amend the CLEAR line to only use the CACHE keyword with AGGMAPs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36395', '(XSMXCLEA05) To CLEAR ALL AGGREGATES from workspace object, you must specify an AGGMAP.', 'The CLEAR command could not determine how the variable was aggregated because the variable is not dimensioned by a compressed composite.', 'Specify an aggmap by adding a USING phrase to the CLEAR command, or attach a ''$AGGMAP'' property to the variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36398', '(XSSPROP01) Property name ''number'' is invalid because only system-reserved property names can begin with ''$''.', 'The user attempted to add a property which starts with $ but is not a reserved property name', 'Remove the $ from the property name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36399', '(XSSPROPDTYPE) The data type of property string must be string.', 'The user tried to set a system-reserved property on an OLAP object to a value with an illegal datatype', 'Set the property with the proper datatype', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37158', 'Bad clob or varray IN-args: (case string)', 'When in clob or varray mode, the PL/SQL mappings of OLAP API''s IDL interface methods were executed blindly with null clob/varray or non-null clob/varray containing garbages.', 'Do not blindly execute them as doing so does not make sense unless you understand how OLAP API works internally.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37159', 'C++ virtual table addresses become invalid due to session migration in shared server mode.', 'Exec-shield is the primary reason that caused this error in shared server mode. When exec-shield is turned on, there is no way to ensure that the C++ virtual table addresses are identical in all shared-server processes.', 'Set option _XSOLAPI_FIX_VPTRS to TRUE, restart the instance, and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37160', 'OLAP object does not exist', 'The specified OLAP object did not exist.', 'Use an existing OLAP object instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37161', 'invalid privilege specified for OLAP object', 'An attempt was made to grant or revoke an invalid privilege on an OLAP object.', 'Specify a valid privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37162', 'OLAP error', 'An exception was raised by OLAP code.', 'Check error messages and correct any reported problems.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37163', 'cannot delete or truncate AW with dependent CUBES or CUBE DIMENSIONS', 'User attempted to delete or truncate an AW which currently has a CUBE or CUBE DIMENSION defined over it', 'Drop the corresponding CUBE or CUBE DIMENSION before deleting the AW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37171', 'dimension sources not specified', 'The user passed an empty or null collection to DBMS_AW.ADVISE_SPARSITY', 'Specify a valid set of dimension sources', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37172', 'illegal dimension type', 'The user specified an invalid member of the DIMTYPE field in the dimension sources argument', 'Specify one of the valid enumerated values in DBMS_AW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37173', 'null dimension source data', 'The user specified NULL for one of the members of the dimension sources argument', 'Specify a value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37174', 'source SQL must be a SELECT statement', 'The user specified an INSERT, UPDATE, DELETE or other type of SQL statement', 'Specify a SQL SELECT statement instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37175', 'column string is not a column of source data', 'A dimension column was specified which did not exist in the input data', 'Specify one of the columns of the input data', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37176', 'argument string is not valid for the sparsity advisor', 'An invalid argument was passed to the advisor', 'Specify a TABLE, VIEW or SELECT statement instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37177', 'column string does not have any leaf values', 'The specified dimension column or fact table did not contain any leaf values', 'Populate the source data', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37178', 'column string has no values', 'The specified dimension column did not contain any values', 'Populate the source data', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37179', 'expected at least one column for dimension string, got string', 'Not enough columns were specified for the dimension', 'Specify more source columns, or change the dimension to another type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37180', 'expected exactly one column for dimension string, got string', 'Expected a single source column for the dimension. Either none or more than one was specified.', 'Specify exactly one column, or change the dimension to another type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37181', 'expected exactly string columns for dimension string, got string', 'Expected a certain number of source columns for the dimension. Either none or the wrong number of columns was specified.', 'Specify the right number of columns, or change the dimension to another type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37182', 'you may only specify one dimension to partition', 'The user passed a DIMENSION_SOURCE_T to ADVISE_SPARSITY which specified partitioning on more than one dimension', 'Remove all but one of the partitioning requests', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37183', 'illegal value string for PARTBY', 'The user passed a value other than PARTBY_DEFAULT, PARTBY_NONE or PARTBY_FORCE to DBMS_AW.ADVISE_SPARSITY *Acton: Supply a legal value instead', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37184', 'illegal value string for ADVMODE', 'The user passed a value other than ADVICE_DEFAULT, ADVICE_FAST or ADVICE_FULL to DBMS_AW.ADVISE_SPARSITY *Acton: Supply a legal value instead', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37185', 'length of string (string) exceeds maximum (string)', 'The user passed an excessively long value', 'Specify a legal value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37186', 'null child value for parent (string) found in parent-child hierarchy', 'While reading values for a parent-child hierarchy, a NULL child value was found for a non-NULL parent', 'Correct the source table or SQL to return value parent and child pairs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37187', 'null parent and child pair found in parent-child hierarchy', 'While reading values for a parent-child hierarchy, a row was retrieved which had both null child and parent values.', 'Correct the source table or SQL to return value parent and child pairs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37400', 'analytic workspace does not exist', 'The user attempted to create an OLAP MV or Table on an AW that does not exist.', 'Specify a valid AW in the ORGANIZATION CUBE clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37401', 'you may not perform this operation on a system analytic workspace', 'The user attempted to create a CUBE MV or Table on a system-created AW.', 'Specify a valid AW in the ORGANIZATION CUBE clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37402', 'analytic workspace object does not exist', 'The user attempted to create a CUBE MV or Table mapping to an object that does not exist in the AW.', 'Specify a valid AW object name in the ORGANIZATION CUBE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37403', 'invalid analytic workspace object type', 'The user attempted to create a CUBE MV or Table mapping to an object that is not the correct type.', 'Specify a valid AW object name in the ORGANIZATION CUBE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37404', 'Create table as select disallowed for CUBE ORGANIZED tables', 'User attempted to create a CUBE ORGANIZED table by doing a create table as select.', 'Do a create table followed by an insert as select', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37405', 'unknown ORGANIZATION CUBE keyword', 'An unknown keyword was encountered while parsing the ORGANIZATION CUBE clause', 'Correct the ORGANIZATION CUBE syntax', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37406', 'invalid option for a CUBE ORGANIZED table', 'An attempt to specify one or more options for a CUBE ORGANIZED table such as: [NO]CACHE, NO LOGGING, CLUSTER, (NO)COMPRESS', 'Remove the illegal option(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37407', 'invalid column type for a CUBE ORGANIZED table', 'A illegal column type is specified in a CUBE ORGANIZED table.', 'Do not use column types such as LONG, LOB', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37408', 'Truncate table disallowed for CUBE ORGANIZED tables', 'User attempted to perform a TRUNCATE operation on a CUBE ORGANIZED table', 'Remove data with DELETE or drop the table and recreate it', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37409', 'cannot delete or truncate AW used by CUBE ORGANIZED table', 'User attempted to delete or truncate an AW which currently has a CUBE ORGANIZED table or MV defined over it', 'Drop the corresponding table or MV before deleting the AW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37410', 'cannot delete or modify AW object referenced by CUBE ORGANIZED table', 'User attempted to delete, chgdfn, or otherwise modify an object referenced by a CUBE ORGANIZED table or MV', 'Drop the corresponding table or MV before manipulating the object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37411', 'invalid object type', 'User referenced an invalid object type', 'Use an appropriate object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37412', 'column not mapped by ORGANIZATION CUBE clause', 'Not all columns in the table or MV definition were mapped in the ORGANIZATION CUBE clause', 'Make sure that all columns are mapped', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29660', 'Unable to find the class defined in the EXTERNAL NAME clause', 'The class is not loaded in the database.', 'Make sure the EXTERNAL NAME corresponds to a loaded class in the the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29661', 'Unable to find the superclass of the defined in the EXTERNAL NAME', 'The class is not loaded in the database.', 'Make sure the superclass of the EXTERNAL NAME is loaded in the the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29662', 'Unable to find a field that matches one or more of the attributes', 'The EXTERNAL NAME option of one or more attributes do not match any fields in the defined class.', 'Make sure the EXTERNAL NAME option of each attribute matches a field in the defined in the defined class.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29663', 'Unable to find a method that matches one or more of the functions', 'The EXTERNAL NAME option of one or more functions do not match any method in the defined class.', 'Make sure the EXTERNAL NAME option of each function matches a method in the defined in the defined class.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29664', 'Unable to generate the helper class for the defined type', 'The helper class used for supporting SQLJ Object Type is not generated.', 'No Action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29665', 'Java thread deadlock detected', 'The Java VM has detected a thread deadlock.', 'Modify the Java program to avoid the deadlock condition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29701', 'unable to connect to Cluster Manager', 'Connect to CM failed or timed out.', 'Verify that the CM was started. If the CM was not started, start it and then retry the database startup. If the CM died or is not responding, check the Oracle and CM trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29702', 'error occurred in Cluster Group Service operation', 'An unexpected error occurred while performing a CGS operation.', 'Verify that the LMON process is still active. Also, check the Oracle LMON trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29703', 'error occurred in global enqueue service operation', 'An unexpected error occurred while performing a global enqueue service operation.', 'Check oracle trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29704', 'cannot specify ACTIVE_INSTANCE_COUNT in 8.1.5 or earlier release', 'The ACTIVE_INSTANCE_COUNT parameter was specified when one of the instances in the cluster was running Oracle 8.1.5 or an earlier release.', 'Restart the instance without specifying the ACTIVE_INSTANCE_COUNT parameter. Or, upgrade all instances to Oracle 8.1.6 or later release and then specify the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29705', 'ACTIVE_INSTANCE_COUNT is string which is incompatible with the value in other instances', 'The value of the ACTIVE_INSTANCE_COUNT parameter must be the same in all Oracle cluster database instances.', 'Check your initialization parameter files in all instances and ensure that the ACTIVE_INSTANCE_COUNT parameter has the same value. Then restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29706', 'incorrect value string for parameter ACTIVE_INSTANCE_COUNT', 'The ACTIVE_INSTANCE_COUNT parameter must be set to 1 in a two node cluster database configuration or unspecified if a secondary instance is not needed.', 'Check your initialization parameter files and correct the value of the ACTIVE_INSTANCE_COUNT parameter. If you are configuring a two node primary/secondary cluster database, set this value to 1. Otherwise, do not specify any value for the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29707', 'inconsistent value string for initialization parameter string with other instances', 'The value of the initialization parameter in error must be identical on all Oracle cluster database instances and was not.', 'Check your INIT.ORA files on all instances and ensure that the initialization parameters in error have the same value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29740', 'evicted by member string, group incarnation string', 'This member was evicted from the group by another member of the cluster database for one of several reasons, which may include a communications error in the cluster, failure to issue a heartbeat to the control file, etc.', 'Check the trace files of other active instances in the cluster group for indications of errors that caused a reconfiguration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29741', 'IMR active for some, but not all members of cluster', 'The IMR feature is not active for this instance, but is active for another instance in the cluster database.', 'Ensure that all instances have the same value for the _imr_active init.ora parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29746', 'Cluster Synchronization Service is being shut down.', 'The administrator has shut down the Cluster Synchronization Service daemon. This error message is intended to be informative to users on the status of the service.', 'Check the log file of the Cluster Synchronization Service daemon to verify the state of the service.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29760', 'instance_number parameter not specified', 'The init.ora file did not contain a value for the instance_number which is required to identify this instance to other instances of the database running on the same cluster', 'Assign a value to the instance_number parameter in the init.ora parameter file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29800', 'invalid name for operator', 'The name specified for the operator is incorrect.', 'Specify a correct name for the operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30378', 'MV_CAPABILITIES_TABLE is not compatible with Oracle version', 'One or more column definitions in the MV_CAPABILITIES_TABLE is either missing or incompatible with the current Oracle version.', 'Connect to the appropriate schema, DROP TABLE MV_CAPABILITIES_TABLE and recreate it by invoking the admin/utlxmv.sql script prior to invoking the DBMS_MVIEW.EXPLAIN_MVIEW() API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30379', 'query txt not specified', 'You have attempted use DBMS_MVIEW.EXPLAIN_REWRITE() API using an empty query text argument', 'Input a valid SQL query', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30380', 'REWRITE_TABLE does not exist', 'You have used the DBMS_MVIEW.EXPLAIN_REWRITE() API before you have created the REWRITE_TABLE.', 'Create it using the admin/utlxrw.sql script after connecting to the desired schema', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30381', 'REWRITE_TABLE is not compatible with Oracle version', 'One or more column definitions in the REWRITE_TABLE is either missing or incompatible with the current Oracle version.', 'Connect to the appropriate schema, DROP TABLE REWRITE_TABLE and recreate it by invoking the admin/utlxrw.sql script prior to invoking the DBMS_MVIEW.EXPLAIN_REWRITE() API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30741', 'WITH HIERARCHY OPTION can be specified only for SELECT privilege', 'The user tried to specify WITH HIERARCHY OPTION for a privilege other than SELECT privilege.', 'Ensure that the HIERARCHY OPTION is specified only with the SELECT privilege', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30742', 'cannot grant SELECT privilege WITH HIERARCHY OPTION on this object', 'The user tried to grant SELECT privilege WITH HIERARCHY OPTION on an object that is not one of the following : object table of non final type, object view of non final type.', 'Ensure that the SELECT privilege WITH HIERARCHY OPTION is granted on a valid object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30743', '"string" is not an object view', 'The specified object is not an object view.', 'Specify an object view and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30744', '"string" is not an object table', 'The specified object is not an object table.', 'Specify an object table and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30745', 'error occured while trying to add column "string" in table "string"', 'The user tried to add a subtype which tried to alter the tables dependent on the supertype.', 'Ensure that the table will not exceed the columnlimit on adding this subtype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33092', '(XSAGCOMP04) number is not the name of a MODEL in any attached analytic workspace.', 'An invalid model name was attached to an AGGMAP.', 'Remove the model from the AGGMAP or create a model with that name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33094', '(XSAGGMAPLIST01) Your expression uses too much execution space. Eliminate recursion or reduce the levels of nesting.', 'formulas likely refer to each other recursively or with a great deal of depth.', 'eliminate recursion and flatten formula trees.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33098', '(APABBR01) A value of ''string'' is not valid for the workspace object option.', 'An inappropriate value was specified for the named option.', 'Set a legal value for the option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33100', '(APABBR02) Value ''number'' is not valid for the workspace object option.', 'An inappropriate value was specified for the named option.', 'Set a legal value for the option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33141', '(XSAWFREEZE1) The analytic workspace string is already frozen.', 'Attempting to freeze an AW when it is already frozen', 'Thaw the AW before freezing it again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33143', '(XSAWFREEZE2) The analytic workspace string must be attached RW or RX.', 'The AW must be updatable to change the freeze state', 'Reattach AW before freezing or thawing it again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33145', '(XSAWFREEZE3) Cannot rollback analytic workspace string; generations are in use.', 'One or more generations due to be destroyed as part of a rollback to freeze command are currently in use.', 'Get sessions using those generations to detach the AW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33147', '(XSAWFREEZE4) The analytic workspace string is not frozen.', 'You are attempting to "rollback to freeze" an AW that is not frozen.', 'Only execute this command on a frozen AW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33213', '(CINSERT06) The target position for MAINTAIN ADD or MAINTAIN MOVE cannot fall in the range of session-only values.', 'The user specified a BEFORE or AFTER clause specifying a position in the range of SESSION dimension values.', 'Do not use a position clause, or specify a position before the first SESSION value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33214', '(CINSERT02) The workspace object dimension is too large.', 'The dimension has too many values.', 'Deleted values can still take up space in the dimension and cause this error. Try removing the deleted values by exporting the dimension to EIF and reimporting it with the REPLACE DELETE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33215', '(CINSERT07) You cannot add session-only values to the workspace object dimension.', 'The user tried to add a SESSION dimension value while a spreadsheet spreadsheet cursor was open.', 'Try adding the SESSION value while the cursor is not active.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33217', '(CINSERT20) Custom member values cannot be added to concat dimension workspace object, or to any of its bases, because it is not defined as UNIQUE.', 'Only UNIQUE concat dimensions can have custom member values.', 'Use the CHGDFN command to change the concat dimension to UNIQUE and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33218', '(CINSERT04) %K is not a valid value for the workspace object dimension. Values for this dimension can have at most number significant digits after rounding to number decimal places.', 'The user attempted to insert a value that had too many digits into a NUMBER dimension. For instance, the user might have tried to insert the value 99999 (5 digits) into a dimension with data type NUMBER(4).', 'Use a smaller number for the dimension value, or define a new dimension with a larger precision and replace the old dimension with the new one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33219', '(CINSERT05) %K cannot be added to workspace object because it is already a value of the dependent UNIQUE concat dimension workspace object, from leaf dimension workspace object.', 'A value cannot be added to a dimension if it conflicts with an existing value in a unique concat dimension containing this dimension.', 'The concat(s) causing the conflict could be CHGDFNed to NOT UNIQUE, or either of the duplicate values could be renamed to make them UNIQUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33223', '(CMOVE03) You cannot move a session-only dimension value.', 'The user named a SESSION dimension value in the MAINTAIN MOVE command.', 'Do not try to MAINTAIN MOVE session-only dimension values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33247', '(CRENAME03) %K is already a value of the dependent UNIQUE concat dimension workspace object, from leaf dimension workspace object.', 'A value cannot be renamed in a dimension if the new value conflicts with an existing value in a unique concat dimension containing this dimension.', 'The concat(s) causing the conflict could be CHGDFNed to NOT UNIQUE, or either of the duplicate values could be changed to make them UNIQUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33261', '(DBERRLEN) Analytic workspace string extension number truncated at number bytes while trying to read at number.', 'Either an internal error or a mistaken user has truncated the AW', 'Export any data if possible and restore from backup', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33262', '(DBERR01) Analytic workspace string does not exist.', 'The analytic workspace requested does not seem to be in the current database', 'Check that you are in the correct schema and have access to the requested AW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33263', 'Could not create analytic workspace string', 'A serious error was encountered while trying to set up the tables for the named analytic workspace. Possibilities include a tablespace that can''t be written to, corrupted metadata about which AWs exist, bogus tables with names the code expects to be able to use, or the remains of a partially removed AW.', 'There should be another error on the error stack. Consult it to determine what is causing the problem and remove that table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33265', '(DBERRBSZ) Analytic workspace string cannot be opened. Tablespace blocksize number does not match database cache size number.', 'The blocksize of the containing tablespace didn''t match database cache size.', 'Change either size to make them consistent, or set olap_page_pool_size to 0 to allow automatic OLAP pool management when compatibility is greater than 10.2.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33267', '(DBERRRLS) Analytic workspace string cannot be accessed because it has fine-grained access control applied to it', 'An attempt was made to access the specified analytic workspace''s LOB table. The OLAP option detected the table had fine-grained security applied to it. The OLAP option requires full access to this table to operate correctly.', 'Remove the fine-grained access control.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33268', '(DBERRTHW) Analytic workspace string cannot be attached with the THAW option because it was frozen with the NOTHAW option', 'An attempt to attach the AW using the thaw option was made; the AW was frozen using the NOTHAW option.', 'Either attempt the command again without the THAW option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33269', 'while operating on ''string''', 'Error is raised to inform user what object was being worked on when an error occurred during the creation of an AW. It should always be signaled with 33263', 'See error#33263', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33270', '(DBERR05) Analytic workspace string already exists.', 'The AW CREATE command was passed the name of an analytic workspace that already exists', 'Specify a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33271', 'simulated paging error', 'This is an internal error that should never be seen', 'Contact Oracle technical support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36400', '(XSSPROP02) workspace object is not a valid variable name.', 'Not a valid variable name', 'Change to a valid variable name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36401', '(XSSPROPOTYPE) Property string may only be applied to objects of type string.', 'The user applied a reserved property name to an incorrect object type', 'Apply the property to the correct object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36402', '(XSSPROP03) The property ''$string'' requires a leading "$" because it is a system-reserved property name.', 'The user tried to specify a property name which is reserved, but did not use a leading $', 'Either add a leading $ or choose another property name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36403', '(XSBADSPROP) number is an illegal value for system-reserved property string on workspace object.', 'The user tried to specify an illegal value for a special property', 'Specify a legal value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36404', '(XSSPROP04) Property string cannot be applied to an undimensioned (scalar) TEMPORARY variable.', 'The user applied a reserved property name to an incorrect object type', 'Apply the property to the correct object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36405', '(XSSPROP05) Property ignored for object workspace object:', 'A property was ignored during import.', 'Refer to the message that follows this one and correct the error it describes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36406', '(VCACHE00) ''number'' is an invalid value for the VARCACHE option. The only permissible values are ''SESSION'', ''VARIABLE'', and ''NONE''.', 'The user tried to assign an invalid value to the VARCACHE option', 'Assign one of the valid values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36410', '(VCACHE03) ''number'' is an invalid value for the $VARCACHE property. The only permissible values are ''DEFAULT'', ''SESSION'', ''VARIABLE'', and ''NONE''.', 'The user tried to assign an invalid value to the $VARCACHE property on a variable', 'Assign one of the valid values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36608', '(XSAGHOVERFLOW) The depth of the hierarchies encountered while processing a composite dimension in AGGREGATE caused a counter overflow.', 'The depth of the hierarchies that are part of a composite exceeded 4 billion levels during the merge.', 'Reduce the number of levels in the hierarchies, reduce the number of dimensions in the composite, or do not aggregate over all dimensions at once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36610', '(XSLMS00) Unable to locate a message file for OLAP message: value', 'An internal OLAP DML program in the EXPRESS Analytic Workspace failed to retrieve a user message.', 'Contact support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36612', '(XSLMS01) invalid OLAP message number: value', 'An internal OLAP DML program in the EXPRESS Analytic Workspace attempted to retrieve a non-existent message.', 'Contact support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36616', '(XSAGMODHIER01) There is a cycle formed by MODEL workspace object and other embedded or containing models with the same dimension, workspace object.', 'Inclusion of a dynamic model formed a cycle in the named dimension.', 'Edit the models involving this dimension to remove the cycle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36617', '(XSAGMODHIER02) There is a self-cycle equation in MODEL workspace object.', 'The model for relation modification included a self-cycle equation.', 'Remove the self-cycle equation from the model.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36618', '(XSAGMODDIM00) workspace object is not a valid dynamic model for AGGMAP.', 'The model failed one of the following tests: 1) only one dimension (aside from LAG/LEAD dimensions); 2) assignment to dimension values only; 3) a single simple solution block; 4) no time-series functions with variable step values.', 'Edit the model so that it conforms to the above requirements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36620', '(XSAGMODDIM01) MODEL workspace object cannot find the matching embedded model.', 'AGGMAP ADD model could not find the matching embedded model.', 'Add the matching embedded model to the AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36621', '(XSAGMODDIM02) You cannot AGGREGATE the individual partition using static model workspace object because a partition dimension or its deriver workspace object appears in the equation of the step or simultaneous block.', 'An attempt was made to AGGREGATE the individual partition using the static model with the partition dimension in the equation of the step or simultaneous block.', 'AGGREGATE the variable instead of the individual partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36622', '(XSAGMODLIST00) workspace object cannot be added to the AGGMAP workspace object because it is not a valid MODEL.', 'An object specified in AGGMAP ADD was not a model.', 'Specify the name of a model.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36626', '(XSAGMODLIST02) MODEL workspace object was skipped because there is already a MODEL by that name attached to AGGMAP workspace object.', 'An attempt was made to add the same model to the AGGMAP twice.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36628', '(XSAGMODLIST03) MODEL workspace object could not be added to AGGMAP workspace object.', 'The dimension of the model did not match a hierarchy of the aggmap.', 'Add a RELATION statement to the AGGMAP for that dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36630', '(XSDUNION00) An empty base dimension list was specified in the concat dimension definition.', 'An empty concat dimension list was specified.', 'Specify a valid list of dimensions when defining a concat dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36632', '(XSDUNION01) The concat dimension workspace object is not currently defined as UNIQUE.', 'Attempt was made to CHGDFN a concat, which is already non-unique, to NOT UNIQUE.', 'Since the concat is already non-unique, this command is unnecessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36634', '(XSDUNION02) INTEGER dimension workspace object cannot be used as a concat dimension base.', 'The user cannot specify INTEGER base dimensions when defining a concat dimension.', 'Change the datatype of the INTEGER base dimension, or omit it from the concat.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36635', '(XSDUNION03) The base dimension workspace object has an invalid datatype for use in a UNIQUE concat definition.', 'Base dimensions of a unique concat must have TEXT or ID datatypes.', 'Specify a valid list of dimensions when defining a unique concat dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36636', '(XSDUNION04) The unique concat dimension workspace object cannot be changed to NOT UNIQUE, because it is a base of at least one other unique concat dimension.', 'A non-unique concat dimension cannot be used as a base of a dependent unique concat.', 'CHGDFN any dependent unique concat dimensions to NOT UNIQUE and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36637', '(XSDUNION05) The concat dimension cannot be defined as UNIQUE because it has a non-unique concat base dimension workspace object.', 'A non-unique concat dimension cannot be used as a base of a dependent unique concat.', 'CHGDFN any non-unique concat base dimensions to UNIQUE and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36638', '(XSDUNION17) Concat dimension workspace object cannot be changed to UNIQUE because it has a non-unique concat base dimension workspace object.', 'A non-unique concat dimension cannot be used as a base of a dependent unique concat.', 'CHGDFN any non-unique concat base dimensions to UNIQUE and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36639', '(XSDUNION18) UNIQUE cannot be applied to this concat dimension because leaves workspace object and workspace object share the value number.', 'Unique concat base dimensions cannot contain duplicate values.', 'Use MAINTAIN RENAME to change one of the duplicate values and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36640', '(XSDUNION19) Concat dimension workspace object cannot be changed to UNIQUE because base dimension workspace object does not have a TEXT or ID datatype.', 'Base dimensions of a unique concat must have TEXT or ID datatypes.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37413', 'column referenced multiple times in ORGANIZATION CUBE clause', 'The same column name was referenced multiple times inside of the ORGANIZATION CUBE clause', 'Supply unique mappings for each column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37414', 'dimension without mapping or hierarchy in ORGANIZATION CUBE clause', 'A dimension was listed in the ORGANIZATION CUBE clause but no mapping information was supplied', 'Provide either a column mapping or hierarchy for the dimension', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37415', 'AW schema must match TABLE or MATERIALIZED VIEW schema', 'An ORGANIZATION CUBE table or MV on top of an existing AW must be created in the same schema as the AW', 'Create the new object in the same schema as the AW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37416', 'multiple GROUPING IDs found for ORGANIZATION CUBE', 'Multiple GROUPING IDs for the ORGANIZATION CUBE TABLE or MATERIALIZED VIEW', 'Remove the duplicates', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37417', 'variable does not have an AGGCOUNT', 'A COUNT clause was specified in the ORGANIZATION CUBE description for a variable that does not have an AGGCOUNT', 'chgdfn the variable to include an AGGCOUNT', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37418', 'detail query cannot be derived', 'If an ORANIZATION CUBE MV is to automatically derive its loading clause, then its definition query cannot contain set operators (eg UNION ALL), a HAVING clause, START WITH or a SQL MODEL clause. The definition query contains these or other unsupported syntax.', 'Use an explicit ORGANIZATION CUBE clause, or simplify the defining query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37419', 'ORGANIZATION CUBE clause not allowed in explain mview', 'User tries to explain mview on a CREATE MATERIALIZED VIEW statement that contains a ORGANIZATION CUBE clause.', 'Remove the ORGANIZATION CUBE clause from the CREATE MATERIALIZED MATERIALIZED VIEW statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37420', 'unsupported feature with CUBE ORGANIZED materialized view', 'User attempts operations such as creating a mv log on an CUBE ORGANIZED MATERIALIZED VIEW.', 'Do not do that.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37521', '(HASHSCAN00) Dimension string contains duplicate values. Please contact Oracle OLAP Technical Support.', 'The named dimension contains duplicate values.', 'Contact Technical Support for instructions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37522', '(HASHSCAN01) You must specify the name of an existing TEXT or NTEXT dimension.', 'the _HASHSCAN program was invoked with an invalid argument', 'Provide a text expression yielding the name of an existing TEXT dimension', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37527', '(XSCHGDFN01) SESSION values of dimension string are being automatically deleted.', 'When using CHGDFN to rebuild the hash index of a TEXT or NTEXT dimension, SESSION values were encountered.', 'Recreate the SESSION values after the CHGDFN command completes. Information about the deleted values has been written to the trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37530', '(XSCCLOAD01) When aggregating between compressed partitions the base dimensions of workspace object did not match the base dimensions of workspace object.', 'When aggregating a partitioned variable the dimensionality of any compressed partitions should be identical.', 'Delete the upper partition and redefine it with a composite that matches the lower partition. If it is dependent on multiple partitions with varying sparsity you must first unify the the sparsity of the source partitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37531', '(XSCCLOAD02) When aggregating between compressed partitions the source partitions were aggregated with a different AGGMAP, or the RELATIONS have changed since the source partitions were aggregated.', 'When aggregation crosses partition boundaries within a compressed variable the individual partitions must all be aggregated using a similar aggmap over the same unaltered relations.', 'Modify the aggmap for the upper partition to more exactly match the aggmap of the source partitions, or if the aggmap is already similar, re-aggregate the source partitions to pick up any changes to the relations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37600', '(XSPGERRPERMDETACH) Ran out of tablespace storage while updating analytic workspace string', 'Ran out of lob segment space.', 'Increase tablespace storage. AW may need to be detached.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37601', '(XSPGERRTEMP) Ran out of temporary storage while writing to analytic workspace with ID=number. Free some temporary storage immediately. You can do so, for example, by DETACHING an analytic workspace.', 'Ran out of temporary tablespace storage.', 'Increase the amount of temporary tablespace storage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37602', '(XSPGERRTEMPUSER) Ran out of temporary storage while writing to analytic workspace string. Free some temporary storage immediately. You can do so, for example, by DETACHING an analytic workspace.', 'Ran out of temporary tablespace storage.', 'Increase the amount of temporary tablespace storage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37603', '(XSPGERRTEMPSYSTEM) Ran out of temporary storage while writing to a system temporary analytic workspace. Free some temporary storage immediately. You can do so, for example, by DETACHING an analytic workspace.', 'Ran out of temporary tablespace storage.', 'Increase the amount of temporary tablespace storage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37604', '(XSPGERRPQUPD) Parallel updating analytic workspace string failed', 'Unexpected error occurred to parallel update servers.', 'Check the error underneath and act accordingly. AW may need to be detached.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37605', 'error during OLAP AW UPDATE', 'An error occurred during the UPDATE process', 'Refer to the next error in the error stack', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37999', 'Serious OLAP error: string. Please contact Oracle Technical Support.', 'Something unexpected occurred in the OLAP system', 'Contact Oracle technical support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38029', 'object statistics are locked', 'An attept was made to modify optimizer statistics of the object.', 'Unlock statistics with the DBMS_STATS.UNLOCK_TABLE_STATS procedure on base table(s). Retry the operation if it is okay to update statistics.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38101', 'Invalid column in the INSERT VALUES Clause: string', 'INSERT VALUES clause refers to the destination table columns', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38102', 'Invalid column in the INSERT WHERE Clause: string', 'INSERT WHERE clause refers to the destination table columns', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38103', 'Invalid column in the UPDATE SET Clause: string', 'UPDATE SET clause refers to the source table columns in the LHS', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38104', 'Columns referenced in the ON Clause cannot be updated: string', 'LHS of UPDATE SET contains the columns referenced in the ON Clause', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38105', 'Delete not yet supported when Update row-migration is possible', 'When Update Row-Migration is possible, Delete in MERGE is not yet supported', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38131', 'specified SQL handle string does not exist', 'The specified SQL handle did not exist in the repository.', 'Specify correct SQL handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38132', 'specified SQL ID string does not exist', 'The SQL statement for SQL ID did not exist in the cursor cache.', 'Specify correct SQL ID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38133', 'invalid parameter name string specified', 'An invalid parameter name was specified.', 'Verify the name of the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38134', 'invalid parameter value string specified', 'An invalid parameter value was specified.', 'Verify the parameter value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38135', 'invalid fixed status value specified', 'Specified fixed status value was neither YES or NO.', 'Specify either ''YES'' or ''NO''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38136', 'invalid attribute name string specified', 'An invalid attribute name was specified.', 'Verify the name of the attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30746', 'error occured while trying to drop column "string" in table "string"', 'The user tried to drop a subtype with VALIDATE option which tried to check for stored instances of the type in the stated table', 'Delete all instances of this subtype and then drop the type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30747', 'cannot create substitutable tables or columns of non final type string.string', 'The user tried to create substitutable table or column of a non final type. This operation is not currently supported.', 'Change the statement to create a non substitutable table/column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30748', 'column string already enabled to store objects of type string.string', 'The user is trying to enable a column to store instances of a type for which it is already enabled.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30749', 'column string not enabled to store objects of type string.string', 'The user is trying to disable a column from storing instances of a type for which it is already enabled.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30750', 'cannot enable column string to store objects of type string.string', 'The user is trying to enable a column to store instances of a subtype. The error is raised due to one of the following :', 'Fix the cause of the error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30751', 'cannot disable column string from storing objects of type string.string', 'The user is trying to drop a type from being stored in a substitutable column or table. This error is raised due to one of the following reasons :' || '<p>' || '- the column is enabled to store instances of some subtype of the type being dropped.' || '<p>' || '' || '<p>' || '- the column is enabled to store instances of only one type', 'Fix the cause of the error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30752', 'column or table string is not substitutable', 'The user is performing an operation that is not allowed on non substitutable column or table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30753', 'column or table string is substitutable', 'The user is performing an operation that is not allowed on substitutable column or table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30754', 'column or table string stores objects of only one type', 'The user is trying to perform an operation that is not allowed on object column or table that is enabled to store instances of a single type.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30755', 'error during expansion of view hierarchy', 'There was an error while trying to expand a view hierarchy. This could be due to invalid subviews (or subviews with errors)', 'Ensure that all subviews are valid e.g. alter view ... compile and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30756', 'cannot create column or table of type that contains a supertype attribute', 'The user tried to create a column or table of an object type that contains a supertype attribute. This is not supported because it leads to infinite recursion in our current storage model. Note that creating a column of a type implies that we create columns corresponding to all subtype attributes as well.', 'Change the type definition to contain a supertype REF attribute instead of the supertype object attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30757', 'cannot access type information', 'Either a subtype was created and operations performed with this new type while the session was in progress, or the type information was unpinned from the object cache.', 'Commit necessary changes, end the user session, reconnect again and re-try the object operations. If problem persists, contact your Oracle Support representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30758', 'cannot specify local on a non-partitioned table', 'The user specified local or global for a nested table storage parameter while the base table is non-partitioned.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30759', 'nested table cannot be partitioned for a composite partitioned base table', 'The user specifed local or nested table parameters inside partition clause for a composite partitioned table.', 'Issue the DDL without nested table partition clauses for composite partitioned table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30926', 'unable to get a stable set of rows in the source tables', 'A stable set of rows could not be got because of large dml activity or a non-deterministic where clause.', 'Remove any non-deterministic where clauses and reissue the dml.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30927', 'Unable to complete execution due to failure in temporary table transformation', 'In memory temporary tables we create are aged out of shared pool before we are able to grab them again.', 'Reduce activities that use a lot of shared pool space or wait for a while, then retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30928', 'Connect by filtering phase runs out of temp tablespace', 'It is probably caused by the fact that there is a loop in the data.', 'Please retry the query with the NO_FILTERING hint. If the same error still occurs, then increase temp tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30929', 'ORDER SIBLINGS BY clause not allowed here', 'ORDER SIBLINGS BY clause is specifed in a query which doesn''t have CONNECT BY clause.', 'Remove ORDER SIBLINGS BY clause or add CONNECT BY clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30930', 'NOCYCLE keyword is required with CONNECT_BY_ISCYCLE pseudocolumn', 'CONNECT_BY_ISCYCLE was specifed in a query which does not have the NOCYCLE keyword.', 'Remove CONNECT_BY_ISCYCLE or add NOCYCLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30931', 'Element ''string'' cannot contain mixed text', 'XML elements must be declared mixed to contain multiple text nodes', 'Declare this element type as mixed in its schema', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30932', 'Reference node ''string'' not contained in specified parent node ''string''', 'When using a reference node, it must have the specified parent node', 'Use a node in the specified parent as the reference', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30933', 'Element ''string'' may not appear at this point within parent ''string''', 'The ordering specified by the content model of the parent does not allow for this element to occur at this position.', 'Reorder the child elements to conform with the content model of the parent element', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30934', '''string'' (string node) cannot be inserted in parent ''string'' (string node)', 'The schema does not allow a child node of this type to be inserted into a parent node of this type. For example, only element nodes may only be inserted into a document', 'Insert only child nodes that make sense for this node type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30935', 'XML maxoccurs value (string) exceeded', 'An attempt was made to insert more than maxoccurs values into a schema-based XML document.', 'Do not insert more than maxoccurs values into the document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30936', 'Maximum number (string) of ''string'' XML node elements exceeded', 'An attempt was made to insert more than the allowed number of elements (specified by the maxoccurs facet) into an XML document.', 'Do not attempt to add more than the maximum number of elements to XML documents.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30937', 'No schema definition for ''string'' (namespace ''string'') in parent ''string''', 'The schema definition for the parent node being processed does not allow for the specified child node in its content model. Note that any typecasting via xsi:type must occur before the schema definitions for the new type can be used.', 'Only insert elements and attributes declared in the schema. Check to make sure that xsi:type (if used) is specified first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33273', '(XSCHKRLS01) Analytic workspace string has open cursors and cannot be detached.', 'A session attempted to detach an analytic workspace while there are cursors open against it.', 'Close the open cursor before attempting to close the analytic workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33274', '(DBERR07) Timed out while trying to lock analytic workspace string for string.', 'A lock operation that was supposed to happen very quickly was taking too long. It can be due to another session being stopped while holding that lock, another session crashing while holding that lock, or an internal error.', 'If another session is stopped, resume that session to let it release the lock. If another session has crashed, wait for a few minutes while PMON or SMON process is recovering that lock. Contact Oracle OLAP Support if none of the situations above apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33278', '(DBERR09) Analytic workspace string cannot be attached in RW or EXCLUSIVE mode until the changes made and updated in MULTI mode are committed or rolled back.', 'There are still changes to this analytic workspace that were updated and not committed when the workspace was attached in MULTI mode.', 'Either try attaching the workspace is RO or MULTI mode or commit or roll back the transaction before trying to attach the workspace in RW or EXCLUSIVE mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33280', '(DBERR10) Analytic workspace string cannot be attached in MULTI mode until the changes made and updated in RW or EXCLUSIVE mode are committed or rolled back.', 'There are still changes to this analytic workspace that were updated and not committed when the workspace was attached in RW or EXCLUSIVE mode.', 'Either try attaching the workspace is RO, RW, or EXCLUSIVE mode or commit or roll back the transaction before trying to attach the workspace in MULTI mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33282', '(DBERR11) Cannot wait for analytic workspace string to become available since doing so would cause a deadlock.', 'Trying to wait for the workspace to become available caused a deadlock.', 'Release an analytic workspace that some other user might be waiting for before proceeding to attach this analytic workspace in this mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33284', '(DBERR12) Analytic workspace string cannot be opened in MULTI mode before converting it by the latest version of string.', 'The AW is stored in 9i format.', 'Convert the AW to a later format', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33288', '(DBERR15) Another user has incompatible access to analytic workspace string, and the wait timeout has expired.', 'An attempt to access an analytic workspace conflicted with another user''s access, and the timeout specified has elapsed.', 'Wait until the conflicting user is done.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33290', '(DBERR17) Analytic workspace string cannot be attached in the mode you requested because another user has it attached in an incompatible mode.', 'An attempt to access an analytic workspace conflicted with another user''s access, and no timeout was specified', 'Wait until the conflicting user is done.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33291', '(DBERRSYNC) Analytic workspace string cannto be attached RW until a RESYNC command has brought it up to the current generation.', 'Another session has updated the analytic workspace since it was attached in the current session.', 'Execute a RESYNC AW command to bring the analytic workspace up to the most recent version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33292', '(DBERR18) Insufficient permissions to access analytic workspace string using the specified access mode.', 'You do not have sufficient permissions to access this analytic workspace in the desired mode.', 'Ask the owner of the schema or OLAP DBA to grant you sufficient permissions to access the {SCHEMA}.AW${AWNAME} table (for example, SCOTT.AW$FOO table).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33293', 'Please use the OLAP command AW TRUNCATE to truncate this table.', 'This table is part of an analytic workspace, and the OLAP option needs to control the truncation of the table.', 'use the OLAP option to truncate the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33295', '(DBERR20) An attached analytic workspace is blocking this command.', 'A table cannot be dropped because an analytic workspace based on this table is being attached.', 'Look up the session in question in GV$AW_OLAP and kill it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33296', '(DBERR21) Analytic workspace string can only be attached RO while tablespace string is READONLY.', 'The underlying tablespace of the analytic workspace is in READONLY status.', 'Attach the analytic workspace in RO mode or alter the tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33297', '(DBERR22) Analytic workspace string cannot be opened because it was last modified by an incompatible version of string.', 'The user attempted to attach an old OLAP Services analytic workspace that cannot be converted by this version of OLAP Services.', 'Either create a new analytic workspace or try using a version of OLAP Services compatible with the one that created this analytic workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33298', '(AWUPG01) Analytic workspace string is already in the newest format allowed by the current compatibility setting', 'User ran the DBMS_AW.CONVERT procedure on an analytic workspace that was created in or previously upgraded to the current compatibility mode.', 'If upgrading the analytic workspace is necessary, upgrade the database instance and then re-run DBMS_AW.CONVERT. If the new features offered by upgrading the analytic workspace are not required, then no action is needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33302', '(DBVALID01) SEVERE ERROR: Record number multiply used.', 'The AW VALIDATE command has detected an error in the structure of the analytic workspace. This error will result in the corruption of one or more objects', 'Export what you can of the analytic workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33304', '(DBVALID02) Note: Record number was allocated but not used. This can result in wasted space.', 'This is a benign message. The AW VALIDATE command found an analytic workspace has some inaccessible space.', 'Either nothing, or export and recreate the analytic workspace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33305', '(DBVALID06) Note: Record number was allocated but not used. This can result in wasted space. (PS number)', 'This is a benign message. The AW VALIDATE command found an analytic workspace has some inaccessible space.', 'Either nothing, or export and recreate the analytic workspace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33306', '(DBVALID03) The AW VALIDATE command cannot be used with read-only analytic workspace string.', 'The AW VALIDATE command does not support read-only access.', 'Attach the analytic workspace read/write and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33308', '(DBVALID04) SEVERE ERROR: Record number used but not allocated', 'The AW VALIDATE command has detected a problem that will result in corruption of the analytic workspace. There is no corruption yet.', 'Export and recreate the analytic workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33309', '(DBVALID05) SEVERE ERROR: Record number used but not allocated (PS number)', 'The AW VALIDATE command has detected a problem that will result in corruption of the analytic workspace. There is no corruption yet.', 'Export and recreate the analytic workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33313', '(DELDENT05) workspace object cannot be deleted because it is the target of an external partition of a partitioned variable.', 'User attempted to delete a variable, but some partitioned variable was defined to use that variable as the target of one of its external partitions.', 'DELETE the partitioned variable or CHGDFN DROP PARTITION the the external partition from the partitioned variable, then delete the target variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36641', '(XSDUNION20) The concat dimension must be defined as UNIQUE because base dimension workspace object contains custom member values.', 'The UNIQUE keyword was not specified in the concat dimension definition, and is required if any of its base dimensions contain custom member values.', 'Define the concat as UNIQUE, or remove all base custom member values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36642', '(XSDUNION06) Concat dimension list contains duplicate leaf dimension workspace object.', 'Duplicate concat leaf dimension was found.', 'Remove duplicate concat base dimensions and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36643', '(XSDUNION21) Concat dimension workspace object cannot be changed to NOT UNIQUE because it contains custom member values.', 'Only UNIQUE concat dimensions can have custom member values or base dimensions which contain custom member values.', 'Remove all custom member values from the concat and all of its bases, and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36644', '(XSDUNION07) Concat dimension workspace object contains a previously detected leaf dimension.', 'Concat dimension contains a previously detected leaf dimension.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36646', '(XSDUNION08) Only concat dimensions can be redefined as UNIQUE. workspace object is not a concat dimension.', 'UNIQUE keyword was used with an invalid object.', 'Retry without the UNIQUE keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36648', '(XSDUNION09) Concat dimension workspace object is already defined as UNIQUE.', 'Attempt to change a concat dimension to UNIQUE, but it is already UNIQUE.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36650', '(XSDUNION10) Concat dimension workspace object cannot be changed to UNIQUE. Leaves workspace object and workspace object share the value number.', 'Unique concat base dimensions cannot contain duplicate values.', 'Use MAINTAIN RENAME to change one of the duplicate values and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36652', '(XSDUNION11) workspace object is not a string type dimension.', 'The CHGDFN BASE ADD command is only valid for concat dimensions.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36664', '(XSDPART02) You must specify a partitioning method and one or more partition dimensions when defining a PARTITION TEMPLATE.', 'User tried to define a PARTITION TEMPLATE without a PARTITION BY clause.', 'Add a PARTITION BY clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36665', '(XSDPART03) workspace object is not in the dimension list of the PARTITION TEMPLATE.', 'While defining a partition template, user attempted to specify a partition dimension that is not a dimension of the partition template itself.', 'Choose a partition dimension from among the dimensions of the partition template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36666', '(XSDPART04) workspace object is not a concat dimension.', 'User tried to define a partition template with PARTITION BY CONCAT(... dim ...) where dim is not a concat dimension.', 'Only concat dimensions can serve as partition dimensions with CONCAT partitioning. Choose a different partition dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36667', '(XSDPART05) string is not a legal CONCAT partition.', 'User attempted to use RANGE or LIST syntax in defining a CONCAT partition template.', 'Use CONCAT partition syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36668', '(XSDPART06) string is not a legal RANGE partition.', 'User attempted to use CONCAT or LIST syntax in defining a RANGE partition template.', 'Use RANGE partition syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36669', '(XSDPART07) string is not a legal LIST partition.', 'User attempted to use RANGE or CONCAT syntax in defining a LIST partition template.', 'Use LIST partition syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36670', '(XSDPART08) workspace object is an INTEGER or NTEXT dimension, or contains an INTEGER or NTEXT dimension. INTEGER and NTEXT dimensions cannot be used as partition dimensions.', 'User attempted to define a partition template partitioned by an INTEGER or NTEXT dimension or a concat containing an NTEXT leaf.', 'Either pick a different partition dimension, or redefine the dimension to use a different datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36671', '(XSDPART09) Leaves of workspace object have different datatypes. A partition dimension cannot have more than one datatype when RANGE partitioning is used.', 'User attempted to define a range partition template with a concat partition dimension, and the concat had two leaf dimensions with different datatypes.', 'Pick a different partition dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36672', '(XSDPART10) A RANGE or LIST PARTITION TEMPLATE can only have a single partition dimension.', 'User attempted to define a RANGE or LIST partition template with more than one partition dimension.', 'Remove all but one of the dimensions from the PARTITION BY RANGE(...) or PARTITION BY LIST(...) clause of the partition template definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36673', '(XSDPART11) Use simple leaf values to identify concat dimension values in a VALUES LESS THAN clause, rather than the <LEAF: VALUE> format.', 'When defining a RANGE partition template with a concat dimension for the partition dimension, the user attempted to define a range using the <LEAF: VALUE> format of a concat dimension value.', 'Use just the leaf value. Instead of "VALUES LESS THAN <leaf: value>", just say, "VALUES LESS THAN value".', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36674', '(XSDPART12) Invalid dimension value starting at string.', 'When defining a RANGE or LIST partition template, the user specified an invalid value in a VALUES LESS THAN or VALUES clause. An "invalid value" can be one of two things: a value whose datatype does not match the partition dimension''s datatype, or a non-constant value.', 'Modify the offending VALUES LESS THAN or VALUES phrase.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36676', '(XSDPART14) Missing dimension list for string.', 'User attempted to define a CONCAT partition template, and didn''t supply a list of dimensions for one of the partition definitions.', 'Give a dimension list for each partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36677', '(XSDPART15) Duplicate value in value lists of number and number', 'In a LIST PARTITION TEMPLATE definition, a value appeared in more than one value list, or more than once within a single value list.', 'List each value only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36678', '(XSDPART16) workspace object is missing from one or more partition dimension lists.', 'In the definition of a partition template, one of the partitions had a dimension list that did not contain all the dimensions of the partition template.', 'Add the offending dimension to the partition''s dimension list, or delete it from the partition template''s dimension list. If using CONCAT partitioning and the missing dimension is a partition dimension, add to the partition dimension list any leaf of the partition dimension or any concat of leaves of the partition dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36679', '(XSDPART17) workspace object contains a leaf (workspace object) that is not part of the partition dimension workspace object.', 'In the definition of a CONCAT partition template, one of the partitions was dimensioned by a dimension that is "concat-related" to a partition dimension, meaning it shares some leaves with the partition dimension, but it contained some leaves that are not in the partition dimension.', 'Either modify the dimensionality of the partition template to include a concat dimension that contains all the desired leaves, or pick a different dimension for the partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38137', 'invalid attribute value string specified', 'An invalid attribute value was specified.', 'Verify the attribute value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38138', 'plan name is missing or NULL', 'A valid plan name was not specified.', 'Specify a valid plan name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38139', 'concurrent DDL Error in load plans operation', 'A concurrent DDL operation was performed during a load plans operation.', 'Try operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38140', 'no SQL plan baselines were found', 'No SQL plan baselines were found during pack or unpack operation.', 'Specify correct selection criterion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38141', 'SQL plan baseline string does not exist', 'A SQL plan baseline name was specified that did not exist.', 'Verify the name of the SQL plan baseline.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38142', 'SQL plan baseline named string already exists', 'A SQL plan baseline already exists with the name specified.', 'Specify a different name or drop the existing SQL plan baseline.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38143', 'invalid enabled status value specified', 'Specified enabled status value was neither YES or NO.', 'Specify either ''YES'' or ''NO''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38144', 'specified plan name string does not exist', 'The specified plan name did not exist in the repository.', 'Specify correct plan name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38145', 'neither SQL handle nor plan name specified', 'The SQL handle or plan name was not specified. The SQL handle or plan name is required.', 'Specify either SQL handle or plan name or both.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38146', 'invalid verify value specified', 'Specified verify value was neither YES or NO.', 'Specify either ''YES'' or ''NO''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38147', 'invalid commit value specified', 'Specified commit value was neither YES or NO.', 'Specify either ''YES'' or ''NO''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38148', 'invalid time limit specified', 'Specified time limit value was not a positive integer.', 'Specify a positive integer value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38171', 'Insufficient privileges for SQL management object operation', 'A DDL operation was attempted on a SQL management object by a session without the proper privileges.', 'Grant the appropriate privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38172', 'No SQL management object satisfies specified filters', 'An attempt was made to perform an operation by specifying filters that did not target any SQL management objects.', 'Try different filters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38301', 'can not perform DDL/DML over objects in Recycle Bin', 'Tried to perform DDL or DML operation on Recycle Bin object.', 'DDL or DML operations are not permitted on Recycle Bin objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38302', 'invalid PURGE option', 'Invalid purge option specified.', 'Specify a valid purge option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38303', 'invalid option for PURGE TABLESPACE', 'Either a token other than USER was found following the tablespace name or some text was found following USER <user name>.', 'Place nothing or only USER <user name> after the tablespace name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38304', 'missing or invalid user name', 'A valid user name was expected.', 'Specify a valid user name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38305', 'object not in RECYCLE BIN', 'Trying to Flashback Drop an object which is not in RecycleBin.', 'Only the objects in RecycleBin can be Flashback Dropped.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38306', 'this object is not recoverable standalone', 'Trying to flashback drop an object other than of type TABLE.', 'Only tables are recoverable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38307', 'object not in RECYCLE BIN', 'Trying to Purge the object which is not in RecycleBin.', 'Only the objects in RecycleBin can be PURGEDED.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38308', 'invalid FLASHBACK DROP option', 'Invalid Flashback Drop option specified.', 'Specify a valid Flashback Drop option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38309', 'object not purgable', 'An attempt was made to purge an object that is either not purgable or else dependent upon some other object.', 'Cannot purge this object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38310', 'cannot purge tablespace for other users', 'An attempt was made to purge the tablespace for a different user by a user who does not have system DBA priviledges.', 'Cannot purge the tablespace for some other user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38311', 'cannot purge objects owned by other users', 'An attempt was made to purge an object which is owned by some other user.', 'Cannot purge this object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38312', 'original name is used by an existing object', 'An attempt was made to recover an object preserving the original name, but that name is taken up by some other object.', 'use the RENAME clause to recover the object with a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38401', 'synonym string not allowed', 'An attempt was made to use a synonym for a data type of an attribute or a table alias.', 'Use the object name instead of the synonym.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38402', 'invalid name: empty string or spaces in the name', 'There were spaces in the name.', 'Remove spaces in the name or use quotes around the name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38403', 'attribute set name may not be longer than 22 characters', 'The attribute set name was longer than 22 characters.', 'Choose a name that has 22 or fewer characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38404', 'schema extension not allowed for the attribute set name', 'There was a schema extension for the attribute set name. Attribute sets are always created in the current schema and thus schema extended names are not allowed.', 'Create the attribute set from the appropriate schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38405', 'quotes not allowed in the attribute set name', 'The attribute set name contained quotes.', 'Remove quotes in the attribute set name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38406', 'attribute set string already exists', 'An attribute set with a matching name already exists in the current schema.', 'Drop the existing attribute set or choose a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38407', 'The ADT associated with the attribute set already exists.', 'The Abstract type (ADT) with the same name as the attribute set already exists in the current schema.', 'Create the attribute set for the existing ADT or drop the ADT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38408', 'The ADT "string" does not exist in the current schema.', 'An attempt was made to create the attribute set from a nonexistent ADT.', 'Make sure that the ADT with the same name as the attribute set exists in the current schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38409', 'invalid name or option for the attribute set: string', 'An invalid name or option was used for the attribute set.', 'Set serveroutput ON and repeat the operation for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38410', 'schema extension not allowed for the table name', 'An attempt was made to use a schema extended name for the table storing expressions.', 'The table storing expressions and the corresponding attribute set should be created in the same schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38411', 'invalid datatype for the column storing expressions', 'An attempt was made to create an expression column from a column of invalid datatype.', 'Create a VARCHAR2 or CHAR column to store expressions in a table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38412', 'Expression set column string does not exist.', 'The column storing expressions does not exist.', 'Pass a valid name for the column storing expressions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38413', 'elementary attribute name may not be longer than 32 characters', 'An attempt was made to create an elementary attribute with a name longer than 32 characters.', 'Use a shorter name for the elementary attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38414', 'invalid datatype for the attribute string', 'The datatype specified for the attribute was invalid.', 'If the datatype is an ADT, make sure that the ADT exists and the current user has execute permissions to it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38415', 'invalid name or datatype for the attribute: string', 'An invalid name or datatype was used for the attribute.', 'Set serveroutput ON and repeat the operation for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30938', 'No prefix defined for namespace ''string'' (particle string)', 'An XML namespace mapping (xmlns:<prefix>=<namespace URL>) must be defined for each particle (element or attribute) stored in an schema-constrained XMLType document.', 'Add an xmlns attribute definition (attribute name="xmlns:prefix" and value="namespace URL") to the current XMLType document. The safest place to add this attribute is in the root node of the document to ensure that the mapping will be in scope.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31057', 'Display Name of the element being inserted is null', 'The Display Name of the element which is being inserted into the RESOURCE_VIEW is null', 'Specify the Display Name and insert the element into RESOURCE_VIEW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31058', 'cannot modify read-only XOBs', 'Read-Only XOBs cannot be modified.', 'Use only read operations on such a XOB.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31059', 'Cannot insert root XML document node if it already exists', 'An attempt was made to insert a root node into an XML document that already had a root node.', 'Call the appropriate replace function to replace the node instead of inserting it anew.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31060', 'Resource at path string could not be deleted', 'An error occurred while deleting the named resource. The specific error can be found one lower on the error stack.', 'Look at the next error on the stack and take approprate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31062', 'Cannot delete an unsaved resource', 'An attempt was made to delete a resource that had not been saved to disk.', 'Delete only saved resources.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31064', 'Cannot instantiate abstract element or property [string]', 'An attempt was made instantiate an abstract element.', 'Use only read operations on such elements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31114', 'XDB configuration has been deleted or is corrupted', 'The XDB configuration resource has been deleted or corrupted.', 'Reinstall XDB, or reinsert a valid configuration document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31115', 'XDB configuration error: string', 'An error related to XDB configuration has occurred.', 'Make sure the configuration resource contains valid data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31116', 'Tablespace not specified correctly', 'XDB cannot be moved to the specified tablespace.', 'Specify a valid tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31117', 'Table "string"."string" is not resource metadata enabled', 'This table does not have a RESID column for resource metadata', 'Use disable/enable_hierarchy to enable resource metadata', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31119', 'XDB configuration cannot be udpated on all instances', 'An attempt was made to update XDB configuration.', 'Ensure that each instance is correctly configured with its listener.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31121', 'The string operator cannot be FALSE', 'The value of the operator that was specified is FALSE.', 'Specify an operator that evaluates to TRUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31122', 'The string operator has incorrect RHS value', 'The value on the right hand side, that has been specified for the operator did not evaluate to TRUE.', 'Specify a value on the right hand side that evaluates to TRUE .', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31127', 'RCList cannot contain noncommitted resource configuration', 'A commit was not executed after adding a resource configuration to an RCList by calling DBMS_RESCONFIG.ADDRESCONFIG()', 'Make sure a commit is executed after calling DBMS_RESCONFIG.ADDRESCONFIG()', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31128', 'The event handler calls cannot exceed the depth of string', 'Tried to fire an event with depth exceeding the maximum.', 'Make sure the event that is being fired does not generate infinitely recursive calls, either to itself or to other functions or procedures.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31129', 'Unable to retrieve repository''s resource configuration', 'Tried to access a resource configuration referenced by the XDB repository that has been deleted.', 'Disassociate the resource configuration from the repository.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31130', 'Specified resource configuration is not associated with given resource', 'Tried to delete a nonexistant resource configuration from the configuration list of the target resource.', 'Make sure that the resource and resource configuration names are specified correctly and the resource configuration belongs to the configuration list of the given resource.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31131', '<RCList> contains OID that is not a resource configuration OID', 'The OID in <RCList> element was not a resource configuration OID.', 'Update the <RCList> element and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31132', 'Cannot validate handler "string"."string"', 'Attempted to invoke an invalid event handler. This can be a result of one of the following reasons: 1) The handler did not exist. 2) The handler could not be compiled successfully.', 'Verify that the named handler does exist, then recompile and fix all compilation errors that may subsequently arise.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31133', 'Cannot execute handler "string"."string" with invoker rights', 'Attempted to invoke an event handler with invoker rights when the SET-INVOKER attribute in the resource configuration that defines the handler was not set to TRUE.', 'Either redefine the named handler with definer rights or change the SET-INVOKER attribute in the resource configuration that defines the named handler to TRUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31134', 'Cannot delete a configuration that is referenced by other resources', 'Attempted to delete a resource configuration that was referenced by other resources.', 'Remove all references to the target resource configuration by executing DELETERESCONFIG or DELETEREPOSITORYRESCONFIG procedures in DBMS_RESCONFIG package or specify the DELETE_FORCE option in the DELETERESOURCE statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31135', 'Resource has already been rendered', 'One of the following has occurred: 1) Attempted to invoke setRender* method after the resource was rendered through a setRender* method or after data was written to the output stream. 2) Attempted to access the output stream of the resource after a setRender* method was executed on the resource.', 'Remove the method causing the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31136', 'Resource configuration string is already associated with the resource string', 'The resource configuration already exists in the resource configuration list of the resource or the repository', 'Check if this resource configuration really needs to be added. If so, remove it from resource and repository lists before adding it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31137', 'Index out of range', 'The position specified was not valid.', 'Check (0 <= pos < size of the configuration list of the target resource)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31138', 'Resource-configuration is being referenced by one or more resources', 'Tried to add a resource configuration to the repository that was being referenced by existing resources.', 'Remove the resource configuration from other resources before trying to add it to the repository again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31139', 'Invalid resource configuration list', 'Attempted to create or update a resource that had duplicate resource configurations or conflicted with the repository configurations.', 'Correct the resource configuration list and re-submit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31140', 'Illegal operation: string', 'Tried to invoke a method when it was not allowed.', 'Do not execute the indicated method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31141', 'Must specify a valid path value', 'The path specified for the <defaultChildConfig> or <defaultChildACL> element must refer to an existing resource.', 'Correct problem and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31142', 'Must specify the schema for each listener', 'The schema element was not specified.', 'Correct problem and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33315', '(XSDELDENTANON) You cannot delete workspace object while looping over unnamed composite workspace object.', 'While looping over the named anonymous composite, an attempt was made to delete an object which is dimensioned by it.', 'Delete the object outside of a loop over the dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33332', '(DSSEXIST01) Use the AW command to establish a current analytic workspace. Then start your current activity again.', 'There is no currently active analytic workspace. The command that generated the error requires an active analytic workspace to operate on.', 'Execute an AW ATTACH or AW CREATE command to establish an active workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33334', '(DSSEXIST04) Analytic workspace string is not attached.', 'The specified analytic workspace is currently not attached to the session, or the name is misspelled.', 'Attach the analytic workspace with the AW ATTACH command, or correct the spelling of the name .', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33336', '(DSSEXIST04A) Analytic workspace string is not attached.', 'The specified analytic workspace is currently not attached to the session, or the name is misspelled.', 'Attach the analytic workspace with the AW ATTACH command, or correct the spelling of the name .', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33338', '(DSSEXIST05) You cannot specify the EXPTEMP analytic workspace.', 'The command requires a non-temporary analytic workspace to operate on.', 'Specify an analytic workspace other than EXPTEMP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33413', '(EIFMAKEF01) You cannot export compressed composite workspace object because one of its bases has limited status or a PERMIT READ restriction.', 'Export of a compressed composite to an EIF file or lob failed because one or more of the bases had some values that were not in the current status. This can be caused either by a LIMIT command or a PERMIT READ restriction on the dimension.', 'Either set the base dimensions'' statuses to ALL and remove their PERMIT READ programs, or export using the NOAGGR keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33425', '(EIFMAKEF15) CAUTION: Exporting NTEXT objects using string for the EIF file character set can cause loss of data. To preserve all NTEXT data, export using the UTF8 character set for the EIF file.', 'The user exported an object with data type NTEXT, but the EIF file that will result from the EXPORT command is not written in Unicode. Because no non-Unicode file can represent all possible Unicode data, it is possible that some data will be lost when converting from the Unicode NTEXT object to the EIF file. The EIF file will be written in the character set indicated by the "nls_charset" argument of the EXPORT command, or, if no such argument is present, in the database character set.', 'If the user is certain that the contents of the NTEXT object can be represented in the specified character set, then no action is necessary. Otherwise, the user can add "nls_charset ''UTF8''" to the EXPORT command string. This will result in the EIF file being written in UTF8 Unicode, which can represent all the data contained in NTEXT objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33427', '(EIFMAKEF16) CAUTION: NTEXT object workspace object will be exported with type TEXT.', 'User attempted to export an object whose data type is NTEXT, but but the EIFVERSION option indicates a version of Express / Oracle OLAP that does not support the NTEXT data type. The object will be exported as a TEXT object instead.', 'No action needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33429', '(EIFMAKEF17) CAUTION: NTEXT expression will be exported with type TEXT.', 'User attempted to export an expression whose data type is NTEXT, but but the EIFVERSION option indicates a version of Express / Oracle OLAP that does not support the NTEXT data type. The expression will be exported as a TEXT object instead.', 'No action needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33443', '(ESDREAD14) Discarding compiled code for workspace object because analytic workspace string is not attached.', 'A program used an analytic workspace name in a qualified object name. The named analytic workspace is not attached at program run time.', 'No action necessary. The program will be automatically recompiled. It is likely that the recompile will fail with an appropriate exception code, in which case the signaled condition should be corrected and the program re-run.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33445', '(ESDREAD15) Discarding compiled code for workspace object because workspace object and workspace object, which were not partition-dependent when the code was compiled, are now partition-dependent.', 'Two variables are "partition-dependent" if they share any external partition target variables, or if one is the target of an external partition of the other. If object names referred to non-partition-dependent variables at compile time but refer to partition-dependent variables in the run-time context, the OLAP DML program, formula, or model will be automatically recompiled.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33447', '(ESDREAD16) Discarding compiled code for workspace object because workspace object and workspace object, which were partition-dependent when the code was compiled, are now not partition-dependent.', 'Two variables are "partition-dependent" if they share any external partition target variables, or if one is the target of an external partition of the other. If object names referred to partition-dependent variables at compile time but refer to non-partition-dependent variables in the run-time context, the OLAP DML program, formula, or model will be automatically recompiled.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33448', '(ESDREAD04) Discarding compiled code for workspace object because number now has string data, whereas it had string data when the code was compiled.', 'The datatype of the specified variable has changed.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33449', '(ESDREAD17) Discarding compiled code for workspace object because the partition method or partition dimension of number has changed since it was compiled.', 'The partitioning method (LIST, RANGE, or CONCAT) or the partition dimension of the partition template is sufficiently different from what it was when the code was compiled that the code must be recompiled.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33450', '(ESDREAD05) Discarding compiled code for workspace object because number now has more or fewer dimensions than it had when the code was compiled.', 'The dimensionality of the specified object has changed.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33452', '(ESDREAD06) Discarding compiled code for workspace object because number is now dimensioned by workspace object. It was dimensioned by workspace object when the code was compiled.', 'The dimensionality of the specified object has changed.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33454', '(ESDREAD07) Discarding compiled code for workspace object because number is now string workspace object, whereas it was string workspace object when the code was compiled.', 'The specified object has changed.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33456', '(ESDREAD08) Discarding compiled code for workspace object because number is a(n) string, which string did not expect to find in a compiled program.', 'The type of the specified object has changed.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33458', '(ESDREAD09) Discarding compiled code for workspace object because number is now type string, whereas it was type string when the code was compiled.', 'The type of the specified object has changed.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36680', '(XSDPART18) workspace object is not a dimension of the PARTITION TEMPLATE.', 'In the definition of a partition template, one of the partitions was dimensioned by a dimension that was not given in the dimension list of the partition template.', 'Remove the offending dimension from the partition''s dimension list, or add it to the partition template''s dimension list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36681', '(XSDPART19) Partitions string and string are out of order.', 'In the definition of a range partition template, a partition with a lower range boundary was listed after a partition with a higher range boundary.', 'Alter the order of the partition definition list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36682', '(XSDPART20) Partition name string appears twice.', 'User gave a list of AW partitions in which some partition name appeared twice.', 'Remove all but the first instance of the partition name from the list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36683', '(XSDPART21) Partition string dimensioned by more than one composite.', 'It is illegal to define a partition template in which one of the partitions is dimensioned by more than one composite.', 'Make sure that the partition template being defined has at most one composite per partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36684', '(XSDPART22) You cannot rename values of DIMENSION workspace object because it is the partition dimension of RANGE PARTITION TEMPLATE workspace object', 'User attempted to rename a value of a dimension that serves as the partition dimension of some RANGE or LIST partition template.', 'It is not possible to rename values in such a dimension without deleting all RANGE and LIST partition templates that are partitioned by it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36685', '(XSDPART23) Only CONCAT partition templates can be subpartitioned.', 'User attempted to define a RANGE or LIST partition template with one or more partitions dimensioned by another partition template.', 'Use only regular dimensions and composites to dimension each partition of the RANGE or LIST template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36686', '(XSDPART24) Value number is not in partition number.', 'User attempted to reorganize a list partition template by removing a value from some partition''s list, but the value was not in the list.', 'Ensure that the given values match the given partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36687', '(XSDPART25) You cannot use compressed composite workspace object to dimension multiple partitions of the partition template, because its dimension list includes the PARTITION BY dimension workspace object.', 'The specified PARTITION BY dimension also occurred in the dimension list of a compressed composite used to dimension multiple partitions.', 'Ensure that no PARTITION BY dimension occurs among the bases of the compressed composite used to dimension multiple partitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36688', '(NTEXTCNV00) Error during conversion from TEXT to NTEXT.', 'An unknown character set conversion error occurred when converting a TEXT value to an NTEXT value.', 'Unknown.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36691', '(NTEXTCNV02) Invalid escape sequence in argument to UNISTR function: string.', 'The user called the UNISTR function on a string that had an invalid escape sequence. The only valid escape sequences in UNISTR are 1.) an escape-escape sequence, and 2.) an escape, followed by exactly four hexadecimal digits.', 'Make sure that all escape sequences in UNISTR arguments are exactly four hexadecimal digits. To represent codepoints whose value is less than 0x1000, use preceding zeros. WRONG: 0x10; RIGHT: 0x0010.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36692', '(XSRELGID24) A level relation must be specified for the GROUPSET and ROLLUP options of GROUPINGID.', 'level relation was not specified.', 'Specify a level relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36693', '(XSRELGID25) INHIERARCHY cannot be specified with the GROUPSET and ROLLUP options of GROUPINGID.', 'INHIERARCHY option was specified.', 'Remove INHIERARCHY option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36694', '(XSRELTBL01) The value cannot be added to dimension workspace object.', 'Unknown.', 'Check the context and permission for dimension maintenance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36696', '(XSRELTBL02) QDR dimension workspace object should not be the related dimension of the relation.', 'An ineligible dimension was specified in the Qualified Data Reference', 'Do not attempt to qualify this dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36698', '(XSRELTBL03) QDR dimension workspace object should be in the dimension list that dimensions the relation.', 'The named dimension was not in the relation''s dimension list.', 'Select only dimensions that are in the relation''s dimension list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36700', '(XSRELTBL04) Dimension workspace object cannot be qualified more than once.', 'The same dimension was specified more than once in the QDR.', 'Specify each QDR dimension only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36702', '(XSRELTBL05) The format of the HIERHEIGHT function is: HIERHEIGHT(relation [,] level) level >= 1.', 'The HIERHEIGHT function was specified incorrectly.', 'Make sure the format is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36704', '(XSRELTBL06) workspace object should be dimensioned by workspace object.', 'The level relation is not dimensioned by the source relation dimension.', 'Make sure the level relation has the correct definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36706', '(XSRELTBL07) workspace object should be dimensioned by workspace object and one level dimension.', 'The destination relation has the wrong definition.', 'Make sure the destination relation has the correct dimensions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36708', '(XSMXALLOC00) Variable workspace object must be dimensioned to be used by the ALLOCATE command.', 'The user supplied an undimensioned (scalar) variable to the ALLOCATE command.', 'Use a dimensioned variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36710', '(XSMXALLOC01) TARGETLOG variable workspace object must be dimensioned identically to TARGET variable workspace object.', 'The user attempted to execute ALLOCATE with mismatching TARGET and TARGETLOG variables', 'Use TARGET and TARGETLOG variables with matching dimensionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36712', '(XSMXALLOC02) Relation workspace object must be a one-dimensional self-relation to be used as a SOURCE or BASIS with ALLOCATE.', 'The user specified an invalid source or basis relation on the ALLOCATE command line.', 'Modify the relation to be a one-dimensional self-relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36714', '(XSMXALLOC03) TARGETLOG variable workspace object must have the same data type as TARGET variable workspace object.', 'The user specified a TARGETLOG variable that had a different data type from the TARGET variable.', 'Use TARGETLOG and TARGET variables with an identical data type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36718', '(XSALLOC00) You do not have the necessary permissions to use AGGMAP workspace object.', 'The user did not have sufficient permissions to run the ALLOCATE command', 'Change to a user ID with the appropriate permissions, or use objects that you have permission to use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36720', '(XSALLOC01) To be used with ALLOCATE, your AGGMAP workspace object must be defined with the ALLOCMAP command.', 'The user used the AGGMAP command to define the AGGMAP, so either the AGGMAP can only be used with the AGGREGATE command, or the AGGMAP has no contents attached to it.', 'Use the ALLOCMAP command to define the AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36722', '(XSALLOC02) In AGGMAP workspace object, you specified an NA or ZERO sourceval but supplied formula workspace object as your source for ALLOCATE.', 'The user requested that source values be modified during the allocation, but that is not possible when using a formula source.', 'Either use a VARIABLE source or remove the SOURCEVAL specification for your ALLOCMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38416', 'A stored attribute may not be longer then 300 characters.', 'An attempt was made to create a stored or indexed attribute longer than 300 characters.', 'A predicate with such attribute may not be indexed. It will be evaluated as sparse predicate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38450', 'error computing a stored attribute for the expression set.', 'Either values for one of the attributes was incorrect or a stored attribute was invalid due to broken dependencies.', 'Correct the input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38451', 'index is in an inconsistent state', 'One or more secondary objects used to maintain the index did not exist', 'Drop the index and recreate it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38452', 'Expression Filter index name may not be longer than 25 characters', 'An attempt was made to use a name longer than 25 characters for the Expression Filter index.', 'Choose a name that has 25 or fewer characters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38453', 'ExpFilter index should be created in the same schema as the base table.', 'An attempt was made to create the Expression Filter index in a schema other than that of the base table.', 'Create the index in the same schema as the base table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38454', 'attribute set not defined for the column being indexed', 'An attempt was made to create an Expression Filter index on a column with no attribute set association.', 'Assign an attribute set to the expression set column begin indexed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38455', 'Expression Filter index should be created by the owner.', 'An attempt was made to create the Expression Filter index by a user who is not the owner of the index.', 'Create the index using owner''s privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38456', 'The attribute set "string" is in an inconsistent state.', 'The attribute set was in an inconsistent state due to broken dependencies.', 'Set serveroutput ON for more details. The attribute set may not be reused after this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38457', 'The attribute "string" is not a valid XMLType attribute.', 'An attempt was made to use a non-XMLType attribute to configure XPath filtering.', 'Use an attribute of sys.XMLType datatype to configure XPath filtering.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38458', 'invalid operation "string" for XPATH_FILTER_PARAMETERS', 'An attempt was made to use an invalid operation.', 'Use one of the following operations : ADD, DROP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38459', 'XML Tag "string" not found for the XMLType attribute "string"', 'An Attempt was made to use a non-existent XML Tag.', 'Correct the name of the XML Tag or the XMLType attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38460', 'filtering based on datatype "string" not supported for XML Tags', 'An attempt was made to configure XPath filtering with an XML Tag of unsupported datatype.', 'Leave the XML Tag out of filter parameters. It will be processed as sparse predicate', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38461', 'XML Tag "string" already exists for the XMLType attribute "string"', 'An attempt was made to create a duplicate XML Tag.', 'Choose a different XML Tag.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38462', 'invalid attribute list', 'The input was missing an attribute list or had null values for the attribute names.', 'Correct the input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38463', 'invalid XML Tag list', 'The input was missing a tag list or had null values for the tag names.', 'Correct the input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38464', 'expression set is not empty.', 'An attempt was made to assign an attribute set to a non-empty expression set.', 'Use FORCE = ''TRUE'' to validate all the existing expressions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38465', 'failed to create the privilege checking trigger due to: string', 'Creation of the trigger failed due to the error listed in the message.', 'Set serveroutput ON for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38466', 'user does not have privileges to CREATE/MODIFY expressions', 'An attempt was made to INSERT or UPDATE a column storing expression without appropriate permissions.', 'Appropriate privileges on the expression set should be granted by the owner of the expression set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38467', 'user cannot GRANT/REVOKE privileges to/from himself', 'An attempt was made to GRANT or REVOKE privileges to or from the current user.', 'The the to_user or from_user field should be different from the user performing the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38468', 'column "string" is not identified as a column storing expressions.', 'An attempt was made to grant permission on a nonexistent expression set.', 'Make sure that the table and the column exist and an attribute set is associated with the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38469', 'invalid privilege for an expression set: string', 'An attempt was made to use an invalid privilege.', 'See documentation for a valid privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38470', 'cannot revoke a privilege that was not granted.', 'An attempt was made to revoke a privilege that had not been granted.', 'Check catalog views to see if the user has the privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38471', 'ROWIDs for table aliases cannot be null', 'An attempt was made to pass a null value for the table alias attribute in the data item, which is not permitted.', 'Pass a valid rowid value for the table alias.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38472', 'VARCHAR representation of the data item is too long.', 'The VARCHAR representation of data item was too long.', 'Use the EVALUATE operator with AnyData argument instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38473', 'cannot drop a type used for Expression Filter attribute set', 'An attempt was made to drop an ADT that was used to maintain an attribute set for the Expression Filter.', 'Query USER_EXPFIL_ATTRIBUTE_SETS view to see the dependency.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38474', 'attribute set may not have attributes of TABLE COLLECTION type.', 'An attempt was made to create an attribute with a TABLE COLLECTION type.', 'Use VARRAYs instead of table collection, if possible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38475', 'The attribute set and the associated ADT are out of sync.', 'The ADT was directly modified by CREATE or ALTER operations.', 'Drop the attribute set and recreate it from scratch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38476', 'abstract type used for an Attribute set may not be modified.', 'An attempt was made to alter a type (ADT) that is used to maintain an attribute set of an Expression set.', 'Do not modify the ADT directly. Use DBMS_EXPFIL APIs instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38477', 'attribute set cannot be derived from an evolved type or a subtype.', 'An attempt was made to create an attribute set from an evolved ADT or a subtype.', 'The ADT used for the attribute set cannot be an evolved type or a subtype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38478', 'creation of system trigger EXPFIL_DROPOBJ_MAINT failed', 'The creation of the system trigger EXPFIL_DROPOBJ_MAINT failed due to missing Expression Filter dictionary tables.', 'Try a clean installation again. If this error is ignored, the Expression Filter dictionary could have some stale entries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38479', 'creation of system trigger EXPFIL_RESTRICT_TYPEEVOLVE failed', 'The creation of system trigger EXPFIL_RESTRICT_TYPEEVOLVE failed due to missing Expression Filter dictionary tables.', 'Try a clean installation again. If this error is ignored, the user will be able to evolve ADTs associated with the attribute set, thus causing spurious errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38480', 'creation of system trigger EXPFIL_ALTEREXPTAB_MAINT failed.', 'The creation of system trigger EXPFIL_ALTEREXPTAB_MAINT failed due to errors in SYS.EXF$DBMS_EXPFIL_SYSPACK package.', 'Try a clean installation again. If this error is ignored, a RENAME of the expression table may cause the EVALUATE queries to fail.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38481', 'ADT "string" is used for a dependent object.', 'An attempt was made to create an attribute set from an ADT which is used by one or more dependent objects.', 'Use a new ADT instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31143', 'XDB_SET_INVOKER role is required', 'XDB_SET_INVOKER role was required to set the SET-INVOKER attribute to TRUE.', 'Correct problem and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31144', 'Implementation language for string is not specified', 'Implementation language for specified listener source was not specified.', 'Correct problem and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31145', 'Duplicate listener, string, found in resource configuration', 'Duplicate listener source was found in resource configuration.', 'Remove duplicates and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31146', 'Invalid listener source string.string', 'The listener source specified in the resource configuration did not exist or was invalid.', 'Correct the listener source in the <listener> element and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31147', 'string is not an ACL resource', 'The specified resource did not conform to acl.xsd schema.', 'Specify a valid path for the <defaultChildACL> element and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31148', 'string is not a valid resource configuration', 'The resource specified in the <defaultChildConfig> element while creating a resource configuration or specified as the rcpath in a call using DBMS_RESCONFIG package did not conform to XDBResConfig.xsd schema.', 'Specify a valid path and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31149', 'no such schema: string', 'Nonexistent schema defined in the resource configuration.', 'Specify a valid schema in the resource configuration and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31150', 'uncaught error in handler string', 'The named handler raised an exception.', 'Fix the identified error. ////// 31151 - 31179 reserved for XML Schema Compiler', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31151', 'Cyclic definition encountered for string: "string"', 'The schema definition for this type has cycles.', 'Remove cyclic definition and re-compile schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31153', 'Cannot create schema URL with reserved prefix "http://xmlns.oracle.com/xdb/schemas/"', 'This prefix is reserved for XDB extended schema URLs and cannot be used in a user specified URL.', 'Modify the prefix to a different one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31154', 'invalid XML document', 'The XML document is invalid with respect to its XML Schema.', 'Fix the errors identified and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31155', 'attribute string not in XDB namespace', 'The specified attribute should be prefixed with XDB''s namespace.', 'Ensure that all XDB specified attributes are prefixed with XDB''s namespace and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31157', 'Invalid Content-Type charset', 'HTTP Content-Type header had a charset that Oracle does not understand.', 'Fix the Content-Type header in the HTTP request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31158', 'schema "string" currently being referenced', 'The specified schema URL is currently being referenced by the same session. This could happen because of PLSQL XMLType variables still in scope.', 'Ensure all references to this schema in this session are released and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31159', 'XML DB is in an invalid state', 'XML DB''s internal tables are in an invalid state, probably because the database was not upgraded or the upgrade was not successful', 'Ensure that the database is upgraded successfully. If the problem persists, contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31160', 'max substitution group size string exceeded by "string" (string) for head element "string" (string)', 'The maximum limit on nested substitution groups has been exceeded by an element.', 'Delete specified schema and re-register it after removing the offending substitution element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31161', 'element or attribute "string" cannot be stored out of line', 'An element or attribute of a simple type has SQLInline=false', 'Remove the SQLInline=false qualification for the offending element or attribute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31162', 'element or attribute "string" has no SQLType specified', 'Schema registration was invoked with GENTYPES=false without specifying a SQLType for some element or attribute', 'Specify a SQLType for the offending element or attribute and register the schema again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31163', 'element or attribute "string" has invalid attribute value "string" (should be "string")', 'An element or attribute for a complextype derived by restriction has an attribute whose value is different from that in the base type', 'Remove the mismatched attribute values from the offending element or attribute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31164', 'cannot load object-relational XML attribute using direct path', 'The table being loaded contains a xml column with object-relational storage. The xmltype column contains a type with subtypes. This type of attribute cannot be loaded with direct path.', 'Perform the load with conventional path mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31165', 'cannot load object-relational XML attribute using direct path', 'The table being loaded contains a xml column with object-relational storage. The xmltype column either contains an out-of-line partitioned table or the table itself is partitioned by one of the attributes of xmltype. This type of table cannot be loaded with direct path.', 'Perform the load with conventional path mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31167', 'XML nodes over 64K in size cannot be inserted', 'An attempt was made to insert an XML Text Node with a size greater than 64K. This is not supported.', 'Create text nodes under 64K.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31168', 'Node localname and namespace values should be less than 64K', 'An attempt was made to specify an XML Node with localname or namespace value greater than or equal to 64K. This is not supported.', 'Node localnames and namespace values should be under 64K.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32345', 'fail to refresh the materialized view string.string due to the changed synonym', 'The definition of one or more synonyms in the from clause have changed. The structure of the materialized view has become invalid.', 'Restore the synonym(s) or drop the materialized view and recreate it again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32346', 'ON COMMIT materialized view refresh caused changes to the master table/materialized view', 'ON COMMIT refresh of a read-only materialized view changed the master table/materialized view. A trigger on the refreshed materialized view may be the cause.', 'Do not create triggers on materialized view which update the master table/materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32347', 'NULL capabilities during explain mview', 'The supplied defining query did not generate any capabilities information.', 'Replace the query since it is not suitable for creating a materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32348', 'revalidate summary object based on user input', 'An event was set to specify the number of attempts that the system needed to make in order to validate an invalidated summary object.', 'Revalidate an invalidated summary object based on user input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32400', 'cannot use object id columns from materialized view log on "string"."string"', 'The materialized view log either does not have object id columns logged, or the timestamp associated with the object id columns is more recent than the last refresh time.', 'A complete refresh is required before the next fast refresh. Add object id columns to the materialized view log, if required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32401', 'materialized view log on "string"."string" does not have new values', 'Materialized view log on the indicated table does not have new values information.', 'Add new values to materialized view log using the ALTER MATERIALIZED VIEW LOG command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33460', '(ESDREAD10) Discarding compiled code for workspace object because object workspace object is not in analytic workspace string.', 'The specified object is not in the same analytic workspace it was in when the compiled object was compiled.', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33462', '(ESDREAD10A) Discarding compiled code for workspace object because object number is not in analytic workspace string.', 'The specified object was not in the same analytic workspace it was when the compiled object was compiled', 'None needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33468', '(ESDREAD13) Discarding compiled code for workspace object because number is no longer a surrogate of dimension workspace object.', 'When the compiled code was saved, the specified object was a surrogate of a certain dimension. Now the specified object is a surrogate of a different dimension.', 'No action needed; program automatically recompiles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33557', '(MAINTCHK01) You cannot string values of dimension workspace object during a loop over it.', 'User tried to insert or delete a value of the specified dimension while some loop over that dimension was active. The loop could be an explicit FOR or ACROSS loop, or a natural expression evaluation or OLAP_TABLE loop. Also, it could be a loop over the dimension itself or over a derived dimension (like a composite or partition template) or dimension alias that includes it. The insert or delete could be explicitly caused by the MAINTAIN command. It is also possible that the user attempted to assign a value to a variable or partition dimensioned by a composite during a loop over that composite using a qualified data reference (QDR), and that the exception was generated by the engine''s attempt to insert a new position in the composite to hold the new value.', 'Move the dimension maintenance or QDR-based variable assignment outside the dimension loop.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33558', '(LOCKCHECK01) The status or contents of the workspace object dimension cannot be changed while the LOCK_LANGUAGE_DIMS option is set to value.', 'A LIMIT or MAINTAIN was attempted on the named language dimension while the boolean option LOCK_LANGUAGE_DIMS was set to YES.', 'SET LOCK_LANGUAGE_DIMS to NO and retry the MAINTAIN or LIMIT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33625', '(FRASSIGN02) You cannot use the APPEND keyword with concat dimension workspace object.', 'User used the APPEND keyword on a CONCAT target in a FILEREAD, SQL FETCH or SQL SELECT command.', 'APPENDing a value to one of the CONCATs leaves automatically appends to the CONCAT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33733', '(xsILPMLTPreOp01) The analytic workspace string cannot be REVERTed or RESYNCed while the string program is active.', 'The AW REVERT and AW RESYNC commands cannot be used on an analytic workspace that contains a running program.', 'Execute the command without running the specified program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33883', '(MAKEDCL36) You cannot use the string attribute when you define an EXTERNAL partition with an existing target.', 'User gave the TEMPORARY keyword in the definition of an external partition whose target variable was previously defined.', 'Any storage characteristics of the external partition are determined by the target variable. These attributes should be set when the target is defined, not when the external partition is defined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33911', '(MAKEDCL29) You cannot define a string in analytic workspace string because it has not been upgraded to version string.', 'User attempted to define an object that requires a certain compatibility setting in an AW that has not been upgraded to that compatibility level.', 'Make sure that the database is running in the appropriate compatibility mode, and upgrade the AW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33918', '(MAKEDCL33) You cannot define a surrogate of dimension workspace object because it is a string.', 'Not all kinds of dimensions can have surrogates. The user attempted to define a surrogate of a prohibited kind of dimension.', 'Do not attempt to define a surrogate on this dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33920', '(MAKEDCL34) The string SURROGATE must have one of the following data types: ID, NTEXT, TEXT, NUMBER, DATETIME, TIMESTAMP, or INTEGER.', 'The user attempted to define a surrogate without specifying a valid data type.', 'Specify the data type (ID, NTEXT, TEXT, NUMBER, or INTEGER) in the definition of the surrogate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33922', '(MAKEDCL35) You cannot define a surrogate of dimension workspace object because it is a time dimension.', 'The user attempted to define a surrogate on a dimension that has type DAY, WEEK, MONTH, or YEAR.', 'Do not attempt to define a surrogate on this dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33998', '(MODCOMP12) You cannot use both workspace object and workspace object as model dimensions, because workspace object is a surrogate of workspace object.', 'The user attempted to include both a dimension and its surrogate in the DIMENSION statement of a model.', 'Use either the dimension or the surrogate in the DIMENSION statement of the model, but not both.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34000', '(MODCOMP13) You cannot use both workspace object and workspace object as model dimensions, because they are both surrogates of dimension workspace object.', 'The user attempted to include two dimension surrogates of the same dimension in the DIMENSION statement of a model.', 'Use either of the two surrogates in the DIMENSION statement of the model, but not both.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34001', '(MODCOMP14) Concat leaf dimension workspace object already is used in a DIMENSION statement, either explicitly or as a leaf of another concat dimension.', 'Either two concat dimensions which share a common leaf dimension, or a concat and one of its leaves where both specified in the DIMENSION statement(s).', 'Do not specify overlapping concat dimensions, or any leaves of specified concat dimensions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34019', '(MSCGADD03) workspace object is not a LIST PARTITION TEMPLATE.', 'User attempted to MAINTAINT ADD or DELETE a list value from a RANGE or CONCAT partition template.', 'Partitioning in a RANGE or CONCAT partition template cannot be changed using the MAINTAIN command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34021', '(MSCGADD04) You must specify a partition when maintaining PARTITION TEMPLATE workspace object.', 'User attempted to MAINTAINT ADD or DELETE a list value from a LIST partition template, but didn''t specify which partition to add to or delete from.', 'Specify the partition: maintain (template) add to partition (partitionname) (values) or maintain (template) delete from partition (partitionname) (values)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34059', '(MSEXECUT12) You cannot delete non session-only dimension values from unique concat dimension workspace object.', 'The user tried to apply MAINTAIN DELETE to a non-SESSION value.', 'Only use MAINTAIN DELETE to remove SESSION values from a concat dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34061', '(MSEXECUT11) Session-only values cannot be added to non-unique concat dimension workspace object, or any of its base dimensions.', 'Only UNIQUE concat dimensions can have custom member values.', 'Use the CHGDFN command to change the concat dimension to UNIQUE and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34141', '(MXCGPUT00) You cannot use the ASSIGN keyword with DIMENSION workspace object.', 'User used the ASSIGN keyword on a DIMENSION target in a FILEREAD, SQL FETCH or SQL SELECT command.', 'To create a new dimension value in a FILEREAD, SQL FETCH or SQL SELECT command, use the APPEND keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36726', '(XSALERR00) The character ''character'' is not a valid format specifier for the ALLOCATE error log.', 'The user specified an invalid formatter in the ALLOCERRLOGHEADER or ALLOCERRLOGFORMAT options.', 'Correct the option to have a valid format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36728', '(XSALERR01) While performing the ALLOCATE command with AGGMAP workspace object, the error logging limit of number was exceeded.', 'The user specified an ERRORLOG MAX value in the ALLOCMAP, but more errors were encountered while performing the allocation.', 'Either set ERRORLOG NOSTOP, reduce the allocation errors, or increase the ERRORLOG MAX setting', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36735', 'A value exceeded the MAX specification', '.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36740', 'A CHILDLOCK was detected in your valueset', '.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36761', '(XSLANGDM01) Analytic workspace string already contains a dimension (%J) with the string property.', 'An attempt was made to apply this property to more than one dimension in the AW.', 'Remove the property from the named dimension and try the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36762', '(XSLANGDM02) You cannot modify the string property of %J because analytic workspace string is attached in MULTI mode.', 'An attempt was made to add or delete a $DEFAULT_LANGUAGE property in an AW attached in multiwriter mode.', 'Attach the AW in a different mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36763', '(XSAGGCNTMOVE01) Aggregation variable workspace object cannot have itself as an AGGCOUNT.', 'An attempt was made to turn a variable into its own AGGCOUNT.', 'Select a different AGGCOUNT variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36764', '(XSAGGCNTMOVE02) AGGCOUNT variable workspace object must be of type INTEGER, not string.', 'An attempt was made to create a non-INTEGER AGGCOUNT.', 'Select an INTEGER AGGCOUNT variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36765', '(XSAGGCNTMOVE03) A string aggregation variable cannot have a string AGGCOUNT.', 'The specified AGGCOUNT variable did not have the same permanence as the aggregation variable.', 'Select an AGGCOUNT variable with the same TEMPORARY or PERMANENT attribute as the aggregation variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36766', '(XSAGGCNTMOVE04) workspace object cannot be used as an AGGCOUNT because it has an AGGCOUNT.', 'The specified AGGCOUNT variable had its own AGGCOUNT', 'Select a different variable, or remove the AGGCOUNT using CHGDFN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36767', '(XSAGGCNTMOVE05) workspace object cannot be used as an AGGCOUNT while there are permissions applied to it.', 'The specified AGGCOUNT variable had its own permissions distinct from those on the aggregation variable.', 'Select a different AGGCOUNT variable, or remove the permissions. In some cases this may require an UPDATE before the command can succeed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36768', '(XSAGGCNTMOVE06) An aggregation variable and its AGGCOUNT must have the same base dimensions.', 'An AGGCOUNT variable was specified with different base dimensions than the aggregation variable.', 'Select an AGGCOUNT variable with exactly the same base dimensions as the aggregation variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36778', '(XSPGTRLOW) The amount of available temporary storage is still low. Free some temporary storage immediately. You can do so, for example, by UPDATING or DETACHING an analytic workspace.', 'Ran out of temporary tablespace storage.', 'Increase the amount of temporary tablespace storage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36779', '(XSPGPOOLOUT) Invalid parameter value. Olap_page_pool_size must be between must be between 2097152 and 2147483647. Olap_page_pool_size remain unmodified.', 'Specified value for olap_page_pool_size out of range.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36815', '(XSTBLFUNC08) The OLAP_TABLE has attempted to use an AW single row function with the aw_attach parameter set to DURATION QUERY.', 'The OLAP_TABLE aw_attach parameter was set to DURATION QUERY.', 'Change the OLAP_TABLE aw_attach parameter to DURATION SESSION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36816', '(XSTBLFUNC09) The workspace object dimension is of datatype string which does not support custom member upserts.', 'Custom members were attempted to be added via an upsert to a dimension that does not support them', 'Disable the AW Hash optimization for this query', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36817', '(XSTBLFUNC10) The LIMITMAP LOOP clause specifies an invalid type of object. workspace object must be a DIMENSION or COMPOSITE.', 'An invalid type of object was specified in the LOOP clause.', 'Correct the LOOP clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36818', '(XSTBLFUNC11) A LIMITMAP DIMENSION clause specifies an invalid type of object. workspace object must be a DIMENSION.', 'An invalid type of object was specified in the DIMENSION clause.', 'Correct the DIMENSION clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36819', '(XSTBLFUNC12) workspace object cannot be used in a LIMITMAP string clause.', 'An invalid type of object was specified in a LIMITMAP clause.', 'Correct the LIMITMAP clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36820', '(XSLMINFO00) The LIMITMAPINFO function encountered an error while parsing the LIMITMAP.', 'Invalid LIMITMAP syntax.', 'Correct the syntax of the limit map.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36821', '(XSJPUSH00) An error occurred while attempting to push a join of 2 AW tables.', 'Unknown.', 'Re-execute the query with parameter _optimizer_aw_join_push_enabled = FALSE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36825', '(XSTBLFUNC13) An error occurred expanding the cube_name argument in the OLAP table function', 'Incorrect metadata or invalid cube name', 'Correct the metadata.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36826', '(XSTBLFUNC14) OLAP C Looper is disabled by event 37395', 'init.ora event 37395 includes level 8 which disables the OLAP C looper', 'Remove event level 8 and use explicit FETCH function for OLAP_TABLE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36830', '(XSLMGEN00) Object string.string does not exist', 'The object does not exist', 'Check view token for errors', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36831', '(XSLMGEN01) View token cannot be NA', 'A NA was passed as the view token', 'Pass in a valid view token', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36832', '(XSLMGEN02) View token cannot be greater than 4000 bytes', 'A view token was greater than 4000 bytes', 'Pass in a view token less than 4000 bytes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36833', '(XSLMGEN03) View token cannot be blank', 'A blank was passed as the view token', 'Pass in a valid view token', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36834', '(XSLMGEN04) Column tag is greater than 30 bytes', 'A value greater than 30 bytes was passed as the column tag', 'Pass in a column tag of 30 bytes or less', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36835', '(XSLMGEN05) Dimension string.string hierarchy string level string is missing a COLUMNNAME property value', 'The COLUMNNAME property has no value', 'Add a value to COLUMNNAME property', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36836', '(XSLMGEN06) The dimensionality of object string.string is different than the view token', 'The dimensionality of the cube does not match the view token', 'Check view token for unrelated hierarchies clauses', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36837', '(XSLMGEN07) Object owner string is different than string', 'The object owners are different', 'Make the object owners match', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36838', '(XSLMGEN08) Dimension string.string attribute string is missing a COLUMNNAME property value', 'The COLUMNNAME property has no value', 'Add a value to COLUMNNAME property', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36839', '(XSLMGEN09) Cube string.string measure string is missing a COLUMNNAME property value', 'The COLUMNNAME property has no value', 'Add a value to COLUMNNAME property', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36840', '(XSLMGEN10) Cube string.string has no measures', 'The cube has no measures', 'Add a measure to the cube', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36841', '(XSLMGEN11) Dimension string.string was not found', 'The view token referenced a dimension that does not exist', 'Pass in a dimension that does exist', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38417', 'attribute set string does not exist', 'An attempt was made to use an attribute set that does not exist.', 'Create the attribute set or choose an existing attribute set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38418', 'ADT associated with the attribute set string does not exist', 'The ADT with the same name as the attribute set was not found in the current schema.', 'Drop the attribute set and recreate it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38419', 'invalid identifier in attribute : string', 'An identifier used in the stored/indexed attribute sub-expression was not defined or was invalid.', 'Create all the required elementary attributes and user-defined functions and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38420', 'invalid stored attribute sub-expression: string', 'The sub-expression used for the stored expression was invalid.', 'Set serveroutput ON and repeat the operation for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38421', 'attribute string already exists', 'An attribute with a matching name (or form) already exists in the attribute set.', 'Drop the existing attribute or choose a different name for the new attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38422', 'invalid datatype for the attribute: string', 'An attempt was made to create an attribute with invalid datatype.', 'If the data type of the attribute is an ADT, make sure that the type exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38423', 'Attribute set created from an ADT may not be extended.', 'An attempt was made to add an elementary attribute to an attribute set created from an ADT.', 'Create a new attribute set and add all the required elementary attributes one at a time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38424', 'no attribute set currently assigned to the expression set', 'An attempt was made to un-assign an attribute set from an expression set when there is no attribute set assigned to it.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38425', 'attribute set used for an index object may not be unassigned', 'An attempt was made to un-assign an attribute set from an expression set when there is an Expression Filter index defined on the column.', 'Drop the index before un-assigning the attribute set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38426', 'attribute set assigned to an expression set may not be dropped', 'An attempt was made to drop an attribute set when it is still associated with an expression set.', 'Un-assign the attribute set from the expression set before dropping it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38427', 'attribute string does not exist', 'An attempt was made to use an attribute set that does not exist.', 'Create the attribute set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38428', 'too many attributes selected for indexing', 'An attempt was made to create an expression filter index with more than 490 indexed attributes.', 'Remove some of the indexed attributes. Make sure that the default indexed attributes associated with the attribute set combined with the indexed attributes specified in the Create Index Parameters clause are less than or equal to 490.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38429', 'invalid datatype for a stored attribute: string', 'The (resulting) datatype for the attribute was not appropriate for storing.', 'Choose a stored attribute that has a resulting datatype of NUMBER, VARCHAR2, CHAR or DATE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38430', 'Operation "string" not supported in the current release.', 'An attempt was made to perform an unsupported operation.', 'Do not use the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38431', 'could not evaluate subexpression "string" for rowid "string"', 'Either the expression was not a valid SQL-WHERE clause format or it had references to nonexistent schema objects.', 'Correct the expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38432', 'EVALUATE operator only allowed on an expression column', 'An attempt was made to use the EVALUATE operator on a column not configured as a column storing expressions.', 'Assign an attribute set to the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38433', 'index "string" could not be maintained due to "string"', 'The error was caused by the recursive operation.', 'Fix the error and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38434', 'could not evaluate expression "string"', 'Either the expression was not in a valid SQL-WHERE clause format or it had references to nonexistent schema objects or there is a missing attribute value.', 'Set serveroutput ON for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38435', 'missing elementary attribute value or invalid name-value pairs', 'The second argument to the EVALUATE operator had either a missing attribute or an invalid value for an attribute.', 'Try again after fixing the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38436', 'attribute set used for an Expression set may not be modified.', 'An attempt was made to add an elementary attribute to an attribute set assigned to an expression set.', 'Un-assign the attribute set and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38437', 'The ADT "string" may not contain any user methods.', 'An attempt was made to create an attribute set from an ADT that has one or more user methods.', 'Drop the ADT and recreate it with no user methods.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38438', 'getVarchar not possible due to "string" datatype in the attribute set', 'An attempt was made to use the getVarchar API when the attribute set has one or more non-scalar types.', 'Use AnyData conversion to encode the data item.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38439', 'invalid operation "string"', 'An attempt was made to use an invalid operation.', 'Use one of the following operations : ADD, DROP', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38440', 'attribute set string does not exist', 'An attempt was made to copy an attribute set that is not accessible from the current schema.', 'Grant execute permissions on the corresponding ADT to the current user and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38441', 'System could not derive the list of STORED and INDEXED attributes.', 'The attribute set was created without default index parameters.', 'Specify the default index parameters for the attribute set or include a valid PARAMETERS clause for the CREATE INDEX command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38442', 'The ADT "string" is not in a valid state.', 'An attempt was made to use an ADT that is not in a valid state.', 'Check the INCOMPLETE field in the user_types catalog view to make sure that the ADT is in a valid state. Drop the invalid ADT and recreate the corresponding attribute set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38443', 'An attribute set should be assigned to the expression set for statistics collection.', 'An attempt was made to collect statistics for an expression set with no attribute set assigned to it.', 'Assign an attribute set to the expression set before collecting the statistics.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38444', 'statistics do not exist for the expression set', 'An attempt was made to clear the statistics that do not exist.', 'No action was required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38445', 'TOP clause not allowed with no statistics', 'An attempt was made to use the TOP parameters clause with no statistics available for the expression set.', 'Collect statistics for the expression set and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38446', 'Error with embedded ADT "string" in the attribute set.', 'The embedded ADT has errors.', 'Set serveroutput ON for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38447', 'Type required for the embedded ADT attribute "string" is missing', 'Object type required for the embedded ADT was missing.', 'Set serveroutput ON for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38448', 'Indexing predicates with "string" operator is not supported.', 'An unsupported operator was used in the exf$indexoper array.', 'Choose the operators from this list : =, <, >, <=, >=, !=, is null, is not null, nvl, and between.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38449', 'table "string" does not exist or is not accessible', 'An attempt was made to create a table alias for a table that does not exist or is not accessible.', 'Grant select privileges on the table to the current user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32403', 'cannot use new values from mv log on "string"."string"', 'The materialized view log either does not have new values logged, or the timestamp associated with the new values columns is more recent than the last refresh time.', 'Perform a complete refresh is required before the next fast refresh.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32404', 'snapshot log uses Change Data Capture which is not enabled for this database', 'A snapshot log that utilizes Change Data Capture is being imported to a database where Change Data Capture has not been enabled.', 'First enable Change Data Capture on the database then retry the import.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32405', 'cannot alter tablespace for existing materialized view log', 'The tablespace specification for the existing materialized view log cannot be altered or changed.', 'remove the tablespace clause from the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32406', 'cannot alter partitioning for existing materialized view log', 'The partitioning specification for the existing materialized view log cannot be altered or changed.', 'remove the partitioning clause from the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32407', 'cannot exclude new values when materialized view log includes new values', 'The excluding new values specification for the existing materialized view log cannot be accepted when including new values is the current option.', 'change excluding new values clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32408', 'materialized view log on "string"."string" already has new values', 'The materialized view log on the indicated table already has new values.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32409', 'materialized view log on "string"."string" already excludes new values', 'The materialized view log on the indicated table already excludes new values.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32851', 'agent string already exists', 'The specified Messaging Gateway agent name already existed.', 'Specify a different agent name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32853', 'propagation job string does not exist', 'The specified propagation job identifier did not exist.', 'Specify an existing identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32854', 'propagation job string already exists', 'The specified propagation job identifier already existed.', 'Specify a different identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32855', 'propagation job string is marked for removal', 'An administration operation was attempted for a propagation job which is marked for removal. If attempting to remove a job, the Messaging Gateway agent is not running or is running but unable to remove the job at this time.', 'Do not issue propagation administration commands for a job for which removal is pending. Wait for the job to be removed by the agent, or, issue REMOVE_JOB with the FORCE option to force the job to be removed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32856', 'operation not supported for propagation job', 'An attempt was made to perform an operation that was not supported for a propagation job.', 'Perform the operation using a propagation job procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32857', 'propagation job exists for source string and destination string', 'An attempt was made to create a propagation job, subscriber, or schedule when a propagation job already existed for the specified source and destination pair.', 'Specify a different source and destination pair, or remove the propagation job using that pair and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33000', '(AGOPEN00) AGGMAP workspace object cannot be accessed because it was compiled by a more recent version of string.', 'The AGGMAP was already compiled by a more recent version of the product than was being used to execute this command.', 'Recompile the AGGMAP in the current version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33002', '(XSAGDNGL00) In AGGMAP workspace object, the FLOOR argument of number must be less than the CEILING argument of number.', 'The user specified a floor argument greater than the ceiling argument.', 'Adjust the floor and ceiling arguments so that the floor is less than the ceiling. OBSOLETE, please remove this', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33003', '(XSAGDIMDROP) workspace object, to be transformed during data load, must be a base dimension and not otherwise referenced in the AGGMAP.', 'The user tried to specify a dimension in a dataflow-related clause in an aggmap which is already in another RELATION statement, DIMENSION statement, or possibly dimensioning the AGGMAP, or they specified a composite or conjoint dimension, or an object which is not a dimension', 'Remove the conflicting reference or specify a valid object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33004', '(XSAGDNGL01) workspace object is not a relationship array.', 'A RELATION clause in the AGGMAP named a workspace object that is not a relation.', 'Name a valid self-relation in the RELATION statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33005', '(XSAGDIMBREAK) Invalid breakout for dimension workspace object.', 'The user specified something that was not a valid dimension or relation on a BREAKOUTDIM line in an aggmap. This might be because the object was not a valid relation, was not over the specified dimension or was multidimensional', 'Use a valid relation instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33006', '(XSAGDNGL02) The relation workspace object is not related to itself.', 'A relation was named in a RELATION clause of the AGGMAP that is not a self-relation.', 'Name a valid self-relation in the RELATION statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33008', '(XSAGDNGL03) The relation workspace object is not a relation over a base dimension of AGGMAP workspace object.', 'A relation was named in a RELATION clause of the AGGMAP that is not a relation for a base dimension of the AGGMAP.', 'Name a valid self-relation in the RELATION statement, that is, one that has a dimension that dimensions the AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34359', '(MXDSS11) string appears twice in the alias list.', 'User included the same name twice in the alias list of an AW ALIAS or AW UNALIAS command.', 'Remove the duplicate name and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34360', '(MXDSS15) number other users writing', 'Used for AW LIST output formatting when %d > 1', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34361', '(MXDSS12) number other user reading', 'Used for AW LIST output formatting when %d == 1', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34363', '(MXDSS13) number other user writing', 'Used for AW LIST output formatting when %d == 1', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34481', '(MXMAINT07) You cannot string values of PARTITION TEMPLATE workspace object.', 'User attempted to use the MAINTAIN command with some keyword other than ADD or DELETE on a partition template.', 'It is not possible to MAINTAIN a partition template, except to add or delete values of a partition list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34487', '(MXMAINT08) You cannot string values of non-unique concat dimension workspace object.', 'The specified MAINTAIN operation can only be applied to UNQUE concats.', 'Use the CHGDFN command to change the concat dimension to UNIQUE and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34489', '(MXMAINT06) You cannot maintain workspace object because it is a SURROGATE.', 'The user attempted to use the MAINTAIN command on a dimension surrogate. The MAINTAIN command can only be used with real dimensions, not surrogates.', 'Use the MAINTAIN command to modify the underlying dimension of the surrogate instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34514', '(MXOPERR) You cannot string string data in the expression that begins with ''string''.', 'The user attempted an invalid operation.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34656', '(MXSQL24) Additional WHERE clause conditions with CURRENT OF <cursor name> syntax', 'A SQL UPDATE or DELETE statement tried to use the CURRENT of <cursor name> syntax with a WHERE clause containing multiple conditions.', 'When using the CURRENT OF <cursor name> syntax make sure it is the only condition in the WHERE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34143', '(MXCGPUT02) You cannot assign values to SURROGATE workspace object because it is type INTEGER.', 'The user attempted to assign a value to a dimension surrogate whose data type is INTEGER. INTEGER surrogates, like INTEGER dimensions, cannot have values assigned to them. They can only be referenced by position.', 'Do not attempt to assign values to an INTEGER surrogate. Values will automatically appear and disappear from the INTEGER surrogate as positions are added to or removed from the underlying dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34145', '(MXCGPUT03) You cannot use the APPEND keyword with SURROGATE workspace object.', 'User used the APPEND keyword on a SURROGATE target in a FILEREAD, SQL FETCH or SQL SELECT command.', 'To assign a value to a SURROGATE in a FILEREAD, SQL FETCH or SQL SELECT command, use the ASSIGN keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34164', '(MXCGVAR01) A dimension used to define a local string variable cannot be located. Execution cannot continue.', 'A local relation or valueset has become invalid, most probably because an object used by the currently executing program has been deleted.', 'This is an internal error that should be referred to Oracle technical support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34177', '(MXCHGDCL19) number cannot be deleted because one or more partitioned variables instantiate it.', 'User attempted to CHGDFN DELETE a partition template, but some partitioned variable had data in the partition specified for deletion.', 'Drop the partitions that are causing the problem, then retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34179', '(MXCHGDCL20) workspace object is not a PARTITION TEMPLATE.', 'User specified an object that is not a partition template where a partition template is required.', 'Supply the name of a partition template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34181', '(MXCHGDCL21) workspace object is not a partitioned VARIABLE.', 'User specified an object that is not a partitioned variable in a place where a partitioned variable is required.', 'Supply the name of a partitioned variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34183', '(MXCHGDCL22) Partition number already exists.', 'User attempted to ADD a partition that already existed to a partitioned variable.', 'None required - the partition already exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34210', '(MXCHGDCL18) You cannot change workspace object to a dimension composite because one or more surrogates has been defined for it.', 'The user attempted to redefine a conjoint dimension as a composite, but the conjoint has one or more surrogates defined. A dimension that has surrogates cannot be redefined as a composite.', 'Either delete all surrogates for the dimension, or do not attempt to redefine the dimension as a composite.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34243', '(MXDCL11) You can only use the string keyword when defining a COMPOSITE.', 'User supplied the COMPRESSED keyword when defining an object that was not a COMPOSITE.', 'If the intent is to create a compressed composite, make sure that the object type is COMPOSITE. Otherwise, remove the COMPRESSED keyword from the command string and rerun.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34260', '(MXDCL25) You cannot use number to dimension a string because it is, or involves, a dimension composite. Use the composite''s bases instead.', 'The user attempted to use a COMPOSITE in the dimension list of an object that does not allow for such dimensions.', 'Use the base dimensions of the COMPOSITE in the dimension list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34276', '(MXDCL33) (Precision, Scale) arguments can only be used with a NUMBER variable or dimension.', 'The user attempted to use NUMBER(Precision) or NUMBER(Precision, Scale) as the datatype in a definition for some object other than a DIMENSION or VARIABLE, such as a FORMULA or PROGRAM. This error can also be produced in cases where a NUMBER data type is not allowed at all.', 'Use the NUMBER type without specifying a precision or scale. If a NUMBER data type is not allowed at all, this fix will only change the exception message to something more specific.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34279', '(MXDCL37) CONCAT can only be used when defining a DIMENSION.', 'The CONCAT keyword was used incorrectly.', 'Retry the command without the CONCAT keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34286', '(MXDCL53) workspace object cannot be used in this context because it is a string.', 'User specified a dimension composite, conjoint, or partition template in a place where that kind of dimension is not allowed. For instance, a relation cannot be dimensioned by a composite, and only a variable can dimensioned by a partition template.', 'Usually, the offending dimension can be replaced with its bases. For instance, a relation cannot be dimensioned by a a composite of PRODUCT and GEOG, but it can be dimensioned by both PRODUCT and GEOG instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34296', '(MXDCL36) A NUMBER dimension must be defined with a fixed precision and scale, using the form NUMBER(precision) or NUMBER(precision, scale).', 'The user attempted to define a NUMBER dimension without specifying a precision. The proper format for declaring a number dimension is NUMBER(Precision) or NUMBER(Precision, Scale). NUMBER with no precision or scale is not allowed.', 'Use NUMBER(Precision) or NUMBER(Precision, Scale) to specify the datatype of a NUMBER dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34342', '(MXDSS01) IMPORTANT: Analytic workspace string is read-only. Therefore, you will not be able to use the UPDATE command to save changes to it.', 'This is an informational message that reminds you that you may not save changes to the specified analytic workspace.', 'None, unless it was desired to save changes to the analytic workspace. In that case, detach and reattach the analytic workspace read-write.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34344', '(MXDSS03) Analytic workspace string is not attached.', 'The command attempted to operate on an analytic workspace that is not currently attached, or the name of the analytic workspace is misspelled.', 'Attach the analytic workspace or correct the spelling.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34346', '(MXDSS04) The string analytic workspace cannot be detached.', 'The specified analytic workspace is an internal workspace and may not be detached by the user.', 'Specify a different analytic workspace to detach.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34348', '(MXDSS05) string is used only for internal purposes and cannot be accessed as an analytic workspace.', 'The command attempted to operate on an internal analytic workspace used by the system.', 'Specify a different analytic workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34350', '(MXDSS06) string is an open analytic workspace.', 'The specified analytic workspace is currently in use.', 'The desired action requires an analytic workspace that is not currently in use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34357', '(MXDSS10) string is not an alias of analytic workspace string.', 'User attempted to use AW UNALIAS on a non-existent alias.', 'Make sure that the command specified the correct analytic workspace and alias. The alias must have been assigned (using AW ALIAS) during the current session and must not have been removed by a previous AW UNALIAS or AW DETACH command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34358', '(MXDSS14) number other users reading', 'Used for AW LIST output formatting when %d > 1', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34719', '(NLSCHARSET03) Character data loss in NTEXT/TEXT conversion', 'When character set conversion happens between TEXT and NTEXT either implicitly or explicitly, some characters are lost due to no mapping characters in the destination character set.', 'Make sure all the characters can be mapped to destination character set or set NLS_NCHAR_CONV_EXCP to be FALSE. Note: This message is the OLAP equivalent of ORA-12713.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36842', '(XSLMGEN12) Hierarchy string.string.string was not found', 'The view token referenced a hierarchy that does not exist', 'Pass in a hierarchy that does exist', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36843', '(XSLMGEN13) Dimension string.string hierarchy string is missing a PHYSICALNAME property value', 'The property PHYSICALNAME has no value', 'Populate the property PHYSICALNAME with a value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36844', '(XSLMGEN14) Dimension string.string is missing a string property value', 'The dimension is missing a required property', 'Check dimension property values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36845', '(XSLMGEN15) Owner is greater than 30 bytes', 'The owner passed is greater than 30 bytes', 'Pass in an owner that is 30 bytes or less', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36846', '(XSLMGEN16) AW name is greater than 30 bytes', 'The AW name passed is greater than 30 bytes', 'Pass in an AW name that is 30 bytes or less', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36847', '(XSLMGEN17) AW name is blank', 'The AW name passed is blank', 'Pass in an AW name that has a value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36848', '(XSLMGEN18) Object name string is different than string', 'The object names are different', 'Make the object names match', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36849', '(XSLMGEN19) AW owner does not match View token owner', 'The AW owner does not match the View token owner', 'Match AW ower to View token object owner', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36850', '(XSLMGEN20) View token string is not correct', 'The view token is not correct', 'Check view token syntax for errors', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36861', '(XSTFRC01) SQL Cache ID parameter is invalid or missing.', 'SQL Cache ID parameter is required to identify SQL cache to query', 'Supply a valid SQL Cache ID. Normally, users should not call OLAP Random Access Cursor table function themselves and therefore should not encounter this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36862', '(XSTFRC02) Column number for this SQL Cache must be between 1 and number. Specified column number number is invalid.', 'Column Map references a column number that is greater than the maximum column number in SQL Cache', 'Reference a correct column number. Normally, users should not call OLAP Random Access Cursor table function themselves and therefore should not encounter this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36871', '(XSFTDSC01) Object string cannot be used to define a column in a LIMITMAP.', 'The object cannot define a column in LIMITMAP most likely because it is of a wrong type such as, for example, a Worksheet.', 'Remove the reference from the LIMITMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36872', '(XSTFDSC02) Column type specifier cannot be used when the table function data type is specified.', 'Column type can only be used with implicitly-specified table functions', 'Remove column type from reference from the LIMITMAP or remove the explicit table function data type specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36873', '(XSTFDSC03) Column type must be specified explicitly.', 'Missing column type specification.', 'Please, make sure to specify a column type in COLUMN MAP. Normally, users should not call OLAP Random Access Cursor table function themselves and therefore should not encounter this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36874', '(XSTFDSC04) Expression string cannot be used to define a column in a LIMITMAP.', 'The expression cannot define a column in LIMITMAP most likely because it is of a wrong type such as, for example, a Worksheet.', 'Remove the reference from the LIMITMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36875', '(XSTFDSC05) LIMITMAP is missing or is not a string literal.', 'Table functions that have an automatic ADT require LIMITMAP to be a string literal.', 'Either specify ADT for the table function or specify LIMITMAP as a string literal.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36881', '(XSSRF00) The OLAP DML ROW2CELL function can only be used in a LIMITMAP.', 'Using the ROW2CELL function outside of the LIMITMAP.', 'Remove use of the ROW2CELL function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36882', '(XSSRF01) The second parameter of an AW single row function cannot be NULL.', 'The second parameter of the AW single row function was NULL', 'Pass a valid OLAP DML expression as the second parameter of the AW single row function', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36883', '(XSSRF02) The first parameter of an AW single row function cannot be NULL.', 'The first parameter of the AW single row function was NULL', 'Make sure the column specified in the LIMITMAP ROW2CELL clause is the first parameter of the AW single row function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36884', '(XSSRF03) The value of the first parameter of the AW single row function is incorrect.', 'The column specified in the LIMITMAP ROW2CELL clause was not the first parameter of the AW single row function.', 'Make sure the column specified in the LIMITMAP ROW2CELL clause is the first parameter of the AW single row function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36885', '(XSSRF04) Error rewriting OLAP DML expression. Column name too big', 'The column name specified in the OLAP DML expression was larger than 30 bytes.', 'Make sure the column name specified in the OLAP DML expression is less than or equal to 30 bytes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36886', '(XSSRF05) Error rewritting OLAP DML expression. Rewritten expression is greater than number bytes', 'The rewritten OLAP DML expression was larger than the output buffer.', 'Create a smaller OLAP DML expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36887', '(XSSRF06) Error rewriting OLAP DML expression. Column name string is not a valid ADT column.', 'The column name passes does not exist.', 'Only reference columns that exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36902', '(XSAGDNGL43) In AGGMAP workspace object, the MODEL workspace object is not a model over a base dimension of the AGGMAP.', 'Model may include equations others than dimension values, or blocks other than simple blocks.', 'Make sure model only includes the simple blocks with dimension values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36904', '(XSAGDNGL44) In AGGMAP workspace object, RELATION workspace object occurs after a dynamic model. The dynamic model must be the last calculation within the AGGMAP.', 'Before the current relation, dynamic model exists.', 'Make sure the dynamic model is the last statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36908', '(XSAGDNGL46) In AGGMAP workspace object, MODEL workspace object has the repeating dimension with the previous model.', 'two models use the same dimension.', 'merge the equations in the two models.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36910', '(XSAGDNGL47) In AGGMAP workspace object, DYNAMIC MODEL workspace object can only edit the top level of its matching relation hierarchy.', 'The model attempted to edit a child node in the relation hierarchy.', 'Remove this attempt from the model definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36912', '(XSAGDNGL48) In AGGMAP workspace object, MODEL workspace object cannot be simultaneous.', 'The aggmap contained a simultaneous model.', 'Change the model definition so that it is no longer simultaneous.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36913', '(XSAGDNGL49) In AGGMAP workspace object, LOAD_STATUS object workspace object must be an undimensioned VALUESET over the relation dimension.', 'The object refered to by the LOAD_STATUS clause of the aggmap wasn''t an undimensioned valueset over the related dimension', 'Change the aggmap definition so that it doesn''t refer to an invalid object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36914', '(XSAGDNGL50) In AGGMAP workspace object, LOAD_STATUS valueset workspace object contains both a child and its ancestor.', 'The LOAD_STATUS valueset is not allowed to contain both a dimension value and an ancestor of that value.', 'Perform a limit remove ancestors on the valueset and confirm that the result matches the intended load.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31459', 'system triggers for DBMS_CDC_PUBLISH package are not installed', 'One or more required system triggers are not installed. These triggers are required for the proper operation of Change Data Capture. Operations on Change tables cannot continue.', 'Install or reenable the triggers, or reinstall the package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31460', 'logfile location string is not an existing directory', 'The directory specification for logfile location for the change source, does not correspond with an existing directory, or the directory was not accessible.', '1. Create the directory if it does not exist. If the directory does exist, change the file system permissions so the directory can be accessed. OR 2. perform ALTER CHANGE SOURCE and change the logfile_location to be an existing directory that contains the logfiles', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31461', 'logfile location string contains no files that match pattern string', 'The directory specification for logfile location for the change source, does not contain any files whose names pattern-match the logfile_suffix.', '1. Make sure that the logfile location contains logfiles whose names match the logfile_suffix pattern for the change set. OR 2. perform ALTER CHANGE SOURCE and change the logfile_suffix such that it matches the names of existing logfiles in the directory', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31462', 'internal error while accessing metadata', 'An unexpected internal error occurred while CDC was accessing its internal Metadata.', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31463', 'logfile location string is an empty directory', 'The directory specification for logfile location for the change source, is an empty directory', '1. Make sure it is the correct location of the logfiles. If it is, make sure the directory contains logfiles. OR 2. perform ALTER CHANGE SOURCE and change the logfile_location to be an existing directory that contains the logfiles', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31464', 'target table for the change table no longer exists', 'User tried to drop a change table but its underlying storage table (that contains the change data) has been dropped.', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31465', 'cannot obtain a lock on the subscription', 'A timeout occurred while trying to place a lock on the subscription. Another session had already acquired the lock on the subscription.', 'Ensure the subscription name is correct and correct it if necessary. If it is already correct, try the operation again after the session holding the lock has released it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31466', 'no publications found', 'Did not find any publications that matched the input parameters or the user does not have the privileges to access the specified publication.', 'Check the input parameters on the call to SUBSCRIBE. Validate that the proposed source table has been published by checking the USER_PUBLICATIONS view for that source table. Contact the publisher if user privileges are required to access the publication. Retry the command with correct security or publication information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31467', 'no column found in the source table', 'The OBJECT_ID flag was set to ''Y'' on the call to CREATE_CHANGE_TABLE and change table belongs to the synchronous change set. The corresponding object column was not detected in the source table.', 'Create the change table with the OBJECT_ID flag set to ''N'' or investigate why the object column is not in the source table and add it to the source table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31468', 'cannot process DDL change record', 'The change set has stop_on_ddl enabled and was trying to process a DDL change record.', 'Check the alert log to find out what the DDL record contained. Make any necessary changes to the change tables. Call ALTER_CHANGE_SET with recover_after_error and remove_ddl set to ''Y''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31469', 'cannot enable Change Data Capture for change set string', 'The change set has reached the specified limit that was set up by the CREATE_CHANGE_SET command.', 'Check the alert log to find out whether capture, apply or both reached the limit. Once apply reaches its limit, the change set is permanently disabled. Create a new change set with new limits to continue capturing data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31470', 'asynchronous change tables must contain the RSID$ column', 'If creating an asynchronous change table, the RSID was set to ''N''. If altering an asynchronous change table with an operation parameter of ''DROP'' RSID was set to ''Y''.', 'When creating asynchronous change tables, always specify ''Y'' for the RSID parameter. When altering asynchronous change tables always specify ''N'' for RSID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31471', 'invalid OBJECT_ID value', 'An object_id value of ''y'' was specified for an asynchronous change table.', 'Specify an object_id parameter value of ''n'' and call the procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31472', 'Importing Change Data Capture version string.string is too new', 'An attempt was made to Import a file that was exported by a newer version of Oracle than the target instance.', 'If possible, re-export the file using a version of export that matches the import target. Objects can not be imported into previous versions of Oracle that did not support them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31473', 'date bound out of range', 'The upper_bound or lower_bound specified in extend_window or purge_window API is beyond the range of records in the change set.', 'Either select a bound that is within range or do not select an upper or lower bound at all.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31474', 'Invalid change view window', 'The specified upper_bound or lower_bound is forcing a condition where the change view window will have nothing in it.', 'Select a different upper_bound or lower_bound and reissue the API call that produced the error. Alternatively, make the upper_bound or lower_bound parameter NULL and reissue the API call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31475', 'redo log catalog contains no metadata for the source table', 'While advancing a change set, an CDC attempted to query the LogMiner dictionary system tables to obtain the columns from the source table. The query returned no rows. This may be because none of the redo logs contains a catalog, or it may be an internal error.', 'First, verify that the source system contains the source table. execute dbms_logmnr_d.build procedure to populate the redos log with logminer dictionary information. If this has been done and the problem persists, then contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31476', 'a change table data column is missing from the source table', 'While advancing a change set, an CDC determined that at least one of the data columns in a change table does not match the name of any of the columns in the source table. The source table column listis stored in dictionary table SYSTEM.LOGMNR_OBJ$', 'Make sure that all of the data columns of the change table have the same names as the corresponding columns in the source table, and that all the columns exist in the source table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31477', 'could not detach LogMiner session during cleanup', 'Failure during detach from a LogMiner session during advance of an asynchronous change set. This is an internal error. This exception is raised when a previous exception occurred during the internal protocol with LogMiner, after which Change Data Capture attempted to detach the LogMiner session as part of recovery. The detach session also failed', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31648', 'Timeout before master process string finished initialization.', 'The master process whose name is listed started up but did not finish its initialization within the allowed time limit.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31649', 'Master process string violated startup protocol.', 'The master process whose name is listed started up but then exited before notifying the creating process that it was finished with initialization.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31650', 'timeout waiting for master process response', 'After creating the job infrastructure and sending the initial message to the master process, it failed to respond in the allotted time and most likely aborted during startup.', 'Retry the open or attach request. Contact Oracle Customer Support if the problem persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31651', 'communication error with master process - detaching job', 'Unexpected failure trying to communicate with the master process.', 'Attach again and retry operation. Contact Oracle Customer Support if the problem persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31652', 'command response message was invalid type - detaching job', 'Something horribly wrong with the command/response protocol.', 'Reattach and retry operation. Contact Oracle Customer Support if the problem persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31653', 'unable to determine job operation for privilege check', 'Failure trying to determine the operation of the current job in order to test for appropriate privileges.', 'Retry in case it''s an intermittent failure. If it still fails, detach, reattach, and retry the call. Contact Oracle Customer Support if the problem persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31654', 'unable to convert file or volume size as specified to a number', 'File or volume size specification has an error the prevents it from being converted into a numeric value.', 'Fix the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31655', 'no data or metadata objects selected for job', 'After the job parameters and filters were applied, the job specified by the user did not reference any objects.', 'Verify that the mode of the job specified objects to be moved. For command line clients, verify that the INCLUDE, EXCLUDE and CONTENT parameters were correctly set. For DBMS_DATAPUMP API users, verify that the metadata filters, data filters, and parameters that were supplied on the job were correctly set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31656', 'cannot use TABLESPACE_EXPR filter with transportable mode', 'A TABLESPACE_EXPR metadata filter was supplied for for a transportable mode import job. Transportable mode import does not support the subsetting of tablespaces from a dump file set.', 'Remove the filter expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31657', 'data filter name can not be defaulted', 'A null data filter name was supplied.', 'Fix the call to specify a data filter name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31658', 'specifying a schema name requires a table name', 'The caller specified a schema name but neglected to specify a corresponding table name.', 'Fix the call to include a table name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31659', 'status message was invalid type - detaching job', 'Message from the master process on the status queue had an invalid message type, indicating a failure in the protocol.', 'Reattach and retry the operation. Contact Oracle Customer Support if the problem persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31660', 'metadata filter name can not be defaulted', 'A null metadata filter name was supplied.', 'Fix the call to specify a metadata filter name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31661', 'there are no metadata transform values of type VARCHAR2', 'The specified metadata transform value was an invalid type.', 'Fix the call to specify a valid metadata transform value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31662', 'metadata transform name can not be defaulted', 'A null metadata transform name was supplied.', 'Fix the call to specify a metadata transform name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31663', 'metadata remap name can not be defaulted', 'A null metadata remap name was supplied.', 'Fix the call to specify a metadata remap name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31664', 'unable to construct unique job name when defaulted', 'The job name was defaulted, and the name creation algorithm was unable to find a unique job name for this schema where the table name (for the master table) didn''t already exist.', 'Specify a job name to use or delete some of the existing tables causing the name conflicts.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31665', 'mode can only be defaulted for IMPORT and SQL_FILE operations', 'The job mode can not be null except for IMPORT and SQL_FILE operations.', 'Fix the call to specify the job mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31666', 'Master process string had an unhandled exception.', 'A Data Pump process model master process had an unhandled exception condition.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31667', 'parameter name can not be defaulted', 'A null was supplied for the parameter name.', 'Fix the call by providing a valid parameter name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31668', 'Timeout before worker process string finished initialization.', 'The worker process whose name is listed started up but did not finish its initialization within the allowed time limit.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31669', 'Worker process string violated startup protocol.', 'The worker process whose name is listed started up but then exited before notifying the creating process that it was finished with initialization.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31670', 'Username argument must be specified and non-null.', 'Called change user with a NULL username or a null string.', 'Specify a valid username argument. If this error occurs from a Data Pump client (e.g. expdp or impdp), try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31671', 'Worker process string had an unhandled exception.', 'A Data Pump process model worker process had an unhandled exception condition.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34722', '(NLSCHARSET05) CAUTION: Character data loss in character set conversion from string to string', 'Some operation required a string to be converted into a different character set, but the string contained characters that didn''t exist in the new character set.', 'Choose different character sets.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34841', '(OPCREATE02) The string option must be declared with the READONLY attribute.', 'An attempt was made to declare the option without the READONLY attribute.', 'Declare the option READONLY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34871', '(PERMIT06) Session-only value ''value'' of workspace object has been deleted because a PERMIT change has revealed a duplicate value.', 'Execution of a PERMIT command revealed a permanent dimension or surrogate value having the same name as the SESSION value.', 'If the SESSION value is still needed, add it with a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34896', '(PPMONTHS00) At least 12 month names must be given. Only number were provided.', 'There must be at least one name for each month. Not enough names were provided.', 'Provide at least 12 names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34897', '(PPMONTHS01) Blank lines are not allowed in the MONTHNAMES option.', 'There is at least one blank line in the string populating the MONTHNAMES option. We do not allow blank month names.', 'Remove the blank line(s) from the string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34900', '(PPWKDAYS00) At least 7 day names must be given. Only number were provided.', 'There must be at least one name for each day. Not enough names were provided.', 'Make sure there are at least 7 names in the string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34901', '(PPWKDAYS01) Blank lines are not allowed in the DAYNAMES option.', 'There is at least one blank line in the string populating the DAYNAMES option. We do not allow blank day names.', 'Remove the blank line(s) from the string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35016', '(QFCHECK00) The analytic workspace and EIF file definitions of workspace object have a mismatched type.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35810', '(XSINPUTERR) The command has requested more input than was supplied in the command string.', 'The command required input that was not supplied in the string.', 'Reexecute the command with the required input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35917', '(XSHIDE05) You cannot HIDE model workspace object because the analytic workspace in which it is defined has not been upgraded to version string.', 'User attempted to apply the HIDE command to a model in an AW that has not been upgraded to the necessary compatibility level.', 'Make sure that the database is running in the appropriate compatibility mode, and upgrade the AW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35952', '(XSSPFC01) The string dimension workspace object and the string dimension workspace object must have the same number of values in status for SPFCEXEC method number.', 'This method requires the named dimensions to have the same number of values in status, but the user provided statuses of different lengths.', 'Relimit the dimensions so that their status lengths are the same.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36018', '(XSHIERCK02) The format of the HIERCHECK command is: HIERCHECK relation [STATUS|NOSTATUS|valueset] [MULTIPATH] [CONSISTENT] [BALANCED levelrelation] Or HIERCHECK aggmap [MULTIPATH] [CONSISTENT]', 'Used the wrong object type.', 'Change the object to a RELATION or AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36020', '(XSHIERCK03) The definition of hierarchy workspace object over number is inconsistent.', 'The definition of the hierarchy was inconsistent.', 'Change the definition of the hierarchy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36022', '(XSHIERCK04) Valuesets specified in the HIERCHECK command must be scalar. workspace object is dimensioned.', 'The HIERCHECK command specified a dimensioned valueset.', 'Specify a scalar valueset in its place.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36024', '(XSHIERCK05) Valueset workspace object must contain values of one of the extra dimensions of relation workspace object.', 'The HIERCHECK command specified a valueset over an invalid dimension.', 'Specify a valueset containing values of one of the self-relation''s extra dimensions (the dimensions in the relation''s dimension list, minus the self-related dimension itself).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36025', '(XSHIERCK06) The level dimension of the level relation workspace object is the same as the relation dimension workspace object.', 'The level dimension was the same as the relation dimension.', 'Change the definition of the level relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36026', '(XSHIERCK07) Level relation workspace object is not dimensioned by relation dimension workspace object.', 'The level relation was not dimensioned by the relation dimension.', 'Change the definition of the level relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36027', '(XSHIERCK08) Hierarchy workspace object is not balanced.', 'The current hierarchy was not balanced.', 'Change the hierarchy to balanced.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36028', '(XSHIERCK09) Hierarchy workspace object has multiple paths from number to number.', 'The current hierarchy had multiple paths.', 'Remove multiple paths from the hierarchy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36034', '(XSMHIERCK00) One or more loops have been detected in relationship workspace object over workspace object. The last number of the items are number.', 'A relation was used that had loops in it. There were more items involved than could be reported.', 'Correct the relation so that it does not contain loops.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36035', '(XSMHIERCKREL) One or more loops have been detected in workspace object. number items involved are number.', 'A relation was used that had loops in it.', 'Correct the relation so that it does not contain loops.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36036', '(XSMHIERCK01) One or more loops have been detected in relationship workspace object over workspace object. The number items involved are number.', 'A relation was used that had loops in it.', 'Correct the relation so that it does not contain loops.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36154', '(XSMXAGGR01) workspace object is not a data variable.', 'An object was specified on the Aggregate command line that was not a variable', 'Specify a variable instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36155', '(XSMXAGGRFROM) workspace object must be a variable or formula of a similar data type to workspace object to be used with FROM, or a TEXT variable or formula to be used with FROMVAR.', 'The user specified an illegal variable for use with FROM or FROMVAR on the AGGREGATE command line', 'Specify a legal variable instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36157', '(XSMXAGGRCOMMIT) To use the AUTOCOMMIT keyword, you must also specify the AUTOUPDATE keyword.', 'The user specified AUTOCOMMIT but not AUTOUPDATE on the AGGREGATE command line, which is illegal', 'Either also specify AUTOUPDATE or don''t specify AUTOCOMMIT', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36160', '(XSMXAGGR04) You cannot use string on scalar VARIABLE workspace object.', 'The user tried to run the AGGREGATE or AGGCOUNT command or function on a scalar variable.', 'Specify a dimensioned variable instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36161', '(XSAGGRRUVCV) Aggregation variable workspace object cannot have itself as a COUNTVAR.', 'The user specified the same variable as both an aggregation variable and a COUNTVAR', 'Specify a different COUNTVAR', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36162', '(XSMXAGGR05) COUNTVAR variable workspace object must be of type INTEGER, not string.', 'The user specified a non-INTEGER variable as a COUNTVAR for aggregation', 'Redefine the COUNTVAR to be an INTEGER', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32622', 'illegal multi-cell reference', 'Multi-cell reference was specified on a measure expression without an aggregate function.', 'Use an aggregate function on the measure expression or qualify the cell reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32623', 'incorrect use of MODEL PRESENT* functions', 'A PRESENT* function (IS PRESENT, PRESENTV, PRESENTNNV) was used in a measure expression.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32624', 'illegal reordering of MODEL dimensions', 'The expressions to qualify dimensions were specified in an incorrect order within a cell reference.', 'Reorder dimension expressions in the cell reference.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32625', 'illegal dimension in cell reference predicate', 'A non-positional dimension was referenced in the predicate.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32626', 'illegal bounds or increment in MODEL FOR loop', 'FOR loop allows only numeric and datetime without timezone type for bounds. Only constants of interval and numeric types are allowed as increment/decrement expressions.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32627', 'illegal pattern in MODEL FOR LIKE loop', 'The FOR LIKE pattern had zero or more than one wild characters.', 'Simplify the pattern to have a single wildcard character.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32628', 'invalid nesting of MODEL cell reference', 'MODEL cell reference was nested too deeply.', 'Avoid deep nesting of cell references and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32629', 'measure used for referencing cannot be updated', 'A measure used in nested referencing is updated by a MODEL rule in the automatic order MODEL.', 'Modify the SQL statement or use sequential order MODEL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32630', 'multiple assignment in automatic order MODEL', 'A MODEL cell was updated on the same measure in multiple MODEL rules. Multiple assignment is not allowed in automatic order MODELs as it causes in ambiguity and nondeterminism.', 'Use sequential order MODEL or rewrite the rule to avoid this.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32631', 'illegal use of objects in MODEL', 'An object column was used as a MODEL column. Object types are not allowed as partition by, dimension by or measure expressions.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32632', 'incorrect subquery in MODEL FOR cell index', 'An illegal subquery was specified in MODEL FOR cell index. A subquery used in a MODEL FOR cell index can not have subqueries, correlation, binds and references to WITH tables.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32633', 'MODEL subquery FOR cell index returns too many rows', 'Subquery in MODEL FOR cell index returned more than the allowed maximum.', 'Split the rule into multiple ones.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32634', 'automatic order MODEL evaluation does not converge', 'Evaluation using automatic rule ordering did not reach a convergence point.', 'Modify the rules or use sequential order instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32635', 'not a single cell reference predicate', 'A predicate that is not a single cell reference predicate was specified where a single cell reference predicate was expected. A single cell reference predicate is either a constant expression or a predicate of the form <dimension_key = constant_expr>', 'Make sure that the predicate is a proper single cell reference. In some cases, you might have to put explicit type conversion operators (or casts) on the constant expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32636', 'Too many rules in MODEL', 'The number of rules (possibly after rule unfolding) exceeded the maximum number of rules allowed.', 'Reduce the number of rules.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32637', 'Self cyclic rule in sequential order MODEL', 'A self-cyclic rule was detected in the sequential order MODEL. Sequential order MODELs cannot have self cyclic rules to guarantee that the results do not depend on the order of evaluation of the cells that are updated or upserted.', 'Use ordered rule evaluation for this rule.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32638', 'Non unique addressing in MODEL dimensions', 'The address space defined for the MODEL (partition by and dimension by expressions) do not uniquely identify each cell.', 'Rewrite the MODEL clause. Using UNIQUE SINGLE REFERENCE option might help.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32639', 'Aggregate functions on reference MODELs are not allowed', 'An aggregate function was specified on the cells of a reference MODEL.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32640', 'FOR LIKE loops are not allowed for multi-byte character types', 'FOR LIKE loops was specified for a multi-byte character type.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32641', 'invalid expression in MODEL rule ORDER BY clause', 'An invalid expression was specified in the MODEL rule ORDER BY clause where only expressions of dimension and measure columns and reference MODEL cell references are allowed', 'Modify the order by clause in the MODEL rule.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32642', 'non-unique cell values from the ORDER BY clause', 'The MODEL rule ORDER BY clause did not generate unique values for all cells that satisfy the predicates in the left side of the rule.', 'Modify the rule ORDER BY clause in the MODEL rule.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32643', 'invalid use of window function in MODEL rule', 'The window functions can not be used in SQL Model rules that have FOR-loops on the left side or aggregates on the right side.', 'Modify the MODEL rule.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32644', 'this function is not allowed outside of MODEL clause', 'A function allowed only within the MODEL clause is used outside of MODEL clause.', 'Rewrite the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32690', 'Hash Table Infrastructure ran out of memory', 'Not enough memory.', 'Increase memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35017', '(QFCHECK06) The Analytic Workspace and EIF file definitions of workspace object have different partitioning methods.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35018', '(QFCHECK01) The analytic workspace and EIF file definitions of workspace object have a mismatched data type.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35019', '(QFCHECK07) The Analytic Workspace and EIF file definitions of workspace object have different partition dimensions.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35020', '(QFCHECK02) The analytic workspace and EIF file definitions of workspace object have mismatched dimensioning.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31478', 'could not detach LogMiner session after change set advance', 'Failure during detach from a LogMiner session after successful advance of an asynchronous change set. This is an internal error. This exception is raised when an asynchronous change set has been successfully advanced but CDC was unable to detach from the LogMiner session', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31479', 'could not create LogMiner session', 'Failure during create of a new LogMiner session while advancing an asynchronous change set. This is an internal error.', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31480', 'staging database and source database cannot be the same', 'A CDC API call specified a source database name that matched the staging database on which the CDC API call is being executed.', 'Make sure that the CDC API call is being executed from the staging database and that the source database is correctly specified. The source database and staging database need to be different databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31481', 'change source string is not a HotLog change source', 'A change source was specified that was not a HotLog change source, but a HotLog change source was required.', 'Correct the call to supply a HotLog change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31482', 'invalid option for non-distributed Hotlog change source', 'A CDC API call specified enabled_source = ''Y'' on a non-Distributed HotLog change source.', 'Specify a Distributed HotLog change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31483', 'cannot have spaces in the parameter string', 'The specifed parameter contained at least 1 space character.', 'Check the value of the specified parameter. Remove the spaces and reissue the CDC API call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31484', 'source database version must be at least 9.2.0.6 or greater', 'The source database is not at version 9.2.0.6 or higher.', 'Upgrade the source database to 9.2.0.6 or higher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31485', 'invalid database link', 'The database link used to connect from a staging database to a source database was invalid. The database link may not exist, may not be accessible to the current user, or may have been redefined since the Distributed HotLog change source was originally created.', 'Make sure that there is a database link to the source_database for the Distributed HotLog change source. Make sure this database link is accessible to the current user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31486', 'cannot support column string in this configuration', 'The specified column cannot be used in a Distributed HotLog configuration when the source database version is 9.2.0.6 or 10.1.0.0.', 'Remove the specified column from the CREATE_CHANGE_TABLE or ALTER_CHANGE_TABLE CDC API call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31487', 'cannot support begin dates or end dates in this configuration', 'The specified values cannot be used in a Distributed HotLog configuration.', 'Remove the specified values from the CREATE_CHANGE_SET CDC API call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31488', 'cannot support change set string in this configuration', 'Change sources with the hot mine option enabled are limited to 1 change set. The system detected an existing change set so a second one can not be created.', 'Associate the change set with a different change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31489', 'invalid DDL_MARKERS value', 'A DDL_MARKERS value of ''y'' was specified for an synchronous change table.', 'Specify a DDL_MARKERS parameter value of ''n'' and call the procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31490', 'could not attach to LogMiner session', 'Failure during attach to a LogMiner session while advancing an asynchronous change set. This is an internal error.', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31491', 'could not add logfile to LogMiner session', 'Failure during add logfile to a LogMiner session while advancing an asynchronous change set. This is an internal error.', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31492', 'could not set session parameters for LogMiner session', 'Failure during set parameters for a LogMiner session while advancing an asynchronous change set. This is an internal error.', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31493', 'could not prepare session for LogMiner session', 'Failure during prepare session for a LogMiner session while advancing an asynchronous change set. This is an internal error.', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31494', 'could not activate a LogMiner session', 'Failure during activation of a LogMiner session while advancing an asynchronous change set. This is an internal error.', 'Contact Oracle Corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31495', 'error in synchronous change table on "string"."string"', 'There was an error originating from this synchronous change table. One possible cause is that schema redefinition has occurred on the source table and one or more columns in the change table are now a different type than corresponding source columns. Another possible cause is that there is a problem accessing the synchronous change table.', 'Check further error messages in stack for more detail about the cause. If there has been schema redefinition, drop and recreate the synchronous change table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31496', 'must use DBMS_CDC_PUBLISH.DROP_CHANGE_TABLE to drop change tables', 'An attempt was made to use the SQL command DROP TABLE for change tables, but DROP TABLE is not supported for change tables.', 'Use the DBMS_CDC_PUBLISH.DROP_CHANGE_TABLE procedure instead of the DROP TABLE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31497', 'invalid value specified for first_scn', 'The first_scn was not greater than zero or was less than the previous value of first_scn.', 'Check the value of first_scn. Correct it to make sure it is an integer greater than zero and greater than any previous value for this change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31498', 'description and remove_description cannot both be specified', 'The description and remove_description parameters were both specified.', 'Check the values of description and remove_description. Correct call to only supply one of these values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31499', 'null value specified for required parameter string', 'A null value was specified for a parameter that requires an explicit value.', 'Correct call to supply a value for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31500', 'change source string is not a ManualLog change source', 'A change source was specified that is not a ManualLog change source, but a ManualLog change source is required.', 'Correct call to supply a ManualLog change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31501', 'change source string is not an AutoLog change source', 'A change source was specified that was not an AutoLog change source, but an AutoLog change source was required.', 'Correct call to supply an AutoLog change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31502', 'invalid number supplied for supplemental_processes', 'The caller supplied an invalid value for supplemental_processes. The value must be a positive integer.', 'Correct call to supply a positive integer value for supplemental_processes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31503', 'invalid date supplied for begin_date or end_date', 'The caller supplied an invalid value for begin_date or end_date. The value must be a valid date value.', 'Correct call to supply a valid date value for begin_date and/or end_date.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31504', 'cannot alter or drop predefined change source', 'The caller attempted to alter or drop one of the predefined change sources HOTLOG_SOURCE or SYNC_SOURCE.', 'Do not attempt to alter or drop a predefined change source or correct call to supply the name of a user-created change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31672', 'Worker process string died unexpectedly.', 'A Data Pump process model worker process died unexpectedly, so PMON is cleaning up the process.', 'Check your system for problems. Check the trace file for the process, if one was created, for any additional information. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31673', 'worker process interrupt for normal exit by master process', 'A worker process was requested to clean up and exit because the master process is doing a normal exit.', 'If this error occurs from a Data Pump client (e.g. expdp or impdp). it means that the master process for the operation exited prematurely. Try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31674', 'worker process interrupt for unhandled exception in master process', 'A worker process was requested to clean up and exit because an unhandled exception occurred in the master process.', 'If this error occurs from a Data Pump client (e.g. expdp or impdp), it means that the master process for the operation had an unhandled exception. Check the log file for the operaton and the trace file for the master process for any additional information. Try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31675', 'worker process interrupt for unexpected death of master process', 'A worker process was requested to clean up and exit (signaled by PMON, doing cleanup because the master process died unexpectedly).', 'If this error occurs from a Data Pump client (e.g. expdp or impdp), it means that the master process for the operation died unexpectedly. Check the log file for the operaton and the trace file for the master process for any additional information. Try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31676', 'illegal value for number of workers, string', 'Called create worker processes with an illegal number of workers specified.', 'Make sure that the number of workers value is greater than 0 and less than the maximum value for the platform (normally 32767). If this error occurs from a Data Pump client (e.g. expdp or impdp) and you specified the parallel parameter, try the operation again with a smaller value for the parallel parameter. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31679', 'Table data object string has long columns, and longs can not be loaded/unloaded using a network link', 'Table data objects that contain long columns can not be selected over a network link.', 'Export this table to a file and then import the same table from the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31686', 'error creating worker processes', 'Setup to create worker processes failed.', 'Refer to any following error messages for possible actions. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31687', 'error creating worker process string with worker id string', 'Attempt to create the listed worker process failed.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31688', 'Worker process string failed during startup.', 'The worker process whose name is listed failed during startup.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31689', 'illegal value for base worker id, string', 'Called create worker processes with an illegal base worker id value specified.', 'Make sure that the base worker id value is greater than 0 and less than the maximum value for the platform (normally 32767). If this error occurs from a Data Pump client (e.g. expdp or impdp), try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31690', 'Process name buffer size must be specified and must be greater than 0.', 'Called get worker exception and either specified NULL or 0 for the buffer size argument.', 'Be sure to specify a buffer size that is big enough to hold the worker process name (e.g. 30 bytes). If this error occurs from a Data Pump client (e.g. expdp or impdp), try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31691', 'The worker received message number string from the MCP, which is invalid.', 'Bad code.', 'Fix mcp code and reissue export/import command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31692', 'The following SQL statement failed trying to insert a row into the Master table: string', 'Bad code.', 'Fix code and reissue export/import command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31693', 'Table data object string failed to load/unload and is being skipped due to error: string', 'Table failed to load or unload due to some error.', 'Check load/unload error, correct problem and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31694', 'master table string failed to load/unload', 'Master table failed to load or unload.', 'Check load/unload error, correct problem and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31695', 'Inconsistent master table on restart. The following SQL statement returned string identical objects. string', 'Master table on restart has the same object inserted multiple times.', 'Restart not possible, reissue original export/import.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31696', 'unable to export/import string using client specified string method', 'Table attributes prevent client specified method for exporting or importing data.', 'Use default ''DATA_ACCESS'' parameter value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31697', 'aborting operation at process order number string', 'User asked for it.', 'Don''t ask for it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31698', 'Error stack buffer size must be specified and must be greater than 0.', 'Called get worker exception and either specified NULL or 0 for the error stack size argument.', 'Be sure to specify am error stack buffer size that is big enough to hold the error stack string (e.g. 4096 bytes). If this error occurs from a Data Pump client (e.g. expdp or impdp), try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31700', 'Very long string supplied for AUDIT_SYSLOG_LEVEL parameter', 'Very long string supplied for AUDIT_SYSLOG_LEVEL in init.ora', 'Use a valid facility.level such as "local1.notice" as described in syslog''s manual pages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31701', 'Event to enable xmltype table export/import with schema', 'Event to enable xmltype table export/import with schema', 'Disable the event at level 0x100', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31901', 'the current operation was cancelled by the user', 'The user requested to cancel current operation', 'No action is necessary', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36201', '(XSAGGR35) Cannot aggregate workspace object(partition workspace object) because the subpartition is itself partitioned.', 'Attempted to aggregate an intermediate partition of a variable with nested partitioning.', 'rerun the aggregate command seperately for each ultimate partition or just for the variable as a whole', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36223', '(XSLPDSC04) object workspace object in IGNORE or DENSE list has illegal type', 'An IGNORE or DENSE list in a dimension loop descriptor included and object that was not a dimension or a valueset, was a conjoint dimension, or was a dimensioned valueset.', 'Only use simple dimensions and undimensioned valuesets in the IGNORE or DENSE list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36224', '(XSLPDSC05) workspace object is not a loop dimension', 'An IGNORE or DENSE list in a dimension loop descriptor referenced a dimension (or a valueset of a dimension) that was not a base dimension of the loop dimension list.', 'Remove the dimension or valueset from the IGNORE or DENSE list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36225', '(XSLPDSC06) A LOOP AGGMAP list must contain an aggmap object, followed by one or more variables and/or dimensions.', 'An invalid AGGMAP list was specified. Either to few objects were specified, or an incorrect type of object was used.', 'Specify a valid AGGMAP list consisting of an aggmap object, followed by one or more variables and/or dimensions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36226', '(XSLPDSC07) The syntax of the $LOOP property on formula workspace object is incorrect.', 'Unrecognized contents in the $LOOP property of a formula in the table function measure list.', 'Restrict the contents of the $LOOP property to valid elements (other than OPTIMIZED and MEASURES) of the table function LOOP directive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36230', '(XSANALYZ00) object workspace object cannot be used in the ANALYZE command', 'An object that cannot be analyzed was used in the ANALYZE command.', 'Analyze VARIABLES, RELATIONS, DIMENSIONS, or SURROGATES.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36231', '(XSANALYZ01) object workspace object cannot be used in the INHIERARCHY clause', 'An invalid INHIERARCHY object was referenced.', 'Use either a VALUESET or boolean VARIABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36232', '(XSANALYZ02) a level list was specified when a language dimension was present', 'A level list dimension was specified when a language dimension was present.', 'Remove the USING clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36233', '(XSANALYZ03) the dimensionality of object workspace object does not match the ANALYZE command', 'The dimensionality of the object did not match the ANALYZE command syntax used.', 'Match the ANALYZE syntax to the dimensionality of the specified object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36234', '(XSANALYZ04) all objects in the current status of the NAME dimension must have the same dimensionality when used with the ANALYZE command', 'The dimensionality of at least one of the objects listed in the NAME dimension does not match the rest of the objects.', 'Make sure all objects listed in the NAME dimension have the same dimensionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36235', '(XSANALYZ05) the database compatibility must be 11.0.0.0 or higher', 'The compatibe mode is not 11.0.0.0 or higher', 'Make sure the compatible mode is 11.0.0.0 or higher', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36250', '(XSVALSET00) VALUESET workspace object should be a non-dimensioned valueset, not a dimensioned valueset', 'A dimensioned valueset is used where a non-dimensioned valueset is required.', 'Correct the phrase to have a non-dimensioned valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36258', '(XSAGINFO00) When the AGGMAPINFO function is called, workspace object must be an AGGMAP.', 'The AGGMAPINFO function was called with an object that is not an AGGMAP.', 'Modify the call to AGGMAPINFO to specify an AGGMAP object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36260', '(XSAGHIERPART00) Aggregating from partition %J to partition %J over hierarchy workspace object creates an increase in sparsity.', 'In the partition creation / aggmap creation a situation developed such that when aggregating over a particular dimension of the aggmap a partition boundary was crossed such that the sparsity of the target partition included dimensions that were not in the sparsity of the source partition. Since the process of aggregation always densifies rather than sparsifying this is an extremely suboptimal design and it is not supported by the aggregate system.', 'Set up your partitioning such that for any partition boundary the source and target partitions of the aggregation will always move towards denser partitions. For any child (c) and any parent (p) where (c) and (p) are in different partitions it must be the case that the parent partition contains no dimension in the composite that the child partition does not contain in its composite.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36261', '(XSAGPARTDEP00) Can not Aggregate PARTITION TEMPLATE %J because the path of aggregation would recursively enter partition %J.', 'The partitioning scheme was such that while aggregating there exists a cell (m) such that both one of its descendants and one of its ancestors are both in the referenced partition, while (m) is in a different partition.', 'Change the partitioning scheme.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36266', '(XSCGMDLAGG00) Invalid context for the AGGREGATION function', 'The AGGREGATION function was used outside of the MODEL context.', 'Use AGGREGATION only in a model.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36267', '(XSCGMDLAGG09) workspace object has no dimensions, so it cannot have a qualified data reference.', 'A dimension qualification was specified for a valueset with no dimensions.', 'Remove the qualification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36268', '(XSCGMDLAGG01) ''string'' is not a valid dimension value.', 'The AGGREGATION parameter list included a value that does not exist in the MODEL dimension that contains the target of the AGGREGATION', 'Specify only values from the appropriate MODEL dimension', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36269', '(XSCGMDLAGG10) ''workspace object'' does not exist or is not a dimension.', 'A nonexistent or invalid object was specified as a QDR dimension.', 'Specify existing dimensions only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36270', '(XSCGMDLAGG03) The parameter list for the AGGREGATION function includes duplicate values.', 'One or more duplicate values appeared in the AGGREGATION parameter list.', 'Remove the duplication.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36271', '(XSCGMDLAGG11) workspace object is not in the dimension list of valueset workspace object.', 'A QDR dimension was specified that does not appear in the valueset''s dimension list.', 'Specify only dimensions in the valueset''s dimension list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36272', '(XSCGMDLAGG04) ''workspace object'' is not a valid operator for the AGGREGATION function.', 'An invalid AGGREGATION operator was specified.', 'Correct the invalid operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36273', '(XSCGMDLAGG12) Dimension workspace object appears more than once in the QDR.', 'A dimension was specified more than once in the QDR.', 'Remove the duplication.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36274', '(XSCGMDLAGG05) The operator used in this equation needs a weight variable.', 'An invalid weight variable was specified.', 'Correct the invalid weight variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36275', '(XSCGMDLAGG13) string is not a valid workspace object.', 'A value was specified that does not exist in the QDR dimension.', 'Specify an existing value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36276', '(XSCGMDLAGG06) The current operator does not need a weight variable.', 'A weight variable was specified in a context that does not support it.', 'Remove the weight variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36278', '(XSCGMDLAGG07) workspace object does not exist or is not valueset.', 'A nonexistent or invalid object was specified where a valueset is required.', 'Specify an existing valueset only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35021', '(QFCHECK08) The EIF file definition of workspace object has some partitions that are not present in the existing Analytic Workspace object.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35022', '(QFCHECK03) The analytic workspace and EIF file definitions of workspace object have a mismatched relation.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35023', '(QFCHECK09) The analytic workspace and EIF file definitions of workspace object have incompatible partition definitions.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35024', '(QFCHECK04) The analytic workspace and EIF file definitions of workspace object have mismatched time dimension attributes.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35026', '(QFCHECK05) The analytic workspace and EIF file definitions of workspace object have a mismatched ALIASOF dimension.', 'Importing from an EIF file or LOB into an existing Analytic Workspace object failed because the definition of the existing object was too different from the definition of the object in the EIF file or LOB.', 'Import the object into an Analytic Workspace that does not already contain an object with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35031', '(QFSVNS00) The IMPORT command has terminated because of a defect in the EIF file.', 'The EIF file contains a compressed composite with defective aggregation data.', 'Recreate the EIF file using the NOAGGR keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35062', '(QFGET01) Duplicate files found for extension number number of EIF file string.', 'IMPORT searched the directories specified in EIFEXTENSIONPATH and found two EIF extension files with the same name (differing at most by the case used in the final name component.', 'Delete, rename or move any files that are not to be read by IMPORT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35066', '(QFGET03) Extension number number is missing for EIF file string.', 'IMPORT searched the directories specified in EIFEXTENSIONPATH and could not find the appropriately numbered extension file.', 'Move the missing file into one of the searched directories.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35071', '(QFHEAD06) EIF file string cannot be imported because analytic workspace string has not been upgraded to version string.', 'User attempted to import from an EIF file that was created by a newer version of the product into an AW that was created by a older version of the product.', 'Make sure that the compatibility mode parameter in the init.ora of the importing instance specifies a version that is at least as high as the parameter was in the exporting instance. Then, convert the AW to the latest storage format and reexecute the import command. Alternatively, change the EIFVERSION option of the exporting instance to a lower number, recreate the EIF file, and import the new file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35074', '(QFHEAD02) EIF file string cannot be read by this version of string.', 'The EIF file was created with an internal version number indicating it may contain objects that are not compatible with the current Oracle OLAP version, or the EIF file is in an obsolete format.', 'If possible, set EIFVERSION in the exporting instance to a lower number, recreate the EIF file, and import the new file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35076', '(QFHEAD04) CAUTION: The textual data in EIF file string is encoded in a character set that is not recognized by this version of string.', 'IMPORT could not recognize the character set specification in the EIF file.', 'Check the imported text data. If it was not imported correctly, recreate the EIF file with a character set supported by the current Oracle version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35078', '(QFHEAD05) An EIF extension file header for string is not in the correct format.', 'An EIF extension file in multi-file IMPORT did not contain correct header information.', 'Check to be sure that EIFEXTENSIONPATH is set correctly and that all the extension files for the current IMPORT were created by the same EXPORT command as the main EIF file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35095', '(QFSVNS01) One or more imported values of fixed-width dimension workspace object have been truncated.', 'The data in the EIF file was exported from a dimension with wider values than the target dimension will accommodate.', 'Change the definition of the target dimension, or check to be sure that multiple values from the target dimension have not become identical during the import process. This could cause data loss as data from later dimension values overstores data imported earlier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35180', '(SNSYN103) The format of the OUTFILE command is: OUTFILE [APPEND] {EOF | TRACEFILE | filename [NOCACHE] [NLS_CHARSET name]}', 'The user specified incorrect syntax for the OUTFILE command.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35276', '(SNSYN163) The format of the ALLOCATE command is: ALLOCATE varname [SOURCE svarname] [BASIS bvarname [ACROSS dimname]] [TARGET tvarname [TARGETLOG logvarname]] [USING aggmap]', 'The user used incorrect syntax for the ALLOCATE command.', 'Correct the calling syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35280', '(SNSYN165) The format of the AGGREGATE command is: AGGREGATE varname1 [varname2 varname3 ...] [USING aggmap-name] [COUNTVAR intvar-name1 [intvar-name2 intvar-name3 ...]] [FUNCDATA] [FORCEORDER] [PARALLEL #] [{FROM|FROMVAR} fromname [, fromname2 ...]]', 'The user used incorrect syntax for the AGGREGATE command.', 'Correct the calling syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35282', '(SNSYN166) The format of the AGGREGATE function is: AGGREGATE(varname [USING aggmap-name] [COUNTVAR intvar-name] [FORCECALC] [FORCEORDER] [{FROM|FROMVAR} fromname [, fromname2 ...]])', 'The user used incorrect syntax for the AGGREGATE function.', 'Correct the calling syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35561', '(XSRWLD01) Object workspace object is not a valid target.', 'An invalid object was specified as a target.', 'Choose a valid object as a target.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35562', '(SQLIMP01) The SQL IMPORT command will produce number columns of output, but you have provided number host variables in your INTO clause.', 'The expression is the source query do not match the targets in the INTO clause.', 'Make sure the the expressions in the source query match the targets in the INTO clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35564', '(XSRWLD02) Cannot convert from the string type to the string type.', 'Conversion from source to target is not allowed', 'Choose a different target datatype', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31505', 'cannot alter or drop predefined change set', 'The caller attempted to alter or drop the predefined change set SYNC_SET.', 'Do not attempt to alter or drop the predefined change set or correct call to supply the name of a user-created change set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31506', 'duplicate subscription name string', 'A subscription by the specifed name already exists.', 'Recreate the subscription with a unique name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31507', 'string parameter value longer than maximum length string', 'A value was specified for a parameter that was longer than the maximum permitted length.', 'Correct the call to supply a shorter value for this parameter that fits within the maximum length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31508', 'invalid parameter value for synchronous change set', 'A parameter value was specified that is not supported for synchronous change sets.', 'Correct the call to supply only valid parameter values for a synchronous change set. Synchronous change sets only support the default values for the following parameters: begin_scn, end_scn, begin_date, end_date, stop_on_ddl, supplemental_processes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31509', 'publication does not exist', 'The specified publication did not exist or the specified subscription subscribed to a publication that no longer exists.', 'Recheck the publication or subscription specified. Either call the procedure again with an existing publication or create a new subscription that only subscribes to existing publications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31510', 'name uses reserved prefix CDC$', 'A name was specified that starts CDC$. The name prefix CDC$ is reserved for use by Oracle Corporation.', 'Change the name so it does not start with characters CDC$', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31511', 'name exceeds maximum length of 30 characters', 'A name was supplied that exceeds the maximum length of 30 characters.', 'Change the name so it does not exceed 30 characters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31512', 'name cannot contain double quotation marks', 'A name containing a double quotation mark was supplied. Subscription names cannot contain the double quotation mark.', 'Change the name so it has no double quotation marks', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31513', 'unsupported column type specified in change table', 'A source column of an unsupported type was specified for inclusion in a change table. Columns types of LOB or LONG are not currently supported for change capture.', 'Change the column list so that it does not include columns of LOB or LONG types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31514', 'change set string disabled due to capture error', 'This change set has encountered a capture error and was disabled.', 'Contact the change set''s publisher to request that the capture error be resolved. Subscriptions using this change set cannot be activated or have their subscription windows extended or purged until the capture error is resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31515', 'CDC change source string already exists', 'A Change Data Capture change source intended for import already existed.', 'Either verify that the existing change source has the desired characteristics or drop the existing change source and perform the import again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31516', 'CDC change set string already exists', 'A Change Data Capture change set intended for import already existed.', 'Either verify that the existing change set has the desired characteristics or drop the existing change set and perform the import again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32331', 'type "string"."string" is incompatible with the master site', 'A type used by the materialized view was found to be incompatible with its coressponding type on the master site. This could be because the type does not exist on the master site or has been evolved to a different version from that on the materialzied view site.', 'Make sure that the types used by the materialized view are the same on both the materialized view and master sites.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32332', 'cannot refresh materialized view "string"."string" as type evolution has occured', 'The types used by the materialized view or its master tables have been evolved.', 'Ensure that the types used by the materialized view have been evolved to the same version at both the master and materialized sites. Then, before refreshing the materialized view, evolve the materialized view using ALTER MATERIALIZED VIEW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32333', 'disable table scn update for Materialized view', 'an event is set for disabling table scn update to prevent deadlock situation. (bug 1376209)', 'disable null refresh and/or base table scn update for Materialized view', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32334', 'cannot create prebuilt materialized view on a table already referenced by a MV', 'the table on which the materialized view is created as prebuilt is already referenced by a materialized view', 'create the materialized view on a different table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32335', 'dimension must have at least one level', 'An level-less dimension is not allowed.', 'Do not drop the only level of a dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32336', 'cannot use USING NO INDEX to create materialized view "string"."string"', 'The USING NO INDEX option was specified to create an updatable primary key based materialized view, an index-organized materialized view or an object-id materialized view.', 'Do not use the USING NO INDEX option to create an updatable primary key based materialized view, an index-organized materialized view or an object-id materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32337', 'cannot alter materialized view with pending changes refresh on commit', 'There are some pending changes in the detail tables', 'Execute an on-demand refresh on the materialized view to synchronize the data between the materialized view and the detail tables and then issue an ALTER MATERIALIZED VIEW statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32338', 'on commit refresh grab all the detailed tables', 'an event is set to let on-commit MV refresh to grab all the detailed tables, no matter whether they have modified or not.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32339', 'cannot alter materialized view with the PMOP', 'the materialized view is not allowed to have destructive PMOPS such as DROP, TRUNCATE and EXCHANGE (sub)partition. The UGA flag of i_am_a_refresh should be set first.', 'execute set_i_am_a_refresh first before alter materialized view with the PMOP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32340', 'cannot tune the materialized view definition', 'Due to constructs in the materialized view definition, it could not be tuned to be fast-refreshable or rewriteable.', 'Execute DBMS_MVIEW.EXPLAIN_MVIEW to determine the cause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32341', 'The EXPLAIN_MVIEW facility failed to explain the materialized view "string"."string"', 'The dependent object(s) of the materialized view may have changed. The materialized view may no longer be valid.', 'Execute ALTER MATERIALIZED VIEW COMPILE and to determine the status of the materialized view in catalog views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32342', 'The EXPLAIN_MVIEW facility failed to explain the materialized view statement', 'An error exists in the materialized view definition. As a result, the materialized view statement could not be explained.', 'Check the syntax of the statement. If it is a CREATE MATERIALIZED VIEW statement, then also check the PARAMETERs specified for the materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32344', 'cannot create a secondary materialized view with synonym as base table', 'It is not supported to create a secondary materialized view with synonym in the FROM clause.', 'Removed the synonym(s) from the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32001', 'write to SPFILE requested but no SPFILE specified at startup', 'An alter system command or an internal self tuning mechanism requested a write to the SPFILE but no SPFILE was used to startup the instance', 'Create an SPFILE and re-start the instance using the SPFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32002', 'cannot create SPFILE already being used by the instance', 'A create spfile command is trying to write to an SPFILE that was used to startup the instance.', 'Specify a different SPFILE name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32003', 'error occured processing parameter ''string''', 'An error occured while parsing the parameter file.', 'See additional errors to determine the root cause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32004', 'obsolete and/or deprecated parameter(s) specified', 'One or more obsolete and/or parameters were specified in the SPFILE or the PFILE on the server side.', 'See alert log for a list of parameters that are obsolete. or deprecated. Remove them from the SPFILE or the server side PFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32005', 'error while parsing size specification [string]', 'The value specified for an alter operation on a size parameter is not valid', 'Correct the value and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32006', 'string initialization parameter has been deprecated', 'A deprecated parmeter was specified at startup', 'Consult Oracle documentation to find new parameters to use instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32007', 'internal', 'A parameter error occured.', 'Call Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32008', 'error while processing parameter update at instance string', 'An error occured while processing a parameter on a remote instance.', 'See accompanying error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32009', 'cannot reset the memory value for instance string from instance string', 'Memory resets of local parameters are only allowed.', 'Retry the query for the local instance if needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32010', 'cannot find entry to delete in SPFILE', 'The SPFILE did not contain the sid.parameter entry.', 'Change the sid and/or the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32011', 'cannot restore SPFILE to location already being used by the instance', 'A restore operation trying to write to an SPFILE that was used to startup the instance.', 'Specify a different SPFILE name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32012', 'SPFILE format is inconsistent with value of COMPATIBLE parameter', 'The SPFILE was in H.A.R.D. (Hardware Assisted Resilient Data) compliant format but the value of the COMPATIBLE parameter was set to pre-11.0. This is not allowed since Oracle has a policy of irreversible compatibility advance.', 'Change the value of the COMPATIBLE parameter to be 11.0 or higher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32013', 'failure in verifying parameters from the restored SPFILE', 'Failure during processing of parameters from restored SPFILE. It could be that restore image of the SPFILE is corrupted.', 'Further diagnostic information should be in the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32014', 'error processing parameter "string" from the SPFILE restore image', 'Failure during processing of parameters from restored SPFILE. It could be that restore image of the SPFILE is corrupted.', 'Further diagnostic information should be in the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32015', 'unable to restore SPFILE', 'Failure during SPFILE restore. It could be that the restore destination is not valid.', 'Further diagnostic information should be in the error stack.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32016', 'parameter "string" cannot be updated in SPFILE', 'Database is mounted.', 'Unmount the database to update the parameter in the SPFILE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32017', 'failure in updating SPFILE', 'A failure occured while updating the SPFILE.', 'See associated errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32018', 'parameter cannot be modified in memory on another instance', 'Parameter adjustment can take a very long time', 'Modify the parameter individually on each instance using the SID clause of the alter system command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32019', 'The parameter SPFILE cannot be updated in the server parameter file.', 'An attempt was made to update the parameter SPFILE in the server parameter file.', 'Convert the server parameter file into a parameter file and then add the parameters needed and recreate the server parameter file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32020', 'SID=* clause needed to modify this parameter', 'The parameter did not have the same value on all RAC instances.', 'Retry the command by specifying SID=*', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32021', 'parameter value longer than string characters', 'An attempt was made to alter a parameter value but the number of characters in the parameter value was longer than the allowed maximum. For a list parameter, one of the values in the list was longer than the allowed maximum.', 'Reduce the parameter value length and retry the command. For the DISPATCHERS parameter, use listener aliases to reduce value length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32022', 'parameter value longer than string characters', 'An attempt was made to alter a parameter value but the combined length of all the parameter values was more than the allowed maximum.', 'Reduce the parameter value length and retry the command. For the DISPATCHERS parameter, use listener aliases to reduce value length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32024', 'invalid directory specified for audit_file_dest parameter', 'Either the directory does not exist or it is not writable.', 'Retry the command by specifying a valid directory or granting appropriate directory permissions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32025', 'string.string is not a table or view object.', 'An attempt was made to set the audit table to a non-table object or a non-view object.', 'Specify a valid table or view object for the audit table option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32026', 'string.string has fewer columns compared to string table.', 'An attempt was made to set the audit table to a table or view object that has fewer columns compared to the base audit table.', 'Specify a valid table or view object for the audit table option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32027', 'There is no string column with the matching type in string.string.', 'An attempt was made to set the audit table to a table or view object that does not have a column with the same name and type as the one in the audit table.', 'Specify a valid table or view object for the audit table option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32028', 'Syslog facility or level not recognized', 'Syslog facility or level did not conform to the standard facility or level provided in the syslog.h file', 'Specify a facility or level such as "LOCAL1.NOTICE" which conforms to the syslog.h file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32029', 'resetting with SCOPE=MEMORY or SCOPE=BOTH is currently not supported', 'An attempt was made to reset an in-memory parameter value', 'Specify SCOPE=SPFILE if applicable, or explicitly set the parameter to the desired value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32030', 'The parameter SPFILE cannot be updated if the database was started with an SPFILE.', 'An attempt was made to update the parameter SPFILE on an instance that has been started with an spfile.', 'Restart the instance with a parameter file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32031', 'illegal reference of a query name in WITH clause', 'forward or recursive reference of a query name in WITH clause is not allowed.', 'Correct query statement, then retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32032', 'free temporary object number not available', 'Too many queries using temp table transformation are currently being run to use up all temporay object numbers.', 'Turn off temporary table transformation or wait, then retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32033', 'unsupported column aliasing', 'column aliasing in WITH clause is not supported yet', 'specify aliasing in defintion subquery and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26012', 'header in file string has an incompatible version number', 'A dump file was specified for a load operation whose version number is incompatible with the dump file version currently produced by the Oracle server on the system. Usually this message indicates that the dump file was produced by a newer version of the Oracle server.', 'Load this dump file using the same version of the Oracle server that created the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27071', 'unable to seek to desired position in file', 'lseek system call returned error, additional information indicates block number in file to which seek was attempted', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27072', 'File I/O error', 'read/write/readv/writev system call returned error, additional information indicates starting block number of I/O', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27073', 'Trying to close a file which has async I/Os pending to be dequeued', 'internal error, the file is being closed but not all async I/Os to the file have been dequeued, additional information indicates number of I/Os pending on the file', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27074', 'unable to determine limit for open files', 'The getrlimit() system call returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27075', 'SSTMOFRC constant too large', 'internal error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27076', 'unable to set limit for open files', 'The setrlimit() system call returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27077', 'too many files open', 'internal error, the number of files opened through skgfofi has reached the limit', 'Check for trace file and contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27078', 'unable to determine limit for open files', 'The getrlimit() system call returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27079', 'unable to set async IO limit', 'The setting of the limit for async I/O has failed.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27080', 'too many files open', 'The number of files opened has reached the system limit.', 'Check the error, and set system configuration values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27081', 'unable to close the file', 'The close() system call failed.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27083', 'waiting for async I/Os failed', 'The aio_waitn() library call returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27084', 'unable to get/set file status flags', 'The fcntl() system call with F_GETFL/F_SETFL flag returned an error.', 'Check errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27086', 'unable to lock file - already in use', 'the file is locked by another process, indicating that it is currently in use by a database instance.', 'determine which database instance legitimately owns this file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27087', 'unable to get share lock - file not readable', 'share lock request was made on a file not open for read access.', 'file must be open read-only or read-write to get a share lock.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27088', 'unable to get file status', 'file not open or file descriptor is invalid.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27089', 'unable to release advisory lock', 'release of file lock failed', 'see errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27090', 'Unable to reserve kernel resources for asynchronous disk I/O', 'The system call to reserve kernel resources for asynchronous I/O has failed.', 'Check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27091', 'unable to queue I/O', 'read/write/readv/writev system call returned error, additional information indicates starting block number of I/O', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27092', 'size of file exceeds file size limit of the process', 'an attempt was made to open a file that exceeds the process''s file size limit (ulimit), additional information shows the current limit (logical blocks) and the size of the file (logical blocks)', 'increase the processes file size limit (ulimit) and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27093', 'could not delete directory', 'rmdir system call returned error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27094', 'raw volume used can damage partition table', 'A raw device with VTOC information was provided as a database file.', 'Make sure the disk partition that is provided to Oracle does not start at sector 0', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27100', 'shared memory realm already exists', 'Tried to start duplicate instances, or tried to restart an instance that had not been properly shutdown', 'Use a different instance name, or cleanup the failed instance''s SGA', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27101', 'shared memory realm does not exist', 'Unable to locate shared memory realm', 'Verify that the realm is accessible', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27102', 'out of memory', 'Out of memory', 'Consult the trace file for details', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27103', 'internal error', 'internal error', 'contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27120', 'unable to removed shared memory segment', 'shmctl() call failed', 'check permissions on segment, contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27210', 'syntax error in device PARMS', 'User-supplied PARMS value has incorrect syntax.', 'Retry the command with correct syntax: ENV=(..) BLKSIZE=nnnn', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27211', 'Failed to load Media Management Library', 'User-supplied SBT_LIBRARY or libobk.so could not be loaded. Call to dlopen for media library returned error. See Additional information for error code.', 'Retry the command with proper media library. Or re-install Media management module for Oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27212', 'some entrypoints in Media Management Library are missing', 'media library does not have one of the following entrypoints : sbtinfo, sbtread, sbtwrite, sbtremove, sbtopen, sbtclose, sbtinit', 'Retry the command with proper media library.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27213', 'failed to unload Media Management Library', 'dlclose for media library returned error. See Additional Additional information for error code.', 'contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27214', 'skgfrsfe: file search failed', 'The FindNextFile function returned unxpected error.', 'Check errors on the error stack for an explanation why the search for files could not be successfully executed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27215', 'skgfgsmcs: sbtinfo2 returned unknown file', 'During an sbtinfo2() call, the media management software returned information about an unknown backup file.', 'Contact the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27216', 'skgfgsmcs: sbtinfo2 returned a malformed response', 'The media management software returned a malformed response during an sbtinfo2() call.', 'Contact the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27217', 'failed to load Media Management Library from secure location', 'SBT libraries were not installed in a secure location.', 'Remove SBT_SECURE parameter or Request third party vendors to provide patch that installs SBT libraries in secured locations as mandated by Oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28163', 'GRANT already specified', 'The GRANT clause was specified twice.', 'Use only one GRANT clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28164', 'REVOKE already specified', 'The REVOKE clause was specified twice.', 'Use only one REVOKE clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28165', 'proxy ''string'' may not specify password-protected role ''string'' for client ''string''', 'A proxy user attempted to activate a role on behalf of a client which has a password associated with it. Since the proxy does not have a password, this activation cannot be allowed.', 'Attempt to activate a different role or change the role administratively so that there is no password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28166', 'duplicate rolename in list', 'The name of a role was specified more than once in a list.', 'Repeat the command specifying the role once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28168', 'attempted to grant password-protected role', 'An ALTER USER ... GRANT CONNECT command was attempted specifying a role that is protected by a password as a role which the proxy may execute on behalf of a client.', 'Either specify a role that does not have a password or alter the role so that a password is not required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34726', '(NLSCHARSET06) CAUTION: String truncated during character set conversion from string to string', 'Some operation required a string to be converted into a different character set. The string required more bytes in the new encoding, and exceeded some byte limit on its allowable length, causing some characters to be removed from the end of the string.', 'If the byte limit is due to using the ID datatype, consider using the CHAR datatype instead. If the byte limit is due to the limit of 4000 bytes per line of CHAR data, break the long line up into multiple lines.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34731', '(NLSSORT01) ''number'' is not a valid NLS_SORT specification.', 'An unrecognized NLS_SORT value was specified in the SORT command or the SORT, SORTLINES or UNIQUELINES function.', 'Specify a supported NLS_SORT value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34738', '(NOUPDATE) A severe problem has been detected. Analytic workspace operations have been disabled.', 'A previous fatal error has marked the session so that it cannot perform any UPDATEs', 'Start a new session', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34761', '(NXHANDLEALLO) A decimal overflow occurred during an ALLOCATE operation. The results are not reliable.', 'While performing an ALLOCATE, a decimal overflow occurred', 'Correct the data or use a higher precision datatype', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34796', '(OCI08) SQL host variable number cannot be bound.', 'The data type of the host variable is not supported.', 'Specify only variables of supported types as host variable names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34802', '(OCI11) OLAP OCI operation caused ROLLBACK past an UPDATE of an attached analytic workspace. Current operation canceled.', 'ROLLBACK past the UPDATE of one of the attached Analytic Workspaces was called. The current operation is aborted, and the Analytic Workspace detached.', 'Change the called SQL procedure to avoid the ROLLBACK', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34804', '(OCI12) The value of SQL host variable number is too long. Use the WIDE keyword for columns that may exceed number bytes.', 'The host variable had a text value longer than the maximum SQL VARCHAR length', 'Use the WIDE keyword in the host variable specification, e.g. :WIDE OLAP_object_name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-34840', '(OPCREATE01) The string option must be declared with datatype string.', 'An attempt was made to declare the option with the wrong datatype.', 'Declare the option with the correct datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35565', '(XSRWLD03) For object workspace object only APPEND, MATCH or ASSIGN may be used.', 'An incorrect setting was applied to the target', 'For DIMENSIONs use APPEND or MATCH, for SURROGATEs use ASSIGN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35566', '(XSRWLD04) Object workspace object cannot be used with QDRs', 'A QDR was placed on a target dimension', 'Remove the QDR on the target dimension', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35568', '(SQLIMP03) The datatype of variable number should be INTEGER, LONGINTEGER or SHORTINTEGER.', 'The target variable was not INTEGER, LONGINTEGER or SHORTINTEGER.', 'The target variable must be INTEGER, LONGINTEGER or SHORTINTEGER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35569', '(XSRWLD05) An error was encountered in converting data string to string in column number.', 'The data could not be converted to the target datatype.', 'Ensure the source data is valid for the target datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35578', '(SQLOUT11) SQL cursor ''number'' cannot be used with CURRENT OF <cursor name> syntax', 'The CURRENT OF <cursor> syntax in the WHERE clause tried to use a cursor that was not declared with the FOR UPDATE [ of <column name> ] SQL syntax.', 'Add the FOR UPDATE [ OF <column name> ] SQL syntax to the cursor specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35587', '(SQLOUT20) The nesting of table functions and SQL commands has exceeded the maximum of number levels.', 'The nesting of table functions with the PREDMLCMD token populated with an OLAP DML expression that use the embedded SQL support to access another table function which contains a table functions with the PREDMLCMD token filled in with an OLAP DML expression that uses the embedded SQL support.', 'Reduce the level of nesting between table functions and OLAP DML embedded SQL support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35749', '(VCHEX01) ''character'' is not a valid hexadecimal digit.', 'The text being converted contains an invalid hexadecimal digit.', 'Replace the character with a digit in the range 0-9 or A-F.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-35756', '(VCTODT02) ''number'' is not a valid date because number is out of range for a year.', 'n''%1p''', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36168', '(XSMXAGGR10) COUNTVAR variable workspace object must have the same dimensionality as workspace object', 'The user specified a COUNTVAR variable which is missing at least one dimension of the aggregation variable', 'Specify a COUNTVAR variable which has at least as many base dimensions as the aggregation variable', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36170', '(XSMXAGGR12) The data type of the WEIGHT workspace object must be numeric or BOOLEAN, not string.', 'The user specified a WEIGHT variable or formula which wasn''t numeric or boolean', 'Specify a numerical or boolean weight instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36174', '(XSMXAGGR23) workspace object must be either a VARIABLE, a RELATION or a FORMULA.', 'The user specified something that was not a variable, a relation or a formula as a weight for AGGREGATE', 'Specify a valid variable, relation or formula instead', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36176', '(XSMXAGGR25) Relation workspace object must be a one-dimensional self-relation to be used as a weight for AGGREGATE.', 'The user specified an illegal relation as a weight. The relation might have been multidimensional, not a self-relation, or not a relation over one of the bases of the aggregation variable.', 'Specify a valid self relation over one of the bases of the aggregation variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36178', '(XSAGGR01) To be used with AGGREGATE, AGGMAP workspace object must be declared with the AGGMAP command.', 'The user used the ALLOCMAP command to define the AGGMAP, so the AGGMAP can only be used with the ALLOCATE command, or the AGGMAP has no contents attached to it.', 'Use the AGGMAP command to define the AGGMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36179', '(XSNOAGM) No AGGMAP was specified for VARIABLE workspace object.', 'The user used the AGGREGATE command without specifying an AGGMAP on the command line, with a variable which had no $AGGMAP property.', 'Specify an AGGMAP on the AGGREGATE command line, or add the $AGGMAP property to the variable in question.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36180', '(XSAGGR08) AGGREGATE cannot function because there is a permission clause associated with variable workspace object.', 'When using AGGREGATE, only simple permissions and permissions on base dimensions are valid.', 'Remove the permissions clause from the variable causing problems.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36181', 'A VARIABLE cannot have both the $AGGREGATE_FROM and $AGGREGATE_FROMVAR properties applied to it.', 'The user attempted to add both the $AGGREGATE_FROM and $AGGREGATE_FROMVAR properties to a single variable.', 'Remove the existing property before applying the new one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36182', '(XSAGGR09) Could not locate a value for variable number in measure dimension workspace object.', 'A measure dimension was supplied in the AGGMAP, but a position for the variable was not found in it.', 'Add a position for the variable in the measure dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36184', '(XSAGGR10) You do not have sufficient permissions for the variable workspace object.', 'The user lacked the permissions necessary for the aggregation variable.', 'Remove the restricting permissions from the variable or base dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26091', 'requested direct path operation not supported', 'A direct path operation was requested that is not supported', 'Do not use that operation. Currently, UNLOAD is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26510', 'materialized view name: ''string'' is greater than max. allowed length of string bytes', 'The specified materialized view name was too long.', 'Shorten the materialized view name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26511', 'master table ''string.string'' not found', 'A RepAPI operation was attempted against a non-existent or invalid master table', 'Verify that the master table object exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26512', 'error pushing transaction to def$error', 'An unexpected error occurred while sending an def$error rpc to the master site', 'Verify that the DBMS_DEFER package is valid and executable by the RepAPI client. Contact the local or master site administrator, if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26513', 'push error: master proc. string$RP.string failed for trans:string seq:string', 'A conflict/error occurred at the master site while executing a $RP.rep_insert(), rep_update(), or rep_delete() function which was not handled by conflict resolution logic at the master.', 'Notify master site system adminstrator or DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26514', 'object ''string.string'' not found', 'The specified object was expected but not found.', 'Verify that the specified object exists and is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26515', 'no master log available for ''string.string''', 'The specified master log was not found or available for the named table.', 'Create the master log at the master site or correct any problems that may exist with the log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26516', 'no push transaction acknowledgement', 'RepAPI was unable to confirm that the last pushed transaction was successfully commited by the master site.', 'Verify that the communications link between the local site and the master site is still valid. If the transaction has not been committed at the master, repush the transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26517', 'materialized view control entry for ''string.string'' was not found', 'The specified materialized view catalog control reocrd was not found.', 'Verify that the local materialized view catalog is valid and that the local materialized view is properly defined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26518', 'push queue synchronization error detected', 'Client tried to repush a transaction has already been committed at the master site. A common cause of this problem is an error at the local site in initializing or updating the local site transaction sequence mechanism.', 'Verify that transaction data that RepAPI was attempting to repushed to the master site exists at the master table and is valid and consistent with the local site. If this error occurs, redundantly identified transactions are ignored and then purged from the local updatable materialized view logs. Check that the local site is correctly assigning new transactionIDs and is not accidently generating non-unique values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26519', 'no memory available to allocate', 'There was no memory left for the RepAPI process. This error may occur when RepAPI is trying to allocate a new table buffer area.', 'Shutdown one or more local applications to attempt to free heap memory and retry the RepAPI operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26520', 'internal memory failure', 'An internal memory error was detected.', 'Check if other errors have occurred or determine if any local application may have corrupted the memory subsystem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26521', 'rpc initialization error', 'An error occurred during the initialization of a PL/SQL rpc.', 'Verify that the procudure to be invoked exists and is valid at the master site and is executable by the RepAPI user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26522', 'rpc execution error', 'An error occurred during the execution of a PL/SQL rpc.', 'Check the error messages from the remote procedure and fix any remote site problems that may be preventing the execution of the invoked rpc.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26523', 'rpc termination error', 'An error occurred during the termination of a PL/SQL rpc. This is usually caused by master site being unable to close an opened cursor or if RepAPI cannot deallocate internal memory.', 'Fix any server side problems first, determine if the RepAPI memory subsystem has been corrupted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26524', 'nls subsystem initialization failure for product=string, facility=string', 'The NLS product/facility error message file could not be located or properly initialized.', 'Check that the error message directory and file(s) have been properly installed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26525', 'session connection attempt failed for string (@string)', 'A connection could not be established to the specified database using the provided connection string.', 'Check that the user, password, connect string, names services, network, and any remote site listener process are properly installed and working.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26526', 'materialized view sql ddl parse/expansion failed for string.string', 'The client sql materialized view definition query could not be properly parsed by the master Oracle site.', 'Check that materialized view ddl sql is compatible with the currently connected version of Oracle and does not violate any of the RepAPI sql limitations or restrictions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26527', 'local store callback init phase failed for ''string.string''', 'The client callback failed during its INIT phase for the named object.', 'Verify that the objects referenced by the client callback exist and are valid. Refer to the vendor-specific callback error code reference to diagnose the local problem. Record all error state and notify Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26528', 'local store callback proc phase failed for ''string.string''', 'The client callback failed during its PROC phase for the named object.', 'Refer to the vendor-specific callback error code reference to diagnose the local problem. Record all error state and notify Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26529', 'local store callback term phase failed for ''string.string''', 'The client callback failed during its TERM phase for the named object.', 'Refer to the vendor-specific callback error code reference to diagnose the local problem. Record all error state and notify Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26534', 'collision: tranID number ignored and purged', 'A transaction that was pushed had a transaction ID that collided with a transaction that was previously pushed and committed at the master site.', 'See the action section for E_QUEUESYNC (26518).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26535', 'number byte row cache insufficient for table with rowsize=number', 'A transaction that was pushed had a transaction ID that collided with a transaction that was previously pushed and committed at the master site.', 'Increase the RepAPI row buffer size or reduce the width of the replicated tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26536', 'refresh was aborted because of conflicts caused by deferred transactions', 'There are outstanding conflicts logged in the DEFERROR table at the materialized view''s master site.', 'Resolve the conflicts in the master DEFERROR table and refresh again after the table is empty. Alternatively, refresh with REFRESH_AFTER_ERRORS, even if there are conflicts in the master''s DEFERROR table. Proceeding despite conflicts can result in an updatable materialized view''s changes appearing to be temporarily lost, until a refresh succeeds after the conflicts are resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32034', 'unsupported use of WITH clause', 'Inproper use of WITH clause because one of the following two reasons:' || '<p>' || '1. nesting of WITH clause within WITH clause not supported yet' || '<p>' || '' || '<p>' || '2. For a set query, WITH clause can''t be specified for a branch.' || '<p>' || '' || '<p>' || '3. WITH clause can''t sepecified within parentheses.', 'correct query and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32035', 'unreferenced query name defined in WITH clause', 'There is at least one WITH clause query name that is not referenced in any place.', 'remove the unreferenced query name and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32036', 'unsupported case for inlining of query name in WITH clause', 'There is at least one query name which is inlined more than once because it''s definition query is too simple and references another query name. This is currently unsupported yet.', 'remove such query name and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32037', 'unsupported use of LEVEL in membership condition', 'An attempt was made to use LEVEL in membership condition with subquery that is not supported.', 'Rewrite query to avoid using LEVEL in membership condition', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32050', 'string operation failed', 'A mapping operation failed.', 'Check FMON trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32051', 'mapping service not available', 'The mapping service was never started or previously failed to start properly.', 'Set FILE_MAPPING to TRUE if it is not currently set. Otherwise, check FMON trace files for an ORA-32052 error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32052', 'failed to start mapping service', 'The mapping service failed to start properly.', 'Check FMON trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32053', 'operation not supported', 'Mapping libraries do not support operation.', 'Check whether mapping libraries are available and whether operation is supported by the libraries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32054', 'lost communication with FMPUTL process', 'Lost communication with mapping utility.', 'Check FMON and FMPUTL trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32055', 'invalid file type', 'Invalid file type used when mapping files.', 'Specify one of expected file types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32056', 'invalid number of extents', 'Invalid number of extents used for map operation.', 'Specify a non-negative number of extents.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32057', 'invalid lock mode', 'An invalid mode was used for a lock operation.', 'Specify one of expected lock modes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32058', 'operation restricted to SYSDBA users', 'Operation requires SYSDBA priviliges.', 'Connect to the database as SYSDBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32059', 'deadlock detected on mapping structures', 'Mapping structures already locked by the same session.', 'Unlock mapping structures before proceeding with current operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32060', 'channel failure', 'Channel failure between foreground and background process.', 'Check foreground trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32100', 'operation invalid on transient object', 'Trying to perform an operation on transient object which is is valid only on persistent objects', 'Make sure object is persistent', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32101', 'cannot create OCI Environment', 'An OCI Environment could not be created for OCCI', 'Insure that the parameters to the creatEnvironment method are valid', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32102', 'invalid OCI handle', 'An invalid OCI handle is passed to an OCI call.', 'This is an internal OCCI Error. Please contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32103', 'error from OCI call', 'An error code other than OCI_ERROR is returned from an OCI call.', 'This is an internal OCCI Error. Please contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32104', 'cannot retrieve OCI error message', 'Error message after an OCI call could not be retrieved.', 'This is an internal OCCI Error. Please contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32106', 'array fetch not allowed without setBuffer on all columns', 'The setBuffer method was not called for all column postions and the next method was called to fetch more than one row.', 'Call the setBuffer method for all column positions if next is to to be called to fetch more than one row.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32107', 'internal OCI memory allocation failure', 'Memory could not be allocated from an OCI heap.', 'Increase the process memory size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32108', 'max column or parameter size not specified', 'The max column or parameter size is not specified.', 'Specify the max size by setMaxColumnSize or setMaxParamSize.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32109', 'invalid column or parameter position', 'An invalid column or parameter position is specified.', 'Specify a valid column or position number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32110', 'Connection not specified', 'A null connection was passed.', 'Pass a valid, non-null connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32113', 'Null object passed', 'Null object was passed.', 'Pass a non-null object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32114', 'Cannot perform operation on a null LOB', 'The LOB instance on which the operation was attempted was null.', 'Use a valid, non-null LOB instance to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32116', 'Buffer size is less than amount specified', 'The buffer size specified for the LOB read or write operation was less than the amount to be read or written.', 'The buffer size must be equal to or greater than than the amount to be read from or written to the LOB.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32117', 'Source LOB is null', 'The source LOB instance on which the operation was attempted was null.', 'Use a valid, non-null source LOB instance for this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32118', 'Cannot perform operation on a null FILE', 'The FILE instance on which the operation was attempted was null.', 'Use a valid, non-null FILE instance to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32120', 'Buffer size is less than amount specified', 'The buffer size specified for the FILE read or write operation was less than the amount to be read or written.', 'The buffer size must be equal to or greater than than the amount to be read from or written to the FILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32121', 'Source FILE is null', 'The source FILE instance on which the operation was attempted was null.', 'Use a valid, non-null source FILE instance for this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32123', 'Attribute number is out of range', 'The attribute number passed is greater than the total number of attributes of the described object.', 'Pass the attribute number within the allowable range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32124', 'Illegal attribute passed', 'The attribute passed is not applicable for the described object.', 'Pass a valid attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32125', 'Attribute type is not appropriate', 'The return type of the get method does not match the type of the attribute being passed.', 'Call the appropriate get method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32126', 'Cannot perform operations on a null REF', 'The REF instance on which the operation was attempted was null.', 'Use a valid, non-null REF instance to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32127', 'REFs do not belong to any connection', 'Neither of the REFs being compared had associated connection information.', 'Atleast one of the REFs being compared must be associated with a valid connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32128', 'setDataBuffer called after fetch has started', 'Fetch from result set has already started and the setDataBuffer call was made.', 'Call the setDataBuffer method before calling the next() method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32129', 'cannot get information about this column', 'The setDataBuffer method was called to get information about this column. Therfore, the current method cannot be called.', 'Use the information from the buffers specifed in the setDataBuffer call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32130', 'invalid offset/index refrenced in Bytes', 'The offset/index is out of range of valid data locations in Bytes offsets.', 'Insure that offsets or index is within the range of Bytes object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28280', 'Multiple entries for ORACLE database password exist.', 'The ORACLE password attribute of a user entry has multiple entries of ORACLE database password.', 'Make sure ORACLE password attribute has one entry for ORACLE Database password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28290', 'Multiple entries found for the same Kerberos Principal Name', 'Multiple user entries has been configured with the same krbPrincipalName', 'Modify enterprise user''s entry to assign its Kerberos principal name Make sure the user entries in LDAP are provisioned correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28291', 'No Kerberos Principal Value found.', 'Oracle server fails to get value of krbPrincipalName attribute', 'Make sure user entries are correctly provisioned with correct Kerberos principal value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28292', 'No Domain Policy registered for Kerberos based authentication', 'The enterprise domain entry is not configured for Kerberos based global authentication.', 'Modify orclDBAuthType of the database server''s enterprise domain entry and assign it "ALL" or "KRB5"', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28293', 'No matched Kerberos Principal found in any user entry', 'Oracle server fails to find the principal in the user search base', 'Make sure the user search base is correct. Use ESM to configure the enterprise user its Kerberos principal name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28300', 'No permission to read user entry in LDAP directory service.', 'ORACLE server does not have read permission on user entries.', 'Make sure ORACLE server is using right credentials to connect to LDAP directory services. Make sure permissions for LDAP user entries are configured correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28301', 'Domain Policy hasn''t been registered for SSL authentication.', 'An attempt was made to authenticate with SSL, but the database enterprise domain was not configured for SSL authentication.', 'Modify orclDBAuthType of the server''s enterprise domain entry and assign it "ALL" or "SSL".', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28302', 'User does not exist in the LDAP directory service.', 'An attempt was made to authenticate with SSL using the user''s certificate, but there was no user entry in the LDAP server that matched the user''s Distinguished Name.', 'Add an user entry whose DN matches the user''s PKI DN in the LDAP directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28330', 'encryption is not allowed for this data type', 'Data type was not supported for column encryption.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28331', 'encrypted column size too long for its data type', 'column was encrypted and for VARCHAR2, the length specified was > 3932; for CHAR, the length specified was > 1932; for NVARCHAR2, the length specified was > 1966; for NCHAR, the length specified was > 966;', 'Reduce the column size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28332', 'cannot have more than one password for the encryption key', 'More than one password was specified in the user command.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28333', 'column is not encrypted', 'An attempt was made to rekey or decrypt an unencrypted column.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28334', 'column is already encrypted', 'An attempt was made to encrypt an encrypted column.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28335', 'referenced or referencing FK constraint column cannot be encrypted', 'encrypted columns were involved in the referential constraint', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28336', 'cannot encrypt SYS owned objects', 'An attempt was made to encrypt columns in a table owned by SYS.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28337', 'the specified index may not be defined on an encrypted column', 'Index column was either a functional, domain, or join index.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28338', 'cannot encrypt indexed column(s) with salt', 'An attempt was made to encrypt index column with salt.', 'Alter the table and specify column encrypting without salt.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28339', 'missing or invalid encryption algorithm', 'Encryption algorithm was missing or invalid in the user command.', 'Must specify a valid algorithm.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28340', 'a different encryption algorithm has been chosen for the table', 'Existing encrypted columns were associated with a different algorithm.', 'No need to specify an algorithm, or specify the same one for the existing encrypted columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28341', 'cannot encrypt constraint column(s) with salt', 'An attempt was made to encrypt constraint columns with salt.', 'Encrypt the constraint columns without salt.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28342', 'integrity check fails on column key', 'Encryption metadata may have been improperly altered.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28343', 'fails to encrypt data', 'data or encryption metadata may have been improperly altered or the security module may not have been properly setup', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28344', 'fails to decrypt data', 'data or encryption metadata may have been improperly altered or the security module may not have been properly setup', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28345', 'cannot downgrade because there exists encrypted column', 'An attempt was made to downgrade when there was an encrypted column in the system.', 'Decrypt these columns before attempting to downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28346', 'an encrypted column cannot serve as a partitioning column', 'An attempt was made to encrypt a partitioning key column or create partitioning index with encrypted columns.', 'The column must be decrypted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28347', 'encryption properties mismatch', 'An attempt was made to issue an ALTER TABLE EXCHANGE PARTITION | SUBPARTITION command, but encryption properties were mismatched.', 'Make sure encrytion algorithms and columns keys are identical. The corresponding columns must be encrypted on both tables with the same salt and non-salt flavor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28348', 'index defined on the specified column cannot be encrypted', 'An attempt was made to encrypt a column which is in a functional index, domain index, or join index.', 'drop the index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28349', 'cannot encrypt the specified column recorded in the materialized view log', 'An attempt was made to encrypt a column which is already recorded in the materialized view log.', 'drop the materialized view log', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28350', 'cannot encrypt the specified column recorded in CDC synchronized change table', 'An attempt was made to encrypt a column which is already recorded in CDC synchronized change table.', 'drop the synchronized change table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28351', 'cannot encrypt the column of a cluster key', 'An attempt was made to encrypt a column of the cluster key. A column of the cluster key in a clustered table cannot be encrypted.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28353', 'failed to open wallet', 'The database was unable to open the security module wallet due to an incorrect wallet path or password It is also possible that a wallet has not been created. Type mkwallet from command line for instructions.', 'Execute the command again using the correct wallet password or verfying a wallet exists in the specified directory. If necessary, create a new wallet and initialize it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28354', 'wallet already open', 'The security module wallet has already been opened.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28356', 'invalid open wallet syntax', 'The command to open the wallet contained improper spelling or syntax.', 'If attempting to open the wallet, verify the spelling and syntax and execute the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28357', 'password required to open the wallet', 'A password was not provided when executing the open wallet command.', 'Retry the command with a valid password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28358', 'improper set key syntax', 'The command to set the master key contained improper spelling or syntax.', 'If attempting to set the master key for Transparent Database Encryption, verify the spelling and syntax and execute the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36185', '(XSAGGR11) workspace object does not have any AGGCOUNT information.', 'User attempted an operation (such as the AVERAGE aggregation operator or the AGGCOUNT function) that requires a variable to have AGGCOUNT information on a variable that does not.', 'Define the variable using the WITH AGGCOUNT clause, or use the CHGDFN ADD AGGCOUNT command to enable AGGCOUNT for the variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36188', '(XSAGGR16) AGGREGATE read a value less than 1 out of COUNTVAR variable workspace object. Either the values of the COUNTVAR variable are stored improperly, or there is problem in AGGREGATE. If no one has modified the values in this COUNTVAR, contact Oracle customer support.', 'Either someone improperly changed the COUNTVAR variable, or AGGREGATE has an error.', 'Set the COUNTVAR variable to NA before starting AGGREGATE. If you previously set the COUNTVAR variable to NA, then contact Oracle OLAP technical support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36198', '(XSAGGR33) Cannot aggregate over COMPRESSED COMPOSITE workspace object using AGGMAP workspace object because the operator variable with more than 1 line dimensions is not supported for bases of a COMPRESSED COMPOSITE.', 'The user specified an aggregation the operator variable with more than 1 line dimensions that is not supported by COMPRESSED COMPOSITES.', 'Use a MODEL for the calculation, or use an uncompressed COMPOSITE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36200', '(XSAGGR34) AGGREGATE operator string requires a WEIGHTBY clause, but ARGS variable workspace object did not specify one.', 'The given operator requires a WEIGHT specification, but the ARGS variable did not supply one.', 'Modify the ARGS variable to specify a weight for the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36800', '(XSTBLFUNC00) The OLAP_TABLE function can only have a single LOOP statement within the LIMITMAP', 'The OLAP table function given used more than one LOOP statement.', 'It is currently impossible to specify more than one LOOP composite, either remove one of the statements (and loop densely over relevant dimensions), or create a new composite that encompasses both loops and have a single loop statement refer to that.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36802', '(XSTBLFUNC01) The OLAP_TABLE function must contain a DATAMAP that executes a FETCH command or a LIMITMAP.', 'There is no limitmap on the table function and either the datamap does not contain a fetch, or it errored before the fetch was called.', 'Check the datamap for errors, make sure that it executes a fetch statement, if it is not intended to execute the fetch then make sure that the table function has a valid limitmap.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36804', '(XSTBLFUNC02) The OLAP_TABLE function encountered an error while parsing the LIMITMAP.', 'Invalid LIMITMAP syntax, or the name resolution failure of an ANALYTIC WORSKPACE OBJECT.', 'Check the syntax of the limit map, check that the OLAP_TABLE function refers to a valid analytic workspace, check that all analytic workspace objects within the limitmap actually exist within the analytic workspace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36806', '(XSTBLFUNC03) The OLAP_TABLE function refers to an invalid ADT attribute: string.', 'The limitmap refers to a matching of ADT attribute to AW object, but the ADT attribute is not an element of the specified ADT table. Most commonly this is a typo.', 'Add the attribute to the ADT, correct the LIMITMAP, or remove the reference from the LIMITMAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36808', '(XSTBLFUNC04) The OLAP_TABLE function LEVELREL clause cannot declare number ADT fields from number AW fields.', 'The limitmap has a levelrel clause which has a different number of values in the list to the right of the FROM than it has to the left.', 'Change the limitmap so that there is a 1:1 mapping of adt and aw elements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36810', '(XSTBLFUNC05) Analytic workspace object number does not exist.', 'The limitmap refers to a non-existent aw object.', 'Change the limitmap or define the object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36812', '(XSTBLFUNC06) Invalid Syntax at ''?''.', 'The limitmap has a question mark character outside the context of a string.', 'Fix the limitmap', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36814', '(XSTBLFUNC07) The datatype of the column used in the ROW2CELL clause of a LIMITMAP must be RAW(16).', 'Datatype of column used in ROW2CELL clause of a LIMITMAP is not RAW(16).', 'Change datatype to RAW(16).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36920', '(XSVPMVTOPART01) workspace object cannot become anonymous because it has properties.', 'The OLAP DML command would result in a named object becoming an anonymous object, but the object had one or more properties associated with it.', 'Remove the properties using the PROPERTY command. In some cases an UPDATE may be required before the command can proceed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36921', '(XSVPMVTOPART02) workspace object and workspace object are not in the same analytic workspace.', 'The OLAP DML command requires certain objects to be in the same analytic workspace, and the command string specified objects from two different analytic workspaces.', 'If more than one analytic workspace is attached to the session, make sure that the object names given in the command are unique across all attached analytic workspaces. Use qualified object names (QON''s) if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36922', '(XSVPMVTOPART03) workspace object is the target of an external partition of a partitioned variable.', 'An attempt was made to perform some prohibited operation on a variable which is itself a partition of some other variable.', 'If desired, use the CHGDFN command to DROP the partition from the partitioned variable, and then run the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36923', '(XSVPMVTOPART04) workspace object is not a LIST or RANGE PARTITION TEMPLATE.', 'The user ran a command that only operates on a LIST or RANGE partition template (or a variable dimensioned by a LIST or RANGE partition template) on some other kind of analytic workspace object.', 'Rerun the command on a LIST or RANGE partition template or a variable dimensioned by a LIST or RANGE partition template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36924', '(XSVPMVTOPART05) workspace object is not in a COMPOSITE.', 'The OLAP DML command expected that the variable would be dimensioned by a composite containing the specified dimension, the specified dimension within a composite.', 'Rerun the command on some variable is dimensioned by a composite containing the specified dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36930', 'Cannot start a recursive call to Oracle OLAP because a ROLLBACK past an UPDATE to an attached analytic workspace has been performed.', 'ROLLBACK past the UPDATE of one of the attached Analytic Workspaces was called. A recursive Oracle OLAP call cannot be made until the control returns to the initial OLAP call and the affected Analytic Workspaces detached.', 'Change the called SQL procedure to avoid the ROLLBACK', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36950', '(XSFCAST22) The list of string values cannot have more than number members. You supplied number.', 'There are more than the maximum number of OFFSET or PERIODICITY values.', 'Remove some of the values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36951', '(XSFCAST28) The ALLOCLAST parameter cannot be set to YES unless PERIODICITY specifies more than one cycle.', 'ALLOCLAST was set to YES when PERIODICITY specified a single value rather than a list of nested cycles.', 'Set ALLOCLAST to FALSE (the default), or specify more than one value for PERIODICITY (in the form of a parenthesized list).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26563', 'renaming this table is not allowed', 'Attempt to rename a replicated table, an updatable materialized view table or the master table of a materialized view for which a materialized view log has beencreated.', 'If desired, unregister the replicated table with dbms_repcat.drop_master_repobject, or use the recommended procedure to rename the master table of a materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26564', 'string argument is not of specified type', 'User passed type of the given argument number doesn''t match with the type of the argument in the stored arguments.', 'Invoke correct type procedure (i.e. get_XXX_arg)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26565', 'Call to <type>_arg made before calling dbms_defer.call', 'User invoked <type>_arg procedure before starting a deferred call', 'Invoke various procedures in the correct order.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26566', 'Couldn''t open connect to string', 'Failed to open connection using given dblink', 'Make sure that the dblink is valid and remote m/c is up.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26571', 'string.string.string: number of arguments (string) does not match replication catalog', 'number of arguments does not match replication catalog', 'examine total number of arguments for the rpc call', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26572', 'string.string.string: argument string does not match replication catalog', 'the (rpc) call is corrupted', 'examine total number of arguments and each argument for the rpc call', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26575', 'remote database does not support replication parallel propagation', 'The remote database has a version lower than Oracle 8.0 and hence does not understand replication parallel propagation.', 'Use serial propagation or upgrade the remote database to Oracle 8.0 or above.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26576', 'cannot acquire SR enqueue', 'An attempt to acquire the SR enqueue in exclusive mode failed.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26577', 'PRESERVE TABLE can not be used when dropping old style materialized view string.string', 'The materialized view consists of a view and a container table.', 'Drop the materialized view without PRESERVE TABLE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26650', 'string background process string might not be started successfully', 'An error occurred during creation of a capture or apply background process.', 'Please review V$Capture and V$Apply_coordinator views for the status of these processes. Please also check the trace file for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26651', 'Unable to start or stop capture process string', 'An attempt was made to start or stop a capture process while another capture process was concurrently starting or stopping.', 'You cannot concurrently start or stop capture processes. Wait before attempting to start or stop additional capture processes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26660', 'Invalid action context value for string', 'The value specified in the action context is invalid for use in STREAMS.', 'Check that the type and value are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26662', 'unable to process STREAMS Data Dictonary information for object', 'The database is unable to process STREAMS Data Dictionary for this object.', 'Check that the compatibility for the database supports the object, and check the trace file for information about the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26663', 'error queue for apply process string must be empty', 'The error queue for this apply process contains error entries.', 'Execute or delete errors in the error queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26664', 'cannot create STREAMS process string', 'An attempt was made to create a STREAMS process when another was being created concurrently.', 'Wait for the creation of the other STREAMS process to finish before attempting to create the STREAMS process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26665', 'STREAMS process string already exists', 'An attempt was made to create a STREAMS process that already exists.', 'Either specify another STREAMS process or remove the existing STREAMS process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26666', 'cannot alter STREAMS process string', 'An attempt was made to alter a STREAMS process that is currently running.', 'Stop the STREAMS process with FORCE parameter set to TRUE and reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26667', 'invalid STREAMS parameter string', 'An attempt was made to specify an invalid parameter.', 'Check the documentation for valid parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26668', 'STREAMS process string exists', 'An attempt to remove the component failed because it is associated with the STREAMS process.', 'Either remove the process manually or specify the "cascade" option in dbms_streams_adm.remove_queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26669', 'parameter string inconsistent with parameter string', 'An attempt was made to specify a subprogram parameter value that is inconsistent with another parameter value.', 'Check the documentation for valid parameter values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26671', 'maximum number of STREAMS processes exceeded', 'Cannot create additional STREAMS processes since the maximum number of STREAMS processes has been reached.', 'Remove existing STREAMS processes and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26672', 'timeout occurred while stopping STREAMS process string', 'Timeout occurred while waiting for a STREAMS process to shut down.', 'Retry the operation. If the error persists, try stopping the process with the FORCE option, or contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26673', 'duplicate column name string', 'An attempt was made to specify a duplicate column name in an LCR.', 'Remove the duplicate column and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26675', 'cannot create Streams capture process string', 'Streams capture process could not be created because one or more parameters contain invalid value.', 'Refer to trace file for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26676', 'Table ''string.string'' has string columns in the LCR and string columns in the replicated site', 'The number of columns in the LCR was not the same as the the replicated site.', 'Alter the table structure', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26677', 'Streams downstream capture process string cannot proceed', 'Database global name has been set to a value which is same as the source database name of the downstream capture process.', 'Change database global name to a value other than the source database name for the downstream capture.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26678', 'Streams downstream capture process for source database string must be created at database string first', 'A Streams downstream capture process was nonexistent when this operation was attempted.', 'Create a Streams downstream capture process, then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26679', 'operation not allowed on LOB or LONG columns in LCR', 'Certain operations on LOB/LONG columns of the LCR through rule-based transformations, DML handlers, or error handlers were not allowed.', 'Do not perform restricted operations on LOB or LONG columns in LCRs. See the documentation for operations that are restricted on LOB/LONG columns in LCRs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26680', 'object type not supported', 'The specified object type is not supported.', 'Retry with a supported object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26681', 'command type not supported', 'The specified command type is not supported.', 'Retry with a supported command type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26682', 'invalid value for publication_on', 'The publication_on parameter should be either ''Y'' or ''N''', 'Retry with a proper value for publication_on.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26683', 'invalid value for value_type', 'The value_type parameter should be either ''OLD'' or ''NEW''', 'Retry with proper value_type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26684', 'invalid value for value_type', 'The value_type parameter should be one of ''OLD'', ''NEW'' or ''*''', 'Retry with proper value_type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32131', 'bind data type cannot be changed', 'The setXXX method is called again with a different data type than originally specified, or the setXXX method is called for a subsequent iteration without being called before the first iteration.', 'Call the setXXX method with the same data type as done before the first iteration. If no setXXX method was called for this parameter postion the first iteration, then make sure that a setXXX method is called before the first addIteration method is called.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32132', 'maximum iterations cannot be changed', 'The setMaxIterations is called after a setXXX method has been called.', 'Call the setMaxIterations method before calling any setXXX methods.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32133', 'Cannot get stream from LOB/FILE', 'An open stream exists on the the LOB/FILE on which the operation was attempted.', 'Close the stream before getting another.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32134', 'Cannot assign LOBs', 'An open stream exists on the target LOB.', 'Close the stream on the target LOB before assigning the LOBs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32135', 'Cannot assign FILEs', 'An open stream exists on the target FILE.', 'Close the stream on the target FILE before assigning the FILEs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32136', 'Cannot perform operation on an invalid stream', 'The LOB/FILE from which the stream was obtained had been nullified or destroyed.', 'Use a valid stream.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32139', 'Cannot write to the stream', 'A write was performed after the last buffer was written.', 'Close this stream and get a new stream to perform the write.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32140', 'cannot peform this operation on stream', 'Either a read is attempted from a stream oi write mode, or a write is attempted on a stream in read mode.', 'Check the status of the stream to find out the valid operations that can be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32141', 'get method does not match the type of the parameter', 'The getXXX method called on the Statement object does not match the type of the bind parameter.', 'Call the getXXX method that is the same as the type of the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32142', 'maximum number of iterations exceeded', 'The addIteration exceeds the maximum number of iterations set by the the setMaxIterations method.', 'Increase the maximum number of allowed iterations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32143', 'Environment not specified', 'A null environment was passed.', 'Pass a valid, non-null environment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32144', 'Cannot perform operation on a null interval', 'The interval involved in this operation is null.', 'Use valid, non-null interval instance to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32145', 'Environment not specified', 'The interval on which the operation was attempted was null and no environment was specified.', 'Specify non-null environment or perform the operation on a non null instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32146', 'Cannot perform operation on a null date', 'The date involved in this operation is null.', 'Use valid, non-null date instance to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32147', 'Environment not specified', 'The date on which the operation was attempted was null and no environment was specified.', 'Specify non-null environment or perform the operation on a non null instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32150', 'Cannot perform operation on a null timestamp', 'The timestamp involved in this operation is null.', 'Use valid, non-null timestamp instance to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32151', 'Environment not specified', 'The timestamp on which the operation was attempted was null and no environment was specified.', 'Specify non-null environment or perform the operation on a non null instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32152', 'Cannot perform operation on a null number', 'The number involved in this operation is null.', 'Use valid, non-null number instance to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32153', 'Environment not specified', 'The number on which the operation was attempted was null and no environment was specified.', 'Specify non-null environment or perform the operation on a non null instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32154', 'Anydata context not specified', 'A null anydata context was passed.', 'Pass a valid, non-null anydata context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32155', 'Anydata not specified', 'A null anydata was passed.', 'Pass a valid, non-null anydata.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32156', 'Cannot perform operation on stream', 'This operation is not applicable to streams obtained from LOBs.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32158', 'Invalid type passed', 'An inapplicable type was passed to this call.', 'Pass an applicable type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32159', 'Cannot set prefetch options for a null Type', 'A null Type name was passed.', 'Pass an non-null Type name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32161', 'Cannot perform piecewise fetch', 'Zero amount was passed and buffer size was less than LOB size', 'Specify a larger buffer or use Stream', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32162', 'Read/Write SQL method not registered', 'readSQL/writeSQL method was NULL or was not registered', 'Register readSQL/writeSQL by calling put method in Map', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32163', 'Method called on Invalid Environment type', 'A non-XA call made on an XA Environment or XA call made on non-XA Environment', 'Make sure Environment type is OK', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32164', 'Method called on Invalid Connection type', 'A non-XA call made on an XA Connection or XA call made on non-XA Connection', 'Make sure Connection type is OK', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32165', 'Cannot get XA environment', 'Incorrect dbname string was passed or the XA connection has not been opened', 'Pass the correct dbname string or check if the XA connection is open', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32166', 'Cannot get XA connection', 'Incorrect dbname string was passed or the XA connection has not been opened', 'Pass the correct dbname string or check if the XA connection is open', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32167', 'No payload set on the Message', 'An attempt was made to enqueue a message without setting a payload on it.', 'Set a payload on the message before calling the send method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32168', 'Cannot perform operation on a null AnyData', 'The AnyData instance on which the operation was attempted was null.', 'Use a valid, non-null AnyData instance to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32300', 'cannot drop a secondary materialized view "string"."string"', 'An attempt was made to drop a materialized view of a nested table column''s storage table.', 'Drop the materialized view that contains the nested table column. This will implicitly drop all secondary materialized views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32301', 'object-relational materialized views must be primary key based', 'An attempt was made to create an object-relational materialized view that is not primary key based.', 'Create the materialized view with the PRIMARY KEY keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32302', 'object materialized views must be object ID based', 'An attempt was made to create an object materialized view that is not object ID based.', 'Create the materialized view using the OF clause but omit any ROWID or PRIMARY KEY clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32303', 'mviews with user-defined types cannot reference multiple master sites', 'For materialized views with user-defined types, the definition query cannot reference tables from different master sites.', 'Do not create materialized views with user-defined types referencing multiple master sites.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32304', 'materialized views with user-defined types cannot use prebuilt table', 'An attempt was made to create a materialized view with the ON PREBUILT TABLE option.', 'Do not create the materialized view with the ON PREBUILT TABLE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32305', 'RepAPI materialized views with user-defined types are not supported', 'An attempt was made to create a RepAPI materialized view with user-defined types.', 'Do not create a RepAPI materialized view with user-defined types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28359', 'invalid certificate identifier', 'The certificate specified did not exist in the wallet.', 'Query the V$WALLET fixed view to find the proper certificate identifier for certificate to be used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28361', 'master key not yet set', 'The master key for the instance was not set.', 'Execute the ALTER SYSTEM SET KEY command to set a master key for the database instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28362', 'master key not found', 'The required master key required could not be located. This may be casued by the use of an invalid or incorrect wallet.', 'Check wallet location parameters to see if they specify the correct wallet. Also, verify that an SSO wallet is not being used when an encrypted wallet is intended.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28363', 'buffer provided not large enough for output', 'A provided output buffer is too small to contain the output.', 'Check the size of the output buffer to make sure it is initialized to the proper size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28364', 'invalid wallet operation', 'The command to operate the wallet contained improper spelling or syntax.', 'Verify the spelling and syntax and execute the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28365', 'wallet is not open', 'The security module wallet has not been opened.', 'Open the wallet.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29303', 'user does not login as SYS', 'The user did not log in as SYS to perform tablespace point-in-time recovery in a clone database.', 'Log in as SYS and restart tablespace point-in-time recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29304', 'tablespace ''string'' does not exist', 'The selected tablespace does not exist in the database.', 'Check the list of tablespaces in V$TABLESPACE and select a valid tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29305', 'cannot point-in-time recover tablespace ''string''', 'An attempt was made to ALTER the tablespace to be read only.', 'Check if the tablespace is SYSTEM or with online rollback segment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29306', 'datafile string is not online', 'The selected datafile was not online.', 'Bring the the datafile online and rename it if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29307', 'datafile string error, string', 'The datafile is not ready for tablespace point-in-time recovery.', 'Check the correct tablespace point-in-time recovery procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29308', 'view TS_PITR_CHECK failure', 'Some objects which crossed the boundary of the recovery set were not allowed in the tabelspace point-in-time recovery.', 'Query TS_PITR_CHECK and resolve the boundary crossing objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29309', 'export dump file was generated by different version of DBMS_PITR package', 'The version of DBMS_PITR is different from the version of the cloned database.', 'Load the version of DBMS_PITR which matches the version of the cloned database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29310', 'database is not open, or opened as a clone', 'Either the database was not open, or an attempt was made to open it as a cloned database.', 'Open the production database instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29311', 'export dump file was not generated by this database, string does not match', 'The export dump files were imported to an incorrect database.', 'Open the correct production database and try the import again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29313', 'tablespace ''string'' cannot be imported twice', 'This is an internal error.', 'Contact your database administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29314', 'tablespace ''string'' is not OFFLINE FOR RECOVER nor READ ONLY', 'Tablespace clean SCN is either 0 or invalid.', 'ALTER the tablespace OFFLINE FOR RECOVER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29315', 'tablespace ''string'' has been recreated', 'An attempt was made to recover a tablespace to a point-in-time before it was recreated.', 'Choose a different point in time for recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29316', 'datafile string been imported twice', 'This is an internal error.', 'Contact your database administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29317', 'datafile string does not exist', 'The specified datafile could not be found in the production database.', 'Copy the datafile from the clone database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29318', 'datafile string is online', 'The datafile is online.', 'Take the datafile offline.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29319', 'datafile string is not correct', 'An incorrect datafile was copied to the production database. The datafile information in the export dump file differs with the information in the datafile in the production database.', 'Copy the datafile from the clone database to the production database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29320', 'datafile header error', 'An error occured during reading datafile header.', 'Copy the correct datafile from the clone database to the production database, then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29321', 'too many datafiles added since the point-in-time', 'Too many datafiles were added to the recovery set since the point-in-time recovery.', 'Divide the recovery set into smaller subsets and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29322', 'SCN string size too long -- maximum size 58 bytes/characters', 'Too many characters in specifying the SCN string', 'Remove all unnecessary characters. Only 15 characters are required for both the hex and decimal representation of the 48 bit SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29323', 'ALTER DATABASE SET COMPATIBILITY command not supported by string', 'The ALTER DATABASE SET COMPATIBILITY command failed because one or more instances do not support dynamic compatible setting change.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29324', 'SET COMPATIBILITY release string format is wrong', 'It should be of the form x.x.x', 'Use the correct format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29325', 'SET COMPATIBILITY release number lower than string', 'The SET COMPATIBILITY release compatibility release number was lower than the current compatible setting.', 'Specify a higher release number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29326', 'SET COMPATIBILITY release number higher than string', 'The ALTER DATABASE SET COMPATIBILITY command failed because one or more instances had a lower release number.', 'Specify a lower release number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29327', 'unsupported client compatibility mode used when talking to the server', 'The client compatibility mode is higher than the version of the server.', 'Using SET COMPATIBILITY command, specify the same release number as the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29328', 'too many datafiles in this tablespace ''string''', 'Too many datafiles in this bitmap tablespace. ORACLE does not support at this moment.', 'Call Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29329', 'Table not of type XMLType', 'Table is not XMLType table', 'Ensure table is a XMLType table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29330', 'Source script length too big', 'Source script length exceeded the maximum size of 4 Gigabytes.', 'Make sure source script length is not greater than 4 Gigabytes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29335', 'tablespace ''string'' is not read only', 'The tablespace is not read only.', 'Make the tablespace read only and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29336', 'Internal error [string] [string] from DBMS_PLUGTS', 'Internal error from package DBMS_PLUGTS.', 'Call Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30975', 'invalid Order Key Index option for XML Index', 'An attempt was made to use an unsupported option.', 'Use the appropriate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30976', 'invalid Parent Order Key Index option for XML Index', 'An attempt was made to use an unsupported option.', 'Use the appropriate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30977', 'invalid Value Index option for XML Index', 'An attempt was made to use an unsupported option.', 'Use the appropriate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30978', 'The XML Index is not locally partitioned.', 'An attempt was made to create a global partitioned XML Index.', 'Do not attempt to create global partitioned XML Index or to maintain a non-local partitioned XML Index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30979', 'Partitioned XML Index not yet supported.', 'An attempt was made to create a partitioned XML Index.', 'Do not attempt to create partitioned XML Index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36236', '(XSANALYZ06) the AW format must be 11.0.0.0 or higher to use the ANALYZE command', 'The AW version is less than 11.0.0.0', 'Make sure the compatible mode is 11.0.0.0 or higher and upgrade the AW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36237', '(XSANALYZ07) analytic workspace string.string must be attached RW or EXCLUSIVE mode', 'The analytic workspace was already attached RO or MULTI mode.', 'Detach the analytic workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36238', '(XSANALYZ08) object string.string does not exist', 'The object name does not exist', 'Check the spelling and case of the object name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36952', '(XSFCAST23) You cannot specify a cycle number when querying the string forecasting option.', 'A cycle number was specified in a call to FCQUERY to retrieve forecast data not related to a cycle.', 'Remove the cycle specification from the call to FCQUERY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36954', '(XSFCAST24) The cycle number must be between 1 and number. You specified number.', 'A cycle number less than 1 or greater than the maximum value was specified in a call to FCQUERY.', 'Specify a number in the indicated range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36956', '(XSFCAST25) There are only number PERIODICITY values. You cannot specify more OFFSET values.', 'More OFFSET values were specified than PERIODICITY values.', 'Supply only as many OFFSETs as there are PERIODICITY values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36958', '(XSFCAST26) The OFFSET value for cycle number cannot be greater than the cycle''s PERIODICITY, which is number. You specified number.', 'The OFFSET for a cycle exceeded the PERIODICITY for that cycle.', 'Supply an OFFSET less than or equal to the PERODICITY for the corresponding cycle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36960', '(XSFCAST27) The value of the string expression must be an odd number. You specified number.', 'An even number was given for an option that requires an odd number.', 'Supply an odd number or let the option default.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36961', 'Oracle OLAP is not available.', 'The user attempted to utilize functionality found only in Oracle OLAP, but OLAP has not been enabled in the executable.', 'Install the Oracle OLAP option', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36962', '(XSRELTBL08) string is not a valid workspace object.', 'The specified value does not exist in the dimension.', 'Specify an existing value of the dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36963', '(XSRELTBL16) INHIERARCHY object workspace object should be a valid valueset or boolean variable.', 'Invalid valueset or variable was specified.', 'Specify a valid valueset or variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36964', '(XSRELTBL09) workspace object is not a valid level relation.', 'The specified level relation was not consistent with the parentage hierarchy.', 'Fix one or both of the relations involved so that all parents are at a higher level than their children.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36965', '(XSRELTBL17) Invalid LEVELORDER valueset workspace object.', 'Invalid LEVELORDER valueset was specified.', 'Specify a valid valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36966', '(XSRELTBL10) workspace object must be a dimension.', 'The qualified object must be a dimensions.', 'Remove the named object from the QDR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36967', '(XSRELTBL18) Invalid INHIERARCHY valueset workspace object.', 'Invalid valueset was specified.', 'Specify a valid valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36968', '(XSRELTBL11) Invalid relation workspace object.', 'Non-object or an object other than a RELATION was specified as source or destination.', 'Specify RELATION objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36969', '(XSRELTBL19) Merged family relation cannot take INHIERARCHY option.', 'INHIERARCHY option was specified.', 'Remove INHIERARCHY option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36970', '(XSRELTBL12) workspace object must be a self-relation.', 'The specified source relation was not a self-relation.', 'Specify a self-relation as the source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36971', '(XSRELTBL19) Merged family relation cannot take LEVELORDER option.', 'LEVELORDER option was specified.', 'Remove LEVELORDER option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36972', '(XSRELTBL13) Relation workspace object must be dimensioned by workspace object.', 'Destination relation is not dimensioned by source relation dimension.', 'Give a correct destination relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36974', '(XSRELTBL14) workspace object is not a BOOLEAN variable dimensioned by all the dimensions of the hierarchy.', 'The named variable had either the wrong data type or the wrong dimensions.', 'Specify a BOOLEAN variable dimensioned by all the dimensions of the hierarchy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36975', '(XSRELTBL15) You must specify a USING clause naming a relation with same level dimension as LEVELORDER valueset workspace object.', 'USING was omitted from the HIERHEIGHT command, or specified a relation containing values of a different dimension than the LEVELORDER valueset.', 'Provide a USING clause naming a relation containing values from the correct level dimension. --------------------------------------------------------------', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36976', '(XSRELGID00) Invlid GROUPINGID destination relation or variable workspace object.', 'Non-Object or invalid relation or invlid variable.', 'Specify the valid relation or variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36977', '(XSRELGID17) The GROUPINGID command does not support hierarchies with more than 126 levels.', 'The user specified a hierarchy with more than 126 levels.', 'Decrease the number of levels in the hierarchy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36978', '(XSRELGID01) workspace object must be a self-relation.', 'Source relation is not a self-relation.', 'Specify a self-relation as the source relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36979', '(XSRELGID18) Property number can only be set by the GROUPINGID command.', 'You tried to set the $GID_DEPTH property.', 'Stop to set the $GID_DEPTH property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36980', '(XSRELGID02) Variable workspace object must have a numeric data type.', 'The destination variable does not have a numeric data type.', 'Make sure the variable is numeric.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36981', '(XSRELGID19) The format of the GROUPINGID function is: GROUPINGID(gidrel1 [gidrel2]...)', 'Bad syntax', 'Correct syntax', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36982', '(XSRELGID03) The destination variable/relation workspace object must be dimensioned by all dimensions of the source relation workspace object that have more than one value in status.', 'Destination variable/relation does not have enough dimensionality to hold the result from the multi-dimensional source relation.', 'Either limit the status of hierarchy dimensions or redefine the destination variable/relation with the extended dimensionality', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36983', '(XSRELGID20) The groupingid relation workspace object repeats.', 'The groupingid relation repeated.', 'Remove the duplicated groupingid relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36985', '(XSRELGID21) The source relation can be omitted only when using both surrogate GID and level order valueset.', 'Source relation was not specified.', 'Specify the source relation or both surrogate gid and level order valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36986', '(XSRELGID05) Relation workspace object must be dimensioned by workspace object.', 'The destination relation is not dimensioned by the dimension of the source relation.', 'Redefine the destination relation or choose another relation with the correct dimensionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36988', '(XSRELGID06) The related dimension of relation workspace object must be of type NUMBER.', 'The related dimension of the destination relation has the wrong data type.', 'Redefine the destination relation or choose another relation whose related dimension is of type NUMBER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36989', '(XSRELGID23) GROUPSET and ROLLUP options in GROUPINGID require the destination relation.', 'Either variable or surrrogate dimension was specified as destination.', 'Specify the destination relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26685', 'cannot apply transactions from multiple sources', 'Transactions from multiple sources were sent to the same apply process.', 'Create multiple apply processes and create appropriate rules so that transactions from only one source reach an apply process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26686', 'cannot capture from specified SCN', 'An attempt was made to specify an invalid SCN.', 'Retry with a valid SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26687', 'no instantiation SCN provided for "string"."string" in source database "string"', 'Object SCN was not set. If the object is a table, then both fields will be filled, for example "SCOTT"."EMP". If the object is a schema, only one field will be set, for example "SCOTT"."". And if the object is the entire database, no fields will be set, for example ""."".', 'Set the SCN by calling DBMS_APPLY_ADM.SET_%_INSTANTIATION_SCN', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26688', 'missing key in LCR', 'Metadata mismatch, or not enough information in the user generated LCR.', 'Alter the database object, or provide all defined keys in the LCR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26689', 'column datatype mismatch in LCR', 'The datatypes of columns in the LCR are not the same as the datatypes in the database object.', 'Alter the database object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26690', 'datatype not supported at non-Oracle system', 'One of the columns of the LCR being applied was of a datatype not supported by either the target non-Oracle system or by the Oracle transparent gateway through which the apply is being done.', 'Do not apply data of this type. If possible, filter out columns containing such datatypes before applying.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26691', 'operation not supported at non-Oracle system', 'The apply process attempted an operation that is either not supported by the non-Oracle system or by the Oracle transparent gateway through which the apply is being done. Some kinds of DML (like procedure and function calls) and all DDL will cause this error to be raised.', 'Do not attempt to apply such LCRs to non-Oracle systems. If possible, filter out such LCRs before applying.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26692', 'invalid value string, string should be in string format', 'The parameter specified was not in the correct format.', 'Specify the parameter value in the correct format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26693', 'STREAMS string process dropped successfully, but error occurred while dropping rule set string', 'An attempt to drop an unused rule set failed after dropping the STREAMS proccess successfully.', 'Check existence of rule set and manually drop if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26694', 'error while enqueueing into queue string.string', 'An error occurred while enqueueing a message.', 'If the situation described in the next error on the stack can be corrected, do so.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26695', 'error on call to string: return code string', 'A locking related call failed.', 'Try the call again after fixing the condition indicated by the return code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26696', 'no streams data dictionary for object with number string and version number string from source database string', 'An attempt to access the database object failed because the data dictionary for the object was either never populated or it was purged.', 'Make sure the streams data dictionary is created by calling DBMS_CAPTURE_ADM.PREPARE_%_INSTANTIATION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26697', 'LCR contains extra column ''string''', 'The LCR contained more columns than the replicated table.', 'Alter the database object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26698', 'string did not have a string rule set', 'The STREAMS client does not have a rule set of the indicated type.', 'Verify that the Streams client has a rule set of the specified type, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26699', 'STREAMS message consumer string already exists', 'An attempt was made to create a STREAMS message consumer that already exists.', 'Either specify another STREAMS message consumer or remove the existing STREAMS message consumer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26701', 'STREAMS process string does not exist', 'An attempt was made to access a STREAMS process which does not exist.', 'Check with the relevant security views for the correct name of the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26705', 'cannot downgrade capture process after Streams data dictionary has been upgraded', 'An attempt was made to downgrade a capture process after it has upgraded the Streams data dictionary.', 'Drop the capture process before attempting the downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26706', 'cannot downgrade capture process', 'An attempt was made to downgrade a capture process that has a higher version than the downgrade release version.', 'Drop the capture process after capture has finished consuming all the redo logs before attempting the downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26708', 'remote DDL not supported by STREAMS : dblink string', 'The apply process attempted to apply a DDL LCR via a dblink. This is not supported.', 'Do not attempt to apply DDL LCRs via a dblink. If possible, filter out DDL LCRs before applying.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26709', 'Streams RFS restart', 'Remote file server (RFS) process was restarted to reflect a change in DOWNSTREAM_REAL_TIME_MINE option of the Streams capture process.', 'No action required. This is an informational message only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26710', 'incompatible version marker encountered during Capture', 'Capture process cannot mine redo from a version higher than the current software release version.', 'Drop and recreate the capture process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26711', 'remote table does not contain a primary key constraint', 'The master table for remote apply does not constain a primary key constraint or the primary key constraint has been disabled.', 'Create a primary key constraint on the master table or enable the existing constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26712', 'remote object is "string"."string"\@"string"', 'See the preceding error message to identify the cause. This message names the remote object, usually a table or view, for which an error occurred when Streams tried to access it for remote apply.', 'See the preceding error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26713', 'remote object does not exist or is inaccessible', 'Streams replication could not access the named table or view at a remote database to apply changes.', 'Confirm that the given remote table or view exists and is accessible through the given database link. When using a Heterogeneous Services database link to access a non-Oracle system, it may be necessary to check administration details for network connections at the non-Oracle system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26714', 'User error encountered while applying', 'An error was encountered while applying.', 'Query the dba_apply_error view to determine the error and take the appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26715', 'time limit reached', 'The specified time limit was reached for the STREAMS process.', 'Restart the STREAMS process, increasing the TIME_LIMIT parameter if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26716', 'message limit reached', 'The specified message limit was reached for the Capture process.', 'Restart the Capture process, increasing the MESSAGE_LIMIT parameter if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26717', 'SCN limit reached', 'The specified SCN limit was reached for the STREAMS process.', 'Change the MAXIMUM_SCN parameter, then restart the STREAMS process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26718', 'transaction limit reached', 'The specified transaction limit was reached for the Apply process.', 'Restart the Apply process, increasing the TRANSACTION_LIMIT parameter if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32306', 'updatable materialized views with user-defined types must use SELECT *', 'An attempt was made to create an updatable materialized view with user-defined types where the definition query did not use SELECT * at the topmost level.', 'Rewrite the definition query so that SELECT * is used at the topmost level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32307', 'must use FROM ONLY clause when referencing an object table', 'An attempt was made to create a materialized view whose definition query references object tables without the FROM ONLY clause.', 'Rewrite the definition query to use the FROM ONLY clause for all the object tables in the query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32308', 'object materialized views must use SELECT *', 'An attempt was made to create an object materialized view where the definition query did not use SELECT * at the topmost level.', 'Rewrite the definition query so that SELECT * is used at the topmost level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32309', 'object mview type "string"."string" does not match the master table type', 'An attempt was made to create an object materialized view whose type does not match the type of the master object table.', 'Redefine the type so that it matches the type of the master object table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32310', 'object materialized views must select from an object table', 'An attempt was made to create an object materialized view whose definition query did not select from an object table.', 'Rewrite the definition query to select from an object table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32311', 'materialized view definition query selects an unsupported user-defined type', 'An attempt was made in the definition query to select an embedded user-defined type, function returning a user-defined type, or a function whose arguments are user-defined types.', 'Rewrite the definition query to exclude these unsupported user-defined types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32312', 'cannot refresh a secondary materialized view "string"."string"', 'An attempt was made to refresh a materialized view of a nested table column''s storage table.', 'Refresh the materialized view that contains the nested table column. This will implicitly refresh all secondary materialized views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32313', 'REFRESH FAST of "string"."string" unsupported after PMOPs', 'A Partition Maintenance Operation (PMOP) has been performed on a detail table, and the specified materialized view does not support fast refersh after PMOPs.', 'Use REFRESH COMPLETE. Note: you can determine why your materialized view does not support fast refresh after PMOPs using the DBMS_MVIEW.EXPLAIN_MVIEW() API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32314', 'REFRESH FAST of "string"."string" unsupported after deletes/updates', 'One or more deletes or updates has been performed on one or more of the detail tables referenced by the specified materialized view. This materialized view does not support fast refresh after deletes or updates.', 'Use REFRESH COMPLETE. Note: you can determine why your materialized view does not support fast refresh after deletes or updates using the DBMS_MVIEW.EXPLAIN_MVIEW() API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32315', 'REFRESH FAST of "string"."string" unsupported after mixed DML and Direct Load', 'One or more of the materialized view logs on the detail tables referenced by the specified materialized view omits the sequence number option. Such a log cannot be used to refresh a materialized view after deletes or updates and direct path insert.', 'Use REFRESH COMPLETE. Note: you can use the DBMS_MVIEW.EXPLAIN_MVIEW() API to determine which materialized view logs omit the sequence number option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32316', 'REFRESH FAST of "string"."string" unsupported after mixed DML', 'One or more of the materialized view logs on the detail tables referenced by the specified materialized view omits the sequence number option. Such a log cannot be used to refresh a materialized view after deletes or updates have been performed on multiple detail tables.', 'Use REFRESH COMPLETE. Note: you can use the DBMS_MVIEW.EXPLAIN_MVIEW() API to determine which materialized view logs omit the sequence number option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32317', 'cannot run a job from a job', 'An attempt was made to execute a job from within another job.', 'Do not submit jobs that run other jobs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32318', 'cannot rename a materialized view', 'Renaming a materialized view or its base table is not supported.', 'Do not rename the base table of a materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32319', 'Cannot use direct loader log to FAST REFRESH materialized view "string"."string"', 'The direct loader log might have been dropped', 'Need to do complete refresh', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32320', 'REFRESH FAST of "string"."string" unsupported after container table PMOPs', 'A Partition Maintenance Operation (PMOP) has been performed on the materialized view, and no materialized view supports fast refersh after container table PMOPs.', 'Use REFRESH COMPLETE. Note: you can determine why your materialized view does not support fast refresh after PMOPs using the DBMS_MVIEW.EXPLAIN_MVIEW() API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32321', 'REFRESH FAST of "string"."string" unsupported after detail table TRUNCATE', 'A detail table has been truncated and no materialized view supports fast refersh after a detail table has been truncated', 'Use REFRESH COMPLETE. Note: you can determine why your materialized view does not support fast refresh after TRUNCATE using the DBMS_MVIEW.EXPLAIN_MVIEW() API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32322', 'PCT refresh of "string"."string" not allowed the sequence of DMLs/PMOPs', 'A table join dependent on another table on which PCT refresh is enabled has changed', 'Use REFRESH FORCE which will pick the best possible refresh method on the materialized view', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32330', 'invalid operation on online redefinition interim table "string"."string"', 'An invalid operation was performed on an interim table which was being used for online redefinition of a table.', 'Do not perform any unsupported operation on the interim table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32411', 'materialized view definition query exceeds the maximum length', 'The materialized view definition query exceeds the 64K limit.', 'Change the materialized view definition query so that it does not exceed the maximum length of 64K.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32412', 'encrypted column "string" not allowed in the materialized view log', 'The materialized view log being created/altered is to capture an encrypted column of the base table.', 'Do not capture the encrypted column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32413', 'allow concurrent refresh of materialized view and truncate', 'This event is set to allow concurrent refresh of materialized view and truncate of base table; it prevents a deadlock situation. (bug 6710019)', 'Set this event to allow concurrent refresh of materialized view and truncate of the base table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32500', 'Dirname ''string'' cannot exceed ''number'' characters', 'Path name too long', 'Use shorter pathname than maximum specified for dirname.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32501', 'Writing SGA to file failed', 'Underlying OSDs encountered an error', 'Check additional information. slercerrno contains errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32502', 'Cannot execute command. Flash Freeze is not in effect', 'This command can only be issued after a flash freeze', 'Refer to instructions for flash freeze and Oracle diagnostics.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32503', 'Mapping SGA from file failed', 'Underlying OSDs encountered an error', 'Check additional information. slercerrno contains errno.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32504', 'expecting one of string, string, string, or string but found string', 'illegal value specified for create watchpoint mode', 'specify one of the expected modes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30980', 'Invalid Input.', 'The input to the function is not valid.', 'Make sure the input is valid (both syntactically as well as semantically).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30982', 'Invalid option for a partition of an XML Index', 'An invalid option was specified at the partition level.', 'Remove the invalid option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30983', 'Maximum order key depth exceeded', 'The document could not be indexed because its nesting depth was more than that allowed by XML Index.', 'Remove the offending document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30987', 'XML Index on XML DB repository does not exist', 'An attempt was made to operate on a non-existent XML Index on XML DB repository.', 'First create the index using DBMS_XDB_ADMIN.CREATEREPOSITORYXMLINDEX. Try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30988', 'Metadata of XML Index corrupted', 'An attempt to locate the XML Index failed.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30989', 'XML Index on an Index Organized Table is not yet supported', 'XML Index supported only on Heap Organized Table.', 'Contact Oracle Support Services. ///// End of XML Index (30955 to 30989 reserved)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30990', 'insufficient privileges to change owner of resource string', 'An attempt was made to change the <Owner> field of an XML DB resource without sufficient privileges to do so.', 'Switch to SYS before performing the ownership change, or have the intended recipient of the resource perform the transfer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30991', 'cannot use DOM to add special attribute to schema-based parent', 'An attempt was made to add or remove an xsi:schemaLocation, xsi:noNamespaceSchemaLocation, xsi:type, or xsi:nil attribute to or from a schema-based XML node using DOM.', 'Use the updateXML operator instead of DOM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30994', 'Invalid argument for DOM stream', 'Either a null or a nonleaf node was passed.', 'Use a combination of DOM API and DOM streams to produce desired effect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30995', 'DOM streams operations cannot be performed on null/invalid node', 'The node is NULL or inexistent', 'Check the input parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30996', 'Streams operations over non-existent stream', 'The stream passed is NULL or invalid.', 'Check the input parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31000', 'Resource ''string'' is not an XDB schema document', 'The given schema URL does not refer to a registered XDB schema', 'Make sure the specified schema has been registered in XDB', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31001', 'Invalid resource handle or path name "string"', 'An invalid resource handle or path name was passed to the XDB hierarchical resolver.', 'Pass a valid resouce handle or path name to the hierarchical resolver.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31002', 'Path name string is not a container', 'XDB expected the given path name to represent a container.', 'Pass a path name or resource handle that represents a container.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31003', 'Parent string already contains child entry string', 'An attempt was made to insert a duplicate child into the XDB hierarchical resolver.', 'Insert a unique name into the container.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31004', 'Length string of the BLOB in XDB$H_INDEX is below the minimum string', 'In the XDB$H_INDEX table, the CHILDREN column, a BLOB, must have a certain minimum length without being chained. The calculated length of the LOB was less than the stated minimum.', 'Set the value of the init.ora parameter db_block_size to at least 2K. For XDB to run at its fastest, set db_block_size to 8K.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31005', 'Path name length string exceeds maximum length string', 'The length of a path name passed to the XDB hierarchical resolver exceeded the maximum length.', 'Choose a shorter path name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31006', 'Path name segment length string exceeds maximum length string', 'The length of a path name segment passed to the XDB hierarchical resolver exceeded the maximum length of a path name segment.', 'Choose a shorter path name segment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31007', 'Attempted to delete non-empty container string/string', 'An attempt was made to delete a non-empty container in the XDB hierarchical resolver.', 'Either perform a recursive deletion, or first delete the contents of the container.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31009', 'Access denied for property string', 'An attempt was made to access a property you don''t have access to', 'Check the ACL to see what privileges you have for this property', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31010', 'XML element index string exceeds maximum insertion index string', 'An attempt was made to insert an XML element at an invalid index location in the node.', 'Choose a new index that falls within the allowed range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31011', 'XML parsing failed', 'XML parser returned an error while trying to parse the document.', 'Check if the document to be parsed is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31012', 'Given XPATH expression not supported', 'XPATH expression passed to the function is currently unsupported.', 'Check the xpath expression and change it to use a supported expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31013', 'Invalid XPATH expression', 'XPATH expression passed to the function is invalid.', 'Check the xpath expression for possible syntax errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31014', 'Attempted to delete the root container', 'An attempt was made to delete the root container in the hierarchical index.', 'Do not delete the root container.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31015', 'Attempted to insert entry without name', 'An attempt was made to insert an entry into the hierarchical resolver without a child name.', 'Supply a child name and try inserting again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31016', 'Attempted to delete entry without name', 'An attempt was made to delete an entry from the hierarchical resolver without a child name.', 'Supply a child name and try deleting again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31017', 'Error generating unique OID for XML document', 'An error occurred while generating a globally unique OID for storing an XML document.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31018', 'Error deleting XML document', 'The XMLType object pointed to by the given REF could not be deleted because either the REF was invalid or it pointed to a non-existent table.', 'Either use FORCE deletion or supply a valid REF.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31019', 'Recursive deletion snapshot too old for string/string', 'Changes were made to the structure of a directory while it was being recursively deleted.', 'Try deleting the directory again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31020', 'The operation is not allowed, Reason: string', 'The operation attempted is not allowed', 'See reason and change to a valid operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31021', 'Element definition not found', 'The element definition was not found.', 'Supply the definition for the element or use a defined element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31022', 'Element not found', 'The element was not found.', 'Make sure the specified element exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31023', 'Index size error', 'The index is greater than the allowed value.', 'Make sure the index is less than allowed value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31025', 'Invalid document element', 'An attempt was made to replace the data at an invalid index number in the XML document', 'Supply a correct occurrence number and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31027', 'Path name or handle string does not point to a resource', 'An attempt was made to retrieve a resource based on a path name or resource handle that points to an entity other than a resource.', 'Do not attempt to retrieve a resource based on that path name or resource handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31028', 'Resource metadata length string exceeded maximum length string', 'An attempt was made to insert resource metadata that exceeded the maximum length of that type of metadata.', 'Keep resource metadata within its allowed length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31029', 'Cannot bind to unsaved resource', 'An attempt was made to bind to a resource that had not been saved to disk.', 'Bind only to saved resources.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36990', '(XSRELGID07) The level relation workspace object should be dimensioned by a level dimension.', 'The level relation is not dimensioned by a level dimension.', 'Redefine the level relation or choose another relation with the correct dimensionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36991', '(XSRELGID08) The level relation and level order valueset provide inconsistent level mappings.', 'There is a conflict between the hierarchy/level relation and the level order valueset.', 'Choose objects that do not conflict.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36992', '(XSRELGID09) A level relation is needed to produce a surrogate dimension gid.', 'A level relation was not specified.', 'Specify a level relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36993', '(XSRELGID10) OBJECT workspace object must be a VARIABLE, RELATION, or a numeric SURROGATE DIMENSION based on the level dimension workspace object.', 'not a surrogate dimension, or the surrogate dimension is not based on the level dimension.', 'modify/change the surrogate dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36994', '(XSRELGID11) The SURROGATE DIMENSION workspace object must be numeric.', 'The surrogate dimension is not numeric', 'Change the surrogate dimension as numeric', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36995', '(XSRELGID12) There are duplicate values in the surrogate dimension gid. Use the levelorder option to resolve the ambiguity.', 'more than 1 hierarchies in the current computing scope.', 'use inhierarchy to limit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36996', '(XSRELGID13) Valueset workspace object should be defined over dimension workspace object.', 'Valueset doesn''t match the dimension', 'Change the valueset''s dimension', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36997', '(XSRELGID14) For variable or relation grouping ids, a level relation is needed when a level order valueset is specified.', 'no level relation exists with level order valueset.', 'provide the level relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36998', '(XSRELGID15) LEVEL ORDER VALUESET workspace object and LEVEL RELATION workspace object have the different level dimensions.', 'either level order valueset or level relation has wrong level dimension.', 'choose the correct level dimension', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36999', '(XSRELGID16) OBJECT workspace object is not a surrogate dimension, a source relation must be specified when creating any non-surrogate grouping id.', 'use variable/relation gid without providing the source relation', 'use the surrogate or provide the source relation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37000', '(NOTALIAS00) workspace object is not an ALIAS DIMENSION of workspace object.', 'The user specified an object which is not alias dimension of the first dimension', 'Specify an alias dimension of the first dimension', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37001', 'You have one or more attached but unupdated analytic workspaces.', 'The user has attempted to shut down OLAP, but they have active analytic workspaces whose changes have not been saved.', 'Either issue the update command to update the AWs, or pass TRUE as the force parameter to dbms_aw.shutdown()', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37002', 'Oracle OLAP failed to initialize. Please contact Oracle OLAP technical support.', 'A severe error occurred while initializing OLAP.', 'Contact support (and possibly OLAP development) for help in debugging the issue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37003', '(AWLISTALL01) number readers', 'used in AW(LISTALL) output formatting when %d is 0', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37004', '(AWLISTALL02) number reader', 'used in AW(LISTALL) output formatting when %d is 1', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37005', '(AWLISTALL03) number readers', 'used in AW(LISTALL) output formatting when %d is > 1', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37006', '(AWLISTALL04) number writers', 'used in AW(LISTALL) output formatting when %d is 0', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37007', '(AWLISTALL05) number writer', 'used in AW(LISTALL) output formatting when %d is 1', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37008', '(AWLISTALL06) number writers', 'used in AW(LISTALL) output formatting when %d is > 1', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37010', '(XSACQUIRE_DIFFAW) When using the CONSISTENT WITH clause, all objects must come from the same analytic workspace.', 'The ACQUIRE command cannot keep objects from several workspaces consistent with each other', 'Omit the CONSISTENT WITH clause or make sure all objects being acquired belong to the same analytic workspace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37011', '(XSACQUIRE_LOCKED) Object workspace object is locked by another user.', 'Could not acquire (or acquire consistent) the object, since it is locked by another user', 'Try to acquire this object later', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37012', '(XSACQUIRE_TIMEOUT) Object workspace object is locked by another user and the WAIT timed out.', 'Could not acquire (or acquire consistent) the object for a while, since it is locked by another user', 'Try to acquire this object later', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37013', '(XSACQUIRE_DEADLOCK) Cannot wait to acquire object workspace object, since doing so would cause a deadlock.', 'Waiting to acquire the object would cause a deadlock', 'Release some other object that another user is waiting for and try to acquire this object again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37014', '(XSACQUIRE_ACQUIRED) Object workspace object is already acquired.', 'The object is already acquired', 'Do not try to acquire this object again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37015', '(XSACQUIRE_YNRESYNC) Object workspace object is ambiguously listed to be acquired both with and without RESYNC.', 'The object is listed in with resync list and no resync list. Such usage is ambiguous as to the user''s intent on preserving or not preserving private changes.', 'Do not list the object both with and without RESYNC', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37016', '(XSACQUIRE01) You must specify objects to acquire for the ACQUIRE command.', 'A list of objects to acquire with or without resync is missing', 'Specify the list of objects to acquire', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37018', '(XSACQUIRE03) Multiwriter operations are not supported for object workspace object.', 'Multiwriter presently does not work for this object type', 'Attach the AW in RW or EXCLUSIVE modes to modify this object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37020', '(XSMULTI01) Analytic workspace string is not in MULTI mode.', 'The workspace for an object is not in multiwriter mode. Hence, no multiwriter operations are allowed on the objects in the workspace', 'Attach the workspace in the multiwriter mode or do not use multiwriter commands with it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37021', '(XSMULTI02) Object workspace object is not acquired.', 'The object must be acquired for this multiwriter operation', 'Do not use this multiwriter operation on an object that is not acquired', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37023', '(XSMLTUPD01) Object workspace object cannot be updated without dimension workspace object.', 'One cannot update an object if it is dimensioned by a maintained dimension without updating that dimension or if the object is a relation and the dimension is its target.', 'Include the maintained dimension in the update list', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37026', '(XSMLTRESYNC01) Object workspace object cannot be resynced without dimension workspace object.', 'One cannot resync an object if it is dimensioned by a maintained dimension without updating that dimension or if the object is a relation and the dimension is its target.', 'Include the maintained dimension in the update list', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26721', 'enqueue of the LCR not allowed', 'An apply process attempted to enqueue an LCR with a LONG column. This is not supported.', 'Modify rules or unset the enqueue destination to prevent LCRs with LONG columns from being enqueued by the apply process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26726', 'logical standby and DOWNSTREAM_REAL_TIME_MINE are incompatible', 'An attempt was made to set the logical standby database and DOWNSTREAM_REAL_TIME_MINE option of the Streams capture process on the same database.', 'Do not attempt to set the DOWNSTREAM_REAL_TIME_MINE option for a Streams capture process on a logical standby database. Do not attempt to make a database logical standby if there exists a Streams capture process with the DOWNSTREAM_REAL_TIME_MINE parameter set to Y.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26727', 'Cannot alter queue_to_queue property of existing propagation.', 'The queue_to_queue property was specified for an existing propagation.', 'Pass NULL for the queue_to_queue argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26730', 'string ''string'' already exists', 'An attempt to use FILE GROUP, FILE GROUP VERSION, or FILE GROUP FILE failed because the item in question already exists.', 'Remove the object if appropriate and re-attempt the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26731', 'string ''string'' does not exist', 'A FILE GROUP, FILE GROUP VERSION, or FILE GROUP FILE was specified that does not exist.', 'Make sure the object exists and re-attempt the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26732', 'invalid file group string privilege', 'The specified privilege number that was specified is invalid.', 'Check specification of dbms_file_group for valid privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26733', 'timed-out waiting for file group lock', 'The procedure waited too long while getting a lock to perform a file group repository operation.', 'Retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26734', 'different datafiles_directory_object parameter must be specified', 'The attempted operation involved datafiles platform conversion which required the datafiles_directory_object parameter to be specified for placing the converted data files.', 'Retry the operation after specifying a valid datafiles_directory_object parameter. This directory must be different from the directory objects for any of the datafiles for the specified file group version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26735', 'operation not allowed on the specified file group version', 'One or more datafiles or export dump file(s) were missing from the specified file group version.', 'Retry the operation after adding all the data files and Data Pump dump file(s) to the specified version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26745', 'cursors (string) are not sufficient', 'The maximum number of open cursors was too small for Streams Apply.', 'Increase the value of open_cursors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26746', 'DDL rule "string"."string" not allowed for this operation', 'A DDL rule was specified for this operation.', 'Specify a non-DDL rule for this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26747', 'The one-to-many transformation function string encountered the following error: string', 'The specified transformation function encountered an error.', 'Ensure that the function does not process or return DDL LCRs. Also ensure that the function does not return NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26748', 'The one-to-one transformation function string encountered the following error: string', 'The specified transformation function encountered an error.', 'Ensure that the function does not return an LCR that has a different type from the LCR which was passed to the function. Also ensure that the function does not return NULL. For DDL transformation functions, creating and returning a new DDL LCR is not allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26752', 'Unsupported LCR received for "string"."string"', 'Streams capture process received an LCR with unsupported operation from LogMiner.', 'If this object is listed in DBA_STREAMS_UNSUPPORTED view, modify rules to prevent changes made to this object from getting captured.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26765', 'invalid parameter "string" for downstream capture "string"', 'An invalid parameter was specified for the downstream capture process.', 'Check documentation for valid parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27121', 'unable to determine size of shared memory segment', 'shmctl() call failed', 'check permissions on segment, contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27122', 'unable to protect memory', 'mprotect() call failed', 'contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27123', 'unable to attach to shared memory segment', 'shmat() call failed', 'check permissions on segment, contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27124', 'unable to detach from shared memory segment', 'shmdt() call failed', 'contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27125', 'unable to create shared memory segment', 'shmget() call failed', 'contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27126', 'unable to lock shared memory segment in core', 'insufficient privileges to lock shared memory segment in core', 'make sure process is running with necessary privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27127', 'unable to unlock shared memory segment', 'insufficient privileges to unlock shared memory segment', 'make sure process is running with necessary privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27128', 'unable to determine pagesize', 'sysconf() call failed', 'contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27140', 'attach to post/wait facility failed', 'The program attempted to initialize the post/wait facility, but the facility could not be attached.', 'Check for additional errors and contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27141', 'invalid process ID', 'process operation attempted using invalid process ID', 'contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27142', 'could not create new process', 'OS system call', 'check errno and if possible increase the number of processes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27143', 'OS system call failure', 'OS system call failed', 'check errno and contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27144', 'attempt to kill process failed', 'OS system call error', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27145', 'insufficient resources for requested number of processes', 'OS system call error', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27146', 'post/wait initialization failed', 'OS system call failed', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27147', 'post/wait reset failed', 'OS system call failed', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27148', 'spawn wait error', 'OS system call failed', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27149', 'assignment out of range', 'internal error, requested conversion too large for type', 'contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27150', 'attempt to notify process of pending oradebug call failed', 'OS system call', 'check errno contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27151', 'buffer not large enough to hold process ID string', 'internal error', 'contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27152', 'attempt to post process failed', 'OS system call failed', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27153', 'wait operation failed', 'OS system called failed', 'check errno contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27154', 'post/wait create failed', 'internal error, multiple post/wait creates attempted simultaneously', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27155', 'could not execute file', 'OS system call failed', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27156', 'request for process information failed', 'internal error', 'contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27157', 'OS post/wait facility removed', 'the post/wait facility for which the calling process is awaiting', 'check errno and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27158', 'process control failure', 'Oracle was unable to set the specified process control.', 'Consult the Oracle Administrator''s Guide.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32505', 'too many watchpoints', 'too many watchpoints created', 'increase appropriate initialization parameters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32506', 'expecting one of string, string, or string but found string', 'invalid arguments provided', 'provide one of the expected arguments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32507', 'expecting string but found string', 'invalid arguments to command', 'provide one of the expected arguments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32508', 'no such watchpoint id', 'invalid watchpoint id', 'use oradebug show to list valid watchpoint ids', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32509', 'watchpoint was already deleted', 'trying to delete an already deleted watchpoint', 'use oradebug show to list valid watchpoint ids', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32510', 'cannot create watchpoint on unreadable memory', 'trying to create watchpoint on invalid address', 'provide a different valid address', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32511', 'cannot create watchpoint in memory needed by watchpointing code', 'overlap exists between requested memory range to watch and internal memory structures that watchpointing operations need', 'provide a different address range', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32512', 'type ''string'' is unknown', 'trying to dump an invalid type name', 'specify a known type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32514', 'cannot dump multiple ''string'' types: structure size is unknown', 'trying to dump an invalid address', 'provide a different valid address', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32515', 'cannot issue ORADEBUG command ''string'' to process ''string''; prior command execution time exceeds string ms', 'The process targeted to execute the ORADEBUG command was busy executing another ORADEBUG command for a time greater than the timeout value specified.', 'Increase the timeout value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32516', 'cannot wait for process ''string'' to finish executing ORADEBUG command ''string''; wait time exceeds string ms', 'The execution of the ORADEBUG command took longer than the the timeout value specified.', 'Increase the timeout value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32517', 'cannot issue ORADEBUG command ''string'' to process ''string'' (prior command execution time exceeds string ms); total wait time exceeds string ms', 'The process targeted to execute the ORADEBUG command was busy executing another ORADEBUG command. But, because the total wait time for all targeted processes exceeded the maximum wait time, the ORADEBUG command was not issued to the target process.', 'Increase the timeout value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32518', 'cannot wait for process ''string'' to finish executing ORADEBUG command ''string'' (waited string ms); total wait time exceeds string ms', 'The total wait time for all targeted processes exceeded the maximum wait time, therefore the wait for the targeted process to finish executing the ORADEBUG command was aborted.', 'Increase the timeout value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32550', 'Replacement occured despite hint to the contrary', 'This should never be signalled; it''s internal.', 'Report to Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32575', 'Explicit column default is not supported for modifying views', 'Default keyword was used to modify views.', 'Use implicit default - omitting column-value pair.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32576', 'missing TYPE keyword', 'keyword TYPE is missing.', 'Use TYPE keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32577', 'username must be SYS or SYSTEM', 'A user name of SYS or SYSTEM was not specified when providing a password in the CREATE DATABASE statement.', 'Only passwords for the SYS and SYSTEM users can be provided in the CREATE DATABASE statement. Re-issue the statement with passwords for users SYS or SYSTEM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32578', 'password for SYS already specified', 'A password for the SYS user was specified twice in the CREATE DATABASE statement.', 'Re-issue the CREATE DATABASE statement with only one password for the SYS user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32579', 'password for SYSTEM already specified', 'A password for the SYSTEM user was specified twice in the CREATE DATABASE statement.', 'Re-issue the CREATE DATABASE statement with only one password for the SYSTEM user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32580', 'both SYS and SYSTEM passwords must be provided', 'Passwords for both the SYS and SYSTEM users were not provided in the CREATE DATABASE statement. If one of the passwords was provided, then both should be provided.', 'Re-issue the CREATE DATABASE statement with a password for both the SYS and SYSTEM users.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32581', 'missing or invalid password', 'An incorrect password was provided for the SYS or SYSTEM user in the CREATE DATABASE statement.', 'Re-issue the CREATE DATABASE statement with a valid password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32582', 'table function with left correlation to a table cannot also be left outer-joined to the table', 'A table function T2 contains a reference to a table T1. T2 is also left outer-joined to T1. This is not allowed.', 'Remove the reference to T1 from T2 or remove the left outer-join specification (+).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32583', 'query passed to table function has wrong number of elements in select list', 'The query used as an input to a table function which takes a a ref cursor as argument has wrong number of elements in the select list which does not correspond to the elements in ref cursor. The ref cursor mentioned here refers to the one referenced in order by parition clauses. This is not allowed.', 'Make sure that the select list of the query matches the ref cursor columns as defined in the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32584', 'missing LOG keyword', 'keyword LOG is missing.', 'Use LOG keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32585', 'duplicate specification of a supplemental log attribute', 'In a create/alter DDL a supplemental log attribute is specified more than once.', 'Rewrite the Create/Alter DDL such that it has a single occurence of any supplemental log attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32586', 'multiple specification of a supplemental logging attribute', 'The primary key, unique index, foreign key or all column supplemental logging attribute can be specified at most once in a create/alter ddl.', 'Rewrite the Create/Alter DDL with single occurence of the offending supplemental logging attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32587', 'Cannot drop nonexistent string supplemental logging', 'specified supplemental log attribute does not exist.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32588', 'supplemental logging attribute string exists', 'specified supplemental logging attribute exits.', 'retry the alter/create ddl after removing this supplemental logging attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32589', 'unable to drop minimal supplemental logging', 'Minimal supplemental logging could not be dropped as one of primary key, foreign key, unique or all column supplemental logging is enabled at the database level.', 'Use V$DATABASE to determine the databasewide supplemental logging directives. Minimal supplemental logging could be dropped if and only if no other databasewide supplemental logging directives are enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32590', 'log group specification not allowed here', 'Supplemental log specification is not allowed in the statement.', 'Remove the supplemental log specification from the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32591', 'connect string too long', 'The connect string specified for the database link was more than 2000 characters.', 'Specify a connect string less than 2000 chracters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32592', 'all columns in log group can not be no log columns', 'A supplemental log group must have at least one column of scalar type that is not marked as no log.', 'Redefine the supplemental log group with at least one column of scalar type that is not marked as no log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32593', 'database supplemental logging attributes in flux', 'there is another process actively modifying the database wide supplemental logging attributes.', 'Retry the DDL or the LogMiner dictionary build that raised this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31030', 'Unable to retrieve XML document', 'The resource had an invalid (dangling) REF to an XML document.', 'Rebind the resource using a valid XMLType REF.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31033', 'Requested number of XML children string exceeds maximum string', 'An attempt was made to add more than the maximum number of allowable children in an XML element.', 'Redefine the schema to allow breaking up of the children among siblings.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31035', 'Could not bind locked resource to path string/string', 'An attempt was made to bind an existing resource to a new location in the hierarchy, but a lock could not be obtained on the resource.', 'Commit or roll back the transaction that has the lock on the resource.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31037', 'Invalid XML attribute name string', 'The attribute name in the XML document did not match anything in the associated schema.', 'Supply only schema-defined or XML standard attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31038', 'Invalid string value: "string"', 'The text in the XML document did not represent a valid value given the datatype and other constraints in the schema.', 'Ensure that the specified value in XML documents is valid with respect to the datatype and other constraints in the schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31039', 'XML namespace length string exceeds maximum string', 'The length of the disk-formatted XML namespace exceeded the maximum.', 'Keep XML namespace declarations below the maximum length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31040', 'Property string: XML type (string) not compatible with internal memory type (string)', 'The XML datatype given is inconsistent with the database datatype, and a conversion cannot be made.', 'This is an internal error, generally resulting from corruption of the compiled XML schema. Re-register schemas, or contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31041', 'Property string: Memory type (string) not compatible with database type (string)', 'The memory type associated with this property is mapped to an incompatible database type, and a conversion cannot be made.', 'This is an internal error, generally resulting from corruption of the compiled XML schema. Re-register schemas, or contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31042', 'Too many properties in type ''string''', 'The type can only have the same number of properties (elements and attributes) as a table can have columns.', 'Modify the XML schema to move properties into subelements that are not inlined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31043', 'Element ''string'' not globally defined in schema ''string''', 'The specified element name has not been defined at the top level of the XML schema (i.e. globally). Elements must be defined globally to be the root of an XMLType object.', 'Check the XML schema definition to make sure the specified element name has been defined at the top level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31044', 'Top-level prefix length string exceeds maximum string', 'An attempt was made to save to disk a top-level XML namespace prefix whose length exceeded the maximum.', 'Do not define XML namespace prefixes that exceed the maximum length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31045', 'Cannot store more than string extras outside the root XML node', 'An attempt was made to store more than the maximum number of XML extras (e.g. comments and processing instructions) either before or after the document''s root node.', 'Keep the number of extras outside the root node below the maximum.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31046', 'Incorrect argument(s) specified in the operator', 'One or more of the arguments specified in the operator in the query are incorrect', 'Correct the arguments specified in the operator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31047', 'Could not retrieve resource data at path string', 'An error occurred while retrieving the contents and/or metadata of a resource.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31048', 'Unsaved resources cannot be updated', 'An attempt was made to update a resource that was never saved to disk.', 'Perform a resource insertion instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31050', 'Access denied', 'The requested access privileges have not been granted to the current user. User must be granted privileges prior to resource access.', 'Check the set of requested access privileges to make sure that they are included in the set of access privilges granted to the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31051', 'Requested access privileges not supported', 'The requested access privileges are not supported for the specified resource.', 'Ensure that the set of requested access privileges are valid access privileges for the specified resource.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31052', 'Cannot delete ACL with other references', 'The requested deletion of an ACL resource cannot proceed. The ACL is in use by other resources.', 'Remove the resources that are making reference to the ACL in question and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31053', 'The value of the depth argument in the operator cannot be negative', 'The value of the depth argument passed to the primary operator is not a positive integer', 'Pass a positive value of the depth argument', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31054', 'The string operator cannot have an ancillary operator', 'An ancillary operator was used with an operator which does not does not support ancillary operators', 'Remove the ancillary operator in the query', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31055', 'A null XMLType element cannot be inserted into RESOURCE_VIEW', 'The element which is being inserted into the RESOURCE_VIEW is NULL', 'Specify a non-null XMLType element to insert into RESOURCE_VIEW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31056', 'The document being inserted does not conform to string', 'The XMLType element being inserted into the RESOURCE_VIEW does not conform to the specified Schema', 'Insert an element which conforms to the specified Schema', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31418', 'source schema string does not exist', 'Trying to create a synchronous change table and the source schema did not match any existing schema names in the database.', 'Specify the name of an existing schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31419', 'source table string does not exist', 'When creating a synchronous change table, the underlying source table must exist when the procedure is called. In this case, the source table did not exist.', 'Specify the name of an existing table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31420', 'unable to submit the purge job', 'When creating the first change table, a purge job is submitted to the job queue. Submission of this purge job failed.', 'Make sure that job queue processes are enabled and are currently running. If this does not solve the problem, contact Oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31421', 'change table does not exist', 'Specified change table does not exist.', 'Recheck the name, and call the procedure again using an existing change table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31422', 'owner schema string does not exist', 'Value specifed for the owner parameter does not contain the name of an existing schema in the database.', 'Recheck the name, and call the procedure again using an existing schema name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31423', 'change table string does not contain column string', 'Issued ALTER_CHANGE_TABLE with a drop operation and the specified column does not exist in the change table.', 'Recheck the names, and call the procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31424', 'change table has active subscriptions', 'The change table is subscribed to, so it cannot be dropped.', 'Do not drop a change table while there are active subscribers. If this is an emergency, use the FORCE parameter. This will forcibly drop the change table out from under all subscribers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31425', 'subscription does not exist', 'The subscription either did not exist or did not belong to this user.', 'Call the function again with a valid subscription name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37027', '(XSMLTRESYNC02) Object workspace object cannot be resynced without modified object workspace object because they share a modified composite dimension.', 'When one resyncs an object that is dimensioned by a composite dimension, the composite dimension is resynced automatically, dropping all new tuples. This cannot be done, however, if the automatic resync of the composite dimension might cause data in an object that shares the composite dimension to become NA.', 'Resync both objects together. Alternatively, you can try to acquire the other object (that will ensure that the composite dimension is locked in the latest generation and will not be resynced when resyncing the first object), resync the first object, and release the other object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37028', '(XSMLTRESYNC03) Object workspace object cannot be resynced without modified object workspace object because they share a modified dimension map.', 'When one resyncs an object that is dimensioned by a dimension map, the dimension map is resynced automatically, dropping all changes. This cannot be done, however, if the automatic resync of the dimension map might cause data in an object that shares the dimension map to become NA.', 'Resync both objects together. Alternatively, you can try to acquire the other object (that will ensure that the dimensions map is locked in the latest generation and will not be resynced when resyncing the first object), resync the first object, and release the other object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37030', '(XSMLTMAINT01) You cannot maintain workspace object because it is not ACQUIRED.', 'One cannot maintain a dimension in a multiwriter AW if it is not acquired.', 'Acquire the dimension first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37031', '(XSMLTMAINT02) You cannot DELETE values of dimension workspace object in MULTI mode.', 'DELETE is allowed in multiwriter mode only for SESSION dimension members', 'Attach the AW in a R/W mode and perform the DELETE operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37032', '(XSMLTMAINT03) You cannot MAINTAIN partition template workspace object in MULTI mode.', 'User attempted to add or remove values from a LIST partition template''s lists while the AW containing the partition template was attached in multiwriter mode.', 'Do the maintenance in read only or read-write mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37035', '(XSMLTDCL01) You can only DEFINE SESSION objects in analytic workspace string because it is attached in MULTI mode.', 'Persistent object definition in multiwriter mode is not allowed.', 'Do all persistent object definitions in read-write mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37036', '(XSMLTDCL02) You cannot DELETE objects in analytic workspace string because it is attached in MULTI mode.', 'One cannot delete objects in an analytic workspace attached in MULTI mode.', 'Do all object in read-only or read-write mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37037', '(XSMLTDCL03) You cannot RENAME objects in analytic workspace string because it is attached in MULTI mode.', 'One cannot rename objects in an analytic workspace attached in MULTI mode.', 'Do all persistent object maintenance in read-write mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37038', '(XSMLTDCL04) You cannot change definitions of objects in analytic workspace string because it is attached in MULTI mode.', 'One cannot used CHGDFN command on objects in an analytic workspace attached in MULTI mode.', 'Do all persistent object maintenance in read-write mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37039', '(XSMLTDCL05) You cannot maintain triggers in analytic workspace string because it is attached in MULTI mode.', 'One cannot use TRIGGER command on objects in an analytic workspace attached in MULTI mode.', 'Do all persistent object maintenance in read-write mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37040', '(XSACQUIRE_DEP_LOCKED) Composite, concat, dimension map, or internal partition workspace object is locked by another user.', 'Some object required locking a composite, concat, dimension map, or internal partition, which is locked by another user', 'Try to acquire this object later', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37041', '(XSACQUIRE_DEP_TIMEOUT) Composite, concat, dimension map, or internal partition workspace object is locked by another user and the WAIT timed out.', 'Some object required locking a composite, concat, dimension map, or internal partition, which could not be locked for a while, since it is locked by another user', 'Try to acquire this object later', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37042', '(XSACQUIRE_DEP_DEADLOCK) Cannot wait to acquire composite, concat, dimension map, or internal partition workspace object, since doing so would cause a deadlock.', 'Some object required locking a composite, concat, dimension map, or internal partition, which would cause a deadlock', 'Release some other object that another user is waiting for and try to acquire this object again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37043', '(XSACQUIRE_DEP_OLDGEN) Composite, concat, dimension map, or internal partition workspace object cannot be locked, since another user has committed a new one already.', 'Some object required locking a composite, concat, dimension map, or internal partition in the present generation, which is not possible, since a newer generation already exists.', 'Try to acquire the main object with resync', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37044', '(XSACQUIRE_OLDGEN) Cannot acquire object workspace object without resync.', 'Could not acquire the object without resync because another user has committed a newer version of it already.', 'Try to acquire this object with resync parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37050', '(XSMLTDCL06) You cannot use the RELATION command with workspace object because analytic workspace string is attached in MULTI mode.', 'One cannot use the RELATION command on objects in an analytic workspace attached in MULTI mode.', 'Change the default relation when the analytic workspace is attached in RW or Exclusive mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37060', '(XSMCSESS08) number is not a valid custom member in dimension workspace object.', 'No custom member or invalid custom member', 'Create the custom member or use the correct custom member', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37069', 'You may not execute a parallel OLAP operation against the EXPRESS AW.', 'A parallel OLAP command attempted to execute against EXPRESS.', 'Contact Oracle support. Users should not see this message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37070', 'You may not execute OLAP DML programs in a parallel query session.', 'The user attempted to execute a DML program inside of a parallel query session, perhaps in parallel aggregate', 'Adjust the job so that a program does no need to be executed, or disable parallelism', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37071', 'You may not execute a parallel OLAP operation against updated but uncommitted AW string.', 'The user attempted to use a parallel feature against an AW which they updated but which has not been committed', 'Commit the current changes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37072', '(XSMCSESS00) Object workspace object has the wrong type.', 'The object is not of the object type specified in the APPLY clause', 'Specify the correct object type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37073', '(XSMCSESS01) Applied relation workspace object must be dimensioned by dimension workspace object.', 'Applied relation has the different dimension from the dimension currently being maintained', 'Maintain relation dimension', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37074', '(XSMCSESS02) Variable workspace object has no default aggmap.', 'The applied variable has no default aggmap', 'Use variable with the default aggmap or aggmap directly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37075', '(XSMCSESS03) You cannot rename a session-only dimension value.', 'The user tried to apply MAINTAIN RENAME to a SESSION value.', 'Delete the old value and add a new one with the desired name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27159', 'failure setting process scheduling priority', 'Oracle was unable to set the scheduling priority desired.', 'Consult the Oracle Administrator''s Guide.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27160', 'process requested to perform operation', 'The current process was requested to perform an operation by another process.', 'This is used internally; no action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27161', 'request for Oracle binary information failed', 'The program was unable to get information about the Oracle binary.', 'Check for additional errors and contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27162', 'thread creation failed', 'The program was unable to create a thread.', 'Check errno and contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27163', 'out of memory', 'The program ran out of memory when allocating a temporary data structure.', 'Increase the amount of memory on the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27164', 'tried to join detached thread', 'The program tried to join a detached thread.', 'This is an internal error; contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27165', 'tried to join thread that does not exist', 'The program tried to join a thread that does not exist.', 'This is an internal error; contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27166', 'tried to join current thread', 'A thread in the program tried to join itself.', 'This is an internal error; contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27167', 'Attempt to determine if Oracle binary image is stored on remote server failed', 'OS dependent operation failed', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27190', 'skgfrd: sbtread2 returned error', 'sbtread returned an error. This happens while reading a backup file during a restore operation.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27191', 'sbtinfo2 returned error', 'sbtinfo2 returned an error. This happens while retrieving backup file information from the media manager''s catalog.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27192', 'skgfcls: sbtclose2 returned error - failed to close file', 'sbtclose2 returned an error. This happens while closing a backup file during a backup or restore operation.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27193', 'sbtinfo2 did not return volume label', 'sbtinfo2 did not return the volume label information for the backup file that was just created.', 'This is an internal error in the media management product. Contact the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27194', 'skgfdvcmd: sbtcommand returned error', 'sbtcommand returned an error. This happens when an rman SEND command is issued.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27195', 'proxy copy not supported', 'An attempt was made to do a proxy backup or restore, but the media management software installed with Oracle does not support proxy copy.', 'Re-run the backup in non-proxy mode, or contact the media management vendor if the software is supposed to support proxy copy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27196', 'skgfpbk: sbtpcbackup returned error', 'sbtpcbackup returned an error. This happens when a proxy backup is begun.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27197', 'skgfprs: sbtpcrestore returned error', 'sbtpcrestore returned an error. This happens when a proxy restore is begun.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27198', 'skgfpvl: sbtpcvalidate returned error', 'sbtpcvalidate returned an error. This happens during a proxy backup or restore.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27199', 'skgfpst: sbtpcstatus returned error', 'sbtpcstatus returned an error. This happens during a proxy backup or restore.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27200', 'skgfpgo: sbtpcstart returned error', 'sbtpcstart returned an error. This happens during a proxy backup or restore.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28540', 'internal result set error', 'A protocol error internal to Heterogeneous Services or Oracle Database Gateway code has occurred.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28541', 'Error in HS init file on line number.', 'A syntax error occurred in the gateway initialization file.', 'Check gateway init file to correct the syntax error. For further information, check the error message in the gateway trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28542', 'Error in reading HS init file', 'Reading the gateway init file generated an error.', 'Check the gateway initialization file name to see that the gateway initialization file acctually exists. Check the ifile parameter to see that it points to the correct location.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28543', 'Error initializing apply connection to non-Oracle system', 'Attempt to initialize connection to non-Oracle for heterogeneous replication failed.', 'Check if the listener used to connect to the gateway is up and is correctly configured. Make sure that the database link used has been configured correctly and, if a tnsnames alias has been used in the database link definition, make sure that the configuration of the entry in tnsnames.ora has been done correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32594', 'invalid object category for COMMENT command', 'The object category specified is not a valid object for which to use the COMMENT command.', 'Retry the COMMENT command by specifying an accepted object category. (ie, Table, Operator, Indextype, etc.)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32595', 'DDL statement cannot be audited with BY SESSION specified', 'An attempt was made to audit a DDL statement with BY SESSION clause specified. DDL statements can be audited BY ACCESS only.', 'Specify BY ACCESS instead of BY SESSION to audit the DDL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32596', 'duplicate ALTER USER or CREATE USER option', 'An ALTER USER option was duplicated.', 'Remove the duplicate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32597', 'database supplemental logging attributes inconsistent', 'failed to propogate supplemental logging attributes to all RAC instances. Most likely caused by an instance leaving the RAC while this DDL was in progress.', 'Retry the DDL or the LogMiner dictionary build that raised this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32600', 'RETENTION and PCTVERSION cannot be used together', 'cannot use both RETENTION and PCTVERSION together.', 'Use either RETENTION or PCTVERSION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32601', 'value for retention cannot be provided', 'cannot give a value for Retention Period.', 'do not provide the value for parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32602', 'FREEPOOLS and FREELIST GROUPS cannot be used together', 'cannot use both FREEPOOLS and FREELIST GROUPS together.', 'Use either FREEPOOLS or FREELIST GROUPS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32603', 'invalid FREEPOOLS LOB storage option value', 'The specified FREEPOOLS LOB storage option value must be an integer.', 'Choose an appropriate integer value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32604', 'invalid REBUILD option', 'Keyword FREEPOOLS expected after the REBUILD keyword.', 'User must specify FREEPOOLS keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32605', 'invalid REBUILD option', 'cannot rebuild freepools while creating table with lob column.', 'User must not specify REBUILD... in this context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32606', 'missing NAV keyword in MODEL clause', 'The NAV keyword was specified where it is expected.', 'Specify the NAV keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32607', 'invalid ITERATE value in MODEL clause', 'The specified ITERATE value must be a 4 byte positive integer.', 'Choose an appropriate value and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32608', 'missing INCREMENT or DECREMENT keyword in FOR loop', 'INCREMENT or DECREMENT keyword was not specifiedi where it is expected.', 'Specify the INCREMENT or DECREMENT keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32609', 'missing REFERENCE keyword in MODEL clause', 'The REFERENCE keyword was not specified where it is expected.', 'Specify the REFERENCE keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32610', 'missing SINGLE REFERENCE or DIMENSION keyword in MODEL clause', 'SINGLE REFERENCE or DIMENSION keyword was not specified where it is expected.', 'Specify the applicable keywords or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32611', 'incorrect use of MODEL CV operator', 'CV function was used outside a dimension expression, in UNTIL condition, or with non-dimensional arguments.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32612', 'invalid use of FOR loop', 'The MODEL FOR loop was used where it is not allowed. FOR loops are not allowed in complex dimensional predicates, on the right hand side of rules, or in the until condition.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32613', 'not a MODEL cell', 'The operator requires a MODEL cell as operand.', 'Specify MODEL cell as operand, check SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32614', 'illegal MODEL SELECT expression', 'An expression other than MODEL aliases, constants, or expressions of the two is specified in the MODEL SELECT clause.', 'Reformulate the query, perhaps nesting inside another SELECT.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32615', 'incorrect use of MODEL IS ANY predicate', 'IS ANY predicate is used outside dimension expression or with non-dimensional or different dimensional arguments.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32616', 'missing DIMENSION BY keyword in MODEL clause', 'The DIMENSION keyword was not pecified where it is expected.', 'Specify the DIMENSION keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32617', 'missing MEASURES keyword in MODEL clause', 'The MEASURES keyword was not specified where it is expected.', 'Specify the MEASURES keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32618', 'incorrect use of MODEL PREVIOUS function', 'The MODEL PREVIOUS function was used outside of MODEL "ITERATE UNTIL" clause, or was nested.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32619', 'incorrect use of MODEL ITERATION_NUMBER', 'ITERATION_NUMBER was used outside of an iterated MODEL.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32620', 'illegal subquery within MODEL rules', 'A subquery was used illegally within the MODEL rule.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32621', 'illegal aggregation in UNTIL iteration condition', 'An aggregate function was used in UNTIL condition.', 'Check the SQL statement and rewrite if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32695', 'HTI: Not enough memory', 'Memory is not enough.', 'Increase memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32696', 'HTI: No free slot', 'There is not enough memory.', 'Increase memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32700', 'error occurred in DIAG Group Service', 'An unexpected error occurred while performing a DIAG Group Service operation.', 'Verify that the DIAG process is still active. Also, check the Oracle DIAG trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32701', 'Hang detected', 'Hang Manager has detected a hang.', 'Check incident logs for diagnostic information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32702', 'Rolling migration is going on', 'DIAG detected rolling migration in IPC.', 'No action needed. DIAG is shutting down for rolling migration. This error number is solely used for internal purposes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32703', 'deadlock detected: string', 'Oracle sessions waiting for resources were deadlocked.', 'Reissue any commands that failed and contact Oracle Support Services with the incident information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32730', 'Command cannot be executed on remote instance', 'DIAG is not registered with DIAG Group Service', 'Issue the command without the cluster database syntax', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32731', 'Another Parallel Oradebug session is in progress', 'Another session for Parallel Oradebug is in progress with the database', 'Issue the command later when the current session finishes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32732', 'Parallel Oradebug session is aborted', 'Group reconfiguration is occurring among DIAGs', 'Issue the command later when group reconfiguration completes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32733', 'Error occurred when executing Parallel Oradebug', 'Error is encountered during executing command at local node', 'Check alert log and DIAG trace file for error detail', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32734', 'Error occurred when sending Oradebug command to remote DIAGs', 'IPC communication problem encountered', 'Check IPC communication between DIAGs and issue the command again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32735', 'DIAG process is not running in the instance', 'DIAG process is not alive', 'Check error in DIAG trace file and issue the command again when DIAG is restarted', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32736', 'Hang analysis aborted due to wrong message type', 'DIAG received wrong message.', 'Check DIAG trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32737', 'Hang analysis aborted due to failed memory allocation', 'DIAG couldn''t allocate buffer for remote copy.', 'Check DIAG trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32738', 'Hang analysis aborted due to failed memory copy', 'DIAG couldn''t copy buffer to remote node.', 'Check DIAG trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31426', 'cannot modify active subscriptions', 'The subscription was already activated so that additional calls to SUBSCRIBE were prohibited.', 'Subscribe to all the desired tables and columns before activating the subscription. Ensure that the correct subscription name is specifed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31427', 'publication string already subscribed', 'The subscription already contained this publication.', 'Check the values of subscription_name and publication_id. Check any other subscribe calls to see if they subscribe to columns that are shared among more than one publication on the same source table. Do not attempt to subscribe to the same publication more than once in the same subscription. Use the publication_id variant of the SUBSCRIBE call if needed to specify precise publications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31428', 'no publication contains all the specified columns', 'One or more of the specifed columns cannot be found in a single publication.', 'Change the subscription request to select only columns that are in the same publication. Consult the USER_PUBLISHED_COLUMNS view to see current publications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31429', 'subscription has not been activated', 'The called procedure required an activated subscription.', 'Check the subscription name and correct if necessary. Call the ACTIVATE_SUBSCRIPTION procedure for this subscription and then reissue the original command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31430', 'subscriber view exists', 'A view that is already in use was specified for the subscriber view.', 'Call the SUBSCRIBE procedure using a different subscriber view name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31431', 'all source tables must belong to the synchronous change set', 'Not all of the source tables belong to the synchronous change set.', 'Check the spelling of the source tables. Make sure that all of the source tables belong to the synchronous change set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31432', 'invalid source table', 'Either the schema_name.source_table did not exist or it did not belong to this subscription.', 'Check the spelling of the schema_name and source_table. Verify that the specifed table exists in the specifed schema and is subscribed to by the subscription.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31433', 'subscriber view does not exist', 'The subscription did not contain this subscriber view.', 'Recheck the name, and specify the name of an existing subscriber view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31434', 'purge is currently running', 'Called the PURGE procedure while a purge job was currently running.', 'Wait for purge to complete before reissueing this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31435', 'an error occurred during the purge operation', 'An error occurred during the purge operation', 'Check the logfile for a more detailed report of the underlying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31436', 'duplicate change source string', 'A change source by the specifed name already exists.', 'Recreate the change source with a unique name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31437', 'duplicate change set string', 'A change set by the specified name already exists.', 'Recreate the change set with a unique name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31438', 'duplicate change table string', 'A change table by the specified name already exists.', 'Recreate the change table with a unique name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31439', 'subscription is already active', 'The subscription is already active.', 'Check name and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31440', 'change set string is empty and cannot be advanced', 'User attempted to advance a change set which does not contain any change tables. Without change tables, a change set cannot be advanced.', 'Create change tables in the change set, then retry the advance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31441', 'table is not a change table', 'User attempted to execute the DROP_CHANGE_TABLE procedure on a table that is not a CHANGE table. This can also occur when a CHANGE table object has been orphaned. CHANGE tables can become orphaned after a CREATE_CHANGE_TABLE failure or an incomplete DROP_CHANGE_TABLE.', 'Check spelling. If error was due to an incorrect name, then retry the procedure using the correct name. To drop a table that is not a CHANGE table, or an orphaned CHANGE table, use the DROP TABLE DDL command instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31442', 'operation timed out while acquiring lock on string', 'CDC attempted to acquire a lock on the resource, but the operation timed out.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31443', 'deadlock detected while acquiring lock on string', 'CDC attempted to acquire a lock on the resource, but encountered a deadlock.', 'Contact Oracle corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31444', 'parameter error while acquiring lock on string', 'CDC attempted to acquire a lock on the resource, but encountered a problem passing parameters to the lock manager.', 'Contact Oracle corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31445', 'invalid lock handle while acquiring lock on string', 'CDC attempted to acquire a lock on the resource, but encountered a invalid lock handle, which did not correspond to any existing handle.', 'Contact Oracle corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31446', 'this session does not own the lock handle for string', 'CDC attempted to acquire a lock on the resource, does not own the the lock associated with the lock. This is an internal error.', 'Contact Oracle corporation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31447', 'cannot create change tables in the SYS schema', 'Attempted to create a change table in the SYS schema. This is not allowed.', 'Use a different existing schema and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31448', 'invalid value for change_source', 'The specified value was not a valid name for a Change Source.', 'Specify a valid name and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31449', 'invalid value for change_set_name', 'The specified value was not a valid name for a Change Set.', 'Specify a valid name and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31450', 'invalid value for change_table_name', 'The specified value was not a valid name for a Change Table.', 'Specify a valid name and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31451', 'invalid value string for capture_values, expecting: OLD, NEW, or BOTH', 'The specified value was not a valid option for a capture_values.', 'Specify a valid option and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31452', 'invalid value string for parameter, expecting: Y or N', 'The specified value was not Y or N.', 'Specify Y or N for the parameter and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31453', 'invalid value string for parameter, expecting: Y, N, or NULL', 'The specified value was not Y, N or NULL.', 'Specify Y, N or NULL for the parameter and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31454', 'invalid value string for operation parameter, expecting: ADD or DROP', 'The specified value was not ADD or DROP.', 'Specify ADD or DROP and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31455', 'nothing to ALTER', 'The specified column list is NULL and all optional control columns are ''N''.', 'Specify one or more columns to ALTER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31456', 'error executing a procedure in the DBMS_CDC_UTILITY package', 'An internal attempt to invoke a procedure within the DBMS_CDC_UTILITY package failed.', 'Check the trace logs for more information. Ensure that the package has been installed successfully. Try issuing a DESCRIBE command from SQL on the package. If it fails, then try reinstalling the package. If it succeeds then try invoking one of the procedures from SQL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31457', 'maximum length of description field exceeded', 'The maximum number of characters permitted in the description field was exceeded.', 'The maximum length of the description field is 30 characters. Ensure the length does not exceed this value and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31458', 'an internal error occurred', 'This is an internal error.', 'Contact Oracle Worldwide Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37076', '(XSMCSESS04) workspace object is not the type of dimension that can have session-only values. Valid types are TEXT, NTEXT, ID, NUMBER, and CONCAT with the UNIQUE attribute.', 'The user tried to add a SESSION value to a dimension type that does not support SESSION values.', 'Use a dimension of one of the listed types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37077', '(XSMCSESS05) Object workspace object is specified more than once.', 'The same object name was given more than once in the apply clause or in the step dimension list.', 'Remove the repetitions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37078', '(XSMCSESS06) The dimension being maintained (workspace object) cannot also be used as a step dimension.', 'The dimension being maintained was named as a step dimension.', 'Remove this dimension from the list of step dimensions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37079', '(XSMCSESS07) Aggmap workspace object cannot be used for AGGREGATE.', 'The current aggmap may be for ALLOCATE', 'Choose the correct aggmap for AGGREGATE only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37080', 'Advice requested for hierarchy with too many levels', 'A request was made for advice on a hierarchy with more levels than are supported.', 'Only request advice for hierarchies with less than 32 levels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37082', 'Invalid percent', 'A request was made for advice with an illegal percent value.', 'Request between 0 and 100 percent precomputation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37083', 'Invalid object string', 'A request was made for advice with an illegal object name.', 'Request using valid object names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37084', 'Output valueset string must match string''s dimensionality', 'A request was made for advice for a relation with different dimensionality from the output valueset.', 'Request using objects that have the same dimensionality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37086', 'string is not a valueset', 'An operation was attempted that supports only valuesets as precompute expressions in an aggmap, yet a different kind of precompute expression was used.', 'Replace this limit expression with an equivalent valueset and retry the operation. General precompute expressions are deprecated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37100', '(XSUNCOMMITTED) You have one or more updated but uncommitted analytic workspaces.', 'The user has attempted to shut down OLAP, but they have active analytic workspaces whose changes have not been saved.', 'Issue the commit command. ---- 37101 - 37110 are reserved for partitioned variables ----', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37101', '(XSVPART01) Partitioning information can only be given for variables dimensioned by a PARTITION TEMPLATE.', 'User attempted to define or reference an AW object with the "all internal" phrase or internal / external partition list, but the object was not a variable, was not dimensioned by a partition template, or was an already existing target of an external partition.', 'Eliminate phrases specific to partitioned variables from the definition string, or dimension the variable by a partition template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37102', '(XSVPART02) Invalid partition name string.', 'The user gave an invalid partition name. When defining a partitioned variable, this message indicates that the partition name does not exist in the partition template. In any other context, it indicates that the partitioned variable or partition template does not have a partition with the given name.', 'Supply a valid partition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37103', '(XSVPART03) The dimensionality or datatype of workspace object does not match the dimensionality or datatype of the partition.', 'User attempted to define a partitioned variable with an external partition, but the target of the external partition had incorrect dimensionality or datatype.', 'Pick a different target variable. The target variable must be dimensioned by exactly the same dimensions, composites, and partition templates, in the same order, as are specified in the partition template, and must have the exact same datatype (including width, precision, and scale) as the partitioned variable itself.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37104', '(XSVPART04) A partitioned variable must be dimensioned by a single partition template only.', 'User attempted to define a partitioned variable with more than one partition templates, or a partition template and one or more other dimensions, in the dimension list.', 'Use only a partition template in the dimension list of the variable. All dimensions of the variable must be included in the definition of the partition template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37105', '(XSVPART05) Only variables dimensioned by a CONCAT PARTITION TEMPLATE can have string partitions.', 'User attempted to create an external partition on a partitioned variable, but the variable was dimensioned by a RANGE or LIST partition template.', 'Declare the partition INTERNAL instead of EXTERNAL, or use a CONCAT partition template in place of the RANGE or LIST partition template.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37106', '(XSVPART06) Invalid partition name number.', 'The user gave an invalid partition name.', 'Supply a valid partition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37107', '(XSVPART07) Attempt to write to non-existent partition of workspace object.', 'Some action attempted to write data to a partitioned variable, but the variable didn''t have a partition for that data. This can result from a partition template that does not assign all possible dimension values to some subcube, or from a partitioned variable that does not have a partition for one of the partitions defined by the partition template.', 'Make sure that the cell being written is assigned to some partition by the partition template, and that the variable has an actual partition associated with the partition of the template. Use the CHGDFN template DEFINE... command to define new partitions within the template, and the CHGDFN variable ADD... command to add new partitions to the variable. Alternatively, the PARTWRITEERR can be set to false, in which case data being written to a non-existent partition will be silently discarded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37108', '(XSVPART08) workspace object has an AGGCOUNT, but workspace object does not.', 'An attempt was made to add a partition to a partitioned variable. Either the partition was defined WITH AGGCOUNT and the partitioned variable was not, or the partitioned variable was defined WITH AGGCOUNT and the partition was not.', 'Use CHGDFN ADD AGGCOUNT or CHGDFN DROP AGGCOUNT to either add or remove an AGGCOUNT from either the partition or the partitioned variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37109', '(XSVPART09) Partition workspace object and its parent variable workspace object cannot both be specified.', 'Partition and its parent partition were operated upon together.', 'Remove the partition from the object list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37111', 'Unable to load the OLAP API sharable library: (string)', 'This happens if: (1) the OLAP API sharable library is missing. (2) a sharable library upon which the OLAP API sharable library depends is missing. (3) the OLAP API sharable library is the wrong version.', 'Ensure that Oracle is properly installed with the OLAP option. If the RDBMS has been patched, review the patch log for errors. If the problem persists, report it to Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37112', 'OLAP API requires Oracle 9.2 or later', 'The version of the OLAP API jar files that you used requires Oracle version 9.2 or later.', 'Ensure that the URL with which the JDBC connection was opened is correct. If the RDBMS instance is running in compatibility mode for a version older than 9.2, it must be upgraded to at least 9.2.0.0.0 to be used with this version of the OLAP API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28544', 'connect to agent failed, probable Net8 administration error', 'Net8 reported a failure to make a RSLV connection or a protocol mode error when the Oracle server attempted to establish communication with a Heterogeneous Services agent or an external procedure agent. This usually is due to an administration error in setting up Net8 service definitions in TNSNAMES.ORA or LISTENER.ORA: A basic network connection is opened, but it connects to a program which does not use the appropriate protocol. This often is a sign that the connection goes to the wrong program.', 'Check Net8 administration in the following ways: -- When using TNSNAMES.ORA or an Oracle Names server, make sure that the connection from the ORACLE server uses the correct service name or SID. -- Check LISTENER.ORA on the agent''s host machine to assure that the service name or SID refers to the correct agent executable in its (PROGRAM=...) clause. -- Confirm in TNSNAMES.ORA or the equivalent service definition that sevice ''extproc_connection_data'' does NOT contain (HS=), or that the service definition used by a Heterogeneous Services database link DOES contain (HS=).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28545', 'error diagnosed by Net8 when connecting to an agent', 'An attempt to call an external procedure or to issue SQL to a non-Oracle system on a Heterogeneous Services database link failed at connection initialization. The error diagnosed by Net8 NCR software is reported separately.', 'Refer to the Net8 NCRO error message. If this isn''t clear, check connection administrative setup in tnsnames.ora and listener.ora for the service associated with the Heterogeneous Services database link being used, or with ''extproc_connection_data'' for an external procedure call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28546', 'connection initialization failed, probable Net8 admin error', 'A failure occurred during initialization of a network connection from the Oracle server to a second process: The connection was completed but a disconnect occurred while trying to perform protocol-specific initialization, usually due to use of different network protocols by opposite sides of the connection. This usually is caused by incorrect Net8 administrative setup for database links or external procedure calls. The most frequent specific causes are: -- Database link setup for an Oracle-to-Oracle connection instead connects to a Heterogeneous Services agent or an external procedure agent. -- Database link setup for a Heterogeneous Services connection instead connects directly to an Oracle server. -- The extproc_connection_data definition in tnsnames.ora connects to an Oracle instance instead of an external procedure agent. -- Connect data for a Heterogeneous Services database link, usually defined in tnsnames.ora, does not specify (HS=). -- Connect data for an Oracle-to-Oracle database link, usually defined in tnsnames.ora, specifies (HS=).', 'Check Net8 administration in the following ways: -- When using TNSNAMES.ORA or an Oracle Names server, make sure that the connection from the ORACLE server uses the correct service name or SID. -- Check LISTENER.ORA on the connection end point''s host machine to assure that this service name or SID connects to the correct program. -- Confirm in TNSNAMES.ORA or the equivalent service definition that service ''extproc_connection_data'' does NOT contain (HS=), or that the service definition used by a Heterogeneous Services database link DOES contain (HS=).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28547', 'connection to server failed, probable Oracle Net admin error', 'A failure occurred during initialization of a network connection from a client process to the Oracle server: The connection was completed but a disconnect occurred while trying to perform protocol-specific initialization, usually due to use of different network protocols by opposite sides of the connection. This usually is caused by incorrect Oracle Net administrative setup for database links or external procedure calls. The most frequent specific causes are: -- The connection uses a connect string which refers to a Heterogeneous Services agent instead of an Oracle server. -- The connection uses a connect string which includes an (HS=) specification.', 'Check Oracle Net administration in the following ways: -- When using TNSNAMES.ORA or an Oracle Names server, make sure that the client connection to the ORACLE server uses the correct service name or SID. -- Check LISTENER.ORA on the connection end point''s host machine to assure that this service name or SID refers to the correct server. -- Confirm in TNSNAMES.ORA or the equivalent service definition that the connect string does NOT contain (HS=).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28550', 'pass-through SQL: cursor not found', 'A value passed to a pass-through SQL function or procedure call as a cursor does not identify a currently open cursor.', 'Use a cursor number returned by the pass-through SQL OPEN_CURSOR call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28551', 'pass-through SQL: SQL parse error', 'A non-Oracle system rejected text supplied as a pass-through SQL statement.', 'Ensure that the SQL supplied to the pass-through SQL PARSE call is legal for the non-Oracle system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28552', 'pass-through SQL: call flow error', 'A pass-through SQL function was called in an invalid order.', 'Correct program flow by changing the order of API calls to match the flow described in the manual.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28553', 'pass-through SQL: invalid bind-variable position', 'A pass-through SQL function referring to the position of a bind variable in the currently-parsed SQL statement supplied an invalid bind-variable position. Valid values are 1 through n, where n is the number of bind-variable place-holders in the SQL text.', 'Verify that the bind-variable position parameter is in the correct range to represent a place-holder in the SQL text. Confirm that the SQL text uses the correct syntax for a bind-variable place-holder, as required by the non-Oracle system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28554', 'pass-through SQL: out of cursors', 'The maximum number of open cursors has been exceeded.', 'Close open cursors by using the pass-through SQL CLOSE_CURSOR function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28555', 'pass-through SQL: required parameter missing or NULL', 'An attempt was made to pass a NULL value to a non-NULL parameter.', 'Use a non-NULL value for the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28556', 'authorization insufficient to access table', 'A query attempted to access a table in the non-Oracle system that is either privileged or has privileged columns.', 'Contact the DBA for the non-Oracle system. The DBA can grant permission to access the privileged table or columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28557', 'unknown string for database link to non-Oracle system', 'When attempting to connect to a non-Oracle system through a Heterogeneous Services database link, the agent supporting this non-Oracle system failed to return FDS_CLASS_NAME and/or FDS_INST_NAME. ORACLE requires these names to configure the heterogeneous database link.', 'Contact the DBA to check setup of the connection and the Heterogeneous Services agent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32739', 'Hang analysis aborted due to failed heap re-grow', 'DIAG couldn''t re-grow the heap for wait-for-graphs.', 'Check DIAG trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32740', 'The requested operation cannot be proceeded', 'Operation was aborted because instance termination was in progress.', 'Retry later after restarting the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32741', 'Hang analysis already going on', 'Hang analysis was already in process globally or for the instance.', 'Wait for the current operation to complete and re-run the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32742', 'Hang analysis initialize failed', 'Hang analyzer was not able to allocate memory to initialize.', 'Check the trace files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32743', 'command cannot be executed on remote instance', 'The database was not mounted in SHARED mode.', 'Mount the database in SHARED mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32766', 'instr with negative offset: use varchar semantics on LOBs', 'The current varchar behavior is different. e.g. instr(''abcd'', ''cd'', -2, 1) returns 3, whereas instr(to_clob(''abcd''), ''cd'', -2, 1) returns 0, (i.e. no match), because the reverse search starts from offset -2, which points to ''c'' and moving backward, i.e. ''d'' is ignored. This is symmetric to instr(''dcba'',''dc'',2,1), which returns 0.', 'ORACLE uses the same varchar semantics on LOBs (instr). Using the same example, instr(to_clob(''abcd''), ''cd'', -2, 1) will return 3 as in the varchar case.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32767', 'No server connection for this operation', 'The client side sql or plsql function operation requires a connection to the server, but currently no client/server connection existed.', 'Establish a client/server connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32771', 'cannot add file to bigfile tablespace', 'An attempt was made to add the second file to a bigfile tablespace.', 'Do not use this command with bigfile tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32772', 'BIGFILE is invalid option for this type of tablespace', 'An attempt was made to create a bigfile tablespace that is dictionary managed or locally managed with manual segment-space management.', 'Either change the tablespace type to locally managed with automatic segment-space management, or create a SMALLFILE tablespace instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32773', 'operation not supported for smallfile tablespace string', 'An attempt was made to perform an operation which is supported only for bigfile tablespaces, e.g. resize tablespace.', 'Use the appropriate clause of the ALTER DATABASE DATAFILE command instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32774', 'more than one file was specified for bigfile tablespace string', 'More than one datafile or tempfile was specified in CREATE TABLESPACE command for a bigfile tablespace.', 'Change command to contain only one file or create a smallfile tablespace instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32775', 'cannot change size attributes of read only tablespace string', 'An attempt was made to change size attributes of a tablespace that is read only.', 'Change the tablespace to read/write and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32800', 'internal error string', 'An unexpected error occurred.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32801', 'invalid value string for string', 'An invalid value was specified for a parameter.', 'Specify a valid value for the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32802', 'value for string must be string', 'An invalid value was specified for a parameter.', 'Specify the value as indicated by the message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32803', 'value for string cannot be altered', 'An attempt was made to alter a value that cannot be altered.', 'Retry the operation without altering the indicated value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32804', 'invalid value string, string should have form string', 'A value specified for a parameter has the incorrect form.', 'Specify a string of the correct form.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32805', 'identifier for string too long, maximum length is string characters', 'An identifier string exceeded the maximum allowed length.', 'Specify a string whose length is less than the maximum allowed length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32806', 'value for string is too long, maximum length is string', 'A value exceeded it''s maximum allowed length.', 'Specify a value whose length is less than the maximum allowed length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32807', 'message system link string already exists', 'A message system link of the specified name already exists.', 'Specify a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32808', 'message system link string does not exist', 'A message system link of the specified name does not exist.', 'Specify a message system link name that already exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32809', 'foreign queue string is already registered', 'The foreign queue has already been registered for this message system link (NAME@MSGLINK).', 'Specify a different name that is not being used for this message system link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32810', 'foreign queue string is not registered', 'The foreign queue (NAME@MSGLINK) has not been registered for this message system link.', 'Specify the name of a registered foreign queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32811', 'subscriber string already exists', 'The specified subscriber identifier already exists.', 'Specify a different identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32812', 'subscriber string does not exist', 'The specified subscriber identifier does not exist.', 'Specify an existing subscriber identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32813', 'propagation schedule string already exists', 'The specified propagation schedule identifer already exists.', 'Specify a different identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32814', 'propagation schedule string does not exist', 'The specified propagation schedule identifier does not exist.', 'Specify a schedule identifier that already exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32815', 'message system link string is referenced by a foreign queue', 'An attempt was made to remove a message system link currently referenced by one or more registered foreign queues.', 'Unregister all foreign queues using this message system link and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32816', 'foreign queue string is referenced by a subscriber or schedule', 'An attempt was made to unregister a foreign queue currently referenced by one or more subscribers or propagation schedules.', 'Remove all subscribers and propagation schedules using this foreign queue and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32817', 'message system link string is not configured with a log queue for string', 'An attempt was made to add a propagation subscriber but the message system link was not configured with a log queue for the indicated propagation type.', 'Alter the message system link to configure the link with a log queue for this propagation type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32818', 'AQ queue string does not exist', 'An operation was attempted where the specified AQ queue does not exist.', 'Specify the name of an existing AQ queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32819', 'AQ queue string must be a normal queue', 'An operation was attempted where the specified AQ queue exists but is not a normal queue.', 'Specify the name of an AQ queue which was created as a normal queue (NORMAL_QUEUE).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32820', 'subscriber queue and exception queue must use same message system link', 'An operation was attempted for INBOUND propagation where the specified subscriber queue and exception queue reference different message system links.', 'Specify an exception queue that is a registered foreign queue of the same message system link as the subscriber queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32821', 'subscriber queue and exception queue must have same payload type', 'An operation was attempted for OUTBOUND propagation where the AQ queues used for the subscriber queue and exception queue have different payload types.', 'Specify an exception queue that has the same payload type as the subscriber queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32827', 'Messaging Gateway agent must be shut down', 'An operation was attempted that requires the Messaging Gateway agent to be shut down.', 'Issue SHUTDOWN, wait for MGW_GATEWAY view to show a NOT_STARTED status, and retry the operation. CLEANUP_GATEWAY may need to be issued to reset the gateway state if the agent fails to shut down after a reasonable time period.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32828', 'Messaging Gateway agent must be running', 'An operation was attempted that requires the Messaging Gateway agent to be started and responsive.', 'Issue STARTUP, wait for MGW_GATEWAY view to show a RUNNING status, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32829', 'Messaging Gateway agent cannot be shut down while it is starting', 'An attempt was made to shut down the Messaging Gateway agent when it is in the process of starting and initializing.', 'Wait for MGW_GATEWAY view to show a RUNNING status and retry the operation. CLEANUP_GATEWAY may need to be issued to reset the gateway state if the agent fails to start after a reasonable time period.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32830', 'result code string returned by Messaging Gateway agent', 'The Messaging Gateway agent terminated abnormally due to an unexpected error.', 'Review the Messaging Gateway log file for further information regarding the problem. Resolve the problem and start the Messaging Gateway agent. Contact Oracle Support Services if the problem cannot be resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32831', 'timed out trying to acquire administration lock', 'A timeout occurred when attempting an administration operation. Either an administration operation was attempted while the Messaging Gateway agent was starting and initializing, or two administration operations were attempted at the same time.', 'Retry the operation. If the Messaging Gateway agent is starting, wait for MGW_GATEWAY view to show a RUNNING status and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32832', 'failure string trying to acquire administration lock', 'An unexpected error occurred trying to acquire administration lock.', 'Retry the operation. Contact Oracle Support Services if the error persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32833', 'failure string trying to release administration lock', 'An unexpected error occurred trying to release administration lock.', 'Contact Oracle Support Services if the error persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32834', 'Messaging Gateway agent user has not been set', 'A Messaging Gateway agent user has not been configured.', 'Create a database user having role MGW_AGENT_ROLE and issue DB_CONNECT_INFO to configure an agent user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32835', 'database user string does not exist', 'The specified database user does not currently exist.', 'Create the user and grant all necessary privileges and roles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32836', 'database user string must be granted role string', 'The specified database user does not have a required role.', 'Grant the user the indicated role.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32837', 'invalid configuration state string', 'The specified configuration state is invalid.', 'Remove and re-create the configured entities. Contact Oracle Support Services if the problem cannot be identified or resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32838', 'exceeded maximum number of properties', 'An attempt was made to alter a property list where the number of properties in the resulting list exceeds the maximum allowed.', 'Order the elements of the alter list differently so the number of elements in the resulting list is less than the maximum.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32839', 'property string is reserved, names with MGWPROP$_ prefix are not valid', 'An attempt was made to specify a reserved name for a property name.', 'Use a non-reserved name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32840', 'property name cannot be NULL', 'An attempt was made to use NULL for a property name.', 'Specify a non-NULL name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32841', 'invalid value for property string', 'An attempt was made to specify an invalid value for a property.', 'Specify a valid property value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32842', 'value for property string cannot be altered', 'An attempt was made to alter a property that cannot be altered.', 'Retry the operation without altering the indicated property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32843', 'value for string is outside the valid range of string to string', 'A value was specified that is not in the valid range.', 'Specify a value within the indicated range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32844', 'exceeded maximum number of string values', 'An attempt was made to add a value of the specified type but the maximum number of such values has been reached.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32845', 'Messaging Gateway agent is already running', 'An attempt was made to start the Messaging Gateway agent when an agent instance is already running.', 'Shut down the Messaging Gateway agent currently running, verify the agent process has been terminated, and start the Messaging Gateway agent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36164', '(XSMXAGGR07) When using the COUNTVAR clause, the number of variables to be aggregated (number) must match the number of COUNTVAR variables (number).', 'The user specified a COUNTVAR clause to the AGGREGATE command, but the number of COUNTVAR variables specified did not match the number of variables to be aggregated', 'Specify a separate COUNTVAR for each variable', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36165', '(XSAGGCNTPROP) Variable workspace object cannot have both an AGGCOUNT and the $COUNTVAR property.', 'An attempt was made to add the $COUNTVAR property to a variable which already had an AGGCOUNT, or vice versa.', 'Delete the already existing $COUNTVAR property or AGGCOUNT first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36166', '(XSMXAGGR08) workspace object is not a VARIABLE.', 'An attempt was made to perform an AGGREGATE or other action on an object which is not a variable.', 'Specify a variable instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36167', '(XSAGGRFORM) workspace object is an illegal AGGMAP for aggregating a FORMULA.', 'The user attempted to aggregate a FORMULA using an AGGMAP that is not valid for aggregating FORMULAs. The AGGMAP must specify PRECOMPUTE(NA) for all relation lines and must not specify any caching.', 'Correct the AGGMAP so it is legal for aggregating a FORMULA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36202', '(XSAGOP01) ''number'' is not a valid aggregation operator.', 'An invalid string was provided for an aggregation operator.', 'Check the spelling of the operator to make sure you are specifying a valid one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36204', '(XSAGOP04N) In AGGMAP workspace object, the NAOPERATOR string must be HFIRST, HLAST or HEVEN.', 'An invalid NAOPERATOR was specified.', 'Specify HFIRST, HLAST or HEVEN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36206', '(XSAGOP04R) In AGGMAP workspace object, REMOPERATOR string must be MIN, MAX, FIRST, LAST, HFIRST or HLAST.', 'An invalid REMOPERATOR was specified.', 'Specify one of the legal operators.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36208', '(XSAGOP05N) In AGGMAP workspace object, you can only specify NAOPERATOR string with the PROPORTIONAL or EVEN operators, not string.', 'The user specified an NAOPERATOR when you were not using PROPORTIONAL or EVEN.', 'Remove the NAOPERATOR clause from the RELATION line.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-36210', '(XSAGOP05R) In AGGMAP workspace object, you can only specify the REMOPERATOR string with the PROPORTIONAL, EVEN, or HEVEN operators, not string.', 'The user specified a REMOPERATOR without using PROPORTIONAL, EVEN, or HEVEN.', 'Remove the REMOPERATOR clause from the RELATION line.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37113', 'OLAP API initialization error: (string)', 'OLAP API initialization failed.', 'Ensure that Oracle is properly installed with the OLAP option. If the RDBMS has been patched, review the patch log for errors. If the problem persists, report it to Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37114', 'OLAP API bootstrap error: (string)', 'OLAP API bootstrapping failed.', 'Ensure that Oracle is properly installed with the OLAP option. If the RDBMS has been patched, review the patch log for errors. If the problem persists, report it to Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37115', 'New OLAP API history is not allowed', 'If there are active OLAP API sessions, it is not allowed to start a new OLAP API history by setting _olapi_history_retention parameter to true.', 'Wait until all active OLAP API sessions terminate before resetting _olapi_history_retention parameter to true.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37116', 'OLAP API table function error: (string)', 'OLAP API table function failed.', 'Ensure that Oracle is properly installed with the OLAP option. If the RDBMS has been patched, review the patch log for errors. If the problem persists, report it to Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37117', 'olapi history retention has been disabled', 'Under certain circumstances, for example, when the database is read only, olapi history retention is not possible because it requires updating persistent tables from time to time. If olapi history retention has been disabled, setting _olapi_history_retention parameter to true has no effect.', 'Ensure that Oracle is properly installed with the OLAP option. If the RDBMS has been patched, review the patch log for errors. If the problem persists, report it to Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37118', 'The OLAP API library was not preloaded.', 'In shared-server mode, the OLAP API library should be loaded during process initialization to ensure that the C++ virtual table addresses are identical in all shared-server processes. The OLAP API session was executing in a process in which the library had not been loaded.', 'Set option _XSOLAPI_LOAD_AT_PROCESS_START to SHARED_SERVER or ALWAYS, restart the instance, and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37119', 'Incompatible OLAP API library load address', 'The OLAP API session was executing in a process in which the OLAP API sharable library was loaded which was at a different address than the process in which the OLAP API session originated.', 'Set option _XSOLAPI_LOAD_AT_PROCESS_START to ALWAYS, restart the instance, and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37120', 'expression string is null', 'expression parser received a null string for syntax analysis.', 'Prepare a non-null and well-formed MDX query string and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37121', 'AW Spreadsheet invalidated', 'While this cursor was open, a command was issued that changed the underlying data to become inconsistent.', 'Perform the query again, avoid performing dimension maintenance and cache clears during spreadsheet processing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37122', 'AW Session cache disabled', 'A SQL Spreadsheet was attempted while the AW Session cache was disabled.', 'Enable the session cache and perform the query again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37123', '(XSCCOMP17) Can not AGGREGATE workspace object(partition number) because it depends on unaggregated compressed partition number.', 'attempted to use a feature not supported by CC''s in the current AW format', 'Remove the unsupported feature from the aggmap, or upgrade the AW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37124', '(XSCCOMP16) COMPRESSED COMPOSITES with string are not supported in analytic workspace string because it has not been upgraded to version string.', 'attempted to use a feature not supported by CC''s in the current AW format', 'Remove the unsupported feature from the aggmap, or upgrade the AW', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37126', '(XSCCOMP01) The COMPRESSED COMPOSITE workspace object can only be used as a base of a single variable.', 'The user attempted to DEFINE a variable dimensioned by a COMPRESSED COMPOSITE, but that COMPRESSED COMPOSITE is already being used by another VARIABLE.', 'Create a second COMPRESSED COMPOSITE for the second VARIABLE or add a measure dimension to the first variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37127', '(XSCCOMP02) The COMPRESSED COMPOSITE workspace object must be last in the dimension list.', 'The user attempted to DEFINE a variable dimensioned by a COMPRESSED COMPOSITE, but gave a slower varying dimension in the dimension list.', 'Put the COMPRESSED COMPOSITE last in the dimension list when defining the VARIABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37128', '(XSCCOMP20) The partition template workspace object has already used the COMPRESSED COMPOSITE workspace object.', 'The COMPRESSED COMPOSITE specified for either a variable or partition template is already in use in another partition template.', 'Define a different COMPRESSED COMPOSITE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37129', '(XSCCOMP04) Cannot aggregate over COMPRESSED COMPOSITE workspace object using AGGMAP workspace object. All static MODEL statements must precede all RELATION statements over the bases of the COMPRESSED COMPOSITE.', 'The AGGMAP was defined with a MODEL statement after a RELATION statement over a base of the COMPRESSED COMPOSITE.', 'Change the AGGMAP so that the MODEL statements appear before the RELATION statements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37130', '(XSCCOMP05) Cannot aggregate over COMPRESSED COMPOSITE workspace object using AGGMAP workspace object because you must specify AGGINDEX OFF when there is a PRECOMPUTE clause on a RELATION over base workspace object.', 'A PRECOMPUTE clause was specified in the AGGMAP for a RELATION over a base of a COMPRESSED COMPOSITE, but AGGINDEX was ON', 'Remove the PRECOMPUTE clause from the AGGMAP, or add AGGINDEX OFF', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37131', '(XSCCOMP06) Cannot aggregate over COMPRESSED COMPOSITE workspace object using AGGMAP workspace object because the OPERATOR string is not supported for bases of a COMPRESSED COMPOSITE.', 'The user specified an aggregation OPERATOR that is not supported by COMPRESSED COMPOSITES.', 'Use a MODEL for the calculation, or use an uncompressed COMPOSITE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37132', '(XSCCOMP07) Incremental aggregation over the dense DIMENSION workspace object is not supported when aggregating a VARIABLE dimensioned by a COMPRESSED COMPOSITE.', 'The status of the specified dimension did not include all detail cells.', 'Add all detail cells to the status of the dimension and reissue the AGGREGATE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-37133', '(XSCCOMP08) You cannot write into an aggregated VARIABLE dimensioned by a COMPRESSED COMPOSITE. Use the CLEAR AGGREGATES command to reenable write access.', 'The user attempted to store a value into to a variable dimensioned by a compressed composite, and the variable had previously been precomputed using the AGGREGATE command. Once the AGGREGATE command is run on a variable dimensioned by a compressed composite, it becomes read-only until the computed values are removed with the CLEAR command.', 'Run the CLEAR AGGREGATES command to remove the computed values from the variable and then rerun the failed operation. Note that CLEAR AGGREGATES will remove all the data computed during the last AGGREGATE command on this variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28558', 'HS_FDS_CONNECT_STRING undefined for non-Oracle system', 'A database link to a non-Oracle system had no HS_FDS_CONNECT_STRING initialization parameter in the ORACLE server''s data dictionary for Heterogeneous Services. Without this parameter, the connection could not be completed.', 'Contact your DBA to verify correct setup of an HS_FDS_CONNECT_STRING entry in the ORACLE Heterogeneous Services data dictionary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28559', 'FDS_CLASS_NAME is string, FDS_INST_NAME is string', 'An associated error was reported in another message, and this message supplies supplementary information to assist diagnosis of that error. FDS_CLASS_NAME and FDS_INST_NAME are used to access information in tables and views of the ORACLE data dictionary that direct operation of Heterogeneous Services on a database link to a non-Oracle data store.', 'Use the FDS_CLASS_NAME and FDS_INST_NAME values to check ORACLE data dictionary contents when necessary to diagnose the cause of the associated error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28560', 'error in configuration of agent process', 'An ORACLE server invoked a function not supported by the connected agent (Heterogeneous Services or external procedures). The most probable cause is incorrect Net8 setup, resulting in use of the wrong agent executable.', 'Check Net8 administration in the following ways: -- When using TNSNAMES.ORA or an Oracle Names server, make sure that the connection from the ORACLE server uses the correct SID. -- Check LISTENER.ORA on the agent''s host machine to assure that this SID refers to the correct agent executable in its (PROGRAM=...) clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28561', 'unable to set date format on non-Oracle system', 'Initialization of a Heterogeneous Services connection to set the date format to be used on the connected non-Oracle system.', 'If the Oracle data dictionary supplies a value for the HS_NLS_DATE_FORMAT parameter, confirm that this value is formatted correctly by the rules of the non-Oracle system. Also check for additional information in log and trace files generated by the Heterogeneous Services agent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28575', 'unable to open RPC connection to external procedure agent', 'Initialization of a network connection to the extproc agent did not succeed. This problem can be caused by network problems, incorrect listener configuration, or incorrect transfer code.', 'Check listener configuration in LISTENER.ORA and TNSNAMES.ORA, or check Oracle Names Server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28576', 'lost RPC connection to external procedure agent', 'of this error is abnormal termination of the invoked "C" routine. If this is not the case, check for network problems. Correct the problem if you find it. If all components appear to be normal but the problem persists, the problem could be an internal logic error in the RPC transfer code. Contact your customer support representative.', 'First check the 3GL code you are invoking; the most likely', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28577', 'argument string of external procedure string has unsupported datatype string', 'While transferring external procedure arguments to the agent, an unsupported datatype was detected.', 'Check your documentation for the supported datatypes of external procedure arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28578', 'protocol error during callback from an external procedure', 'An internal protocol error occurred while trying to execute a callback to the Oracle server from the user''s 3GL routine.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28579', 'network error during callback from external procedure agent', 'An internal network error occurred while trying to execute a callback to the Oracle server from the user''s 3GL routine.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28580', 'recursive external procedures are not supported', 'A callback from within a user''s 3GL routine resulted in the invocation of another external procedure.', 'Make sure that the SQL code executed in a callback does not directly call another external procedure, or indirectly results in another external procedure, such as triggers calling external procedures, PL/SQL procedures calling external procedures, etc.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28581', 'protocol error while executing recursive external procedure', 'An internal protocol error occurred while trying to execute an external procedure resulting from a callback in another external procedure.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28582', 'a direct connection to this agent is not allowed', 'A user or a tool tried to establish a direct connection to either an external procedure agent or a Heterogeneous Services agent, for example: "SVRMGR> CONNECT SCOTT/TIGER@NETWORK_ALIAS". This type of connection is not allowed.', 'When executing the CONNECT statement, make sure your database link or network alias is not pointing to a Heterogeneous Option agent or an external procedure agent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28583', 'remote references are not permitted during agent callbacks', 'A Heterogeous Services agent issued a callback to the Oracle server which attemted to to access a remote system. This is not supported.', 'Make sure that SQL code issued by Heterogeneous Services agents does not reference a database link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28584', 'heterogeneous apply internal error', 'The apply slave process encountered an error while trying to apply changes through a gateway to a non-Oracle system.', 'Make sure that the apply database link is correctly configured and that the gateway listener and the non-Oracle system are correctly set up and are up and running. If everything is configured correctly and the problem still occurs, contact Oracle customer support. errors 28590 - 28599 are reserved for the HS agent control utility', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28590', 'agent control utility: illegal or badly formed command', 'The user has issued an unrecognized or syntactically incorrect command.', 'Refer to documentation and correct the syntax of the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28591', 'agent control utility: unable to access parameter file', 'The agent control utility was unable to access its parameter file. This could be because it could not find its admin directory or because permissions on directory were not correctly set.', 'The agent control utility puts its parameter file in either the directory pointed to by the environment variable AGTCTL_ADMIN or in the directory pointed to by the environment variable TNS_ADMIN. Make sure that at least one of these environment variables is set and that it points to a directory that the agent has access to.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29526', 'created Java class string"string"', 'An informational message, not an error.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29527', 'created Java source string"string"', 'An informational message, not an error.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29528', 'invalid Java call in trigger string', 'The Java method specified in trigger does not exist or cannot be called as used.', 'Adjust trigger definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29529', 'invalid function or method call string in trigger string', 'The function or method specified in Java trigger call expression could not be resolved.', 'Adjust trigger definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29530', 'could not create shortened name for string', 'Insert into shortened name translation table failed.', 'Retry the insert.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29531', 'no method string in class string', 'An attempt was made to execute a non-existent method in a Java class.', 'Adjust the call or create the specified method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32822', 'subscriber string is marked for removal', 'An administration operation was attempted for a subscriber which is marked for removal. If attempting to remove a subscriber, the Messaging Gateway agent is not running or is running but unable to remove the subscriber at this time.', 'Do not issue propagation administration commands for a subscriber for which removal is pending. Wait for the subscriber to be removed by the agent or issue REMOVE_SUBSCRIBER with the FORCE option to force the subscriber to be removed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32823', 'subscriber exists for queue string and destination string', 'An attempt was made to create a propagation subscriber when one already exists for the specified queue and destination pair.', 'Specify a different queue and destination pair, or remove the subscriber using that pair and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32824', 'schedule exists for source string and destination string', 'An attempt was made to create a propagation schedule when one already exists for the specified source and destination pair.', 'Specify a different source and destination pair, or remove the schedule using that pair and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32825', 'Messaging Gateway agent has not been started', 'An attempt was made to shut down the Messaging Gateway agent when it is not started.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32826', 'Messaging Gateway agent has already been started', 'An attempt was made to start the Messaging Gateway agent when it is already started.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32846', 'Messaging Gateway agent cannot be started; status is string', 'An attempt to start the Messaging Gateway agent failed due to the indicated agent status. A BROKEN status indicates a problem that requires user intervention before the agent can be started.', 'Review the MGW_GATEWAY view and the Messaging Gateway log file for further information. Resolve the problem and start the Messaging Gateway agent. Contact Oracle Support Services if the problem cannot be resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32847', 'operation is not supported on this platform', 'An attempt was made to perform an operation that is not supported on this platform.', 'Switch to a platform on which the operation is supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32848', 'foreign queue DOMAIN required for JMS unified connections', 'A DOMAIN was not specified when registering a foreign queue for a messaging system link that is configured to use the JMS unified messaging model.', 'Specify a non-NULL value for the DOMAIN parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32849', 'string cannot be set unless string is set', 'An attempt was made to specify a value for a parameter that cannot be set unless an associated parameter is also set.', 'Specify a valid value for both parameters, or, do not specify a value for either parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32850', 'agent string does not exist', 'The specified Messaging Gateway agent name did not exist.', 'Specify an existing agent name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-32852', 'agent string is referenced by a message system link', 'An attempt was made to remove a Messaging Gateway agent currently referenced by one or more message system links.', 'Remove all message system links associated with this agent and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33009', '(XSAGDNGLPREC) In AGGMAP workspace object, PRECOMPUTE may only be specified either for the entire AGGMAP or for individual RELATION statements.', 'PRECOMPUTE was specified both as a line in the AGGMAP and on at least one of the RELATION lines, or it was specified more than once as a line of the AGGMAP.', 'Remove either the PRECOMPUTE line, or the PRECOMPUTE specification for all of the RELATION lines.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33010', '(XSAGDNGL04) Relation workspace object is duplicated in the AGGMAP workspace object.', 'Two RELATION statements in the AGGMAP reference the same relation object.', 'Remove the duplicate RELATION statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33012', '(XSAGDNGL05) AGGMAP workspace object contains invalid syntax.', 'A line in the AGGMAP contains invalid syntax.', 'Change the line to have valid syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33014', '(XSAGDNGL06) In AGGMAP workspace object, variable operator workspace object cannot be dimensioned by rollup dimension workspace object.', 'Operator variables cannot have the rollup dimension as one of their base dimensions.', 'Modify the definition of the operator variable so that the current rollup dimension is not one of its bases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33016', '(XSAGDNGL07) In AGGMAP workspace object, workspace object is not a valid operator or variable name.', 'An invalid argument was supplied to the OPERATOR clause in the relation statement.', 'Fix the OPERATOR clause so that it specifies either a valid variable name or a valid operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33018', '(XSAGDNGL08) In AGGMAP workspace object, the data type of workspace object must be TEXT, not string.', 'An operator variable was supplied whose data type is not TEXT.', 'Change the operator clause to reference a TEXT variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33022', '(XSAGDNGL10) The measure dimension workspace object must be a TEXT or ID base dimension that does not dimension AGGMAP workspace object, but is in the same analytic workspace.', 'A MEASUREDIM was supplied in the AGGMAP that was not acceptable.', 'Modify the MEASUREDIM clause to specify a valid dimension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33024', '(XSAGDNGL11) AGGMAP workspace object contains duplicate information.', 'The aggmap contains multiple instances of a clause that can only be specified once.', 'Remove the extra clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33026', '(XSAGDNGL12) In AGGMAP workspace object, workspace object is not a valid valueset.', 'A line in the AGGMAP contains an invalid element where a valid valueset is required.', 'Change the line to have a valid valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33028', '(XSAGDNGL13) In AGGMAP workspace object, workspace object should be scalar, not a dimensioned valueset.', 'A line in the AGGMAP contains a dimensioned valueset where a scalared valueset is required.', 'Change the line to have a scalar valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33030', '(XSAGDNGL14) In AGGMAP workspace object, you can have either a single independent PROTECT statement or PROTECT statements in your RELATION statements.', 'The AGGMAP either specified multiple PROTECT statements not on a RELATION line, or specified PROTECT statements both independently and on RELATION lines.', 'Correct the AGGMAP to have valid syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33032', '(XSAGDNGL15) In AGGMAP workspace object, VALUESET workspace object must be in extra dimensions of the relation.', 'The RELATION phrase contains a VALUESET which is not over the extra dimension of the RELATION.', 'Correct the RELATION phrase to contain a valueset over the extra dimension or not to contain any valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33034', '(XSAGDNGL16) In AGGMAP workspace object, VALUESET workspace object in PRECOMPUTE phrase must be in the self dimension of the relation.', 'The precompute phrase contains a valueset which is not over the self dimension of the relation.', 'Correct the relation phrase to contain a valueset over the self dimension or not to contain any valueset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-33036', '(XSAGDNGL17) ARGS option workspace object must be a TEXT variable.', 'An ARGS value had a non-text data type.', 'Use a text variable for ARGS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25957', 'join index where clause cannot contain cycles', 'An attempt to create a join index was made, which failed because the where clause contains a cycle.', 'Ensure that the where clause is in the form of a star or snowflake schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25958', 'join index where clause predicate may only contain column references', 'An attempt to create a join index was made, which failed because a predicate in the where clause contained something other than a simple column.', 'Ensure that the where clause only contains columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25959', 'join index must be of the bitmap type', 'An attempt to create a join index was made, which failed because no bitmap keyword was used.', 'Make the index a bitmap index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25960', 'join index cannot be based on a temporary table', 'An attempt to create a join index was made, which failed because one of the tables was temporary.', 'Ensure no underlying tables are temporary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25961', 'join index prevents dml cascade constraint operation', 'An attempt to execute dml resulted in the need to perform dml on another table because of a cascade constraint. The join index only allows one of its underlying tables to me modified at a time.', 'Drop the join index or remove the constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25962', 'join index prevents multitable insert or merge', 'An attempt to execute an merge or multitable insert on a table that was used to create a bitmap join index was made. Merge and multitable inserts are not supported on tables that were used to create a bitmap join index.', 'Drop the join index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25963', 'join index must be created on tables', 'An attempt to create a join index was made, which failed because the from clause contains non table object.', 'Ensure that the from clause only contains tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25964', 'column type incompatible with join column type', 'The datatype of the join column is incompatible with the datatype of the joined column.', 'Select a compatible datatype for the join column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25965', 'fact table must be included in the from clause', 'An attempt to create a join index was made, which failed because the from clause does not contain the fact table.', 'Ensure that the from clause contains the fact table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25966', 'join index cannot be based on an index organized table', 'An attempt to create a join index was made, which failed because one of the tables was an index organized table.', 'Ensure no underlying tables are index organized.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26000', 'partition load specified but table string is not partitioned', 'The Loader control file contains a PARTITION clause but the table being loaded is not partitioned.', 'Remove the partition specification from the SQL*Loader control file and retry the load.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26001', 'Index string specified in SORTED INDEXES does not exist on table string', 'A nonexistent index was specified in the SORTED INDEXES clause.', 'Do not specify as a SORTED INDEX.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26002', 'Table string has index defined upon it.', 'Parallel load was specified into a table which has index defined upon it.', 'Drop index(es) defined upon table, or don''t use parallel load, or use SKIP_INDEX_MAINTENANCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26003', 'parallel load not supported for index-organized table string.', 'Parallel load is not supported for index-organized tables.', 'load the index-organized table without the PARALLEL option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26004', 'Tables loaded through the direct path may not be clustered', 'User attempted to load a clustered table via the direct path.', 'Use the conventional path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26005', 'Invalid handle for direct path load', 'In direct path load, the handle passed in does not match the type listed.', 'Verify the handle and type are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26006', 'Incorrect bind variable in column string''s sql expression - string', 'In direct path load, the bind variables listed in the sql expression do not match the input argument column names.', 'Verify all the input arguments are listed in the expression as bind variables, and all the bind variables are listed as input arguments to the expression. Or verify that there were no errors in executing the OCI statements when getting the bind variable list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26007', 'invalid value for SETID or OID column', 'The value passed in a Direct Path API stream for a column containing a SETID or OID has an invalid value. SETIDs and Object IDs must be either 16 bytes of RAW data or 32 bytes of hexidecimal characters.', 'Regenerate the Direct Path API stream with a valid value for the SETID column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26008', 'Invalid syntax or bind variable in SQL string for column string. string', 'See following error message for more information. A SQL string cannot have quoted strings improperly terminated. A bind variable in a SQL string cannot have a length of 0, cannot exceed maximum length of 30 characters, and cannot be missing a double quote.', 'Fix the SQL string. See following error for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26010', 'Column string in table string is NOT NULL and is not being loaded', 'A column which is NOT NULL in the database is not being loaded and will cause every row to be rejected.', 'Load the column by specifying the NOT NULL column in the INTO TABLE clause in the SQL*Loader control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26011', 'Cannot load type string into column string in table string', 'A column can only store data of type declared for that column. And a substitutable column can only store data of valid subtypes of the supertype declared for that column.', 'Check that the type or subtype specified is valid for that column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26723', 'user "string" requires the role "string"', 'The caller did not have the specified role or called the procedure from a definer''s rights package or procedure.', 'Grant the specified role to the caller. If the procedure is called from a definer''s rights package or procedure, change the definer''s rights package or procedure to an invoker''s rights package or procedure. Or grant all the privileges for the specified role explicitly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26724', 'only SYS is allowed to set the Capture or Apply user to SYS.', 'The Capture or Apply user was specified as SYS by a user other than SYS.', 'Set SYS as the Capture or Apply user while logged in as SYS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26725', 'cannot downgrade apply handlers', 'An attempt was made to downgrade apply handlers that are not associated with a local database object, or the apply handlers are associated with a specific apply process.', 'Drop the associated apply handlers before attempting the downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26766', 'Unexpected redo pattern encountered by LogMiner', 'd by tables with unsupported data types or newer table features.', 'Remove the capture rule for the table and restart capture.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26767', 'No enough redo log information for LogMiner', 'Direct-path SQL with NOLOGGING option or a SQL*Loader operation with UNRECOVERABLE clause was specified for the table.', 'Remove the capture rule for the table and restart capture.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26768', 'Maximum number of unsupported tables exceeded', 'An attempt was made to add more than the allowed number of unsupported tables.', 'Clear the current list of unsupported tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26785', 'Object has a NULL value', 'A method was invoked on a NULL object.', 'Initialize the object with a non-NULL value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29952', 'cannot issue DDL on a domain index partition marked as LOADING', 'Tried to issue a DROP/ALTER/TRUNCATE on a domain index partition in a LOADING state.', 'Wait till the index partition operation completes OR issue a DROP INDEX FORCE to drop the index OR issue a ALTER TABLE DROP PARTITION to drop the partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29953', 'cannot issue DDL on a domain index partition marked as FAILED', 'Tried to issue a DROP/ALTER on a domain index partition in a FAILED state.', 'do ALTER INDEX REBUILD PARTITION to rebuild the index partition OR ALTER TABLE TRUNCATE PARTITION to mark the index partition as valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29954', 'domain index partition is marked LOADING/FAILED/UNUSABLE', 'An attempt has been made to access a domain index that is being built or is marked failed by an unsuccessful DDL or is marked unusable by a DDL operation.', 'Wait if the specified index partition is marked LOADING Rebuild the specified index partition if it is marked FAILED or UNUSABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29955', 'error occurred in the execution of ODCIINDEXEXCHANGEPARTITION routine', 'Failed to successfully execute the ODCIIndexExchangePartition routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29956', 'warning in the execution of ODCIINDEXEXCHANGEPARTITION routine', 'A warning was returned from the ODCIIndexExchangePartition routine.', 'Check to see if the routine has been coded correctly Check user specified log tables for greater detail.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29957', 'cannot create a function-based domain index on a string table', 'User specified an unsupported create function-based domain index statement.', 'Issue the create function-based domain index statement only on supported types of tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29958', 'fatal error occurred in the execution of ODCIINDEXCREATE routine', 'Failed to successfully execute the ODCIIndexCreate routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29959', 'error in the execution of the string routine for one or more of the index partitions', 'An error occurred during execution of the routine for one or more of the index partitions', 'Check the *_IND_PARTITIONS view to see which partitions are marked FAILED. Rebuild or Truncate the FAILED index partitions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29960', 'line string, string', 'The ODCIIndex DDL routine has put a warning message into table SYS.ODCI_WARNINGS$', 'Check the warning message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29961', 'too many warnings occurred in the execution of ODCIIndex DDL routine', 'The number of warnings during the ODCIIndex DDL routine is too high.', 'Query table SYS.ODCI_WARNINGS$ to get more warning messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29962', 'fatal error occurred in the execution of ODCIINDEXALTER routine', 'Failed to successfully execute the ODCIIndexAlter routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29963', 'missing BINDING keyword', 'Keyword BINDING is expected .', 'Specify the BINDING keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29964', 'missing ADD or DROP keyword', 'One of the keywords ADD or DROP is expected.', 'Specify the ADD or DROP keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29965', 'The specified binding does not exist', 'The binding specified in the DROP BINDING clause is not a valid binding for this operator.', 'Specify an existing binding for this op in DROP BINDING clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29966', 'The only binding of an operator cannot be dropped', 'This operator only has one binding. It cannot be dropped using Alter Operator Drop Binding.', 'If you wish to drop the entire operator, call Drop Operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29967', 'Cannot drop an operator binding with dependent objects', 'The operator binding that is being dropped has dependent objects.', 'Either drop the dependent objects first and then issue the ALTER OPERATOR DROP BINDING command or specify the FORCE option with ALTER OPERATOR DROP BINDING.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29968', 'No primary operator bindings found for ancillary binding #string', 'At least one ancillary binding of the specified operator could not be validated because all of its associated primary operator bindings have been dropped.', 'Either drop the ancillary binding whose primary operators are missing, or drop the entire operator, if this is the only binding. This binding cannot be re-validated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29970', 'Specified registration id does not exist', 'An incorrect regid value was passed to dbms_chnf procedure.', 'pass the correct regid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29971', 'Specified table name not found or does not have any registrations', 'The database could not locate the passed in table name', 'CHeck the table name passed in.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29972', 'user does not have privilege to change/ create registration', 'User passed in an incorrect or someone else''s regid/ handle.', 'Check the passed in regid/ reg handle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29973', 'Unsupported query or operation during change notification registration', 'The user attempted to register an unsupported query type or an unsupported operation like a DML/DDL for change notification.', 'Please check the statement being executed and refer to the documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29975', 'Cannot register a query in the middle of an active transaction', 'User tried to register a query within an uncommitted transction.', 'Commit the transaction and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29976', 'Unsupported query for registration in guaranteed mode', 'An operator or expression in the query was incompatible with query registration in the guaranteed granularity mode.', 'Check all expressions, clauses and operators in the query and refer to the documentation for supported query types. The application can reattempt the query registration in best effort mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29977', 'Unsupported column type for query registration in guaranteed mode', 'An attempt was made to register a query with an unsupported column type or too many columns.', 'Examine all column datatypes in the expression and refer to the documentation for supported query types. The application can reattempt the query registration in best effort mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29979', 'Query registration not supported at current compatible setting', 'An attempt was made to register a query with the database compatible setting lower than 11.', 'Increase the database compatible setting to 11.0.0.0.0', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29981', 'Cannot register query: conflicting DDL in progress', 'A query registration was attempted while there was a a concurrent DDL in progress.', 'Retry the query registration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29982', 'Table type not supported for query registration in guaranteed mode', 'The user attempted to register a query involving an unsupported table type.', 'Examine all tables in the query registration and refer to the documentation for supported table types. The application can reattempt registration in best effort mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29983', 'Unsupported query for Continuous Query Notification', 'The query cannot be registered for Continuous Query Notification.', 'The query has some constructs that make it incompatible with Continous Query Notification like synonyms or views. Please check the documentation for complete list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29985', 'Query Registration is only supported for automatic undo management', 'User is using manual undo management', 'Switch to using automatic undo management', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30053', 'invalid upper limit snapshot expression', 'The upper limit snapshot expression is greater than the SQL statement read snapshot.', 'Specify a valid upper limit snapshot expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30054', 'invalid upper limit snapshot expression', 'The upper limit snapshot expression is less than the lower limit snapshot expression.', 'Specify a valid upper limit snapshot expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30055', 'NULL snapshot expression not allowed here', 'The snapshot expression is NULL.', 'Specify a non-NULL snapshot expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30071', 'conversion between datetime/interval and string fail', 'An error occurs during a conversion between datetime/interval and string data type due to one of the following reasons:' || '<p>' || '- The buffer is too short to hold the result.' || '<p>' || '' || '<p>' || '- The format string is bad.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30072', 'invalid time zone value', 'The value specified for the time zone string, which appears in ALTER SESSION statement, environment variable ORA_SDTZ, or a datetime factor, is not valid.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30073', 'invalid adjustment value', 'The value is none of the followings: ''ADJUST'', ''NO_ADJUST'', ''ANSI_DATE'', ''ADJUST_WITH_ANSI_DATE''. ''NO_ADJUST'' is the default value.', 'set it to one of the three values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30074', 'GLOBAL partitioned index on TIME/TIMESTAMP WITH TIME ZONE not allowed', 'try to GLOBAL partitioned index on TIME/TIMESTAMP WITH TIME ZONE.', 'Do not GLOBAL partitioned index on TIME/TIMESTAMP WITH TIME ZONE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30075', 'TIME/TIMESTAMP WITH TIME ZONE literal must be specified in CHECK constraint', 'User is trying to create a constraint on a time or timestamp with or without time zone column without explicitly specifying the time zone.', 'Use time or timestamp with time zone literals only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30076', 'invalid extract field for extract source', 'The extract source does not contain the specified extract field.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30077', 'illegal casting between specified datetime types', 'Cannot cast between the specified datetime types.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30078', 'partition bound must be TIME/TIMESTAMP WITH TIME ZONE literals', 'An attempt was made to use a time/timestamp expression whose format does not explicitly have time zone on a TIME/TIMESTAMP or TIME/TIMESTAMP WITH TIME ZONE column.', 'Explicitly use TIME/TIMESTAMP WITH TIME ZONE literal.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30079', 'cannot alter database timezone when database has TIMESTAMP WITH LOCAL TIME ZONE columns', 'An attempt was made to alter database timezone with TIMESTAMP WITH LOCAL TIME ZONE column in the database.', 'Either do not alter database timezone or first drop all the TIMESTAMP WITH LOCAL TIME ZONE columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30081', 'invalid data type for datetime/interval arithmetic', 'The data types of the operands are not valid for datetime/interval arithmetic.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30082', 'datetime/interval column to be modified must be empty to decrease fractional second or leading field precision', 'datetime/interval column with existing data is being modified to decrease fractional second or leading field precisions.', 'Such columns are only allowed to increase the precisions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30083', 'syntax error was found in interval value expression', 'A syntax error was found during parsing an interval value value expression.', 'Correct the syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30084', 'invalid data type for datetime primary with time zone modifier', 'When a time zone modifier is specified, the data type of datetime primary must be one of the following: TIME, TIME WITH TIME ZONE, TIMESTAMP, TIMESTAMP WITH TIME ZONE.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30085', 'syntax error was found in overlaps predicate', 'A syntax error was found during parsing an overlaps predicate.', 'Correct the syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30086', 'interval year-month result not allowed for datetime subtraction', 'An attempt was made to specify interval year to month as the result of datetime subtraction.', 'This is not allowed currently due to unclear specification in SQL Standards for this interval type. Change the interval type to interval day to second and resubmit statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30087', 'Adding two datetime values is not allowed', 'An attempt was made to add two datetime values.', 'This addition is not allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30088', 'datetime/interval precision is out of range', 'The specified datetime/interval precision was not between 0 and 9.', 'Use a value between 0 and 9 for datetime/interval precision.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30089', 'missing or invalid <datetime field>', 'A <datetime field> (YEAR, MONTH, DAY, HOUR, MINUTE, SECOND) is expected but not found, or a <datetime field> specified the <end field> in an <interval qualifier> is more significant than its <start field>.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30100', 'internal error [number]', 'An internal error has occurred.', 'Contact Oracle Worldwide Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30101', 'unknown parameter name ''string''', 'You have misspelled the parameter name.', 'Spell the parameter name correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30102', '''string'' is not in the legal range for ''string''', 'The value of the parameter is not within the legal range.', 'Refer to the manual for the allowable values for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30103', '''string'' contains an illegal integer radix for ''string''', 'An illegal integer radix specification was found.', 'Only ''d'', ''h'', ''D'', and ''H'' may be used as radix specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30104', '''string'' is not a legal integer for ''string''', 'The value is not a valid integer.', 'Specify only valid integers for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30105', '''string'' is not a legal boolean for ''string''', 'The value is not a valid boolean.', 'Refer to the manual for allowable boolean values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30107', 'parameter name abbreviation ''string'' is not unique', 'The abbreviation given was not unique.', 'Use a longer abbreviation to make the parameter name unique.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30108', 'invalid positional parameter value ''string''', 'An invalid positional parameter value has been entered.', 'Remove the invalid positional parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30109', 'could not open parameter file ''string''', 'The parameter file does not exist.', 'Create an appropriate parameter file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30110', 'syntax error at ''string''', 'A syntax error was detected.', 'Change the input so that the correct syntax is used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30111', 'no closing quote for value ''string''', 'A quoted string was begun but not finished.', 'Put a closing quote in the proper location.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30112', 'multiple values not allowed for parameter ''string''', 'You attempted to specify multiple values for a parameter which can take only one value.', 'Do not specify more than one value for this parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30113', 'error when processing file ''string''', 'A problem occurred when processing this file.', 'Examine the additional error messages and correct the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30114', 'error when processing from command line', 'A problem occurred when processing the command line.', 'Examine the additional error messages and correct the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30115', 'error when processing an environment variable', 'A problem occurred when processing an environment variable.', 'Examine the additional error messages and correct the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30116', 'syntax error at ''string'' following ''string''', 'A syntax error was detected.', 'Change the input so that the correct syntax is used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30117', 'syntax error at ''string'' at the start of input', 'A syntax error was detected.', 'Change the input so that the correct syntax is used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30118', 'syntax error at ''string'' at the end of input', 'A syntax error was detected.', 'Change the input so that the correct syntax is used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29283', 'invalid file operation', 'An attempt was made to read from a file or directory that does not exist, or file or directory access was denied by the operating system.', 'Verify file and directory access privileges on the file system, and if reading, verify that the file exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29284', 'file read error', 'An attempt to read from a file failed.', 'Verify that the file exists, and that it is accessible, and that it is open in read mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29285', 'file write error', 'Failed to write to, flush, or close a file.', 'Verify that the file exists, that it is accessible, and that it is open in write or append mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29286', 'internal error', 'A fatal error occurred while allocating PL/SQL session memory.', 'Verify that the PL/SQL session is connected and that adequate memory resources are available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29287', 'invalid maximum line size', 'An invalid maximum line size value was specified.', 'Correct the maximum line size to be in the range [1, 32767].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29288', 'invalid file name', 'A NULL or zero length file name was specified.', 'Correct the file name to be a nonzero length string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29289', 'directory access denied', 'A directory object was specified for which no access is granted.', 'Grant access to the directory object using the command GRANT READ ON DIRECTORY [object] TO [username];.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29290', 'invalid offset specified for seek', 'An attempt was made to seek past the end of the file, or both the absolute and relative offsets were NULL, or absolute offset was less than zero.', 'If specifying an absolute offset, ensure it is in the range [0, <total number of bytes in the file>], or if specifying a relative offset, ensure it is no greater than the current byte position plus the number of bytes remaining in the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29291', 'file remove operation failed', 'A file deletion attempt was refused by the operating system.', 'Verify that the file exists and delete privileges granted on the directory and the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29292', 'file rename operation failed', 'A file rename attempt was refused by the operating system either because the source or destination directory does not exist or is inaccessible, or the source file isn''t accessible, or the destination file exists.', 'Verify that the source file, source directory, and destination directory exist and are accessible, and that the destination file does not already exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29293', 'A stream error occurred during compression or uncompression.', 'The stream state was discovered to be invalid during compression or uncompression, or an invalid compression quality was requested or a NULL or invalid compression parameter was detected.', 'Verify that quality is within the range [0,9] and that valid input source data exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29294', 'A data error occurred during compression or uncompression.', 'An error occurred while compressing or uncompressing input source.', 'Verify that source data is a valid compressed or uncompressed data set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29295', 'invalid mime header tag', 'An error occurred while scanning string for mime header tag', 'Verify that source data is a valid mime header string, in the format: =?<charset>?<encoding>?<encoded string>?=', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29296', 'invalid encoded string', 'An error occurred while decoding the input string', 'Verify that source data is a valid encoded string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29297', 'The compressed representation is too big', 'The compressed output is too big to return.', 'Do not attempt to compress source data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29298', 'Character set mismatch', 'The character set mode in which the file was opened did not match the character set of the read or write operation.', 'Use the correct UTL_FILE read and write procedures which coorespond to the character set mode in which the file was opened.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29299', 'Invalid handle for piecewise compress or uncompress', 'The process program opened too many handles, and the specified handle was either uninitialized or outside a valid range.', 'Close some handles and verify that the specified handle is opened or within a valid range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29300', 'ORACLE error, tablespace point-in-time recovery', 'Another ORACLE error occured in the DBMS_PITR package.', 'See the text of the error message for a description of the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29301', 'wrong DBMS_PITR package function/procedure order', 'The DBMS_PITR package function/procedure was called in an incorrect order.', 'Restart tablespace point-in-time recovery with a correct procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29302', 'database is not open clone', 'The database was not opened as a clone database.', 'Mount the database clone and open the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29337', 'tablespace ''string'' has a non-standard block size (string)', 'The tablespace has a non-standard block size and making such a tablespace read-write is not permitted.', 'Use some other mechanism to import the data', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29338', 'datafile string is in an undesired state (string, string)', 'The referred datafile is not in a state ready for tablespace copy operation. For example, the datafile may be offline. The datafile needs to be ONLINE, and either READ ONLY or READ WRITE.', 'Put the datafile into the desired state.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29339', 'tablespace block size string does not match configured block sizes', 'The block size of the tablespace to be plugged in or created does not match the block sizes configured in the database.', 'Configure the appropriate cache for the block size of this tablespace using one of the various (db_2k_cache_size, db_4k_cache_size, db_8k_cache_size, db_16k_cache_size, db_32K_cache_size) parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29340', 'export file appears to be corrupted: [string] [string] [string]', 'This is caused either by a corrupted export file or by an Oracle internal error.', 'Make sure the export file used for transportable tablespace is not corrupted. If the error still occurs, call Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29341', 'The transportable set is not self-contained', 'The set of objects in the set of tablespaces selected are not self-contained.', 'Consider using different export options, or removing some of the pointers that caused the violation, or selecting a different set of tablespaces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29342', 'user string does not exist in the database', 'The referred user is one of the owners of data in the pluggable set. This user does not exist in the database.', 'Consider either creating the user in the database or map the user to a different user via FROM_USER and TO_USER import options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29343', 'user string (mapped from user string) does not exist in the database', 'The referred user is one of the owners of data in the pluggable set. This user does not exist in the database.', 'Consider either creating the user or map the original user to a different user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29344', 'Owner validation failed - failed to match owner ''string''', 'The system failed to match the referred owner. There are two cases that this may occur. (1) This user owns data in the transportable set, but this user is not specified in the TTS_OWNERS list of the import command line option, assuming that TTS_OWNERS is specified. (2) This user is specified in the TTS_OWNER list, but this user does not own any data in the transportable set.', 'Retry import with a different OWNER list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26786', 'A row with key string exists but has conflicting column(s) string in table string', 'The row to update or delete exists in the table but had conflicting value for some columns.', 'For Streams, please define a conflict resolution, or resolve the conflict and execute the error transaction using DBMS_APPLY_ADM.EXECUTE_ERROR. For logical standby, please verify the status of the database guard to ensure local modifications are not allowed, then re-instantiate the table and contact support if the problem persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30120', '''string'' is not a legal oracle number for ''string''', 'The value is not a valid oracle number.', 'Refer to the manual for allowable oracle number values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30121', '''string'' is not an allowable value for ''string''', 'The value is not a legal value for this parameter.', 'Refer to the manual for allowable values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30122', 'value ''string'' for ''string'' must be between ''number'' and ''number''', 'The value of the parameter is not within the legal range.', 'Specify a value that is within the legal range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30129', 'invalid function argument received', 'A function received an invalid argument', 'Check function calls, make sure correct arguments are being passed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30130', 'invalid parameter key type received', 'A function received an invalid parameter key type', 'Check parameter key types in function calls', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30131', 'number of keys being set exceeds allocation', 'Number of parameter keys being set exceeds allocation', 'Reduce the number of keys being set or increase allocation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30132', 'invalid key index supplied', 'The key index specified was not within bounds', 'Change key index to ensure it lies within bounds', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30135', 'OCI Thread operation fails', 'An OCI Thread function call has failed.', 'Check the function call to make sure that the correct parameters are being passed and take the apropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30136', 'Drop-in compatibility is not supported for this application', 'The current application is statically linked with defopt.o from an older release, which is incompatible with the current client shared library.', '1) Relink the application against the new release of the client library; or 2) Relink the application against the older release of the client library without statically linking defopt.o.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30150', 'Invalid argument passed to OCIFile function', 'An invalid argument is passed to the OCIFile function. The most common cause is that a NULL pointer is passed where a non-NULL pointer is expected.', 'Make sure that the values passed as arguments are valid. Esp check for NULL pointers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30151', 'File already exists', 'Tried to open a file with OCI_FILE_EXCL flag and the file already exists.', 'OCIFile is supposed throw this exception in this case.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30152', 'File does not exist', 'The OCIFile function requires the file to exist, but it does not.', 'Make sure that the file exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30153', 'An invalid File Object is passed to the OCIFile function', 'An invalid File Object is passed to the OCIFile function.', 'Make sure that the file object is a valid one. Create a new file object by calling OCIFileOpen if needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30154', 'The memory address given as buffer for OCIFileRead/Write is invalid', 'An invalid memory address is given as the buffer pointer for OCIFileRead/Write.', 'Make sure that the required memory is allocated and pass a valid memory address as buffer pointer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30155', 'An I/O Error occured during an OCIFile function call', 'An I/O error occurred at the system level.', 'This is a system error and the action will depnd on the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30156', 'Out of disk space', 'The disks associated with the underlying file system are full.', 'Create more disk space.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30157', 'An invalid argument was given to operating system call', 'The OS call was called with an invalid argument.', 'Check the values passed. If unsuccessful to solve the problem contact ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30158', 'The OCIFileWrite causes the file to exceed the maximum allowed size', 'There is no space to write to the file. Its size is at the maximum limit.', 'Up to the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30159', 'OCIFileOpen: Cannot create the file or cannot open in the requested mode', 'The create flag was specified in OCIFileOpen such that the file was to be created. But unable to do so. Or the file already exists and the permissions on it doesn''t allow the file to be opened in in the requested open mode', 'Check whether the user has permissions to create the specified file or if the file exists whether the permissions on it allow the requested open mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30160', 'Unable to access the file', 'The function was unable to access the existing the file.', 'Check if the user has the required permissions on the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30161', 'A system error occurred during the OCIFile function call', 'A system error occured while executing the OCIFile function.', 'Depend on the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30162', 'The OCIFile context is not initialzed', 'The function OCIFileInit need to be called before calling any other OCIFile function to initialize the OCIFile context.', 'Call the function OCIFileInit need to be called before calling any other OCIFile function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30163', 'The thread safety initialization failed', 'The call to SlgInit failed in OCIFileInit.', 'Contact support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30175', 'invalid type given for an argument', 'There is an argument with an invalid type in the argument list.', 'Use the correct type wrapper for the argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30176', 'invalid format code used in the format string', 'There is an invalid format code in the format string.', 'Replace the invalid format code with a valid one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30177', 'invalid flag used in a format specification', 'There is an invalid flag in a format specification.', 'Replace the invalid flag with a valid one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30178', 'duplicate flag used in a format specification', 'There is a duplicate flag in a format specification.', 'Remove the duplicate flag.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30179', 'invalid argument index used in a format code', 'Zero or negative argument index or index not following (."', 'Replace the invalid argument index with a valid one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30180', 'argument index is too large', 'An argument index exceeds actual number of arguments supplied.', 'Fix format string or pass additional arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30181', 'integer in argument index is not immediately followed by )', 'Missing closing parenthesis in argument index.', 'Fix the format specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30182', 'invalid precision specifier', 'Period in format specification not followed by valid format.', 'Replace the invalid precision specifier with a valid one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30183', 'invalid field width specifier', 'Invalid field width supplied.', 'Replace the invalid field width with a valid one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30184', 'argument type not compatible with a format code', 'Bad argument type given for a format code.', 'Make format and arguments be compatible.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30185', 'output too large to fit in the buffer', 'The buffer is not large enough to hold the entire output string.', 'Fix the buffer size and length passed in.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30186', '''\'' must be followed by four hexdecimal characters or another ''\''', 'In the argument of SQL function UNISTR, a '''' must be followed by four hexdecimal characters or another ''''', 'Fix the string format', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30191', 'missing argument list', 'No argument list supplied.', 'Modify the argument list to have at least OCIFormatEnd in it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30000', 'missing either trim specification or char expression in TRIM', 'Since FROM is specified in TRIM function, either trim specification (TRAILING, HEADING, BOTH) or trim character or both must be specified.', 'Add either trim specification (TRAILING, HEADING, BOTH) or trim character or both.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30201', 'Unable to load NLS data object', 'It may be caused by invalid NLS environment setting', 'Check your NLS environment setting such as ORA_NLS33', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30202', 'NULL pointer to OCIMsgh was passed to OCIMsg function', 'The NULL pointer was passed.', 'Check your value of OCIMsgh pointer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30203', 'Cannot open mesage file', 'The message may not exist in your system.', 'Check your message for the given product and facility.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30204', 'buffer is not large enougth', 'The destination buffer is not large enough for storing converted data.', 'Check the size of the destination buffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30205', 'invalid Character set', 'The specified character set is invalid.', 'Check if the character set ID is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30331', 'summary does not exist', 'A non-existant summary name was specified.', 'Check the spelling of the summary name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30332', 'container table already in use by other summary', 'Another summary is already using this table as a container table.', 'Select another table or materialized view as the container table for this summary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30333', 'dimension does not exist', 'The dimension named in a dimension DDL statment does not exist.', 'Check the spelling of the dimension name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30334', 'illegal dimension level name', 'A level name in a dimension ddl statement did not conform to SQL identifier rules.', 'Use a level name that begins with a letter, consists of only letters, digits, and underscores and contains no more than 30 characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30335', 'JOIN KEY clause references a level not in this hierarchy', 'The level name specified with the REFERENCES portion of a JOIN KEY clause in a dimension DDL statement does not reference a level in the hierarchy that contains the JOIN KEY clause. *Acction: Check the spelling of the level name.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30336', 'no child for specified JOIN KEY', 'The level specified in the REFERENCES portion of a JOIN KEY clause in a dimension DDL statement does not have a child level.', 'Check the spelling of the level name referenced in the JOIN KEY clause. If the referenced level is the first level in the hierarchy, you need not and must not specify a JOIN KEY clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30337', 'multiple JOIN KEY clauses specified for the same parent level', 'Multiple JOIN KEY clauses were specified for a given parent level in a dimension hierarchy.', 'Match up each JOIN KEY clause with the level it references in the hierarchy. Eliminate the redundant JOIN KEY clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30338', 'illegal dimension hierachy name', 'An illegal dimension hierarchy name was specified in a dimension DDL statement.', 'Make sure the name begins with a letter, contains only letters, digits and underscore and contains no more than 30 characters. If you qualify the name with the owner name, make sure the owner name conforms with the requirements for an owner name on your system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30339', 'illegal dimension attribute name', 'An illegal dimension attribute name was specified in a dimension DDL statement.', 'Make sure the name begins with a letter, contains only letters, digits and underscore and contains no more than 30 characters. If you qualify the name with the owner name, make sure the owner name conforms with the requirements for an owner name on your system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30340', 'illegal dimension name', 'An illegal dimension name was specified in a dimension DDL statement.', 'Make sure the name begins with a letter, contains only letters, digits and underscore and contains no more than 30 characters. If you qualify the name with the owner name, make sure the owner name conforms with the requirements for an owner name on your system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30341', 'dropped level has references', 'An attempt was made to drop a level using the default or RESTRICT option in a dimension while references to that level remain in the dimension. References can occur in hierarchies and attributes within the dimension.', 'First remove any referenes to the level prior to dropping it, or specify the CASCADE option with the DROP LEVEL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30342', 'referenced level is not defined in this dimension', 'A reference to a level not defined within the dimension was found.', 'Check the spelling of the level name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30343', 'level name is not unique within this dimension', 'Two or more levels were defined with the same name.', 'Check the spelling of the level names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30344', 'number of child cols different from number of parent level cols', 'The number of child columns specified in a JOIN KEY clause is not the same as the number of columns in the specified parent level.', 'Check the child columns and the columns in the definition of the referenced parent level and correct the discrepency.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30345', 'circular dimension hierarchy', 'A circularity was found the dimension hierarchy.', 'Check the hierarchy for a level name that occurs more than once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30346', 'hierarchy name must be unique within a dimension', 'The same name was used for more than one hierarchy in a dimension.', 'Check the spelling of the hierarchy name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30347', 'a table name is required to qualify the column specification', 'A table name was omitted in a column specification where where the column must be qualified by the table name.', 'Qualify the column with the table name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30348', 'ADD and DROP cannot both be specified', 'One or more ADD clauses were found in the same ALTER DIMENSION statement with one or more DROP clauses.', 'Separate your ADD operations into one ALTER DIMENSION statement and your DROP operations into another.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30349', 'specified dimension hierarchy does not exist', 'A hierarchy name was encountered that is not defined within the dimension.', 'Check the spelling of the hierarchy name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30350', 'specified dimension attribute does not exist', 'An attribute name was encountered that is not defined within the dimension.', 'Check the attribute name spelling.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30351', 'query rewrite does not currently support this expression', 'A complex expression was specified that is is not currently supported by query rewrite.', 'Reduce the complexity of the expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30352', 'inconsistent numeric precision or string length', 'The SELECT expression was of a different numeric precision or string length than the corresponding container column. Therefore, query rewrite cannot guarantee results that are identical to the results obtained with the un-rewritten query.', 'Correct the precision or string length difference, specify the WITH REDUCED PRECISION option, or disable the REWRITE option on the materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30353', 'expression not supported for query rewrite', 'The select clause referenced UID, USER, ROWNUM, SYSDATE, CURRENT_TIMESTAMP, MAXVALUE, a sequence number, a bind variable, correlation variable, a set result,a trigger return variable, a parallel table queue column, collection iterator, etc.', 'Remove the offending expression or disable the REWRITE option on the materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30119', 'unable to obtain a valid value for ''string''', 'No valid value was obtained for this parameter.', 'Rerun the application and enter a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30355', 'materialized view container does not exist', 'A DROP TABLE command was issued directly against the materialized view container table.', 'Use the DROP MATERIALIZED VIEW command to clean up the residual meta data for the materialized view. Then use the CREATE MATERIALIZED VIEW statement to recreate the materialized view. Thereafter, use the DROP MATERIALIZED VIEW command rather than the DROP TABLE command to drop a materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30356', 'the specified refresh method is not supported in this context', 'The refresh method that was specified is not currently supported.', 'Specify a different refresh method or change the context to enable support of the chosen refresh method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30357', 'this PL/SQL function cannot be supported for query rewrite', 'The statement referenced a PL/SQL function that is not marked DETERMINISTIC.', 'Perform one of the following actions:' || '<p>' || '- Remove the use of the PL/SQL function.' || '<p>' || '' || '<p>' || '- Mark the PL/SQL function as DETERMINISTIC.' || '<p>' || '' || '<p>' || '- Disable the REWRITE option on the materialized view. The function should be marked DETERMINISTIC only if it always returns the same result value for any given set of input argument values, regardless of any database state or session state. Do not mark the function as DETERMINISTIC if it has any meaningful side-effects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30358', 'summary and materialized view are not in same schema', 'An internal Oracle error occured.', 'Report the problem through your normal support channels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30359', 'Query rewrite is not supported on SYS materialized views', 'An attempt was made to enable the REWRITE option on a materialized view in the SYS schema.', 'Create the materialized view in a different schema or disable the REWRITE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30360', 'REF not supported with query rewrite', 'The statement contained a REF operator. Repeatable behavior cannot be guaranteed with the REF operator. Therefore, query rewrite cannot support the REF operator.', 'Remove the reference to the REF operator or disable the REWRITE option on the materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30361', 'unrecognized string type', 'An internal Oracle error occured.', 'Report the problem through your normal support channels.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30362', 'dimension column cannot be a sequence', 'The dimension statement referenced a column that is a sequence.', 'Remove the reference to the sequence.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30363', 'columns in a dimension column list must be in the same relation', 'The dimension statement contained a column list where the columns are not all from the same relation.', 'Specify the list of columns using only columns from a single relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30364', 'this level has the same set of columns as another', 'The level definition contained the same set of columns as another level.', 'Eliminate the redundant level definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30365', 'left relation in the JOIN KEY clause cannot be same as right', 'The relation of the child columns on the left side of the JOIN KEY clause was the same as that of the parent level on the right side.', 'Remove the JOIN KEY clause. It is not required or allowed when the child and the parent are in the same relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30366', 'child JOIN KEY columns not in same relation as child level', 'The relation of the child columns on the left side of the JOIN KEY clause differed from that of that child level.', 'Specify the correct child columns in the JOIN KEY clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30367', 'a JOIN KEY clause is required', 'A JOIN KEY clause was omitted in a dimension statement. A JOIN KEY clause is required when the child level and the parent level are not in the same relation.', 'Specify a JOIN KEY clause to indicate how the relation of the child level joins to the relation of the parent level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30368', 'ATTRIBUTE cannot determine column in a different relation', 'An ATTRIBUTE clause in a dimension statement specified a determined column on the right that is in a different relation than that of the level on the left.', 'Specify attibutes only for those dimension levels that functionally determine other columns within the same relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30369', 'maximum number of columns is 32', 'A list of columns was specified using more than 32 columns.', 'Specify the list using no more than 32 columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30370', 'set operators are not supported in this context', 'A set operator such as UNION, UNION ALL, INTERSECT, or MINUS was encountered in an unsupported context, such as in a materialized view definition.', 'Re-specify the expression to avoid the use of set operators.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30371', 'column cannot define a level in more than one dimension', 'A column was used in the definition of a level after it had already been used to define a level in a different dimension.', 'Reorganize dimension levels and hierarchies into a single dimension such that no column is used to define levels in different dimensions. There is no limit on the number of levels or hierarchies you can place in a dimension. A column can be used to define any number of levels provided all such levels are in the same dimension and provided no two levels contain identical sets of columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30372', 'fine grain access policy conflicts with materialized view', 'A fine grain access control procedure has applied a non-null policy to the query for the materialized view.', 'In order for the materialized view to work correctly, any fine grain access control procedure in effect for the query must return a null policy when the materialized view is being created or refreshed. This may be done by ensuring that the usernames for the creator, owner, and invoker of refresh procedures for the materialized view all receive a null policy by the user-written fine grain access control procedures.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30373', 'object data types are not supported in this context', 'An object data type was encountered in an unsupported context.', 'Re-specify the expression to avoid the use of objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30374', 'materialized view is already fresh', 'If the materialized view is fresh, ORACLE ignores the ALTER MATERIALIZED VIEW <mv> RELY FRESH command, and issues this error message.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30375', 'materialized view cannot be considered fresh', 'If the materialized view is invalid or unusable, it cannot be considered fresh with the ALTER MATERIALIZED VIEW <mv> CONSIDER FRESH command.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30376', 'prevent sharing of a parsed query of an explain rewrite session', 'Explain rewrite generates a shared cursor after parsing the user query. Raising this error will prevent the cursor from being shared.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30377', 'table string.MV_CAPABILITIES_TABLE not found', 'You have used the DBMS_MVIEW.EXPLAIN_MVIEW() API before you have defined the MV_CAPABILITIES_TABLE.', 'Invoke the admin/utlxmv.sql script after connecting to the desired schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30382', 'DROP MATERIALIZED VIEW string.string operation is not complete', 'The drop materialized view operation got an unexpected error while dropping summary object.', 'Issue the drop materialized view command again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30383', 'specified dimension level does not exist in the attribute', 'An attribute level was encountered that is not defined within the attribute.', 'Check the attribute level name spelling.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29345', 'cannot plug a tablespace into a database using an incompatible character set', 'Oracle does not support plugging a tablespace into a database using an incompatible character set.', 'Use import/export or unload/load to move data instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29346', 'invalid tablespace list', 'the tablespace list supplied to dbms_tts.transport_set_check PL/SQL routine is in an incorrect format.', 'Check the manual and use the correct format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29347', 'Tablespace name validation failed - failed to match tablespace ''string''', 'The system failed to match the referred tablespace. There are 2 cases that this may happen. (1) This tablespace is in the transportable set, but it is not specified in the TABLESPACES list of the import command line option, assuming that TABLESPACES is specified. (2) This tablespace is in the TABLESPACES list, but it is not in the transportable set.', 'Retry the operation with the correct TABLESPACES list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29348', 'You must specify the datafiles to be plugged in', 'The datafiles to be plugged in are not specified.', 'Specify the datafiles via the import DATAFILES command line option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29349', 'tablespace ''string'' already exists', 'Tried to plug-in a tablespace which already exists.', 'Drop the offending tablespace if possible. Otherwise use a different method (e.g., import/export) to move data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29351', 'can not transport system, sysaux, or temporary tablespace ''string''', 'The referred tablespace is either the system tablespace, the sysaux tablespace, or a temporary tablespace.', 'Do not include this tablespace in the transportable set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29352', 'event ''string'' is not an internal event', 'The DBMS_SYSTEM.WAIT_FOR_EVENT procedure was called with an event name that is not an internal event.', 'Check the list of events from X$KSLED and verify the event name parameter passed to the WAIT_FOR_EVENT procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29353', 'The transportable list is too long.', 'The transportable list exceeds the buffer size of 32767.', 'Reduce the list of tablespaces to transport.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29355', 'NULL or invalid string argument specified', 'The named argument was either invalid or specified as a NULL', 'Specify non-null, valid arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29356', 'These parameters can be specified only for directives that refer to consumer groups', 'The below parameters were specified as an argument to procedure CREATE_PLAN_DIRECTIVE or UPDATE_PLAN_DIRECTIVE of package DBMS_RESOURCE_MANAGER.where the GROUP_OR_SUBPLAN argument is a resource plan. "ACTIVE_SESS_POOL_P1", "QUEUEING_P1", "PARALLEL_DEGREE_LIMIT_P1", "SWITCH_P1", "SWITCH_P2", "SWITCH_P3", "MAX_EST_EXEC_TIME", "UNDO_POOL"', 'Specify these parameters only for consumer group directives.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29357', 'object string already exists', 'The name specified as argument to procedure CREATE_PLAN, CREATE_CONSUMER_GROUP, or CREATE_CATEGORY of package DBMS_RESOURCE_MANAGER is already in use.', 'Specify an unused name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29358', 'resource plan string does not exist', 'An invalid plan name was specified as an argument to procedure UPDATE_PLAN of package DBMS_RESOURCE_MANAGER.', 'Specify an existing plan name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29359', 'invalid method name string specified for resource plan string', 'An invalid method was specified as an argument to procedure CREATE_PLAN or UPDATE_PLAN of package DBMS_RESOURCE_MANAGER.', 'Specify a valid method name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29360', 'retry operation. Too much concurrent activity', 'An attempt was made to revoke the switch consumer group privilege from a user for his/her initial consumer group but someone is modifying the user in another session.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29361', 'value string is outside valid range of 0 to 100', 'An invalid value was specified for a plan directive parameter.', 'Specify a value between 0 and 100 inclusive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29362', 'plan directive string, string does not exist', 'A non-existent plan directive was specified for procedure UPDATE_PLAN_DIRECTIVE of package DBMS_RESOURCE_MANAGER.', 'Specify an existing plan directive for update.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29363', 'plan directive string, string is mandatory and cannot be modified or deleted', 'An attempt was made to modify a mandatory plan directive.', 'Do not attempt to modify mandatory plan directives because they are required by the Resource Manager and cannot be modified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29364', 'plan directive string, string already exists', 'An attempt was made to create a plan directive that already exists.', 'Retry the create operation using different values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29365', 'parameters string and string cannot both be set', 'An attempt was made to set both parameters.', 'Only set one of parameters or neither of them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29366', 'invalid CONSUMER_GROUP argument specified', 'An invalid consumer group name was specified.', 'Specify a non-NULL, valid consumer group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29367', 'object string does not exist', 'A non-existent object name was specified as an argument to procedure CREATE_PLAN_DIRECTIVE of package DBMS_RESOURCE_MANAGER.', 'Specify a valid plan or consumer group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29368', 'consumer group string does not exist', 'An non-existent consumer group was specified.', 'Specify an existing consumer group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29369', 'invalid method name string specified for consumer group string', 'An invalid method name was specified as an argument to procedure CREATE_CONSUMER_GROUP or UPDATE_CONSUMER_GROUP of package DBMS_RESOURCE_MANAGER.', 'Specify a valid method name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29370', 'pending area is already active', 'An attempt was made to activate a pending area that is already active.', 'Wait until the pending area is no longer active; then, retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29371', 'pending area is not active', 'An attempt was made to make changes without creating a pending area.', 'Invoke procedure CREATE_PENDING_AREA before making any changes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29372', 'identifier string is too long; it must be less than string characters', 'An attempt was made to specify an identifier that is more than 30 characters long.', 'Use an identifier that is 30 characters or less in length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29373', 'resource manager is not on', 'An attempt was made to execute an operation that cannot be executed with the resource manager being off', 'Turn on the resource manager and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29374', 'resource plan string in top-plan string has no plan directives', 'A plan was created in the pending area that is an orphan or stand-alone.', 'Create plan directives if needed. Otherwise, delete the plan.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29375', 'sum of values string for level string, plan string exceeds string', 'The sum of plan directive parameter values for the specified plan level exceeded 100.', 'Alter the values for the level so that they sum to 100.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29376', 'number of consumer groups string in plan string exceeds string', 'The number of consumer groups in the specified plan is more than 31.', 'Change the plan to have no more than 31 consumer groups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29377', 'consumer group string is not part of top-plan string', 'OTHER_GROUPS was not included as part of the specified top-plan. Each top plan must include the built-in consumer group OTHER_GROUPS.', 'Create a plan directive with the argument GROUP_OR_SUBPLAN being OTHER_GROUPS somewhere in the top-plan.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29378', 'invalid consumer group mapping priorities', 'The mapping priorities were not unique integers within the valid range.', 'Set the mapping priorities to unique integers within the documented range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30200', 'Wrong NLS item was passed into OCINlsGetInfo()', 'The item is not supported NLS item', 'Correct the item number passed to OCINlsGetInfo().', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30385', 'specified attribute relationship (''string'' determines ''string'') exists', 'The specified attribute relationship has already been declared in one of the attribute clauses', 'Remove the duplicate attribute relationship', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30386', 'invalid SQL statement for DECLARE_REWRITE_EQUIVALENCE', 'Either the source or destination statement is NULL', 'Verify both source and destination statement are valid', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30387', 'invalid rewrite mode for REWRITE_EQUIVALENCE API', 'The specified rewrite mode is not supported by REWRITE_EQUIVALENCE API', 'Verify the rewrite mode is supported by REWRITE_EQUIVALENCE API', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30388', 'name of the rewrite equivalence is not specified', 'The name of the rewrite equivalence is NULL', 'Input a valid rewrite equivalence name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30389', 'the source statement is not compatible with the destination statement', 'The SELECT clause of the source statement is not compatible with the SELECT clause of the destination statement', 'Verify both SELECT clauses are compatible with each other such as numbers of SELECT list items are the same and the datatype for each SELECT list item is compatible', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30390', 'the source statement is not equivalent to the destination statement', 'the set of rows returned by the source SQL text is not the same as the set of rows returned by the destination SQL text', 'Make sure both source and destination statement return the same number of rows', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30391', 'the specified rewrite equivalence does not exist', 'the specified rewrite equivalence does not exist', 'Verify the rewrite equivalence has been created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30392', 'the checksum analysis for the rewrite equivalence failed', 'the given checksum does not match with that generated from the source and destination statements.', 'Verify the create safe rewrite equivalence statement to see if it has been modified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30393', 'a query block in the statement did not rewrite', 'A query block with a REWRITE_OR_ERROR hint did not rewrite', 'Verify the rewrite equivalence has been created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30394', 'source statement identical to the destination statement', 'The source statement was identical to the destination statement', 'Make sure both source and destination statements are not identical', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30397', 'multiple JOIN KEY clauses specified for the same child level', 'Multiple JOIN KEY clauses were specified for a given child level in a dimension hierarchy.', 'Eliminate the redundant JOIN KEY clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30398', 'illegal JOIN KEY clause', 'A JOIN KEY clause was specified that did not conform to certain requirements. A JOIN KEY clause connecting a child level with its non-immediate ancestor level is allowed only when that child level and its ancestor level satisfy the following conditions:' || '<p>' || '1. The immediate parent of the child level must be a skip level.' || '<p>' || '' || '<p>' || '2. The child level cannot be a skip level.' || '<p>' || '' || '<p>' || '3. The ancestor level must be a non-skip level.' || '<p>' || '' || '<p>' || '4. The ancestor level must be the nearest non-skip level to the child level in the hierarchy.', 'Modify the JOIN KEY clause so that it satisfies the conditions mentioned above.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30399', 'a skip level must have at least one column that allows NULL values', 'A SKIP clause cannot be specified with a level when all of the columns that make up the level have NOT NULL constraints.', 'Drop the SKIP clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30400', 'identical JOIN KEY clauses', 'Two JOIN KEY clauses with identical child keys and parent levels were specified.', 'Eliminate the redundant JOIN KEY clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30401', 'JOIN KEY columns must be non-null', 'The dimension statement failed because the column(s) in the JOIN KEY clause permitted NULL values. The JOIN KEY columns are related to the columns of the dimension''s skip levels in one or both of the following ways:' || '<p>' || '1. A skip level is defined over one or more of the JOIN KEY columns.' || '<p>' || '' || '<p>' || '2. The attribute clauses of a skip level determine one or more of the JOIN KEY columns.', 'Modify the JOIN KEY columns so that they do not allow NULL values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30430', 'list does not contain any valid summaries', 'List is empty or does not contain the names of existing summaries', 'Verify that the list of names passed to refresh contains the name of at least one existing summary object', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30431', 'refresh method must be ANY or INCREMENTAL or FORCE_FULL, not string', 'An invalid refresh method was specified', 'Verify that the refresh method is one of ''ANY'' or ''INCREMENTAL'' or ''FORCE_FULL''', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30432', 'summary ''string.string'' is in INVALID state', 'The summary is in INVALID state and cannot be refreshed', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30433', '''string.string'' is not a summary', 'There is no such summary, therefore it cannot be refreshed', 'Verify the correct name of the summary', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30434', 'refresh method must be one of FC?AN, not ''string''', 'An invalid refresh method was specified', 'Verify that the refresh method is one of ''FC?AN''', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30435', 'job_queue_processes must be non-zero in order to refresh summaries', 'The server must be started with parameter ''job_queue_processes'' greater than zero', 'Correct the value of job_queue_processes and restart the server instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30436', 'unable to open named pipe ''string''', 'The refresh process was unable to open a named pipe to the job queue process usually because of insufficient system resources', 'This is an internal error. Notify ORACLE technical support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30437', 'all job queue processes have stopped running', 'All of the job queue processes used by refresh have stopped for some reason. At least one job queue process must be running in order to refresh summaries.', 'This is an internal error. Notify ORACLE technical support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30438', 'unable to access named pipe ''string''', 'The refresh process was unable to access a named pipe to the job queue process after it successfully opened the pipe. This usually indicates an internal or operating system error condition.', 'This is an internal error. Notify ORACLE technical support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30439', 'refresh of ''string.string'' failed because of string', 'The refresh job queue process encountered an error and is reporting it. The accompanying text of the message indicates cause of the error', 'Varies, depending upon the reported cause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30440', 'can''t fast refresh;refresh complete or set event 30441 for partial refresh', 'Both DML and direct-load are performed against detail tables. Fast refresh can only process direct-load inserts.', 'Refresh complete or set event 30441 to enable partial refresh with only direct-load inserts', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30442', 'can not find the definition for filter string', 'For the specified filterid parameter, there is no corresponding filter definition found in the advisor repository', 'Use a valid filterid geneated by the create_filter function', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30443', 'definition for filter string''s item string is invalid', 'The specified filter is invalid. It contains at least one invalid filter item. If a filter item has a string list, it becomes illegal when the string list cannot be successfully parsed. If the filter item contains a range definition, and the lower bound of the range is greater than the higher bound, the item also becomes invalid.', 'Remove the illegal filter with the purge_filter sub-program and redefine a correct filter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30354', 'Query rewrite not allowed on SYS relations', 'A SYS relation was referenced in the select clause for a materialized view with query rewrite enabled.', 'Remove the reference to the SYS relation from the select clause or disable the REWRITE option on the materialized view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30445', 'workload queries not found', 'No workload queries in the advisor repository can satifiy the specified filter', 'Redefine a new filter or load additional workload queries that can satisfy the specified filter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30446', 'valid workload queries not found', 'None of the specified queries can be successfully parsed. The error may come from many sources: SQL syntax error, the owner specified by the load_workload subprograms do not match the real user who generates the SQL statement', 'Only load valid SQL statements into the advisor repository. Make sure the statements can be parsed with privilege of the owner as specified in the owner parameter of the load_workload() subprogram.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30447', 'internal data for run number string is inconsistent', 'Users should not explicitly modify summary advisor''s internal tables. Such modifications may cause inconsistency in the internal tables and result in this error.', 'Users can call the DBMS_OLAP.PURGE_RESULTS subprogram to remove the inconsistent data from summary advisor''s internal tables', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30448', 'internal data of the advisor repository is inconsistent', 'Users should not explicitly modify summary advisor''s internal tables. Such modifications may cause inconsistency in the internal tables and result in this error.', 'This is an internal error. Notify ORACLE technical support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30449', 'syntax error in parameter string', 'The syntax for the specified parameter is incorrect', 'Check ORACLE documentation for the correct syntax', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30450', 'refresh_after_errors was TRUE; The following MVs could not be refreshed: string', 'One or more errors occurred during a refresh of multiple summaries.', 'The number_of_failures parameter returns the count of how many failures occurred. The trace logs for each refresh operation describe the each individual failure in more detail', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30451', 'internal error', 'An internal error was detected by the summary refresh subsystem, and aborted the refresh operation', 'Notify ORACLE support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30452', 'cannot compute AVG(X), VARIANCE(X) or STDDEV(X), without COUNT(X) or SUM(X)', 'Incremental refresh of summaries requires a COUNT(X) column in order to incrementally refresh AVG(X). It requires both SUM(X) and COUNT(X) columns in order to in refresh STDDEV(X) or VARIANCE(X)', 'Make sure that the required columns are part of the summary definition if incremental refresh capability is desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30453', 'summary contains AVG without corresponding COUNT', 'Incremental refresh of summaries with AVG(X) requires a COUNT(X) column to be included in the summary definition', 'Make sure that the required columns are part of the summary definition if incremental refresh capability is desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30454', 'summary contains STDDEV without corresponding SUM & COUNT', 'Incremental refresh of summaries with STDDEV(X) requires COUNT(X) and SUM(X) columns to be included in the summary definition', 'Make sure that the required columns are part of the summary definition if incremental refresh capability is desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30455', 'summary contains VARIANCE without corresponding SUM & COUNT', 'Incremental refresh of summaries with VARIANCE(X) requires COUNT(X) and SUM(X) columns to be included in the summary definition', 'Make sure that the required columns are part of the summary definition if incremental refresh capability is desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30456', '''string.string'' cannot be refreshed because of insufficient privilege', 'The user lacks one or more permissions that are required in order to refresh summaries.', 'Make sure that the user is granted all required privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30457', '''string.string'' cannot be refreshed because of unmnanaged NOT NULL columns in container', 'The container object for the summary contains one or more unmanaged columns do not allow nulls, and which do not specify a default valur for those columns.', 'Make sure that default values are specified for all NOT NULL columns that are not part of the summary definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30458', '''string.string'' cannot be refreshed because the refresh mask is string', 'An attempt was made to incrementally refresh a summary that is not incrementally refreshable.', 'Do not attempt to incrementally refresh the summary; use full refresh instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30459', '''string.string'' cannot be refreshed because the refresh method is NONE', 'An attempt was made to refresh a summary whose refresh method is NONE', 'Summaries whose refresh method is NONE (NEVER REFRESH) cannot be refreshed. Alter the summary to change the default refresh method from NONE to some other value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30460', '''string.string'' cannot be refreshed because it is marked UNUSABLE', 'An attempt was made to refresh a summary which is UNUSABLE', 'Determine why the summary is UNUSABLE, re-enable it, and retry the refresh.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30461', '''string.string'' cannot be refreshed because it is marked DISABLED', 'An attempt was made to refresh a summary which is DISABLED', 'Determine why the summary is DISABLED, re-enable it, and retry the refresh.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30462', 'unsupported operator: string', 'An attempt was made to refresh a summary containing an unsupported operator', 'Verify that all columns of the summary contain expressions that are refreshable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30463', '''string'' is not a detail table of any summary', 'The list of tables passed to refresh_dependent contains at least one invalid table name. That table is not a detail table of any summary and is therefore an invalid input to refresh_dependent', 'Verify the correct name of all tables in the list', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30464', 'no summaries exist', 'A call was made to refresh_all_mviews, but no summaries exist. At least one summary must exist before calling refresh_all_mviews', 'Create one or more summaries', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30465', 'supplied run_id is not valid: string', 'There are three possible causes: The specified run_id does not exist; the run_id was created by another user other than the current user; the run_id has already been used.', 'Call DBMS_OLAP.CREATE_ID to create a new id', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30466', 'can not find the specified workload string', 'The specified workload_id is not valid', 'Use a valid workload_id or DBMS_OLAP.WORKLOAD_ALL', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30467', 'internal data for filter number string is inconsistent', 'Users should not explicitly modify summary advisor''s internal tables. Such modifications may cause inconsistency in the internal tables and result in this error.', 'Users can call the DBMS_OLAP.PURGE_FILTER subprogram to remove the inconsistent data from summary advisor''s internal tables', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30475', 'feature not enabled: string', 'The specified feature is not enabled.', 'Do not attempt to use this feature.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30476', 'PLAN_TABLE does not exist in the user''s schema', 'Estimate_Summary_Size uses Oracle SQL "EXPLAIN PLAN" command to estimate cardinality of the specified select-clause. This requires a table called the PLAN_TABLE in the user''s schema. For more information refer to the SQL Reference Manual.', 'Create the PLAN_TABLE as described for EXPLAIN PLAN. On most systems a script utlxplan.sql will create this table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30384', 'specified column name does not exist in the attribute', 'A column was encountered that is not defined within the attribute.', 'Check the attribute column name spelling.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30478', 'Specified dimension does not exist', 'the specified dimension to be verified does not exist', 'Check the spelling of the dimension name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30479', 'Summary Advisor error string', 'An error has occurred in the Summary Advisor package This message will be followed by a second message giving more details about the nature of the error.', 'See the Summary Advisor documentation for an explanation of the second error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30483', 'window functions are not allowed here', 'Window functions are allowed only in the SELECT list of a query. And, window function cannot be an argument to another window or group function.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30484', 'missing window specification for this function', 'All window functions should be followed by window specification, like <function>(<argument list>) OVER (<window specification>)', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30485', 'missing ORDER BY expression in the window specification', 'Either the ORDER BY expression is mandatory for this function, or there is an aggregation group without any ORDER by expression.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30486', 'invalid window aggregation group in the window specification', 'If the window specification is specified using RANGE option and there are multiple ORDER BY expressions, then the aggregation group cannot contain any expression (It can only have CURRENT ROW, UNBOUNDED PRECEDING, or UNBOUNDED FOLLOWING). First end point (bound) cannot be UNBOUNDED FOLLOWING and second end point cannot be UNBOUNDED PRECEDING. If the first end point is CURRENT ROW, then second end point can only be CURRENT ROW or <expr> /UNBOUNDED FOLLOWING. If the first end point is <expr> FOLLOWING, then second end point can only be <expr>/UNBOUNDED FOLLOWING.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30487', 'ORDER BY not allowed here', 'DISTINCT functions and RATIO_TO_REPORT cannot have an ORDER BY', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30488', 'argument should be a function of expressions in PARTITION BY', 'The argument of the window function should be a constant for a partition.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30489', 'Cannot have more than one rollup/cube expression list', 'GROUP BY clause has more than one rollup/cube expression list.', 'Modify the query such that only one rollup/cube expressions appear per sub-query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30490', 'Ambiguous expression in GROUP BY ROLLUP or CUBE list', 'An expression in the GROUP BY ROLLUP or CUBE list matches an expression in the ordinary GROUP BY expression list', 'Remove the expression from either ordinary GROUP BY expression list or ROLLUP or CUBE expression list', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30493', 'The percentile value should be a number between 0 and 1.', 'A percentile value for PERCENTILE_CONT or PERCENTILE_DISC function is specified out of range.', 'Specify a value from [0,1].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30500', 'database open triggers and server error triggers cannot have BEFORE type', 'An attempt was made to create a trigger that fires before the database is open or before server errors, but these types of triggers are not supported.', 'Do not attempt to create a trigger that fires before the database is open or before server errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30501', 'instance shutdown triggers cannot have AFTER type', 'An attempt was made to create a trigger that fires after an instance shutdown, but this type of trigger is not supported.', 'Do not attempt to create a trigger that fires after an instance shutdown.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30502', 'system triggers cannot have INSERT, UPDATE, or DELETE as triggering events', 'An attempt was made to create a system trigger with INSERT, UPDATE, or DELETE triggering events, but this type of trigger is not supported because a system trigger does not have a base table.', 'Do not attempt to create a system trigger with INSERT, UPDATE, or DELETE triggering events.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30503', 'system triggers cannot have a REFERENCING clause', 'An attempt was made to use a REFERENCING clause with a system trigger, but this type of trigger is not supported because a system triggers does not have a base table.', 'Do not use a REFERENCING clause with a system trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30504', 'system triggers cannot have a FOR EACH ROW clause', 'An attempt was made to use a FOR EACH ROW clause with a system trigger, but this type of trigger is not supported because a system triggers does not have a base table.', 'Do not use a FOR EACH ROW clause with a system trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30505', 'system triggers should not reference a column in a WHEN clause', 'An attempt was made to use a WHEN clause to reference a column with a system trigger, but this type of trigger is not supported because a system trigger does not have a base table.', 'Change the WHEN clause to an appropriate clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30506', 'system triggers cannot be based on tables or views', 'An attempt was made to base a system trigger on a table or a view.', 'Make sure the type of the trigger is compatible with the base object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30507', 'normal triggers cannot be based on a schema or a database', 'An attempt was made to base a normal trigger on a schema or a database, but normal triggers can be based only on tables or views.', 'Make sure the type of the trigger is compatible with the base object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30508', 'client logon triggers cannot have BEFORE type', 'An attempt was made to create a trigger that fires before logon. This type of trigger is not supported.', 'Do not attempt to create a trigger that fires before logon.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30509', 'client logoff triggers cannot have AFTER type', 'An attempt was made to create a trigger that fires after logoff. This type of trigger is not supported.', 'Do not attempt to create a trigger that fires after logoff.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30510', 'system triggers cannot be defined on the schema of SYS user', 'An attempt was made to define a system trigger on the schema of SYS user. This type of trigger is not supported currently.', 'Do not attempt to create a system trigger defined on the schema of SYS user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30511', 'invalid DDL operation in system triggers', 'An attempt was made to perform an invalid DDL operation in a system trigger. Most DDL operations currently are not supported in system triggers. The only currently supported DDL operations are table operations and ALTER?COMPILE operations.', 'Remove invalid DDL operations in system triggers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30512', 'cannot modify string.string more than once in a transaction', 'An attempt was made to modify an object more than once in a transaction. This error is usually caused by a DDL statement that fires a system trigger that tries to modify the same object. It can also happen when an attempt is made to perform more than one DDL operation on a queue table in the same transaction without issuing a commit between operations.', 'Do not create system triggers that might modify an already modified object. Also, do not specify more than one DDL operation on a queue table in the same transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30513', 'cannot create system triggers of INSTEAD OF type', 'Only BEFORE or AFTER triggers can be created on system events.', 'Change the trigger type to BEFORE or AFTER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29379', 'resource plan string is involved in a loop in top-plan string', 'A loop was discovered while validating a top-plan.', 'Check the plans that have the specified plan as a GROUP_OR_SUBPLAN, and remove the plan directive that causes the loop.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29380', 'resource plan string is currently active and cannot be deleted', 'An attempt was made to delete an active plan in the pending area. No changes can be made to active plans.', 'Delete the plan when it is not in use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29381', 'plan/consumer_group string referred to by another plan and cannot be deleted', 'An attempt was made to delete a plan or consumer group that is referred to by another plan.', 'Remove all plan directives that have the plan or consumer group as GROUP_OR_SUBPLAN; then delete the plan or consumer group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29382', 'validation of pending area failed', 'Invalid changes were attempted in the pending area.', 'See documentation and the error messages that follow this one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29383', 'all leaves of top-plan string must be consumer groups', 'An attempt was made to create or modify the specified top-plan but it has some plans as leaves.', 'To identify which plans and/or plan directives need to be modified, look at all plans that have no plan directives. Then, alter the top-plan so that all its leaves are consumer groups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29384', 'number of consumer groups and sub-plans for plan string exceeds string', 'An attempt was made to create or modify the specified plan, but the plan has more than 31 consumer groups or sub-plans.', 'Make sure the specified plan points to no more than 31 distinct consumer groups or sub-plans.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29385', 'cannot create plan directive from string to string', 'An attempt was made to create a plan directive from a plan to itself.', 'Make sure the arguments PLAN and GROUP_OR_SUBPLAN to procedure CREATE_PLAN_DIRECTIVE of package DBMS_RESOURCE_MANAGER are different.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29386', 'plan or consumer group string is mandatory and cannot be deleted or modified', 'An attempt was made to delete or modify the specified mandatory plan or consumer group.', 'Do not attempt to delete or modify mandatory plans and consumer groups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29387', 'no top-plans found in the pending area', 'The VALIDATE_PENDING_AREA procedure found that either the intended top-plan(s) are involved in a loop or there are no top-plans.', 'Check all edges going from a subplan to the intended top-plan. Make sure the top plan does not have any plan referring to it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29388', 'plan/consumer_group string is part of more than one top-plan', 'An attempt was made to delete a subtree that includes a plan or consumer group that is part of more than one top-plan as part of procedure DELETE_PLAN_CASCADE or package DBMS_RESOURCE_MANAGER. Such a plan or consumer group cannot be deleted.', 'Check the ancestors of the plan or consumer group and make sure it is only part of the top-plan that includes the subtree being deleted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29389', 'too many errors during validation', 'The number of errors detected during validation is too high.', 'Perform the necessary actions to remove some errors, and retry validation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29390', 'some resource plans are not part of any top-plan', 'An attempt was made to create or modify some plans in the pending area that are not part of any top-plan', 'Remove these plans are try validation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29391', 'string and string must be mandatory to create a mandatory plan directive', 'An attempt was made to create a mandatory plan directive where either PLAN or GROUP_OR_SUBPLAN or both were not mandatory', 'Recreate these objects as mandatory and then create the plan directive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29392', 'cpu parameters for level string for plan string must be zero', 'The cpu parameters for the specified level had a non-zero value, which is not a valid value for the plan''s current cpu policy.', 'Change the cpu level parameters for the specified level to zero or change the plan cpu policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29393', 'user string does not exist or is not logged on', 'An invalid user name was specified as argument to procedure SET_INITIAL_CONSUMER_GROUP of package DBMS_RESOURCE_MANAGER or SWITCH_CONSUMER_GROUP_FOR_USER of package DBMS_SYSTEM or the specified user was not logged on.', 'Specify a valid user name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29394', 'session id string and serial# string do not exist', 'Invalid session id and serial# were specified as arguments to procedure SWITCH_CONSUMER_GROUP_FOR_SESS of package DBMS_SYSTEM.', 'Specify valid values from the view V$SESSION.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29395', 'cannot set the initial consumer group to string', 'An attempt was made to set the initial consumer group of a user to OTHER_GROUPS or an INTERNAL_USE group.', 'Certain groups are only for the resource manager''s internal use. Specify another consumer group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29396', 'cannot switch group to string', 'An attempt was made to switch the consumer group of a user or a session to OTHER_GROUPS or an INTERNAL_USE group.', 'Certain groups are only for the resource manager''s internal use. Specify another consumer group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29397', 'cannot grant/revoke switch privilege for string', 'An attempt was made to grant or revoke the privilege to switch to OTHER_GROUPS or an INTERNAL_USE group.', 'Certain groups are only for the resource manager''s internal use. Specify another consumer group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29398', 'invalid privilege name specified', 'An invalid privilege name was specified as an argument to procedure GRANT_SYSTEM_PRIVILEGE or REVOKE_SYSTEM_PRIVILEGE of package DBMS_RESOURCE_MANAGER_PRIVS.', 'Specify a valid privilege name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29399', 'user string does not have privilege to switch to consumer group string', 'An attempt was made to set the initial consumer group of the specified user but the user does not have the privilege to switch to that group.', 'Grant the privilege to switch to the consumer group to the user and then set the initial group.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29400', 'data cartridge error string', 'An error has occurred in a data cartridge external procedure. This message will be followed by a second message giving more details about the data cartridge error.', 'See the data cartridge documentation for an explanation of the second error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29470', 'Effective userid or roles are not the same as when cursor was parsed', 'The effective userid or roles on this call to DBMS_SQL are not the same as those at the time the cursor was parsed.', 'Make sure the effective userid and roles are the same as when cursor was pared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29471', 'DBMS_SQL access denied', 'DBMS_SQL access was denied due to security concerns.', 'Check the alert log and trace file for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29472', 'DBMS_SQL.OPEN_CURSOR failed. security_level is outside the valid range of 0 to 2', 'An invalid security_level value was specified.', 'Specify a valid range of 0 to 2.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29473', 'privilege checking level specified for ''string'' must be between 0 and 2', 'Invalid privilege checking level specified.', 'Correct the privilege checking level specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29474', 'DBMS_SQL.OPEN_CURSOR failed. security_level of 0 is not allowed', 'Security level of 0 is specified with DBMS_SQL.OPEN_CURSOR.', 'Specify a valid security level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30444', 'rewrite terminated by the sql analyzer', 'The sql analyzer terminates the rewrite process', 'This is an internal error. Notify ORACLE technical support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30515', 'suspend triggers cannot have BEFORE type', 'An attempt was made to create a trigger that fires before execution suspended. This type of trigger is not supported.', 'Do not attempt to create a trigger that fires before execution suspended.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30516', 'database role change triggers cannot have BEFORE type', 'An attempt was made to create a trigger that fires before the role change completed. This type of trigger is not supported.', 'Do not attempt to create a trigger that fires before the role change completes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30550', 'index depends on a package/function spec/body which is not valid', 'the functional indexes depends on some invalid/non-existent package/function spec/body', 'verify that all the package/functions which the index depends on exist and are valid', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30551', 'The index depends on a package/type body which does not exist', 'the functional indexes depends on a package/type body which does not exist', 'create the package/type body', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30552', 'The package/procedure/function cannot be changed', 'The package/procedure/function is deterministic and some object depends on it', 'Drop the other object which depends on the package/function/procedure you are trying to change', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30553', 'The function is not deterministic', 'The function on which the index is defined is not deterministic', 'If the function is deterministic, mark it DETERMINISTIC. If it is not deterministic (it depends on package state, database state, current time, or anything other than the function inputs) then do not create the index. The values returned by a deterministic function should not change even when the function is rewritten or recompiled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30554', 'function-based index string.string is disabled', 'An attempt was made to access a function-based index that has been marked disabled because the function on which the index depends has been changed.', 'Perform one of the following actions: -- drop the specified index using the DROP INDEX command -- rebuild the specified index using the ALTER INDEX REBUILD command -- enable the specified index using the ALTER INDEX ENABLE command -- make the specified index usable using the ALTER INDEX UNUSABLE command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30555', 'global index partitioning key is an expression', 'An attempt was made to use an expression as a partitioning key in an index.', 'Do not attempt to use an expression as index partitioning key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30556', 'functional index is defined on the column to be modified', 'An ALTER TABLE MODIFY COLUMN was issued on a column on which a functional index exists.', 'Drop the functional index before attempting to modify the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30557', 'function based index could not be properly maintained', 'The user updated a column on which a function based index is present which was not successfully updated', 'Determine the error in updating the index and fix the problem', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30558', 'internal error [string] in function based index', 'This is an internal error.', 'Contact Worldwide support with the exact error text.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30563', 'outer join operator (+) not allowed in select-list', 'An attempt was made to reference (+) in select-list.', 'Do not use the operator in select-list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30564', 'Index maintainence clause not allowed for ADD partition to RANGE partitioned tables', 'The clause INVALIDATE or UPDATE GLOBAL INDEXES is allowed only for ADD partition to a HASH partitioned table or ADD subpartition to a composite partitioned table.', 'Remove clause and reissue operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30565', 'Only one INVALIDATE or UPDATE GLOBAL INDEXES clause may be specified', 'The clause INVALIDATE or UPDATE GLOBAL INDEXES was specified more than once.', 'Remove all but one of the INVALIDATE or UPDATE GLOBAL INDEXES clause and reissue the statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30566', 'Index maintainence clause not allowed for this command', 'The clause INVALIDATE or UPDATE GLOBAL INDEXES is not allowed for this command', 'Remove clause and reissue operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30567', 'name already used by an existing log group', 'The specified log group name has to be unique.', 'Specify a unique name for the log group. The name cannot be the same as any other log group, constraint, or cluster hash expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30568', 'cannot drop log group - nonexistent log group', 'The <log_group_name> specified in alter table drop log group is incorrect or nonexistent.', 'Reenter the statement using the correct log group name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30569', 'data type of given column is not supported in a log group', 'An attempt was made to include a column with one of these unsupported data types: LONG, VARRAY, nested table, object, LOB, FILE, or REF in a log group.', 'Change the column data type or remove the log group. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30570', 'SEGMENT SPACE MANAGEMENT option already specified', 'In CREATE TABLESPACE, the SEGMENT SPACE MANAGEMENT option was specified more than once.', 'Remove all but one of the SEGMENT SPACE MANAGEMENT specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30571', 'invalid SEGMENT SPACE MANAGEMENT clause', 'An invalid option appears for SEGMENT SPACE MANAGEMENT clause.', 'Specify one of the valid options: AUTO, MANUAL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30572', 'AUTO segment space management not valid with DICTIONARY extent management', 'in CREATE TABLESPACE, the AUTO SEGMENT SPACE MANAGEMENT was used with a DICTIONARY extent management clause.', 'Either specify LOCAL extent management or remove the AUTO SEGMENT SPACE MANAGEMENT specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30573', 'AUTO segment space management not valid for this type of tablespace', 'in CREATE TABLESPACE, the AUTO SEGMENT SPACE MANAGEMENT was used while creating an UNDO or TEMPORARY tablespace.', 'Remove the AUTO SEGMENT SPACE MANAGEMENT clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30574', 'Cannot create rollback segment in tablespace with AUTO segment space management', 'A rollback segment is being created in a tablespace that was created with AUTO segment space management.', 'Create the rollback segment in a different tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30575', 'ConText Option not installed', 'Oracle executable doesn''t have ConText Option linked in', 'get the correct version of Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30576', 'ConText Option dictionary loading error', 'ConText dictionary tables may be corrupted', 'not a user error', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30625', 'method dispatch on NULL SELF argument is disallowed', 'A member method of a type is being invoked with a NULL SELF argument.', 'Change the method invocation to pass in a valid self argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30645', 'reject limit out of range', 'Reject limit specifies the number of records rejected before terminating a table scan. The range is a either a number between 1..100000 or UNLIMITED if no limit is intended.', 'Change the token representing the reject limit to either a number in the range of 0 and 100000 or the keyword UNLIMITED.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30646', 'schema for external table type must be SYS', 'A schema other then SYS was specified for the TYPE', 'For this version of oracle server always use schema name SYS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30647', 'error retrieving access parameters for external table string.string', 'an error occurred when fetching the access parameters for the specified external table.', 'If the access parameter is a query which returns a CLOB, check EXTERNAL_TAB$ to make sure the query is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30477', 'The input select_clause is incorrectly specified', 'The input select-clause parameter to Estimate_Summary_Size is incorrectly specified and cannot be compiled.', 'Check the syntax of the select-clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30653', 'reject limit reached', 'the reject limit has been reached.', 'Either cleanse the data, or increase the reject limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30654', 'missing DEFAULT keyword', 'DEFAULT DIRECTORY clause not specified or incorrect.', 'Provide the DEFAULT DIRECTORY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30655', 'cannot select FOR UPDATE from external organized table', 'A select for update on an external table was attempted.', 'Don''t do it!', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30656', 'column type not supported on external organized table', 'Attempt to create an external organized table with a column of type LONG, LOB, BFILE, ADT, or VARRAY.', 'These column types are not supported, change the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30657', 'operation not supported on external organized table', 'User attempted on operation on an external table which is not supported.', 'Don''t do that!', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30658', 'attempt was made to create a temporary table with EXTERNAL organization', 'An attempt was made to create an External Organized Temporary table. This is not supported.', 'Don''t do that!', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30659', 'too many locations specified for external table', 'An attempt was made to create an External Organized table with more than the maximum allowable (32767) locations specified.', 'Don''t do that, use fewer location clauses. Either consider concatenating the input files, or, creating two external tables with the input files split between them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30676', 'socket read or write failed', 'A problem kept a socket from reading or writing the expected amount of data. More specific information is not available.', 'Try re-establishing a connection. You may need to restart whatever program is at the other end of the socket that failed, or you may need to have some problem on your network fixed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30677', 'session is already connected to a debugger', 'An attempt to connect a session to a debugger could not proceed because the session is already connected to some debugger.', 'Either use the option to force a connection or first disconnect the session from its existing debugger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30678', 'too many open connections', 'An attempt to open a connection failed because too many are already open by this session. The number of allowed connections varies as some may be in use through other components which share the same pool of allowed connections.', 'Retry after closing some other connection. The number of connections supported is currently not adjustable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30679', 'JDWP-based debugging not supported in this configuration', 'An attempt to open a debugging connection failed because this server configuration cannot support the required asynchronous socket traffic detection.', 'This feature will not work under this server configuration. Either the feature is not supported on this platform at all, or is available only through use of a protocol=tcp dispatcher in shared-server configurations. Please consult the platform-specific documentation and "readme" material.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30680', 'debugger connection handshake failed', 'A problem occurred when trying to establish a debugger connection. This might indicate that the port specified as the location of the debugger is actually being used by some other type of application.', 'Correct the host or port specifications if they are incorrect, and verify that the debugger is properly waiting for a connection.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30681', 'improper value for argument EXTENSIONS_CMD_SET', 'An improper parameter value was provided in a call to DBMS_DEBUG_JDWP.CONNECT_TCP.', 'Correct the indicated parameter value and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30682', 'improper value for argument OPTION_FLAGS', 'An improper parameter value was provided in a call to DBMS_DEBUG_JDWP.CONNECT_TCP.', 'Correct the indicated parameter value and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30683', 'failure establishing connection to debugger', 'An error was indicated when trying to establish a connection to a debugger. Usually a TNS error will display along with this message to further explain the problem, although this TNS error will likely be hidden if you choose to trap the error.', 'Correct the indicated parameter value and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30685', 'package version is not compatible with Oracle version', 'The installed version of the package from which this error is raised is not compatible with this release of Oracle.', 'Install a compatible version of the package''s spec and body.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30686', 'no dispatcher accepted TCP/IP connection request', 'A connection had to be routed through a local socket rather than a dispatcher. When this occurs, shared servers are less beneficial because the session that owns the socket cannot relinquish the process until the socket is closed. The most likely cause is that no dispatcher is configured for protocol=tcp.', 'To improve the scalability of your configuration, configure a dispatcher for protocol=tcp. To route these particular connections through a particular set of dispatchers, you can specify presentation=kgas. However, if you haven''t done so, any protocol=tcp dispatcher will be used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30687', 'session terminated by debugger', 'Your program''s execution has been stopped by the debugger. This can occur because of an explicit request to do so sent by the debugger, or because the debugger disconnected without first telling Oracle to let your program continue to run after the disconnection. To stop your program completely, Oracle needs to fully terminate the process.', 'This is in response to a debugger request; it is not an error. No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30688', 'maximum program calling depth exceeded', 'Your program contains a set of calls that are too deep to be handled. Only transitions between the different execution engines (SQL, PL/SQL, and Java) count in reaching this limit; calls within the same engine don''t count.', 'Restructure your program so as to not call so deeply. Perhaps some recursion can be replaced with iteration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30689', 'improper value for ORA_DEBUG_JDWP', 'An improper value was used for ORA_DEBUG_JDWP when trying to establish a connection to a debugger. The value either did not conform to the format of ORA_DEBUG_JDWP or was too long.', 'Correct the value for ORA_DEBUG_JDWP and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30690', 'timeout occurred while registering a TCP/IP connection for data traffic detection', 'A timeout occurred while registering a TCP/IP connection for data traffic detection.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30691', 'failed to allocate system resources while registering a TCP/IP connection for data traffic detection', 'System resources ran out while registering a TCP/IP connection for data traffic detection.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30695', 'JDWP message format problem', 'A message passed from one software subcomponent to another using the JDWP protocol appears invalidly formatted.', 'This is an internal error. Contact ORACLE Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30725', 'JDWP-based debugging is not yet available', 'This feature is not yet available for use.', 'Please wait for a future release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30726', 'cannot specify referenced column list here', 'An attempt was made to specify a referenced column list for a referential constraint involving a REF column.', 'Remove the referenced column list specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30514', 'system trigger cannot modify tablespace being made read only', 'A beofre trigger tries to modify a tablespace which is being made READ ONLY as the part of DDL oepration', 'Modify the trigger to avoid modifications to the objects in the same tablespace as the one which is being made read only, or use autonomous transactions to commit modifications', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30728', 'maximum number of columns exceeded', 'Adding referential constraint on a REF column requires the the creation of an additional column.', 'Drop some columns and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30729', 'maximum number of columns exceeded', 'Adding scope or referential constraint on a REF column requires the creation of additional columns if the target table''s object identifier is primary key based.', 'Drop some columns and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30730', 'referential constraint not allowed on nested table column', 'An attempt was made to define a referential constraint on a nested table column.', 'Do not specify referential constraints on nested table columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30731', 'scope constraint not allowed on nested table column when the nested table is being created', 'An attempt was made to define a scope constraint on a nested table column when the nested table is being created.', 'Do not specify a scope constraint on a nested table column when creating it. Instead, specify it using the ALTER TABLE statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30732', 'table contains no user-visible columns', 'An attempt was made to query on a system table which has no user-visible columns.', 'Do not query on a system table that has no user-visible columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30733', 'cannot specify rowid constraint on scoped ref column', 'An attempt was made to specify rowid constraint on a scoped REF column.', 'Remove the rowid constraint and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30734', 'cannot specify scope constraint on ref column with rowid', 'An attempt was made to specify scope constraint on a REF column with the rowid constraint.', 'Remove the scope constraint and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30735', 'cannot create multiple subtables of the same type under a supertable', 'An attempt was made to create under a supertable (superview), a subtable(subview) of the same type as another existing subtable (subview).', 'Drop the existing subtable(subview) and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30736', 'objects in a table or view hierarchy have to be in the same schema', 'An attempt was made to create a subtable(subview) under a supertable(superview) located in another schema.', 'Connect as schema owner of the superobject and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30737', 'cannot create subtable of a type which is not a subtype of the type of the supertable', 'An attempt was made to create a subtable(subview) of a type which is not a subtype of the type of the super object.', 'Change the type of the subtable to be a subtype of the superobject''s type and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30738', 'object "string" does not exist in schema "string"', 'The specified object does not exist.', 'Ensure that the specified object exists and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30739', 'cannot drop a table that has subtables', 'The user tried to drop a table that has subtables defined under it.', 'Drop all subtables before trying this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30740', 'cannot grant UNDER privilege on this object', 'The user tried to grant UNDER privilege on an object that is not one of the following : non final object type, object table of non final type, object view of non final type.', 'Ensure that the UNDER privilege is granted on a valid object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31065', 'Cannot modify read-only property [string]', 'An attempt was made to modify an immutable XML node.', 'Use only read operations on such properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31066', 'Insertion of string into string creates a cycle', 'An attempt was made to insert a link into the XDB hierarchy that would create a cycle in the tree.', 'Ensure that links to existing resources do not cause cycles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31067', 'XML nodes must be updated with valid nodes and of the same type', 'An attempt was made to use updateXML to update an XML node with a node of another type.', 'Ensure that the node specified by the XPath matches the type of new data provided.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31068', 'updateXML expected data format [string] instead of [string]', 'An attempt was made to use updateXML to update data with a node of the incorrect type. Text and attribute nodes must be updated with string data, whereas element nodes must be updated with XMLType data.', 'Use CREATEXML or getStringVal to coerce the new data to the proper format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31069', 'Cannot apply typed changes to non-schema-based XMLType nodes', 'An attempt was made to insert, delete, or update a non-schema-based XMLType node using an XML schema definition.', 'Make changes to non-typed nodes only by referencing their tag names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31070', 'Invalid database user ID string', 'An attempt was made set an invalid user ID into an XDB resource metadata property.', 'Verify the validity of the user ID and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31071', 'Invalid database username or GUID string', 'An attempt was made to set an invalid username or GUID into an XDB resource metadata property.', 'Verify the validity of the username or GUID and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31072', 'Too many child nodes in XMLType fragment for updateXML', 'An attempt was made to pass an XMLType fragment with multiple children as new data for the updateXML operator.', 'Extract the desired child from the XMLType before passing it to updateXML as the desired new XML node.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31073', 'Resource not retrieved using path name', 'An attempt was made to access the path name of a resource that was either never saved to disk or was loaded using a method other than with its path name.', 'Perform path name operations only on resources obtained using a path name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31074', 'XML comment length string exceeds maximum string', 'The length of the disk-formatted XML comment exceeded the maximum.', 'Keep outer XML comments declarations below the maximum length. ////// 31075 - 31099 reserved for XML Schema Compiler', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31075', 'invalid string declaration in XML Schema', 'The XML schema contains an invalid declaration identified by the message.', 'Fix the identified error and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31076', 'required attribute "string" not specified', 'The XML schema does not specify a required attribute.', 'Specify a value for the required attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31077', 'invalid attribute "string" specified', 'The XML schema specifies an invalid attribute.', 'Remove specification of the invalid attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31078', 'error in SQL mapping information', 'There is an error in the SQL type and table specification within the XML Schema.', 'Ensure that all specified SQL types and tables are valid and compatible with the corresponding XML types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31079', 'unable to resolve reference to string "string"', 'The identified type or attribute or element could not be resolved.', 'Make sure that the name corresponds to a valid XML (simple/complex) type or attribute or element and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31080', 'type not specified for attribute or element "string"', 'The identified attribute or element does not have a type.', 'Make sure that every attribute and element has a valid type specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29500', 'NAMED keyword is invalid in CREATE JAVA CLASS', 'A NAMED keyword was specified in the CREATE JAVA CLASS statement. NAMED keywords are valid only in CREATE JAVA SOURCE or RESOURCE statements.', 'Remove the NAMED keyword from the CREATE JAVA CLASS statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29501', 'invalid or missing Java source, class, or resource name', 'The required name for a Java source, class, or resource was invalid or missing.', 'Specify a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29502', 'NAMED keyword required in CREATE JAVA RESOURCE', 'The name for a Java resource was not specified. The name must be specified with the NAMED keyword.', 'Specify a valid name with the NAMED keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29503', 'SCHEMA keyword not valid with NAMED keyword', 'SCHEMA and NAMED keywords were used together in the same CREATE JAVA command, but only one may be used in a CREATE JAVA command.', 'Remove either the NAMED or the SCHEMA keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29504', 'invalid or missing schema name', 'The required schema name was invalid or missing.', 'Specify a valid schema name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29505', 'AS keyword is invalid in CREATE JAVA CLASS or RESOURCE', 'The AS keyword was used in CREATE JAVA CLASS or RESOURCE. The AS keyword is valid only in CREATE JAVA SOURCE.', 'Use the USING keyword in CREATE JAVA CLASS or RESOURCE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29506', 'invalid query derived from USING clause', 'The USING clause did not form a valid query.', 'Correct the USING clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29507', 'query derived from USING clause found zero or many rows', 'The USING clause defined a query that either did not return any values, or returned more than one value.', 'Correct the USING clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29508', 'query derived from USING clause did not select a value of type string', 'The USING clause did not form a query that selects a value of the type specified by the term following the USING keyword.', 'Correct the USING clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29509', 'incorrectly formed Java binary class definition', 'An attempt was made to create a Java class using data expected to be in binary (Java .class) format. The data was found not to be in this format, or to be incorrectly formed.', 'Correct the definition data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29510', 'name, string.string, already used by an existing object', 'A CREATE JAVA command attempted to create a source, class, or resource object with a name that is already in use.', 'Drop the existing object that is using the desired name, or use a different name for the new object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29511', 'could not resolve Java class', 'A CREATE AND RESOLVE NOFORCE JAVA CLASS command specified definition data that could not be resolved, or resolution failed for some referenced class.', 'Remove the NOFORCE option or remove impediments to resolution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29512', 'incorrectly formed name resolver specification', 'A name resolver was not specified in the required form: (( <name pattern> , <schema name>) ...)', 'Correct the specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29513', 'referenced class name too long', 'An attempt was made to import a .class file containing a class name of length greater than %d. The .class file could not be imported because the referenced class name was too long.', 'Shorten the referenced class name in the .class file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29514', 'class name contains illegal character', 'An attempt was made to import a .class file containing a character that cannot be converted to the server character set. The .class file could not be imported because of the illegal character.', 'Correct the illegal character in the .class file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29515', 'exit called from Java code with status string', 'Java code included a call to java.lang.Runtime.exitInternal.', 'Do not include this call unless non-local exit is desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29516', 'Aurora assertion failure: string', 'An internal error occurred in the Aurora module.', 'Contact Oracle Worldwide Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29517', 'recursive resolution failed for a referenced class', 'An attempt to resolve a referenced class failed.', 'Review the errors for referenced classes and complete the necessary actions to correct them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29518', 'name string resolved to an object in schema string that is not a Java class', 'A referenced name was resolved to an object that is not a Java class.', 'Adjust name resolver or add missing Java class.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29519', 'name string resolved via a synonym in schema string to a class with a different name', 'A referenced name was resolved to a synonym, which translated to a class whose name does not match the referenced name.', 'Adjust name resolver or add missing Java class.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29520', 'name string resolved to a class in schema string that could not be accessed', 'An attempt to access a referenced class failed.', 'Adjust authorizations or name resolution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29521', 'referenced name string could not be found', 'Name resolution failed to find an object with the indicated name.', 'Adjust name resolver or add missing Java class.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29522', 'authorization error for referenced name string.string', 'An attempt was made to resolve a class that is not authorized to use the indicated referenced class.', 'Adjust authorizations or name resolution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29523', 'authorization error for unknown referenced name', 'An attempt was made to resolve a class that is not authorized to use a referenced class. The name of the referenced class could not be determined.', 'Adjust authorizations or name resolution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29524', 'wrong types of arguments in call to ''string''', 'A method was called with argument(s) of incompatible type(s).', 'Adjust caller.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29525', 'referenced name is too long: ''string''', 'An attempt was made to create a class that references a name longer than 4000 characters. The class could not be created because the name is too long.', 'Adjust the definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29801', 'missing RETURN keyword', 'The RETURN keyword has not been specified.', 'Specify the RETURN keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29802', 'missing CONTEXT keyword', 'The CONTEXT keyword has not been specified.', 'Specify the CONTEXT keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29803', 'missing ANCILLARY keyword', 'The ANCILLARY keyword has not been specified.', 'Specify the ANCILLARY keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29804', 'missing DATA keyword', 'The DATA keyword has not been specified.', 'Specify the DATA keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29805', 'missing COLUMN keyword', 'Keyword COLUMN is expected .', 'Either specify the COLUMN keyword or specify another option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29806', 'specified binding does not exist', 'The operator binding which has been specified does not exist.', 'Ensure that the operator binding that has been specified does exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29807', 'specified operator does not exist', 'The operator which has been specified does not exist.', 'Ensure that the operator that has been specified does exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29808', 'specified primary operator binding does not exist', 'The specified binding for the primary operator does not exist.', 'Ensure that the specified binding for the primary operator exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29809', 'cannot drop an operator with dependent objects', 'The operator which is being dropped has some dependent objects.', 'Either drop the dependent objects first and then issue the DROP OPERATOR command or specify the FORCE option with DROP OPERATOR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29810', 'inadequate operator privileges', 'The user does not have the appropriate privileges to perform the specified operation on the operator.', 'Grant the appropriate privileges to the user and then reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30649', 'missing DIRECTORY keyword', 'DEFAULT DIRECTORY clause missing or incorrect.', 'Provide the DEFAULT DIRECTORY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30765', 'cannot modify scope for an unscoped REF column', 'An attempt was made to modify the scope for an unscoped REF column.', 'Use an ALTER TABLE ADD SCOPE FOR command instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30766', 'cannot modify scope for a REF column with a REFERENCES constraint', 'An attempt was made to modify the scope for a REF column with a REFERENCES constraint.', 'Drop the REFERENCES constraint, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30767', 'OID type mismatch', 'An attempt was made to modify the scope for a REF column to a table whose object identifier''s type is different from that of the original scoped table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30768', 'Cannot evaluate pipelined function', 'Pipelined functions can only be used in a TABLE expression in the from clause.', 'Use a non-pipelined function instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30770', 'Cannot specify storage options for fixed size opaque type', 'Storage clause was specified during table creation for a fixed size opaque type.', 'Do not provide storage option clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30771', 'Cannot add more than one referential constraint on REF column "string"', 'Multiple referential constraints were specified for a single REF column.', 'Remove the additional referential constraints and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30772', 'opaque types do not have default constructors', 'Constructor invocation did not succeed, since no user-defined constructors were defined for the opaque type, and since opaque types do not have default constructors.', 'Add user-defined constructors to opaque type, or specify a member or static method for the opaque type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30773', 'opaque types do not have default constructors', 'Constructor invocation did not succeed, since no user-defined constructors were defined for the opaque type, and since opaque types do not have default constructors.', 'Add user-defined constructors to opaque type, or specify a member or static method for the opaque type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30774', 'Library "string" was erroneously defined as a trusted library for opaque types', 'User has defined some library as trusted library for opaque types.', 'Trusted libraries for opaque types can only be defined in internal code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30939', 'Order violation: Element ''string'' may not follow element ''string''', 'The XML schema specifies a content model that is sequential, where the order of nodes in the instance must follow the order specified by the schema, and this instance relies on the schema validity to avoid maintaining instance order information', 'Insert elements only in the order specified in the schema', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30940', 'Cannot resolve prefix ''string'' for QName node ''string''', 'An attempt was made to store a QName value without having a valid namespace in scope for that prefix.', 'Declare the namespace for the prefix used', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30941', 'Cannot specify empty URI for non-default namespace ''string''', 'An attempt was made to insert a namespace declaration for a non-default namespace using an empty URI string.', 'Specify a non-empty URI for namespace declarations other than the default namespace. ////// Errors 30942 to 30950 reserved for XML Schema Evolution', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30942', 'XML Schema Evolution error for schema ''string'' table string column ''string''', 'The given XMLType table/column which conforms to the given schema had errors during evolution. For more information, see the more specific error below this one', 'Based on the schema, table and column information in this error and the more specific error below, take corrective action', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30943', 'XML Schema ''string'' is dependent on XML schema ''string''', 'Not all dependent schemas were specified and/or the schemas were not specified in dependency order, i.e., if schema S1 is dependent on schema S, S must appear before S1.', 'Include the previously unspecified schema in the list of schemas and/or correct the order in which the schemas are specified. Then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30944', 'Error during rollback for XML schema ''string'' table string column ''string''', 'The given XMLType table/column which conforms to the given schema had errors during a rollback of XML schema evolution. For more information, see the more specific error below this one', 'Based on the schema, table and column information in this error and the more specific error below, take corrective action', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30945', 'Could not create mapping table ''string''', 'A mapping table could not be created during XML schema evolution. For more information, see the more specific error below this one', 'Ensure that a table with the given name does not exist and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30946', 'XML Schema Evolution warning: temporary tables not cleaned up', 'An error occurred after the schema was evolved while cleaning up temporary tables. The schema evolution was successful', 'If the user needs to remove the temporary tables, use the mapping table to get the temporary table names and drop them.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30947', 'Dependent table ''string'' of XML schema ''string'' is version-enabled', 'An XMLType table that is dependent on an XML schema being evolved is version-enabled.', 'Disable versioning on the XMLType table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30948', 'Illegal in-place XML schema evolution operation: string', 'An attempt was made to make an XML schema change that is not permitted through in-place XML schema evolution.', 'Ensure that the XML schema changes specified in the XMLDiff argument to DBMS_XMLSCHEMA.inPlaceEvolve are permitted. ///// End of XML Schema Evolution errors (30942 to 30950 reserved)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30951', 'Element or attribute at Xpath string exceeds maximum length', 'An attempt was made to insert a node of length exceeding the maximum length (specified by the maxLength facet) into an XML document.', 'Do not attempt to add a node exceeding the maximum length to XML documents.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30952', 'illegal configuration of HTTP/HTTPS in xdbconfig.xml', 'An attempt was made to update xdbconfig.xml when either 1) a value was specified for http2-port but not for http2-protocol (or vice versa), OR 2) http-port and http2-port were set to the same value.', 'Specify values for both elements http2-port and http2-protocol, AND set different values for http-port and http2-port.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30953', 'XML minoccurs value (string) violated', 'An attempt was made to delete more than the required minimum number of elements (specified by the minoccurs facet) from an XML document.', 'Do not attempt to delete more than the required minimum number of elements that must be present from the XML document. ////// Errors 30955 to 30989 reserved for XML Index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30955', 'The XML Index does not exist or is not asynchronous', 'An attempt was made to synchronize a nonexistent XML Index or a synchronous XML Index.', 'Create the XML Index in asynchronous mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30956', 'invalid option for XML Index', 'Unexpected error.', 'File a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30957', 'cannot downgrade because there are XML indexes', 'An attempt was made to downgrade a database that has XML indexes.', 'Drop all XML indexes before attempting the downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30958', 'operation directly on the Pending Table is disallowed', 'An illegal operation was attempted on secondary objects of an XML Index.', 'Try appropriate operation on the XML Index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30727', 'duplicate referential constraint for a REF column', 'Multiple referential constraints were specified for a single REF column.', 'Remove the duplicate referential constraint and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31082', 'invalid attribute "string" specified in declaration of "string"', 'The XML schema specifies an invalid attribute.', 'Remove specification of the invalid attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31083', 'error while creating SQL type "string"."string"', 'An error occurred while trying to create the SQL type based on the specification of a complex type.', 'Fix the identified error and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31084', 'error while creating table "string"."string" for element "string"', 'An error occurred while trying to create the table based on the declaration for the identified element.', 'Fix the identified error and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31169', 'Number of children (string) defined in ''string'' exceeds maximum (string)', 'An attempt was made to define more than the allowed number of children in a complexType of an XMLSchema document.', 'Modify the XML Schema to move children of complexType into subelements that are not inlined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31176', 'API not supported in this release', 'This API was not supported.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31180', 'DOM Type mismatch in invalid PL/SQL DOM handle', 'The specified PL/SQL DOM handle is referencing a DOM Node whose DOM Type that does not match the one available in the session. This could happen because the pl/sql handle was reused, or the original document is no longer available.', 'Ensure that the pl/sql handle for the target node is valid and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31181', 'PL/SQL DOM handle accesses node that is no longer available', 'The specified pl/sql handle is referencing a node in a DOM Document that is no longer available.', 'Ensure that the pl/sql handle for the target node is valid and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31182', 'Too many PL/SQL DOM handles specified', 'An attempt was made to create a PL/SQL DOM handle that exceeded the maximum allowable number of PL/SQL DOM handles.', 'Free PL/SQL DOM handles and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31183', 'Node type string cannot be converted to desired type', 'The given node''s type cannot be converted correctly for this operation. For example, a DOM Element cannot be converted to Document Fragment', 'Pass a valid node type for the conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31185', 'DOM Nodes do not belong to the same DOM Document', 'The specified PL/SQL DOM Node does not belong to the parent DOM Document of the referring DOM Node.', 'Ensure that both the DOM Nodes are part of the same DOM Document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31186', 'Document contains too many nodes', 'Unable to load the document because it has exceeded the maximum allocated number of DOM nodes.', 'Reduces the size of the document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31187', 'Cannot Add Node ''string'' (type=''string'') to Simple Type Node ''string''', 'Trying to add attribute/element nodes to a simple type against the schema definition. Simple types can have only special attribute like namespaces, xsi:nil etc.', 'Use a valid node for the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31188', 'The specified printing option is invalid', 'The printing option specified in the operation is invalid.', 'Use a valid printing option for the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31190', 'Resource string is not a version-controlled resource', 'Either one of the following is the cause:' || '<p>' || '- Checkout is requested for a resource that isn''t under version control". Only version-controlled resource can be checked out.' || '<p>' || '' || '<p>' || '- Checkout is requested for a row of a non-versioned table.', 'put the resource under version-control before checking out.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31191', 'Resource string is already checked out', 'Either one of the following is the cause:' || '<p>' || '- Checkout is requested for a resource that is already checked out to the workspace by the same of different user.', 'checked in the resource from the workspace before checking out', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31192', 'Resource string has not been checked out', 'Either one of the following is the cause:' || '<p>' || '- Checkin or uncheckout is requested for a resource that has not been checked out to the workspace by any user in a workspace', 'checked in the resource from the workspace before checking out', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31193', 'This versioning feature isn''t supported for resource string', 'Either one of the following is the cause:' || '<p>' || '- Container cannot be put under version-controlled.', 'Avoid using these features.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31194', 'Resource string is already deleted', 'Access a version-controlled resource that is already deleted.', 'Remove the cyclic definitions in the type and retry compilation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31195', 'XML node ''string'' (type=string) does not support this operation', 'The given node''s type is not supported for this operation. For example, trying to add children to an attribute node, or passing in a document node as a child, are unsupported operations.', 'Use a valid node type for the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31196', 'XML nodes over string in size cannot be printed', 'An attempt was made to use an XML Text Node with a size greater than 64K, or an XML Comment Node with a size greater than 4K. These cannot be printed. For example, trying to add children to an attribute node, or passing in a document node as a child, are unsupported operations.', 'Use getClobVal() or getStringVal() to print the Document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31197', 'Error in processing file string', 'An error occurred while operating on the specifed file. The possible causes are the file header is corrupt or check the next error on stack', 'Ensure that the specified file is correct. Look at the next error on the stack and take appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31198', 'Mismatch in number of bytes transferred due to non-binary mode', 'An error occurred while reading the specifed file. The most probable cause is that the transfer was initiated in ASCII mode.', 'Ensure that the transfer mode is set to BINARY', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31199', 'Warning in processing file string', 'A warning was raised while operating on the specifed file. However, the current operation was completed successfully.', 'This is primarily an informational message. Look at the next error on the stack to obtain further information. ////////////////////////// DBMS_LDAP & OiD messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31201', 'DBMS_LDAP: generic error: string', 'There has been an error in the DBMS_LDAP package.', 'Please report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31202', 'DBMS_LDAP: LDAP client/server error: string', 'There is a problem either on the LDAP server or on the client.', 'Please report this error to the LDAP server administrator or your Database administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31203', 'DBMS_LDAP: PL/SQL - Init Failed.', 'There has been an error in the DBMS_LDAP Init operation.', 'Please check the host name and port number, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31204', 'DBMS_LDAP: PL/SQL - Invalid LDAP Session.', 'There has been an error in the DBMS_LDAP bind operation.', 'Please check the session handler that you use for binding, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31205', 'DBMS_LDAP: PL/SQL - Invalid LDAP Auth method.', 'There has been an error in the DBMS_LDAP bind operation.', 'Please check the authentication credentials that you use for binding, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31081', 'name not specified for global declaration', 'The XML schema does not specify the name for the global declaration of attribute or element or simpleType or complexType.', 'Specify names for all global declarations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31085', 'schema "string" already registered', 'An attempt was made to register a schema with the same URL as a previously registered schema.', 'Register the schema with a different URL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31086', 'insufficient privileges to register schema "string"', 'An attempt was made to register a schema without sufficient privileges.', 'Make sure that the user has sufficient privileges to register the schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31087', 'insufficient privileges to delete schema "string"', 'An attempt was made to delete a schema resource without sufficient privileges.', 'Make sure that the user has sufficient privileges to delete the schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31088', 'object "string"."string" depends on the schema', 'An attempt was made to delete a schema which has dependent objects.', 'Either drop the dependent objects prior to deleting the schema or use the CASCADE or FORCE options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31089', 'schema "string" does not target namespace "string"', 'The schema document contains references (via include and import definitions) to other schemas that do not belong to valid namespaces.', 'Make sure that all schemas referenced via include definitions target the same namespace as the parent schema. Further make sure that the namespace specified in the import definition matches the actual target namespace of the specified schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31090', 'invalid database schema name "string"', 'The XML schema document contains an invalid database schema name For example, the value of attribute SQLSchema', 'Make sure that all database user/schema names specified in the XML schema document refer to existing database users/schemas.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31091', 'empty string specified as a SQL name', 'The XML schema document contains a null SQL name. For example, the values of attributes SQLName, SQLType, defaultTable.', 'Make sure that all names of SQL schema objects specified in the XML schema document are valid SQL names. Otherwise, remove such attributes from the schema and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31092', 'invalid SQL name "string"', 'The XML schema document contains an invalid SQL name. For example, the values of attributes SQLName, SQLType, defaultTable.', 'Make sure that all names of SQL schema objects specified in the XML schema document are valid SQL names. This implies that the database length and other restrictions on names be satisfied.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31093', 'null or invalid value specified for parameter : string', 'The argument value passed for the given parameter is null or invalid.', 'Make sure that all the input argument values are valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31094', 'incompatible SQL type "string" for attribute or element "string"', 'The SQL type information provided in the XML schema is not compatible with the XML datatype for the specified attribute or element.', 'Make sure that the specified SQL types are compatible with the declared XML datatypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31095', 'cannot generate string : "string.string" already exists', 'The type/table name specified in the XML schema document cannot be generated because it is already being used.', 'Use different names for types/tables or use the NOGEN mode so that schema compiler does not generate new types/tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31096', 'validation failed for schema', 'The XML Schema could not be validated.', 'Make sure that the SQLType and other datatype mapping is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31097', 'Hierarchical Index not empty', 'An attempt was made to rebuild the hierarchical index which is not empty.', 'Delete all rows in the hierarchical index and then rebuild it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31099', 'XDB Security Internal Error', 'An XDB Security internal error has occurred.', 'Contact Oracle Support. ////// 31100 - 31110 reserved for WebDAV compliant resource locks', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31100', 'XDB Locking Internal Error', 'An XDB Locking Internal error has occurred.', 'Contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31101', 'Token "string" not given while locking resource "string"', 'Locking attempted on resource when the pricipal already owns a lock given by the token above.', 'Reattempt the lock with the token.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31102', 'Already locked in exclusive mode. Cannot add lock.', 'The resource is already locked in exclusive mode. Cannot add another lock.', 'Unlock the existing lock.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31103', 'Resource locked in shared mode. Cannot add exclusive lock', 'The resource is locked in shared mode. Cannot add a shared lock.', 'Try locking in shared mode or unlocking the existing lock.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31207', 'DBMS_LDAP: PL/SQL - Invalid LDAP search time value.', 'There has been an error in the DBMS_LDAP search operation.', 'Please check the search time value that you use for search, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31208', 'DBMS_LDAP: PL/SQL - Invalid LDAP Message.', 'There has been an error in the DBMS_LDAP operation.', 'Please check the LDAP message that you use for LDAP operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31209', 'DBMS_LDAP: PL/SQL - LDAP count_entry error.', 'There has been an error in the DBMS_LDAP count_entry operation.', 'Please check the LDAP count_operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31210', 'DBMS_LDAP: PL/SQL - LDAP get_dn error.', 'There has been an error in the DBMS_LDAP get_dn operation.', 'Please check the LDAP get_dn, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31211', 'DBMS_LDAP: PL/SQL - Invalid LDAP entry dn.', 'There has been an error in the DBMS_LDAP operation.', 'Please check the entry dn that you use for LDAP operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31212', 'DBMS_LDAP: PL/SQL - Invalid LDAP mod_array.', 'There has been an error in the DBMS_LDAP operation.', 'Please check the LDAP mod_array that you use for LDAP operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31213', 'DBMS_LDAP: PL/SQL - Invalid LDAP mod option.', 'There has been an error in the DBMS_LDAP populate_mod_array operation.', 'Please check the LDAP mod option that you use for LDAP populate_mod_array operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31214', 'DBMS_LDAP: PL/SQL - Invalid LDAP mod type.', 'There has been an error in the DBMS_LDAP populate_mod_array operation.', 'Please check the LDAP mod type that you use for LDAP populate_mod_array operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31215', 'DBMS_LDAP: PL/SQL - Invalid LDAP mod value.', 'There has been an error in the DBMS_LDAP populate_mod_array operation.', 'Please check the LDAP mod value that you use for LDAP populate_mod_array operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31216', 'DBMS_LDAP: PL/SQL - Invalid LDAP rdn.', 'There has been an error in the DBMS_LDAP operation.', 'Please check the LDAP rdn value that you use for LDAP operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31217', 'DBMS_LDAP: PL/SQL - Invalid LDAP newparent.', 'There has been an error in the DBMS_LDAP rename_s operation.', 'Please check the LDAP newparent value that you use for LDAP rename_s operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29811', 'missing STATISTICS keyword', 'This is not a valid option with the ASSOCIATE command.', 'Specify STATISTICS keyword after the ASSOCIATE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29812', 'incorrect object name specified', 'The specified name is not a valid name.', 'Specify the correct name of the object with for which an association needs to be defined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29813', 'non-supported object type with associate statement', 'The type of object specified is not supported with the associate statistics statement.', 'Use a valid object type with the associate command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29814', 'expecting USING or DEFAULT keyword', 'Expecting the USING or DEFAULT keyword after the names of object(s).', 'Provide the USING or DEFAULT keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29815', 'object being associated is not present', 'The object for which the association is being defined is not present.', 'Ensure that all the objects for which the association is being defined are present.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29816', 'object being disassociated is not present', 'Object which is being disassociated is not present.', 'Ensure that the object which needs to be disassociated is present.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29817', 'non-supported option with disassociate statement', 'The type of object specified is not supported with the disassociate statistics statement.', 'Use a object type which is supported with the disassociate command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29818', 'column name not properly specified', 'Name of the column should contain the table and the column name.', 'Specify a valid column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29819', 'cannot associate default values with columns', 'User tried to associate DEFAULT values with columns which is not a valid option .', 'Specify a valid option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29820', 'the statistics type is not present', 'The statistics type which is being associated with object(s) is not present.', 'Ensure that the type which contains the statistics functions is present.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29821', 'specified primary operator does not exist', 'The specified primary operator does not exist.', 'Check the primary operator and the signature specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29822', 'selectivity cannot be specified for the type of object', 'User tried to associate selectivity with index or indextypes which is not allowed .', 'Specify a valid option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31104', 'Cannot find lock with token "string" on "string"', 'The lock may have been unlocked or expired. If token was supplied, token may be wrong.', 'Verify this lock exists. Supply correct token.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31105', 'User does not own lock with supplied token "string"', 'The lock corresponding to the supplied token is not owned by the user.', 'Log on as correct user. Supply correct token.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31107', 'Action failed as resource "string" is locked by name lock', 'Lock requests cause the whole request URI to be locked', 'Supply lock token or unlock the lock', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31108', 'Action failed as resource string is locked', 'Delete/Rename failed because of an existing lock', 'Do lockdiscovery to find the lock and delete it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31109', 'Action failed as parent resource string is locked', 'Delete/Rename failed because of an lock on parent resource', 'Do lockdiscovery to find the lock and delete it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31110', 'Action failed as resource string is locked by name', 'Delete/Rename failed because one of the children is locked.', 'Do lockdiscovery to find the lock and delete it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31111', 'table string cannot be hierarchically enabled', 'Trigger <tabname>_xdb_pitrigger already exists', 'Delete all rows in the hierarchical index and then rebuild it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31112', 'fail to string for string port using xdb configuration', 'port number for the defined presentation is not valid', 'Either the port number is already in use or it is protected. Specify another port number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31113', 'XDB configuration may not be updated with non-schema compliant data', 'An attempt was made to update the XDB configuration resource with non-schema or non-schema compliant data.', 'Check the document to make sure it is schema based and schema compliant.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31219', 'DBMS_LDAP: PL/SQL - Invalid LDAP notypes.', 'There has been an error in the DBMS_LDAP explode_dn or explode_rdn operation.', 'Please check the LDAP notypes value that you use for LDAP explode_dn or explode_rdn operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31220', 'DBMS_LDAP: PL/SQL - Invalid LDAP SSL wallet location.', 'There has been an error in the DBMS_LDAP operation.', 'Please check the LDAP sslwrl value that you use for LDAP operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31221', 'DBMS_LDAP: PL/SQL - Invalid LDAP SSL wallet passwd.', 'There has been an error in the DBMS_LDAP operation.', 'Please check the LDAP sslpasswd value that you use for LDAP operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31222', 'DBMS_LDAP: PL/SQL - Invalid LDAP SSL authentication mode.', 'There has been an error in the DBMS_LDAP operation.', 'Please check the LDAP sslauth value that you use for LDAP operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31223', 'DBMS_LDAP: cannot open more than string LDAP server connections', 'An attempt was made to open more than the maximum allowed LDAP server connections.', 'Free unused connections.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31224', 'DBMS_LDAP: invalid LDAP session', 'An attempt was made by a PL/SQL module to use an LDAP session which is not valid and might have already been closed.', 'Check the LDAP session handle in PL/SQL module involving DBMS_LDAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31225', 'DBMS_LDAP: invalid BER_ELEMENT', 'An attempt was made by a PL/SQL module to use a BER_ELEMENT which is not valid and might have already been freed.', 'Check the BER_ELEMENT in PL/SQL module involving DBMS_LDAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31226', 'DBMS_LDAP: MOD_ARRAY size limit exceeded', 'An attempt was made by a PL/SQL module to add an element beyond the MOD_ARRAY size limit.', 'Increase the MOD_ARRAY size limit in PL/SQL module involving DBMS_LDAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31227', 'DBMS_LDAP: invalid LDAP MESSAGE handle', 'An attempt was made by a PL/SQL module to use an LDAP MESSAGE handle which is not valid and might have already been freed.', 'Check the LDAP MESSAGE handle in PL/SQL module involving DBMS_LDAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31228', 'DBMS_LDAP: invalid MOD_ARRAY', 'An attempt was made by a PL/SQL module to use a MOD_ARRAY which is not valid and might have already been freed.', 'Check the MOD_ARRAY in PL/SQL module involving DBMS_LDAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31229', 'DBMS_LDAP: invalid input parameter', 'An invalid argument has been passed by a PL/SQL module to a DBMS_LDAP subprogram', 'Check the input argument to the DBMS_LDAP subprogram in PL/SQL module involving DBMS_LDAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31230', 'DBMS_LDAP: unable to dynamically allocate additional memory', 'An error occured during dynamic memory allocation from session heap.', 'Verify that adequate memory resources are available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31231', 'DBMS_LDAP: invalid PROPERTY_SET', 'An attempt was made by a PL/SQL module to use a PROPERTY_SET which is not valid and might have already been freed.', 'Check the PROPERTY_SET in PL/SQL module involving DBMS_LDAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31232', 'DBMS_LDAP: invalid MOD_PROPERTY_SET', 'An attempt was made by a PL/SQL module to use a MOD_PROPERTY_SET which is not valid and might have already been freed.', 'Check the MOD_PROPERTY_SET in PL/SQL module involving DBMS_LDAP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30959', 'The indexed column is not stored in CLOB.', 'An attempt was made to create an XML Index on an OR-XMLType column.', 'Re-create the XML Index on a CLOB-XMLType column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30960', 'The entity is neither an XPATH nor a NAMESPACE.', 'The given string had invalid syntax.', 'Check the syntax for XPATH and NAMESPACE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30961', 'internal SQL statement is too long', 'unexpected internal error', 'File a bug and provide the test case.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30962', 'inconsistent ODCI input arguments', 'unexpected internal error', 'File a bug and provide the test case.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30963', 'The indexed column is not of XMLType.', 'An attempt was made to create an XML Index on a non-XMLType column.', 'Re-create the XML Index on an XMLType column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30964', 'The XML Index was not usable.', 'The domain index for XML was not created properly. The Path Table is missing.', 'Drop and re-create the XML Index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30965', 'fragment does not fit into the VARCHAR2 VALUE column', 'The fragment size exceeded the max size.', 'Re-create the XML Index with values stored in CLOB.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30966', 'error detected in the XML Index layer', 'Unexpected error.', 'File a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30967', 'operation directly on the Path Table is disallowed', 'illegal operation on secondary objects of a domain index', 'Try appropriate operation on the domain index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30968', 'invalid XPATH or NAMESPACE option for XML Index', 'An attempt was made to use an unsupported option.', 'Use the appropriate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30969', 'invalid syntax for PARAMETERS', 'An attempt was made to specify an invalid option.', 'Check and use valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30970', 'option not supported for XML Index', 'An attempt was made to specify an invalid option.', 'Check and use valid options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30971', 'illegal operation on the Path Table', 'An attempt was made to use an unsupported option.', 'Use the appropriate command on the XML Index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30972', 'invalid ALTER INDEX option for XML Index', 'An attempt was made to use an unsupported option.', 'Use the appropriate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30973', 'invalid Path Table option for XML Index', 'An attempt was made to use an unsupported option.', 'Use the appropriate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30974', 'invalid Path Id Index option for XML Index', 'An attempt was made to use an unsupported option.', 'Use the appropriate option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31206', 'DBMS_LDAP: PL/SQL - Invalid LDAP search scope.', 'There has been an error in the DBMS_LDAP search operation.', 'Please check the search scope that you use for search, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31398', 'DBMS_LDAP: Shared servers are not supported.', 'The session executing functions from the DBMS_LDAP package is being handled by a shared server in the Database.', 'Use dedicated database sessions to execute functions in the DBMS_LDAP package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31399', 'Cannot contact LDAP server string at port number', 'The LDAP server specified could not be contacted. This can happen if the server is down or inaccessible.', 'Contact the administrator of the LDAP server ////////////////////////// End of DBMS_LDAP & OiD messages', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31401', 'change source string is not an existing change source', 'The caller did not use the name of an existing change source. The name given does not match the name of any existing change source.', 'Check the spelling of the change source name. Choose an existing change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31402', 'unrecognized parameter string', 'Unrecognized parameter was detected.', 'Check for too many parameters in the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31403', 'change table string already contains a column string', 'Issued ALTER_CHANGE_TABLE with an add operation but a column by this name already exists in the specified table.', 'Check the names and call the procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31404', 'all input parameters are null', 'All input parameters are null. At least one property must be altered.', 'Call the procedure again, making sure that all the required parameters have been specified. Ensure that at least one parameter is not null. Refer to user documentation for the correct way of calling this procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31405', 'cannot make changes while change set string is advancing', 'The change set is currently advancing. Change sources related to an advancing change set cannot be altered. Change tables related to the advancing change set cannot be created, altered or dropped. Some or all the parameters of the change set cannot be altered while the set is advancing.', 'Wait until the change set has finished advancing, then reissue the command. If altering the change set, only the advance_enable parameter can be altered during an advance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31406', 'change source string is referenced by a change set', 'The operation cannot complete because this change source is referenced by one or more change sets.', 'Drop the change sets first, then re-issue the command. May have to drop some change tables before the change sets are dropped.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31407', 'end_date must be greater than the begin_date', 'The end data of the change set is earlier than the begin date. The end date must always be later in time than the begin date, so that the duration between the begin and end dates is a positive amount of time.', 'Change the begin date and/or the end date, so that the end date is later than the begin date.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31408', 'invalid value specified for begin_scn or end_scn', 'The begin_scn was not greater than zero. The end_scn was less than zero. The end_scn was less than the begin_scn.', 'Check the values of both begin_scn and end_scn. Correct them to make sure that they form a legal SCN range. An end_scn value of zero indicates an infinite scn range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31409', 'one or more values for input parameters are incorrect', 'One or more of the inputs to the procedure had invalid values.', 'Identify the bad parameter(s) and supply correct values to the procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31410', 'change set string is not an existing change set', 'Could not find an existing change set by this name.', 'Check the spelling of the change set name. Call the procedure again, passing the correct change set name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31411', 'change set string is referenced by a change table', 'The operation cannot be performed because the change set contains one or more change tables.', 'You will need to drop the change table(s) first, then repeat the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31412', 'change set string is disabled and cannot be advanced', 'The specified change set is disabled. The change set needs to be enabled for the operation to succeed.', 'Determine why the change set is disabled and correct this condition. Alter the change set specifying ''y'' for advance_enable then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31413', 'change set string is currently being advanced', 'An advance operation is in progress for this change set and we only allow one at a time.', 'Since the change set is currently being advanced, the best action is to wait for it to finish advancing. Only one caller at a time can advance the change set. Check for the cause of long running advance operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31414', 'error(s) occurred during change table advance', 'One or more errors occurred during the advance operation.', 'Check the log file(s) for a more detailed report of the underlying errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31218', 'DBMS_LDAP: PL/SQL - Invalid LDAP deleteoldrdn.', 'There has been an error in the DBMS_LDAP rename_s operation.', 'Please check the LDAP deleteoldrdn value that you use for LDAP rename_s operation, or report the error number and description to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31416', 'invalid SOURCE_COLMAP value', 'A source_colmap value of ''y'' was specified for an asynchronous change table.', 'Specify a source_colmap parameter value of ''n'' and call the procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31417', 'column list contains control column string', 'Reserved column name was specified in a column list or column type parameter.', 'Control columns are selected with separate parameters. If you did not want a control column, then change the name of the specified column so that it does not conflict with a reserved column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31517', 'CDC change table string.string already exists', 'A Change Data Capture change table intended for import already existed.', 'Either verify that the existing change table has the desired characteristics or drop the existing change table and perform the import again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31518', 'change column string already exists in CDC change table string.string', 'A column in a Change Data Capture change table intended for import was already present in the change table.', 'Either verify that the change table contains the desired columns or drop the change table and perform the import again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31519', 'CDC subscription string already exists', 'A Change Data Capture subscription intended for import already existed.', 'Either verify that the existing subscription has the desired characteristics or drop the existing subscription and perform the import again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31520', 'CDC subscription string already subscribes to publication ID string', 'A Change Data Capture subscription intended for import already subscribed to a publication.', 'Either verify that the existing subscription has the desired characteristics or drop the existing subscription and perform the import again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31521', 'CDC subscription string already subscribes to publication ID string column string', 'A Change Data Capture subscription intended for import already subscribed to a published column.', 'Either verify that the existing subscription has the desired characteristics or drop the existing subscription and perform the import again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31522', 'could not find Streams object string for CDC change set string', 'An underlying Streams capture, apply, or queue was missing for an imported Change Data Capture change set.', 'Drop the imported change set because it is invalid. Retry the import, ensuring that STREAMS_CONFIGURATION=y is specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31523', 'could not find change source string for CDC change set string', 'The change source was missing for an imported Change Data Capture change set.', 'Drop the imported change set because it is invalid. Verify that the schema containing the missing change source was included in the original export. If needed, perform the export again, including the schema of the missing change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31524', 'could not find change set string for CDC change table string.string', 'The change set was missing for an imported Change Data Capture change table.', 'Drop the imported change table because it is invalid. Verify that the schema containing the missing change set was included in the original export. If needed, perform the export again, including the schema of the missing change set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31525', 'could not find column string in CDC change table string.string', 'A column was missing for an imported Change Data Capture change table.', 'It is likely that this table existed before the import operation and import did not overwrite it. Determine whether the imported change table should supercede the original table. If so, drop the original table and retry the import. If not, the change table must have a different name in order to be imported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31526', 'could not find source table string.string for CDC change table string.string', 'The source table was missing or was not set up correctly for an imported Change Data Capture change table. A synchronous change table requires the source table to exist and have the Change Data Capture trigger defined on it. An asynchronous change table requires table rules to be defined for the source table.', 'Drop the imported change table because it is invalid. Verify that the schema containing the source table was included in the original export. If needed, perform the export again, including the schema of the source table. If change table is asynchronous, ensure that STREAMS_CONFIGURATION=y is specified for the import.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31527', 'could not find source column string for CDC change table string.string', 'A source column was missing for an imported Change Data Capture change table.', 'Drop the imported change table because it is invalid. Verify that the schema containing the source table was included in the original export. If needed, perform the export again, including the schema of the missing source table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31528', 'could not find change set string for CDC subscription string', 'The change set was missing for an imported Change Data Capture subscription.', 'Drop the imported subscription because it is invalid. Verify that the schema containing the missing change set was included in the original export. If needed, perform the export again, including the schema of the missing change set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31529', 'could not find publication for CDC subscriber view string.string', 'A publication was missing for an imported Change Data Capture subscription.', 'Drop the imported subscription because it is invalid. Verify that the schema containing the missing publication was included in the original export. If needed, perform the export again, including the schema of the missing publication.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31530', 'could not find published column string for CDC subscriber view string.string', 'A published column was missing for an imported Change Data Capture subscription.', 'Drop the imported subscription because it is invalid. Verify that the schema containing the missing published column was included in the original export. If needed, perform the export again, including the schema of the missing published column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31531', 'could not find column string in CDC subscriber view string.string', 'A column was missing in a subscriber view for an imported Change Data Capture subscription.', 'It is likely that this view existed before the import operation and import did not overwrite it. Determine whether the imported subscriber view should supercede the original view. If so, drop the original view and retry the import. If not, the subscriber view must have a different name in order to be imported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31532', 'cannot enable change source string', 'The change source cannot be enabled when there is no change table created in any of the change sets associated with the change source.', 'Add a change table to a change set before enabling the the change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31533', 'only one change set (string) is allowed in change source', 'A Distributed HotLog change source can contain at most one change set.', 'Create a new change source and create the change set in the new change source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28592', 'agent control utility: agent SID not set', 'The agent needs to know the value of the AGENT_SID parameter before it can process any commands. If it does not have a value for AGENT_SID then all commands will fail.', 'Issue the command SET AGENT_SID <value> and then retry the command that failed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28593', 'agent control utility: command terminated with error', 'An error occurred during the processing of the command. There could be several causes. A SET or an UNSET command could have been issued after the agent was started. This is illegal. The user may have attempted to start two agents with the same SID value or the user could have attempted to shutdown an agent that is no longer running.', 'If the user wishes to issue a SET or an UNSET command, he should make sure the agent is shutdown first by issuing the SHUTDOWN command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28594', 'agent control utility: invalid parameter name', 'The user tried to set or unset an invalid agent parameter.', 'Refer to documentation and correct the parameter name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28595', 'Extproc agent : Invalid DLL Path', 'The path of DLL supplied for the extproc execution is invalid.', 'Check if the DLL path is set properly using the EXTPROC_DLLS environment variable. errors 28600 - 28620 are reserved for bitmap indexes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28601', 'invalid [no]MINIMIZE option', 'user didn''t type this alter table <table_name> MINIMIZE RECORDS_PER_BLOCK or alter table <table_name> NOMINIMIZE RECORDS_PER_BLOCK', 'reenter correct sql command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28602', 'statement not permitted on tables containing bitmap indexes', 'table has bitmap indexes and user is minimizing or nominimizing records_per_block', 'drop all bitmap indexes before changing records_per_block', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28603', 'statement not permitted on empty tables', 'table is empty and statement does not work on empty tables', 'try statement after loading your data', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28604', 'table too fragmented to build bitmap index (string,string,string)', 'The table has one or more blocks that exceed the maximum number of rows expected when creating a bitmap index. This is probably due to deleted rows. The values in the message are: (data block address, slot number found, maximum slot allowed)', 'Defragment the table or block(s). Use the values in the message to determine the FIRST block affected. (There may be others).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28605', 'bitmap indexes cannot be reversed', 'user tried to create reverse bitmap index', 'don''t do this; it is not supported', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28606', 'block too fragmented to build bitmap index (string,string)', 'The block(s) exceed the maximum number of rows expected when creating a bitmap index. This is probably due to maximum slot allowed set too low. The values in the message are: (slot number found, maximum slot allowed)', 'alter system flush shared_pool; update tab$ set spare1 = 8192 where obj# = (select obj# from obj$ where NAME=<table_name> AND owner# = <table_owner>; commit;', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28611', 'bitmap index is corrupted - see trace file for diagnostics', 'Validate Index detected bitmap corruption in its argument index', 'Drop this bitmap index and create a new one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28650', 'Primary index on an IOT cannot be rebuilt', 'An attempt is made to issue alter index rebuild on IOT-TOP', 'Use Alter table MOVE to reorganize the table(IOT)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28651', 'Primary index on IOTs can not be marked unusable', 'An attempt is made to mark IOT-TOP unusable thru ALTER INDEX', 'Remove the option UNUSABLE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28652', 'overflow segment attributes cannot be specified', 'During ALTER MOVE ONLINE of a index-organized table, the user attempted to enter one or more of the following options: OVERFLOW, PCTTHRESHOLD,INCLUDING.', 'Remove the illegal option(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28653', 'tables must both be index-organized', 'Attempt to exchange a non IOT table/partition with a partition/table respectively', 'Ensure that non-partitioned and partitioned tables are both index-organized.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28654', 'table and partition not overflow compatible', 'If one of the tables (partitioned/non-partitioned) has overflow data segment and the other one doesn''t.', 'Ensure that non-partitioned and partitioned tables both have overflow data segment or neither one does.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28655', 'Alter table add overflow syntax error', 'Syntax error', 'Check the syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28656', 'incomplete attribute specification', 'The attribute specification is not done for all partitions"', 'Specify the storage attributes either for ALL partitions or NONE NLS_DO_NOT_TRANSLATE [28657,28657]', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28658', 'This operation is supported only for Index-Organized tables', 'Attempt to perform some IOT specific operation on a non-IOT', 'don''t do this. This is not supported', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28659', 'COMPRESS must be specified at object level first', 'Attempt to specify COMPRESS at partition level without first specifying at the table level', 'Specify COMPRESS at table level. Use ALTER TABLE xxx MODIFY DEFAULT ATTRIBUTES COMPRESS ...', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28660', 'Partitioned Index-Organized table may not be MOVEd as a whole', 'Attempt to MOVE partitioned IOT as a whole', 'don''t do this. This is not supported', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28661', 'Object already has COMPRESS clause specified', 'Attempt to specify compress for iot/index which already has a compression clause.', 'This is a ''create time only'' attribute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28662', 'IOT index and overflow segments must share the same LOGGING attribute', 'Attempt to specify LOGGING for one segment and NOLOGGING for the other segment.', 'don''t do that', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28663', 'Logging/Nologging attribute can not be specified in the statement ALTER TABLE ADD OVERFLOW', 'Attempt to specify LOGGING for a Alter Table Add Overflow.', 'don''t do that', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28664', 'a partitioned table may not be coalesced as a whole', 'User attempted to coalesce a partitioned IOT using ALTER TABLE COALESCE statement, which is illegal', 'Coalesce the table a partition at a time (using ALTER TABLE MODIFY PARTITION COALESCE)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28665', 'table and partition must have same compression attribute', 'User attempted to EXCHANGE a compression enabled partition with a compression disabled table or vice versa OR the # of columns compressed is different for table and partition', 'Make sure the compression attributes match If they don''t, fix it using ALTER TABLE MOVE [PARTITION] COMPRESS', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28666', 'option not allowed for an index on UROWID column(s)', 'User attempted to build a REVERSE or COMPRESSED or GLOBAL partitioned index on UROWID column(s)', 'Build the index without these options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28667', 'USING INDEX option not allowed for the primary key of an IOT', 'User attempted to define storage attributes for the primary key index of an Index-Organized table with USING INDEX clause. All the storage attribute defined for the (IOT)table applies to the primary key index and a separate USING INDEX clause is not required.', 'Remove the USING INDEX clause and specify all attributes directly for the table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28668', 'cannot reference mapping table of an index-organized table', 'An attempt to directly access the mapping table of an index-organized table', 'Issue the statement against the parent index-organized table containing the specified mapping table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31415', 'change set string does not exist', 'Specified change set does not exist or the user does not have access to the publications in that change set. The name specified did not match the name of any existing change set. Certain privileges are required to access the publications within that change set.', 'Check the name and call the procedure again, with the name of an existing change set. Contact the publisher or database administrator if user privileges are required to access the publications in the change set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31535', 'cannot support change source string in this configuration', 'Each database can only have one change source with hot mine option enabled. The system detected an existing hot mine change source in the database, therefore, a second hot mine change source cannot be created.', 'Remove the existing change source and create this new change source again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31603', 'object "string" of type string not found in schema "string"', 'The specified object was not found in the database.', 'Correct the object specification and try the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31604', 'invalid string parameter "string" for object type string in function string', 'The specified parameter value is not valid for this object type.', 'Correct the parameter and try the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31605', 'the following was returned from string in routine string: LPX-number: string', 'An LPX routine (XML/XSL processing) returned an internal error number to its PL/SQL wrapper routine in facility KUX which provides the implementation for package UTL_XML.', 'Look up the LPX error number and follow its corrective action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31606', 'XML context number does not match any previously allocated context', 'A method in package UTL_XML was called with an invalid XML context handle. All handles must have previously been allocated by UTL_XML.XMLINIT.', 'Always call XMLINIT before any other methods in pkg. UTL_XML.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31607', 'function string is inconsistent with transform.', 'Either (1) FETCH_XML was called when the "DDL" transform was specified, or (2) FETCH_DDL was called when the "DDL" transform was omitted.', 'Correct the program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31608', 'specified object of type string not found', 'The specified object was not found in the database.', 'Correct the object specification and try the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31609', 'error loading file "string" from file system directory "string"', 'The installation script initmeta.sql failed to load the named file from the file system directory into the database.', 'Examine the directory and see if the file is present and can be read.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31610', 'cannot call this function from a non-master process', 'Called a Data Pump process model function from a process which is not a master process.', 'Create a master process first. Then call the function from the master process. If this error occurs from a Data Pump client (e.g. expdp or impdp), try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31612', 'Allocation of process descriptor failed.', 'During creation of a master process or a worker process, a failure occurred allocating a process descriptor for the process.', 'Try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31613', 'Master process string failed during startup.', 'The master process whose name is listed failed during startup.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31614', 'routine string received this error from string: string', 'The call to the specified routine failed and the specific error text is included in this error message (the last %s string).', 'Correct inputs to the specified routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31615', 'routine string received this error: string', 'The specified routine failed and the specific error text is included in this error message (the last %s string).', 'Correct inputs to the specified routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31616', 'unable to write to dump file "string"', 'Export was unable to write to the export file, probably because of a device error. This message is usually followed by a device message from the operating system.', 'Take appropriate action to restore the device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31617', 'unable to open dump file "string" for write', 'Export was unable to open the export file for writing. This message is usually followed by device messages from the operating system.', 'Take appropriate action to restore the device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31618', 'dump file size too small', 'The value specified for the FILESIZE parameter or the VOLUMESIZE parameter was too small to hold the header information for the export file, plus any data.', 'Increase the value of the FILESIZE or VOLUMESIZE parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31619', 'invalid dump file "string"', 'Either the file was not generated by Export or it was corrupted.', 'If the file was indeed generated by Export, report this as an Import bug and submit the export file to Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31620', 'file or device "string" cannot be specified for string operation', 'There was an inappropriate use of file or device in the current operation.', 'Correct operation or job setup.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31621', 'error creating master process', 'Setup to create a master process failed.', 'Refer to any following error messages for possible actions. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31623', 'a job is not attached to this session via the specified handle', 'An attempt to reference a job using a handle which is invalid or no longer valid for the current session.', 'Select a handle corresponding to a valid active job or start a new job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31624', 'A job cannot be modified after it has started.', 'The user attempted to change the definition of a Data Pump job through filters, transforms or parameters after it had started. These changes can only be made while defining a job.', 'Stop the current job and rerun it with the correct definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31625', 'Schema string is needed to import this object, but is unaccessible', 'An error occurred when attempting to import objects. The schema specified is needed to import this object, but access to this schema is not available.', 'Refer to any following error messages for possible actions. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31626', 'job does not exist', 'An invalid reference to a job which is no longer executing, is not executing on the instance where the operation was attempted, or that does not have a valid Master Table. Refer to any following error messages for clarification.', 'Start a new job, or attach to an existing job that has a valid Master Table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31627', 'API call succeeded but more information is available', 'The user specified job parameters that yielded informational messages.', 'Call DBMS_DATAPUMP.GET_STATUS to retrieve additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31534', 'Change Data Capture string publisher string is missing DBA role', 'The publisher does not have the DBA role, which is required by the Change Data Capture operation.', 'Grant the DBA role the Change Data Capture publisher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31536', 'cannot support encrypted column string in the source table', 'One of the columns specified in the parameter COLUMN_TYPE_LIST was an encrypted column in the source table', 'remove the encrypted column in the parameter COLUMN_TYPE_LIST', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31537', 'specified purge date is invalid', 'The purge date specified was an invalid date or was outside of the range of data currently in the change set.', 'Do not specify purge date or specify a date that is within the range of data in the change set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31538', 'change set string disabled', 'This change set was disabled.', 'Contact the change set''s publisher to request that the change set be enabled. Subscriptions using this change set cannot be activated or have their subscription windows extended or purged until the change set is enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31539', 'no privilege to create job', 'This change table could not be created because the create job privilege is needed to submit the default purge job.', 'Grant the create job privilege and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31600', 'invalid input value string for parameter string in function string', 'A NULL or invalid value was supplied for the parameter.', 'Correct the input value and try the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31601', 'Function string cannot be called now that fetch has begun.', 'The function was called after the first call to FETCH_xxx.', 'Correct the program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31602', 'parameter string value "string" in function string inconsistent with string', 'The parameter value is inconsistent with another value specified by the program. It may be inconsistent with the object type associated with the OPEN context, or it may be of the wrong datatype (a boolean rather than a text string or vice versa).', 'Correct the program', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31628', 'error getting worker process exception', 'Attempt to get a worker process exception failed.', 'Refer to any following error messages for possible actions. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31629', 'unable to allocate additional memory', 'A dynamic memory allocation failure occurred.', 'Report this problem to a database administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31630', 'a job name is required to attach a job for user string', 'No job name was supplied for an attach and the user has either no jobs executing or mutiple jobs executing.', 'Provide a job name for attach to use in selecting an executing job, or to use for restarting a stopped job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31631', 'privileges are required', 'The necessary privileges are not available for operations such as: restarting a job on behalf of another owner, using a device as a member of the dump file set, or ommiting a directory object associated with any of the various output files. Refer to any following error messages for additional information.', 'Select a different job to restart, try a different operation, or contact a database administrator to acquire the needed privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31632', 'master table "string.string" not found, invalid, or inaccessible', 'A Master Table is required but no such table exists, or the content is not consistent with that of a valid Master Table, or the table is not accessible. Refer to any following error messages for clarification.', 'Make sure a valid Master Table exists, and eliminate any problems indicated by the following error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31633', 'unable to create master table "string.string"', 'Job creation failed because a Master Table and its indexes could not be created, most commonly due to the pre-existance of a table with the same name (job name) in the user schema. Refer to any following error messages for clarification.', 'Select a different job name, DROP the existing table, or eliminate any problems indicated by the following error messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31634', 'job already exists', 'Job creation or restart failed because a job having the selected name is currently executing. This also generally indicates that a Master Table with that job name exists in the user schema. Refer to any following error messages for clarification.', 'Select a different job name, or stop the currently executing job and re-try the operation (may require a DROP on the Master Table).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31635', 'unable to establish job resource synchronization', 'A lock used in synchronizing Data Pump resources during job creation and deletion could not be obtained during job creation. This indicates that a process for some other Data Pump job has not released the lock due to an internal error.', 'Eliminate the processes for any failed Data Pump job and try to create the new job again. If the error continues to occur, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31636', 'session is already attached to job string for user string', 'The session executing the attach is already attached to the specified job.', 'Select a different job or create a new session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31637', 'cannot create job string for user string', 'Unable to create or restart a job. Refer to any following or prior error messages for clarification.', 'Eliminate the problems indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31638', 'cannot attach to job string for user string', 'Unable to attach a job to a session. Refer to any following or prior error messages for clarification.', 'Eliminate the problems indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31639', 'unexpected data found', 'The Master Table or Data Pump file contents appear invalid. The table or file may not have been produced by a Data Pump job, or they may have been corrupted.', 'Select a different job name (Master Table) or replace the table or file with one produced by Data Pump.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31640', 'unable to open dump file "string" for read', 'Import was unable to open the export file for reading. This message is usually followed by device messages from the operating system.', 'Take appropriate action to restore the device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31641', 'unable to create dump file "string"', 'Export was unable to create the specified file with write enabled.', 'Check the file name and file system for the source of the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31642', 'the following SQL statement fails: string', 'An internal error was generated from package DBMS_METADATA.', 'Contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31643', 'unable to close dump file "string"', 'Export or Import was unable to close the dump file. This message is usually followed by device messages from the operating system.', 'Take appropriate action to restore the device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31644', 'unable to position to block number string in dump file "string"', 'Export or Import was unable to position its file pointer to a specific block within the dump file. This message is usually followed by device messages from the operating system.', 'Take appropriate action based on the device messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-31645', 'unable to read from dump file "string"', 'Import could not read from the dumpfile, probably because of a device error. This message is usually followed by a device message from the operating system.', 'Take appropriate action to restore the device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24420', 'OCISessionRelease must be used to release this session.', 'The session was retrieved using OCISessionGet, and an attempt has been made to release it using a call other than OCISessionRelease.', 'Call OCISessionRelease.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24421', 'OCISessionRelease cannot be used to release this session.', 'The session was not retrieved using OCISessionGet, and an attempt has been made to release it using OCISessionRelease.', 'Release the session using an appropriate call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24422', 'error occurred while trying to destroy the Session Pool', 'An attempt was made to destroy the session pool while some sessions in the pool were busy.', 'Ensure that no sessions from the pool are being used OR call OCISessionPoolDestroy with mode set to OCI_SPD_FORCE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24423', 'Cannot set the ROWID attribute - OCI_ATTR_FETCH_ROWID', 'An attempt was made to set the implicit ROWID attribute.', 'Use a SELECT ... FOR UPDATE statement that has not previously been described or executed before setting this ROWID attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24424', 'Invalid attempt to define at position 0', 'An invalid attempt was made to call OCIDefineByPos for position 0.', 'Ensure that the implicit ROWID attribute, OCI_ATTR_FETCH_ROWID, is set on the statement handle before doing the execute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24425', 'Invalid mode passed when defining at position 0', 'An invalid mode was passed to OCIDefineByPos.', 'Ensure a valid mode is passed to OCIDefineByPos when defining at position 0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24430', 'Null values for sqltext and key were specified.', 'An attempt was made to call OCIStmtPrepare2 and neither sqltext nor key were specified.', 'Specify valid values for sqltext or key or both.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24431', 'Statement does not exist in the cache', 'The statement that was requested for does not exist in the statement cache.', 'Please request for a valid statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24432', 'The statement that was returned is not tagged.', 'A tagged statement was requested for, but an untagged statement has been returned.', 'This is a warning. Please modify and tag the statement as desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24433', 'This statement has already been prepared using OCIStmtPrepare2.', 'A statement that was earlier prepared using OCIStmtPrepare2 is now being reprepared using OCIStmtPrepare."', 'Please use a different statement handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24434', 'OCIStmtRelease called before OCIStmtPrepare2.', 'An attempt was made to release a statement without first preparing it using OCIStmtPrepare2.', 'Call OCIStmtPrepare2 before OCIStmtRelease.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24435', 'Invalid Service Context specified.', 'The statement was prepared using a service context that is different from the one specified in OCIStmtExecute.', 'Please specify the same service context that the statement was prepared with.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24436', 'Invalid statement Handle.', 'OCIHandleFree called on a statement that was prepared using OCIstmtPrepare2.', 'Release the statement using OCIStmtRelease.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24437', 'OCIStmtExecute called before OCIStmtPrepare2.', 'An attempt was made to execute a statement without first preparing it using OCIStmtPrepare2.', 'Call OCIStmtPrepare2 before OCIStmtExecute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24438', 'Invalid Authentication Handle specified.', 'The statement was prepared using an authentication handle that is different from the one specified in OCIStmtExecute.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24439', 'success with PLSQL compilation warning', 'A plsql compilation warning occurred.', 'Return OCI_SUCCESS_WITH_INFO along with the error code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24440', 'OCI Easy Install mode cannot be initialized', 'An internal OCI error has occurred.', 'Please contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24441', 'Invalid cookie, resend sql text', 'An internal OCI error has occurred.', 'Please contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24450', 'Cannot pre-process OCI statement', 'An error occured during statement pre-processing. E.g., SQL statement has invalid usage of N'' or Q'' literals.', 'Correct the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24451', 'string, Maximum call depth exceeded', 'Your program has too many levels of recursion.', 'Restructure your program to eliminate some levels of recursion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24460', 'Native Net Internal Error', 'Internal error .', 'This error should not normally occur. If it persists, please contact your customer service representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24500', 'invalid UTF16 mode', 'UTF16 mode is allowed only at environment handle creation time.', 'Remove UTF16 mode for functions other than OCIEnvCreate()', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24501', 'invalid UTF16 string passed in', 'Non-UTF16 string is passed in while UTF16 string is expected', 'Check the parameter which is actually a string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24502', 'codepoint length overflows', 'Returned buffer has more codepoints than allowed', 'Set OCI_MAXCHAR_SIZE large enough to accommodate', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24503', 'codepoint length overflows for piecewise operation', 'Accumulated codepoint length exceeds allowed codepoint length', 'Set OCI_MAXCHAR_SIZE large enough to accommodate', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24504', 'data length larger than expected', 'Incoming data larger than receiving buffer', 'Set OCI_MAXDATA/MAXCHAR_SIZE appropriately or remove the setting', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24505', 'cannot change character set id on the handle', 'Attempts to change character set id on non-environment handles', 'Only try to change character set id on environment handles', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24506', 'invalid attempt to change character set id on env handle', 'Attempts to change character set id after other handles have been allocated from the env handle', 'Change character set id after creating environment handle but before allocating any handles from it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24507', 'invalid combination of character set ids', 'Attempts to set one character set id as zero', 'Set both charset and ncharset as zero or non-zero in OCIEnvNlsCreate()', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25462', 'evaluation context not specified', 'An attempt to evaluate was made, which failed because the evaluation context specified was null.', 'Check the evaluation context name, and try again with a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25463', 'table alias not specified', 'An attempt to evaluate was made, which failed because one of the table values specified had a NULL alias name.', 'Check the list of table values, and try again with a valid alias name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25464', 'ROWID not specified for table alias: string', 'An attempt to evaluate was made, which failed because the table value for the specified table alias had a NULL ROWID.', 'Check the list of table values, and try again with a valid ROWID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25465', 'variable name not specified', 'An attempt to evaluate was made, which failed because one of the variable values specified had a NULL variable name.', 'Check the list of variable values, and try again with a valid variable name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25466', 'data not specified for variable name: string', 'An attempt to evaluate was made, which failed because the variable value for the specified variable name had NULL data.', 'Check the list of variable values, and try again with valid data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25467', 'table alias not specified', 'An attempt to evaluate was made, which failed because one of the column values specified had a NULL alias name.', 'Check the list of column values, and try again with a valid alias name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25468', 'column name not specified for alias: string', 'An attempt to evaluate was made, which failed because one of the column values for the specified alias name had a NULL column name.', 'Check the list of column values, and try again with a valid column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27230', 'OS system call failure', 'OS system call failed', 'check errno and contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27250', 'OS system call failure', 'OS system call failed', 'check errno and contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27300', 'OS system dependent operation:string failed with status: string', 'OS system call error', 'contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27301', 'OS failure message: string', 'OS system call error', 'contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27302', 'failure occurred at: string', 'OS system call error', 'contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27303', 'additional information: string', 'OS system call error', 'contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27351', 'conflicting values of job attributes string and string', 'The values of two attributes passed in to the CREATE_JOBS call or the JOB object constructor conflicted with each other. This is usually because both attributes cannot be non-NULL at the same time.', 'Resolve the conflict by changing the value of one of the attributes and issue the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27353', 'job attribute string is missing', 'An attribute needed to fully specify a job was not passed in to a call to CREATE_JOBS or the JOB object constructor.', 'Issue the call again with the required attribute set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27354', 'attribute string cannot be set for lightweight jobs', 'The CREATE_JOBS call or the JOB object constructor was called with an argument that is illegal in the case of lightweight jobs.', 'Set the argument to the default value and issue the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27356', 'invalid job argument', 'An invalid job argument was passed into either the CREATE_JOBS call or the JOB object constructor.', 'Correct the argument value and issue the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27357', 'duplicate reference to job object string', 'The scheduler CREATE_JOBS call had two or more references to the same job.', 'Eliminate the duplicate references and issue the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27359', 'duplicate reference to attribute string of job string', 'The scheduler SET_JOB_ATTRIBUTES call had two or more references to a specific atrribute of a job.', 'Eliminate the duplicate references and issue the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27361', 'scheduler API invoked with illegal or inconsistent arguments', 'A DBMS_SCHEDULER API call was invoked with either illegal or inconsistent arguments.', 'Refer to scheduler documentation for the call, make the necessary changes and issue the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27362', 'batch API call completed with errors', 'Some of the commands submitted to a scheduler batch API call could not be successfully carried out because of errors. Other commands in the batch may have completed successfully.', 'Check the view SCHEDULER_JOB_ERRORS to see which commands failed and why. Make the appropriate corrections and submit the failed commands again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27363', 'invalid program for lightweight job', 'You tried to create a lightweight job using an invalid program. A program used in a lightweight job has to be enabled, has to be in the same schema as the job, and the program action has to be either a PL/SQL block or a stored procedure.', 'Use a valid program for the lightweight job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27364', 'remote database string already registered as string', 'The user attempted to register a remote database that was already registered.', 'To update the registration information, the REPLACE argument of the REGISTER_REMOTE_DATABASE procedure should be set to TRUE. If the registration information is already current, no further action is needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27365', 'job has been notified to stop, but failed to do so immediately', 'The job specified in the stop_job command cannot be stopped immediately(because it is rolling back or blocked on a network operation), but it has been notified to stop. This means it will be stopped as soon as possible after its current uninterruptable operation is done.', 'No action is required for the job to be stopped, but calling stop_job with force (if you have the privilege) may cause the job to be stopped sooner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27366', 'job "string.string" is not running', 'An attempt was made to stop a job that was not running.', 'Verify the status of the job. If the job is running but this message is still being returned, contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27367', 'program "string.string" associated with this job is disabled', 'An attempt was made to run a job whose program has been disabled.', 'Reenable the program before running the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27369', 'job of type EXECUTABLE failed with exit code: string', 'A problem was encountered while running a job of type EXECUTABLE. The cause of the actual problem is identified by the exit code.', 'Correct the cause of the exit code and reschedule the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27370', 'job slave failed to launch a job of type EXECUTABLE', 'The scheduler ran into an error when the job slave tried to start a job of type EXECUTABLE. The rest of the error stack will provide more detailed information on what the exact problem was.', 'Correct the problem specified in the error stack and reschedule the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27371', 'jobs of type EXECUTABLE are not supported on this platform', 'The user tried to create a job or program of type EXECUTABLE on a platform where such jobs are not supported.', 'Switch to a different platform or create a different type of job or program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27372', 'length of action and arguments exceeds platform limit string', 'The total length of the job or program action and the arguments exceeds the platform limit specified.', 'Reduce the total length by specifying fewer and/or shorter arguments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27373', 'unknown or illegal event source queue', 'The source queue specified for the event based job or event based schedule was either not found or was of the wrong type.', 'Check if the queue exists. If it does make sure it is a multiple consumer queue and it is a post 8.1 compatible queue. Single consumer queues and old-style queues cannot be used as event source queues.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27374', 'insufficient privileges on event source queue', 'The job owner had insufficient privileges on the event source queue that was specified for the job.', 'The job owner has to have dequeue privileges on event source queue or he has to have manage queue or dequeue any queue system privileges. Make sure one of these privileges is granted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27375', 'valid agent name must be specified for secure queues', 'The queue specified for the event based job or schedule was a secure queue and either no agent name was specified or an invalid agent name was specified.', 'If no agent name was specified, retry the call with a valid agent name. If the agent name was valid, check if the agent is currently subscribed to the queue and, in the case of jobs, check is the agent has been authorized to act as the job owner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27376', 'event condition cannot be NULL', 'A null event condition was passed in for an event based job or schedule. This is not allowed.', 'Pass in a legal event condition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27377', 'windows cannot have event based schedules', 'Event based schedules for windows are currently not supported.', 'Use a time-based schedule instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27378', 'cannot stop jobs of type EXECUTABLE on this platform', 'An attempt was made to stop a job of type EXECUTABLE on a platform where the stop operation was not supported.', 'If the attempt to stop the job was made with the FORCE option set to FALSE, try again but change the FORCE option to TRUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24381', 'error(s) in array DML', 'One or more rows failed in the DML.', 'Refer to the error stack in the error handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24382', 'statement handled already executed or described', 'The Statement handle was executed or described successfuly before.', 'Perform a OCIStmtPrepare again before OCI_PARSE_ONLY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24383', 'Overflow segment of an IOT cannot be described', 'The name specified in the OCIDescribeAny call referred to an IOT overflow segment.', 'Use OCIDescribeAny to describe only documented objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24384', 'Application context size is not initialized', 'The size of the application context must be initialized before populating each context element.', 'Issue OCIAttrSet with OCI_ATTR_CTX_SIZE to initialize context size', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24385', 'Application context size or index is not valid', 'The size or index of the application context must be non-zero and non-negative.', 'Use an appropriate value for the size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24386', 'statement/server handle is in use when being freed', 'This is an internal OCI error.', 'The user should reset in-use flag in statement handle before freeing the handle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24387', 'Invalid attach driver', 'Trying to attach using the wrong driver', 'Relink the application in the right mode', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24388', 'Unsupported functionality in fast path mode', 'Feature not supported in fast path mode', 'Avoid using the functionality in this mode', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24389', 'Invalid scrollable fetch parameters', 'All the requested rows in this fetch could not be received.', 'Check the fetch orientation, scroll offset, OCI_ATTR_CURRENT_POSITION and number of rows in OCIStmtFetch2 call. If required, change some of above parameters and fetch again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24508', 'Buffer is not aligned correctly.', 'Alignment error ocurred in buffer when converting between character sets.', 'Align buffer appropriately. For UTF16 buffer, pass a ub2 pointer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24550', 'unhandled signal #number received. string', 'Serious error: signal received', 'Refer to the platform-specific signal code, and see if the application code caused the error. Otherwise, record all error state and notify Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24750', 'incorrect size of attribute', 'Transaction ID attribute size is incorrect.', 'Verify that the size parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24752', 'OCI_TRANS_NEW flag must be specified for local transactions', 'Application attempted to start a local transaction without using OCI_TRANS_NEW.', 'Use OCI_TRANS_NEW when starting local transactions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24753', 'local transactions cannot be detached', 'An attempt to detach a local transaction was made.', 'Local transactions may only be committed or rolled back.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24754', 'cannot start new transaction with an active transaction', 'An attempt to start a new transaction was made when there was an active transaction.', 'Commit, rollback or detach the existing transaction before starting a new transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24755', 'OCI_TRANS_NOMIGRATE, OCI_TRANS_JOIN options are not supported', 'These flags are currently not supported.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24756', 'transaction does not exist', 'An invalid transaction identifier or context was used or the transaction has completed.', 'Supply a valid identifier if the transaction has not completed and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24757', 'duplicate transaction identifier', 'An attempt was made to start a new transaction with an identifier already in use by an existing transaction.', 'Verify that the identifier is not in use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24758', 'not attached to the requested transaction', 'An attempt was made to detach or complete a transaction that is not the current transaction.', 'Verify that the transaction context refers to the current transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24759', 'invalid transaction start flags', 'An invalid transaction start flag was passed.', 'Verify that only one of the following values is specified: OCI_TRANS_NEW, OCI_TRANS_JOIN, OCI_TRANS_RESUME, or OCI_TRANS_PROMOTE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24760', 'invalid isolation level flags', 'An invalid isolation level flag was passed.', 'Verify that only one of following values - OCI_TRANS_READONLY, OCI_TRANS_READWRITE, OCI_TRANS_SERIALIZABLE is used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24762', 'server failed due to unspecified error', 'An internal error has occured in the server commit protocol.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24763', 'transaction operation cannot be completed now', 'The commit or rollback cannot be performed now because the session cannot switch to the specified transaction.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24767', 'transaction branch prepare returns read-only', 'The transaction is read-only, or this is the outcome of an optimization for two-phase commit protocol.', 'None. Informational only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24769', 'cannot forget an active transaction', 'Transaction identifier refers to an active transaction.', 'Verify that the identifier of an active transaction was not passed as an argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24770', 'cannot forget a prepared transaction', 'Transaction identifier refers to a prepared transaction.', 'Verify that the identifier of a prepared transaction was not passed as an argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24771', 'cannot detach, prepare or forget a local transaction', 'Service handle contains a local transaction context.', 'Verify that the transaction context does not refer to a local transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24772', 'Cannot mix tightly-coupled and loosely-coupled branches', 'Application attempted to start a transaction with a global transaction identifier and a wrong option.', 'Verify that all branches of a global transaction are started with either OCI_TRANS_TIGHT or OCI_TRANS_LOOSE option. If the application is correct and uses distributed updates, contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24773', 'invalid transaction type flags', 'OCI_TRANS_TIGHT or OCI_TRANS_LOOSE mode was not specified.', 'Verify that the right parameters are being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24774', 'cannot switch to specified transaction', 'The transaction specified in the call refers to a transaction created by a different user.', 'Create transactions with the same authentication so that they can be switched.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24775', 'cannot prepare or commit transaction with non-zero lock value', 'An attempt was made to detach the transaction with a non-zero lock value.', 'Detach the transaction with lock value set to zero and then try to prepare or commit the transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24776', 'cannot start a new transaction', 'An attempt was made to start a new transaction when session was already attached to an existing transaction.', 'End the current transaction before creating a new transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24777', 'use of non-migratable database link not allowed', 'The transaction, which needs to be migratable between sessions, tried to access a remote database from a non-multi threaded server process.', 'Perform the work in the local database or open a connection to the remote database from the client. If multi threaded server option is installed, connect to the Oracle instance through the dispatcher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24909', 'call in progress. Current operation cancelled', 'The OCI call was invoked when another call on the connection was in progress.', 'Check if the OCI call is supported when the call is in progress under special conditions; for example, if it is being used by a signal handler. NLS_DO_NOT_TRANSLATE [24910,24910]', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24911', 'Cannot start listener thread at specified port', 'Thread already running at a different port.', 'Set the correct port in the environment handle or let the system choose the port.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28039', 'cannot validate Kerberos service ticket', 'The Kerberos service ticket provided was invalid or expired', 'Provide a valid, unexpired service ticket.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28040', 'No matching authentication protocol', 'No acceptible authentication protocol for both client and server', 'Administrator should set SQLNET_ALLOWED_LOGON_VERSION parameter on both client and servers to values that matches the minimum version supported in the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28041', 'Authentication protocol internal error', 'Authentication protocol failed with an internal error', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28042', 'Server authentication failed', 'Server failed to authenticate itself to the client', 'Confirm that the server is a valid database server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28043', 'invalid bind credentials for DB-OID connection', 'The Database password stored in the wallet did not match the one in OID .', 'Use DBCA to reset the database password so that it is the same in database wallet and in OID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28044', 'unsupported directory type', 'The database tried to work with a directory which is not OID.', 'Enterprise User Security works only with Oracle Internet Directory. Update the ldap.ora file to reflect an appropriate OID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28045', 'SSL authentication between database and OID failed', 'Server failed to authenticate itself to the Directory.', 'Make sure the sqlnet.ora used is pointing to the wallet with the right certificate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28046', 'Password change for SYS disallowed', 'REMOTE_LOGIN_PASSWORDFILE is set to SHARED, prohibiting SYS password changes.', 'Change setting of REMOTE_LOGIN_PASSWORDFILE to EXCLUSIVE or NONE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28047', 'database is not a member of any enterprise domain in OID', 'An enterprise user login was attempted on a database that is not a member of any enterprise domain in OID.', 'An administrator should put the database into an enterprise domain in OID, and then the user should reconnect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28048', 'database is a member of multiple enterprise domains in OID', 'An enterprise user login was attempted on a database that is a member of multiple enterprise domains in OID.', 'An administrator should put the database into only one enterprise domain in OID, and then the user should reconnect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28049', 'the password has expired', 'The enterprise user''s password has expired and the password needs to be changed.', 'change the password in the directory or contact the directory administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28169', 'unsupported certificate type', 'The type of certificate from which the server is to extract the credentials of the client is not supported.', 'Specify a supported type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28170', 'unsupported certificate version', 'The version of the certificate from which the server is to extract the credentials of the client is not supported.', 'Specify a supported version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28171', 'unsupported Kerberos version', 'the version the Kerberos ticket which the server is to use to validate the identity of the client is not supported.', 'Specify a supported version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28172', 'distinguished name not provided by proxy', 'A client user is to be identified using a distinguished name, but none was provided by the proxy user.', 'Provide a distinguished name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28173', 'certificate not provided by proxy', 'A client user is to be identified using a certificate but none was provided by the proxy user.', 'Provide a certificate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28174', 'Kerberos ticket not provided by proxy', 'A client user is to be authenticated using a Kerberos ticket but none was provided by the proxy user.', 'Provide a Kerberos ticket.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28175', 'incorrect certificate type', 'the type of certificate provided by the proxy user to identify a client user does not match the type that is required.', 'Provide a certificate of the correct type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28176', 'incorrect certificate version', 'the version of certificate provided by the proxy user to identify a client user does not match the version that is required.', 'Provide a certificate of the correct version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28177', 'incorrect Kerberos ticket version', 'the version of Kerberos ticket provided by the proxy user to authenticate a client user does not match the version that is required.', 'Provide a Kerberos ticket of the correct version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28178', 'password not provided by proxy', 'A client user is to be authenticated using a database password but none was provided by the proxy user.', 'Provide a password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28179', 'client user name not provided by proxy', 'No user name was provided by the proxy user for the client user.', 'Either specify a client database user name, a distinguished name or an X.509 certificate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28180', 'multiple authentication methods provided by proxy', 'More than one authentication method was specified by the proxy user for the client user.', 'Specify only one of the following: a client database user name, a distinguished name or an X.509 certificate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28181', 'proxy ''string'' failed to enable one or more of the specified initial roles for client ''string''', 'Attempt to enable specified initial roles after logon resulted in failure.', 'Check that the initial roles are valid, granted to client, and not password protected.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28182', 'cannot acquire Kerberos service ticket for client', 'An attempt to use a Kerberos forwardable ticket granting ticket to obtain a Kerberos service ticket failed.', 'Check that the Kerberos forwardable ticket granting ticket belongs to the client, is valid, and that the key distribution center is available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28183', 'proper authentication not provided by proxy', 'A client user must be authenticated but no authentication credentials were provided by the proxy user.', 'Provide some form of authentication credentials.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28184', 'global user cannot have proxy permissions managed in the directory', 'The client name specified was a global user.', 'Use ALTER USER to change the type of user (from IDENTIFIED GLOBALLY to something else, such as IDENTIFIED BY password or IDENTIFIED EXTERNALLY).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28200', 'IDENTIFIED USING already specified', 'The IDENTIFIED USING clause was specified twice.', 'Use only one IDENTIFIED USING clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28201', 'Not enough privileges to enable application role ''string''', 'An attempt to enable application role outside the scope of the designated package', 'Enable the role directly or indirectly using the designated package', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28221', 'REPLACE not specified', 'User is changing password but password verification function is turned on and the original password is not specified and the user does not have the alter user system privilege.', 'Supply the original password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28231', 'no data passed to obfuscation toolkit', 'A NULL value was passed to a function or procedure.', 'Make sure that the data passed is not empty.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28232', 'invalid input length for obfuscation toolkit', 'Length of data submitted for encryption or decryption is not a multiple of 8 bytes.', 'Make sure that the length of the data to be encrypted or decrypted is a multiple of 8 bytes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28233', 'double encryption not supported', 'The obfuscation toolkit does not support the encryption of already-encrypted data.', 'Do not attempt to encrypt already-encrypted data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28234', 'key length too short', 'The key specified is too short for the algorithm. DES requires a key of at least 8 bytes. Triple DES requires a key of least 16 bytes in two-key mode and 24 bytes in three-key mode.', 'Specify a longer key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24375', 'Cannot use V6 syntax when talking to a V8 server', 'V6 syntax is no longer supported in V8 server.', 'Change syntax to V7 syntax or higher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24376', 'cannot register/get user callback for non-environment handle', 'A user callback registration or get was attempted on a handle which is not an environment handle.', 'Pass the environment handle to register/get user callback.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24377', 'invalid OCI function code', 'An invalid function code was used to register or get user callback"', 'Use a valid OCI function code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24378', 'user callbacks not allowed for this call', 'An attempt was made to register a user callback for an OCI call for which it not allowed to register user callbacks.', 'Do not register user callback for this OCI call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24379', 'invalid user callback type', 'An invalid type of user callback was specified.', 'Specify a valid user callback type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24380', 'invalid mode specification', 'The mode parameter in an OCIU* call is invalid', 'Use only valid mode parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25469', 'data not specified for alias: string column name: string', 'An attempt to evaluate was made, which failed because the column value for the specified alias and column name had NULL data.', 'Check the list of column values, and try again with valid data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25470', 'duplicate attribute value for variable: string', 'An attempt to evaluate was made, which failed because one of the attribute values supplied a value for a variable, which already had a variable value supplied.', 'Check the variable and attribute values specified, and try again with either a variable value or attribute values for each variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25471', 'attribute name not specified for variable: string', 'An attempt to evaluate was made, which failed because one of the attribute values for the specified variable had a NULL attribute name.', 'Check the list of attribute values, and try again with a valid attribute name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25472', 'maximum open iterators exceeded', 'The open rule hit iterators in the session exceeded 2 * OPEN_CURSORS.', 'Close some rule hit iterators.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25473', 'cannot store string in rule action context', 'The user attempted to put unsupported data types, such as LOBs and evolved ADTs, into the rule action context.', 'Use only supported data types in rule action context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25500', 'database is not open', 'Database must be open to perform ALTER SYSTEM QUIESCE RESTRICTED command.', 'Open the database and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26013', 'List allocated may not be big enough', 'There seems to be a discrepancy between the size for a list or buffer allocated by direct path api and the size needed.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26014', 'unexpected error on string string while retrieving string string', 'The SQL error was returned from an OCIStmtExecute call.', 'Correct the SQL error that was returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26015', 'Array column string in table string is not supported by direct path', 'User attempted to load an array column via the direct path.', 'Use the conventional path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26016', 'Virtual column string in table string.string cannot be loaded by direct path', 'You attempted to load an virtual column using the direct path.', 'Virtual columns cannot be loaded using the direct path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26017', 'global indexes not allowed for direct path load of table partition string', 'Global indexes are defined on a table when direct path loading a single partition of the table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26018', 'Column string in table string does not exist', 'Column specified in the loader control file does not exist.', 'Make sure the column exists and that you have privileges on it. Correct the loader control file if it is wrong.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26019', 'Column string in table string of type string not supported by direct path', 'The Specified column of SQL column type %s is not supported by the direct path loader.', 'If the column is NULLable, remove it from the control file description. Then it will be loaded as a NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26020', 'index string.string loaded successfully with string keys', 'Non-partitioned index information put to loader log file.', 'None. Informational only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26021', 'index string.string partition string loaded successfully with string keys', 'Partitioned index information put to loader log file.', 'None. Informational only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26022', 'index string.string was made unusable due to:', 'A Non-partitioned index was made index unusable due to the error displayed below this error.', 'Depending on the error, either rebuild the index, or drop and re-create it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26023', 'index string.string partition string was made unusable due to:', 'A partition of a partitioned index was made index unusable due to error displayed below this error.', 'Depending on the error, either rebuild the index partition, or drop and re-create the entire index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26024', 'SKIP_UNUSABLE_INDEXES requested and index segment was initially unusable', 'User requested SKIP_UNUSABLE_INDEXES option, and the index segment' || '<p>' || '* was in unusable state prior to the beginning of the load.', 'Informational only. User will need to either rebuild the index' || '<p>' || '* or index partition, or re-create the index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26025', 'SKIP_INDEX_MAINTENANCE option requested', 'User requested that index maintenance be skipped on a direct path load.', 'The listed index was put into Index Unusable state due to the user requesting that index maintenance be skipped. Either rebuild the index or index partitions, or drop and re-create the index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26026', 'unique index string.string initially in unusable state', 'A unique index is in IU state (a unique index cannot have' || '<p>' || '* index maintenance skipped via SKIP_UNUSABLE_INDEXES).', 'Either rebuild the index or index partition, or use' || '<p>' || '* SKIP_INDEX_MAINTENANCE if the client is SQL*Loader.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26027', 'unique index string.string partition string initially in unusable state', 'A partition of a unique index is in IU state (a unique index' || '<p>' || '* cannot have index maintenance skipped via SKIP_UNUSABLE_INDEXES).', 'Either rebuild the index or index partition, or use' || '<p>' || '* SKIP_INDEX_MAINTENANCE if the client is SQL*Loader.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26028', 'index string.string initially in unusable state', 'An index is in IU state prior to the beginning of a direct' || '<p>' || '* path load, it cannot be maintained by the loader.', 'Either rebuild the index, re-create the index, or use either' || '<p>' || '* SKIP_UNUSABLE_INDEXES or SKIP_INDEX_MAINTENANCE (Sql*Loader only).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26029', 'index string.string partition string initially in unusable state', 'A partition of an index is in IU state prior to the beginning' || '<p>' || '* of a direct path load, it cannot be maintained by the loader.', 'Either rebuild index partition, re-create the index, or use either' || '<p>' || '* SKIP_UNUSABLE_INDEXES or SKIP_INDEX_MAINTENANCE (Sql*Loader only).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26030', 'index string.string had string partitions made unusable due to:', 'A logical index error occurred on a partitioned index which' || '<p>' || '* affected one or more index partitions, which are listed below' || '<p>' || '' || '<p>' || '* this message.', 'The affected index partitions will have to be re-built, or, the' || '<p>' || '* entire index dropped and re-created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26031', 'index maintenance error, the load cannot continue', 'A index errror occurred during the index maintenance phase of' || '<p>' || '* a direct path load. The load cannot continue. See error message' || '<p>' || '' || '<p>' || '* below this message.', 'See action for the error message which follows this one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27205', 'skgfpcn: sbtpccancel returned error', 'sbtpccancel returned an error. This happens during a proxy restore.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27206', 'requested file not found in media management catalog', 'A backup file used in a recovery manager catalog maintenance command was not found in the media management catalog.', 'Retry the command with a different file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27207', 'syntax error in device PARMS - parentheses mismatch or missing', 'User-supplied PARMS value has incorrect syntax.', 'Retry the command with correct syntax: ENV=(..) BLKSIZE=nnnn', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27208', 'syntax error in device PARMS - environment variable value missing', 'User-supplied PARMS value has incorrect syntax.', 'Retry the command with correct syntax: ENV=(var1=val1,var2=val2,..)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27209', 'syntax error in device PARMS - unknown keyword or missing =', 'User-supplied PARMS value has incorrect syntax. The server expected to find ENV or BLKSIZE, but found an unknown keyword.', 'Retry the command with correct syntax: ENV=(..) BLKSIZE=nnnn', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27379', 'INSTANCE_ID attribute conflicts with job class settings', 'The value of the INSTANCE_ID attribute of the job conflicted with the value of the SERVICE attribute of its job class.', 'Change the value of the INSTANCE_ID attribute or place the job in a job class whose settings do not conflict with the INSTANCE_ID attribute. Then re-enable the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27399', 'job type EXECUTABLE requires the CREATE EXTERNAL JOB privilege', 'The owner of a job of type EXECUTABLE does not have the CREATE EXTERNAL JOB system privilege.', 'Grant the CREATE EXTERNAL JOB system privilege to the job owner or create another job in a schema which does have the CREATE EXTERNAL JOB system privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27411', 'empty string is not a valid repeat interval.', 'An empty string '''' was provided as a repeat interval for a window or a schedule.', 'Specify a valid repeat interval, e.g., ''FREQ=DAILY;BYHOUR=8;BYMINUTE=0;BYSECOND=0'' for a job that executes daily at 8am.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27412', 'repeat interval or calendar contains invalid identifier: string', 'The calendar string or calendar definition for the repeat interval of a job, schedule or window contained an unsupported keyword or reference to an undefined calendar.', 'Correct the repeat interval such that it no longer contains the invalid keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27413', 'repeat interval is too long', 'The repeat interval consisted of a calendar string larger than the maximum size allowed.', 'Use a shorter calendar string for the repeat interval.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27414', 'Invalid BY value type', 'The type of BY value was not allowed for the frequency specified', 'Ommit BY values of this type or alter the frequency', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27415', 'repeat interval or calendar must start with the FREQ= clause', 'The specified calendar string for the repeat interval did not start with the frequency clause.', 'Create a repeat interval that starts with a frequency clause, e.g. ''FREQ=YEARLY;BYMONTH=FEB''', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27416', 'BYDAY= clause in repeat interval or calendar contains an invalid weekday', 'The BYDAY clause of the repeat interval contained a value that doesn''t properly represent a weekday.', 'Use the correct three letter abbreviations for weekdays, e.g. MON for Monday and FRI for Friday.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27417', 'BYWEEKNO clause is only supported when FREQ=YEARLY', 'A repeat interval or calendar contained a BYWEEKNO clause with a frequency other than yearly.', 'Remove the BYWEEKNO clause or change the frequency to yearly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27418', 'syntax error in repeat interval or calendar', 'The repeat interval or calendar definition could not be recognized as a valid syntax.', 'Specify a valid repeat interval.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27419', 'unable to determine valid execution date from repeat interval', 'The specified repeat interval contained conflicting clauses that made it impossible to ever find a matching date, e.g., ''FREQ=YEARLY;BYMONTH=FEB;BYMONTHDAY=31''. Alternatively, the scheduler reached its maximum number of attempts to try to find a valid execution date. This occurs when theoretically there is a valid execution date far in the future, but the scheduler took too many attempts to determine this date.', 'Remove the conflicting clauses, or simplify the repeat interval so that it is easier to determine the next execution date.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27421', 'usage of string not supported in a calendar definition', 'The calendar definition contained a clause that is specific for a repeat interval', 'Specify a valid calendar definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27431', 'chain string.string has a user-managed rule set', 'An attempt was made to modify a rule set that is not managed by the Scheduler.', 'Modify the rule set directly using the dbms_rule_adm package or create another chain without specifying a rule set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27432', 'step string does not exist for chain string.string', 'The step specified does not exist for the given chain.', 'Reissue the command using a step that exists for this chain.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27433', 'cannot alter state of step string for job string.string to string', 'The step cannot be changed to the requested state. The state of a running step cannot be changed. A step which is running or has already run cannot be run again.', 'Wait until the step has finished running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27434', 'cannot alter chain step job string.string.string', 'A step job of a running chain cannot be altered, only stopped or dropped.', 'Stop or drop the chain step job or alter the running chain step instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27435', 'chain job terminated abnormally', 'A chain job has ended abnormally. The error code for the running chain could not be retrieved.', 'No action necessary. The job will run again when it is scheduled to.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27451', 'string cannot be NULL', 'An attempt was made to set a NOT NULL scheduler attribute to NULL.', 'Reissue the command using a non-NULL value for the specified attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27452', 'string is an invalid name for a database object.', 'An invalid name was used to identify a database object.', 'Reissue the command using a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27453', 'string is an invalid job or program argument name.', 'An invalid job or program argument name was specified.', 'Reissue the command using a valid name for this argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27454', 'argument name and position cannot be NULL', 'The name or position of a program or job argument was defined as NULL.', 'Reissue the command providing either a valid argument name or valid argument position.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27455', 'Only "SYS" is a valid schema for a string.', 'A non-SYS schema was specified for an object that must be in the SYS schema.', 'Reissue the command, leaving out the schema name or using the schema name of SYS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27456', 'not all arguments of program "string.string" have been defined', 'The number_of_arguments attribute of the named program did not match the actual number of arguments that have been defined.', 'Define as many arguments as the number of arguments, or change the number of arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24912', 'Listener thread failed. string', 'Thread listening for event notification exited because of an error. The error encountered is appended to the error message.', 'The client needs to be restarted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24940', 'invalid combination of string namespace, string presentation and string receive protocol', 'An invalid combination of namespace, presentation and receive protocol was specified during notification registration. Currently, only AQ namespace is supported with XML presentation. Non-AQ namespace is not supported for e-mail and HTTP receive protocols.', 'Please change the register call appropriately.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24941', 'invalid combination of notification grouping attributes', 'An invalid combination of notification grouping attributes was specified. Currently, only TIME notification grouping class is supported. If notification grouping class is zero, all other notification grouping attributes must be zero.', 'Refer to documentation and change the attributes appropriately.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24942', 'cannot use ntfn grouping attributes on before release 11.0 compatible ntfns', 'An attempt was made to use notification grouping on before release 11.0 compatible notifications.', 'Change the compatibility to 11.0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24943', 'cannot use ntfn grouping with this receive protocol, presentation and/or QoS', 'An attempt was made to use notification grouping with e-mail or HTTP receive protocol or XML presentation or payload delivery or reliable QoS. Currently, only OCI and PLSQL receive protocols and default presentation are supported with notification grouping.', 'Refer to documentation and change the call appropriately.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24944', 'cannot use timeout or grouping with ANONYMOUS namespace', 'An attempt was made to use timeout or grouping with ANONYMOUS namespace. Currently, timeout and grouping are supported only with AQ and DBCHANGE namespaces.', 'Refer to documentation and change the call appropriately.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25154', 'column part of USING clause cannot have qualifier', 'Columns that are used for a named-join (either a NATURAL join or a join with a USING clause) cannot have an explicit qualifier.', 'Remove the qualifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25155', 'column used in NATURAL join cannot have qualifier', 'Columns that are used for a named-join (either a NATURAL join or a join with a USING clause) cannot have an explicit qualifier.', 'Remove the qualifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25156', 'old style outer join (+) cannot be used with ANSI joins', 'When a query block uses ANSI style joins, the old notation for specifying outer joins (+) cannot be used.', 'Use ANSI style for specifying outer joins also.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25157', 'Specified block size string is not valid', 'An attempt was made to create a tablespace with a block size which is not supported.', 'Specify one of the valid blocksizes i.e the standard blocksize or one of (2k, 4k, 8k, 16k, 32k) subject to the maximum and minimum blocksizes supported by the platform.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25158', 'Cannot specify RELY for foreign key if the associated primary key is NORELY', 'RELY is specified for the foreign key contraint, when the associated primary key constraint is NORELY.', 'Change the option of the primary key also to RELY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25175', 'no PRIMARY KEY constraint found', 'A PRIMARY KEY constraint must be defined for a table with this organization', 'Define a PRIMARY KEY', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25176', 'storage specification not permitted for primary key', 'Storage parameters cannot be defined for a PRIMARY KEY constraint for a table with this organization', 'Remove storage specification for primary key', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25177', 'UNRECOVERABLE option not permitted', 'The UNRECOVERABLE option may not be specified for a primary key for a table with this organization', 'Remove UNRECOVERABLE option for primary key', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25178', 'duplicate PCTTHRESHOLD storage option specification', 'The storage option PCTTHRESHOLD is specified more than once.', 'Specify storage options at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25179', 'invalid PCTTHRESHOLD storage option value', 'The specified value must be a positive integer.', 'Specify an appropriate value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25180', 'PCTTHRESHOLD only valid for certain table organizations', 'PCTTHRESHOLD can only be specified for tables with certain organizations.', 'Remove the PCTTHRESHOLD option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25181', 'missing ON keyword for NESTED INDEX', 'ON keyword required to specify nested index column nest', 'Add ON keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25182', 'feature not currently available for index-organized tables', 'An attempt was made to use one or more of the following feature(s) not currently supported for index-organized tables: CREATE TABLE with LOB/BFILE/VARRAY columns, partitioning/PARALLEL/CREATE TABLE AS SELECT options, ALTER TABLE with ADD/MODIFY column options, CREATE INDEX', 'Do not use the disallowed feature(s) in this release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25183', 'index-organized table top index segment is in a different tablespace', 'An attempt was made to drop a tablespace which contains an index only table''s overflow segment but not the top index segment"', 'find index-organized tables which span the tablespace being dropped and some other tablespace(s). Drop these tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25184', 'column name expected', 'A column name is not present where required by the CREATE TABLE for specifying last column to be included in the index segment of the index-organized table', 'Specify a column name where required by the syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25185', 'index column other than last can not be specified for INCLUDE clause', 'An index column name other than the last is specified as including column', 'Specify either a column name which is not part of index-organized table primary key index , or the last key column of the primary key for the INCLUDING clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25186', 'INCLUDING clause specified for index-organized table without OVERFLOW', 'INCLUDING clause of a CREATE TABLE is an valid option only for index-organized tables with OVERFLOW clause (at creation time) or if an OVERFLOW segment already exists (at ALTER time).', 'Specify OVERFLOW clause for the index-organized table : For ALTER, perform ADD OVERFLOW first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25187', 'specified exceptions table form incorrect', 'The specified table does not have the proper field definitions.', 'Specify the correct table to use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25189', 'illegal ALTER TABLE option for an index-organized table', 'During ALTER of a index-organized table, the user attempted to enter one or more of the following options: TABLESPACE, ALLOCATE/DEALLOCATE EXTENT, PCTFREE/PCTUSED for IOT top index segment', 'Remove the illegal option(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25190', 'an index-organized table maintenance operation may not be combined with other operations', 'ALTER TABLE statement attempted to combine an index-organized table maintenance operation (e.g. changing physical attributes) with some other operation (e.g. ADD constraint) which is illegal', 'Ensure that a index-organized table maintenance operation is the sole operation specified in ALTER TABLE statement;', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25191', 'cannot reference overflow table of an index-organized table', 'An attempt to directly access the overflow table of an index-organized table', 'Issue the statement against the parent index-organized table containing the specified overflow table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25192', 'invalid option for an index-organized table', 'An attempt to specify one or more of the following options for an index-organized table: [NO]CACHE, NO LOGGING, CLUSTER', 'Remove the illegal option(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28235', 'algorithm not available', 'The encryption algorithm desired is not available.', 'Run the installer to install the needed algorithm in Oracle Advanced Security.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28236', 'invalid Triple DES mode', 'An unknown value was specified for the mode in which triple DES encryption is to run.', 'Specify a valid value. See the package declaration for a list of valid values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28237', 'seed length too short', 'The seed specified for the key generation routine must be at least 80 characters.', 'Specify a longer seed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28238', 'no seed provided', 'A NULL value was passed in as the seed to be used in generating a key.', 'Provide a non-NULL value for the seed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28239', 'no key provided', 'A NULL value was passed in as an encryption or decryption key.', 'Provide a non-NULL value for the key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28261', 'CURRENT_USER can not be used in PLSQL Definer''s Right procedure.', 'An attempt to retrieve CURRENT_USER using SYS_CONTEXT PLSQL interface.', 'Use a SQL statement to query CURRENT_USER inside a DR procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28262', 'global_context_pool_size has invalid value.', 'Parameter global_context_pool_size has a value less than the minimum required value (10K).', 'Please specify a value for the init.ora parameter global_context_pool_size which is atleast 10k.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28263', 'Insufficient memory in global context pool', 'Allocations for the global context heap exceeded the value set in init.ora.', 'Increase the value of global_context_pool_size parameter in init.ora or clear usused global context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28264', 'Client identifier is too long', 'The length of the client identifier is longer than 64', 'Set a client identifier whose length is less than 64.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28265', 'NameSpace beginning with ''sys_'' is not allowed', 'Namespace beginning with ''sys_'' is not allowed.', 'Use a namespace that does not begin with ''sys_''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28267', 'Invalid NameSpace Value', 'Context NameSpace conflicts with reserved key words or a secure Namespace is not allowed for this type of Application Context.', 'Use a valid namespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28268', 'Exceeded the maximum allowed size for Context information in a session', 'The maximum size specified by the _session_context_size init.ora parameter was exceeded.', 'Please change the value for _session_context_size in the init.ora file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28270', 'Malformed user nickname for password authenticated global user.', 'An attempt to login as password-auuthenticated global user with a malformed user nickname.', 'Make sure the nickname is valid and re-login.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28271', 'No permission to read user entry in LDAP directory service.', 'ORACLE server does not have read permission on user nickname''s X.500 user entry.', 'Make sure ORACLE server is using right SSL credentials to connect to LDAP directory services. Make sure permissions for LDAP user entries are right.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28272', 'Domain policy restricts password based GLOBAL user authentication.', 'Domain policy does not allow password-authenticated GLOBAL users.', 'Make sure ORACLE server is using right SSL credentials to connect to LDAP directory services. Make sure orclDBAuthTypes attributes within Oracle enterprise domain object is either set to PWD or ALL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28273', 'No mapping for user nickname to LDAP distinguished name exists.', 'ORACLE server cannot map the given user nickname to LDAP distinguished name.', 'Make sure user entries in LDAP are correctly provisioned with correct user nickname attribute values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28274', 'No ORACLE password attribute corresponding to user nickname exists.', 'LDAP user entry corresponding to user nickname does not have a ORACLE password attribute or the attribute is not initialized.', 'Make sure user entries in LDAP are correctly provisioned with correct ORACLE password attribute values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28275', 'Multiple mappings for user nickname to LDAP distinguished name exist.', 'The given user nickname maps to more than one LDAP distinguished name.', 'Make sure user nickname is unique within the enterprise.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28276', 'Invalid ORACLE password attribute.', 'The ORACLE password attribute of a user entry has an invalid format.', 'Make sure ORACLE password attribute value is RFC-2307 compliant.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28277', 'LDAP search, while authenticating global user with passwords, failed.', 'The LDAP search for finding the appropriate user entry and ORACLE password failed.', 'Make sure LDAP directory service is up and running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28278', 'No domain policy registered for password based GLOBAL users.', 'No policy about password authenticated GLOBAL users has been registered.', 'Add attribute orclDBAuthTypes to the database server''s Enterprise domain.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28279', 'Error reading ldap_directory_access init parameter.', 'ldap_directory_access parameter is not specified corrrectly.', 'Make sure spfile.ora has ldap_directory_access set correctly. Possible correct values are PASSWORD, SSL and NONE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29268', 'HTTP client error string', 'The HTTP response indicated that the HTTP client error occurred.', 'Fix the HTTP client error and retry the HTTP request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29269', 'HTTP server error string', 'The HTTP response indicated that the HTTP server error occurred.', 'Fix the HTTP server error and retry the HTTP request. Contact the admistrator of the HTTP server when necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29270', 'too many open HTTP requests', 'Too many HTTP requests were opened.', 'End some HTTP requests and retry the HTTP request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29271', 'not connected', 'The network connection was not made while the network operation was attempted.', 'Retry the network operation after the network connection is made successfully.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29272', 'initialization failed', 'The UTL_HTTP package failed to initialize.', 'Free up some memory or other system resources and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29273', 'HTTP request failed', 'The UTL_HTTP package failed to execute the HTTP request.', 'Use get_detailed_sqlerrm to check the detailed error message. Fix the error and retry the HTTP request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29832', 'cannot drop or replace an indextype with dependent indexes', 'One or more indexes are dependent upon the indextype.', 'Drop all the indexes which are dependent upon the indextype before dropping the indextype itself.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29833', 'indextype does not exist', 'There is no indextype by the specified name.', 'Use public views for the indextypes to see if an indextype by the specified name has been created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29834', 'REF datatype not supported with operators', 'The user specified a REF datatype which is not supported in CREATE OPERATOR.', 'Reissue the CREATE OPERATOR statement without the REF datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29835', 'ODCIGETINTERFACES routine does not return required interface(s)', 'The ODCIObjectList returned by the ODCIGetInterfaces routine does not contain the interface(s) required by the current usage.', 'Ensure that the ODCIGetInterfaces routine returns the name(s) of the required interface(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29836', 'failed to validate referenced operators', 'One of the operators referenced cannot be compiled.', 'Try to recompile the operators which are referenced by this indextype. Use USER_INDEXTYPE_OPERATORS view to find out the referenced operators.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29837', 'insufficient privileges to execute implementation type', 'User does not have privileges to execute the implementation type.', 'The owner of the implementation type must grant appropriate privileges to the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24390', 'Unsupported scrollable cursor operation', 'The scrollable cursor execute or fetch has failed.', 'Check the documentation for supported types, and other restrictions while using scrollable cursors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24391', 'invalid fetch operation', 'Scrollable cursor operation requested with non-scrollable cursor.', 'Check if the statement was executed in the scrollable mode. Else the only acceptable orientation is OCI_FETCH_NEXT that ignores the scroll offset parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24392', 'no connection pool to associate server handle', 'OCIServerAttach called in OCI_POOL mode but no connection pool found to associate the server handle.', '1) Verify that OCIConnectionPoolCreate is called before calling OCIServerAttach. 2) Verify that the database link specified in OCIServerAttach matches with that of the connection pool database link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24393', 'invalid mode for creating connection pool', 'Mode specified in OCIConnectionPoolCreate is invalid.', 'Use a valid mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24394', 'invalid mode for destroying connection pool', 'Mode specified in OCIConnectionPoolDestroy is invalid.', 'Use a valid mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24395', 'cannot reinitialize non-existent pool', 'OCIConnectionPoolCreate was not called in OCI_DEFAULT mode for this pool handle.', 'Create a connection pool prior to reinitializing it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24396', 'invalid attribute set in server handle', 'Attribute OCI_ATTR_NONBLOCKING_MODE has been set on the server handle and attached in OCI_POOL mode. Connection pooling does not support non blocking mode.', 'Do not set the OCI_ATTR_NONBLOCKING_MODE attribute on the server handle while attaching in OCI_POOL mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24397', 'error occured while trying to free connections', 'An internal error occured while trying to free connections.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24398', 'connection pool already exists', 'A connection pool has already been created for the specified pool handle.', '1) Specify a different pool handle to create a new connection pool. 2) If you wish to modify the pool parameters, call OCIConnectionPoolCreate in OCI_CPOOL_REINITIALIZE mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24399', 'invalid number of connections specified', 'An invalid combination of minimum, maximum and increment number of connections was specified in the OCIConnectionPoolCreate call.', 'Specify a valid combination of parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24400', 'error occured while creating connections in the pool', 'The database link specified in OCIConnectionPoolCreate might be an invalid one.', 'Specify a valid database link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24401', 'cannot open further connections', 'Sufficient number of connections are not present in the pool to execute the call. No new connections can be opened as the connMax parameter supplied in OCIConnectionPoolCreate has been reached.', 'Call OCIConnectionPoolCreate in OCI_CPOOL_REINITIALIZE mode and increase the value of the connMax parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24402', 'error occured while creating connections in the pool', 'The username and password specified in OCIConnectionPoolCreate might be invalid.', 'Specify a valid username and password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24403', 'error occured while trying to destroy the connection pool', 'Some connections in the pool were busy when an attempt to destroy the connection pool was made.', 'Ensure no connections from the pool are being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24404', 'connection pool does not exist', 'An attempt was made to use the connection pool before creating it.', 'Create the connection pool.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24405', 'error occured while trying to create connections in the pool', 'An internal error occured while creating connections in the pool.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24406', 'API mode switch is disallowed when a call is in progress.', 'A mode switch from OCI8 to OCI7 was attempted in a callback.', 'The user should perform the API mode switch either prior to initiating the top call or after the main call is done.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24407', 'connection pool already exists', 'A connection pool has already been created for the specified pool name.', 'Specify a different pool name to create a new connection pool.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24408', 'could not generate unique server group name', 'An internal error occured while generating unique server group name.', 'Contact customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24409', 'client cannot understand the object', 'The client cannot process all the new features in the object.', 'Upgrade the client so that features like inheritance and SQLJ objects can be used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24410', 'scrollable cursor max size exceeded', 'Result set size exceeded the max limits.', 'Check the documentation for allowable maximum result set size for scrollable cursors. Re-execute with a smaller expected result set size or make the cursor non-scrollable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24411', 'Session pool already exists.', 'A session pool has already been created for the specified pool handle.', '1) Specify a different pool handle to create a new session pool. 2) If you wish to modify the pool parameters, call OCISessionPoolCreate in OCI_SPOOL_REINITIALIZE mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24412', 'Cannot reinitialize non-existent pool', 'OCISessionPoolCreate was not called in OCI_DEFAULT mode for this pool handle.', 'Create a session pool prior to reinitializing it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24413', 'Invalid number of sessions specified', 'An invalid combination of minimum, maximum and increment number of sessions was specified in the OCISessionPoolCreate call.', 'Specify a valid combination of parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24414', 'Only number sessions could be started.', 'The number of sessions specified by the minSess parameter of OCISessionPoolCreate could not be started, possibly because the value supplied was larger than that supported by the server."', 'This is a warning. Check the maximum number of sessions allowed on the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24415', 'Missing or null username.', 'Username and password must be specified when pool is created in this mode.', 'Specify a valid username and password.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24416', 'Invalid session Poolname was specified.', 'An attempt was made to use a Session Pool that does not exist.', 'Create a Session Pool before using it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24417', 'Session pool size has exceeded the maximum limit', 'The number of sessions has exceeded the maximum size of the Session Pool.', 'This is a warning. You can tune the session pool with appropriate minimum and maximum parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24418', 'Cannot open further sessions.', 'Sufficient number of sessions are not present in the pool to execute the call. No new sessions can be opened as the sessMax parameter supplied in OCISessionPoolCreate has been reached.', 'Call OCISessionPoolCreate in OCI_SPOOL_REINITIALIZE mode and increase the value of the sessMax parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24419', 'Proxy sessions are not supported in this mode.', 'A proxy session was requested for from a Session Pool which does not support proxy sessions.', 'Do not specify mode OCI_CRED_PROXY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24945', 'cannot use context, QOS and timeout attributes of notification on lower than 10.2 compatible notifications', 'An attempt was made to use context, QOS and timeout attributes of notification on lower than 10.2 compatible notifications.', 'Change the database compatibility to 10.2.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24950', 'unregister failed, registration not found', 'The registration that was asked to be unregistered could not be found.', 'Please check the callback function name and the subscription name in the unregister call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27457', 'argument string of job "string.string" has no value', 'No value was provided for the job argument with the specified position.', 'Provide a value for the job argument using any of the set_job_xxxx_value() routines. Or, when using a named program, specify a default value for the corresponding argument of the program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27458', 'A program of type PLSQL_BLOCK cannot have any arguments.', 'An attempt was made to create or enable a program of type PLSQL_BLOCK with arguments. This is not allowed.', 'Change the number of arguments to zero, or change the type of the program.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27459', 'A program of type EXECUTABLE must have character-only arguments.', 'A program of type EXECUTABLE was created or enabled with one or more arguments of non-character datatypes.', 'Change the arguments to be of character-only datatypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27460', 'cannot execute disabled job "string.string"', 'An attempt was made to run a job that is disabled.', 'Enable the job and then reschedule the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27461', 'The value for attribute string is too large.', 'The value that was provided for the specified attribute was too large.', 'Reissue the command using a smaller or shorter value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27463', 'invalid program type string', 'An invalid program type was specified.', 'Reissue the command using a valid program type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27464', 'invalid schedule type string', 'An invalid schedule type was specified.', 'Reissue the command using a valid schedule type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27465', 'invalid value string for attribute string', 'An invalid value was provided for the specified attribute.', 'Reissue the command using a valid value for this attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27467', 'invalid datatype for string value', 'The value provided for the named scheduler attribute was of an invalid datatype.', 'Reissue the command using a value of the correct datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27468', '"string.string" is locked by another process', 'An attempt was made to read or modify the state of the named scheduler object when another process was also updating the same object and held the lock.', 'Retry the operation. Scheduler locks are held for a very short duration. If the error persists, contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27469', 'string is not a valid string attribute', 'A non-existant attribute was specified.', 'Reissue the command using a valid attribute for that specific scheduler object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27470', 'failed to re-enable "string.string" after making requested change', 'A change was made to an enabled scheduler object that caused it to become disabled.', 'Alter the object so that it becomes valid and then enable it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27471', 'window "string.string" is already closed', 'An attempt was made to close a window that was not open.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27472', 'invalid metadata attribute string', 'An invalid metadata attribute was specified.', 'Reissue the command using a valid metadata attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27473', 'argument string does not exist', 'An argument which was specified does not exist.', 'Reissue the command using an argument name defined by the program or using a valid argument position.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27474', 'cannot give both an argument name and an argument position', 'An argument was specified using both a name and a position.', 'Reissue the command using either the argument name or the argument position but not both.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27475', '"string.string" must be a string', 'An object of the wrong type was specified. For example, a table could have been passed to the drop_job() procedure.', 'Reissue a different command applicable to this object type or reissue the same command using an object of the valid type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27476', '"string.string" does not exist', 'A database object was specified that does not exist.', 'Reissue the command using an object that exists or create a new object and then reissue this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27477', '"string.string" already exists', 'An attempt was made to create an object with a name that has already been used by another object in the same schema.', 'Reissue the command using a different name or schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27478', 'job "string.string" is running', 'An attempt was made to drop a job that is currently running.', 'Stop the job and then reissue the command, or reissue the command specifying the force option to stop the job first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27479', 'Cannot string "string.string" because other objects depend on it', 'An attempt was made to drop or disable a scheduler object that has jobs associated with it without specifying the force option.', 'Alter the associated jobs so they do not point to the scheduler object being dropped or disabled and then reissue the command. Alternatively reissue the command specifying the force option. If the force option is specified and a scheduler object is being dropped, all associated jobs will be disabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27480', 'window "string" is currently open', 'An attempt was made to drop a window that is currently open, or to manually open a window while another window is already open.', 'Close the window that is open and then reissue the command, or reissue the command while setting the force option to TRUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27481', '"string.string" has an invalid schedule', 'An attempt was made to enable a job or window that has an invalid schedule.', 'Alter the schedule of the job or window so that it is valid and then reissue the enable command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27483', '"string.string" has an invalid END_DATE', 'An attempt was made to enable a job or window that has an invalid end_date. Either the end_date is before the start_date or the end_date is in the past.', 'Alter the job or window so that the end date becomes valid (possibly null) and then reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27484', 'Argument names are not supported for jobs without a program.', 'An attempt was made to set or reset a job argument by using the name of the argument. Identifying job arguments by their name is only supported in combination with jobs that are based on programs. Jobs that are not using a program cannot have named arguments.', 'Use argument position instead of name and then issue the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27485', 'argument string already exists at a different position', 'An attempt was made to create or replace an argument with a name that is already used by an argument at a different position.', 'Use a different name for the argument or drop or alter the argument which already exists with this name and then reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27486', 'insufficient privileges', 'An attempt was made to perform a scheduler operation without the required privileges.', 'Ask a sufficiently privileged user to perform the requested operation, or grant the required privileges to the proper user(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27487', 'invalid object privilege for a string', 'The granted object privilege is not valid for the specified scheduler object.', 'Check the scheduler documentation to verify which object privileges can be granted on which scheduler objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27488', 'unable to set string because string was/were already set', 'An attempt was made to set an object''s attribute even though one or more conflicting attributes of the same object had already been set.', 'Set the other conflicting attributes to NULL and then reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24778', 'cannot open connections', 'The migratable transaction tried to access a remote database when the session itself had opened connections to remote database(s).', 'Close the connection(s) in the session and then try to access the remote database from the migratable transaction. If the error still occurs, contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24779', 'detach not allowed with open remote cursor', 'The migratable transaction tried to detach from the current session while having an open remote cursor.', 'Close any open remote cursor prior to detach.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24780', 'cannot recover a transaction while in an existing transaction', 'An attempt was made to commit or roll back a transaction while in a different transaction, and the transaction for which the action is requested is in a recovery state (this happens if it is idle too long).', 'Detach from the current transaction and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24781', 'branches don''t belong to the same global transaction', 'The list of xids passed into kpotxmp() don''t have the same gtrid', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24782', 'Cannot detach from a non-migratable transaction', 'An attempt was made to detach from a non-migrateable transaction.', 'Either commit or rollback the transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24783', 'Cannot switch non-migratable transactions', 'An attempt was made to prepare/commit a txn different from current.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24784', 'Transaction exists', 'An attempt was made to start a transaction, while attached to a non-migrateable transaction', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24785', 'Cannot resume a non-migratable transaction', 'An attempt was made to resume a non-migrateable transaction.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24786', 'separated transaction has been completed', 'The current transaction has been completed by another process.', 'Start a new transaction', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24787', 'remote cursors must be closed before a call completes', 'The previous operation did not close all the remote cursors it opened. Since separated transactions are enabled, this is not allowed.', 'Close all remote cursors in each call, or start a regular (non-separated) transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24788', 'cannot switch to specified transaction (server type)', 'The transaction specified was created by a shared server and the requestor is a dedicated server, or the transaction was created by a dedicated server and the requestor is a shared server.', 'All parts of this application should connect as dedicated or as shared.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24789', 'start not allowed in recursive call', 'Oracle RM will not start/resume a branch in a recursive call', 'Reconsider your application stack design', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24790', 'cannot mix OCI_TRANS_RESUME and transaction isolation flags', 'An attempt was made to change the isolation level of an existing transaction.', 'No action required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24791', 'invalid transaction start flags', 'An invalid transaction start flag was passed.', 'Verify that OCI_TRANS_LOOSE was not passed along with OCI_TRANS_JOIN, OCI_TRANS_RESUME. Also, verify that other flags (such as OCI_TRANS_SEPARABLE) passed by the client are supported by the version of the Oracle server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24792', 'cannot mix services in a single global transaction', 'Oracle RM will not serve global (distributed) transaction requests if branches are created using different services', 'Configure clients such that those participating in the same distributed transaction use the same service name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24794', 'no active DTP service found', 'Oracle RM will not serve global (distributed) transaction requests until DTP services are configured in RAC. It is possible that a service was stopped while transactions were in-flight.', 'Provision/Start DTP services first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24795', 'Illegal string attempt made', 'An illegal attempt was made to commit/rollback current transaction', 'Use appropriate commit/rollback mechanism', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24796', 'operation completed; resume of original transaction rolled back', 'The commit, rollback, or prepare completed successfully, but the current transaction for this thread was rolled back.', 'If desired, retry the current transaction. If the operation was prepare, then end transaction appropriately with a commit or rollback operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24797', 'cannot promote the current transaction to a distributed transaction', 'An illegal attempt was made to promote the current transaction.', 'Verify that OCI_ATTR_XID, OCI_ATTR_INTERNAL_NAME, and OCI_ATTR_EXTERNAL_NAME attributes have been set properly, and verify that the current transaction has neither performed IDL or PDML operations, nor already been a distributed transaction. Also, verify that the local transaction is in the same isolation level if the isolation flag value is set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24798', 'cannot resume the distributed transaction branch on another instance', 'An attempt was made to resume a distributed transaction branch that is physically located on another RAC instance.', 'Get a connection to the instance where the transaction branch is located.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24801', 'illegal parameter value in OCI lob function', 'One of the parameter values in the OCI lob function is illegal.', 'Check every parameter in the OCI Lob function call to make sure they are correct. Offsets should be greater than or equal to one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24802', 'user defined lob read callback error', 'The only valid return value for a user defined lob read callback function is OCI_CONTINUE. Any other value will cause this error.', 'Verify that OCI_CONTINUE is returned from the user defined lob read callback function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24803', 'illegal parameter value in lob read function', 'Internal error .', 'This error should not normally occur. If it persists, please contact your customer service representative.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24804', 'Lob read/write functions called while another OCI LOB read/write streaming is in progress', 'Internal error.', 'Wait for the ongoing LOB streaming call to finish before issuing the next server call, or use OCIBreak() abort the current LOB streaming call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24805', 'LOB type mismatch', 'When copying or appending LOB locators, both source and desctination LOB locators should be of the same type.', 'Pass the same type of LOB locators for copying or appending.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24806', 'LOB form mismatch', 'When reading from or writing into LOBs, the character set form of the user buffer should be same as that of the LOB.', 'Make sure that the buffer you are using to read or write has the same form as that of the LOB.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24807', 'LOB form mismatch', 'When copying or appending LOBs, both source and desctination LOB locators should have the same character set form.', 'Pass locators of the same character set form for copying or appending LOBs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24808', 'streaming of lob data is not allowed when using lob buffering', 'Attempted to stream lob data via the polling mode or a callback when lob buffering was enabled for the input lob locator.', 'Lob buffering is useful when reading/writing small amounts of lob data so streaming should not be necessary. Rewrite the OCILobRead/OCILobWrite call so that it does not use streaming. If streaming of data is required, lob buffering should not be used. In this case, flush buffers associated with the input lob locator as necessary, disable buffering on the input lob locator and reissue the OCILobRead/OCILobWrite call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27201', 'skgfpcm: sbtpccommit returned error', 'sbtpccommit returned an error. This happens during a proxy backup or restore.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27202', 'skgfpen: sbtpcend returned error', 'sbtpcend returned an error. This happens during a proxy backup or restore.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27203', 'skgfpqb: sbtpcquerybackup returned error', 'sbtpcquerybackup returned an error. This happens during a proxy backup.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27204', 'skgfpqr: sbtpcqueryrestore returned error', 'sbtpcqueryrestore returned an error. This happens during a proxy restore.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29838', 'insufficient privileges to execute the operator(s)', 'User does not have privileges to execute one of the operators.', 'The owner of the operators must grant appropriate privileges to the user .', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29839', 'failed to validate implementation type', 'Implementation type cannot be compiled.', 'Try to compile the implementation type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29840', 'indextype and implementation type are not in same schema', 'Indextype and implementation type are in different schema.', 'Put the indextype and implementation type in the same schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29841', 'invalid option for ALTER INDEXTYPE', 'The user specified an invalid option with the ALTER INDEXTYPE command', 'Choose a valid option with the ALTER INDEXTYPE command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29842', 'option not supported with the version string of the indextype interface', 'User specified an option which is not supported with the version of the indextype interface provided', 'User should either not request for this option or should provide an implementation type that implements the correct version of the indextype interface.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29843', 'indextype should support atleast one operator', 'User attempted to drop all the operators from the indextype', 'Do not drop all the operators from the indextype', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29844', 'duplicate operator name specified', 'User attempted to add an operator name to an indextype which is already supported by the indextype', 'Remove the duplicate operator and retry the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29845', 'indextype does not support local domain index on string partitioned table', 'User specified a create local domain index statement using an indextype that does not support local domain indexes on tables partitioned with the given method', 'Use a different indextype or build a global domain index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29846', 'cannot create a local domain index on a string partitioned table', 'User specified a create local domain index statement on a table partitioned using a method not supported by domain indexes', 'Build a global domain index on the partitioned table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29847', 'cannot create a local domain index on a partitioned index-organized table', 'User specified a create local domain index statement on a partitioned index-organized table', 'Build a global domain index on the partitioned index-organized table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29848', 'error occurred in the execution of ODCIINDEXMERGEPARTITION routine', 'Failed to successfully execute the ODCIIndexMergePartition routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29849', 'error occurred in the execution of ODCIINDEXSPLITPARTITION routine', 'Failed to successfully execute the ODCIIndexSplitPartition routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29850', 'invalid option for creation of domain indexes', 'The user specified an invalid option like ASC, DESC, SORT or a parallel clause, partitioning clause or physical attributes clause.', 'Choose one of the valid clauses for creation of domain indexes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29851', 'cannot build a domain index on more than one column', 'User attempted to build a domain index on more than one column.', 'Build the domain index only on a single column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29852', 'keyword IS is missing', 'IS keyword must be specified with Create Index statement for domain indexes.', 'Use IS keyword and then specify the indextype name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29853', 'keyword UNIQUE may not be used in creating domain indexes', 'An attempt was made to create a domain index with the UNIQUE attribute.', 'Remove UNIQUE from the CREATE INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29854', 'keyword BITMAP may not be used in creating domain indexes', 'An attempt was made to create a domain index with the BITMAP attribute.', 'Remove BITMAP from the CREATE INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29855', 'error occurred in the execution of ODCIINDEXCREATE routine', 'Failed to successfully execute the ODCIIndexCreate routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29856', 'error occurred in the execution of ODCIINDEXDROP routine', 'Failed to successfully execute the ODCIIndexDrop routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29857', 'domain indexes and/or secondary objects exist in the tablespace', 'An attempt was made to drop a tablespace which contains secondary objects and/or domain indexes.', 'Drop the domain indexes in his tablespace. Also, find the domain indexes which created secondary objects in this tablespace and drop them. Then try dropping the tablespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29858', 'error occurred in the execution of ODCIINDEXALTER routine', 'Failed to successfully execute the ODCIIndexAlter routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29859', 'error occurred in the execution of ODCIINDEXTRUNCATE routine', 'Failed to successfully execute the ODCIIndexTruncate routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29860', 'cannot truncate a table with domain indexes marked LOADING', 'The table has domain indexes defined on it that are marked LOADING.', 'Wait to see if the ongoing index DDL ends and the index state changes from LOADING state. Else ,drop the domain indexes marked as LOADING with the FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29861', 'domain index is marked LOADING/FAILED/UNUSABLE', 'An attempt has been made to access a domain index that is being built or is marked failed by an unsuccessful DDL or is marked unusable by a DDL operation.', 'Wait if the specified index is marked LOADING Drop the specified index if it is marked FAILED Drop or rebuild the specified index if it is marked UNUSABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29862', 'cannot specify FORCE option for dropping non-domain index', 'A DROP INDEX FORCE was issued for a non-domain index.', 'Reissue the command without the FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29863', 'warning in the execution of ODCIINDEXCREATE routine', 'A warning was returned from the ODCIIndexCreate routine.', 'Check to see if the routine has been coded correctly Check user specified log tables for greater detail.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24952', 'register, unregister or post has incorrect collection count', 'The register, unregister or post function was invoked with a collection that was smaller than the size specified by the parameter to the function.', 'Please check the function''s use and ensure that the size parameter is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24960', 'the attribute string is greater than the maximum allowable length of number', 'The user attempted to pass an attribute that is too long', 'Shorten the specified attribute and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25000', 'invalid use of bind variable in trigger WHEN clause', 'A bind variable was used in the when clause of a trigger.', 'Remove the bind variable. To access the table columns use (new/old).column_name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25001', 'cannot create this trigger type on this type of view', 'INSTEAD OF triggers can be created on any view which is not an Editioning View, while BEFORE and AFTER triggers may only be created on Editioning Views.', 'Change the trigger type to INSTEAD OF or change the view on which you are attempting to create a DML trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25002', 'cannot create INSTEAD OF triggers on tables', 'Only BEFORE or AFTER triggers can be created on a table.', 'Change the trigger type to BEFORE or AFTER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25003', 'cannot change NEW values for this column type in trigger', 'Attempt to change NEW trigger variables of datatype object, REF, nested table, VARRAY or LOB datatype which is not supported.', 'Do not change the NEW trigger variables in the trigger body.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25004', 'WHEN clause is not allowed in INSTEAD OF triggers', 'WHEN clause is specified in an INSTEAD OF trigger.', 'Remove the WHEN clause when creating an INSTEAD OF trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25005', 'cannot CREATE INSTEAD OF trigger on a read-only view', 'attempt to create an INSTEAD OF trigger on a view created with read-only option. The view cannot be updated using INSTEAD OF triggers.', 'Do not create the trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25006', 'cannot specify this column in UPDATE OF clause', 'Attempt to create a trigger on update of a column whose datatype is disallowed in the clause, such as LOB and nested table.', 'Remove the UPDATE OF clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25007', 'functions or methods not allowed in WHEN clause', 'PLSQL function call or method invocation is not allowed in the WHEN clause when creating a trigger.', 'Remove the function call or method invocation from the WHEN clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25008', 'no implicit conversion to LOB datatype in instead-of trigger', 'When inserting or updating a view using instead-of trigger, the new value for a LOB view column is of a different datatype.', 'Specified a LOB value as the new value for the LOB view column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25009', 'Nested table clause allowed only for INSTEAD OF triggers', 'Triggers on nested tables can only be created on view columns using INSTEAD OF triggers.', 'Use view nested table columns for defining nested table triggers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25010', 'Invalid nested table column name in nested table clause', 'The column name specified in the nested table clause of an INSTEAD OF trigger does not correspond to a nested table column.', 'Specify a nested table column on which the trigger is to be defined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25011', 'cannot create trigger on internal AQ table', 'An attempt was made to try to create a trigger on a table that is used internally to support the Advanced Queueing (AQ) feature.', 'Do not create the trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25012', 'PARENT and NEW values cannot be identical', 'The referencing clause specifies identical values for PARENT and OLD.', 'Re-specify either the PARENT or NEW referencing value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25013', 'OLD and PARENT values cannot be identical', 'The referencing clause specifies identical values for OLD and PARENT.', 'Re-specify either the OLD or PARENT referencing value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25014', 'cannot change the value of a PARENT reference variable', 'Parent values can only be read and not changed.', 'Do not attempt to change a Parent variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25015', 'cannot perform DML on this nested table view column', 'DML cannot be performed on a nested table view column except through an INSTEAD OF trigger', 'Create an INSTEAD OF trigger over the nested table view column and then perform the DML.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25016', 'cannot specify column list for insert into nested table view column', 'A column list cannot be specified for inserts into the nested table view column.', 'Specify all the columns for insert into the nested table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25017', 'cannot reference NEW ROWID for movable rows in before triggers', 'NEW ROWID was referenced in a before row trigger which is defined on an index-organized table, or a partitioned table with enabled movement of rows. The ROWID cannot be computed in a before row update trigger because it depends on the actual values of the row', 'Remove references to NEW ROWID from the trigger definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25018', 'conflicting trigger string already exists', 'Conflicting instead of DDL trigger on schema/database already exists.', 'Remove the old trigger', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25019', 'too much concurreny', 'cannot pin the database/schema because of too much concurrency', 'try the operation later', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25020', 'renaming system triggers is not allowed', 'renaming system triggers is not allowed', 'Drop the trigger, and create a new one for the same', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25021', 'cannot reference a trigger defined on another table', 'Referenced trigger in the FOLLOWS clause was defined on another table.', 'Create the referenced trigger on the same table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25022', 'cannot reference a trigger of a different type', 'Referenced trigger in the FOLLOWS or PRECEDES clause was either a different type or not a compound trigger.', 'Create the referenced trigger as the same type or a compound trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25023', 'Cyclic trigger dependency is not allowed', 'A cycle of trigger dependency can be formed.', 'Do not create a trigger that can formed a cyclic dependency.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25024', 'cannot specify FOLLOWS for a REVERSE CROSSEDITION trigger', 'The FOLLOWS clause was specified when creating the REVERSE CROSSEDITION trigger.', 'Do not create a REVERSE CROSSEDITION trigger with a FOLLOWS clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25025', 'cannot specify PRECEDES clause', 'The PRECEDES clause was specified when creating a FORWARD CROSSEDITION trigger or a regular trigger.', 'Do not create a FORWARD CROSSEDITION or a regular trigger with a PRECEDES clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25026', 'FOR EACH ROW was specified with compound triggers', 'FOR EACH ROW is not allowed with compound triggers.', 'Remove the FOR EACH ROW clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25027', 'compound triggers cannot be used as system triggers', 'Compound trigger was defined as system trigger.', 'Do not use compound trigger as system trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25028', 'regular trigger body can not start with keyword COMPOUND', 'Regular triggers body should start with BEGIN/DECLARE etc .', 'Fix the syntax and recompile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25029', 'compound triggers should always start with keyword COMPOUND', 'Compound trigger body was started with incorrect keyword.', 'Fix the syntax and recreate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25030', 'crossedition trigger cannot be created by a non-editioned user', 'An attempt was made to create crossedition trigger by a non-editioned user.', 'Enable editions for the user and then create the crossedition trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25031', 'only a forward crossedition trigger may be specified', 'The trigger specified was not a forward crossedition trigger.', 'Specify a forward crossedition trigger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27489', 'unable to process job "string.string" from job class "string"', 'An error was encountered while processing the named job from the specified job class.', 'Resolve the error for this job and then reissue the command. See the next error message on the stack to find out what the error for the job is.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27490', 'cannot open disabled window "string.string"', 'The user tried to open a disabled window.', 'Enable the window and then try to open it again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27491', 'repeat_interval and start_date cannot both be NULL', 'An attempt was made to set both repeat_interval and start_date to equal NULL for a Scheduler window or schedule.', 'If either repeat_interval or start_date is set to equal NULL, the other should be set to a non-NULL value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27500', 'inter-instance IPC error', 'This is an operating system/cluster interconnect error.', 'Check the extra information and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27501', 'IPC error creating a port', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27502', 'IPC error deleting OSD context', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27503', 'IPC error attempting to cancel request', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27504', 'IPC error creating OSD context', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27505', 'IPC error destroying a port', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27506', 'IPC error connecting to a port', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27507', 'IPC error disconnecting from a port', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27508', 'IPC error sending a message', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27509', 'IPC error receiving a message', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27510', 'IPC error waiting for a request to complete', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27512', 'IPC error posting a process', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27513', 'parameter string contains invalid value string', 'The program could not identify the value as an IP address.', 'Change the value to be a valid IP address.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27542', 'Failed to unprepare a buffer prepared for remote update', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27543', 'Failed to cancel outstanding IPC request', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27544', 'Failed to map memory region for export', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27545', 'Fail to prepare buffer for remote update', 'This is an operating system/cluster interconnect error.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27546', 'Oracle compiled against IPC interface version string.string found version string.string', 'A misconfiguration or installation error occurred.', 'Install the IPC library for this release of Oracle.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27547', 'Unable to query IPC OSD attribute string', 'This is an operating system-dependent IPC error.', 'Contact Oracle support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27548', 'Unable to unprepare IPC buffer', 'This is an operating system-dependent IPC error.', 'Contact Oracle support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27550', 'Target ID protocol check failed. tid vers=number, type=number, remote instance number=number, local instance number=number', 'The local Oracle Real Application Cluster instance and remote instance are running with incompatible implementation of the inter-instance IPC protocol library. A misconfiguration or installation error occurred.', 'Check additional error messages in the alert log and the process trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27601', 'Cell storage initialization failed, cell library error code [string]', 'Cell storage client did not succeed in initializing.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27602', 'Failure to publish network status information, cell library error code [string]', 'Network status information publishing failed.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27603', 'Cell storage I/O error, I/O failed on disk string at offset string for data length string', 'Cell storage I/O read or write failed, possibly due to a configuration problem or a hardware failure.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27604', 'Cell storage ioctl error, ioctl failed on disk string', 'Ioctl operation on a cell storage disk failed.', 'Check the value of errno and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28000', 'the account is locked', 'The user has entered wrong password consequently for maximum number of times specified by the user''s profile parameter FAILED_LOGIN_ATTEMPTS, or the DBA has locked the account', 'Wait for PASSWORD_LOCK_TIME or contact DBA', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28001', 'the password has expired', 'The user''s account has expired and the password needs to be changed', 'change the password or contact the DBA', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28002', 'the password will expire within string days', 'The user''s account is about to about to expire and the password needs to be changed', 'change the password or contact the DBA', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28003', 'password verification for the specified password failed', 'The new password did not meet the necessary complexity specifications and the password_verify_function failed', 'Enter a different password. Contact the DBA to know the rules for choosing the new password', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28004', 'invalid argument for function specified in PASSWORD_VERIFY_FUNCTION string', 'The password verification function does not have the required number and type of input/output arguments and/or the return argument', 'Check the manual to find out the format of the password verification function', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28005', 'invalid logon flags', 'The flags are not properly set or conflicting flags are set in making calls', 'Call the function with appropriate flags set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28006', 'conflicting values for parameters string and string', 'The parameters PASSWORD_REUSE_TIME and PASSWORD_REUSE_MAX cannot both be set. One parameter should be unlimited while other is set', 'Set one value to UNLIMITED explicitly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28007', 'the password cannot be reused', 'The password cannot be reused for the specified number of days or for the specified nunmber of password changes', 'Try the password that you have not used for the specified number of days or the specified number of password changes Refer to the password parameters in the CREATE PROFILE statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24809', 'amount specified will not fit in the lob buffers', 'LOB buffering is enabled for the input lob locator so buffering will be used. However, the amount of lob data to read or write is larger than what the lob buffers can hold.', 'Either disable buffering on the input lob locator and reissue the command or pass a smaller amount.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24810', 'attempting to write more data than indicated', 'While writing into a LOB, more data was supplied than indicated.', 'If data is written in pieces, then make sure that you do not provide more data in the pieces (cumulatively), than you indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24811', 'less data provided for writing than indicated', 'While writing into a LOB, less data was provided than indicated.', 'If writing data in single pieces, then make sure that the buffer length specified is big enough to accommodate tha data being provided. If data is written in pieces, then make sure that all the data has been provided before specifying OCI_LAST_PIECE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24812', 'character set conversion to or from UCS2 failed', 'If the database character set is varying-width, the CLOB/NCLOB value is implicitly converted to or from UCS2. This implicit conversion failed.', 'Contact Oracle Worldwide Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24813', 'cannot send or receive an unsupported LOB', 'An attempt was made to send a LOB across the network, but either the server does not support the LOB sent by the client, or the client does not support the LOB sent by the server. This error usually occurs when the client and server are running different versions of Oracle.', 'Use a version of the Oracle that supports the LOB on both the client and the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24814', 'operation not allowed for temporary LOBs', 'Temporary LOB locators are not allowed in the operation. For example: OCILobAssign only takes persistent LOB locators as parameters, not temporary LOBs.', 'Use OCILobLocatorAssign for temporary LOBs instead. Note that OCILobLocatorAssign can also be used for persistent LOBs, in which case it will behave the same as OCILobAssign.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24815', 'Invalid character set form', 'An invalid character set form was passed into an OCI LOB function. For example, the only valid cs form for OCILobCreateTemporary() is OCI_DEFAULT(0), SQLCS_IMPLICIT(1) or SQLCS_NCHAR(2).', 'Specify a valid character set form.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24816', 'Expanded non LONG bind data supplied after actual LONG or LOB column', 'A Bind value of length potentially > 4000 bytes follows binding for LOB or LONG.', 'Re-order the binds so that the LONG bind or LOB binds are all at the end of the bind list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24817', 'Unable to allocate the given chunk for current lob operation', 'The given size is increased to accomodate the number of bytes from server due to varying width db char/nchar set.', 'Use smaller chunk sizes when you have character set conversion between client/server or perform piece-wise read or write.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24850', 'failed to startup shared subsystem', 'While attempting to initialize OCI in shared mode, a problem was encountered in starting up the shared subsystem.', 'Contact Oracle Customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24851', 'failed to connect to shared subsystem', 'While attempting to initialize OCI in shared mode, a problem was encountered in connecting the process to the shared subsystem.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24852', 'protocol error during statement execution', 'An internal protocol error occurred while receiving describe data from the server during execution of a statement.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24853', 'failed to connect thread to shared subsystem', 'While attempting to initialize OCI in shared mode, a problem was encountered in connecting the thread to the shared subsystem.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24854', 'invalid pieceinfo provided', 'While making the first call to write LOB data, an invalid pieceinfo value provided.', 'Correct the call to use OCI_ONE_PIECE or OCI_FIRST_PIECE. If using OCCI, make sure to call writeBuffer before calling writeLastBuffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24900', 'invalid or unsupported mode parameter passed in call', 'The mode parameter passed into the OCI Client Notification call is incorrect.', 'Please correct the mode parameter passed into OCI.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24901', 'handles belonging to different environments passed into an OCI call', 'All handles passed into an OCI call should belong to the same environment. In the call that returned this error, handles belonging to different environments were passed in.', 'Please ensure that the handle parameters in the call to come from the same OCI Environment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24902', 'invalid subscription name or name-length in subscription handle', 'The subscription handle passed into the OCI call does not have a proper name or name-length attribute.', 'Please set the name and name-length attributes using the OCIAttrSet() call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24903', 'invalid namespace attribute passed into OCI call', 'The subscription handle passed into the OCI call does not have a proper namespace attribute.', 'Please set the namespace attribute using the OCIAttrSet() call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24904', 'invalid callback attribute passed into OCI call', 'The subscription handle passed into the OCI call does not have a proper callback attribute.', 'Please set the callback attribute using the OCIAttrSet() call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24905', 'invalid recipient protocol attribute passed into OCI call', 'The subscription handle passed into the OCI call did not have a proper recipient protocol attribute.', 'Please set the recipient protocol attribute using the OCIAttrSet() call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24906', 'invalid recipient attribute passed into OCI call', 'The subscription handle passed into the OCI call did not have a proper recipient attribute.', 'Please set the recipient attribute using the OCIAttrSet() call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24907', 'invalid pair of callback and recipient protocol attributes', 'The subscription handle passed into the OCI call can''t have both the callback defined and a recipient protocol other than OCI_SUBSCR_PROTO_OCI at the same time.', 'Please set the appropriate callback and recipient protocol attributes using the OCIAttrSet() call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-24908', 'invalid recipient presentation attribute', 'The subscription handle passed into the OCI call does not have a valid recipient presentation attribute.', 'Set the recipient presentation attribute using the OCIAttrSet() call', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25128', 'No insert/update/delete on table with constraint (string.string) disabled and validated', 'Try to insert/update/delete on table with DISABLE VALIDATE constraint.', 'Change the constraint''s states.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25129', 'cannot modify constraint (string) - no such constraint', 'the named constraint does not exist for this table.', 'Obvious', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25130', 'cannot modify primary key - primary key not defined for table', 'Attempted to modify a primary key that is not defined for the table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25131', 'cannot modify unique(string) - unique key not defined for table', 'attempted to modify a unique key that is not deined for the table.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25132', 'UNIQUE constraint (string.string) disabled and validated in ALTER TABLE EXCHANGE PARTITION', 'cannot ALTER TABLE EXCHANGE PARTITION when the partition and the table have a disabled and validated unique constraints AND the unique keys in the partion is not mutually exclusive from the rest of the table.', 'Change the constraint''s status.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26787', 'The row with key string does not exist in table string', 'The row to update or delete does not exist in the table.', 'For Streams, please define a conflict resolution, or resolve the conflict and execute the error transaction using DBMS_APPLY_ADM.EXECUTE_ERROR. For logical standby, please verify the status of the database guard to ensure local modifications are not allowed, then re-instantiate the table and contact support if the problem persists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26788', 'The column string is not encrypted in the local database.', 'The column in the destination database is NOT encrypted while it is encrypted in the source database.', 'Set the corresponding column property in the destination database to ''encrypted'' or change the apply parameter, PRESERVE_ENCRYPTED_COLS, to ''N'' to supress the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26789', 'Cannot split propagation string because only one propagation originates from its source queue "string"."string"', 'Only one propagation originated from the propagation source queue.', 'Please do not split this propagation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26790', 'Requesting a lock on string "string" timed out', 'Could not get a lock on the object because another process was holding the lock.', 'Please try later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26791', 'Cannot split or merge propagation "string"', 'A process tried to split or merge this propagation, but failed and left STREAMS in an inconsistent state.', 'Query DBA_RECOVERABLE_SCRIPT_BLOCKS view, and roll back the script which tried to split or merge this propagation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26792', 'Invalid source database name string', 'The value for the source database global name was not valid.', 'Specify a valid database global name. If the source database is not the local database, check the listener is up and running.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26793', 'Number of capture processes that enqueued message to queue "string"."string" not equal to one', 'Split-merge API requires only one capture process enqueued message to the queue where the propagation originated', 'Please drop one capture, or split or merge another propagation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26794', 'Hierarchically enabled tables not supported', 'Hierarchically enabled tables are not supported.', 'Disable hierarchy for the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26800', 'Apply not the only subscriber for "string"."string".', 'The combined capture and apply optimization could not be used since Apply was not the lone subscriber to the queue.', 'Apply has to be the only subscriber to the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26801', 'More than one subscriber for "string"."string".', 'The combined capture and apply optimization could not be used since there was more than one subscriber to the queue.', 'Configure a single subscriber - apply or propagation for the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26802', 'Queue "string"."string" has messages.', 'The combined capture and apply optimization could not be used since the queue had messages.', 'Make sure queue is empty before starting apply and capture.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26803', 'Subscribers have changed for queue "string"."string".', 'The combined capture and apply optimization could not be used since the subscribers had changed.', 'Optimization can be used only if the queue has a single subscriber.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26804', 'Apply "string" is disabled.', 'The apply process was disabled or aborted.', 'Start the apply process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26805', 'Queue "string"."string" has rule based subscribers.', 'The combined capture and apply optimization could not be used since the queue had rule based subscribers.', 'Make sure queue has no rule based subscribers before starting apply and capture.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26806', 'Remote database could not support combined capture and apply optimization.', 'The remote database has a version lower than Oracle 11.0 and hence does not understand combined capture and apply optimization.', 'Upgrade the remote database to Oracle 11.0 or above in order to use the combined capture and apply optimization.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26807', 'Database link is not NULL for Apply with the name "string" .', 'The combined capture and apply optimization could not be used since apply_database_link was not NULL.', 'Drop and recreate the apply with NULL value for apply_database_link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26808', 'Apply process string died unexpectedly.', 'Apply process died unexpectedly.', 'Check your system for anomalies and restart apply. If this error persists, contact Oracle Support Services. See trace file for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26809', 'Capture aborted: checkpoint-free mode requires combined capture and apply mode.', 'The requirements for combined capture and apply mode were broken.', 'Restore the combined capture and apply mode and then restart the capture. If combined capture and apply mode is no longer desired, drop the existing checkpoint-free capture and create another one that will take checkpoints.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26810', 'Apply "string" on database "string" is in the mode of combined capture and apply.', 'The combined capture and apply optimization could not be used because Apply was already in the mode of combined capture and apply.', 'Do not configure two captures for one apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26811', 'Client has already attached to STREAMS apply "string".', 'The client has already attached to the specified apply process.', 'Detach apply process before re-attach.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26812', 'Too many sessions currently attached to STREAMS apply "string".', 'Only one active external session is allowed per apply process.', 'More than one active external session attempted to attach to apply process. Wait until there is no active external sessions before attempting to attach again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26813', 'The value for argument "ARRAY_SIZE" is too small', 'The value for argument "ARRAY_SIZE" was less than the number of columns in the requested column list.', 'Check the return value for "NUM_COLUMNS" parameter then allocate all input arrays to at least that size and invoke the same OCI function again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26814', 'The value for argument "string" exceeds maximum string', 'The value for specified value exceeded the maximum allowed.', 'Correct the value of specified argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26815', 'Error from Apply Network Receiver for Apply "string" and Capture "string".', 'The Apply Network Receiver aborted due to an unexpected error.', 'Query DBA_APPLY_ERROR to determine the error and then restart the Capture and Apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26816', 'STREAMS apply process "string" (OS id string) is exiting due to ORA-number.', 'An apply process encountered an unexpected error.', 'Query DBA_APPLY to examine the status of Apply and restart Apply if needed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26817', 'STREAMS capture process "string" is unable to communicate with capture server number during initialization.', 'Capture server might not be started properly', 'Fix any errors during capture server creation and re-start capture process', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26819', 'STREAMS capture server number for apply "string" and capture "string" encounters disabled/aborted propagation "string".', 'Propagation is disabled/aborted', 'Start propagation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26820', 'STREAMS capture server number for apply "string" and propagation "string" becomes active and needs join capture process "string".', 'Capture server was waiting for propagation or apply to start', 'Capture process needs restart (done automatically).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26821', 'STREAMS capture server number for apply "string" and capture "string" detects propagation "string" has changed.', 'Propagation is dropped/modified.', 'Capture process needs restart (automatically).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25032', 'crossedition trigger cannot be created in ORA$BASE', 'An attempt was made to create crossedition trigger in the ORA$BASE edition.', 'Do not create a crossedition trigger in the ORA$BASE edition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25100', 'TABLESPACE option can only be used with ALTER INDEX REBUILD', 'The TABLESPACE option to ALTER INDEX was used without the REBUILD option.', 'Use ALTER INDEX REBUILD TABLESPACE tablespace name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25101', 'duplicate REBUILD option specification', 'The REBUILD option to ALTER INDEX is specified more than once.', 'Specify the option at most once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25102', 'PARALLEL option can only be used with ALTER INDEX REBUILD', 'The PARALLEL option to ALTER INDEX was used without the REBUILD option.', 'Use ALTER INDEX REBUILD.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25103', 'NOPARALLEL option can only be used with ALTER INDEX REBUILD', 'The NOPARALLEL option to ALTER INDEX was used without the REBUILD option.', 'Use ALTER INDEX REBUILD.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25104', 'UNRECOVERABLE option can only be used with ALTER INDEX REBUILD', 'The UNRECOVERABLE option to ALTER INDEX was used without the REBUILD option.', 'Use ALTER INDEX REBUILD.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25105', 'RECOVERABLE option can only be used with ALTER INDEX REBUILD', 'The RECOVERABLE option to ALTER INDEX was used without the REBUILD option.', 'Use ALTER INDEX REBUILD.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25106', 'only one of PARALLEL or NOPARALLEL clause may be specified', 'PARALLEL was specified more than once, NOPARALLEL was specified more than once, or both PARALLEL and NOPARALLEL were specified in an ALTER INDEX REBUILD statement.', 'Remove all but one of the PARALLEL or NOPARALLEL clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25107', 'duplicate TABLESPACE option specification', 'the TABLESPACE was specified more than once in an ALTER INDEX REBUILD statement.', 'Remove all but one of the TABLESPACE clauses.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25108', 'standby lock name space exceeds size limit of string characters', 'The lock name space for the standby database exceeded the maximum string length.', 'Change initialization parameter _STANDBY_LOCK_NAME_SPACE to a character string of less than the specified characters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25109', 'standby lock name space has illegal character ''string''', 'An invalid lock name space was specified for the standby database. The lock name space for the standby database can only contain A-Z, 0-9, ''_'', ''#'', ''$'', ''.'' and ''@'' characters.', 'Change initialization parameter _STANDBY_LOCK_NAME_SPACE to a valid character string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25110', 'NOSORT may not be used with a bitmap index', 'An attempt was made to create a bitmap index using the NOSORT option.', 'Remove NOSORT from the CREATE BITMAP INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25111', 'creation of BITMAP cluster indices is not supported', 'An attempt was made to create a cluster index with the BITMAP attribute.', 'Remove BITMAP from the CREATE INDEX statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25112', 'maximum number of BITMAP index columns is 30', 'Too many columns were specified for the index.', 'Create an index on fewer columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25113', 'GLOBAL may not be used with a bitmap index', 'An attempt was made to create a bitmap index using the GLOBAL option.', 'Remove GLOBAL from the CREATE BITMAP INDEX statement, and/or add a LOCAL partition descriptor if the table is partitioned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25114', 'invalid file number specified in the DUMP DATAFILE/TEMPFILE command', 'An invalid file number was used in dumping a datafile or tempfile.', 'Specify a valid file number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25115', 'duplicate BLOCK option specification', 'BLOCK (MIN/MAX) was specified more than once in the DUMP DATAFILE/TEMPFILE command.', 'Specify only one BLOCK option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25116', 'invalid block number specified in the DUMP DATAFILE/TEMPFILE command', 'An invalid block number was used in dumping a datafile or tempfile.', 'Specify a valid block number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25117', 'MIN/MAX/Block Number expected', 'A value other than MIN/MAX, or a block number was entered in the DUMP DATAFILE/TEMPFILE command.', 'Correct the syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25118', 'invalid DUMP DATAFILE/TEMPFILE option', 'An invalid option was specified for the DUMP DATAFILE/TEMPFILE command.', 'Correct the syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25119', 'LOGGING/NOLOGGING option already specified', 'In CREATE TABLESPACE, the LOGGING and/or NOLOGGING options were specified more than once.', 'Remove all but one of the logging specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25120', 'MINIMUM EXTENT option already specified', 'In CREATE TABLESPACE, the MINIMUM EXTENT option was specified more than once.', 'Remove all but one of the MINIMUM EXTENT specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25121', 'MINIMUM EXTENT value greater than maximum extent size', 'In CREATE/ALTER TABLESPACE, the value specified for the MINIMUM EXTENT option was greater than the maximum extent size.', 'Choose a lower value for the MINIMUM EXTENT option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25122', 'Only LOCAL bitmap indexes are permitted on partitioned tables', 'An attempt was made to create a global bitmap index on a partioned table.', 'create a local bitmap index instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25123', 'Too many components specified in the name.', 'Specifying more components to a name than allowed.', 'Check the name specified for the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25124', 'Database link name not allowed.', 'Specifying a database link name when it is not permitted.', 'Check the name specified for the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25125', 'BUFFER_POOL storage option not allowed', 'The user attempted to specify the BUFFER_POOL storage option. This option may only be specified during CREATE/ALTER TABLE/CLUSTER/INDEX.', 'Remove this option and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25126', 'Invalid name specified for BUFFER_POOL', 'The name of the buffer pool specified by the user is invalid. The only valid names are KEEP, RECYCLE and DEFAULT.', 'Use a valid name or remove the BUFFER_POOL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25127', 'RELY not allowed in NOT NULL constraint', 'An attempt to set RELY on for NOT NULL constraint.', 'only NORELY may be specified for a NOT NULL constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25197', 'an overflow segment already exists for the indexed-organized table', 'An attempt was made to ADD OVERFLOW segment on an index-organized table that already has an overflow segment', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25405', 'transaction status unknown', 'A failure occured while a transaction was attempting to commit. Failover could not automatically determine instance status.', 'The user must determine the transaction''s status manually.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25406', 'could not generate a connect address', 'Failover was unable to generate an address for a backup instance.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25407', 'connection terminated', 'The connection was lost while doing a fetch.', 'This is an internally used error message and should not be seen by the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25408', 'can not safely replay call', 'The connection was lost while doing this call. It may not be safe to replay it after failover.', 'Check to see if the results of the call have taken place, and then replay it if desired.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25409', 'failover happened during the network operation,cannot continue', 'The connection was lost when fetching a LOB column.', 'Failover happened when fetching LOB data directly or indirectly. Please replay the top level statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25425', 'connection lost during rollback', 'The connection was lost while issuing a rollback and the application failed over.', 'The connection was lost and failover happened during rollback. If the transaction is not externally coordinated, then Oracle implicitly rolled back, so no action is required. Otherwise examine pending_trans$ to determine if "rollback force" is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28008', 'invalid old password', 'old password supplied is wrong; Hence user cannot be authenticated using old password', 'Supply the correct old password for authentication', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28009', 'connection as SYS should be as SYSDBA or SYSOPER', 'connect SYS/<password> is no longer a valid syntax', 'Try connect SYS/<password> as SYSDBA or connect SYS/<password> as SYSOPER', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28010', 'cannot expire external or global accounts', 'If a user account is created as IDENTIFIED EXTERNALLY, or IDENTIFIED GLOBALLY, this account cannot be expired', 'Try to expire the password of the user that has database password', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28011', 'the account will expire soon; change your password now', 'The user''s account is marked for expiry; the expiry period is unlimited.', 'Change the password or contact the DBA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28012', 'Manual commit not allowed here', 'An attempt was made to commit a non-autonomous transaction from within a change password trigger or password verification routine', 'Remove the COMMIT from the password trigger or password verification routine', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28020', 'IDENTIFIED GLOBALLY already specified', 'The IDENTIFIED GLOBALLY clause was specified twice.', 'Use only one IDENTIFIED GLOBALLY clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28021', 'cannot grant global roles', 'A role granted was IDENTIFIED GLOBALLY. Global roles can only be granted via a central authority for the domain.', 'Use ALTER ROLE to change the type of role (from IDENTIFIED GLOBALLY to other, such as IDENTIFIED BY password), or allocate it to a global user via the central authority.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28022', 'cannot grant external roles to global user or role', 'A role granted was IDENTIFIED EXTERNALLY. External roles cannot be granted to global users or global roles.', 'Use ALTER ROLE to change the type of the role being granted (from IDENTIFIED EXTERNALLY to other, such as IDENTIFIED BY password), or use ALTER ROLE or ALTER USER to change the type of the user or role that is the grantee.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28023', 'must revoke grants of this role to other user(s) first', 'The role altered to IDENTIFIED GLOBALLY was granted to one or more other users and/or roles. Global roles cannot be granted to any user or role.', 'Use REVOKE to revoke the role from other users or roles first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28024', 'must revoke grants of external roles to this role/user', 'The user or role altered to IDENTIFIED GLOBALLY has external roles directly granted - these must be revoked, since external roles cannot be granted to global users or roles.', 'Use REVOKE to revoke the external roles from the user or role to be ALTERed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28025', 'missing or null external name', 'The IDENTIFIED EXTERNALLY AS or IDENTIFIED GLOBALLY AS clause was specified with a valid external name.', 'Provide a valid external name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28026', 'user with same external name already exists', 'The external name specified for the user being created or altered already exists for another user.', 'External names must be unique among users. Specify another.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28027', 'privileged database links may be used by global users', 'Only users IDENTIFIED GLOBALLY may use a privileged database link.', 'Either change the user to a global user or try to use a different database link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28028', 'could not authenticate remote server', 'During the course of opening a privileged database link, the remote server was not securely identified using the network security service. Additional errors should follow.', 'Consult the network security service documentation on how to properly configure the remote server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28029', 'could not authorize remote server for user string', 'During the course of opening a privileged database link, the remote server was found to lack the necessary authorizations to connect as the current global user. This may be because the server was not authorized by the network security service. Or it may be because the local server is restricting access by the remote server using the DBMS_SECURITY_DOMAINS_ADMIN package.', 'Grant the remote server the proper authorization to connect as the given global user, and check that the local server is not restricting access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28030', 'Server encountered problems accessing LDAP directory service', 'Unable to access LDAP directory service', 'Please contact your system administrator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28031', 'maximum of string enabled roles exceeded', 'The user attempted to enable too many roles.', 'Enable fewer roles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28035', 'Cannot Get Session Key for Authentication', 'Client and server cannot negotiate shared secret during logon', 'User should not see this error. Please contact your system administrator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28037', 'Cannot Get Session Key for RACF Authentication', 'Client and server cannot negotiate shared secret during logon', 'User should not see this error. Please contact your system administrator', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28038', 'disallow O2LOGON', 'turn off O2LOGON', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28051', 'the account is locked', 'The enterprise user has consecutively entered the wrong password for maximum number of times specified in the realm''s password policy profile.', 'Contact the directory administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28052', 'the account is disabled', 'The enterprise user''s account in the directory has been disabled.', 'Contact the directory administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28053', 'the account is inactive', 'The enterprise user''s account in the directory is currently not active.', 'Contact the directory administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28054', 'the password has expired. string Grace logins are left', 'The enterprise user''s password has expired. The user is able to login because he has gracelogins left.', 'change the password in the directory or contact the directory administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28055', 'the password will expire within string days', 'The enterprise user''s password is about to expire.', 'Change the password in the directory or contact the directory administrator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28056', 'Writing audit records to Windows Event Log failed', 'Unable to write an audit entry to the Windows event log used as the audit trail.', 'Check the error number for a possible operating system error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28100', 'policy function schema string is invalid', 'The schema was dropped after the policy associated with the function had been added to the object.', 'Drop the policy and re-create it with a policy function owned by a valid user. Or re-create the user and the policy function under the new user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28101', 'policy already exists', 'A policy with the same name for the same object already exists.', 'Check if the policy has already been added or use a different policy name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28102', 'policy does not exist', 'Try to drop/enable/refresh a non-existent policy.', 'Correct the policy name argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28103', 'adding a policy to an object owned by SYS is not allowed', 'Try to add a policy to a table or a view owned by SYS.', 'You can not perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28104', 'input value for string is not valid', 'Input value for the argument is not valid', 'specify a valid argument value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28105', 'cannot create security relevant column policy in an object view', 'Security relevant column argument is not null in policy creation for an object view', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28106', 'input value for argument #string is not valid', 'Input values for the argument is missing or invalid.', 'Correct the input values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25133', 'duplicate SINGLE TABLE option specified', 'The SINGLE TABLE option was specified more than once.', 'Specify the SINGLE TABLE option only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25134', 'keyword TABLE expected', 'The keyword TABLE is missing from the SINGLE TABLE option.', 'Place the keyword TABLE after the keyword SINGLE in the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25135', 'cannot use the SINGLE TABLE option', 'The SINGLE TABLE option is only valid for hash clusters.', 'Do not specify the SINGLE TABLE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25136', 'this cluster can contain only one table', 'An attempt was made to store more than one table in a cluster that was created with the SINGLE TABLE option.', 'Do not attempt to store more than one table in the cluster.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25137', 'Data value out of range', 'Value from cast operand is larger than cast target size.', 'Increase size of cast target.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25138', 'string initialization parameter has been made obsolete', 'An obsolete initialization parameter has been specified', 'The system will come up, but parameters must be examined', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25139', 'invalid option for CREATE TEMPORARY TABLESPACE', 'An invalid option appears.', 'Specify one of the valid options: TEMPFILE, EXTENT MANAGEMENT LOCAL, UNIFORM', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25140', 'string space policy cannot be specified for the string extent management', 'An invalid option appears.', 'Make sure that for LOCAL extent management UNIFORM or AUTOALLOCATE is specified, and for DICTIONARY extent management UNIFORM or AUTOALLOCATE are not specified', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25141', 'invalid EXTENT MANAGEMENT clause', 'An invalid option appears for EXTENT MANAGEMENT clause', 'Specify one of the valid options: UNIFORM SIZE, AUTOALLOCATE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25142', 'default storage clause specified twice', 'default storage clause was specified twice for create tablespace', 'Specify it once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25143', 'default storage clause is not compatible with allocation policy', 'default storage clause was specified for a tablespace with AUTOALLOCATE or UNIFORM policy', 'Omit the storage clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25144', 'invalid option for CREATE TABLESPACE with TEMPORARY contents', 'An invalid option appears.', 'Specify one of the valid options: EXTENT MANAGEMENT DICTIONARY, USER', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25145', 'allocation policy already specified', 'In CREATE TABLESPACE, the allocation policy was specified more than once, for example, AUTOALLOCATE and UNIFORM.', 'Remove all but one of the allocation policy specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25146', 'EXTENT MANAGEMENT option already specified', 'In CREATE TABLESPACE, the EXTENT MANAGEMENT option was specified more than once.', 'Remove all but one of the EXTENT MANAGEMENT specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25147', 'UNIFORM SIZE value greater than maximum extent size', 'In CREATE/ALTER TABLESPACE, the value specified for the UNIFORM SIZE option was greater than the maximum extent size.', 'Choose a lower value for the UNIFORM SIZE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25148', 'ONLINE option not permitted', 'An attempt was made to specify ONLINE for ALTER TABLE MOVE on a table that is not index-organized. The ONLINE option is currently supported only for index-organized tables.', 'Remove the ONLINE option from the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25149', 'Columns of UROWID type may not be indexed', 'An attempt was made to create an index on a column of UROWID type', 'Remove the column from the list of indexed columns', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25150', 'ALTERING of extent parameters not permitted', 'An attempt was made to alter the extent parameters for a segment in a tablespace with autoallocate or uniform extent allocation policy.', 'Remove the appropriate extent parameters from the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25151', 'Rollback Segment cannot be created in this tablespace', 'An attempt was made to create a rollback segment in a tablespace with autoallocate extent allocation policy.', 'Specify a different tablespace for the rollback segment', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25152', 'TEMPFILE cannot be dropped at this time', 'An attempt was made to drop a TEMPFILE being used by online users', 'The TEMPFILE has been taken offline. Try again, later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25153', 'Temporary Tablespace is Empty', 'An attempt was made to use space in a temporary tablespace with no files.', 'Add files to the tablespace using ADD TEMPFILE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25193', 'cannot use COMPRESS option for a single column key', 'An attempt to use COMPRESS option on single column key', 'Remove the COMPRESS option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25194', 'invalid COMPRESS prefix length value', 'The specified value must be a positive integer less than the number of key columns', 'Specify an appropriate value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25195', 'invalid option for index on an index-organized table', 'An attempt to specify one or more of the following options for index on an IOT: BITMAP, REVERSE, PCTUSED', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25196', 'keyword MOVE in ALTER TABLE MOVE must immediately follow <table name>', 'MOVE specified after one/more other ALTER options', 'Remove the illegal option(s)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25198', 'only range, list, and hash partitioning are supported for index-organized table', 'System, or Composite partitioning schemes are not supported yet', 'Select a different partitioning scheme', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25199', 'partitioning key of a index-organized table must be a subset of the primary key', 'An attempt to specify a partitioning key which is not a prefix of the primary key of the index-organized table', 'Select a different partitioning key', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25200', 'invalid value string, QUEUE_NAME should be [SCHEMA.]NAME', 'A NULL parameter was specified for QUEUE_NAME.', 'Specify a non-NULL queue name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25201', 'invalid value, VISIBILITY should be ON_COMMIT or IMMEDIATE', 'An invalid value specified for parameter VISIBILITY.', 'Specify either ON_COMMIT or IMMEDIATE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25202', 'invalid value NULL, string should be non-NULL', 'A NULL value was specified for the parameter.', 'Specify a non-NULL value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25203', 'invalid value string, DELAY should be non-negative', 'A negative value or NULL was specified for DELAY.', 'Specify a non negative integer for DELAY.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25204', 'invalid value, SEQUENCE_DEVIATION should be BEFORE or TOP', 'An invalid SEQUENCE_DEVIATION was specified.', 'Specify either the option ''BEFORE'' or ''TOP''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25205', 'the QUEUE string.string does not exist', 'The specified queue does not exist.', 'Create the queue first before specifying it for enqueue or dequeue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25206', 'enqueue failed, enqueue to exception queue string.string not permitted', 'An attempt was made to enqueue to an exception queue.', 'Try enqueueing to another queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25207', 'enqueue failed, queue string.string is disabled from enqueueing', 'The queue has been stopped to prevent any further enqueueing.', 'Enable the queue first by using an administrative operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25208', 'RELATIVE_MSGID must be specified if SEQUENCE_DEVIATION is BEFORE', 'A relative message identifier should be specified if sequence deviation is specified as BEFORE.', 'Either specify an existing relative message identifier or don''t specify sequence deviation as BEFORE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25209', 'invalid value string, EXPIRATION should be non-negative or NEVER', 'The expiration is less than zero or NULL.', 'Specify a valid value for expire_after which should be greater than or equal to zero or NEVER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25210', 'invalid value for RELATIVE_MSGID, no message in queue with that msgid', 'No message inm the queue with the msgid equal to the specified RELATIVE_MSGID.', 'Try again with a valid RELATIVE_MSGID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26822', 'Failure in creating capture servers (ksv error code number).', 'Failure in ksv slave creation.', 'Identify the actual ksv error and act accordingly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26823', 'STREAMS capture server number is unable to communicate with capture process "string" during initialization.', 'Capture process might not be started properly', 'Fix any errors during capture process creation and re-start capture process', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26824', 'Client is not attached to STREAMS apply "string".', 'An attempt was made to execute OCIXApplyDetach call while not attached to the specified apply process.', 'Remove detach call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26825', 'STREAMS Apply "string" is not configured as an external apply.', 'An attempt was made to attach to a STREAMS apply process, which was not configured as an external apply.', 'Check the apply name or re-create the apply process as an external apply.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26826', 'STREAMS apply coordinator and apply slave are unable to communicate.', 'STREAMS Apply process may have died unexpectedly.', 'Check your system for anomalies and restart apply. If this error persists, contact Oracle Support Services. See trace file for more details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26827', 'Insufficient privileges to attach to STREAMS apply "string".', 'Sufficient privileges were not granted to attach to the specified STREAMS apply.', 'Ask the Streams administrator to perform the operation or grant the required privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26828', 'STREAMS external apply "string" requires combined capture and apply mode.', 'The specified STREAMS external apply was not in combined capture and apply mode.', 'Restore the combined capture and apply mode and then restart the capture.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26829', 'Cannot set "DISABLE_ON_ERROR" parameter to ''N''.', 'An attempt was made to change the "DISABLE_ON_ERROR" parameter for a STREAMS external apply to ''N''.', 'Remove invalid statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26830', 'Cannot define handler for a STREAMS external apply.', 'An attempt was made to define a handler for a STREAMS external apply.', 'Remove invalid statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26831', 'Cannot delete or execute error transaction from STREAMS external apply "string".', 'An attempt was made to delete or execute an error transaction from the specified STREAMS external apply.', 'Remove invalid statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26832', 'Unable to create STREAMS external apply "string" due to existing handler.', 'An attempt was made to create the specified STREAMS external apply while there was a handler defined for the specified apply.', 'Use DBMS_APPLY_ADM.SET_DML_HANDLER procedure to remove all handlers defined on the specified apply then retry statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26850', 'STREAMS capture process detects queue subscribers been changed.', 'The subscribers for capture queue have changed.', 'Capture process should restart', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26851', 'Unable to connect to apply "string" because it has connected to another capture.', 'Another capture process is already connected to apply.', 'Wait for the connected capture process to terminate or abort the connected capture process.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26852', 'Invalid NULL value for column_value parameter.', 'NULL is not allowed to be passed as the column value.', 'Replace NULL with a proper AnyData instance containing NULL, e.g., sys.AnyData.ConvertVarchar2(NULL), as the column value if the column value is NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26853', 'invalid cca maximum percentage string', 'Specified percentage value was not in range 0 - 100.', 'Specify a percentage value in the range 0 - 100.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26854', 'STREAMS string has no enqueue or dequeue privileges to the queue.', 'The STREAMS user did not have enqueue or dequeue privilege to the queue.', 'Grant STREAMS user enqueue or dequeue privileges to the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26855', 'STREAMS string has insufficient database privilege to access the queue.', 'The STREAMS user did not have sufficient database privilege to access the queue.', 'Grant STREAMS user database privileges to access the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27000', 'skgfqsbi: failed to initialize storage subsystem (SBT) layer', 'sbtinit returned an error, additional information indicates error', 'verify that vendor''s storage subsystem product is operating correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27001', 'unsupported device type', 'the specified device type is supported on this platform', 'check V$BACKUP_DEVICE for supported device types', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27002', 'function called with invalid device structure', 'internal error, aditional information indicates which function encountered error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27003', 'cannot open file on device allocated with NOIO option', 'internal error, a file is being created/retrieved on a device allocated with NOIO option, additional information indicates which function encountered error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27004', 'invalid blocksize specified', 'internal error, blocksize specified is incorrect for the device on which file is being created, aditional information indicates blocksize specified, and the function that encountered the error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27005', 'cannot open file for async I/O on device not supporting async', 'internal error, a file is being opened for async I/O on a device that does not support async I/O, additional information indicates which function encountered error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27006', 'sbtremove returned error', 'additional information indicates error returned by sbtremove, and the function that encountered the error', 'verify that vendor''s storage subsystem product is operating correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27007', 'failed to open file', 'sbtopen returned error, additional information indicates error returned from sbtopen, and the function that encountered the error', 'verify that vendor''s storage subsystem product is operating correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27008', 'function called with invalid file structure', 'internal error, aditional information indicates which function encountered error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27009', 'skgfwrt: cannot write to file opened for read', 'internal error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27010', 'skgfwrt: write to file failed', 'sbtwrite returned error, additional information indicates error returned from sbtwrite', 'verify that vendor''s storage subsystem product is operating correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27011', 'skgfrd: cannot read from file opened for write', 'internal error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27012', 'skgfrd: read from file failed', 'sbtread returned error, additional information indicates error returned from sbtread', 'verify that vendor''s storage subsystem product is operating correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27013', 'skgfqdel: cannot delete an open file', 'internal error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27014', 'skgfqpini: translation error while expanding SS_UDMPDIR', 'Failure of sltln in skgfqpini', 'Check additional return error for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27015', 'skgfcls: failed to close the file', 'sbtclose returned error, additional information indicates error returned from sbtclose', 'verify that vendor''s storage subsystem product is operating correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27016', 'skgfcls: sbtinfo returned error', 'additional information indicates error returned from sbtinfo', 'verify that vendor''s storage subsystem product is operating correctly', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25426', 'remote instance does not support shared dblinks', 'A shared dblink is being used to connect to a remote instance that does not support this feature because it is an older version.', 'Use a normal dblink if you need to connect to this instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25427', 'cannot downgrade database links after database link data dictionary has been upgraded', 'An attempt was made to downgrade after the upgrade of the database link data dictionary.', 'Drop the database links before attempting the downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25436', 'invalid table alias: string', 'An attempt to evaluate was made, which failed because one of the table values specified had an invalid alias.', 'Check the valid table aliases in the evaluation context, and try again with a valid alias.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25437', 'duplicate table value for table alias: string', 'An attempt to evaluate was made, which failed because some of the table values specified had the same table alias.', 'Check the table values specified, and try again with only one value per table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25438', 'invalid variable name: string', 'An attempt to evaluate was made, which failed because one of the variable values specified had an invalid name.', 'Check the valid variable names in the evaluation context, and try again with a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25439', 'duplicate variable value for variable: string', 'An attempt to evaluate was made, which failed because some of the variable values specified had the same variable name.', 'Check the variable names specified, and try again with only one value per variable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25440', 'invalid table alias: string', 'An attempt to evaluate was made, which failed because one of the column values specified had an invalid table alias.', 'Check the valid table aliases in the evaluation context, and try again with a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25441', 'duplicate column value for table alias: string', 'An attempt to evaluate was made, which failed because one of the column values supplied a value for a table alias, which already had a table value supplied.', 'Check the table and column values specified, and try again with either a table value or column values for each table alias.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25442', 'too many column values for table alias: string', 'An attempt to evaluate was made, which failed because too many column values were supplied for the specified table alias.', 'Check the column values specified, and try again with the right number of column values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25443', 'duplicate column value for table alias: string, column number: string', 'An attempt to evaluate was made, which failed because duplicate column values were supplied for the specified table alias and column number.', 'Check the column values specified, and try again with only one column value for each table alias, and column number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25444', 'invalid ROWID: string for table alias: string', 'An attempt to evaluate was made, which failed because an invalid ROWID was supplied for the specified table alias.', 'Check the column values specified, and try again with only one column value for each table alias, and column number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25445', 'invalid column number: string for table alias: string', 'An attempt to evaluate was made, which failed because an invalid column number was supplied for the specified table alias as a part of a column value.', 'Check the column values specified, and try again with a valid column number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25446', 'duplicate column value for table alias: string, column: string', 'An attempt to evaluate was made, which failed because duplicate column values were supplied for the specified table alias and column name.', 'Check the column values specified, and try again with only one column value for each table alias, and column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25447', 'encountered errors during evaluation of rule string.string', 'An attempt to evaluate was made, which failed during the evaluation of the specified rule.', 'Check the rule and the values passed to evaluate, and try again with valid values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25448', 'rule string.string has errors', 'An attempt to load the specified rule failed due to errors in the rule.', 'Check the rule and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25449', 'invalid variable name: string', 'An attempt to evaluate was made, which failed because one of the attribute values specified had an invalid variable name.', 'Check the valid variable names in the evaluation context, and try again with a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25450', 'error string during evaluation of rule set string.string', 'The specified error occurred during evaluation of the rule set.', 'Check the error and take appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25451', 'too many attribute values for variable: string', 'An attempt to evaluate was made, which failed because too many attribute values were supplied for the specified variable.', 'Check the attribute values specified, and try again with the right number of attribute values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25452', 'duplicate attribute value for variable: string, attribute: string', 'An attempt to evaluate was made, which failed because duplicate attribute values were supplied for the specified variable and attribute name.', 'Check the attribute values specified, and try again with only one attribute value for each variable, and attribute name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25453', 'invalid iterator: string', 'An attempt to get rule hits or to close an iterator was made, which failed because an invalid iterator was passed in.', 'Check the iterator, and try again with a valid iterator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25454', 'error during evaluation of rule set: string.string for iterator: string', 'An attempt to get rule hits for an iterator was made, which failed because of an error in evaluation of the specified rule set.', 'Check the validity of the rule set and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25455', 'evaluation error for rule set: string.string, evaluation context: string.string', 'An attempt to evaluate the specified rule set using the evaluation context specified failed due to some errors.', 'Check additional errors signalled to determine the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25456', 'rule set was modified or evaluation terminated for iterator: string', 'An attempt to get rule hits was made, which failed because the underlying rule set was modified after the iterator was returned.', 'Try again after re-evaluating the rule set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26032', 'index string.string loading aborted after string keys', 'An index error occurred during direct-load of an index-organized table.' || '<p>' || '* Loading had to be aborted. No rows were loaded.', 'Check the key just following the number of keys mentioned above.' || '<p>' || '* This key caused the index problem mentioned in an earlier message. *', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26033', 'column string.string encryption properties differ for source or target table', 'The source and destination columns did not have the same' || '<p>' || '* encryption properties.', 'For security reasons, check that the source and target table have' || '<p>' || '* the same encryption properties. *', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26034', 'Column string does not exist in stream', 'Column specified in the column list does not exist in the stream.', 'Make sure the column exists or remove it from the list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26035', 'Error attempting to encrypt or decrypt column', 'An error occurred while attemping to encrypt or decrypt' || '<p>' || '* a database column.', 'Verify correct encryption key was specified. *', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28107', 'policy was disabled', 'Try to flush a disabled policy.', 'If the policy is supposed to be enforced, it must be enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28108', 'circular security policies detected', 'Policies for the same object reference each other.', 'Drop the policies', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28109', 'the number of related policies has exceeded the limit of 16', 'Too many policies are involved in the same objects.', 'Drop one or more policies. Or combine a few of them into one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28110', 'policy function or package string.string has error', 'The policy function may have been dropped, or is no longer valid.', 'Check the status of the function and correct the problem. Or re-create the policy with a valid function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28111', 'insufficient privilege to evaluate policy predicate', 'Predicate has a subquery which contains objects that the owner of policy function does not have privilege to access.', 'Grant appropriate privileges to the policy function owner.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28112', 'failed to execute policy function', 'The policy function has one or more error during execution.', 'Check the trace file and correct the errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28113', 'policy predicate has error', 'Policy function generates invalid predicate.', 'Review the trace file for detailed error information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28115', 'policy with check option violation', 'Policy predicate was evaluated to FALSE with the updated values.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28116', 'insufficient privileges to do direct path access', 'Users with insufficient privileges attempting to do direct path access of tables with fine grain access control policies.', 'Ask the database administrator to do the operation. Note that users can work with security administrator to temporarily drop/disable the policies at time of export, import, or load, but this has security implication, and thus access of the database must be controlled carefully.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28117', 'integrity constraint violated - parent record not found', 'try to update/insert a child record with new foreign key values, but the corresponding parent row is not visible because of fine-grained security in the parent.', 'make sure that the updated foreign key values must also visible in the parent', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28118', 'policy group already exists', 'try to create a policy group that already exists', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28119', 'policy group does not exist', 'try to drop a policy group that does not exist', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28120', 'driving context already exists', 'try to create a driving context that already exists', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28121', 'driving context does not exist', 'try to drop a driving context that does not exist', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28132', 'Merge into syntax does not support security policies.', 'Merge into syntax currently does not support a security policy on the destination table.', 'use the insert / update DML stmts on the table that has a security policy defined on it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28134', 'object cannot have fine-grained access control policy', 'Only tables, views, or synonyms of tables or views may have VPD policies', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28137', 'Invalid FGA audit Handler', 'An invalid audit handler was specified.', 'Specify a valid audit handler.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28138', 'Error in Policy Predicate', 'An invalid policy predicate was specified.', 'Please specify a valide policy Predicate for the FGA policy', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28139', 'Maximum allowed Fine Grain Audit Policies Exceeded', 'A maximum of 256 policies can be enabled on an object', 'Drop or disable an existing policy before creating more', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28140', 'Invalid column specified', 'Column name specified during policy creation is invalid', 'Please specify a valid column name. Object columns are not supported', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28141', 'error in creating audit index file', 'ORACLE was not able to create the file being used to hold audit file names.', 'Examine the directory pointed to by the initialization parameter "audit_file_dest." Make sure that all of the following is true:' || '<p>' || '1. The directory exists.' || '<p>' || '' || '<p>' || '2. The name indeed points to a directory and not a file.' || '<p>' || '' || '<p>' || '3. The directory is accessible and writable to the ORACLE user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28142', 'error in accessing audit index file', 'ORACLE was not able to access the file being used to hold audit file names.', 'Make sure the file exists in the directory pointed to by the initialization parameter "audit_file_dest" and is readable by the ORACLE user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28150', 'proxy not authorized to connect as client', 'A proxy user attempted to connect as a client, but the proxy was not authorized to act on behalf of the client.', 'Grant the proxy user permission to perform actions on behalf of the client by using the ALTER USER ... GRANT CONNECT command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28151', 'more than one user name specified for command', 'More than one user name was specified for an ALTER USER command.', 'Try the command again with only one user name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28152', 'proxy user ''string'' may not specify initial role ''string'' on behalf of client ''string''', 'A proxy user attempted to specify an initial role for a client, but the client does not possess the role.', 'Change the proxy user so that it does not specify the role or grant the role to the client.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28153', 'Invalid client initial role specified: ''string''', 'A role specified by a proxy user as an initial role to be activated upon connecting on behalf of a client is invalid.', 'Connect again as the client specifying a valid role.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28154', 'Proxy user may not act as client ''string''', 'A proxy user may not assume the identity of a privileged user in order to limit the privileges that a proxy may possess.', 'Execute the statement again specify a client other than a privileged user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28155', 'user ''string'' specified as a proxy is actually a role', 'A user specified in an AUDIT <operation> BY <proxy> ON BEHALF OF <client> is actually a role.', 'Execute the statement again with a valid proxy user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28156', 'Proxy user ''string'' not authorized to set role ''string'' for client ''string''', 'A proxy user has not been granted the right to use a role on behalf of a client.', 'Execute the command ALTER USER <client> GRANT CONNECT THROUGH PROXY <proxy> to grant the needed role.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28366', 'invalid database encryption operation', 'The command for database encryption contained improper spelling or syntax.', 'Verify the spelling and syntax and execute the command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28367', 'wallet does not exist', 'The Oracle wallet has not been created or the wallet location parameters in sqlnet.ora specifies an invalid wallet path.', 'Verify that the WALLET_LOCATION or the ENCRYPTION_WALLET_LOCATION parameter is correct and that a valid wallet exists in the path specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28368', 'cannot auto-create wallet', 'The database failed to auto create an Oracle wallet. The Oracle process may not have proper file permissions or a wallet may already exist.', 'Confirm that proper directory permissions are granted to the Oracle user and that neither an encrypted or obfuscated wallet exists in the specified wallet location and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28369', 'cannot add files to encryption-ready tablespace when offline', 'You attempted to add files to an encryption-ready tablespace when all the files in the tablespace were offline.', 'Bring the tablespace online and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28370', 'ENCRYPT storage option not allowed', 'You attempted to specify the ENCRYPT storage option. This option may only be specified during CREATE TABLESPACE.', 'Remove this option and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25211', 'invalid DELAY specified when using sequence deviation', 'The DELAY specified in the enqueue is greater than the delay of the message with the given relative message id.', 'Set the DELAY to be less than or equal to the delay of the message with the given relative message id. If the TOP option is used the delay must be less than or equal to the delay of all the messages in the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25212', 'invalid PRIORITY specified when using sequence deviation', 'The PRIORITY specified in the enqueue is less than the priority of the message with the given relative message id.', 'Set the PRIORITY to be less than the delay of the message with the given relative message id. If the TOP option is used the prioirty must be greater than or equal to the priority of all the messages in the queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25213', 'message with specified RELATIVE_MSGID has been dequeued', 'The message specified by the RELATIVE_MSGID field in the sequence deviation BEFORE option has been dequeued.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25214', 'cannot specify delay or expiration for enqueue to exception queue', 'A message was enqueued to the exception queue with either delay or expiration specified.', 'Enqueue a message without delay or expiration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25215', 'user_data type and queue type do not match', 'A user tries to enqueue an object to a queue that was created for objects of different type.', 'Try enqueue again with an object of the right type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25216', 'invalid recipient, either NAME or ADDRESS must be specified', 'Both attributes, NAME and ADDRESS, were specified null for one of the recipients in the recipient list.', 'Specify a non-null NAME or ADDRESS for the recipient.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25217', 'enqueue failed, visibility must be IMMEDIATE for queue string.string', 'An attempt was made to enqueue to a non-persistent queue without setting visibility to IMMEDIATE.', 'Set visibility to IMMEDIATE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25218', 'enqueue failed, delay must be zero for queue string.string', 'An attempt was made to enqueue to a non-persistent queue with delay greater than zero seconds.', 'Set delay to zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25219', 'enqueue failed, sequence deviation not allowed for queue string.string', 'An attempt was made to enqueue to a non-persistent queue with sequence deviation specified.', 'Do not specify sequence deviation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25220', 'enqueue failed, signature not specified for a non-repudiable queue', 'An attempt was made to enqueue to a non-repudiable queue without specifying the signature', 'Give the signature', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25221', 'enqueue failed, signature specified queue not supporting non-repudiation', 'An attempt was made to enqueue to a queue specifying the signature for a queue not supporting non-repudiation', 'Remove the signature', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25222', 'enqueue failed, complete sender info. not provided for a queue supporting non-repudiation', 'An attempt was made to enqueue to a queue without giving the complete sender information (name) for a queue supporting non-repudiation', 'Provide the sender information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25223', 'user_data type used is not supported', 'An attempt was made to enqueue data into a non persistent queue that is of a type other than the supported raw or object type.', 'Enqueue the message again with data of raw or object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25224', 'sender name must be specified for enqueue into secure queues', 'An attempt was made to enqueue into a secure queue without specifying a sender name.', 'Enqueue the message with sender name specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25225', 'invalid value string, DEQUEUE_MODE should be REMOVE or BROWSE or LOCKED', 'An invalid parameter has been specified for DEQUEUE_MODE.', 'Specify either REMOVE, BROWSE or LOCKED.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25226', 'dequeue failed, queue string.string is not enabled for dequeue', 'The queue has not been enabled for dequeue.', 'Enable the queue using START_QUEUE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25227', 'Propagation job string doesn''t exist', 'The job doesn''t exist in AQ$_SCHEDULES or cache.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25228', 'timeout or end-of-fetch during message dequeue from string.string', 'User-specified dequeue wait time has passed or the end of the queue has been reached but no message has been retrieved.', 'Try dequeue again with the appropriate WAIT_TIME or the FIRST_MESSAGE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25229', 'error on transformation of message string string', 'There was an error when transforming a message at enqueue, dequeue or propagation time.', 'Correct the transformation function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25230', 'invalid value string, WAIT should be non-negative', 'A negative value has been specified for WAIT.', 'specify a non negative value or FOREVER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25231', 'cannot dequeue because CONSUMER_NAME not specified', 'A user tried to dequeue from a queue that has been created for multiple consumers but a CONSUMER_NAME was not been specified in the dequeue options.', 'Specify the CONSUMER_NAME in the dequeue options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25232', 'duplicate recipients specified for message', 'An enqueue was performed with duplicate queue agents in the recipients parameter.', 'Remove the duplicate queue agent and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25233', 'invalid parameter specified for NAVIGATION', 'An invalid parameter has been specified for NAVIGATION.', 'Choose one of FIRST_MESSAGE, NEXT_MESSAGE or NEXT_TRANSACTION. Use FIRST_MESSAGE for dequeuing the first message that satisifies the criterion, NEXT_MESSAGE for dequeuing the next message that satisifies the criterion and NEXT_TRANSACTION for moving to a set of messages enqueued by another transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25234', 'NEXT_TRANSACTION navigation option invalid for queue table string.string', 'The NEXT_TRANSACTION navigation option was used in a dequeue from a queue in a queue table that was not created for transactional grouping.', 'Specify either FIRST_MESSAGE or NEXT_MESSAGE as the navigation option. If you want to dequeue messages using transactional grouping create the queue in a queue table that has transactional grouping enabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25235', 'fetched all messages in current transaction from string.string', 'The NEXT_TRANSACTION navigation option was used in a dequeue when there were no more messages that belong to the same transaction.', 'Use the NEXT_TRANSACTION navigation option to move to the next also use the FIRST_MESSAGE option to start from the head of the queue again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25236', 'buffer too small for user data', 'The variable or buffer used for the out parameter payload is too small for the user data dequeued.', 'Increase the size of the buffer or the size of the variable. Maximum size allowed is 32K.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25237', 'navigation option used out of sequence', 'The NEXT_MESSAGE or NEXT_TRANSACTION option was specified after dequeuing all the messages.', 'Reset the dequeuing position using the FIRST_MESSAGE naviagtion option and then specify the NEXT_MESSAGE or NEXT_TRANSACTION option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25238', 'too many recipients specified for message destination string', 'An ENQUEUE was performed with more than 32 recipients for the given destination (address).', 'Reduce the number of recipients to 32 or less, and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27017', 'skgfcls: media handle returned by sbtinfo exceeds max length(SSTMXQMH)', 'media handle string length exceeds SSTMXQMH', 'verify that vendor''s storage subsystem product is operating correctly, and that the platform limit (SSTMXQMH) is atleast 64 (the limit specified for sbtinfo). additional information indicates the media handle string length returned by sbtinfo, and the limit (SSTMXQMH)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27018', 'BLKSIZE is not a multiple of the minimum physical block size', 'User-specified BLKSIZE (blocking factor) is not a multiple of the minimum block size that is permitted on this platform.', 'Two ADDITIONAL INFORMATION messages are displayed which show the blocking factor provided by the user and the minimum physical block size. Specify a BLKSIZE that is an integral multiple of the minimum block size.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27019', 'tape filename length exceeds limit (SBTOPMXF)', 'length of tape filename provided to sequential I/O OSD functions is too long', 'additional information indicates in which function this error is encountered, the length of filename provided, and the limit on filename', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27020', 'named devices not supported', 'the platform or the specified device type does not support named devices', 'do not specify device name or use a device type that supports named devices. Use V$BACKUP_DEVICE view to see what device types and names (if any) are available.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27021', 'sequential file handle must be specified', 'The filename which will be passed to sbtopen was not specified.', 'Specify a filename and continue. If this is a backup set being created via Recovery Manager, use the ''format'' option to specify the backup piece handle name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27022', 'skgfqsbi: could not allocate memory for media manager', 'Oracle could not allocate memory required by the media management software which is linked with Oracle to provide backup/restore services.', 'Increase the amount of memory available to the Oracle process and retry the backup/restore.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27023', 'skgfqsbi: media manager protocol error', 'The media management software which is linked with Oracle to provide backup/restore services did not provide its function pointer structure to Oracle.', 'This is an internal error in the media management product. Contact the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27024', 'skgfqsbi: sbtinit2 returned error', 'sbtinit2 returned an error. This happens during a backup or restore operation.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27025', 'skgfqsbi: invalid media manager context area size', 'The media management software requested a context area size which is greater than the maximum allowable size.', 'This is an internal error in the media management product. Contact the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27026', 'skgfrls: sbtend returned error', 'sbtend returned an error. This happens during a backup or restore operation.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27027', 'sbtremove2 returned error', 'sbtremove2 returned an error. This happens when deleting a backup file.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27028', 'skgfqcre: sbtbackup returned error', 'sbtbackup returned an error. This happens when creating a backup file during a backup operation.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27029', 'skgfrtrv: sbtrestore returned error', 'sbtrestore returned an error. This happens when retrieving a backup file during a restore operation.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27030', 'skgfwrt: sbtwrite2 returned error', 'sbtwrite2 returned an error. This happens while writing a backup file during a backup operation.', 'This error is returned from the media management software which is linked with Oracle. There should be additional messages which explain the cause of the error. This error usually requires contacting the media management vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27031', 'mirror resilvering functions not supported', 'internal error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27032', 'failed to obtain file size limit', 'getrlimit system call returned an error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27033', 'failed to obtain file size limit', 'ulimit system call returned an error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27034', 'maximum length of ORACLE_SID exceeded', 'too many characters in the ORACLE_SID string', 'rename the ORACLE_SID to a string of up to the maximum number of characters specified for your system', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27035', 'logical block size is invalid', 'logical block size for oracle files must be a multiple of the physical block size, and less than the maximum', 'block size specified is returned as additional information, check init.ora parameters, additional information also indicates which function encountered the error', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27036', 'translation error, unable to expand file name', 'additional information indicates sltln/slnrm error, and also indicates which function encountered the error', 'check additional information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27037', 'unable to obtain file status', 'stat system call returned an error, additional information indicates which function encountered the error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27038', 'created file already exists', 'trying to create a database file, but file by that name already exists', 'verify that name is correct, specify reuse if necessary', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27039', 'create file failed, file size limit reached', 'an attempt was made to create a file that exceeds the process''s file size limit, additional information indicates which function encountered the error', 'raise the file size limit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27040', 'file create error, unable to create file', 'create system call returned an error, unable to create file', 'verify filename, and permissions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27041', 'unable to open file', 'open system call returned an error, additional information indicates which function encountered the error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27042', 'not enough space on raw partition to fullfill request', 'internal error, file too large for raw partition, additional information indicates which function encountered the error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27043', 'unable to seek to beginning of file', 'seek system call failed, additional information indicates which function encountered the error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27044', 'unable to write the header block of file', 'write system call failed, additional information indicates which function encountered the error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26036', 'subpartition load specified but table string is not subpartitioned', 'The Loader control file contains a PARTITION clause but the table being loaded is not subpartitioned.', 'Remove the subpartition specification from the SQL*Loader control file and retry the load.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26037', 'must specify partition name(s) for system partitioned table string', 'An attempt was made to load a system partitioned table with no partition name(s) specified.', 'Specify the partition name(s) explicitly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26040', 'Data block was loaded using the NOLOGGING option', 'Trying to access data in block that was loaded without' || '<p>' || '* redo generation using the NOLOGGING/UNRECOVERABLE option', 'Drop the object containing the block.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26041', 'DATETIME/INTERVAL datatype conversion error', 'The column could not be converted from DATETIME' || '<p>' || '* datatype to internal DATETIME/CHARACTER datatype.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26045', 'REF column string expects string arguments; found string.', 'The number of arguments for the REF column is incorrect.', 'Specify the correct number of input arguments for REFs.' || '<p>' || '1. Unscoped system-generated REFs can have exactly 1 or 2 input arguments. a) It has exactly 1 input argument (one for the OID value) if a fixed table name was specified through OCI_DIRPATH_EXPR_REF_TBLNAME. b) It has exactly 2 input arguments (one for the table name and one for the OID value) if a fixed table name was not specified through OCI_DIRPATH_EXPR_REF_TBLNAME.' || '<p>' || '' || '<p>' || '2. Scoped system-generated REFs can have 1 or 2 input arguments. Because a table name argument is not needed for a scoped ref, only 1 argument (OID value) is expected. But if the table name argument is given, it''s still accepted.' || '<p>' || '' || '<p>' || '3. Scoped primary-key REFs with N columns in its primary-key OID can have N or N+1 input arguments. Because a table name argument is not needed for a scoped ref, only N arguments (making up the OID value) is expected. But if the table name argument is given, it''s still accepted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26046', 'REF column string expects scoped table name string; user passed in string.', 'The scoped table name passed in by the user does not match the name in the schema.', 'Specify the correct table name for the scoped REF column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26048', 'Scoped REF column has wrong table name.', 'The scoped table name passed in by the user does not match the name in the schema.', 'Specify the correct table name for the scoped REF column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26049', 'Unscoped REF column has non-existent table name.', 'The table name passed in by the user does not exist in the schema.', 'Specify a valid table name for the unscoped REF column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26050', 'Direct path load of domain index is not supported for this column type.', 'Direct path can not load a domain index of that column type.', 'Drop the index and try again or load using conventional path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26051', 'internal error parsing packed decimal format string', 'A packed decimal field with a non-zero scale factor is mapped to a character column. In order to perform the datatype conversion, a numeric format string must be created based on the input field''s precision and scale specifications. Direct path loader encountered an error in creating this format string.', 'Examine the packed decimal field''s precision and scale specifications and make sure that they contain valid values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26052', 'Unsupported type number for SQL expression on column string.', 'The direct path api does not support a SQL expression on a column of that type.', 'Make sure the types are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26053', 'Row was not loaded due to conversion error.', 'The current row was not loaded due to a conversion error.', 'Continue with the load anyways. 260xx - 260xx Direct Path API', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26054', 'Direct Path Context prepared for a different mode than operation requested.', 'The user prepared the direct path context for one operation (Load, Unload, Convert), but then tried to perform a different operation.', 'Make sure the direct path context mode and operation matches.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26055', 'Invalid buffer specified for direct path unload', 'The user specified a zero length or null buffer to be used for the Direct Path Unload operation.', 'Specify a valid buffer and length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26056', 'Requested direct path operation on a view is not supported.', 'User attempted to unload or load from/into a view via direct path.', 'Unload from or load into a normal table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26057', 'Conversion is not necessary for this direct path stream.', 'User attempted to convert a direct path stream that does not require conversion.', 'Load the stream without conversion it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26058', 'unexpected error fetching metadata for column string in table string', 'The direct path API encountered an unexpected error while retrieving metadata for a column.', 'Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26059', 'Data is too large for column string', 'The direct path API encountered a column that can not be loaded because the input data is too large for a column.', 'Make the target column larger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26060', 'Can not convert type identifier for column string', 'The direct path API encountered a type identifier for a column that can not be loaded because a mapping can not be found for the input value.', 'Verify the input data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26061', 'Concurrent direct unloads is not allowed.', 'User attempted a direct unload when another is still in progress.', 'Complete the current direct unload before starting another.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26062', 'Can not continue from previous errors.', 'User attempted to continue a direct path load after receiving an error which indicates the load can not continue.', 'Address the original error that was returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26063', 'Can not flashback to specified SCN value - Wrap: string Base: string.', 'User specified an SCN which occurs before the last time the table definition was modified.', 'Specify a more recent SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26064', 'Invalid SCN specified - Wrap: string Base: string.', 'User specified an invalid SCN.', 'Specify a valid SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26065', 'check constraint cannot reference column, string, in direct path load', 'An enabled check constraint was found on a column stored as a lob.', 'Either disable the check constraint before loading the table data' || '<p>' || '* using the direct path mode, or use the conventional path mode' || '<p>' || '' || '<p>' || '* instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26076', 'cannot set or reset value after direct path structure is allocated', 'Client attempted to set or reset the number of rows in a direct path' || '<p>' || '* structure after it has already been allocated and initialized.' || '<p>' || '' || '<p>' || '* Attributes used is one of the following:' || '<p>' || '' || '<p>' || '* - OCI_ATTR_NUM_ROWS: to set # of rows in a direct path column array' || '<p>' || '' || '<p>' || '* - OCI_ATTR_DIRPATH_DCACHE_SIZE: to set size of a date cache' || '<p>' || '' || '<p>' || '* (default is 0)' || '<p>' || '' || '<p>' || '* - OCI_ATTR_DIRPATH_DCACHE_DISABLE: to set whether date cache will be' || '<p>' || '' || '<p>' || '* disabled on overflow (default is FALSE)', 'Set the following attributes before:' || '<p>' || '* - OCI_ATTR_NUM_ROWS: before calling OCIHandleAlloc for column array' || '<p>' || '' || '<p>' || '* - OCI_ATTR_DIRPATH_DCACHE_SIZE: before calling OCIDirPathPrepare' || '<p>' || '' || '<p>' || '* - OCI_ATTR_DIRPATH_DCACHE_DISABLE: before calling OCIDirPathPrepare', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28371', 'ENCRYPTION clause and/or ENCRYPT storage option not allowed', 'You attempted to specify the ENCRYPTION clause or ENCRYPT storage option for creating TEMP or UNDO tablespaces.', 'Remove these options and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28372', 'missing ENCRYPT storage option for encrypted tablespace', 'You attempted to specify ENCRYPTION property for CREATE TABLESPACE without specifying ENCRYPT storage option to encrypt the tablepsace.', 'Add ENCRYPT storage option and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28373', 'missing ENCRYPTION clause for encrypted tablespace', 'You attempted to specify storage option ENCRYPT in CREATE TABLESPACE without specifying ENCRYPTION property to encrypt the tablepsace.', 'Add ENCRYPTION clause and retry the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28374', 'typed master key not found in wallet', 'You attempted to access encrypted tablespace or redo logs with a typed master key not existing in the wallet.', 'Copy the correct Oracle Wallet from the instance where the tablespace was created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28375', 'cannot perform cross-endianism conversion on encrypted tablespace', 'You attempted to perform cross-endianism conversion on encrypted tablespace.', 'Cross-endianism conversion on encrypted tablespace is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28376', 'cannot find PKCS11 library', 'The HSM vendor''s library cannot be found.', 'Place the HSM vendor''s library in the following directory structure: For Unix like system: /opt/oracle/extapi/[32,64]/hsm/{VENDOR}/{VERSION}/lib<apiname>.<ext> For Windows systems: %SYSTEM_DRIVE%\oracle\extapi\[32,64]\hsm\{VENDOR}\{VERSION}\lib<apin// ame>.<ext> [32, 64] - refers to 32bit or 64bit binary. {VENDOR} - The name of the vendor supplying the library. {VERSION} - Version of the library, perferably in num#.num#.num# for// mat.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28377', 'No need to migrate from wallet to HSM', 'There are either no encrypted columns or all column keys are already encrypted with the HSM master key.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28378', 'Wallet not open after setting the Master Key', 'The Master Key has been set or reset. However, wallet could not be reopened successfully.', 'Reopen the wallet.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28379', 'a different integrity algorithm has been chosen for the table', 'Existing encrypted columns were associated with a different algorithm.', 'No need to specify an algorithm, or specify the same one for the existing encrypted columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28380', 'database is not open in read/write mode', 'Database was not open in read/write mode and could not perform these wallet operations.', 'Open the database in read/write mode and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28500', 'connection from ORACLE to a non-Oracle system returned this message:', 'The cause is explained in the forwarded message.', 'See the non-Oracle system''s documentation of the forwarded message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28501', 'communication error on heterogeneous database link', 'An unexpected communication failure occurred on a heterogeneous database link to a non-Oracle system. The message above will be followed by a second message generated by the connected non-Oracle system.', 'See the documentation for the non-Oracle system for an explanation of the second error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28502', 'internal communication error on heterogeneous database link', 'A communication error internal to ORACLE''s heterogeneous services has occurred.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28503', 'bind value cannot be translated into SQL text for non-Oracle system', 'A SQL statement used bind variables on a Heterogenous Services database link to a non-Oracle system, but the non-Oracle system does not support bind variables.', 'Change your SQL statement so that it does not use bind variables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28504', 'ROWID not found in ROWID cache for heterogeneous database link', 'The ROWID cache for Heterogeneous Services held no entry that corresponds to the specified ROWID. The ROWID entry may have been overwritten in the ROWID cache.', 'Enlarge the Heterogeneous Services ROWID cache size by increasing the value of the Heterogenous Services initialization parameter HS_ROWID_CACHE_SIZE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28505', 'cannot get non-Oracle system capabilities from string', 'ORACLE was unable to retrieve capability information for the non-Oracle system connected through a heterogeneous database link. This capability information should be stored in data dictionary tables viewable with the HS_CLASS_CAPS or HS_INST_CAPS data dictionary views.', 'Contact the DBA to check the server data dictionary table named in the error message. If table contents are incorrect, the DBA should restore all data dictionary content for this FDS_CLASS_NAME and/or FDS_INST_NAME. It usually is sufficient to delete all current data dictionary content for this class and/or instance and initiate a new connection to let the connected agent upload new data dictionary content to the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28506', 'parse error in data dictionary translation for string stored in string', 'A reference to an ORACLE data dictionary table or view name on a heterogeneous database link to a non-Oracle system could not be translated. The ORACLE data dictionary tables shown with view HS_CLASS_DD contain invalid SQL for the data dictionary translation.', 'Contact customer support of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28507', 'error in data dictionary view string', 'The initialization parameter table for the Heterogeneous Services was not available, or its structure (number of columns or column types) was incorrect.', 'Verify correct installation of the following Heterogeneous Services'' initialization parameter views: HS_CLASS_INIT and HS_INST_INIT. If these views are not available, make sure you ran the script CATHS.SQL in the $ORACLE_HOME/rdbms/admin directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28508', 'invalid value string for Heterogeneous Services initialization parameter string', 'The specified Heterogeneous Services initialization parameter had an invalid value when attempting to connect to a non-Oracle system.', 'Check the Heterogeneous Services and agent documentation to determine acceptable values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28509', 'unable to establish a connection to non-Oracle system', 'Initialization of a database link to a non-Oracle system failed to connect to the Heterogeneous Services agent process for this non-Oracle system.', 'Check the Net8 service name definition in the following places: -- the USING clause of the CREATE DATABASE LINK statement -- the TNSNAMES.ORA file -- the Oracle Names Server The following are possible reasons for name mismatches: -- The USING clause in the CREATE DATABASE LINK statement has to match the service name defined in the TNSNAMES.ORA file or in the Oracle Names Server. -- The protocol-specific information in the service name definition must match the protocol-specific definition of the responding listener. -- The SID=<name> in the service name definition (in the TNSNAMES.ORA file or in Oracle Names Server) must match the value in the LISTENER.ORA file for the responding listener.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28510', 'heterogeneous database link initialization failed', 'Initialization of a heterogeneous database link to a non-Oracle system failed due to an error identified by the agent for this non-Oracle system.', 'Make sure the non-Oracle system is up and running and that all of the environment and initialization values for the agent are set correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25239', 'message ID not supplied when dequeuing from exception queue string.string', 'An attempt was made to dequeue from a release 8.0-compatible exception queue without including a message ID in the dequeue options.', 'Check the application to ensure that the queue name has been specified correctly. If the queue name is correct supply a message ID when dequeuing from a release 8.0-compatible exception queue. Otherwise, upgrade the queue_table containing the queue to release 8.1-compatible using the DBMS_AQADM.MIGRATE_QUEUE_TABLE procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25240', 'message ID and dequeue condition/correlation ID specified in dequeue options', 'An attempt was made to dequeue by including both a message ID and a dequeue condition/correlation ID in the dequeue options. In the dequeue options, you are permitted to specify either message ID or dequeue condition/correlation ID, or neither.', 'To dequeue a message, specify a message ID or a dequeue condition/correlation ID in the dequeue options, but do not specify both. If you want to dequeue in the queue''s sort order, then do not specify either the message ID or dequeue condition/correlation ID in the dequeue options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25241', 'cannot change correlation ID from string to string without FIRST_MESSAGE option', 'An attempt was made to change the correlation ID while using the NEXT_MESSAGE or NEXT_TRANSACTION option for dequeuing.', 'To use a correlation ID that is different from the previous dequeue call, reset the dequeuing position by using the FIRST_MESSAGE navigation option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25242', 'cannot change subscriber name from string to string without FIRST_MESSAGE option', 'An attempt was made to change the subscriber name while using the NEXT_MESSAGE or NEXT_TRANSACTION option for dequeuing.', 'To use a subscriber name that is different from the previous dequeue call, reset the dequeuing position by using the FIRST_MESSAGE navigation option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25243', 'CONSUMER_NAME cannot be specified when dequeuing from exception queue string.string', 'An attempt was made to dequeue from an exception queue by specifying the CONSUMER_NAME in the dequeue options. CONSUMER_NAME can only be specified when dequeuing from a normal queue created for multiple consumers.', 'Specify only the message id in the dequeue options to dequeue a message from an exception queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25244', 'dequeue index key not found, QUEUE string, rowid string', 'An internal error was encountered. There may be an inconsistency in the queue table index.', 'Contact your Oracle customer support representative. You may need to provide the trace file and information about reproducing the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25245', 'agent name cannot be specified if address is a single-consumer queue or an exception queue', 'The agent name for the agent in the LISTEN call was specified when the agent address was a single-consumer queue or an exception queue.', 'Do not specify the agent name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25246', 'listen failed, the address string is an 8.0 style exception queue', 'An 8.0 style exception queue was specified in the agent-list for the LISTEN call.', 'Specify a normal 8.0 style queue or an 8.1 style queue in the agent-list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25247', 'string is not a recipient of specified message', 'The consumer name specified in the dequeue options is not a recipient of the message specified by the message id.', 'Ensure that the agent specified by the consumer name is a recipient of the message specified by the message id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25248', 'duplicate agent specified in the agent list', 'An agent was specified more than once in the agent list of the LISTEN call.', 'Remove the duplicate agent specification(s), and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25249', 'dequeue failed, dequeue not allowed for queue string.string', 'An attempt was made to dequeue from a non-persistent queue.', 'Dequeue from a different queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25250', 'Cannot specify a remote recipient for the message', 'A recipient for the message enqueued to a non-persistent queue had a non-local address.', 'Do not specify the address field or specify the queue which is the target of the enqueue', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25251', 'exceeded maximum number of recipients for message', 'An attempt was made to issue an ENQUEUE call that exceeded the the maximum number (1024) of recipients per message.', 'Reduce the number of recipients to 1024 or less, and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25252', 'listen failed, the address string is a non-persistent queue', 'A non-persistent queue was specified as an address for an agent in the LISTEN call.', 'Specify a normal queue as address for the agent, and retry the the LISTEN call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25253', 'listen failed, queue string.string is not enabled for dequeue', 'An attempt was made to specify a queue that is not enabled for dequeue in a LISTEN call.', 'Enable the queue for dequeue using START_QUEUE, and retry the LISTEN call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25254', 'time-out in LISTEN while waiting for a message', 'The specified wait time has elapsed and there were no messages for any of the agents in the agent-list.', 'Try the LISTEN call with an appropriate time-out.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25255', 'incorrect subscription string string', 'An incorrect subscription string was specified with OCIRegister.', 'Specify a subscription string using the [CONSUMER:]SCHEMA.QUEUE form.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25256', 'consumer cannot be specified with a single-consumer queue or an exception queue', 'An attempt was made to specify a consumer in the subscription string when registering for notification on a single-consumer queue or an exception queue.', 'Do not specify the consumer in the subscription string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25257', 'consumer must be specified with a multi-consumer queue', 'An attempt was made to register on a multi-consumer queue without specifying a consumer in the subscription string.', 'Specify a consumer in the subscription string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25258', 'cannot register for notifications on an 8.0 style exception queue', 'An attempt was made to specify an 8.0 style exception queue in the subscription string of OCIRegister.', 'Specify a normal queue or a non-persistent queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25259', 'cannot specify protocol for agent', 'The user specified the protocol attribute for an agent in the agent list.', 'Do not specify the protocol attribute of the agent object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25261', 'JOB_QUEUE_PROCESSES must be at least 2 for AQ propagation', 'AQ Propagator encountered a setting for JOB_QUEUE_PROCESSES that is insufficient for AQ propagation.', 'Set the number of JOB_QUEUE_PROCESSES to at least 2 for AQ propagation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25262', 'agent name cannot be NULL if address is a multi-consumer queue', 'The name for the agent in the LISTEN call was not specified when the agent address was a multi-consumer queue.', 'Specify a non-NULL name for the agent.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25263', 'no message in queue string.string with message ID string', 'An attempt was made to dequeue a message with a specific message ID, but no such message exists in the queue.', 'Try dequeue again with a valid message ID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25264', 'cant get signature for this queue', 'An attempt was made to dequeue the signature from this queue, which is not reciever non-repidiable.', 'Try dequeue again without the get signature option', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27045', 'unable to close the file', 'close system call failed, additional information indicates which function encountered the error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27046', 'file size is not a multiple of logical block size', 'file size as indicated by stat is not correct, additional information indicates which function encountered the error', 'verify that the file has not been overwritten or truncated', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27047', 'unable to read the header block of file', 'read system call failed, additional information indicates which function encountered the error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27048', 'skgfifi: file header information is invalid', 'possibly trying to use a non-database file as a database file', 'verify that file is a database file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27049', 'unable to seek to and read the last block', 'an attempt was made to seek to and read the last block in file, additional information indicates which function encountered error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27050', 'function called with invalid FIB/IOV structure', 'internal error, aditional information indicates which function encountered error', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27052', 'unable to flush file data', 'fsync system call returned error, additional information indicates which function encountered the error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27053', 'blocksize in file header not a multiple of logical block size', 'the logical block size is invalid, additional information indicates the logical block size and the blocksize in the file header', 'use a different logical block size, or do not reuse file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27054', 'NFS file system where the file is created or resides is not mounted with correct options', 'The file was on an NFS partition and either reading the mount tab file failed or the partition wass not mounted with the correct mount option.', 'Make sure mount tab file has read access for Oracle user and the NFS partition where the file resides is mounted correctly. For the list of mount options to use refer to your platform specific documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27056', 'could not delete file', 'unlink system call returned error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27057', 'cannot perform async I/O to file', 'internal error, query is being asked about async vector I/O when the file does not support async I/O', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27058', 'file I/O question parameter is invalid', 'internal error, invalid query is being asked', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27059', 'could not reduce file size', 'ftruncate system call returned error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27060', 'could not set close-on-exec bit on file', 'fcntl system call returned error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27061', 'waiting for async I/Os failed', 'aiowait function returned error', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27062', 'could not find pending async I/Os', 'There should have been some async I/Os in the system but a blocking aiowait indicates that there are no more I/Os. It could be either because of an Oracle bug or the vendor OS bug or due to a NFS server not responding', 'check Oracle trace file, OS message files and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27063', 'number of bytes read/written is incorrect', 'the number of bytes read/written as returned by aiowait does not match the original number, additional information indicates both these numbers', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27064', 'cannot perform async I/O to file', 'internal error, asked to perform async I/O when IOV indicates that it cannot be performed on the file', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27065', 'cannot perform async vector I/O to file', 'internal error, asked to perform async vector I/O when it cannot be performed on the file', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27066', 'number of buffers in vector I/O exceeds maximum', 'internal error, number of buffers in vector I/O exceeds maximum allowed by the OSD, additional information indicates both these numbers', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27067', 'size of I/O buffer is invalid', 'internal error, buffer size is either 0, or greater than SSTIOMAX or not a multiple of logical block size, additional information indicates where in function the error was encountered and the buffer size', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27068', 'I/O buffer is not aligned properly', 'internal error, buffer is not aligned to SSIOALIGN boundary, additional information indicates where in function the error was encountered and the buffer pointer', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27069', 'attempt to do I/O beyond the range of the file', 'internal error, the range of blocks being read or written is outside the range of the file, additional information indicates the starting block number, number of blocks in I/O, and the last valid block in the file', 'check for trace file and contact Oracle Support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-27070', 'async read/write failed', 'aioread/aiowrite system call returned error, additional information indicates starting block number of I/O', 'check errno', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28157', 'Proxy user ''string'' forbidden to set role ''string'' for client ''string''', 'A proxy user was forbidden to use a role on behalf of a client through the command ALTER USER <client> GRANT CONNECT THROUGH <proxy> WITH ALL ROLES EXCEPT <role>', 'Execute the command ALTER USER <client> GRANT CONNECT THROUGH PROXY <proxy> to grant the needed role.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29823', 'object being analyzed is not a table', 'The object being analyzed is not a table and is not supported', 'Specify only a supported option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29824', 'operator is invalid', 'The operator is invalid.', 'Drop and recreate the operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29825', 'invalid name for indextype', 'Indextype name or Indextype schema name has invalid characters.', 'Verify that the name has valid characters and it is not a reserved word.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29826', 'keyword FOR is missing', 'FOR keyword must be provided with Create Indextype statement.', 'Use FOR keyword and provide relevant operator information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29827', 'keyword USING is missing', 'USING keyword and corresponding implementation details must be provided.', 'Provide USING keyword and relevant implementation details with Create Indextype statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29828', 'invalid name for implementation type', 'Implementation type or Implementation schema name is invalid.', 'Verify that the name has valid characters and it is not a reserved word.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29829', 'implementation type does not exist', 'The implementation type specified with USING clause could not be found.', 'Check to see if the type exists and the user has EXECUTE privilege on this type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29830', 'operator does not exist', 'The operator could not be found.', 'Verify that the operator exists and the user has EXECUTE privilege for this operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29831', 'operator binding not found', 'The specified binding for the operator is not available from the operator schema object.', 'Verify that the operator with the specified binding exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29864', 'analyzing domain indexes marked LOADING/FAILED not supported', 'Tried to analyze a domain index which was marked as LOADING or FAILED.', 'If the index was marked LOADING, wait till it is marked valid before retrying the analyze. If index was marked FAILED, drop it OR rebuild it and retry the analyze.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29865', 'indextype is invalid', 'The indextype is invalid.', 'Drop and recreate the indextype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26077', 'direct path column array is not initialized', 'Client attempted to allocate a column array for a direct path' || '<p>' || '* function context before allocating a column array for the' || '<p>' || '' || '<p>' || '* table-level direct path context.', 'Allocate the table-level direct path context''s column array' || '<p>' || '* via OCIHandleAlloc before allocating column arrays for' || '<p>' || '' || '<p>' || '* direct path function contexts.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26078', 'file "string" is not part of database being loaded', 'A parallel load file was specified which is not part' || '<p>' || '* of the database.', 'Check filename and pathname for correctness.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26079', 'file "string" is not part of table string.string', 'A parallel load file was specified which is not in the' || '<p>' || '* tablespace of the table being loaded.', 'Check to make sure that the specified parallel load file' || '<p>' || '* is in the tablespace of the table being loaded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26080', 'file "string" is not part of table string.string partition string', 'A parallel load file was specified which is not in the' || '<p>' || '* tablespace of the table (partition, subpartition) being loaded.' || '<p>' || '' || '<p>' || '* When a partitioned table is being loaded, the file must be' || '<p>' || '' || '<p>' || '* in the tablespace of every partition or subpartition' || '<p>' || '' || '<p>' || '* (i.e. each (sub)partition must be in the same tablespace).', 'Specify a different parallel load file, or no file at all.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26082', 'load of overlapping segments on table string.string is not allowed', 'Client application is attempting to do multiple direct path load' || '<p>' || '* operations on the same table, but the segments overlap.', 'Check the partition names (subname attribute of the direct path' || '<p>' || '* context) being loaded. Make sure you are not loading a table,' || '<p>' || '' || '<p>' || '* and a partition of the same table. Make sure you are not' || '<p>' || '' || '<p>' || '* loading a partition, and a sub-partition within the same' || '<p>' || '' || '<p>' || '* partition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26083', 'unsupported direct path stream version string', 'The stream version requested is not supported by the server.', 'Check to make sure that the VERSION attribute of the direct' || '<p>' || '* stream is not being set to an invalid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26084', 'direct path context already finished', 'An OCIDirPathLoadStream operation was attempted after' || '<p>' || '* OCIDirPathFinish was called. Once a direct path operaton' || '<p>' || '' || '<p>' || '* has been finished, no more data can be loaded.', 'Check program logic to make sure OCIDirPathLoadStream is' || '<p>' || '* not called after OCIDirPathFinish.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26085', 'direct path operation must start its own transaction', 'A direct path operation is being attempted within a transaction' || '<p>' || '* that has already been started.', 'Commit the transaction and Prepare the direct path operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26086', 'direct path does not support triggers', 'A direct path operation is being attempted on a table which' || '<p>' || '* has enabled triggers.', 'Disable the triggers on the table and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26088', 'scalar column "string" must be specified prior to LOB columns', 'All scalar columns (i.e. non-LOB and non-LONG columns) must be' || '<p>' || '* specified by the client of the direct path API prior to' || '<p>' || '' || '<p>' || '* specifying any LOB columns.', 'Specify all scalar columns prior to specifying any LOB columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26089', 'LONG column "string" must be specified last', 'A client of the direct path API specified a LONG column to be' || '<p>' || '* loaded, but the LONG column was not the last column to be' || '<p>' || '' || '<p>' || '* specified.', 'Specify the LONG column last.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26090', 'row is in partial state', 'A direct path operation is being finished or a data save request' || '<p>' || '* has been made, but the table for which the request is being made' || '<p>' || '' || '<p>' || '* on has a row in partial state. The row must be completed before' || '<p>' || '' || '<p>' || '* the segment high water marks can be moved.', 'Either complete the row, or abort the direct path operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26092', 'only LONG or LOB types can be partial', 'A column which is not a LONG or LOB had the' || '<p>' || '* OCI_DIRPATH_COL_PARTIAL flag associated with it.' || '<p>' || '' || '<p>' || '* Only LONG or LOB type columns can be loaded in pieces.', 'Do not use the OCI_DIRPATH_COL_PARTIAL flag for the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26093', 'input data column size (number) exceeds the maximum input size (number)', 'The user attempted to specify a column size (%d) that exceeded' || '<p>' || '* the maximum allowable input size (%d)."', 'Make sure the input column metadata matches the column definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26094', 'stream format error: input column overflow', 'An input stream contained data for more input columns' || '<p>' || '* than specified by the client of the direct path API.', 'Make sure that the stream being loaded is for the' || '<p>' || '* correct table. Check initialization sequence.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26095', 'unprocessed stream data exists', 'Either a OCIDirPathLoadStream call was made which provided' || '<p>' || '* more stream data prior to the server being able to fully' || '<p>' || '' || '<p>' || '* process the stream data that it already has, or a' || '<p>' || '' || '<p>' || '* OCIDirPathFinish call was made when the server had' || '<p>' || '' || '<p>' || '* unprocessed stream data.', 'Most likely an application mis-use of the direct path API.' || '<p>' || '* Make sure that the stream is not being reset inadvertently' || '<p>' || '' || '<p>' || '* prior to any previous stream data being processed, or, that' || '<p>' || '' || '<p>' || '* OCIDirPathFinish is not being called prematurely (i.e. stream' || '<p>' || '' || '<p>' || '* pushed, error encountered and LoadStream not called to process' || '<p>' || '' || '<p>' || '* the remainder of the stream before Finish is called.)', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26096', 'transfer size too small for row data (number bytes required)', 'Either the transfer buffer size specified, or the default' || '<p>' || '* transfer buffer size (if you did not specify a size), is' || '<p>' || '' || '<p>' || '* too small to contain a single row of the converted row data.', 'Set the transfer buffer size attribute of the direct path' || '<p>' || '* context to be larger.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26097', 'unsupported conversion for column string (from type number to type number)', 'The direct path api does not support the required conversion.', 'Make sure the types are correct. *', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26098', 'direct path context is not prepared', 'A direct path api function was called with a direct path' || '<p>' || '* context which has not been prepared.', 'Make sure all necessary attributes in the direct path' || '<p>' || '* context have been set, and the context is prepared via' || '<p>' || '' || '<p>' || '* OCIDirPathPrepare.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26099', 'direct path context is already prepared', 'OCIDirPathPrepare was called with a context that has already' || '<p>' || '* been prepared.', 'Free the direct path context, set necessary attributes, and' || '<p>' || '* call OCIDirPathPrepare.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26101', 'tablespace # in file header is string rather than string for file string', 'The tablespace number in the file header is inconsistent with that in the control file.', 'Check if the control file has been migrated correctly. Retry with the correct control file and data file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26102', 'relative file # in file header is string rather than string for file string', 'The relative file number in the file header is inconsistent with that in the control file.', 'Check if the control file has been migrated correctly. Retry with the correct control file and data file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26103', 'V6 or V7 data file used to create control file', 'The file header of the referenced file is in V6 or V7 format.', 'Either remove the file from the create control file command, or somehow migrate the file header to V8 format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26500', 'error on caching "string"."string"', 'Attempt to cache the replication information which is unavailable in the catalog for the object.', 'Use dbms_reputil.sync_up_rep to validate the replication catalog, or use dbms_reputil.make_internal_pkg to validate internal package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26501', 'RepAPI operation failure', 'An external RepAPI operation failed.', 'consult detail error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28511', 'lost RPC connection to heterogeneous remote agent using SID=string', 'A fatal error occurred in one of the following places: -- the connection between the ORACLE server and the agent -- the heterogeneous services remote agent itself -- the connection to the non-Oracle system This error occurred after communication had been established successfully.', 'Check for network problems and remote host crashes. The problem is probably in the agent software. If so, contact a customer support representative of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28512', 'cannot get data dictionary translations from string', 'ORACLE was unable to retrieve data dictionary translation information for the non-Oracle system connected through a heterogeneous database link. This data dictionary translation information should be stored in data dictionary tables viewable with the HS_CLASS_DD or HS_INST_DD data dictionary views.', 'Ask your DBA to check the server data dictionary table named in the error message. If table contents are incorrect, the DBA should restore all data dictionary content for this FDS_CLASS_NAME and/or FDS_INST_NAME. It usually is sufficient to delete all current data dictionary content for this class and/or instance and initiate a new connection to let the connected agent upload new data dictionary content to the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28513', 'internal error in heterogeneous remote agent', 'An internal error has occurred in the Oracle remote agent supporting a heterogeneous database link.', 'Make a note of how the error was produced and contact the customer support representative of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28514', 'heterogeneous database link initialization could not convert system date', 'The system date was not retrievable.', 'Verify that the ORACLE server''s host machine and operating system are operational. This error should not occur unless low level system functions are failing.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28515', 'cannot get external object definitions from string', 'ORACLE was unable to retrieve definitions of distributed external procedures or remote libraries registered for the non-Oracle system instance, probably because the underlying data dictionary table does not exist or is malformed.', 'Verify that the ORACLE server''s Heterogeneous Services data dictionary was installed correctly. If the Heterogeneous Services data dictionary is not installed, execute the CATHS.SQL script in the $ORACLE_HOME/rdbms/admin directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28518', 'data dictionary translation has illegal translation type', 'A data dictionary translation definition, either in the ORACLE server data dictionary or in data dictionary content uploaded from a Heterogeneous Services agent, specified an illegal translation type code. Legal values are ''T'' or ''t'' for ''translate'', ''M'' or ''m'' for ''mimic''. Information on the exact data dictionary translation causing the error is written to a trace (*.TRC) file for the ORACLE instance and to the ORACLE instance''s alert log. This error occurs when a Heterogeneous Services agent uploads data dictionary content to an ORACLE server on the first connection from the server to the agent.', 'Contact the customer support of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28519', 'no heterogeneous data dictionary translations available', 'The ORACLE server''s data dictionary did not define data dictionary translations for the connected non-Oracle system, and automatic self-registration (data dictionary upload) was disabled.', 'Ask a DBA to resolve this problem. The easiest solution is to enable automatic self-registration by setting the ORACLE server''s HS_AUTO_REGISTER initialization parameter to TRUE. An alternative is to load the Heterogeneous Services data dictionary with information specific for the non-Oracle system by executing a SQL script supplied by the agent vendor. If the script is run and the error persists, contact the customer support representative of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28520', 'error initializing heterogeneous data dictionary translations', 'ORACLE was unable to retrieve data dictionary translations for the non-Oracle system instance, probably because the underlying data dictionary table does not exist or is formed incorrectly.', 'Verify that the ORACLE server''s Heterogeneous Services data dictionary was installed correctly. If the Heterogeneous Services data dictionary is not installed, execute the CATHS.SQL script in the $ORACLE_HOME/rdbms/admin directory. If the connected agent, identified by FDS_CLASS_NAME, requires a custom installation script for the ORACLE server, verify that the script has been run. If both scripts were executed and the error persists, contact the customer support representative of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28521', 'no heterogeneous capability information available', 'The ORACLE server''s data dictionary did not contain capability definitions for the connected non-Oracle system, and automatic self-registration (data dictionary upload) was disabled.', 'Ask a DBA to resolve this problem. The easiest resolution is to enable automatic self-registration by setting the ORACLE server''s HS_AUTO_REGISTER initialization parameter to TRUE. An alternative is to load the Heterogeneous Services data dictionary with information specific for the non-Oracle system by executing a SQL script supplied by the agent vendor. If the script is run and the error persists, contact the customer support representative of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28522', 'error initializing heterogeneous capabilities', 'ORACLE was unable to retrieve capability definitions for the non-Oracle system instance, probably because the underlying data dictionary table does not exist or is formed incorrectly.', 'Verify that the ORACLE server''s Heterogeneous Services data dictionary was installed correctly. If the Heterogeneous Services data dictionary is not installed, execute the CATHS.SQL script in the $ORACLE_HOME/rdbms/admin directory. If the connected agent, identified by FDS_CLASS_NAME, requires a custom installation script for the ORACLE server, verify that the script has been run. If both scripts were executed and the error persists, contact the customer support representative of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28523', 'ORACLE and heterogeneous agent are incompatible versions', 'An operation on a database link attempted to connect to a non-Oracle system, but the ORACLE instance and the agent process for the non-Oracle system are incompatible.', 'Ask your DBA to confirm configuration of both the ORACLE instance and the agent. Additional information on the version incompatibility is logged in trace (*.TRC) files, the ORACLE instance and the agent, and in the ORACLE instance''s alert log. Check the documentation for your agent to find out which releases of the Oracle Server are supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28525', 'unable to create Heterogeneous Services error message text', 'Incorrect arguments were passed into the error message creation routine.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28526', 'invalid describe information returned to Heterogeneous Services', 'The Heterogeneous Services received invalid describe information for a select list, bind list, or stored procedure from the Heterogeneous Services agent. This indicates a problem with the Heterogeneous Services'' non-Oracle system agent.', 'Contact customer support of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25265', 'specified signature for a queue which does not support reciever non-repudiation', 'An attempt was made to dequeue the message from a queue which does not support reciever non-repudiation, but the signature was specified for verification', 'Try dequeue again without the signature', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25266', 'didnt try to dequeue by message id. with the signature', 'The signature was specified for a queue, but the dequeue was not done by message id.', 'Try dequeue again by message id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25267', 'didnt specify the signature for a reciever non-repudiable queue', 'The signature was not specified for a reciever non-repudiable queue', 'Try dequeue again along with the signature', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25268', 'didnt dequeue in browse mode with get signature option', 'The dequeue was not performed in browse mode with get signature option', 'Try dequeue again in browse mode', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25269', 'cant specify sognature with get signature option', 'The signature is not required for the dequeue with get signature option', 'Try dequeue again without the signature in dequeue options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25270', 'sender info does not match with the actual sender of the message', 'The sender info. and the message id. do not match', 'Try dequeue again without the signature in dequeue options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25271', 'queue table not found for the given queue', 'The queue table does not exist for the given queue', 'Provide the right queue name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25272', 'Signature does not exist for the given reciever and message id.', 'Signature does not exist for the given reciever and message id.', 'Check the message id. and the reciever''s information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25276', 'table specified is not a queue table', 'An invalid queue table name is specified.', 'Check the dictionary views to see if the table is a queue table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25277', 'cannot grant or revoke object privilege on release 8.0 compatible queues', 'An attempt was made to grant or revoke object privilege on release 8.0 style queues.', 'Convert the release 8.0 compatible queue table to release 8.1 compatible using DBMS_AQADM.MIGRATE_QUEUE_TABLE before granting or revoking object privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25278', 'grantee name cannot be NULL', 'An attempt was made to specify NULL for the grantee parameter.', 'Specify a valid grantee parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25279', 'dequeue as select not supported before 8.2', 'Dequeue as select not supported before 8.2.', 'Dont use select condition while dequeuing', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25280', 'complete sender information not provided to non-repudiate sender', 'complete sender information not provided to non-repudiate sender', 'Provide the complete sender information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25281', 'complete reciever information not provided to non-repudiate reciever', 'complete reciever information not provided to non-repudiate reciever', 'Provide the complete reciever information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25282', 'message id. not provided for non-repudiation', 'message id. was not provided', 'Provide the message id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25283', 'either agent''s name or address needed for non-repudiation', 'neither agent''s name nor address provided for non-repudiation"', 'Provide the agent info.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25284', 'Invalid value string for string', 'An Invalid value or NULL was specified for the parameter.', 'Check the documentation for valid values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25285', 'Invalid value string for array_mode', 'An Invalid value or NULL was specified for the array_mode.', 'Check the documentation for valid values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25286', 'Invalid number of elements in the message properties array', 'Number of elements in the message properties array do not match the number of elements in the payload array.', 'Create a message property array with one element (that applies for all the elements in the payload array) or create a message property array with the same number of elements as there are in the payload array.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25287', 'Invalid value string, string should be non-negative', 'An Invalid value or NULL was specified for the parameter.', 'Specify a non negative integer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25288', 'AQ HTTP propagation encountered error, status-code number, string', 'AQ propagation''s HTTP request to the propagation servlet at the specified address encountered an error', 'Specify a valid address in the connect string of the propagation destination dblink, the dblink user has the correct permissions, check if the AQ propagation servlet was properly installed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25289', 'Buffer Already Exists', 'Buffer already exists for the specified queue.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25290', 'Cannot complete operation on queue string with existing messages', 'Queue already has messages. Cannot complete operation', 'Truncate the queue before adding/dropping a buffer', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25291', 'Buffer does not exist for the specified queue', 'Buffer does not exist for the specified queue', 'Operation on the buffer cannot be performed. create the buffer', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25292', 'Buffer operations are not supported on the queue', 'Buffer operations are not supported on the specified queue type', 'Buffered operations are only supported on to 8.1 style queues, which do not have transaction grouping.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25293', 'Lob attributes must be null for buffered operations', 'Enqueue of a buffered message with a non-null lob attribute was attempted', 'Set the lob attributes to null before enqueuing the buffered message', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25294', 'Cannot propagate user buffered messages to a database with version lower than 10.2', 'Propagation of user buffered messages was attempted to a database with version lower than 10.2.', 'Do not propagate buffered messages to the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25295', 'Subscriber is not allowed to dequeue buffered messages', 'Subscriber is only allowed to dequeue persistent messages', 'Drop the subscriber and re-create it, or dequeue only persistent messages for the subscriber', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25296', 'Queue Table string has a buffered queue string', 'Buffered message was enqueued by specifying delay or sequence deviation.', 'Do not specify delay of sequence deviation when enqueuing buffered messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25298', 'Only immediate visibility mode supported for buffered message enqueue or dequeue', 'A visibility of dbms_aq.ON_COMMIT was supplied with the buffered message enqueue or dequeue', 'Supply a visibility of dbms_aq.IMMEDIATE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25299', 'Invalid message delivery_mode', 'Invalid value was specified for delivery mode', 'Specify dbms_aq.BUFFERED or dbms_aq.PERSISTENT during Enqueue or dbms_aq.BUFFERED, dbms_aq.PERSISTENT or dbms_aq.PERSISTENT_OR_BUFFERED during Dequeue and Listen.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25300', 'Cannot drop buffer for queue with buffered subscribers', 'Cannot drop buffer for queue with buffered subscribers', 'Either drop buffered subscribers or forcibly drop the buffer', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25301', 'Cannot enqueue or dequeue user buffered messages to a database with version lower than 10.2', 'Enqueue or dequeue of user buffered messages was attempted to queues in a database with version lower than 10.2.', 'Do not attempt to enqueue or dequeue user buffered messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25302', 'Operation not possible for non-buffered queue string', 'Last enqd/ackd message is only supported for buffered queues', 'The operation is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25303', 'Buffered operation allowed only on the owner instance', 'Operation was not performed on the owner instance.', 'Perform operation on the owner instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25304', 'Cannot use priority order queues for capture LCRs', 'Capture LCRs can only use commit time or enqueue time ordered queues.', 'Use the appropriate type of queue for captured LCRs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29866', 'cannot create domain index on a column of index-organized table', 'Tried to create a domain index on a column of an index-organized table.', 'Do not attempt to create a domain index on columns of an index-organized table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29867', 'cannot create a domain index on a LONG column', 'The user attempted to create a domain index on a column of LONG datatype.', 'Do not create a domain index on a LONG column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29868', 'cannot issue DDL on a domain index marked as LOADING', 'Tried to issue a DROP/ALTER/TRUNCATE on a domain index in a LOADING state.', 'Wait till the index operation completes OR issue a DROP INDEX FORCE to drop the index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29869', 'cannot issue ALTER without REBUILD on a domain index marked FAILED', 'Tried to issue a DROP/ALTER on a domain index in a FAILED state.', 'Truncate the table to mark the index as valid OR do ALTER INDEX REBUILD to rebuild the index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29870', 'specified options are only valid for altering a domain index', 'Specified the ONLINE or PARAMETERS clause with a non-domain index.', 'Reissue the statement with the correct syntax for alter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29871', 'invalid alter option for a domain index', 'The user specified an invalid option for altering a domain index.', 'Reissue the alter statement with a valid option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29872', 'parameters clause cannot be combined with the specified options', 'The user combined PARAMETERS clause with other alter index options.', 'Reissue the statement with the correct syntax for alter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29873', 'warning in the execution of ODCIINDEXDROP routine', 'A waring was returned from the ODCIIndexDrop routine.', 'Check to see if the routine has been coded correctly Check the user defined warning log tables for greater details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29874', 'warning in the execution of ODCIINDEXALTER routine', 'A waring was returned from the ODCIIndexAlter routine.', 'Check to see if the routine has been coded correctly Check the user defined warning log tables for greater details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29875', 'failed in the execution of the ODCIINDEXINSERT routine', 'Failed to successfully execute the ODCIIndexInsert routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29876', 'failed in the execution of the ODCIINDEXDELETE routine', 'Failed to successfully execute the ODCIIndexDelete routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29877', 'failed in the execution of the ODCIINDEXUPDATE routine', 'Failed to successfully execute the ODCIIndexUpdate routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29878', 'warning in the execution of ODCIINDEXTRUNCATE routine', 'A warning was returned from the ODCIIndexTruncate routine.', 'Check to see if the routine has been coded correctly Check the user defined warning log tables for greater details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29879', 'cannot create multiple domain indexes on a column list using same indextype', 'An attempt was made to define multiple domain indexes on the same column list using identical indextypes.', 'Check to see if a different indextype can be used or if the index can be defined on another column list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29880', 'such column list already indexed using another domain index and indextype', 'An attempt was made to create multiple domain indexes on a column list using indextypes which do not have disjoint operators.', 'Check to see if the operator sets for the indextypes can be made disjoint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29881', 'failed to validate indextype', 'Indextype cannot be compiled.', 'Try to compile the indextype which is referenced by the domain index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29882', 'insufficient privileges to execute indextype', 'User does not have privileges to execute the indextype.', 'The owner of the indextype must grant appropriate privileges to the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29883', 'cannot create a domain index on column expressions', 'User specified an expression in the column list.', 'Specify only simple columns in the column list for domain index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29884', 'domain index is defined on the column to be dropped', 'An ALTER TABLE DROP COLUMN was issued on a column on which a domain index exists.', 'Drop the domain index before attempting to drop the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29885', 'domain index is defined on the column to be modified', 'An ALTER TABLE MODIFY COLUMN was issued on a column on which a domain index exists.', 'Drop the domain index before attempting to modify the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29886', 'feature not supported for domain indexes', 'Feature is not supported for domain indexes.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29887', 'cannot support row movement if domain index defined on table', 'An ALTER TABLE ENABLE ROW MOVEMENT was issued on a table which has a domain index defined on it.', 'Drop the domain index if you want to enable row movement and then reissue the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29888', 'cannot create domain index on a table with row movement enabled', 'A create domain index statement was issued on a table that has row movement enabled.', 'Disable the row movement in the table and then reissue the create domain index statement. NLS_DO_NOT_TRANSLATE[29889,29889]', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29890', 'specified primary operator does not have an index context', 'The primary operator does not have an index and scan contexts.', 'Create the primary operator with a context clause. NLS_DO_NOT_TRANSLATE[29891,29891]', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29892', 'indextypes with array DML do not support the given data type', 'The user specified a REF or a LONG datatype which is not supported in CREATE/ALTER INDEXTYPE WITH ARRAY DML (DATA_TYPE, VARRAY_TYPE).', 'Reissue the CREATE/ALTER INDEXTYPE statement without the REF or LONG datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29893', 'indextypes without column data do not need the given data type', 'WITH ARRAY DML (DATA_TYPE, VARRAY_TYPE) option and WITHOUT COLUMN DATA option conflicted in an alter indextype statement', 'Reissue the ALTER INDEXTYPE statement without the conflict.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29894', 'base or varray datatype does not exist', 'One of the base and varray datatypes specified in WITH ARRAY DML (DATA_TYPE, VARRAY_TYPE) clause could not be found.', 'Check to see if the datatype exists and the user has EXECUTE privilege on this datatype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29895', 'duplicate base datatype specified', 'User attempted to add a base datatype to an indextype with ARRAY DML which is already supported by the indextype', 'Remove the duplicate base datatype and retry the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29896', 'Length of PARAMETER string longer than string characters', 'An attempt was made to specify a parameter value that is longer than the allowed maximum.', 'Reduce the parameter value length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29900', 'operator binding does not exist', 'There is no binding for the current usage of the operator.', 'Change the operator arguments to match any of the existing bindings or add a new binding to the operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29901', 'function underlying operator binding does not exist', 'The function underlying the operator binding does not exist.', 'Ensure that the function corresponding to the operator invocation exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29902', 'error in executing ODCIIndexStart() routine', 'The execution of ODCIIndexStart routine caused an error.', 'Examine the error messages produced by the indextype code and take appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29903', 'error in executing ODCIIndexFetch() routine', 'The execution of ODCIIndexFetch routine caused an error.', 'Examine the error messages produced by the indextype code and take appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26502', 'error resignal', 'An internal service failed and signalled an error"', 'consult detail error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26503', 'internal RepAPI operation failure on object string.string', 'An unexpected internal RepAPI failure was detected', 'Contact Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26504', 'operation not implemented', 'The caller requested a RepAPI operation that was not implemented', 'Do not issue this call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26505', 'unexpected internal null', 'An internal buffer control structure was NULL', 'Verify that sufficient memory resources are available to RepAPI.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26506', 'null global context', 'An internal buffer control structure was NULL', 'Verify that sufficient memory resources are available to RepAPI.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26507', 'null master connection', 'The master connection handle was or became invalid.', 'Verify that the master connection is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26508', 'null materialized view connection', 'The client connection handle was or became invalid.', 'Verify that the client connection is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26509', 'null materialized view control structure', 'An internal materialized view control structure could not be obtained.', 'Check that the owner and users provided are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26530', 'unable to build materialized view refresh control list', 'The materialized view control list could not be constructed. This is generally the result of an error while accessing the local materialized view catalog.', 'Verify that the named materialized view(s) are properly defined and valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26532', 'replication parallel push simulated site failure', 'A parallel push executed with event 26531 enabled raises this error to simulation failure of network or destination site.', 'Do not enable the event for normal operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26674', 'Column mismatch in ''string.string'' (LCR: string type=string; DB: string type=string)', 'The columns in the LCR were not the same or not found in the database table.', 'Alter the database table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26736', 'Data Pump error', 'A Data Pump error occurred when the procedure performed a File Group Repository operation.', 'Check the error stack and trace file for error details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26737', 'version string already has an export dump file', 'A Data Pump dump file was added to a file group version that already has a dump file.', 'Remove the existing dump file if appropriate, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26738', 'string ''string'' is not empty', 'The FILE GROUP or FILE GROUP VERSION being dropped contained objects.', 'Remove the child objects, then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26740', 'cannot downgrade because there are file groups', 'An attempt was made to downgrade a database that has file groups.', 'Drop all file groups before attempting the downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26741', 'cannot assemble lobs', 'An attempt was made to assemble lobs, but the compatibility of the source database for the LOB information is lower than 10.2.0.', 'Set ASSEMBLE_LOBS to FALSE in the DML or error handler while this handler is processing LOB information from a source database with a compatibility level lower than 10.2.0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26742', 'Maximum number of ignored transactions exceeded', 'An attempt was made to add more than the allowed number of ignored transactions.', 'Please clear the current list of ignored transactions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26744', 'STREAMS capture process "string" does not support "string"."string" because of the following reason: string', 'STREAMS capture encountered a table with an unsupported property. The most common reason is an unsupported column data type.', 'Revise the Capture rules to skip over the table in question. One way might be to add a negative rule excluding changes from the unsupported table from being captured. Also query the DBA_STREAMS_UNSUPPORTED view to determine which tables are not supported by STREAMS and for what reason. Consider adding negative rules for any tables that may be captured, but are present in this view. For potential workarounds to certain unsupported properties, see Metalink.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26753', 'Mismatched columns found in ''string.string''', 'The columns in the LCR were not the same as the table in the database.', 'Alter the database table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26754', 'cannot specify both one-to-one transformation function string and one-to-many transformation function string', 'Both a one-to-one transformation function and a one-to-many transformation function were specified for a rule.', 'Remove either the one-to-one transformation function, or the one-to-many transformation function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26760', 'Could not find message number string for transaction with id string', 'Error', 'Contact Oracle support"', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26761', 'Standby Redo Logs not available for real time mining', 'Standby Redo Logs required for real time mining by downstream capture process were not available.', 'Check the configuration of Standby Redo Logs and retry the operation at a later time. To start the capture process without real time mining property, reset DOWNSTREAM_REAL_TIME_MINE parameter of the capture process and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26762', 'Cannot autogenerate name for parameter string because of the following reason: string', 'An error was encountered while attempting to generate a name for a parameter which was passed a NULL value.', 'If possible, fix the error, otherwise specify the parameter name explicitly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26763', 'invalid file type "string"', 'An invalid file type was specified for the ASM file.', 'Check documentation for valid ASM file types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-26764', 'invalid parameter "string" for local capture "string"', 'An invalid parameter was specified for the local capture process.', 'Check documentation for valid parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30001', 'trim set should have only one character', 'Trim set contains more or less than 1 character. This is not allowed in TRIM function.', 'Change trim set to have only 1 character.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30002', 'SYS_CONNECT_BY_PATH function is not allowed here', 'SYS_CONNECT_BY_PATH function is called at places other than select list.', 'Remove calls to SYS_CONNECT_BY_PATH function at places other than select list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30005', 'missing or invalid WAIT interval', 'A non-zero integer must be specified for wait interval (in seconds) after the WAIT keyword.', 'Correct the syntax and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30006', 'resource busy; acquire with WAIT timeout expired', 'The requested resource is busy.', 'Retry the operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30007', 'CONNECT BY ROOT operator is not supported in the START WITH or in the CONNECT BY condition', 'An attempt was made to use CONNECT BY ROOT operator in the START WITH or in the CONNECT BY condition.', 'Remove CONNECT BY ROOT operator from the START WITH or from the CONNECT BY condition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30008', 'CONNECT BY clause must reference a PRIOR', 'A CONNECT BY clause did not include a predicate referencing a PRIOR so there was no condition connecting a parent row to its child row.', 'Add a reference to a PRIOR in the CONNECT BY clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30009', 'Not enough memory for CONNECT BY operation', 'The memory size was not sufficient to process all the levels of the hierarchy specified by the CONNECT BY clause.', 'In WORKAREA_SIZE_POLICY=AUTO mode, set PGA_AGGREGATE_TARGET to a reasonably larger value. Or, in WORKAREA_SIZE_POLICY=MANUAL mode, set SORT_AREA_SIZE to a reasonably larger value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30011', 'Error simulated: psite=string, ptype=string', 'error generated for testing purposes.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28527', 'Heterogeneous Services datatype mapping error', 'Either an Oracle datatype could not be mapped to a non-Oracle datatype, or a non-Oracle datatype could not be mapped to an Oracle datatype. These mappings are defined as capability definitions in the ORACLE server''s data dictionary.', 'Verify that the ORACLE server''s data dictionary has been initialized with correct capability definitions for the connected FDS_CLASS_NAME and FDS_INST_NAME. If table contents are incorrect, a DBA should restore all data dictionary content for this FDS_CLASS_NAME and/or FDS_INST_NAME. It usually is sufficient to delete all current data dictionary content for this class and/or instance and initiate a new connection to let the connected agent upload new data dictionary content to the server. If the error persists contact the customer support representative of the agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28528', 'Heterogeneous Services datatype conversion error', 'Either an Oracle datatype could not be converted to a non-Oracle datatype, or a non-Oracle datatype could not be converted to an Oracle datatype. The following are possible reasons for for the conversion failure: -- overflow problems (in the case of numbers) -- length limitations (in the case of character strings) -- invalid values passed into the conversion routines', 'Contact customer support of the agent vendor. If the problem is due to size discrepancies between Oracle and the non-Oracle system, it may not be possible to convert the value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28529', 'invalid or missing parameter in Net8 service name definition', 'There was an invalid or missing Heterogeneous Services parameter in the Net8 service name definition stored in either the TNSNAMES.ORA file or in the Oracle Names Server.', 'Ask your DBA to make sure the information in the Net8 service definition is correct and complete. The correct information that should be included in the Net8 service definition can be found in the agent''s documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28530', 'Heterogeneous Services initialization error in NLS language ID', 'Heterogeneous Services was unable to initialize an NLS language ID. Both the ORACLE server and the Heterogeneous Services agent for the connected non-Oracle system must have language IDs.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28533', 'Heterogeneous Services coercion handling error', 'The Heterogeneous Services encountered an error in coercion handling. The HS can, if the agent vendor so chooses, perform extra processing on SQL statements that contain implicit coercions or that contain coercion functions such as TO_CHAR, TO_NUMBER or TO_DATE. This functionality is controlled by coercion-related capabilities. HS logic reports this error when it encounters an error in one of these capability definitions.', 'The capability table settings are controlled by the agent vendor and can be modified by the DBA. Contact your DBA and agent vendor and get the correct set of capabilities installed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28534', 'Heterogeneous Services preprocessing error', 'One of the things that the Heterogeneous Services can do is to preprocess parts of SQL statements that contain implicit coercions or calls to explicit coercion functions like TO_CHAR TO_NUMBER or TO_DATE. For example, it could convert a call to TO_DATE to a bind variable, pre-evaluate the TO_DATE function call and pass the resulting value to the non-Oracle system as the bind value. This behavior is controlled by some coercion related capabilities. If the capabilities are set incorrectly, the HS could encounter errors when it attempts to do the preprocessing. If it does then this error will be signaled.', 'The capability table settings are controlled by the agent vendor and can be modified by the DBA. Contact your DBA and agent vendor and get the correct set of capabilities installed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28535', 'invalid Heterogeneous Services context', 'A Heterogeneous Services agent''s driver module called an HS service routine with an invalid HS context value. This probably is a logic error in the driver.', 'Contact Oracle customer support or your agent vendor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28536', 'error in processing Heterogeneous Services initialization parameters', 'An error described by a subsequent error message prevented successful processing of Heterogeneous Services initialization parameters from the ORACLE server data dictionary.', 'Check server data dictionary views HS_CLASS_INIT, HS_INST_INIT, and HS_ALL_INITS. Look for conditions which could produce the error identified in the error message immediately following this one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28537', 'no more result sets', 'This error code was used internally within Oracle Database Gateway and Heterogeneous Services code and should not be reported to a client program.', 'Contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28538', 'result set not found', 'The client program tried fetching from a result set that is not open anymore. Many gateways will, on execution of a stored procedure, automatically close all result sets that were returned by any previously executed stored procedure.', 'Check the documentation for the gateway that you are using and see if it will automatically close currently open result sets each time a stored procedure is executed. Then check if your client program is doing anything that violates this rule. If it is, fix your program. If it is not then contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28539', 'gateway does not support result sets', 'The client program tried executing a stored procedure that returns one or more result sets through a gateway that does not have result set support.', 'Check the documentation for the gateway that you are using and see if it supports result sets returned from stored procedures. If it does not, then the only way of accessing such stored procedures is to upgrade to a version of the gateway that does support result sets (if such a version exists). If the gateway does have result set support and you are still seeing this error then contact Oracle customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28669', 'bitmap index can not be created on an IOT with no mapping table', 'User attempted to create a bitmap index on an index-organized table without a mapping table.', 'Enable bitmap indexes on the Index-organized table by creating a mapping table using ''ALTER TABLE .. MOVE MAPPING TABLE''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28670', 'mapping table cannot be dropped due to an existing bitmap index', 'User attempted to drop the mapping table with NOMAPPING option when the IOT has one or more bitmap indexed.', 'Drop the bitmap index(es) before dropping the mapping table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28671', 'UPDATE BLOCK REFERENCES may not be used on a partitioned index as a whole', 'User attempted to UPDATE BLOCK REFERENCES on a partitioned index using ALTER INDEX UPDATE BLOCK REFERENCES statement, which is illegal.', 'Issue a partition level operation with ALTER INDEX .. PARTITION .. UPDATE BLOCK REFERENCES', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28672', 'UPDATE BLOCK REFERENCES may not be used on a global index', 'User attempted to UPDATE BLOCK REFERENCES on a global partitioned or non-partitioned index. This feature is not supported for non-partitioned or global partitioned index on a partitioned IOT and a global partitioned index on a non-partitioned IOT.', 'Use online index [partition] rebuild to fix the block references', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25305', 'enqueue failed, expiration must be zero for queue string.string', 'An attempt was made to enqueue to a buffered queue with expiration greater than zero seconds.', 'Set expiration to zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25306', 'Cannot connect to buffered queue''s owner instance', 'cannot connect to the owner instance of the buffered queue', 'set listener information in REMOTE_LISTENERS or LOCAL_LISTENERS initialization parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25307', 'Enqueue rate too high, flow control enabled', 'Subscribers could not keep pace with the enqueue rate.', 'Try enqueue after waiting for some time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25310', 'Subscriber is Notification only; dequeue not supported', 'Notification only subscribers are not allowed to dequeue.', 'Recreate subscriber if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25311', 'string not supported for non-persistent queue', 'Specified QOS is not supported for non-persistent queues.', 'Specify the right QOS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25312', 'Cannot specify nonzero sender protocol', 'Sender protocol was specified during an enqueue operation.', 'Specify the enqueue sender protocol as null or zero.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25313', 'a queue may not subscribe to itself for propagation', 'The specified subscriber had a NULL name and an address equal to the queue name.', 'Provide a valid subscriber and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25314', 'a commit-time queue table cannot be migrated to 8.0', 'An attempt was made to migrate a commit-time queue table to an unsupported compatibility level.', 'Provide an appropriate compatibility level, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25315', 'unsupported configuration for propagation of buffered messages', 'An attempt was made to propagate buffered messages with the database link pointing to an instance in the destination database which is not the owner instance of the destination queue.', 'Use queue to queue propagation for buffered messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25316', 'Late in the current transaction to begin an Enqueue/Dequeue operation', 'Check if the Enqueue/Dequeue operation is performed via triggers on Materialized Views which isn''t supported.', 'Triggers on materialized views aren''t supported. Workarounds are on-demand materialized views or execution of trigger code within an autonomous txn.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25317', 'Propagation stopped because of instance shutdown', 'A propagation job has stopped because the instance is shutting down.', 'No user action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25318', 'Propagation stopped because of instance affinity change', 'A propagation job has stopped because its instance affinity has changed.', 'No user action is required. The job will restart on the appropriate instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25321', 'enqueue failed, user property specified but queue string.string is not an 8.1 style queue', 'user properties can only be specified when enqueueing into 8.1 style queues.', 'Specify an 8.1 style queue or pass user property as NULL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25326', 'Array string operation failed for message at index string', 'Array operation fails for the message at specified index. Look at the remainder of the error stack to see what the problem was.', 'Fix cause of error and retry array operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25327', 'Array size is invalid', 'Array size must be a positive, non-zero integer.', 'Use corrected array size and retry array operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25328', 'string argument size string is smaller than array size', 'The size of the argument is smaller than the given array size.', 'Lower array size or use a larger sized input argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25329', 'AQ array operations not allowed on 8.0 queues', 'An array enqueue/dequeue was attempted on an 8.0 queue.', 'Use single enqueue/dequeue with this queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25330', 'PL/SQL associative arrays may not be used with AQ array operations', 'A PL/SQL associative array was provided for the payload parameter in an enqueue/dequeue array operation.', 'Use VARRAY or NESTED TABLE types with AQ array operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25331', 'cannot downgrade because there are commit-time queue tables', 'An attempt was made to downgrade a database that has commit-time queue tables.', 'Drop all commit-time queue tables before attempting the downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25332', 'Invalid release value string for queue table compatible parameter', 'The release level given for the queue table compatible parameter is invalid', 'Specify a valid release value for the queue table compatible parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25333', 'Buffered Queue to Queue propagation did not connect to the correct instance', 'Queue to Queue propagation for buffered messages didn''t connect to the correct instance, most likely because service was not started for the destination queue.', 'No user action is required. Propagation will start the service for the destination queue and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25334', 'Buffered propagation must restart as the destination queue was recreated/moved', 'Buffered propagation destination queue was recreated or its ownership was moved to another instance during propagation.', 'No user action is required. Propagation will reinitialize its metadata and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25335', 'AQ array operations not allowed for buffered messages', 'An array enqueue/dequeue was attempted for buffered messages', 'Use single enqueue/dequeue for buffered messages or an array size of one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25336', 'Cannot contact instance string during Streams AQ operation', 'The specified instance was not responding to AQ requests.', 'Set parameter aq_tm_processes to a non-zero value. If the problem persists, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25337', 'Cannot propagate in queue-to-queue mode to a database with version lower than 10.2', 'Remote subscriber with queue_to_queue mode set to TRUE was added. The remote subscriber is on a database version lower than 10.2. Propagation was scheduled to a destination database with version lower than 10.2.', 'Remove the remote subscriber with queue_to_queue mode and add the subscriber back with queue_to_queue set to FALSE. Unschedule the queue-to-queue propagation and schedule propagation in queue-to-dblink mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25338', 'operation ''string'' is not allowed for sync_capture ''string''', 'An attempt was made to execute the specified operation for a sync_capture process.', 'Remove the offending call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25339', 'STREAMS ''string'' must be sync_capture', 'The specified capture STREAMS did not exist or was not a sync_capture process.', 'Remove the offending call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25340', 'must use commit-time queue for sync_capture', 'An attempt was made to create a sync_capture without using a commit-time queue.', 'Rerun statement with a commit-time queue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25341', 'sync_capture does not support "string"."string" because of the following reason:', 'sync_capture encountered a table with an unsupported property. The most common reason is an unsupported column data type.', 'Revise the Capture rules to skip over the table in question. One option is to remove the rule that captures changes from the unsupported table. Check DBA_STREAMS_TABLE_RULES to determine the rule on the table specified in the error. Also query the DBA_STREAMS_UNSUPPORTED view to determine which tables are not supported by STREAMS and for what reason. For potential workarounds to certain unsupported properties, see Metalink.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25342', 'cannot downgrade because there are apply processes for user buffered messages', 'An attempt was made to downgrade a database that has apply process for user-buffered messages.', 'Drop all the apply processes for user-buffered messages before attempting the downgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29904', 'error in executing ODCIIndexClose() routine', 'The execution of ODCIIndexClose routine caused an error.', 'Examine the error messages produced by the indextype code and take appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29905', 'method string does not exist in type string.string', 'A required method with the required signature does not exist in the specified type.', 'Add the required method to the type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29906', 'indextype string.string does not exist', 'The indextype does not exist.', 'Create the indextype.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29907', 'found duplicate labels in primary invocations', 'There are multiple primary invocations of operators with the same number as the label.', 'Use distinct labels in primary invocations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29908', 'missing primary invocation for ancillary operator', 'The primary invocation corresponding to an ancillary operator is missing.', 'Add the primary invocation with the same label as the ancillary operator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29909', 'label for the ancillary operator is not a literal number', 'The label used for invoking the ancillary operator is not a literal number.', 'Use a literal number as the label.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29910', 'invalid callback operation', 'Encountered an invalid callback operation.', 'Ensure that all the callbacks executed from callouts are valid in the statement context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29911', 'null scan context returned by ODCIIndexStart() routine', 'The ODCIIndexStart() routine returned a null scan context', 'Ensure that the ODCIIndexStart() routine returns a non-null scan context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29913', 'error in executing string callout', 'The execution of the specified callout caused an error.', 'Examine the error messages take appropriate action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29914', 'ODCIGETINTERFACES routine does not return required stream version', 'The ODCIObjectList returned by the ODCIGetInterfaces routine does not contain the required stream version for external tables.', 'Ensure that the ODCIGetInterfaces routine returns the required stream version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29915', 'cannot select FOR UPDATE from collection operand', 'Collection operands cannot be updated', 'Remove FOR UPDATE clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29917', 'cannot lock a table which gets its rows from a collection operand', 'Tables which gets its rows from a collection operand cannot be locked', 'Don''t lock the table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29918', 'cannot create domain indexes on temporary tables', 'An attempt was made to create a domain index on a temporary table', 'Either create another type of index on the temporary table or change the table from temporary to a permanent table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29919', 'failed in the execution of the ODCIINDEXUPDPARTMETADATA routine', 'Failed to successfully execute the ODCIINDEXUPDPARTMETADATA routine.', 'Check to see if the routine has been coded correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29920', 'failed in the partition maintenance operation of secondary table', 'Failed to successfully execute the partition maintenance operation of a secondary table in system managed domain index.', 'Check to see if the partition of a secondary table exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29921', 'Ancillary operator not supported with set view query block', 'Outer view query block contains ancillary operator and view query block contains union all.', 'Define the union-all view query to contain the primary and ancillary query terms. i.e. have the operators within the view definition rather than in the query outside the view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29925', 'cannot execute string', 'The specified function does not exist or does not have an appropriate signature.', 'Implement the function with the appropriate signature.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29926', 'association already defined for the object', 'The object for which the association is being defined, already has a statistics type associated with it.', 'Disassociate the object and then associate the object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29927', 'error in executing the ODCIStatsCollect / ODCIStatsDelete routine', 'The ODCIStatsCollect / ODCIStatsDelete function is causing an error.', 'Check the ODCIStatsCollect / ODCIStatsDelete function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29928', 'duplicate default selectivity specified', 'The keyword DEFAULT SELECTIVITY can only be specified once.', 'Remove the duplicate keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29929', 'missing SCAN Keyword', 'The scan context is not specified.', 'Supply the SCAN keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29930', 'COMPUTE ANCILLARY DATA specified without the INDEX CONTEXT clause', 'The COMPUTE ANCILLARY DATA option was specified without the WITH INDEX CONTEXT clause.', 'Specify the WITH INDEX CONTEXT option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29931', 'specified association does not exist', 'One or more of the object(s) that have been specified to be disassociated, do not have an association defined for them.', 'Verify the objects which have an association defined and issue the disassociate command again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29932', 'the type being dropped is a statistics type', 'Some objects have defined their statistics methods in the type being dropped.', 'First drop the relevant associations using the DISASSOCIATE command and then retry the DROP command, or use the FORCE option with DROP TYPE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29933', 'object being disassociated has some user defined statistics stored', 'There are some user defined statistics collected for the object being disassociated.', 'First delete the user defined statistics and then reissue the DISASSOCIATE command or specify the FORCE option with DISASSOCIATE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29934', 'index specified for association is not a domain index', 'The user issued an ASSOCIATE STATISTICS command with an index which is not a domain index.', 'Issue an ASSOCIATE STATISTICS WITH INDEXES command on a domain index only', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29935', 'missing FROM keyword', 'The keyword FROM is missing.', 'Specify the FROM keyword or check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29936', 'NULL association is allowed only with a column or an index', 'User tried to use the ASSOCIATE command with a schema object other than a column or an index', 'Specify the NULL clause only with a column or an index', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29937', 'domain index cannot be system-managed', 'An ASSOCIATE STATISTICS command was issued with a domain index which is system-managed.', 'Check to see if the domain index has been implemented with system-managed storage tables. To associate statitics with a system-managed domain index, issue ASSOCIATE STATISTICS command with the indextype of this domain index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29938', 'both indextype and statistics type should be system-managed', 'Either an ASSOCIATE STATISTICS WITH SYSTEM MANAGED STORAGE TABLES command was issued with an indextype which is not system-managed, or an ASSOCIATE STATISTICS command was issued with an indextype which is system-managed.', 'Check to see if both indextype and statistics type are implemented with system-managed storage tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29939', 'could not implicitly transform user-managed domain index to system-managed domain index', 'Implicit validation of a user-managed domain index with a system-managed indextype failed.', 'Issue an ALTER INDEX COMPILE command on the domain index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29950', 'warning in the execution of ODCIINDEXMERGEPARTITION routine', 'A warning was returned from the ODCIIndexMergePartition routine.', 'Check to see if the routine has been coded correctly Check user specified log tables for greater detail.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29951', 'warning in the execution of ODCIINDEXSPLITPARTITION routine', 'A warning was returned from the ODCIIndexSplitPartition routine.', 'Check to see if the routine has been coded correctly Check user specified log tables for greater detail.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30012', 'undo tablespace ''string'' does not exist or of wrong type', 'the specified undo tablespace does not exist or of the wrong type.', 'Correct the tablespace name and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30013', 'undo tablespace ''string'' is currently in use', 'the specified undo tablespace is currently used by another instance.', 'Wait for the undo tablespace to become available or change to another name and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30014', 'operation only supported in Automatic Undo Management mode', 'the operation is only supported in automatic undo mode.', 'restart instance in Automatic Undo Management mode before retrying operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30015', 'previously offlined undo tablespace ''string'' is still pending', 'the current operation is not allowed because an undo tablespace containing active transactions is pending from a previous SWITCH UNDO operation. The operation will be allowed again after all transactions in the previous undo tablespace are committed.', 'Wait for all previous transactions to commit before reissuing the current statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30016', 'undo tablespace ''string'' is already in use by this instance', 'the specified undo tablespace is currently used by this instance. The operation failed.', 'If the specified undo tablespace name is wrong, reissue the statement with the correct name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30017', 'segment ''string'' is not supported in string Undo Management mode', 'the type of the specified undo segment is incompatible with the current undo management mode of the instance.', 'Check the undo segment name and the undo management mode and reissue statement if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30018', 'Create Rollback Segment failed, USN string is out of range', 'the system runs out of undo segment number. Too many undo segments exist.', 'drop some of the unused undo segments and retry operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30019', 'Illegal rollback Segment operation in Automatic Undo mode', 'This operation only allowed in Manual Undo mode.', 'restart instance in Manual Undo_Management mode and retry operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30021', 'Operation not allowed on undo tablespace', 'This operation is not allowed on undo tablespaces', 'Check the tablespace name and reissue command if necessary', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30022', 'Cannot create segments in undo tablespace', 'Cannot create segments in undo tablespace', 'Check the tablespace name and reissue command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30023', 'Duplicate undo tablespace specification', 'Cannot create more than one undo tablespace during database creation', 'Modify the command to contain only one undo tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30024', 'Invalid specification for CREATE UNDO TABLESPACE', 'You have specified an clause that should not used with CREATE UNDO TABLESPACE', 'Drop the clause from the command and reissue it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30025', 'DROP segment ''string'' (in undo tablespace) not allowed', 'Explicit DROP operation is not allowed on undo tablespace segments', 'Check the undo segment name and reissue statement if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30026', 'Undo tablespace ''string'' has unexpired undo with string(sec) left, Undo_Retention=string(sec)', 'Tried to drop a tablespace that contains unexpired undo information', 'lower setting of UNDO_RETENTION or wait a while before reissue command to drop undo tablespace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30027', 'Undo quota violation - failed to get string (bytes)', 'the amount of undo assigned to the consumer group of this session has been exceeded.', 'ask DBA to increase undo quota, or wait until other transactions to commit before proceeding.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30029', 'no active undo tablespace assigned to instance', 'the current instance does not have an active undo tablespace assigned to execute transactions.', 'ask DBA to create an undo tablespace, online the undo tablespace and then retry operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30031', 'the suspended (resumable) statement has been aborted', 'DBA or the user aborted the execution of the suspended statement in the resumable session', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30032', 'the suspended (resumable) statement has timed out', 'A correctible error was signaled in the resumable session and the error was not cleared within the timeout interval.', 'Fix the correctible error within the timeout. Default is 2 hours. Or increase the (resumable) timeout.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30033', 'Undo tablespace cannot be specified as default user tablespace', 'It is incorrect to specify undo tablespace as default user tablespace', 'Check the tablespace name and reissue the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30034', 'Undo tablespace cannot be specified as temporary tablespace', 'Undo tablespace cannot be specified as default temporary tablespace for the user', 'Check the tablespace name and reissue the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30035', 'Undo tablespace cannot be specified as default temporary tablespace', 'Undo tablespace cannot be specified as default temporary tablespace for the database', 'Check the tablespace name and reissue the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30036', 'unable to extend segment by string in undo tablespace ''string''', 'the specified undo tablespace has no more space available.', 'Add more space to the undo tablespace before retrying the operation. An alternative is to wait until active transactions to commit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30037', 'Cannot perform parallel DML after a prior DML on the object', 'Attempt to perform parallel DML after another DML on the same object in the same transaction.', 'Use bitmap segments to perform multiple (parallel) DML operations on the same object. Or commit before issueing the DML', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30038', 'Cannot perform parallel insert on non-partitioned object', 'Attempt to perform parallel insert on a non-partitioned object after a previous DML on the object in the same transaction.', 'Commit before issueing the insert.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30039', 'Cannot drop the undo tablespace', 'Cannot drop an undo tablespace that is in use', 'Switch to a different undo tablespace and then try to drop', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30040', 'Undo tablespace is offline', 'Cannot operate on an offlined undo tablespace', 'Online the undo tablespace and redo the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30041', 'Cannot grant quota on the tablespace', 'User tried to grant quota on an undo or temporary tablespace', 'Check the tablespace name and reissue the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30042', 'Cannot offline the undo tablespace', 'Cannot offline an undo tablespace that is in use', 'Switch to a different undo tablespace and then try to offline', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30043', 'Invalid value ''string'' specified for parameter ''Undo_Management''', 'the specified undo management mode is invalid', 'Correct the parameter value in the initialization file and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30044', '''Retention'' can only specified for undo tablespace', 'An attempt was made to specify retention for a non-undo tablespace.', 'Modify the CREATE TABLESPACE statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30045', 'No undo tablespace name specified', 'If Create Database has the datafile clause, then undo tablespace name has to be specified, unless using OMF.', 'Specify the undo tablespace name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30046', 'Undo tablespace string not found in control file.', 'The specified undo tablespace is not present in the control file.', 'Modify the CREATE CONTROLFILE statement that created the current control file to include undo tablespace(s) and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30051', 'VERSIONS clause not allowed here', 'A VERSIONS clause was specified when it was not allowed.', 'Do not use the VERSIONS clause', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-30052', 'invalid lower limit snapshot expression', 'The lower limit snapshot expression was below the UNDO_RETENTION limit.', 'Specify a valid lower limit snapshot expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28673', 'Merge operation not allowed on an index-organized table', 'User attempted merge operation on an index-organized table. Merge is not supported on a IOT .', 'Use updates and inserts on index-organized table .', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-28674', 'cannot reference transient index-organized table', 'An attempt was made to directly access a transient table created created on behalf of a index-organized table partition maintenance operation.', 'Issue the statement against the associated permanent index-organized table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29250', 'Invalid index specifed in call to dbms_sql.bind_array', 'An invalid index was specified in a call to bind_array of dbms_sql. The index may have been null or of an improper value.', 'Correct the index value by modifying your PL/SQL program and try the bind_array call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29251', 'Index1 is greater than Index2 in call to dbms_sql.bind_array', 'The value of index1 was greater than the value for index2 in the call to bind_array. This is illegal since the elements of the table that will be bound are those with indexes greater than or equal to index1 and less than or equal to index2.', 'Correct the value of the two indexes and try the call to again bind_array.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29252', 'collection does not contain elements at index locations in call to dbms_sql.bind_array', 'The bound table does not contain elements at both index locations in call to bind_array of dbms_sql. This is illegal. Both index locations must contain elements. In other words tab.exists(index1) and tab.exists(index2) must both return true.', 'Either modify the two indexes or the contents of the table and try the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29253', 'Invalid count argument passed to procedure dbms_sql.define_array', 'The count argument specified in the call to procedure define_array of package dbms_sql had an invalid value. Invalid values are negative numbers and nulls. The argument must be a positive integer.', 'Correct your PL/SQL program so that only valid arguments are passed to define_array and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29254', 'Invalid lower_bound argument passed to procedure dbms_sql.define_array', 'The lower_bound argument specified in the call to procedure define_array had an invalid value. Legal values are all integers (both positive and negative) including zero. The null value is illegal.', 'Correct your PL/SQL program so that only valid arguments are passed to define_array and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29255', 'Cursor contains both bind and define arrays which is not permissible', 'Both define_array and bind_array have been called on this cursor. This is illegal. It is not possible for a cursor to both contain array binds and array defines. The semantics of this setting are nonsensical. Array defines are used to move data from select queries into PL/SQL tables and array binds to bind PL/SQL tables to non-select queries.', 'Modify your PL/SQL program to only perform calls to one of the two functions depending on the kind of cursor at hand.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29256', 'Cursor contains both regular and array defines which is illegal', 'Both define_array and define_column have been called on this cursor. This is illegal. It is not possible for a cursor to both contain regular and array defines. The semantics of this setting are nonsensical. Array defines are used to move data from select queries into PL/SQL tables and regular defines to move data from select queries into PL/SQL variables.', 'Modify your PL/SQL program to only perform calls to one of the two functions depending on the situation at hand.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29257', 'host string unknown', 'The specified host was unknown.', 'Check the spelling of the host name or the IP address. Make sure that the host name or the IP address is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29258', 'buffer too small', 'The input or output buffer was too small for the operation.', 'Increase the size of the buffer and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29259', 'end-of-input reached', 'The end of the input was reached.', 'If the end of the input is reached prematurely, check if the input source terminates prematurely. Otherwise, close the connection to the input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29260', 'network error: string', 'A network error occurred.', 'Fix the network error and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29261', 'bad argument', 'A bad argument was passed to the PL/SQL API.', 'Check the arguments passed to the PL/SQL API and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29262', 'bad URL', 'An improperly formed URL was passed to the PL/SQL API.', 'Check the URL and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29263', 'HTTP protocol error', 'A HTTP protocol error occured during the HTTP operation.', 'Check the HTTP server that the HTTP operation was performed to make sure that it follows the HTTP protocol standard.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29264', 'unknown or unsupported URL scheme', 'The URL scheme was unknown or unsupported.', 'Check the URL to make sure that the scheme is valid and supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29265', 'HTTP header not found', 'The requested HTTP header was not found.', 'Check to make sure that the requested HTTP header is present.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29266', 'end-of-body reached', 'The end of the HTTP response body was reached.', 'If the end of the HTTP response is reached prematurely, check if the HTTP response terminates prematurely. Otherwise, end the HTTP response.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29267', 'illegal call', 'The call to the PL/SQL API was illegal at the current stage of the operation.', 'Retry the call at a different stage of the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29274', 'fixed-width multibyte character set not allowed for a URL', 'The character set used as an encoding of the URL is a fixed-width multibyte character set and is not allowed for a URL.', 'Use the corresponding variable-width multibyte character set for the URL instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29275', 'partial multibyte character', 'The requested read operation could not complete because a partial multibyte character was found at the end of the input.', 'Ensure that the complete multibyte character is sent from the remote server and retry the operation. Or read the partial multibyte character as RAW.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29276', 'transfer timeout', 'Timeout occurred while reading from or writing to a network connection.', 'Check the remote server or the network to ensure that it responds within the timeout limit. Or increase the timeout value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29277', 'invalid SMTP operation', 'The SMTP operation was invalid at the current stage of the SMTP transaction.', 'Retry the SMTP operation at the appropriate stage of the SMTP transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29278', 'SMTP transient error: string', 'A SMTP transient error occurred.', 'Correct the error and retry the SMTP operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29279', 'SMTP permanent error: string', 'A SMTP permanent error occurred.', 'Correct the error and retry the SMTP operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29280', 'invalid directory path', 'A corresponding directory object does not exist.', 'Correct the directory object parameter, or create a corresponding directory object with the CREATE DIRECTORY command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29281', 'invalid mode', 'An invalid value was specified for file open mode.', 'Correct the mode to be one of the values: ''r'',''a'', or ''w''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-29282', 'invalid file ID', 'A file ID handle was specified for which no corresponding open file exists.', 'Verify that the file ID handle is a value returned from a call to UTL_FILE.FOPEN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25350', 'maximum number of concurrent transaction branches exceeded', 'the limit on the number of concurrent transaction branches has been reached', 'Increase the INIT.ORA parameter ''transactions'' and restart the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25351', 'transaction is currently in use', 'The transaction is currently used by a different session.', 'Do not switch to a transaction attached to some other session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25352', 'no current transaction', 'The user session is not attached to any transaction.', 'Do not attempt to detach when there is no current transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25353', 'branch marked for deletion', 'The branch specified cannot be killed immediately because another session is using the branch, but it has been marked for kill. This means it will be deleted as soon as possible after the current uninterruptable operation is completed.', 'No action is required for the branch to be deleted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25400', 'must replay fetch', 'A failure occured since the last fetch on this statement. Failover was able to bring the statement to its original state to allow continued fetches.', 'This is an internally used error message and should not be seen by the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25401', 'can not continue fetches', 'A failure occured since the last fetch on this statement. Failover was unable to bring the statement to its original state to allow continued fetches.', 'Reexecute the statement and start fetching from the beginning', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25402', 'transaction must roll back', 'A failure occured while a transaction was active on this connection.', 'The client must roll back.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25403', 'could not reconnect', 'The connection to the database has been lost, and attempts to reconnect have failed.', 'Manually reconnect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25404', 'lost instance', 'The primary instance has died.', 'This is an internally used error message and should not be seen by the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25457', 'evaluation function string returns failure', 'The specified evaluation function returned a failure during evaluation, causing evaluation to terminate.', 'Check arguments to evaluate and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25461', 'rule set not specified', 'An attempt to evaluate was made, which failed because the ruleset name specified was null.', 'Check the rule set name, and try again with a valid name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25501', 'ALTER SYSTEM QUIESCE RESTRICTED command failed', 'Database resource manager failed to change plan.', 'Look at the alert logs to see detailed description of the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25502', 'concurrent ALTER SYSTEM QUIESCE/UNQUIESCE command is running', 'There is a concurrent ALTER SYSTEM QUIESCE RESTRICTED or ALTER SYSTEM UNQUIESCE command running in the system.', 'Contact the database administrator who is responsible for the concurrent command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25503', 'cannot open database because the database is being quiesced', 'Database cannot be opened because the system is being or has been quiesced.', 'Open the database after the system has been quiesced.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25504', 'the system is already in quiesced state', 'Cannot quiesce the system because the system is already quiesced.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25505', 'the system is not in quiesced state', 'Cannot unquiesce the system because the system is not in quiesced state.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25506', 'resource manager has not been continuously on in some instances', 'Cannot quiesce the system because resource manager has not been continuously on since startup in this or some other instances.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25507', 'resource manager has not been continuously on', 'Cannot quiesce the system because resource manager has not been continuously on since startup.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25508', 'database is not mounted', 'Database must be mounted to perform ALTER SYSTEM UNQUIESCE command.', 'Mount the database and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25509', 'operation on "string"."string".string not allowed', 'A column has been added to a replicated table, but replication support processing has not completed.', 'Wait until replication support processing has completed before updating the column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25526', 'bad format of _DB_MTTR_SIM_TARGET: string', 'One value in _DB_MTTR_SIM_TARGET is not a valid MTTR.', 'Alter the value of _DB_MTTR_SIM_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25527', 'bad format of _DB_MTTR_SIM_TARGET', 'One value in _DB_MTTR_SIM_TARGET is empty.', 'Set the value of _DB_MTTR_SIM_TARGET properly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25528', 'too many candidate MTTRs are specified in _DB_MTTR_SIM_TARGET', 'Too many candidate MTTRs are specified in _DB_MTTR_SIM_TARGET.', 'Alter the value of _DB_MTTR_SIM_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25530', 'FAST_START_MTTR_TARGET is not specified', 'An attempt to start MTTR advisory was made, which failed because FAST_START_MTTR_TARGET was not specified.', 'Set FAST_START_MTTR_TARGET.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25531', 'MTTR specified is too small: string', 'The current FAST_START_MTTR_TARGET setting or a candidate MTTR setting is too small for MTTR advisory.', 'Set a larger FAST_START_MTTR_TARGET or candidate MTTR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25532', 'MTTR specified is too large: string', 'The current FAST_START_MTTR_TARGET setting or a candidate MTTR setting is too large for MTTR advisory.', 'Set a smaller FAST_START_MTTR_TARGET or candidate MTTR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25533', 'FAST_START_IO_TARGET or LOG_CHECKPOINT_INTERVAL is specified', 'An attempt to start MTTR advisory was made, which failed because either FAST_START_IO_TARGET or LOG_CHECKPOINT_INTERVAL was specified.', 'Set FAST_START_IO_TARGET and LOG_CHECKPOINT_INTERVAL to 0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25950', 'missing where clause in join index specification', 'An attempt to create a join index was made, which failed because no valid where clause was found.', 'Ensure that a where clause with valid join conditions is specified in the create index statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25951', 'join index where clause cannot contain OR condition', 'An attempt to create a join index was made, which failed because there was an OR branch in the where clause.', 'Reformulate the where clause without using ORs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25952', 'join index must only contain inner equi-joins', 'An attempt to create a join index was made, which failed because it included a predicate which wasn''t an equi-inner join.', 'Remove the inappropriate predicate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25953', 'join index cannot be a functional index', 'An attempt to create a join index was made, which failed because a functional index was requested or necessary (such as is the case for indexing columns using timezone).', 'Remove any functional indexing columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25954', 'missing primary key or unique constraint on dimension', 'An attempt to create a join index was made, which failed because one or more dimensions did not have an appropriate constraint matching the join conditions.', 'Ensure that the where clause is correct (contains all of the constraint columns) and that an enforced constraint is on each dimension table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25955', 'all tables must be joined in the where clause', 'An attempt to create a join index was made, which failed because one of the tables in the from clause did not appear in the where clause.', 'Ensure that the where clause contains all from clause tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-25956', 'join index cannot be created on tables owned by SYS', 'An attempt to create a join index was made, which failed because one of the tables was owned by SYS.', 'Ensure that no join index related table is owned by SYS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51107', 'failures are changing too rapidly - retry command', 'Failures were added or closed during a Data Recovery Advisor command.', 'Retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51108', 'unable to access diagnostic repository - retry command', 'A lock or timeout error occurred when trying to read failure or repair data from the Automatic Diagnostic Repository.', 'Retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51109', 'repair script file is too large', 'Data Recovery Advisor generated a repair script file that was too large.', 'Retry the command with fewer failures selected.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51110', 'buffer size [string] is too small - [string] is needed', 'An internal buffer was too small.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51111', 'failure revalidation timed out', 'Data Recovery Manager was unable to revalidate all failures before timing out.', 'Increase timeout and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51190', 'Internal error [string], [string] from DBMS_IR', 'An unexpected error occurred while executing a routine in the DBMS_IR package.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51191', 'Too many files opened', 'Data Recovery Advisor attempted to open too many files using the DBMS_IR package.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51192', 'File not open', 'Data Recovery Advisor attempted to read or write from a file that was not open.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51193', 'invalid parameter value', 'An invalid parameter value was supplied in a call to the DBMS_IR package.', 'Fix the parameter value and retry the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51303', 'illegal check mask value specified', 'An illegal check mask value was specified.', 'Specify one of the following legal values: COLUMN_CHECKS, ROW_CHECKS, REFERENTIAL_CHECKS, or ALL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51316', 'No check meta-data found on specified table string', 'No check meta-data was found for the object', 'Table may not exist or no checks currently defined for the table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53000', 'document type "string" is invalid', 'An invalid document type was specified.', 'See the ORDDCM_DOCUMENT_TYPES view for a list of valid document types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53001', '<TAG> and <TAG_RANGE> tag values are null', 'An invalid attribute was found in the private dictionary document. The values specified by the <TAG> and <TAG_RANGE> tags were null.', 'A private attribute definition must contain either a non-null <TAG> value or a non-null <TAG_RANGE> value. Correct the values and try the operation again. See the private dictionary schema (ordcmpv.xsd) listed in the Oracle Multimedia documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53002', 'document name "string" already inserted', 'The specified document name was found in the repository.', 'Specify a unique document name and try again. See the ORDDCM_DOCUMENTS view for a list of document names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55319', 'model string create attempt failed: string', 'The attempt to create the specified model did not succeed.', 'This may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55320', 'model string drop attempt failed: string', 'The attempt to drop the specified model did not succeed.', 'This may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55321', 'network already exists', 'Attempt to create the network failed because the network already existed.', 'If necessary, drop the network before trying to recreate the network.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55322', 'model(s) exist', 'An attempt was made to drop a network that contained one or more models.', 'Drop all the model(s) and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55323', 'rulebase(s) exist', 'An attempt was made to drop a network that contained one or more rulebases.', 'Drop all the rulebase(s) and then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55324', 'no rulebases specified', 'Rulebases for the operation were not specified.', 'Specify at least one rulebase.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55325', 'rulebase or rules index string already exists string', 'A rulebase or rules index with the specified name already existed.', 'Choose a different name, or delete the existing rulebase or rules index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55326', 'rules index (string) create attempt failed: string', 'The attempt to create the specified rules index did not succeed.', 'This may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55327', 'rule string yields a triple with a literal subject or predicate', 'The specified rule created an invalid triple containing a literal in the subject or predicate position.', 'Check and modify the rule to avoid creation of invalid triple.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55328', 'literal value string insert attempt failed', 'The attempt to create the specified literal value failed.', 'This may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55329', 'same model string specified more than once in the list of models', 'The specified model occurred more than once in the list of models.', 'Eliminate duplicate occurrences of the model in the list of models.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55330', 'rulebase or rules index string is busy', 'The specified rulebase or rules index was busy and could not be used.', 'Retry your operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55331', 'user owns RDF objects', 'The user could not be dropped because it owns RDF objects.', 'Drop the RDF objects and then retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55370', 'input parameter not a zero or positive integer', 'The input parameter was not zero or a positive integer.', 'Change the input parameter to zero or a positive integer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55371', 'RDF rules index ''string'' exists for different model-rulebase combination', 'A rules index with the specified name has already been built for a different model-rulebase combination.', 'Specify a different rules index name, or drop the existing rules index and then create a new rules index with that name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55372', 'entailment (rules index) ''string'' already exists', 'The entailed graph (rules index) already exists.', 'Specify a different rules index name, or drop the existing rules index and then create a new rules index with that name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55373', 'inference internal error: string', 'An unexpected internal error condition occurred.', 'Check the error message and the stack trace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55374', 'query constants not in the database; no rows selected', 'URIs or literals used in the query did not exist in the database.', 'Check the query, and ensure that the URIs or literals do exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55375', 'cannot drop table ''string'' because this table owns RDF objects', 'A table containing RDF data could not be dropped without first dropping its RDF model.', 'Drop the corresponding RDF model or models, and then drop the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55376', 'cannot alter or drop column ''string'' because this column owns RDF objects', 'A table column containing RDF data could not be altered or dropped without first dropping its RDF model.', 'Drop the corresponding RDF model or models, and then alter or drop the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55377', 'number of triples less than 1 or null error indication marker', 'An internal error occurred during validation. The number of triples was less than 1 or the error indication marker was null.', 'Check the input parameters, and ensure that the number of triples is 1 or greater and that the error indication marker is not null; or contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55378', 'invalid error code', 'An invalid error code was passed in during validation.', 'Specify a valid error code.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55379', 'too many triples', 'An internal error occurred during validation. Too many triples were passed in.', 'Specify a valid number of triples for the operation, or contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55430', 'query pattern is null', 'The query pattern specified in the SEM_MATCH query was null.', 'Modify the query pattern to be non-null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55455', 'rules index status not recognized ( string )', 'The specified rules index status was not recognized.', 'Ensure that the rules index status is VALID, INCOMPLETE, or INVALID, and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55456', 'no valid rules index for this model-rulebase combination', 'A valid rules index did not exist for specified combination of models and rulebases.', 'Create a rules index for the specified models and rulebases combination, or use a combination of models and rulebases for which a rules index exists, and retry the operation. Also ensure that the rules index status matches the status for the rules index specified in the query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55457', 'predicate not found in model', 'The predicate value passed in as an argument to the semantic operator did not exist in the model.', 'In the query using semantic operators, use a predicate value that exists in the model and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55458', 'object not found in model', 'The object value passed in as an argument to the semantic operator did not exist in the model.', 'In the query using semantic operators, use an object value that exists in the model and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55459', 'invalid parameter string', 'The parameter string used in the creation of an index of type SEM_INDEXTYPE had invalid or malformed parameters.', 'See the documentation for information on how to write a valid parameter string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55460', 'incorrect usage of semantic operators', 'There was a syntax error in the call to the SEM_RELATED operator', 'See the documentation for information on how to use the SEM_RELATED operator. Check that the value returned by SEM_RELATED is compared to 1 or 0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55461', 'no distance information available', 'Distance information was not generated during rules index creation.', 'Retry query without the SEM_DISTANCE operator and/or without specifying bounds in the SEM_RELATED operator. See the documentation for information on when distance information is generated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55462', 'internal error', 'An internal error occurred during a semantic operator query or during the creation of an index of type SEM_INDEXTYPE.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55501', 'Backing out live transaction', 'Flashback Transaction Backout was requested on a transaction that has not committed yet.', 'Commit the transaction before using this feature.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55502', 'Specified input transaction by name has no SCN hint', 'The specified transaction names for Flashback Transaction Backout was missing an SCN hint.', 'Provide an SCN hint, and guarantee that the named transactions start before the given SCN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55503', 'Mining finished without seeing specified transactions', 'The SCN hit passed was not good. The SCN hit may have come after the start of any of the input transactions.', 'Give a lesser and more conservative SCN hint, with greater probability of having seen the start of a transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55504', 'Transaction conflicts in NOCASCADE mode', 'Transactions other than the ones specified conflicts with the specified transactions.', 'Try using other options like NONCONFLICT_ONLY or CASCADE or NOCASCADE_FORCE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55505', 'DDL done on an interesting object after mining start SCN', 'The Flashback Transaction Backout process encountered an interesting object which had its last DDL operation done on it after the mining start time. An interesting object is one that has been modified by either the specified transactions or any of their dependents.', 'Specify transactions that have committed after the last DDL done on all the objects they touched.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55506', 'Transaction performed unsupported change', 'A transaction in the dependency DAG performed some', 'The specified transaction cannot be backed out.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55507', 'Encountered mining error during Flashback Transaction Backout. function:string', 'Mining error.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55508', 'Invalid input to Flashback Transaction Backout', 'Null varrays passed or invalid input specified', 'Specify properly formed varrays and valid options', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55509', 'Creation of dependencies could not finish', 'One or more input transaction or any of its dependents are not committed or have been aborted after more than 1 minute of calling the backout function.', 'Commit all the active transactions associated with this table and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55510', 'Mining could not start', 'Mining could not start for the following reasons.' || '<p>' || '1. A logminer session was processing' || '<p>' || '' || '<p>' || '2. The database was not mounted or not opened for read and write' || '<p>' || '' || '<p>' || '3. Minimum supplemental logging was not enabled' || '<p>' || '' || '<p>' || '4. Archiving was not enabled', 'Fix the mentioned problems and try again. Note that if you enable supplemental logging now, you will not be able to remove a transaction that has committed without supplemental logging.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55511', 'Flashback Transaction experienced error in executing undo SQL', 'There was a constraint violation exception when executing in NOCASCADE_FORCE mode. Users could also get this error if appropriate supplemental logging is not enabled causing constraint dependencies to go unnoticed.', 'Either use CASCADE or NONCONFLICT_ONLY options or add appropriate level for supplemental logging.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55512', 'Backing out PDML or XA-RAC transaction', 'One of the transactions in the dependency graph was a PDML transaction or a local transaction which is a branch of a global XA transaction, spanning multiple RAC instances. Currently flashback transaction does not support this type of transaction.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55513', 'Backing out an AQ transaction', 'One of the transactions in the dependency graph touched an AQ table. As AQ externalizes database information, these transactions are not backed out, as the entire effects of the transaction cannot be seen from inside the database.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55514', 'Backing out a DDL transaction', 'One of the transactions in the dependency graph is a DDL transaction and could not be backed out.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55515', 'Mining sees input transaction changes without seeing transaction start', 'The start SCN provided was higher than the transaction start but below the transaction commit. The result was only partial changes for the given transaction.', 'Please provide a lower scn hint to flashback transaction.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55518', 'Mining across reset logs', 'Flashback Transaction Backout cannot work with missing changes. This error is thrown if we walk across a reset-logs branch, where we might have missed changes.', 'If the user knows that the transaction happened in the current reset logs branch, then the SCN-hint is possibly incorrect. Provide an SCN in the current reset log branch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55519', 'Supplemental logging not available for mining SCN range', 'Flashback Transaction cannot work if there are regions in the mining range where supplemental logging is not enabled.', 'If you have provided a SCN/time hint which is approximate and far beyond the specified transaction start time, then readjust the SCN hint and try again. If the system has figured out the transaction start time or you are sure of the range, then the specified transaction cannot be backed out.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55520', 'Log record in compatibility lower than 11.0', 'The logical change record shows that the compatibility of the mined redo is lower than version 11.0. Flashback transaction works only on redo versions 11.0 and above.', 'Advance the compatibility and try to back out transactions that have occurred after the compatibility increase.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55557', 'Trigger 4144 corruption', 'Above events used for testing corruption path', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55558', 'string is not a corrupted transaction', 'the given transaction is not in the corrupt list v$corrupt_xid_list', 'check v$corrupt_xid_list', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55563', 'number is not a valid undo segment number', 'the given usn is not a valid one', 'check undo$', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55564', 'string is not a valid transaction id', 'the given txn is not a valid one', 'check txn id', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55565', 'string is not a valid undo segment number', 'the given usn is not a valid one', 'check undo$', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55566', 'SQL statement issued when the database was not open for queries', 'Tried to access SMON time zone information when database was not open for queries.', 'Reissue the SQL statement after the database is open for queries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55600', 'The table "string"."string" is already enabled for Flashback Archive', 'The specified table is already enabled for Flashback Archive.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55601', 'The table "string"."string" cannot be enabled for Flashback Archive', 'An attempt is made to enable Flashback Archive for a table which should never be enabled for Flashback Archive.', 'Check the table name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55602', 'The table "string"."string" is not enabled for Flashback Archive', 'An attempt was made to disable Flashback Archive on a table on which Flashback Archive is not enabled.', 'Check the table name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55603', 'Invalid Flashback Archive command', 'An invalid Flashback Archive command was specified.', 'Check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55604', 'Incorrect tablespace is specified', 'An incorrect tablespace is specified for the Flashback Archive.', 'Check the SQL statement and verify the possible causes, 1, the tablespace that was already used by the Flashback Archive. 2, the tablespace was not used by the Flashback Archive. 3, the tablespace block size is less than 8K.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55605', 'Incorrect Flashback Archive is specified', 'An attempt was made to operate on a Flashback Archive that does not exist, or to create a Flashback Archive that already exists.', 'Check the SQL statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55606', 'Event to modify archiver sleep time in seconds', '30 seconds is recommended as the archiver sleep time for tests.', 'The default archiver sleep time is 300 seconds', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55607', 'Event to enable debugging of archiver', 'The purpose of this event is for debugging.', 'Attach to process specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55608', 'Default Flashback Archive does not exist', 'The default Flashback Archive did not exist.', 'Create the default Flashback Archive first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55609', 'Attempt to create duplicate default Flashback Archive', 'An attempt was made to create a default Flashback Archive while one already exists.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55610', 'Invalid DDL statement on history-tracked table', 'An attempt was made to perform certain DDL statement that is disallowed on tables that are enabled for Flashback Archive.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55611', 'No privilege to manage default Flashback Archive', 'An attempt was made to create, alter, or drop the default Flashback Archive.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55612', 'No privilege to manage Flashback Archive', 'An attempt was made to create, alter, or drop a Flashback Archive.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55613', 'Invalid Flashback Archive quota size', 'An attempt was made to specify invalid Flashback Archive quota size.', 'Specify size in MB, GB, TB, or PB.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55614', 'AUM needed for transactions on tracked tables', 'An attempt was made to execute DML on a tracked table without enabling Auto Undo Management.', 'Disable tracking on the table or enable Auto Undo Management.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55615', 'Event to test archiver scheduled internal tasks', 'The purpose of this event is for testing.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55616', 'Transaction table needs Flashback Archiver processing', 'Too many transaction table slots were being taken by transactions on tracked tables.', 'Wait for some amount of time before doing tracked transactions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56503', 'DRCP: Pool is active', 'The operation is only supported on an inactive pool.', 'Shutdown the pool.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56504', 'DRCP: Invalid pool configuration parameter name', 'The configuration paramter name is null or invalid input.', 'Input a valid configuration parameter name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56505', 'DRCP: Invalid pool configuration parameter value', 'The configuration paramter value is null or invalid input.', 'Input a valid configuration parameter value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56506', 'DRCP: Pool shutdown failed', 'Connection pool failed to shutdown.', 'Check logs for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56507', 'DRCP: Pool alter configuration failed', 'Connection pool failed to configure pool.', 'Check logs for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56508', 'DRCP: Pool startup failed', 'Connection Broker failed to startup the pool.', 'Check logs for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56509', 'DRCP: Pool shutdown failed', 'Connection Broker failed to shutdown the pool.', 'Check logs for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56510', 'DRCP: Pool alter configuration failed', 'Connection Broker failed to configure the pool.', 'Check logs for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56511', 'DRCP: Cross instance synchronization failed', 'Publish message to all RAC instances failed.', 'Check logs for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56512', 'DRCP: Failed to synchronize RAC instances [string]', 'Some of the RAC instances were not synchronized.', 'Perform the same operations on all the failed instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56513', 'DRCP: Cannot perform requested operation using pooled connection', 'This operation was not supported using connections from a pool.', 'Use a regular connection to perform this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56514', 'DRCP: invalid value for maximum number of connections to Connection broker', 'The value passed exceeded the maximum allowed.', 'No action required. The maximum number of connections was automatically set to the maximum allowed value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56600', 'DRCP: Illegal Call', 'An illegal OCI function call was issued', 'Check the documentation for Database Resident connection pool usage', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56601', 'DRCP: Illegal connection class', 'Wrong value for connection class was given.', 'Check the documentation for Database Resident connection pool usage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56602', 'DRCP: Illegal purity', 'Wrong value for purity was provided.', 'Check the documentation for Database Resident connection pool usage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56603', 'DRCP: Internal error', 'Malformed input values.', 'Input well-formed values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56604', 'DRCP: Length[string] for string exceeded the MAX allowed', 'Length exceeded MAX for the value.', 'Use a value within the MAX allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56605', 'DRCP: Session switching and migration not allowed', 'Application tried to switch or migrate session across connections.', 'This usage is irrelevant in the Database Resident connection pooling context and is not supported. Release existing session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56606', 'DRCP: Client version doesnot support the feature', 'The client version is lower than 11g.', 'Upgrade to a higher client version or turn off (SERVER=POOLED) in the connect string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56607', 'DRCP: Connection is already authenticated', 'Attempt to reauthenticate the connection which is authenticated.', 'Logoff the connection before reauthenticating.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56608', 'DRCP: Server Group feature is not supported', 'Server Group attribute was set on the server handle, connected to a Database Resident connection pool.', 'Do not set Server Group attribute on server handles while using Database Resident connection pool.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56609', 'Usage not supported with DRCP', 'This usage was not supported on a DRCP connection.', 'Use a dedicated connection to perform this task.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56700', 'plan string is a subplan and SUB_PLAN attribute cannot be modified', 'An attempt was made to modify the SUB_PLAN attribute of the specified plan.', 'Do not attempt to modify the SUB_PLAN attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56701', 'INTERNAL_USE attribute of consumer group string cannot be modified', 'An attempt was made to modify the INTERNAL_USE attribute of the specified consumer group.', 'Do not attempt to modify the INTERNAL_USE attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56702', 'consumer group string is for internal use only and cannot be a switch target', 'An attempt was made to specify an INTERNAL_USE consumer group as a switch target.', 'Do not attempt to switch to INTERNAL_USE consumer groups.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56703', 'VKTM process died unexpectedly', 'An explicit kill or internal error caused the death of VKTM background process.', 'Restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56704', 'EXPLICIT consumer group mapping priority must be set to 1', 'An attempt was made to set the EXPLICIT mapping priority to a value other than 1.', 'Set the mapping priorities to unique integers within the documented range with the EXPLICT priority set to 1.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56705', 'I/O calibration already in progress', 'An attempt was made to run a second instance of I/O Calibration', 'Wait until the first I/O calibration run is complete; then, retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56706', 'The specified Resource Manager plan is a subplan and cannot be set as a top-level plan', 'An attempt was made to set a subplan as a top-level plan.', 'Do not attempt to set subplans as top-level plans.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56707', 'INTERNAL_QUIESCE plan cannot be specified as a top-level Resource Manager plan', 'An attempt was made to specify INTERNAL_QUIESCE as a top-level Resource Manager plan.', 'Do not attempt to set INTERNAL_QUIESCE as a Resource Manager plan.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56708', 'Could not find any datafiles with asynchronous i/o capability', 'There are no datafiles which are asynchronous I/O capable.', 'Make sure asynchronous i/o is permitted to datafiles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56709', 'timed_statistics set to FALSE', 'timed_statistics parameter in database is set to FALSE. Needs to be enabled for calibration.', 'set timed_statistics=TRUE in init.ora or "alter system set timed_statistics=TRUE"', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56710', 'DBRM process died unexpectedly', 'An explicit kill or internal error caused the death of the DBRM background process.', 'Restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56711', 'string is an invalid string argument', 'The named argument is invalid.', 'Specify a valid argument for this procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56713', 'Insufficient Resource Manager privileges', 'An attempt was made to switch the consumer group of a user without the appropriate privilege.', 'Ask the database administrator to perform the switch operation or grant switch or system privilege to the user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56714', 'Plan name string exceeds the maximum length allowed', 'Plan name is greater than 30 characters long.', 'Do not exceed 30 characters when naming a resource plan.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56715', 'string resource plan contains a reserved word', 'The specified plan name is prefixed with a reserved prefix such as FORCE or SCHED.', 'Do not prefix resource plan name with FORCE or SCHED.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56716', 'Category string does not exist', 'A non-existent category was specified as an argument to a procedure in the package, DBMS_RESOURCE_MANAGER.', 'Specify an existing category name or create a new category with this name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56717', 'SWITCH_TIME is set without specifying SWITCH_GROUP', 'The plan directive specifies a SWITCH_TIME without a SWITCH_GROUP.', 'Specify a SWITCH_GROUP parameter in the plan directive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56718', 'Timeout occurred while setting resource plan', 'A timeout occurred while waiting for one or more RAC instances to set the resource plan.', 'Since the resource plan may have actually been set successfully, first check the current resource plan for each instance by querying gv$rsrc_plan. If the resource plan was not successfully set on all instances, then retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56719', 'Error spawning or communicating with calibration slave', 'An error occurred in calibration slave process - Calibration process aborted.', 'Review trace files for errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56720', 'I/O data limit exceeded - call aborted', 'The Resource Manager SWITCH_IO_MEGABYTES limit was exceeded.', 'Reduce the complexity of the update or query, or contact your database administrator for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56721', 'I/O data limit exceeded - session terminated', 'The Resource Manager SWITCH_IO_MEGABYTES limit was exceeded.', 'Reduce the complexity of the update or query, or contact your database administrator for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56722', 'I/O request limit exceeded - call aborted', 'The Resource Manager SWITCH_IO_REQS limit was exceeded.', 'Reduce the complexity of the update or query, or contact your database administrator for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56723', 'I/O request limit exceeded - session terminated', 'The Resource Manager SWITCH_IO_REQS limit was exceeded.', 'Reduce the complexity of the update or query, or contact your database administrator for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56725', 'Could not spawn additional calibration slaves', 'An error occurred when spawning calibration slave process - Calibration process aborted.', 'Check OS resources required for spawning processes', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56800', 'DSKM process died unexpectedly', 'An explicit kill or internal error caused the death of the DSKM background process.', 'Restart the instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56865', 'Invalid IP address in OSSINIT.ORA', 'One or more of the specified IP addresses in OSSINIT.ORA is not valid.', 'Check that all IP addresses in OSSINIT.ORA are valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56866', 'No IP parameter', 'No IP address is set in OSSINIT.ORA.', 'Check that one or more valid IP addresses are set in OSSINIT.ORA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56900', 'bind variable is not supported inside pivot|unpivot operation', 'Attempted to use bind variables inside pivot|unpivot operation.', 'This is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56901', 'non-constant expression is not allowed for pivot|unpivot values', 'Attempted to use non-constant expression for pivot|unpivot values.', 'Use constants for pivot|unpivot values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56902', 'expect aggregate function inside pivot operation', 'Attempted to use non-aggregate expression inside pivot operation.', 'Use aggregate function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56903', 'sys_op_pivot function is not allowed here', 'invalid use of sys_op_pivot function.', 'Remove sys_op_pivot function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56904', 'pivot value must have datatype that is convertible to pivot column', 'Datatype of pivot value is not convertible to the datatype of pivot column.', 'Check and correct pivot value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56950', 'Invalid value for incident identifier', 'Invalid incident identifier argument passed.', 'Check and correct the identifier', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56971', 'Invalid set of export options', 'The options specified are inconsistent', 'Check and a consistent set of option parameters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56972', 'referenced file not found', 'One of the file specified in the test case package is mising', 'rebuild the SQL test case or make sure that all the referenced files are readable and located in the same directory as the SQL test case manifest.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56974', 'Invalid set of import options', 'The import options specified are inconsistent', 'Check that import options are consistent and have valid values', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-57000', 'TimesTen IMDB error: string, number, string', 'An OCI interface error occurred during a TimesTen operation.', 'Look up the error code in the TimesTen error documentation to diagnose.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60001', 'adding (string) blocks to save undo segment in tablespace string with MAXSIZE (string)', 'Save undo for the offline tablespace at segment MAXSIZE.', 'Check the storage parameters for the system tablespace. The tablespace needs to be brought back online so the undo can be applied.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60002', 'adding (string) blocks to temporary segment in tablespace string with MAXSIZE (string)', 'Extending a temporary segment violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60003', 'adding (string) blocks to table string.string partition string with MAXSIZE (string)', 'Extending a table partition violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60004', 'adding (string) blocks to table string.string with MAXSIZE (string)', 'Extending a table violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60005', 'adding (string) blocks to cluster string.string with MAXSIZE (string)', 'Extending a cluster violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60006', 'adding (string) blocks to index string.string partition string with MAXSIZE (string)', 'Extending an index partition violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60007', 'adding (string) blocks to index string.string subpartition string with MAXSIZE (string)', 'Extending an index subpartition violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60008', 'adding (string) blocks to index string.string with MAXSIZE (string)', 'Extending an index violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60009', 'adding (string) blocks to LOB segment string.string partition string with MAXSIZE (string)', 'Extending a LOB segment violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60010', 'adding (string) blocks to LOB segment string.string with MAXSIZE (string)', 'Extending a LOB segment violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60011', 'adding (string) blocks to lob segment string.string subpartition string with MAXSIZE (string)', 'Extending a LOB segment violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60012', 'adding (string) blocks to table string.string subpartition string with MAXSIZE (string)', 'Extending a table subpartition violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60013', 'invalid MAXSIZE storage option value', 'Invalid value was specified for MAXSIZE storage clause.', 'Correct the value and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60014', 'invalid MAXSIZE storage option value', 'Minimum of 1M should have been specified against the MAXSIZE storage clause.', 'Correct the value and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60015', 'invalid RETENTION storage option value', 'Value of MIN retention should have been nonzero.', 'Correct the value and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60016', 'Operation not supported on SECUREFILE segment', 'The operation to ALTER FREELIST/RETENTION was not supported on SECUREFILE segment.', 'Check the LOB type and reissue the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60018', 'adding string blocks to rollback segment string with MAXSIZE (string)', 'Extending a rollback segment violated MAXSIZE limit.', 'Increase the MAXSIZE limit and retry command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60019', 'Creating initial extent of size string in tablespace of extent size string', 'Creation of SECUREFILE segment failed due to small tablespace extent size.', 'Create tablespace with larger extent size and reissue command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-60025', 'Event for temp segment cleanup used for temp lobs', 'Temp LOB segments used for temporary LOBs are deleted only on session exit which may lead to large amounts of memory being held across multiple sessions.', 'Setting this event will cause temporary LOB segments to be freed when there are no active temporary LOBs in the session. Setting this event will have a significant performance impact as it can cause temporary lob segments to be allocated and deleted many times during a session rather than once per session. Use this event only when temporary LOB segment memory use is an issue.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-62001', 'value for parameter cannot contain a comma', 'Parameter value contained a comma.', 'Remove the comma from the parameter value.', 'Y');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44902', 'Too many steps in resolving symbolic link "string"', 'This error is raised when the system is unable to fully resolve a path with symbolic links within a reasonable number of steps. It could be due to cycles in definitions of symbolic links or very long chains of symbolic links to symbolic links.', 'Remove any cycles in symbolic link definitions. If there are no cycles, reduce the length of chains of symbolic links to symbolic links.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48139', 'invalid input to ADR initialization routine', 'There was an invalid input to the ADR initialization routine.', 'Check the length of the ADR base, product ID, and instance ID input arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48140', 'the specified ADR Base directory does not exist [string]', 'The specified ADR Base Directory does not exist.', 'Check that the specified ADR Base Directory is a valid path name and that the directory exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48141', 'error creating directory during ADR initialization [string]', 'Error encountered when creating a directory during the initialization of the ADR subsystem.', 'Check the input arguments to the ADR initialization routine and the state of the operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48142', 'invalid permissions input for change permissions', 'Invalid permissions passed into change permissions routine.', 'Check the value of the permissions input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48143', 'error changing permissions for a file', 'Error encountered while changing the permissions for a file', 'Check the specified directory and file and the state of the operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48144', 'error encounted while performing standard file I/O', 'Error encountered while performing standard file I/O', 'Check the validity of standard in, out, and error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48145', 'invalid seek location, [string], [string]', 'Invalid seek location specified for routine.', 'Check the validity of specified seek location.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48146', 'missing read, write, or exec permission on directory during ADR initialization [string] [string]', 'Error encountered when checking if the process has read, write, and exec privileges on directories needed by the ADR subsystem. This error occurs during the initialization of the ADR subsystem.', 'Check the input arguments to the ADR initialization routine and the state of the operating system. Ensure that the user has the proper permissions on the ADR directories.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48147', 'invalid home location specification for ADR, [string], [string], [string]', 'Invalid read or write home location specification for ADR.', 'An invalid home was specified for the ADR Read or Write Home location.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48148', 'error encountered when attempting to move a file', 'There was an error encountered when attempting to move a file with the ADR file interface.', 'Check the directory name and file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48149', 'error encountered when attempting to copy a file', 'There was an error encountered when attempting to copy a file with the ADR file interface.', 'Check the directory name and file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48150', 'error encountered with set current working directory', 'There was an error with setting the current working directory.', 'Check the path used, or the state of the operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48151', 'error getting operating system time for a file', 'Error encountered while getting the operating system time for a file.', 'Check the specified directory and file and the state of the operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48152', 'lock table is full', 'Lock table is full - too many locks granted', 'Try again later', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48153', 'error encountered when getting ADR base directory default', 'There was an error encountered when attempting to get the ADR base directory default value.', 'Check your environment to see if the $ORACLE_BASE and $ORACLE_HOME environment variables are set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48154', 'reached end of file for alert log', 'The end of file was reached for reading the Alert Log. There are no more messages to read in the Alert Log.', 'Do not read from the Alert Log', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48155', 'error encountered when read alert log [string]', 'There was an error encountered when attempting to read a message from the Alert Log.', 'Check the error message and the contents of the alert message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48156', 'Alert log purge has occurred - retry operation', 'The purge of the alert log has occurred.', 'Retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48157', 'null input to ADR initialization', 'There was an null input to the ADR initialization routine.', 'Check the ADR base, product ID, and instance ID input arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48158', 'invalid input for ADR base directory', 'An invalid input was passed in for the ADR base directory name. The ADR base directory name is either NULL or too long of a string.', 'Check the ADR base directory input argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48159', 'invalid input for ADR product type', 'An invalid input was passed in for the ADR product type. The ADR product type is out of bounds.', 'Check the ADR product type input argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48160', 'invalid input for ADR product id', 'An invalid input was passed in for the ADR product id. The ADR product id is either NULL or too long of a string.', 'Check the ADR product id input argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48161', 'invalid input for ADR instance id', 'An invalid input was passed in for the ADR instance id. The ADR instance id is either NULL or too long of a string.', 'Check the ADR instance id input argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48478', 'No alert messages are created', 'No alert messages are created', 'No action', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53910', 'SQL error string.', 'An error occurred when attempting to run a SQL command.', 'If you are using a JDBC connection string, ensure that the connection string is valid. Check the user account to see if it is locked. Ensure that the listener and the database server are running. And ensure that the setDataModel() function has been invoked before any other DICOM functions are called.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53920', 'XML error string.', 'An error occurred when attempting to read from and write to XML metadata.', 'Ensure that Oracle XDB and all related schemas are properly installed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53930', 'XSLT error string.', 'An error occurred while attempting to process XML metadata.', 'Ensure that Oracle XDB and all related schemas are properly installed. And, verify that the mapping and anonymity documents are valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53940', 'make anonymous error string.', 'An error occurred while attempting to make DICOM object anonymous.', 'Ensure that the anonymity document content is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53980', 'unimplemented feature: string', 'The specified feature is not implemented.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53990', 'internal error string.', 'An internal error occurred while attempting to process a DICOM object.', 'Contact Oracle Support Services, and supply them with a script that can be duplicated as well as the DICOM object that caused this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54000', 'Virtual column feature not yet implemented', 'Feature has not been implemented.', 'Feature is being implemented.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54001', 'string: invalid identifier specified for virtual column expression', 'Column expression referenced a column that does not exist in the table.', 'Rewrite column expression to reference only scalar columns in the table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54002', 'only pure functions can be specified in a virtual column expression', 'Column expression contained a function whose evaluation is non-deterministic.', 'Rewrite column expression to reference only pure functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41109', 'Updating system alert with reason_id string failed; previous alert not found', 'System Error: An attempt to update a system alert failed. The alert was improperly cleared from WRI$_ALERT_OUTSTANDING.', 'Do not delete from WRI$_ALERT_OUTSTANDING. If this condition repeats, please contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54557', 'incomplete composite solid', 'The end of composite solid was reached before all necessary solids were defined.', 'Add more solids to match the geometry definition, or reduce the specified number of solids.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54601', 'CREATE_PC: invalid parameters for creation of Point Cloud', 'An invalid or unknown parameter was specified in the creation of Point Cloud.', 'Check for valid set of parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54602', 'CREATE_PC: input points table string does not exist', 'The specified table for loading points into a Point Cloud did not exist.', 'Create the points table with appropriate columns, and then create the Point Cloud.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54603', 'CREATE_PC: specified total dimensionality cannot exceed 8', 'The specified total dimensionality for the Point Cloud exceeded the maximum limit of 8.', 'Create the Point Cloud with fewer dimensions. You can store the rest in the output points table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54604', 'CREATE_PC: input points table should not be empty', 'The input points table had no data.', 'Insert data into the input points table and then create the Point Cloud.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54605', 'CREATE_PC: scratch-tables/views (string) exist and need to be dropped', 'Transient tables/views from a previous CREATE_PC operation were still in existence.', 'Delete the invalid Point Cloud from the base table (for cleanup of scratch tables), and initialize and create the Point Cloud again. Alternately, use SDO_UTIL.DROP_WORK_TABLES with oidstring as the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54607', 'CREATE_PC: error fetching data from input points table', 'An internal read error occurred during Point Cloud creation.', 'Contact Oracle Support Services with the error number reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54608', 'CREATE_PC: error writing Point Cloud LOB', 'An internal LOB write error occurred during Point Cloud creation. The cause might be lack of table space.', 'Look for information from other errors in the stack, or contact Oracle Support Services with the error number reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54609', 'CREATE_PC: input extent cannot be null', 'The extent of the Point Cloud was null.', 'Specify an extent for the Point Cloud that is not null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54610', 'CREATE_PC: input extent cannot be more than 2-D for geodetic data', 'The extent of the Point Cloud was more than 2-D for geodetic data.', 'Change the extent to 2-D (longitude, latitude).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54611', 'INIT: either invalid basetable/schema or they do not exist', 'The base table or schema, or both, were invalid strings; or the base table and schema combination did not exist.', 'Ensure that the specified base table exists in the specified schema before performing the initialization operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54613', 'INIT: internal error creating DML trigger', 'The necessary privileges to create the trigger were not granted.', 'Grant the necessary privileges to create the trigger. If necessary, contact Oracle Support Services for help with privileges for trigger creation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54614', 'INIT: block table name has to be unique', 'The specified block table name was not unique. For example, it might have been used for another block table.', 'Specify a different block table name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54616', 'INIT: internal error [number, string]', 'An internal error occurred.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54617', 'CLIP_PC: invalid Point Cloud; extent is empty', 'The input Point Cloud for the CLIP_PC operation was invalid.', 'Specify a point cloud that was created using the CREATE_PC procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54618', 'CLIP_PC: SRIDs of query and Point Cloud are incompatible', 'The Point Cloud and the query geometry had incompatible SRID values.', 'Change the query SRID to be compatible with that of the Point Cloud.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54619', 'CLIP_PC: query and BLKID parameters cannot both be null', 'Both the query and BLKID parameters were null in the call to the CLIP_PC operation.', 'Either specify a query geometry that is not null, or specify a BLKID for use as a query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54620', 'CLIP_PC: internal error [number, string]', 'An internal error occurred.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54621', 'TO_GEOMETRY: TOTAL_DIMENSIONALITY not same as in INIT operation', 'The specified TOTAL_DIMENSIONALITY was invalid.', 'Ensure that the TOTAL_DIMENSIONALITY matches that specified in the call to the initialization operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54622', 'TO_GEOMETRY: internal error [number, string]', 'An internal error occurred.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54623', 'CREATE_PC: internal error [number, string]', 'An internal error occurred.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54640', 'PARTITION_TABLE utility: invalid input parameters [number, string]', 'An internal error occurred.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54641', 'PARTITION_TABLE utility: scratch tables exist with oidstr = string', 'Scratch tables/views could not be created because they already existed.', 'Use SDO_UTIL.DROP_WORK_TABLES with the specified oidstr parameter to clean up the scratch tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54642', 'PARTITION_TABLE utility: invalid SORT_DIMENSION specified', 'An invalid string was specified for the SORT_DIMENSION.', 'Specify the SORT_DIMENSION as ''BEST_DIM'', ''DIMENSION_1'', ''DIMENSION_2'', or ''DIMENSION_3''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54643', 'PARTITION_TABLE utility: invalid WORKTABLESPACE parameter', 'An invalid string was specified for the WORKTABLESPACE parameter.', 'Specify an existing valid tablespace for WORKTABLESPACE (to hold the scratch tables).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54644', 'PARTITION_TABLE utility: error in reading input, output tables', 'The names for the input/output tables were invalid, or the tables did not exist or did not have the right structure.', 'Check the Spatial documentation for PARTITION_TABLE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54651', 'CREATE_TIN: invalid parameters specified in creation of TIN', 'An invalid or unknown parameter was specified in the creation of the TIN.', 'Check the Spatial documentation for CREATE_TIN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54652', 'CREATE_TIN: input points table string does not exist', 'The specified table for loading points into a TIN did not exist.', 'Create the points table with appropriate columns, and then create the TIN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54653', 'CREATE_TIN: specified total dimensionality cannot exceed 8', 'The specified total dimensionality for the TIN exceeded the maximum limit of 8.', 'Create the TIN with fewer dimensions. You can store the rest in the output points table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54654', 'CREATE_TIN: input points table should not be empty', 'The input points table had no data.', 'Insert data into the input points table, and then create the TIN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54655', 'CREATE_TIN: scratch tables/views(string) exist and need to be dropped', 'Transient tables from previous CREATE_TIN operation still existed.', 'Delete the invalid TIN from the base table (for cleanup of scratch tables), and initialize and create the TIN again. Alternately, use SDO_UTIL.DROP_WORK_TABLES with oidstring as its parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54656', 'CREATE_TIN: error fetching data from input points table', 'An internal read error occurred during TIN creation.', 'Contact Oracle Support Services with the error number reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54657', 'CREATE_TIN: error writing TIN LOB', 'An internal LOB write error occurred during TIN creation. The cause might be lack of table space.', 'Look for information from other errors in the stack, or contact Oracle Support Services with the error number reported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54658', 'CREATE_TIN: input extent cannot be null', 'The extent of the TIN was null.', 'Specify an extent for the TIN that is not null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54659', 'CREATE_TIN: input extent has to be 2-D for geodetic data', 'The extent of the TIN was more than 2-D for geodetic data.', 'Change the extent to 2-D (longitude, latitude).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54660', 'CLIP_TIN: invalid Point Cloud; extent is empty', 'The input TIN for the CLIP_TIN operation was invalid.', 'Specify a TIN that was created using the CREATE_TIN operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54661', 'CLIP_TIN: SRIDs of query and TIN are incompatible', 'The TIN and the query geometry had incompatible SRID values.', 'Change the query geometry SRID to be compatible with that of TIN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54662', 'CLIP_TIN: query and blkid parameters cannot both be null', 'Both the query and blkid parameters were null in the call to the CLIP_TIN operation.', 'Either specify a query geometry that is not null, or specify a blkid for use as a query.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54663', 'CLIP_TIN: internal error [number, string]', 'An internal error occurred.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54664', 'TO_GEOMETRY: internal error [number, string]', 'An internal error occurred.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54665', 'CREATE_TIN: internal error [number, string]', 'An internal error occurred.', 'Contact Oracle Support Services. ////////////////////////////////////////////////// 55200 - 55300 Reserved for MGD RFID Exceptions //////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55200', 'Java exception from tag data translation java stack', 'Java exceptions.', 'Turn on java output by calling dbms_java.set_output(OUTPUT_SIZE); Set java logging level by calling MGD_ID_UTL.setJavaLoggingLevel(''INFO''); Analyze java logging messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55201', 'Tag data translation category not found', 'No matching category ID could be found.', 'Make sure the input category name, category version or category ID is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55202', 'Tag data translation scheme not found', 'No matching scheme could be found for the input data format.', 'Make sure the input data format is supported and correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55203', 'Tag data translation level not found', 'No matching level could be found for the input data format.', 'Make sure the input data format is supported and correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55204', 'Tag data translation option not found', 'No matching option could be found for the input data format.', 'Make sure the input data format is supported and correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55205', 'Tag data translation field validation failed', 'Invalid field value.', 'Make sure the field value of the input data is within the range specified in the tag data translation XML.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55206', 'Tag data translation field not found', 'Invalid input field.', 'Make sure the spellings of the input fields are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55207', 'Tag data translation rule evaluation failure', 'Error occurred when idcode translator tried to evaluate the rule specified in the tag data translation XML.', 'Java proxy must be set in order to evaluate manager look up rules. Call MGD_ID_UTL.setProxy(PROXY_HOST, PROXY_PORT) to enable java proxy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55208', 'Too many matching levels were found for the input data', 'Necessary field values were missing.', 'Add additional field value pairs that are necessary to determine a unique matching level.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55300', 'model string does not exist', 'The specified model could not be found.', 'Make sure that the model has been created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55301', 'rulebase string does not exist', 'The specified rulebase could not be found.', 'Make sure that the rulebase has been created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55302', 'insufficient privileges string', 'Sufficient privileges were not granted.', 'Ask the database administrator to grant the appropriate privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55303', 'SDO_RDF_TRIPLE_S constructor failed: string', 'SDO_RDF_TRIPLE_S constructor failed.', 'Check the stack trace for additional information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55304', 'specified reuse-bNode model-id string != target model-id string', 'The reuse-bNode model-id specified for the SDO_RDF_TRIPLE_S constructor was neither 0 nor the model-id of the target model.', 'Make sure that the reuse-bNode model is either 0 or the model-id of the target model.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55305', 'reification constructor functions not supported', 'Unsupported reification constructor functions were used.', 'Insert each triple in the reification quad individually. See documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55306', 'internal error: invalid string: value_name=string value_type=string', 'The value type of this component of the RDF triple was invalid.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55307', 'invalid value type for lexical value: string', 'The value type of this lexical value was invalid.', 'Make sure that the lexical value format is correct. If this error occurs during bulk load from a staging table, then this may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55308', 'invalid time zone string for lexical value string', 'The time zone of this lexical value was invalid.', 'Make sure that the lexical value format is correct. If this error occurs during bulk load from a staging table then this may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55309', 'hash collision resolution failed for lexical value string', 'Attempts to resolve hash collision exceeded the maximum retry count.', 'This may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55310', 'parse failed for the string lexical value: string', 'Attempts to insert the specified lexical value failed.', 'This may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55311', 'invalid value type string for long lexical value string', 'The value type of this long (length > 4000) lexical value was invalid.', 'Make sure that the long value has a valid value type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55312', 'parse failed for triple: id-form: string string string', 'Attempts to insert triple failed.', 'This may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55313', 'SDO_RDF_TRIPLE_S constructor failed to process triple containing bNode', 'The SDO_RDF_TRIPLE_S constructor without bNode reuse option was invalid for triple containing bNode.', 'Use SDO_RDF_TRIPLE_S constructor that allows bNode reuse.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55314', 'invalid temporary table name (string) for use with batch load', 'Specified temporary table name was not valid.', 'See documentation for rules for temporary table name validity.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55315', 'batch load attempt failed: string', 'The batch load operation failed.', 'This may be an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55316', 'model string does not match model string for table and column', 'This column of the table was not associated with the specified model.', 'Make sure to use the correct target model.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55317', 'model string already exists', 'A model with the specified name was already present.', 'Choose a different model name, or delete the existing model and create a new model with the specified name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55318', 'column string in table string already contains data', 'At model creation time, the table column contained data.', 'Ensure that the table column does not contain data before model creation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56973', 'import options do not match export options', 'The import options specified do not match the export options', 'Check that import is being invoked with the same values for options like export environment, export data and export metadata', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38767', 'flashback retention target parameter mismatch', 'The value of parameters DB_FLASHBACK_RETENTION_TARGET must be same in all instances. All databases must have same flashback retention target parameters.', 'Check DB_FLASHBACK_RETENTION_TARGET values in all instances.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38768', 'resizing datafile string failed', 'An operating system error occurred when Flashback Database tried to shrink (resize) a datafile. Flashback shrinks a file in order to undo the effects of a file expand, for example, an autoextension of the file.', 'Recover the database to return it to its previous state, or fix the cause of the operating system error and retry the Flashback. If that is not possible, then the file can be taken offline and the Flashback command retried. The file will have to be restored from a backup and rolled forward.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38769', 'FLASHBACK DATABASE failed after modifying data.', 'A FLASHBACK DATABASE command failed after modifying the the database. Look in the alert log for more information about the failure.', 'Recover the database to return it to its previous state, or fix the cause of the error and retry the Flashback.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38770', 'FLASHBACK DATABASE failed during recovery.', 'A FLASHBACK DATABASE command successfully restored the database but failed during the recovery step. Look in the alert log for more information about the failure.', 'Fix the error and then recover the database to the same SCN or timestamp used in the FLASHBACK DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38771', 'unnamed datafile(s) added to control file by flashback recovery', 'The recovery step of FLASHBACK DATABASE encountered the creation of a datafile that could not be added to the control file. An entry has been added to the control file for the new datafile, but with the file name UNNAMEDnnnn, where nnnn is the file number. Related error messages provide the file names that were originally used to create the files.', 'Rename the file in the control file, or use the ALTER ALTER DATABASE CREATE DATAFILE command to create a file suitable for recovery. If the file is not going to be recovered, then take it offline with the FOR DROP option. The recovery step of Flashback can be resumed by entering a RECOVERY command with the same SCN or timestamp as used in the FLASHBACK DATABASE command. For example, RECOVER AUTOMTAIC DATABASE UNTIL CHANGE <flashback-scn>.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38772', 'cannot add datafile ''string'' - file could not be created', 'The recovery step of FLASHBACK DATABASE encountered the creation of a datafile and could not recreate the file. The error from the creation attempt is displayed in another message. The control file file entry for the file is ''UNNAMEDnnnnn''.', 'Use the ALTER DATABASE CREATE DATAFILE statement to create the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38773', 'cannot add data file ''string'' - file already part of database', 'The recovery step of FLASHBACK database encountered the creation of a datafile and could not create the file because the file name is already in use in the database. The control file file entry for the file is ''UNNAMEDnnnnn''.', 'Use the ALTER DATABASE CREATE DATAFILE statement to create the file with a different name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38774', 'cannot disable media recovery - flashback database is enabled', 'An attempt was made to disable media recovery while flashback database was enabled.', 'Use the ALTER DATABASE FLASHBACK OFF statement to disable flashback database, then disable media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38775', 'cannot disable flash recovery area - flashback database is enabled', 'An attempt was made to set DB_RECOVERY_FILE_DEST to null while flashback database was enabled. Flashback database requires DB_RECOVERY_FILE_DEST to be set.', 'Use the ALTER DATABASE FLASHBACK OFF statement to disable flashback database, then disable the flash recovery area.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38776', 'cannot begin flashback generation - flash recovery area is disabled', 'During a database mount, the RVWR process discovered that the flash recovery area was disabled. DB_RECOVERY_FILE_DEST must have been set null or removed from the INIT.ORA file while the database was unmounted.', 'Flashback database requires the flash recovery area to be enabled. Either enable the flash recovery area by setting the DB_RECOVERY_FILE_DEST and DB_RECOVERY_FILE_DEST_SIZE initialization parameters, or turn off flashback database with the ALTER DATABASE FLASHBACK OFF command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38777', 'database must not be started in any other instance.', 'A command was attempted that required the database to be mounted in this instance and not started in any other instance. Standby database recovery through a RESETLOGS and ALTER DATABASE OPEN RESETLOGS require that the database be started in only one instance if flashback database logging is enabled.', 'Ensure that the no other instances are started. Then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38778', 'Restore point ''string'' already exists.', 'The restore point name of the CREATE RESTORE POINT command already exists. A restore point name must be unique.', 'Either use a different name or delete the existing restore point with the same name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38779', 'cannot create restore point - too many restore points.', 'The maximum number of restore points already have been created.', 'Delete some existing restore point and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38780', 'Restore point ''string'' does not exist.', 'The restore point name of the DROP RESTORE POINT command does not exist.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38781', 'cannot disable media recovery - have guaranteed restore points', 'An attempt was made to disable media recovery while there is at least one guaranteed restore point.', 'Drop all guaranteed restore points and then disable media recovery.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38782', 'cannot flashback database to non-guaranteed restore point ''string''', 'An attempt was made to flashback database to a non-guaranteed restore point while flashback database is off. You can only flashback a database to guaranteed restore point when flashback database is not on.', 'Consider picking a guaranteed restore point to flashback the database to, if there is one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38783', 'Instance recovery required.', 'An attempt was made to create a restore point when the database is in mount mode but it was not shutdown cleanly before it was mounted. In order to create a restore point when the database is mounted, the database must be shutdown cleanly before it is mounted.', 'Consider one of the following:' || '<p>' || '1. Create the restore point after opening the database.' || '<p>' || '' || '<p>' || '2. Open the database, shut it down cleanly, mount the database, and retry creating the restore point.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38784', 'Cannot create restore point ''string''.', 'An attempt to create a restore point failed. See other errors on the error stack for the specific reason.', 'Fix the problem and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38785', 'Media recovery must be enabled for guaranteed restore point.', 'Media recovery is not enabled. Media recovery must be enabled in order to create a guaranteed restore point.', 'Turn on media recovery with an ALTER DATABASE ARCHIVELOG statement and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38786', 'Flash recovery area is not enabled.', 'An attempt was made to perform a command that requires Flash recovery area to be enabled.', 'Set DB_RECOVERY_FILE_DEST to an appropriate location and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54028', 'cannot change the HIDDEN/VISIBLE property of a virtual column', 'Attempted to change the HIDDEN/VIRTUAL property of a virtual column', 're-issue the DDL without the virtual column property change', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41007', 'sid field is null', 'A session id instance passed into a dbms_tsm procedure or function had a null sid field.', 'Check the session id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41008', 'serial# field is null', 'A session id instance passed into a dbms_tsm procedure or function had a null serial# field.', 'Check the session id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41009', 'Session with session number string, serial number string does not exist', 'An attempt to migrate was made, which failed because of invalid session number and/or serial number.', 'Check the session number and serial number and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41010', 'No more memory to hold connection state information', 'An attempt to reference more connections than configured', 'Check the connection information and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41011', 'Operation failed for session id string, serial number string', 'An migration related operation failed because of contention between sessions.', 'Check the additional error codes for more information, and retry operation later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41012', 'Migration not allowed for session number string, serial number string', 'An attempt to migrate was made, which failed because the session specified cannot be migrated.', 'Check the session number and serial number and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41013', 'instance name not specified', 'An attempt to migrate was made, which failed because the instance name specified was null.', 'Check the instance name, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41648', 'invalid sequence of child elements in "string" element', 'An attempt was made to specify an invalid sequence of elements within a parent element.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41649', 'invalid rule condition for a rule class involving composite events', 'An attempt was made to add an invalid rule condition to a rule set defined for composite events.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41650', 'invalid composite event structure', 'A composite event structure may only have attributes that are either table aliases or of an object type that is defined in the owner''s schema.', 'Ensure that the event structure has no scalar attributes and all the embedded types in it are defined in the owner''s schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41651', 'Event structure object type has one or more dependent objects', 'An attempt was made to configure an object type that has one or more dependents as a event structure. The object type cannot be modified due to the dependent objects.', 'Create a new object type for the event structure and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41652', 'invalid value for the equal attribute in the rule condition', 'An invalid value is assigned to the equal attribute in the rule condition.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41653', 'inconsistent value for the "count" attribute of the "any" element', 'The value specified for the "count" attribute of the "any" element is greater than or equal to the the number of primitive events appearing in the rule condition.', 'Specify a smaller value for the "any" element''s "count" attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41654', 'insufficient number of primitive events for the use of "sequence"', 'An attempt was made to use "sequence" attribute when there is an insufficient number of primitive events in the rule conditions.', 'Remove the sequence specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41655', 'rule condition construct not supported: string', 'An attempt was made to use a rule condition construct that is not supported in the current release.', 'Modify the rule condition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41656', 'insufficient number of child elements in "string" element.', 'An attempt was made to use fewer than two elements within an "and" or "notany" element.', 'Specify at least two elements within the parent element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41657', 'rule class internal objects cannot be dropped', 'An attempt was made to drop an internal object that is required for a rule class.', 'Drop the rule class associated with this object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41658', 'invalid value for the "count" attribute in the "any" element', 'An invalid value is assigned to the count attribute in the rule condition. The values should be a positive integer that is smaller than the number of object elements within the "any" element.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41659', 'invalid primitive event "string" for the rule class', 'An attempt was made to use an invalid primitive event in a rule condition.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41660', 'ordering property for the rule class is too long', 'An attempt was made to configure the rule class with an ordering property that is longer than 240 characters.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41661', 'the system generated rule class package has errors', 'An attempt was made to use a rule class configuration that was not supported.', 'File a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41662', 'number of primitive events in the composite event exceeds maximum limit', 'An attempt was made to create a composite event structure with more than 32 primitive events.', 'Use a composite event that consists of fewer primitive events.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41663', 'invalid use of "equal" or "sequence" attribute with a single event', 'An attempt was made to use "equal" or "sequence" attribute when the "count". attribute in a rule condition with "any" semantics is set to 1.', 'Remove the "equal" and "sequence" specifications.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41664', 'invalid consumption policy for the primitive event', 'An attempt was made to use EXCLUSIVE consumption policy for a primitive event when the composite event is configured for RULE consumption policy.', 'Correct the rule class properties and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41665', 'conflicting values for duration, consumption, and autocommit policies', 'An attempt was made to use an EXCLUSIVE consumption policy with no autocommit and a duration other than TRANSACTION or SESSION.', 'Modify the rule class properties and try again. Autocommit should be set to YES when the consumption policy is EXCLUSIVE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41666', 'XML schema validation failed when validating against string', 'The user input has undefined element or attribute according to the provided XML schema definition.', 'Correct the user inputs and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41667', 'rule class results view name already used for an existing object', 'An attempt was made to use a duplicate name for the rule class results view.', 'Use a different name for the rule class results view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41668', 'invalid operation for the rule class', 'An attempt was made to use an invalid operation for the rule class.', 'No action necessary. This is an informational message only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41669', 'invalid list of primitive event identifiers', 'An attempt was made to pass an empty list of primitive event identifiers to the CONSUME_PRIM_EVENTS API.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41670', 'duplicate or invalid event name in equal specification', 'An attempt was made to specify a duplicate or invalid primitive event for the rule class''s equal property.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41671', 'duplicate table names in the event structure with table aliases', 'The table used for an event structure has the same name as another table or a primitive event type in the event structure.', 'Use an event structure with distinct table names for table aliases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41672', 'invalid rowid passed in for "string" table', 'An attempt was made to pass a NULL or invalid rowid for a table in the event structure.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39502', 'failed to notify CRS of a Startup/Shutdown event [string] (ignored)', 'The instance was unable to create an environment context.', 'None Required. The error is ignored.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41673', 'sequence attribute not allowed in rule conditions using table aliases', 'An attempt was made to use sequence attribute in a rule condition that is defined using table aliases. Sequence usage is not permitted for the lack of timestamp attribute.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41674', 'dmlevents policy allowed only for event structures with table aliases', 'An attempt was made to use the dmlevents policy for an event structure with no table alias constructs.', 'Correct the rule class properties and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41675', 'schema for data tables does not match that of the rule class', 'An attempt was made to use the dmlevents policy for a rule class that refers to table residing in different schema. To use the dmlevents policy, the table associated with table aliases in the event structure and the rule class should exist in the same schema.', 'Remove dmlevents specification from rule class properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41676', 'invalid use of dmlevents policy for primitive event', 'An attempt was made to use the dmlevents policy for a primitive event defined with more than one table alias attribute.', 'Remove the dmlevents specification from the rule class properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41677', 'DML event trigger creation failed with string', 'Triggers could not be created on the data table to track DML events.', 'Remove the dmlevents specification from the rule class properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41678', 'conflicting values for the autocommit and dmlevents policies', 'An attempt was made to use dmlevents policy in combination with autocommit set to YES. This combination is not allowed.', 'Set autocommit to NO and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41679', 'dmlevents specification only allowed with table alias attributes', 'An attempt was made to use the dmlevents policy for an event structure not containing any table alias attributes.', 'Remove the dmlevents specification from the rule class properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41680', 'Rules Manager background process string does not exist', 'An attempt was made to use a Scheduler process that does not exist.', 'Execute EXFSYS.RLM$CREATE_SCHEDULER_JOBS procedure as a privileged user.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41681', 'clean up of expired events failed', 'The background process that cleans up the expired events failed for a rule class.', 'Invoke EXFSYS.DBMS_RLMGR_UTL.CLEANUP_EVENTS API for the exact nature of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41682', 'invalid rule class package', 'An attempt was made to use a rule class package with invalid signature or permissions.', 'Drop the rule class and recreate it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41683', 'unable to lock a rule in the rule class', 'A rule matching the current event is locked by another session.', 'Reissue the command after committing the other sessions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41684', 'invalid value for the RLM$ENABLED column', 'An attempt was made to insert or update a value other than ''Y'' or ''N'' into the RLM$ENABLED column of a rule class table.', 'Retry the DML statement with a value of ''Y'' or ''N'' for the RLM$ENABLED column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41685', 'invalid window specification for the collection element', 'An invalid attribute value was specified for the "windowlen" or the "windowsize" attribute. The value specified for the "windowlen" attribute should be a number indicating the number of days or a fraction of a day. The value specified for the "windowsize" attribute should be an integer which indicates number of items in the collection. The maximum value allowed for the window specification is 64000.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41686', 'use of "collection" invalid for the primitive event', 'An attempt was made to define a rule condition with "collection" element when the corresponding event was not configured for collections of events.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41687', 'attribute "string" not allowed in the "groupby" specification', 'The attributes listed in the "groupby" specification in a rule condition were not a subset of the attributes specified in the rule class properties.', 'Correct the "groupby" specification for the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41688', 'invalid value for the "groupby" attribute', 'An invalid value was specified for the "groupby" attribute.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41689', 'invalid collection specification in the rule condition', 'An attempt was made to insert a rule condition with invalid collection element specification.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41690', 'maximum number of grouping expressions for a rule class exceeded', 'An attempt was made to specify more than 32 expressions for the "groupby" clause in rule class properties.', 'Use fewer than 32 expressions for the "groupby" clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41691', 'invalid aggregate specification: string', 'The aggregate operation specified in the rule condition was invalid.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41692', 'unsupported aggregate operator in the having/compute clause: string', 'An attempt was made to use an unsupported aggregate operator in the having or the compute clause in the rule condition.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41693', 'invalid attribute or data type for an aggregate operator: string', 'An attempt was made to apply an aggregate operator on an invalid attribute or an attribute with invalid or unsupported data type in the aggregate operator. Only NUMBER and DATE attributes are allowed in the aggregate operators.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41694', 'invalid equal specification around: string', 'An attempt was made to specify an invalid equal clause for a rule condition or the rule class properties.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41695', 'equal specification should have a minimum of two elements', 'An attempt was made to specify fewer than two elements in the equal clause for a rule condition or the rule class properties.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41696', 'invalid operator in the having clause: string', 'An attempt was made to use an invalid relational operator in the having clause of the rule condition.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41697', 'attribute prefix missing in aggregate specification: string', 'An attempt was made to specify an aggregate predicate across multiple primitive event types with no attribute prefix.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41698', 'invalid use of "string" attribute in aggregate predicate', 'An attempt was made to use an attribute where a literal is expected in the aggregate predicate in the rule condition.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41699', 'maximum number of aggregate operations per rule condition exceeded', 'An attempt was made to specify more than 5 aggregate operations in a rule condition.', 'Correct the input an try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41700', 'a conditions table already exists for the event structure', 'A table storing the primitive rule conditions was already assigned to the event structure.', 'No action necessary. This is an informational message only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41701', 'conditions table with a rule class association cannot be truncated or dropped', 'An attempt was made to truncate or drop a conditions table when one or more rule classes are associated to it through the event structure.', 'Drop the rule class before truncating or dropping the conditions table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41702', 'invalid conditions table', 'An attempt was made to use an invalid conditions table.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41703', 'invalid child node in "object" element with "ref" attribute', 'An attempt was made to use both a condition and a "ref" attribute in the "object" element.', 'Remove the "ref" attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41704', 'invalid condition reference: "string"', 'An attempt was made to use a reference to a nonexistent conditions table or a condition.', 'Ensure that the conditions table exists for the primitive event and the value specified for the "ref" attribute of the "object" element is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41705', 'conditions table cannot be dropped with DROP TABLE command', 'An attempt was made to drop a conditions table with a DROP TABLE command.', 'Use DBMS_RLMGR.DROP_CONDITIONS_TABLE instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41706', 'a condition referenced in rule conditions may not be deleted', 'An attempt was made to delete a condition when one or more rule conditions refer to it.', 'Delete the rules before deleting the conditions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41707', 'unsupported construct with collection events: "string"', 'An attempt was made to define a collection rule condition with unsupported constructs.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41708', 'the identifier for the shared condition may not be modified', 'An attempt was made to update the identifier of a row stored in the conditions table.', 'Insert a row with the new identifier instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41710', 'invalid use of aggregate operator for a noncollection event', 'An attempt was made to specify an aggregate operator on an event that is not identified as collection.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41711', 'invalid attribute in the rule condition''s having clause', 'An invalid attribute is used in the specification for the having clause of the rule condition.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41712', 'missing groupby specification for the collection "string"', 'An attempt was made to use a collection element with no groupby specification in the rule condition.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41713', 'invalid use of "windowlen" and "windowsize" attributes', 'An attempt was made to use the windowlen and windowsize attributes within the same collection element.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41714', 'invalid use of window specification with SESSION/TRANSACTION duration', 'An attempt was made to use the windowlen or windowsize attributes when the events are configured for SESSION or TRANSACTION duration.', 'Remove the window specification and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41721', 'invalid use of DMLEVENTS and CNFEVENTS in rule class properties', 'An attempt was made to specify both the DMLEVENTS and CNFEVENTS for the same rule class.', 'Remove either the DMLEVENTS or the CNFEVENTS specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41722', 'insufficient privileges for database change notification', 'An attempt was made to use CNFEVENTS property with insufficient privileges.', 'Grant CHANGE NOTIFICATION privilege and EXECUTE privilege on DBMS_CHANGE_NOTIFICATION to the user and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42000', 'invalid online redefinition column mapping for table "string"."string"', 'An attempt was made to change the logical structure of a materialized view log, queue table, or a partition by specifying a non-NULL column mapping during online redefinition.', 'Pass a NULL column mapping parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42001', 'online redefinition options require COMPATIBLE parameter to be string or greater', 'The following types of redefinition require a 10.2 or higher compatibility setting:' || '<p>' || 'o redefining a materialized view log' || '<p>' || '' || '<p>' || 'o redefining a table with objects' || '<p>' || '' || '<p>' || 'o redefining a clustered table' || '<p>' || '' || '<p>' || 'o redefining an AQ queue table' || '<p>' || '' || '<p>' || 'o redefining a table partition The following types of redefinition require an 11.0 or higher compatibility setting:' || '<p>' || '' || '<p>' || 'o redefining a table with a materialized view log' || '<p>' || '' || '<p>' || 'o redefining a table with dependent materialized views', '0', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42002', 'partition "string" of table "string"."string" not being redefined', 'An attempt was made to redefine a partition which is not involved in this redefinition.', 'Pass a valid partition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42003', 'partition must be specified for this redefinition', 'A partition was involved in this redefinition but was not specified.', 'Specify the partition involved in this redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42004', 'redefinition not instantiated', 'An attempt was made to complete an instantiation-deferred redefinition without invoking dbms_redefinition.sync_interim_table.', 'Invoke dbms_redefinition.sync_interm_table to instantiate this redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44903', 'Cannot create hard link to specified resource', 'The system cannot create a hard link to the specified resource.', 'Check the configuration parameter(s) to verify the restrictions on creating hard links to folder or non-folder resources.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44904', 'target path in document link exceeds maximum length', 'Target path length exceeds the maximum which can be stored to disk.', 'Reduce target path to smaller length', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44905', 'extended link type not supported', 'XLink type attribute is extended.', 'Remove extended link, or replace with simple link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44906', 'unable to resolve target in document link', 'target path does not resolve to valid resource.', 'check validity of target path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44907', 'can not delete with incoming hard document links', 'there is a hard document link with this resource as the target.', 'query DOCUMENT_LINKS view to see which resource has a hard link to this resource. Change the document link in the source resource accordingly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44908', 'found a loop in XInclude elements while expanding string', 'There is a loop in XInclude elements within the document.', 'Remove the loop in XInclude elements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44909', 'href attribute is required within XInclude element', 'The href attribute is missing within XInclude element.', 'Add the href attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44910', 'xpointer not supported within XInclude element', 'The xpointer attribute is specified within XInclude element.', 'Remove the xpointer attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44911', 'exceeded maximum depth of nested xinclude expansion', 'The depth of nested xinclude expansion has exceeded system limit.', 'Reduce the depth of nested xinclude expansion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44912', 'invalid or unsupported xpath expression string', 'The specified xpath is either invalid or unsupported in this context.', 'Change the xpath expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44913', 'error while processing XInclude string', 'There was an error while processing the specified XInclude.', 'Ensure that the XInclude attributes are correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46000', 'Invalid option to enable Extensible Data Security', 'Input value was not a valid option to enable XDS.', 'Use a valid option to enable XDS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46001', 'string is not valid for Extensible Data Security policies', 'An illegal argument value was used with DBMS_RLS to enable XDS.', 'Use DBMS_XDS to enable XDS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46002', 'Privilege "string" is not valid in Data Security Document for "string"', 'An invalid privilege was specified in the Data Security Document.', 'Correct the privilege element in the document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46003', 'Column "string" is not valid in Data Security Document for "string"', 'An invalid column was specified in the Data Security Document.', 'Correct the column element in the document. /////////////////////////////////////////////////////////////////////////// 46050 - 46099 Reserved for eXtensible Security Sessions (XSS) ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46051', 'Invalid XS user specified', 'An invalid extensible security user was specified.', 'Check the user name and execute the function or procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46052', 'Invalid Session ID specified', 'An invalid extensible security session ID was specified.', 'Check the session ID and execute the function or procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46053', 'Invalid Cookie specified', 'An invalid extensible security session cookie was specified.', 'Check the session cookie and execute the function or procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46054', 'Invalid Namespace specified', 'An invalid extensible security application namespace was specified.', 'Check the namespace and execute the function or procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46055', 'Invalid Role specified', 'An invalid extensible security role was specified.', 'Check the role and execute the function or procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46056', 'Invalid Namespace or Attribute specified', 'An invalid extensible security application namespace or attribute was specified.', 'Check the namespace and attribute, and execute the function or procedure again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46057', 'Namespace already exists', 'The specified extensible security application namespace was already in existence.', 'Execute the function or procedure with a different namespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46058', 'Invalid attribute specified', 'An invalid extensible security application namespace attribute was specified.', 'Check the attribute, and execute the function or procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46059', 'Invalid ACL identifier specified', 'The specified ACL identifier is invalid.', 'Check the ACL identifier, and execute the function or procedure again with a valid ACL ID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46060', 'Username not specified', 'Extensible security Username was not specified.', 'Execute the function or procedure with a username.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46061', 'Session ID not specified', 'Extensible security Session ID was not specified.', 'Execute the function or procedure with a session ID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46062', 'Namespace not specified', 'Extensible security Application namespace was not specified.', 'Execute the function or procedure with a namespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46063', 'Not attached to XS session', 'Not attached to an Extensible security session.', 'Attach to a XS session and execute the function or procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46064', 'Attribute name not specified', 'Extensible security Application namespace attribute name was not specified.', 'Execute the function or procedure with an attribute name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46065', 'Attribute value not specified', 'Extensible security Application namespace attribute value was not specified.', 'Execute the function or procedure with an attribute value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46252', 'Cannot complete the operation, overlapping job already exists', 'Cleanup job already existed which spanned the given audit trail type.', 'Drop the existing job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46253', 'Cannot complete the operation, overlapping property already exists', 'The property already exists which spans the given audit trail type.', 'Clear the existing property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46254', '''string'' already exists', 'The value being set already existed.', 'Delete the existing entry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46255', 'Incorrect job name specified', 'The job did not exist or was not created by DBMS_AUDIT_MGMT package.', 'Create the job using DBMS_AUDIT_MGMT package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46256', 'Internal error: Audit Table not partitioned', 'Invalid operation on a non partitioned table.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46257', 'Property ''string'' cannot be cleared', 'The property could not be cleared.', 'None. The property can only be set or reset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46258', 'Cleanup not initialized for the audit trail', 'DBMS_AUDIT_MGMT.INIT_CLEANUP was not called for the erroring audit trail.', 'Invoke the procedure, DBMS_AUDIT_MGMT.INIT_CLEANUP.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46260', 'Error during audit trail cleanup', 'The audit trail cleanup operation could not be completed.', 'Check the UNIX error number for a possible operating system error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46261', 'Error during audit trail cleanup, internal error', 'The audit trail cleanup could not be completed because of an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46262', 'Audit table(s) cannot be moved to ''string'' tablespace', 'The tablespace was either unavailable or did not have enough space to accomodate the audit table being moved.', 'Make sure that the tablespace is online and has enough space for the audit tables being moved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46263', 'The audit trail is already initialized for cleanup', 'DBMS_AUDIT_MGMT.INIT_CLEANUP was already invoked for the audit trail type.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46264', 'Error during DBMS_AUDIT_MGMT operation', 'Could not complete the operation.', 'Check the PL/SQL error stack for a possible error. If there is no error, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47000', 'Factor Type string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47001', 'Factor Type string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47002', 'error creating Factor Type string, string', 'An unexpected error occurred creating the factor type', 'Please review the definition and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47003', 'error deleting Factor Type string, string', 'An unexpected error occurred deleting the factor type', 'Please review the definition and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47004', 'error updating Factor Type string, string', 'An unexpected error occurred updating the factor type', 'Please review the definition and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47005', 'error renaming Factor Type string, string', 'An unexpected error occurred renaming the factor type', 'Please review the definition and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47020', 'Factor string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47021', 'Factor string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47022', 'error creating Factor string, string', 'An unexpected error occurred creating the factor', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47023', 'error deleting Factor string, string', 'An unexpected error occurred deleting the factor', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47024', 'error updating Factor string, string', 'An unexpected error occurred updating the factor', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47025', 'Factor Link already exists for string and string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47026', 'error creating Factor Link for string and string, string', 'An unexpected error occurred creating the factor link', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47027', 'Factor Link does not exist for string and string', 'The factor link referenced does not exist', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47028', 'error deleting Factor Link for string and string, string', 'An unexpected error occurred deleting the factor link', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47040', 'Identity string for Factor string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47041', 'Identity string for Factor string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47042', 'error creating Identity string for Factor string, string', 'An unexpected error occurred creating the identity', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47043', 'error deleting Identity string for Factor string, string', 'An unexpected error occurred deleting the identity', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47344', 'error updating Rule Set string, string', 'An unexpected error occurred updating the rule set', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47360', 'Rule string already added to Rule Set string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47361', 'Rule string not associated to Rule Set string', 'The rule specified is not associated to the rule set', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47362', 'error adding Rule string to Rule Set string, string', 'An unexpected error occurred adding the rule to the rule set', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47363', 'error deleting Rule string from Rule Set string, string', 'An unexpected error occurred deleting the rule to the rule set', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47381', 'OLS Policy string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47382', 'OLS Policy Label string not found for policy string', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47383', 'error capturing the session state information', 'An internal error occurred capture the session state', 'Please retry the operation if possible', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47390', 'failed to audit event, string', 'An internal error auditing the operation', 'Please retry the operation if possible', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47391', 'attempt to set Factor string violates Rule Set string', 'An attempt to set the factor violated the associated rule set', 'Please check to ensure you have the ability to set the factor', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47392', 'Factor string cannot be set', 'The attempt to set the factor is not allowed', 'This factor cannot be set so there is no corrective action', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47393', 'Factor string value not allowed', 'The value being assigned to the factor is not allowed', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47394', 'Factor assignment rule set not defined', 'The rule set being associated to the factor does not exist', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48162', 'string buffer too small to hold input, [string], [string], [string]', 'The string buffer is too small to copy an input string into.', 'Check the size of the string buffer and the input string. Look in the argument for the location in the code where the error occurs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48163', 'error concatenating directory onto path, [string], [string], [string]', 'Error encountered while concatenating a directory onto a path name.', 'Check the error returned by the OS and the size of the input and output buffers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48164', 'error concatenating file onto path, [string], [string], [string]', 'Error encountered while concatenating a directory onto a path name.', 'Check the error returned by the OS and the size of the input and output buffers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48165', 'user missing read, write, or exec permission on specified ADR Base directory [string]', 'The specified ADR Base Directory does not have the correct permissions.', 'Check the read, write, and exec permissions on the specified ADR Base Directory', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48166', 'error with opening ADR block file because file does not exist [string] [string]', 'An error was encountered with opening an ADR block file because the file does not exist.', 'Check the existence of the ADR Block File.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48167', 'invalid argument for checking ADR initialization', 'Invalid arguments were specified for the routine to check ADR initialization.', 'Check the inputs to the ADR initialization routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48168', 'the ADR sub-system is not initialized', 'The ADR subsystem has not been initialized. The requested operation cannot be performed.', 'Check the usage of the call to the ADR services. The ADR sub-system must be initialized for the call to work.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48169', 'incorrect arguments to ADR deferred initialization', 'There are incorrect arguments to the ADR deferred initialization.', 'Check the input arguments. It could be possible that the product is not set up for deferred initialization.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48170', 'unable to lock file - already in use', 'the file is locked by another process, indicating that it is currently in use by another process', 'determine which process legitimately owns this file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48171', 'unable to get share lock - file not readable', 'share lock request was made on a file not open for read access.', 'file must be open read-only or read-write to get a share lock.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48172', 'unable to find a valid ADR base', 'Unable to find a valid ADR base. We tried the ORACLE_BASE, ORACLE_HOME, home, and tmp directories, but none of the directories exist for read/write access.', 'Check the validity of the ORACLE_BASE, ORACLE_HOME, home, and tmp directories.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48173', 'error checking directory existence during ADR initialization [string]', 'Error encountered when checking directory existence during the initialization of the ADR subsystem. Either the diag or product type directory does not exist underneath the ADR base.', 'The directory in the error message must exist in order for ADR initialization to succeed. Make sure the directories exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48174', 'error encountered with get current working directory', 'There was an error with getting the current working directory.', 'Check the state of the operating system or the size of the path buffer.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48175', 'the path name must not contain the string ''..''.', 'The specified path name contains ''..''.', 'Correct the path name and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48176', 'error translating a path name into its full path name', 'An error was encountered when translating a path name into its full path name.', 'Check the inputted path name to make sure it is a valid relative path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48177', 'file name with full path information [string] not allowed', 'Input was incorrectly specified for the file name. The inputted file name is greater than the maximum length, or the file name has path information. In this case, the file name should not have any path information. The path information should be specified in a separate argument.', 'Check that the string for the file name is not too long and does not have path information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48178', 'error encountered while reading an ADR block file during ADR initialization [string]', 'An error was encountered while reading an ADR block file during the initialization of the ADR subsystem.', 'Check the state of the file system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48179', 'OS file synchronization failure', 'OS command to synchronize the changes to a file with the operating system failed.', 'Check the state of the file system and the amount of free space left on your device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48180', 'OS open system call failure', 'OS open system call failed. The system failed to open or create a file in the requested mode.', 'Check the OS error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48190', 'OS unlink system call failure', 'OS unlink system call failed. The system failed to perform unlink on the specified file.', 'Check the OS error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48191', 'user missing read or write permission on specified file', 'The user does not have valid permissions on the specified file. The user is missing either the read or write permission.', 'Check the permissions of the specified file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48192', 'OS command to move a file failed', 'The OS command to move a file failed.', 'Check the error number associated with the move file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48474', 'Syntax error specifying product, must not be NULL', 'The product clause is being used, but no product name is provided', 'Supply the product name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48475', '[string] is not a valid timestamp', 'The input timstamp string is not in valid format', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48476', 'Cannot write the results out to a file, please check if the environment variable TMPDIR is set or the current directory is not writable', 'The current path may not be writable', 'If the current path is writable, report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48477', 'The input path does not contain any valid ADR homes', 'The input path does not contain any valid ADR homes', 'Check the path if it is valid', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49427', 'No such file or file not accessible [string]', 'The specified file does not exist or cannot be accessed.', 'Create the file or verify file permissions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49428', 'No such directory or directory not accessible [string]', 'The specified directory does not exist or cannot be accessed.', 'Create the directory or verify directory permissions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49429', 'File already exists and OVERWRITE option not specified [string]', 'The client attempted to create a file that already exists.', 'Either remove the file or use the OVERWRITE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49430', 'No such problem [string]', 'The specified problem does not exist.', 'Specify a problem that exists in this repository.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49431', 'No such incident [string]', 'The specified incident does not exist.', 'Specify an incident that exists in this repository.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49432', 'Problem not part of package [string]', 'The specified problem is not included in the package.', 'Specify a problem that is included in the package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49433', 'Incident not part of package [string]', 'The specified incident is not included in the package.', 'Specify an incident that is included in the package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49434', 'Invalid date format', 'An invalid format was used to specify a date', 'Specify the date in a supported format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49435', 'Flood-controlled incident not allowed here [string]', 'A flood-controlled incident cannot be included in a package', 'Specify an incident that is not flood-controlled', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49436', 'Date conversion error [string]', 'An invalid format was used to specify a date', 'Specify the date in a supported format.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49440', 'Warnings while unpacking package, details in file string', 'There were some non-fatal errors when unpacking a package', 'Review the specified unpacking log file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49441', 'Warnings while finalizing package, details in file string', 'There were some non-fatal errors when finalizing a package', 'Review the specified finalize log file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49450', 'Non-zero return code from archiving utility [string] [string]', 'The archiving utility (zip/unzip) returned a warning or error.', 'Verify that the file and directory exist and are readable, and that the file is a valid zip file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49451', 'Archive file structure error [string] [string]', 'The archiving utility (zip/unzip) returned an error indicating that the archive file structure is incorrect.', 'Verify that the file was transferred correctly and that the file is a valid zip file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49452', 'Archiving utility out of memory [string] [string]', 'The archiving utility (zip/unzip) returned an error indicating that it was unable to allocate enough memory.', 'Check for operating system limitations on process memory usage.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49453', 'Invalid command invoking archiving utility [string] [string]', 'The archiving utility (zip/unzip) was invoked with an invalid command line, or with invalid options.', 'Verify that there are no operating system settings affecting the behavior of the archiving utility..', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49454', 'Archive is missing or empty [string] [string]', 'The specified archive does not exist, or is empty.', 'Check if the specified archive exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49455', 'Archive I/O failed [string] [string]', 'An attempt to create, write to or read from an archive failed.', 'Verify that operating system I/O operations are working correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49456', 'Operation failed due to insufficient disk space [string] [string]', 'An operation on an archive failed due to insufficient disk space.', 'Verify that there is sufficient disk space. Check for operating system quotas or other restrictions. ///////////////////////////////////////////////////////////////////////// Errors 49500 - 49599 reserved for Incident Meter Errors /////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49601', 'syntax error: found "string": expecting one of: "string" etc..', 'Syntax error discovered when processing event speciifcation', 'Enter correct event specification', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51001', 'check [string] not found in HM catalog', 'checker name might have been misspelled', 'retry running check with proper checker name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51003', 'run parameters not formatted correctly', 'Run parameters were given in a wrong format', 'Correct the run params text and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51004', 'Check doesn''t take any input params', 'run params were passed to the check, which doesn''t take any inputs', 'don''t pass any run params and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51006', 'unexpected delimter '';'' in the run params text', 'run params were not properly formatted.', 'correct the run params format and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51007', 'parameter [string] not registered with this check', 'Wrong inputs were given to this check.', 'correct the run params and try the check again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51008', 'parameter [string] value is not a proper number', 'the given parameter value is a not a proper number', 'correct the run params and try again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51025', 'check name should be non NULL value', 'NULL value was passed for check name', 'give a proper check name and retry again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51035', 'invalid timeout value', 'User specified an invalid timeout value', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51102', 'cannot change priority of a critical failure string', 'An attempt was made to change priority of a failure with CRITICAL priority.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51103', 'cannot change priority of a closed failure string', 'An attempt was made to change priority of a closed failure.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51105', 'cannot change priority of a failure to CRITICAL', 'An attempt was made to change priority of a failure to CRITICAL.', 'No action is required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-51106', 'check failed to complete due to an error. See error below', 'While executing the check, an unexpected error occured.', 'Check the errors below and try rerunning the check.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54013', 'INSERT operation disallowed on virtual columns', 'Attempted to insert values into a virtual column', 'Re-issue the statment without providing values for a virtual column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54014', 'Resulting table from a CTAS operation contains virtual column(s)', 'Table being created by a CTAS operation contains a virtual column definition', 'Remove the virtual column definition from the table being created', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54015', 'Duplicate column expression was specified', 'Expression of the virtual column being added/created conflicts with an existing/previously specified functional index expression or virtual column expression', 'Change the expression of the virtual column os there are no duplicate expressions', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54016', 'Invalid column expression was specified', 'Virtual column expression is not a valid arithmetic expression. it probably refers to another column in the table', 'Change the expression of the virtual column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54017', 'UPDATE operation disallowed on virtual columns', 'Attempted to update values of a virtual column', 'Re-issue the statment without setting values for the virtual column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54018', 'A virtual column exists for this expression', 'Specified index expression matches an existing virtual column"', 'Re-issue the statment by replacing the index expression with the matching virtual column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54019', 'Virtual column expression cannot be changed because it is a partitioning column', 'Attempted to modify the expression of a virtual column that was also a partitioning column.', 'This is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54020', 'Virtual column expression cannot be changed because it is a subpartitioning column', 'Attempted to modify the expression of a virtual column that was also a subpartitioning column.', 'This is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54021', 'Cannot use PL/SQL expressions in partitioning or subpartitioning columns', 'Attempted to partition a table on a virtual column that contained PL/SQL expressions.', 'This is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54022', 'Virtual column expression cannot be changed because an index is defined on column', 'Attempted to change the expression of a virtual column that was indexed.', 'Alter index unsable. Change expression and then rebuild index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54023', 'Virtual column expression cannot be changed because a constraint is defined on column', 'Attempted to change the expression of a virtual column that had a constraint defined on it.', 'Drop constraint and then change expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54024', 'expression column is not supported for an organization cube table', 'Attempted to create or alter an organization cube table with an expression column', 'These columns are not supported, change the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54025', 'Virtual column cannot have a default value', 'Attempted to alter a virtual column to have a default value.', 'This is not valid, change the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54026', 'Real column cannot have an expression', 'Attempted to alter a real column to have an expression.', 'This is not valid, change the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54027', 'cannot modify data-type of virtual column', 'Attempted to change the data-type of virtual column without modifying the underlying expression', 'change the underlying expression to be compatible with the data-type change', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54029', 'Virtual column cannot be updated in trigger body', 'Attempted to change the value of virtual column in a trigger body"', 'This is not valid, change the trigger definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54030', 'datatype mismatch between virtual column and expression', 'virtual column expression was changed after column was created"', 'change the underlying expression to return datatype that conforms to the virtual column', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54031', 'column to be dropped is used in a virtual column expression', 'Attempted to drop a column that was used in a virtual column expression.', 'Drop the virtual column first or change the virtual column expression to eliminate dependency on the column to be dropped.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54032', 'column to be renamed is used in a virtual column expression', 'Attempted to rename a column that was used in a virtual column expression.', 'Drop the virtual column first or change the virtual column expression to eliminate dependency on the column to be renamed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54033', 'column to be modified is used in a virtual column expression', 'Attempted to modify the data type of a column that was used in a virtual column expression.', 'Drop the virtual column first or change the virtual column expression to eliminate dependency on the column to be modified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54034', 'virtual columns not allowed in functional index expressions', 'An attempt was made to create a functional index with an expression defined on one or more virtual columns.', 'Specify the index expression using only regular columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54035', 'keyword HIDDEN cannot be specified here', 'Attempted to specify HIDDEN key word for a virtual column', 'This is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54036', 'cannot define referential constraint with ON DELETE SET NULL clause on virtual column', 'Attempted to specify ON DELETE SET NULL clause for a referential integrity constraint on a virtual column.', 'Reissue the statement without specifying ON DELETE SET NULL clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54037', 'table must have at least 1 column that is not virtual', 'An attempt was made to create a table with only virtual columns.', 'Include at least 1 column that is not virtual in the table being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54500', 'invalid combination of elements', 'The geometry did not start from the correct level in the hierarchy.', 'Correct the hierarchy in the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54501', 'no holes expected', 'The geometry contained one or more unexpected holes.', 'Remove any holes in the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54502', 'solid not closed', 'The solid geometry was not closed i.e., faces of solid are not 2-manifold due to incorrectly defined, oriented, or traversed line segment because each edge of a solid must be traversed exactly twice, once in one direction and once in the reverse direction.', 'Correct the orientation of the edges of the neighboring polygons.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54503', 'incorrect solid orientation', 'The orientation of the solid was not correct.', 'Correct the orientation or specification of the outer or inner solid geometry according to the geometry rules for such a solid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54504', 'multiple outer geometries', 'The geometry contained more than one outer geometry.', 'Remove all but one of the outer geometries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54505', 'ring does not lie on a plane', 'The ring was not flat.', 'Make sure all of the vertices of the ring are on the same plane.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54506', 'compound curve not supported for 3-D geometries', 'The 3-D geometry contained one or more compound curves, which are not supported for 3-D geometries.', 'Remove all compound curves from the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54507', 'duplicate points in multipoint geometry', 'The multipoint geometry had two points that either had identical coordinates or were the same point considering the geometry tolerance.', 'Make sure all points are different, considering the tolerance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54508', 'overlapping surfaces in a multisolid geometry', 'The multisolid geometry contained one or more fully or partially overlapping surfaces.', 'Ensure that the multisolid geometry contains no overlapping areas.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39111', 'Dependent object type string skipped, base object type string already exists', 'During a Data Pump import job, a dependent object is being skipped because its base object already existed.', 'If the object from the dump file is wanted, drop the base and dependent objects and try to import again using desired filters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39112', 'Dependent object type string skipped, base object type string creation failed', 'During a Data Pump import job, a dependent object is being skipped because its base object creation failed.', 'If the object from the dump file is wanted, drop the base and dependent objects and try to import again using desired filters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39113', 'Unable to determine database version', 'The Data Pump was unable to determine the compatibility level and version of the current database using SYS.DBMS_UTILITY.DB_VERSION.', 'Make sure access to the DBMS_UTILITY package is granted to you. If this is a network job, be sure that access to the DBMS_UTILITY package is granted to you on the remote instance.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39114', 'Dump files are not supported for network jobs.', 'An attempt was made to add a dumpfile to an Import job that is using a network link to the source database.', 'Do not specify a dumpfile for jobs that do not require dumpfiles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39115', 'string is not supported over a network link', 'An attempt was made to use an option that is not supported over network links such as the PARTITION_LIST filter.', 'Do not attempt to use Data Pump features on network jobs if they are not compatible with jobs over the network.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39116', 'invalid trigger operation on mutating table string.string', 'A Data Pump load operation failed because a trigger attempted to fire on the table while it was mutating.', 'Disable trigger(s) on the specified table. Also see ORA-004091.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39117', 'Type needed to create table is not included in this operation. Failing sql is: string', 'A create table was attempted and a dependent type does not exist in the dumpfile or on the target database. Either the export or the import Data Pump job was a table mode job and types are not included in table mode jobs.', 'Determine which type(s) are missing and create them on the target system and run the Data Pump import job again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39119', 'worker process interrupt for delete worker processes call by master process', 'The master process that created this worker process called delete worker processes to abort the current operation.', 'No action is necessary. This is an informational error message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39120', 'Table string can''t be truncated, data will be skipped. Failing error is: string', 'Table data was about to be loaded into a table that already existed and the table_exists_action parameter is truncate, but the table could not be truncated.', 'Determine actual cause by looking at base error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39121', 'Table string can''t be replaced, data will be skipped. Failing error is: string', 'Table data was about to be loaded into a table that already existed and the table_exists_action parameter is replace, but the table could not be dropped.', 'Determine actual cause by looking at base error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39122', 'Unprivileged users may not perform string remappings.', 'A user attempted to remap objects during an import but lacked the IMPORT_FULL_DATABASE privilege.', 'Retry the job from a schema that owns the IMPORT_FULL_DATABASE privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39123', 'Data Pump transportable tablespace job aborted string', 'A DBMS_PLUGTS procedure failed and the Data Pump operation could not continue so it was aborted. The DBMS_PLUGTS failure listed describes the original error.', 'Look at the DBMS_PLUGTS error to determine actual cause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39124', 'dump file name "string" contains an invalid substitution variable', 'The substitution variable ''%'' must be followed by ''%'',''u'', or ''U''.', 'Correct the substitution variable in the dump file name and re-enter the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39125', 'Worker unexpected fatal error in string while calling string [string]', 'An unhandled exception was detected internally within the worker process for the Data Pump job while calling the specified external routine. This is an internal error. Additional information may be supplied.', 'If problem persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39126', 'Worker unexpected fatal error in string [string] string', 'An unhandled exception was detected internally within the worker process for the Data Pump job. This is an internal error. Additional information may be supplied.', 'If problem persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39127', 'unexpected error from call to string string', 'The exception was raised by the function invocation, a procedural action extension of export.', 'Record the accompanying messages and report this as a Data Pump internal error to customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39128', 'unexpected DbmsJava error number from statement string', 'The error was returned from a call to a DbmsJava procedure.', 'Record the accompanying messages and report this as a Data Pump internal error to customer support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39129', 'Object type string not imported. Name conflicts with the master table', 'The table being imported from the remote instance has the same name as the master table running this Data Pump job.', 'Rerun the Data Pump job with a nonconflicting name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39130', 'Object type string not imported. Base object name conflicts with the master table', 'The object being imported from the remote instance is dependent on an object that has the same name as the master table running this Data Pump job.', 'Rerun the Data Pump job with a nonconflicting name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39132', 'object type "string"."string" already exists with different hashcode', 'An object type could not be created because there was already a type with the same name but a different hashcode on the target system. Tables in the transportable tablespace set that use this object type cannot be read.', 'Drop the object type from the target system and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39133', 'object type "string"."string" already exists with different typeid', 'An object type in a transportable tablespace set already exists on the target system, but with a different typeid. The typeid could not be changed because the type is used by an existing table. Tables in the transportable tablespace set that use this object type cannot be read.', 'Drop the object type from the target system and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39134', 'Cannot include "string" tablespace as a Transportable Tablespace', 'The user attempt to specify the SYSAUX or SYSTEM tablespace as a member of the transportable tablespace list in the current job. These tablespaces may not be transported between databases.', 'Specify different tablespaces to be transported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39135', 'File "string" is already a member of this dump set', 'An attempt was made to add a new file to an export job but a file with the same name already exists in the dump set for the job.', 'Reenter the new file information using a different file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39136', 'cannot specify an SCN on a transportable job', 'A target SCN was specified for a table in a transportable job by the streams or logical standy components which was not the defaulted SCN for the table.', 'This is an internal error. Please report it to Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46104', 'Security class string cannot inherit from base security classes', 'Definition of a security class specified an internal base security class as a parent security class.', 'Remove the internal base security class from the "inherits-from" list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46105', 'Unable to load security class string', 'The specified security class did not exist.', 'Create resource for the security class.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46106', 'Missing parent security class for security class string', 'The specified security class did not have any parent security class.', 'Add a parent security class using "inherits-from" tag.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46107', 'Unable to load security class for privilege string:string', 'The specified privilege did not exist.', 'Create a security class resource for the privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46108', 'Invalid security class targetNamespace or name.', 'The security class targetNamespace attribute was either null or was longer than 4000 characters. Or, the security class name attribute was either null or was longer than 1024 characters.', 'Provide valid targetNamespace and name attributes. /////////////////////////////////////////////////////////////////////////// 46250 - 46350 Reserved for Database Auditing ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46250', 'Invalid value for argument ''string''', 'Input value was not valid for the procedure.', 'Use a valid option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46251', 'Value for argument ''string'' out of range', 'Input value was out of range.', 'Use a value within allowed range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47044', 'error updating Identity string for Factor string, string', 'An unexpected error occurred updating the identity', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47060', 'Identity map for Identity string.string, Factor Link string, string already defined for operation string on string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47061', 'Identity map for Identity string.string, Factor Link string, string not found for operation string on string', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47062', 'error creating Identity map for Identity string.string, Factor Link string, string already defined for operation string on string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47063', 'error deleting Identity map for Identity string.string, Factor Link string, string already defined for operation string on string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47080', 'code string already defined in group string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47081', 'code string not found in group string', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47100', 'Command Rule string already defined for string.string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47101', 'Command Rule string not found for string.string', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47102', 'error creating Command Rule string for string.string, string', 'An unexpected error occurred creating the command rule', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47103', 'error deleting Command Rule string for string.string, string', 'An unexpected error occurred deleting the command rule', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47104', 'error updating Command Rule string for string.string, string', 'An unexpected error occurred updating the command rule', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47105', 'invalid object owner string for command string', 'The object owner is invalid for this command', 'Choose an object owner other than SYS or a wildcard for this command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47120', 'Document string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47121', 'Document string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47140', 'Factor expression string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47141', 'Factor expression string not found', 'The object being requested does not exists', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47160', 'Factor link string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47161', 'Factor link string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47180', 'Integration Policy for OLS Policy string is already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47181', 'Integration Policy for OLS Policy string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47182', 'Label algorithm string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47183', 'error creating Integration Policy for OLS Policy string, string', 'An unexpected error occurred creating the integration policy', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47184', 'error updating Integration Policy for OLS Policy string, string', 'An unexpected error occurred updating the integration policy', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47185', 'error deleting Integration Policy for OLS Policy string, string', 'An unexpected error occurred deleting the integration policy', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47200', 'Integration Policy Factor already defined for Factor string and Policy string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47201', 'Integration Policy Factor not found for Factor string and Policy string', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47202', 'error creating Integration Policy Factor for factor string and policy string, string', 'An unexpected error occurred creating the integration policy factor', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47203', 'error deleting Integration Policy Factor for factor string and policy string, string', 'An unexpected error occurred deleting the integration policy factor', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47220', 'Label string for Identity string.string under OLS Policy string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47221', 'Label string for Identity string.string under OLS Policy string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54509', 'solid not attached to composite solid', 'To connect solids in a composite solid geometry, at least one of the faces of a solid must be shared (fully or partially) with only another solid. However, at least one of the faces in this composite solid was not shared by exactly two solids only.', 'Ensure that at least one face in a composite solid is shared by exactly two solids.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54510', 'no outer geometry expected', 'An outer geometry was found when only inner geometries were expected.', 'Remove all outer geometries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54511', 'edges of inner and outer solids intersect', 'An inner solid had a common edge with outer solid.', 'Ensure that edges of inner and outer solids do not intersect.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54512', 'a vertex of an inner solid is outside corresponding outer solid', 'A solid geometry contained an inner solid with at least one vertex outside its corresponding outer solid.', 'Ensure that all vertices of inner solids are not outside their corresponding outer solid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54513', 'inner solid surface overlaps outer solid surface', 'One or more faces of an inner solid surface either fully or partially overlapped an outer solid surface.', 'Ensure that inner and outer surfaces have no shared (fully or partially overlapping) faces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54514', 'overlapping areas in multipolygon', 'A multipolygon geometry contained one or more common (shared, fully or partially overlapped) polygons.', 'Ensure that no polygons in a multipolygon overlap.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54515', 'outer rings in a composite surface intersect', 'Outer rings, either on the same plane or different planes, in a composite surface intersected.', 'Ensure that outer rings do not intersect. They can share edges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54516', 'adjacent outer rings of composite surface cannot be on same plane', 'The conditional flag was set, and a composite surface had at least two outer rings sharing a common edge on the same plane.', 'Change those outer rings into one larger outer ring.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54517', 'outer ring is on the same plane and overlaps another outer ring', 'An outer ring in a composite surface shared a common area with another outer ring.', 'Ensure that no outer rings fully or partially overlap.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54518', 'shared edge of composite surface not oriented correctly', 'A shared edge (one shared by two polygons) in a composite surface was not correctly oriented. Each shared edge must be oriented in one direction with respect to its first polygon and then in the reverse direction with respect to its second polygon.', 'Reverse one of the directions of the shared edge with respect to its polygons.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54519', 'polygon (surface) not attached to composite surface', 'Not all polygons of a surface had a common (fully or partially shared) edge.', 'Ensure that each polygon is attached to the composite surface by one of its edges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54520', 'inner ring not on the same plane as its outer ring', 'An inner ring was not on the same plane as its outer ring.', 'Ensure that each inner ring is on the same plane as its outer ring.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54521', 'inner ring is not inside or is touching outer ring more than once', 'An inner ring either was not inside its outer ring or touched its outer ring more than once.', 'Ensure that the inner ring is inside its outer ring and does not touch the outer ring more than once. If an inner ring touches its outer ring more than once, then the outer ring is no longer a topologically simple or singly connected polygon (ring).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54522', 'inner rings of same outer ring cannot intersect or share boundary', 'Two inner rings of the same outer ring intersected or shared a boundary.', 'Ensure that line segments of an inner ring do not intersect or fully or partially coincide with line segments of another inner ring sharing the same outer ring.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54547', 'wrong input for COUNT_SHARED_EDGES', 'The COUNT_SHARED_EDGES parameter value was not 1 or 2.', 'Ensure that the COUNT_SHARED_EDGES parameter value is either 1 or 2.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54548', 'input geometry gtype must be GTYPE_POLYGON for extrusion', 'The input geometry gtype was not GTYPE_POLYGON.', 'Ensure that the gtype of the input polygon is GTYPE_POLYGON.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54549', 'input geometry has incorrect elemInfo', 'The input 2-D polygon did not have only one outer ring.', 'Ensure that the input 2-D polygon has only one outer ring.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54550', 'input 2-D polygon not valid', 'The 2-D polygon violated the rules for polygons and rings.', 'Correct the polygon definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54551', 'grdHeight and/or Height array sizes incorrect', 'The sizes of grdHeight and Height arrays were not equal to half the size of input 2-D polygon''s ordinates array. As a result, each point in the 2-D polygon could not be extruded from the grdHeight entry to the Height entry.', 'Ensure that the sizes of the grdHeight and Height arrays are half that of input 2-D polygon ordinates array.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54552', 'height entries must be >= to ground height entries', 'In the definition of a solid, the height values were less than the ground height.', 'Ensure that that height values are greater than or equal to ground height values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54553', 'incorrect geometry for appending', 'The geometry could not be appended to a homogeneous collection (for example, multi-geometry) or to a heterogeneous geometry (for example, collection). In other words, the gtype of the geometry to be appended was neither GYTPE_COLLECTION or GTYPE_MULTI-X (where X is point, curve, surface, or solid).', 'Ensure that the geometries involved in the append operation have appropriate gtypes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54554', 'arcs are not supported as defined', 'An arc was defined in a geometry type in which arcs are not supported. Arcs are supported for 2-D (circle) polygons, 2-D compound polygons, 2-D single arc, and 2-D compound (composite) curves only.', 'Remove or simplify the arcs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54555', 'invalid geometry dimension', 'The geometry did not have three dimensions.', 'Ensure that geometry has three dimensions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54556', 'operation is not supported for 3-D geometry', 'A 3-D geometry was passed into an operation that supports only 2-D geometries.', 'Check the Spatial documentation for operations that are supported and not supported on 3-D geometries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55617', 'Flashback Archive "string" runs out of space and tracking on "string" is suspended', 'Flashback archive tablespace quota is running out.', 'Add tablespace or increase tablespace quota for the flashback archive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55618', 'Insufficient privilege to grant Flashback Archive privilege', 'An attempt was made to grant Flashback Archive privilege.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55619', 'Invalid privilege to grant on Flashback Archive', 'An attempt was made to grant invalid privilege on a Flashback Archive object.', 'Specify valid privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55620', 'No privilege to use Flashback Archive', 'An attempt was made to enable Flashback Archive on a table without such privileges.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55621', 'User quota on tablespace "string" is not enough for Flashback Archive', 'An attempt was made to create or alter a Flashback Archive quota which is larger than the user''s quota.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39137', 'cannot specify a TABLE_EXISTS_ACTION of string for a job with no metadata', 'A job was defined with the TABLE_EXISTS_ACTION parameter set to REPLACE or SKIP, but without metadata. Without metadata, data could not be loaded for the requested table actions.', 'Change the setting of the TABLE_EXISTS_ACTION parameter to APPEND or TRUNCATE or supply Metadata with the data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39138', 'Insufficient privileges to load data not in your schema', 'An unprivileged user attempted to load data into a different schema.', 'Use a privileged account if you must load data not in your schema', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39139', 'Data Pump does not support XMLType objects in version string. string will be skipped.', 'Object had an XMLType column using either an object relational or binary storage format, which is unsupported by Data Pump in the target version.', 'Use the original export and import utilities to move this object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39140', 'dump file "string" belongs to job string', 'When a dump file set consists of multiple files, all files in the set must be specified for an import operation, and all files must have been produced by the same export job. One of the files provided does not belong to the original dump file set. For instance, it was created by a different export job than the other files.', 'Remove the dump file indicated in the message and retry the import operation providing only the complete set of dump files created by a specific export job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39141', 'dump file "string" is a duplicate of dump file "string"', 'When a dump file set consists of multiple files, all files in the set must be specified for an import operation. One of the files provided to import was found to be a duplicate of another dump file in the set. This can occur if the files in the dump set were copied or renamed using operating system utilities and the same dump file was inadvertently copied more than once with different destination names.', 'Remove the dump file indicated in the message and retry the import operation providing only the complete set of dump files created by a specific export job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39142', 'incompatible version number string in dump file "string"', 'A dump file was specified for an import operation whose version number is incompatible with the dump file version of the Data Pump product currently running on the system. Usually this message indicates that the dump file was produced by a newer version of the Data Pump export utility.', 'Import this dump file using the Data Pump import utility with the same version as the export which created the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39143', 'dump file "string" may be an original export dump file', 'A dump file was specified for an import operation which appears to have been created using the original export utility. These dump files cannot be processed by the Data Pump import utility.', 'Try using the original import utility to process this dump file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39144', 'file name parameter must be specified and non-null', 'No file name was provided in an DBMS_DATAPUMP.ADD_FILE API call.', 'Correct the file name parameter and reissue the API request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39145', 'directory object parameter must be specified and non-null', 'No directory object was provided in either an DBMS_DATAPUMP.ADD_FILE API call or to the directory parameter used by the Data Pump command line clients.', 'Correct the directory object parameter and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39146', 'schema "string" does not exist', 'The specified schema was referenced as the source of a REMAP_SCHEMA parameter, but did not exist in the dump file (for', 'Specify the correct name of the schema to be remapped.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39147', 'cannot migrate Data Pump queue table ownership to this instance', 'There are active Data Pump jobs running on another instance in a RAC. All concurrent, active Data Pump jobs must be run on the same instance.', 'Start this job on the same instance where other active Data Pump jobs are running, or wait until they finish.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39148', 'unable to import data into pre-existing queue table string. Table_exists_action of string being ignored for this table', 'A Data Pump import detected that a queue table that was to be imported already exists. Importing data into pre-existing queue tables is not supported.', 'If the data from the dump file is desired, then drop the queue table and perform the import again, or use the import parameter table_exists_action=replace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39149', 'cannot link privileged user to non-privileged user', 'A Data Pump job initiated be a user with EXPORT_FULL_DATABASE/IMPORT_FULL_DATABASE roles specified a network link that did not correspond to a user with equivalent roles on the remote database.', 'Specify a network link that maps users to identically privileged users in the remote database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39150', 'bad flashback time', 'A flashback time was specified for the Data Pump job which either could not be parsed or else could not be translated into a system change number (SCN). This typically occurs when', 'Specify an explicit SCN for the desired flashback rather than a time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39154', 'Objects from foreign schemas have been removed from import', 'An non-privileged user attempted to import objects into a schema other than their own.', 'Either perform the import from a privileged schema or else remap all schemas that were exported into the username running the import.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39155', 'error expanding dump file name "string"', 'Export was unable to expand the directory object and dump file name into a full file name. Subsequent messages will detail the problems.', 'Fix the problems outlined in the secondary messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39156', 'error parsing dump file name "string"', 'Export was unable to parse the dump file name. Subsequent messages will detail the problems.', 'Fix the problems outlined in the secondary messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39157', 'error appending extension to file "string"', 'Export or Import was unable to append the default extension to create the file name. The given file name could be too long or contain illegal characters. Subsequent messages will detail the problems.', 'Fix the problems outlined in the secondary messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39159', 'cannot call this function from a non-Data Pump process', 'Called a Data Pump process model function from a process which is not a Data Pump process.', 'Refer to any other error messages for additional information. If this error occurs from a Data Pump client (e.g. expdp or impdp), try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39160', 'error on whats my name call', 'Attempt to get the Data Pump process name failed.', 'Refer to any following error messages for additional information. If this error occurs from a Data Pump client (e.g. expdp or impdp), try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39161', 'Full database jobs require privileges', 'Either an attempt to perform a full database export without the EXP_FULL_DATABASE role or an attempt to perform a full database import over a network link without the IMP_FULL_DATABASE role.', 'Retry the operation in a schema that has the required roles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47222', 'error creating Label string for Identity string.string under OLS Policy string, string', 'An unexpected error occurred creating the identity label', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47223', 'error deleting Label string for Identity string.string under OLS Policy string, string', 'An unexpected error occurred deleting the identity label', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47240', 'Realm string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47241', 'Realm string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47242', 'error creating Realm string, string', 'An unexpected error occurred creating the realm', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47243', 'error deleting Realm string, string', 'An unexpected error occurred deleting the realm', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47244', 'error updating Realm string, string', 'An unexpected error occurred updating the realm', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47245', 'error renaming Realm string, string', 'An unexpected error occurred renaming the realm', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47260', 'Realm Authorization to string for Realm string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47261', 'Realm Authorization to string for Realm string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47262', 'error creating Realm Authorization to string for Realm string, string', 'An unexpected error occurred creating the realm authorization', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47263', 'error deleting Realm Authorization to string for Realm string, string', 'An unexpected error occurred deleting the realm authorization', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47264', 'error updating Realm Authorization to string for Realm string, string', 'An unexpected error occurred updating the realm authorization', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47280', 'Realm Object string,string.string already defined in Realm string', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47281', 'Realm Object string,string.string not found in Realm string', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47282', 'error adding Realm Object string,string.string to Realm string, string', 'An unexpected error occurred creating the realm object', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47283', 'error deleting Realm Object string,string.string from Realm string, string', 'An unexpected error occurred deleting the realm object', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47284', 'error adding Realm Object string.string. string is not a valid object type', 'The specified object type is not valid.', 'Enter a valid object type for the specified object name, or enter "%" and all objects with the specified name and the specified owner will be added to the realm.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47290', 'error creating VPD policy for Realm string, string', 'An unexpected error occurred creating the VPD policy', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47300', 'Role already string defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47301', 'Role string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47302', 'error creating Role string, string', 'An unexpected error occurred creating the role', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47303', 'error deleting Role string, string', 'An unexpected error occurred deleting the role', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47304', 'error updating Role string, string', 'An unexpected error occurred updating the role', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47305', 'Rule Set violation on string (string)', 'An operation that was attempted failed due to a rule set violation', 'Ensure you have sufficient privileges for this operation retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47320', 'Rule string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47321', 'Rule string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47322', 'error creating Rule string, string', 'An unexpected error occurred creating the rule', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47323', 'error deleting Rule string, string', 'An unexpected error occurred deleting the rule', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47324', 'error updating Rule string, string', 'An unexpected error occurred updating the rule', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47340', 'Rule Set string already defined', 'The object with this name exists already', 'Choose a unique object name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47341', 'Rule Set string not found', 'The object being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47342', 'error creating Rule Set string, string', 'An unexpected error occurred creating the rule set', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47343', 'error deleting Rule Set string, string', 'An unexpected error occurred deleting the rule set', 'Please review the definition for accuracy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47395', 'error returned by Factor string evaluation expression string', 'The factor retrieval method resulted in an error', 'Please review the retrieval method definition for accuracy and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47396', 'error returned by Factor string validation expression string', 'The factor retrieval method resulted in an invalid value based on', 'Please review the factor definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47397', 'incorrect identified by value for Factor string', 'The factor identified by value is incorrect', 'Please review the factor definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47398', 'multiple identities defined for Factor string', 'The factor has duplicate identities defined', 'Please review the factor definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47399', 'incorrect labeled by value for Factor string', 'The factor labeled by value is incorrect', 'Please review the factor definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47400', 'Command Rule violation for string on string', 'An operation that was attempted failed due to a command rule violation', 'Ensure you have sufficient privileges for this operation retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55622', 'DML, ALTER and CREATE UNIQUE INDEX operations are not allowed on table "string"."string"', 'An attempt was made to write to or alter or create unique index on a Flashback Archive internal table.', 'No action required. Only Oracle is allowed to perform such operations on Flashback Archive internal tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55623', 'Flashback Archive "string" is blocking and tracking on all tables is suspended', 'Flashback archive tablespace has run out of space.', 'Add tablespace or increase tablespace quota for the flashback archive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55624', 'The table "string"."string" cannot be enabled for Flashback Archive at this point', 'An attempt was made to enable Flashback Archive again on a table which was just disabled.', 'Try again later.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55625', 'Cannot grant Flashback Archive privilege to a role', 'An attempt was made to grant or revoke Flashback Archive privilege to a role.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55626', 'Cannot remove the Flashback Archive''s primary tablespace', 'An attempt was made to remove the primary tablespace of the Flashback Archive.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55627', 'Flashback Archive tablespace must be ASSM tablespace', 'An attempt was made to add a tablespace that was not an ASSM tablespace.', 'Add tablespace that is created with segment space management auto.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55628', 'Flashback Archive supports Oracle 11g or higher', 'An attempt was made to created a Flashback Archive with incorrect compatible mode or without auto undo management.', 'Use compatible mode equal to 11.0 or higher, and use auto undo management.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55629', 'Event to test Flashback Archiver internal management tasks', 'The purpose of this event is for testing.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55630', 'Flashback Data Archive cannot be enabled on this object', 'An attempt was made to enable Flashback Data Archive on an object which is not supported by Flashback Data Archive.', 'Do not use Flashback Archive clause for this object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55631', 'Table has columns with data types that are not supported by Flashback Data Archive', 'An attempt was made to add a column of data type that is not supported by Flashback Data Archive. Or, the table on which Flashback Data Archive is being enabled contains column(s) with data types not supported by Flashback Data Archive.', 'Do not use FLASHBACK ARCHIVE clause for this object. If adding column, do not use LONG or Nested Table column data type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55632', 'Tablespace has Flashback Archive tables', 'An attempt was made to remove a tablespace that has Flashback Archive tables.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55710', 'Unable to alter system parameter GLOBAL_TXN_PROCESSES at this time', 'The system was in the process of adjusting the number of global transaction background processes.', 'Retry the operation at a later time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55711', 'Unable to bind clusterwide global transactions to compatible undo', 'Undo tablespace was not onlined for automatic undo management.', 'Create undo tablespace if it has not been created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55712', 'XA transactions on RAC are not supported with GLOBAL_TXN_PROCESSES set to 0', 'The initialization parameter GLOBAL_TXN_PROCESSES was set to 0.', 'Set the initialization parameter GLOBAL_TXN_PROCESSES to a value greater than 0.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55713', 'GLOBAL_TXN_PROCESSES cannot be set to 0 at runtime', 'An attempt was made to set initialization parameter GLOBAL_TXN_PROCESSES to 0 at runtime.', 'Set the initialization parameter GLOBAL_TXN_PROCESSES to 0 before starting RAC instance to disable GTX background processes. Note that XA transactions are not supported on RAC database when GTX background processes are disabled.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-55800', 'NLS errors while processing Oracle number', 'Error occurred when trying to convert Oracle number to an integer.', 'Check the input parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56500', 'DRCP: Pool not found', 'The pool name passed was either null or an invalid pool name.', 'Input a valid pool name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56501', 'DRCP: Pool startup failed', 'The connection pool failed to start up.', 'Check logs for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-56502', 'DRCP: Pool is inactive', 'The operation is only supported on an active pool.', 'Start the pool.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39162', 'Transportable tablespace job require privileges', 'User attempted to perform a transportable tablespace job without being having the proper EXP_FULL_DATABASE or IMP_FULL_DATABASE role.', 'Retry the operation in a schema that has the required roles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39163', 'A sample size of string is invalid.', 'An attempt was made to do data sampling on a table with a value outside of the range of 0 - 100.', 'Retry the filtering using a sampling number greater than 0 and less than 100.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39164', 'Partition string was not found.', 'If exporting or importing over the network, the user specified a partition name that was not found in the source database. For importing from files, the user specified a partition name not found in the dump file set.', 'Retry the operation using the correct partition name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39165', 'Schema string was not found.', 'If exporting or importing over the network, either the user specified a schema name that was not found in the source database or else the user lacked the proper EXP_FULL_DATABASE or IMP_FULL_DATABASE role that would allow them to access another schema. For importing from files, the user specified a schema name not found in the dump file set.', 'Retry the operation using the correct schema name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39166', 'Object string was not found.', 'If exporting or importing over the network, either the user specified an object name that was not found in the source database or else the user lacked the proper EXP_FULL_DATABASE or IMP_FULL_DATABASE role that would allow them to access the object another in another schema. For importing from files, the user specified an object name not found in the dump file set.', 'Retry the operation using the correct object name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39168', 'Object path string was not found.', 'If exporting or importing over the network, the user specified an object type path name that was not found in the source database. For importing from files, the user specified an object type path name not found in the dump file set.', 'Retry the operation using the correct object type path name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39169', 'Local version of string cannot work with remote version of string.', 'A Data Pump job specified a network link, but the version on the remote database cannot interoperate with the version on the local database.', 'Do not specify network links between instance running different versions of the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39170', 'Schema expression string does not correspond to any schemas.', 'A schema expression or schema list was supplied for a Data Pump job that did not identify any schemas in the source database.', 'Correct the schema specifications and retry the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39171', 'Job is experiencing a resumable wait. string', 'The Data Pump job is stalled with one or more of its sessions having a resumable wait. Resumable waits are typically caused by a non-expandable tablespace running out of space. The follow-on message describes the nature of the wait.', 'Correct the condition causing the wait. This will typically involve adding datafiles to the tablespace that is full.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39172', 'Cannot remap transportable tablespace names with compatibility of string.', 'The user attempted to remap a tablespace name in a transportable tablespace job when the compatibility level was set below 10.1.', 'Reset the compatibility level of the database to a more recent version.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39173', 'Encrypted data has been stored unencrypted in dump file set.', 'No encryption password was specified for an export job that involved data that was encrypted in the database.', 'No specific user action is required. This is only a warning that secure data may be readable from within the dump file set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39174', 'Encryption password must be supplied.', 'No encryption password was supplied to import a dump file set that was created using an encryption password.', 'Specify the encryption password for the dump file set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39175', 'Encryption password is not needed.', 'An encryption password was supplied to import a dump file set that was not created using an encryption password.', 'No user action is required. This is merely a warning message.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39176', 'Encryption password is incorrect.', 'The wrong encryption password was supplied to import a dump file set.', 'Resubmit the job using the correct encryption password for the dump file set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39177', 'invalid compression value string', 'An invalid value was specified for compression.', 'Correct the value and recreate the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39178', 'cannot perform estimate on metadata only jobs', 'An estimate was requested for a job by specifying the ESTIMATE or ESTIMATE_ONLY parameter. However, the job was also defined to have no data. These specifications conflict with each other.', 'Remove one of the conflicting specifications for the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39179', 'unable to load table "string"."string" because of OID transform', 'The OID transform for the job was set to false and the identified table contained either VARRAYs with non-final types or unscoped REF columns. Both of these column types have embedded OIDs so they', 'You must manually move the data with the specified tables when OIDs are not preserved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39180', 'unable to encrypt ENCRYPTION_PASSWORD', 'The specified encryption password was unable to be encrypted for placement within the master table or decrypted when it was to be restored from the master table. Subsequent messages will describe the actual error that caused the encryption to fail.', 'Fix the problems referenced by the subsequent messages. The most common reason for the encryption to fail is the lack of a security wallet.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39181', 'Only partial table data may be exported due to fine grain access control on string', 'An unprivileged user has tried to export a table that has fine grain access control. The table owner is subjected to access control and may not be able to export all rows in the table. Only the rows that can be seen by that user will be exported. In order to preserve integrity of the table, the user importing the table should have enough privilege to recreate the table with the security policies at import time.', 'It is strongly recommended that the database administrator handle exporting of this table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39182', 'internal error string occurred during compression phase string', 'An unexpected error occurred while compressing data buffers.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39183', 'internal error string ocurred during decompression phase string', 'An unexpected error occurred while decompressing data buffers.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39184', 'Transportable Data Pump jobs cannot exclude PLUGTS objects', 'A Transportable Data Pump job requires all PLUGTS% objects, but the user-supplied exclude filters were excluding these objects.', 'Reenter command without excluding PLUGTS% objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39185', 'The transportable tablespace failure list is', 'Some of the tablespaces specified for this job could not be exported.', 'See specific errors for each tablespace, correct the problem, and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39186', 'No tablespaces in the specified list exist.', 'The tablespaces specified on the EXPORT command did not exist.', 'Check the list of tablespaces and reenter command with correct set of tablespaces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47401', 'Realm violation for string on string.string', 'An operation that was attempted failed due to a realm protection', 'Ensure you have sufficient privileges for this operation retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47402', 'incorrect evaluation options value for Factor string', 'The factor evaluations options value is incorrect', 'Please review the factor definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47403', 'NULL returned by Factor string evaluation expression string', 'The factor evaluated to a NULL value', 'Please review the factor definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47404', 'NULL trust level for Factor string', 'The factor has a NULL trust level', 'Please review the factor definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47405', 'negative trust level for Factor string', 'The factor has a negative trust level', 'Please review the factor definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47406', 'ALWAYS AUDIT option set for Factor string', 'The factor audit option is set to always audit', 'No action required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47407', 'ALWAYS AUDIT option set for Rule Set string', 'The rule set audit option is set to always audit', 'No action required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47408', 'Realm violation for the EXECUTE command', 'A realm violation has occurred for a realm-protected stored procedure.', 'In order to invoke the realm-protected procedure, you must have GRANT privileges to execute the procedure, or you must be authorized to operate in the procedure''s realm.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47409', 'Command Rule violation for the EXECUTE command', 'A command rule violation occurred when trying to perform the EXECUTE command for a stored procedure protected by a command rule.', 'Ask the Database Vault administrator to perform the operation or remove the command rule for the protected stored procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47901', 'OLS policy not specified', 'An OLS policy name is required for this operation', 'Specify a policy name and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47902', 'OLS policy label not specified', 'An OLS policy label is required for this operation', 'Specify a policy label and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47903', 'OLS policy label string not found for policy string', 'The policy label being requested does not exist', 'Choose an object name that exists and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47904', 'OLS session label does not exist', 'The policy label specified does not exist', 'Choose a valid policy label and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47905', 'OLS policy label string is not allowed for policy string', 'The policy label specified is not valid for this policy', 'Choose a valid policy label for this policy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47906', 'OLS policy label not specified for identity string.string under policy string', 'The policy label is required for this operation', 'Choose a valid policy label for this policy and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47920', 'Authorization failed for user string to perform this operation', 'The operation attempted is not allowed for this user', 'Please ensure you have privileges to perform this operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47921', 'error adding host string to domain string, string', 'An error occurred adding the host specified to the domain specified', 'Please review the host and domain definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47922', 'error removing host string to domain string, string', 'An error occurred removing the host specified to the domain specified', 'Please review the host and domain definition and correct it as required', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47950', 'no value defined for required parameter string', 'The operation requires a value for this parameter', 'Please specify the missing parameter and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47951', 'invalid input value or length for parameter ''string''', 'The value specified for this parameter is invalid or too large', 'Please specify the a valid parameter and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47985', 'password same as or similar to user', 'The password specified similar to the user account name and therefore insecure', 'Please specify the more complex password and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47986', 'password length must be 8 characters or more', 'The password specified is too short and therefore insecure', 'Please specify a password with more characters and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47987', 'password is too simple', 'The password specified can be guessed based on dictionary terms and therefore insecure', 'Please specify a password that is not based on dictionary terms and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47988', 'password should contain at least one numeric and one alphabetic character', 'The password does not contain at least one numeric and one alphabetic character', 'Please specify a password with at least one numeric and one alphabetic character and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47989', 'password should differ by at least 3 characters', 'The password specified does not differ from the previous one by more than 3 characters', 'Please specify a password that differs from the previous one by more than 3 characters and retry the operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-47999', 'internal Database Vault error: string Error: string', 'An internal Database Vault framework error occurred.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48001', 'internal error code, arguments: [string], [string], [string], [string], [string], [string], [string], [string]', 'This is the generic internal error number for program exceptions. This indicated that a process encountered an exceptional condition.', 'Report as a bug - the first argument is the internal error number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48002', 'thread terminated by fatal error', 'The thread was in an unrecoverable state.', 'Examine the thread trace file for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48003', 'out of process memory when trying to allocate string bytes (string,string)', 'Operating system process private memory was exhausted.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48004', 'unable to allocate string bytes of shared memory ("string","string","string","string")', 'More shared memory is needed than was allocated in the shared pool.', 'Reduce your use of shared memory or increase the amount of available shared memory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48100', 'error encountered when attempting to open a file', 'There was an error encountered when attempting to open a file with the ADR file interface.', 'Check that the specified directory name, file name, and open options are valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48101', 'error encountered when attempting to read a file [string] [string] [string]', 'There was an error encountered when attempting to read a file with the ADR file interface.', 'Check the specified arguments to the read interface.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48102', 'encountered the end-of-file when reading the file', 'The ADR file interface encountered the end-of-file when reading the file.', 'Handle the end of file condition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48103', 'error encountered when attempting to write a file [string] [string] [string]', 'There was an error encountered when attempting to write a file with the ADR file interface.', 'Check the specified arguments to the write interface.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48104', 'read mismatch on blocks requested and returned, [string], [string]', 'There was a mismatch between the number of blocks requested for reading and the number of blocks actually returned.', 'Check the file to make sure there are no partial blocks.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39187', 'The transportable set is not self-contained, violation list is', 'The tablespaces specified for this job did not satisfy the closure checking. The list of violations specified each closure violation.', 'See specific errors for violation and correct the problem or change the tablespaces on the command line and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39188', 'unable to encrypt dump file set', 'Data Pump could not create an encrypted dump file set. This message will be accompanied by other messages that give more details about why the encrypted dump file set could not be created. The most common reason for this message is that you are trying to create a dump file set that can be transparently decrypted, and the database external security device is not open.', 'If the external security device is not open, then open it. If the external security device is not configured, then the only type of encrypted dump file set that you can create is a password-based dump file set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39189', 'unable to decrypt dump file set', 'The dump file set could not be decrypted. The reason could be either that an invalid password was entered, or that, when using transparent decryption, the database external security device was not open.', 'If password-based import was enabled for this dump file set, then supply the correct password. If transparent import was enabled for this dump file set, then ensure that the database external security device is open.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39190', 'internal error occurred during encryption phase string', 'An unexpected error occurred while encrypting data buffers.', 'See the secondary error for more information and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39191', 'internal error ocurred during decryption phase string', 'An unexpected error occurred while decrypting data buffers.', 'See the secondary error for more information and contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39192', 'table mode jobs with transportable=always and partition filters only allow objects from one table', 'Multiple tables are not supported when specifying partitions while using transportable table mode.', 'Retry the job specifying only one table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39200', 'Link name "string" is invalid.', 'The name of the network link supplied for a Data Pump job was not usable. Secondary messages identify the problem.', 'Rerun the job using a valid network link.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39201', 'Dump files are not supported for estimate only jobs.', 'An attempt was made to add a dumpfile to an Export job that only requested file estimates.', 'Do not specify a dumpfile for jobs that do not require dumpfiles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39202', 'Data cannot be filtered or selected in string jobs.', 'A data filter was supplied for the specified type of job, but is not supported in the specified job type. From the command line, data filters can be specified by the CONTENT, TABLES (partition specifications), SAMPLE and QUERY parameters.', 'Do not restrict data handling on jobs that cannot support data filtering.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39203', 'Partition selection is not supported over a network link.', 'Specific partitions were selected for a job operating over a network link.', 'Remove the partition specifications and rerun the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39204', 'No subsetting of tablespaces is allowed for transportable import.', 'A tablespace filter was applied to a transportable import job that was not performed over a network link. In this case, the tablespace may not be changed from its specification at export time.', 'Rerun the job without specifying a tablespace filter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39205', 'Transforms are not supported in transportable jobs.', 'A metadata transformation such as STORAGE or SEGMENT_ATTRIBUTES has been specified for a transportable Data Pump job.', 'Rerun the job without specifying a transform.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39206', 'A parallel degree of string is invalid.', 'A bad numeric was supplied for specifying the parallelism to be used within a Data Pump job. The degree of parallelism must be an integer great than 0.', 'The the degree specifying and retry the parallelism setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39207', 'Value string is invalid for parameter string.', 'A parameter for a Data Pump job was set with a NULL or invalid value.', 'Refer to the documentation to identify the legal values for each parameter. Retry the operation with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39208', 'Parameter string is invalid for string jobs.', 'The a parameter has been specified that is not supported for the specified type of Data Pump.', 'Remove the parameter specification and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39209', 'Parameter string requires privileges.', 'Use of the specified privileges requires the user to have the IMP_FULL_DATABASE role for import jobs or the EXP_FULL_DATABASE role for export jobs.', 'Remove the parameter specification and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39210', 'A PCTSPACE adjustment of string is invalid.', 'User specified a storage space transformation that was out of range. Values for PCTSPACE must be greater than zero.', 'Retry the operation with a valid PCTSPACE value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39211', 'unable to retrieve dumpfile information as specified', 'User specified an invalid or inaccessible file with the specified filename and directory object.', 'Retry the operation with a valid directory object and filename.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39212', 'installation error: XSL stylesheets not loaded correctly', 'The XSL stylesheets used by the Data Pump Metadata API were not loaded correctly into the Oracle dictionary table "sys.metastylesheet." Either the stylesheets were not loaded at all, or they were not converted to the database character set.', 'Connect AS SYSDBA and execute dbms_metadata_util.load_stylesheets to reload the stylesheets.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39213', 'Metadata processing is not available', 'The Data Pump could not use the Metadata API. Typically, this is caused by the XSL stylesheets not being set up properly.', 'Connect AS SYSDBA and execute dbms_metadata_util.load_stylesheets to reload the stylesheets.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39214', 'Data Pump does not support external tables with encrypted columns. string will not be exported', 'The object is an external table with encrypted columns and this is unsupported with Data Pump.', 'External table must be manually recreated on the target system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39216', 'object type "string"."string" hashcode mismatch', 'An object type in a transportable tablespace set could not be used because there was a type with the same name but a different hashcode (and type definition) on the target system. Tables in the transportable tablespace set that use this object type cannot be created.', 'Drop the object type and dependent objects from the target system if possible and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39217', 'object type "string"."string" typeid mismatch', 'An object type in a transportable tablespace set already exists on the target system, but with a different typeid. The typeid could not be changed because the type or a dependent type is used by an existing table. Tables in the transportable tablespace set that use this object be created.', 'Drop the object type and dependent objects from the target system if possible and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39218', 'type check on object type "string"."string" failed', 'The type check on a type failed. Therefore, the table create for the table which uses the type also fails.', 'Refer to any following error messages for additional information. Correct the error, if possible, and try the action again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48105', 'write mismatch on blocks requested and returned, [string], [string]', 'There was a mismatch between the number of blocks requested for writing and the number of blocks actually written.', 'Check that there is enough space left on the device to write the requested number of blocks.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48106', 'error initializing the ADR string object', 'There was an error encountered during the initialization of one of the ADR file objects.', 'Check the validity of the specified directory name and file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48107', 'invalid Bfile input, [string]', 'An invalid Bfile was passed into the routine to convert the bfile into a file handle.', 'Verify the contents of the specified Bfile.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48108', 'invalid value given for the diagnostic_dest init.ora parameter', 'The value given for the diagnostic_dest directory is not a valid directory. Either the directory does not exist or the process does not have read/write privileges on the directory.', 'Use a value for diagnostic_dest that is a valid directory with the proper read and write privileges.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48109', 'invalid lock mode for file descriptor, [string]', 'The lock mode associated with the file descriptor was invalid in the context of the routine.', 'Verify that a file is not trying to obtain multiple locks and that the file is holding a lock when attempting to release the lock.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48110', 'error encountered while attempting to get a file lock [string] [string]', 'There was an error encountered while trying to get a file lock.', 'Check the state of the file and operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48111', 'error encountered while attempting to release a file lock [string]', 'There was an error encountered while trying to release a file lock.', 'Check the state of the file and operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48112', 'invalid flags for open file, string', 'Invalid flags were passed in to the open file routine.', 'Check to see if the flags are a valid combination.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48113', 'unable to write to stream file because of out of space condition', 'The system is unable to write the requested number of bytes to a stream file. This is due to an out of space condition. The additional information shows how many bytes were not written.', 'Check that there is enough space left on the device to write the requested number of bytes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48114', 'error encountered when attempting to close a file', 'There was an error encountered when attempting to close a file with the ADR file interface.', 'Check the validity of the file descriptor.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48115', 'error encountered while seeking a file position', 'There was an error encountered while seeking a position in a file.', 'Check that the requested file position falls within the file boundaries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48116', 'error enountered when attempting to create a directory [string]', 'There was an error encountered when attempting to create a directory.', 'Check the directory name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48117', 'error encountered when attempting to remove a directory [string]', 'There was an error encountered when attempting to remove a directory.', 'Check the directory name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48118', 'error encountered with list directory [string]', 'There was an error with listing the elements of a directory.', 'Check the state of the operating system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48119', 'error encountered when attempting to remove a file [string] [string]', 'There was an error encountered when attempting to remove a file with the ADR file interface.', 'Check the directory name and file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48120', 'error encountered when attempting to retrieve the file size [string] [string]', 'There was an error encountered when attempting to retrieve the file size with the ADR file interface.', 'Check the directory name and file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48121', 'error with opening the ADR stream file [string] [string]', 'An error was encountered when attempting to open an ADR stream file.', 'Check the rest of the error stack for details of the actual error that was encountered.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48122', 'error with opening the ADR block file [string] [string]', 'An error was encountered when attempting to open an ADR block file.', 'Check the rest of the error stack for details of the actual error that was encountered.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48123', 'error encountered when attempting to flush a file', 'There was an error encountered when attempting to flush a file with the ADR file interface.', 'Check the state of the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48124', 'device full encountered during write to a file', 'The device full error was encountered during the write to a file.', 'Check the amount of free space on the device.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48125', 'illegal identifier length, argn:string, len:string, lim:string', 'An input identifier was passed in that has a length that is greater than the max length.', 'Make sure the input indentifier has a length that is less than the max length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48126', 'attempting to create a file that already exists', 'The client attempted to create a file that already exists.', 'Either remove the file or check if it is okay if the file already exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48127', 'attempting to open a file that does not exist', 'An attempt was made to open a file that does not exist.', 'Either create the file or check why the file does not exist.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48128', 'opening of a symbolic link is disallowed', 'An error was encountered when attempting to open a file that is a symbolic link. Users are not allowed to open symbolic links.', 'Check the specified file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48129', 'invalid input for the full path specification', 'Input was incorrectly specified for the full path specification, or the default extension may have been incorrectly specified. Or an empty string was passed in for the full path.', 'Check that the full path string is non-NULL. If you want to specify a relative path from ADR Home for the full path specification, then use ''<ADR_HOME>'' instead of the actual path to ADR Home. For ADR Base, use ''<ADR_BASE>''.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48130', 'invalid lock parameters for get file lock [string]', 'Invalid lock parameters passed in for the get file lock routine. The user must pass in file as the lock type. Or, there is a lock mode mismatch. Exclusive locks are not allowed in read-only mode, and shared locks are not allowed in write-only mode.', 'Check that correct lock type is specified and that the correct lock mode is requested for the file given its open flags.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48131', 'error encountered when attempting to tell the file position', 'An error was encountered when attempting to tell the file position using the ADR file interface.', 'Check the directory and file name of the file along with the open state.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48132', 'requested file lock is busy, [string] [string]', 'The requested file lock is busy because another process is holding the file lock.', 'Try to get the file lock again at a later time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48133', 'file descriptor has already been opened [string] [string]', 'The specified file descriptor has already been opened.', 'Do not open a file that has previously been opened, or check your code to make sure you are cleaning up a file descriptor that is being reused correctly.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48134', 'invalid file descriptor state for operation, string, string, string', 'The state of the file descriptor was invalid for the requested operation. An example is that a file was opened for read, but a write operation to the file was requested.', 'Check the state of the file descriptor and make sure it matches the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39219', 'directory object name is too long', 'The directory object name provided to the Data Pump Job was invalid because its length was greater than 30 characters.', 'Retry the operation with a valid directory object name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39220', 'file name is too long', 'The file name provided to the Data Pump Job was invalid because its length was greater than 4000 characters.', 'Retry the operation with a valid file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39221', 'Specifying data filters is invalid when dumpfiles do not contain table data.', 'A data filter was supplied for an import job, but the dumpfile does not contain any table data. The export command created a dumpfile with metadata only. No table data was included. From the command line, data filters can be specified by the CONTENT, SAMPLE and QUERY parameters.', 'Do not restrict data handling on jobs that cannot support data filtering.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39222', 'Unable to create global temporary master table string', 'Data Pump tried to create a global temporary master table but could not. The errors that follow describe why the table could not be created.', 'Examine and fix the problems described in the additional errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39223', 'Internal Data Pump error. Master table information for version string not found.', 'An unexpected error occurred while processing the job. The data in an internal table could not be found.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39224', 'string row(s) were rejected with the following error: string', 'These rows were not loaded due to constraint or index violations.', 'Retry the operation when row data is fixed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39228', 'Unable to construct a unique departitioned object name for string string.string:string when defaulted.', 'All (sub)partitions in the job were to be created as individual objects and the renaming was defaulted. The job will attempt to create unique object names, but the name creation algorithm was unable to find a unique object name for the specified (sub)partition.', 'Specify a rename_table transform to use or delete some of the existing objects causing the name conflicts.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39230', 'Service name string is not available', 'The specified resource service name for the Data Pump job', 'Pick a service name that the user is authorized to use.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39231', 'invalid data remap name: string', 'The specified type of data remapping was not supported.', 'Only COLUMN_FUNCTION data remaps are supported. Retry the operation using a supported data remap name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39232', 'invalid remap function: string', 'The specified package function for performing data remapping was not found.', 'Either create the specified package function or else grant the user access to the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39233', 'invalid remap column name: string', 'The column name specified for the data remapping does not exist in the specified table.', 'Specify a scalar column name within the table to be remapped.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39234', 'Data cannot be remapped under the direct path access method.', 'Data remapping was requested on a job that requires the direct path access method. Data remapping can only be performed using the external table access method.', 'Retry the job without specifying any access method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39235', 'data remap string has already been specified', 'A data remap has already been specified for the indicated column. Only one data remap may be defined for a column.', 'Remove one of the data remap specifications for the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39237', 'Failed to load XML document string. Compare process aborted.', 'An error occurred while performing XML difference parse.', 'Resubmit XML compare request with valid document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39238', 'XML node attribute differences are not supported.', 'MDAPI XML difference parsing did not support node attributes.', 'Resubmit XML compare request with valid document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39239', 'No differences found.', 'XML documents compared were identical.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39240', 'Error while processing difference document.', 'Error occurred in the MDAPI difference writer.', 'Refer to any following error messages for additional information. Correct the error, if possible, and try the action again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39242', 'Unable to export/import string due to table attributes.', 'See the Data Pump documentation for an explanation of what table attributes prevent an export or import from succeeding.', 'Resolve conflicting table attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39243', 'Import job requires ''TRANSPORT_DATAFILES'' parameter.', 'The export job used ''TRANSPORTABLE=ALWAYS'' and the import job requires TRANSPORT_DATAFILES to be specified.', 'Specify the transport datafiles associated with this job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39500', 'failed to notify CRS of a Startup/Shutdown event for database "string", instance "string" (ignored)', 'The instance was unable to obtain the context or information required to notify the CRS framework.', 'None Required. The error is ignored.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39501', 'failed to notify CRS of a Startup/Shutdown event [string] (ignored)', 'The instance was unable to communicate with the CRS framework.', 'None Required. The error is ignored.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39503', 'failed to notify CRS of a Startup/Shutdown event [string] (ignored)', 'The instance was unable to populate the environment context.', 'None Required. The error is ignored.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39781', 'Direct path stream loads are not allowed after another context loading the same table has ended', 'Attempt to load a stream in one context after another loading the same table has ended.', 'Close all contexts before trying to create another that loads the same table as a previous context in the same session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39782', 'Direct path prepare is not allowed after another context loading the same table has ended', 'Direct path prepare called after a context loading the same table has ended.', 'Close all contexts before trying to create another that loads the same table as a previous context in the same session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39783', 'Invalid direct path transaction active', 'Direct path operations were not performed in the transaction started by the first OCIDirPathPrepare call.', 'Ensure the correct transaction is active prior to calling Direct Path API operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39784', 'This direct path operation is not allowed while another is in progress', 'Another direct path operation was active.', 'Complete any direct path operations in progress before attempting this operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39785', 'SQL expressions returning ADT objects are not allowed in direct path', 'The passed SQL expression returned a user-defined ADT which was not supported.', 'Remove the SQL expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39786', 'Number of columns does not match between export and import databases', 'External tables could not import into a table with mismatched columns.', 'Ensure the number of columns matches between export and import database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39787', 'Column string subtype "string"."string" is not instantiable.', 'Subtype specified was not instantiable.', 'Ensure all subtypes specified are instantiable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39788', 'Subtype "string"."string" is specified multiple times for column string.', 'Subtype specified was not unique.', 'Ensure all subtypes specified are unique.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39789', '"string"."string" is not a valid type for column string.', 'Subtype specified was not a valid type for the column being loaded.', 'Ensure all subtypes specified are valid types for the column being loaded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48135', 'uninitialized file descriptor', 'The specified file descriptor is uninitialized.', 'Make sure the file descriptor is initialized before passing it into the routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48136', 'directory already exists [string]', 'Operation failed because the specified directory already exists.', 'Remove the directory or ignore this error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48137', 'uninitialized file handle', 'The specified file handle is uninitialized.', 'Make sure the file handle is initialized before passing it into the routine.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48138', 'invalid directory name input for client address', 'An invalid directory name was specified as part of the address path specification.', 'Check that the directory name is non-NULL and that the directory name length does not exceed the maximum length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48193', 'OS command to open a directory failed', 'The OS command to open a directory failed.', 'Check the OS error associated with the open directory failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48251', 'Failed to open relation due to following error', 'See error below in the error stack', 'See error below in the error stack', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48252', 'Relation does not require migration', 'Relation on disk is compatible with the current code', 'Don''t run the migration services', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48258', 'AMS Corrupt Page Found - Rebuild Relation', 'A corrupted page has been found.', 'Do a rebuild of the relation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48259', 'AMS Relation not Created Correctly', 'Create relation failed', 'Recreate the relation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48300', 'Incident Record Already Exists', 'trying to create an incident that already exists', 'retry operation with new incident ID', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48301', 'An Invalid Incident ID was specified', 'the specified incident ID was invalid', 'retry operation with correct incident ID', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48302', 'Incident Directory does not exist', 'the incident directory was not found', 'retry operation with a different incident ID', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48303', 'Exceeded max Incident Sequence Value', 'the maximum supported incident sequence value was exceeded', 'reset incident sequence and retry operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48304', 'incident staging file not found', 'the incident staging file is missing', 'retry with a different incident ID', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48305', 'incident ID range is too large', 'the maximum incident sequence value was exceeded', 'retry operation with a smaller range', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48309', 'illegal incident state transition, [string] to [string]', 'the incident cannot be moved to the new state', 'retry operation with a valid incident status', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48310', 'Incident string staging file not found', 'the incident staging file does not exist', 'retry operation with a valid incident ID', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48311', 'Invalid field name [string]', 'the specified field name is invalid', 'retry operation with a valid field name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48312', 'Sweep incident string staging file failed', 'the sweep action of incident staging file failed', 'check the incident ID and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48313', 'Updates not allowed on ADR relation [string] of Version=string', 'Update operations not supportd on this version of ADR relation', 'check ADR version and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48314', 'Invalid ADR Control parameter [string]', 'the specified control parameter is invalid', 'check parameter and reissue command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48315', 'ADR unavailable', 'the ADR directory is not available', 'enable ADR and retry operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48316', 'relation [string] unavailable or cannot be created', 'the ADR relation is not available', 'check ADR directory and retry operation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48317', 'ADR Relation [string] of version=string is obsolete', 'the version of ADR relation is too old and not supported', 'check the ADR version and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48318', 'ADR Relation [string] of version=string cannot be supported', 'the version of ADR relation is too new and cannot be supported', 'need to use a newer release to access the ADR', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48319', 'Update operation on ADR relation [string] not allowed', 'updates to foreign ADR relation cannot be supported', 'verify ADR location and reissue command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48320', 'Too many incidents to report', 'the result set of incidents is too large to handle', 'use a predicate to reduce the number of incidents and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48321', 'ADR Relation [string] not found', 'the required ADR relation is missing, ADR may be corrupted', 'check ADR directory and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48322', 'Relation [string] of ADR V[string] incompatible with V[string] tool', 'the tool version is incompatible with the ADR version', 'use another version of tool and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48323', 'Specified pathname [string] must be inside current ADR home', 'file outside of ADR home not allowed as incident file', 'check the file name and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48324', 'Incompatible staging file encountered', 'sweep incident failed because staging file is incompatible', 'check the incident ID and version of ADR and retry', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48400', 'ADRCI initialization failed', 'The ADR Base directory does not exist', 'Either create an ADR Base directory or point to an existing one', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48401', 'SET command requires arguments', 'No arguments are input for the SET command', 'Input the arguments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48402', 'Variable is not defined', 'No substitution value is input.', 'Input the substitution value following after the variable name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48403', 'DEFINE or UNDEFINE command has no arguments', 'DEFINE and UNDEFINE command need users to input the substitution variable name.', 'Input the vairable name follow after the DEFINE or UNDEFINE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48404', 'RUN or @ command has no arguments', 'RUN and @ commands need users to input script filename', 'Input script filename after RUN and @ commands', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48405', 'The option in the command is invalid', 'The option is not allowed in the command', 'Check the command syntax', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48406', 'ECHO or TERMOUT status must be set to ON or OFF', 'the status of ECHO ann TERMOUT commands must be ON or OFF', 'input ON or OFF', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48407', 'DESCRIBE and QUERY commands need at least relation name argument', 'This is no relation name is input as argument', 'Need users to input at least the relation name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48408', 'The incident number exceeds the maximum number [string]', 'The input incident number exceeds the maximum number', 'Input less incidents', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48409', 'The ADR homes exceeds the maximum number [string]', 'The input ADR homes number exceeds the maximum number', 'Input less ADR home string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48410', 'The trace path exceeds the maximum number [string]', 'The input trace path exceeds the maximum number', 'Input less trace path', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48411', 'The trace files exceeds the maximum number [string]', 'The input trace file path number exceeds the maximum number', 'Input less trace file path', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48412', 'The parameters exceeds the maximum number [string]', 'The input paramter number exceeds the maximum number', 'Input less parameter number or increase the upper bound', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48413', 'The number of orderby fields exceeds maximum number [string]', 'The orderby field number exceeds the maximum number', 'Input less fields', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48414', 'The string in the execution option exceeds maximum length [string]', 'The string length is too long', 'Divid the commands into two sets or use adrci scripts.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48415', 'Syntax error found in string [string] at column [string]', 'Parsing error found in the user input string', 'Validate the input string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48419', 'Illegal arguments', 'The input argument is illegal', 'Check the input arguments and make sure it is not null', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48421', 'Predicate string in the command must be single or double quoted', 'The predicate string is not single or double quoted', 'Put single or double quotes around the predicate string', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48194', 'OS command to close a directory failed', 'The OS command to close a directory failed.', 'Check the OS error associated with the close directory failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48195', 'OS command to remove a directory failed', 'The OS command to remove a directory failed.', 'Check the OS error associated with the remove directory failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48196', 'OS command to release advisory lock failed', 'The OS command to release the advisory lock failed', 'Check the OS error associated with the release advisory lock failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48197', 'OS command to get the file status failed', 'The OS command to get the file status failed. This could be because the file is not open or file descriptor is invalid.', 'Check the OS error associated with the get file status failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48198', 'OS command to change the file permissions failed', 'The OS command to change the file permissions failed.', 'Check the OS error associated with the failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48199', 'OS command to copy a file failed', 'The OS command to copy a file failed.', 'Check the error number associated with the copy file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48200', 'Illegal Input Argument [string]', 'An illegal argument was passed in.', 'Fix the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48201', 'Field Length Exceeds Maximum [string] [string] [string]', 'An illegal field length was used.', 'Fix the call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48202', 'Illegal Identifier [string] [string]', 'Illegal identifier specified.', 'Use a valid identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48203', 'Illegal Data Type [string]', 'Illegal data type specified.', 'Use a valid data type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48204', 'Illegal Identifier Length [string] [string] [string]', 'The input identifier is too long.', 'Specify a shorter identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48205', 'Record Length too Big [string] [string] [string]', 'The sum of the maximum lengths of all fields exceeds the maximum record length that is supported.', 'Remove or shorten some of the fields.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48206', 'Ilegal Number of Fields [string] [string] [string]', 'The number of fields specified exceeds the supported maximum.', 'Remove some of the fields in the relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48207', 'Illegal Field Name [string]', 'The field name is invalid.', 'Specify a valid field name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48208', 'Duplicate Fields', 'The list of fields specified contains a duplicate field.', 'Remove the duplicate field.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48209', 'Relation Already Exists', 'The relation already exists.', 'Remove the relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48210', 'Relation Not Found', 'The relation was not found.', 'Either specify a valid relation name or create one with that name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48211', 'Illegal Access Mode [string] [string]', 'The supplied access mode is not recognized.', 'Supply a valid mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48212', 'Open Record Access Not Done', 'The open record access call was not performed.', 'The open record access call is required before attempting this call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48213', 'Incorrect Access Mode for Operation [string] [string]', 'The relation was opened in a mode not compatibile with the attempted operation being done.', 'Reopen the relation in the correct mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48214', 'Sequence Overflow [string] [string] [string]', 'The sequence number will exceed the system maximum.', 'Reset the sequence number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48215', 'Sequence Invalid Operation [string] [string]', 'The specified sequence operation is not valid.', 'Specify a valid operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48216', 'Field Len Exceeds Max Field Length [string] [string] [string] [string]', 'The field length specified exceeds the defined maximum for the field.', 'Supply a smaller field length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48217', 'Out of Space on Device', 'The storage subsystem is out of space.', 'Add more space to the storage subsystem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48218', 'Duplicate Key Name [string] [string]', 'The key name already exists.', 'Specify a different key name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48219', 'Key Name Doesn''t Match Any Existing Key', 'The key name provided doesn''t match an existing key.', 'Specify a key name that exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48220', 'Too Many Keys Defined [string] [string]', 'A key is trying to be created that exceeds the maximum number of keys supported.', 'Drop another key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48221', 'Key Exceeds Maximum Allowed Length [string] [string] [string]', 'The sum of the lengths of the fields in the key exceeds the maximum length supported.', 'Remove one or more fields from the key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48222', 'Predicates/Order By Not Allowed', 'A predicate or order by can not be added after fetch has started.', 'Put the predicate or order by call before the first fetch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48223', 'Interrupt Requested - Fetch Aborted - Return Code [string]', 'User interrupt has occurred.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48224', 'DDL has occurred since parse - reparse [string] [string] [string]', 'Another session has performed a DDL (i.e. add field, create key, drop key) that prevents this session from being to continue.', 'Call open record access again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48225', 'No More Space in Order By Buffer', 'The order by buffer size is not sufficient for the number of rows.', 'Increase the order by buffer size specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48226', 'No Fetch in Progress', 'An attempt to perform update or delete has occurred without a fetch.', 'You must first perform a fetch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48227', 'Invalid Relation File - [string] [string] [string] [string]', 'The AMS file is invalid or corrupt.', 'Do a repair relation', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48228', 'Missing Define Call [string]', 'A call to define was not performed before doing a fetch.', 'Call the define service before fetch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48229', 'Invalid Relation Handle Provided [string] [string]', 'An invalid or corrupt relation handle was used.', 'Possible memory corruption.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48230', 'Expression arguments must match types', 'Incorrect type semantics for fields in the predicate.', 'Correct the predicate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48231', 'Predicate syntax error', 'A syntax error exists in the predicate string.', 'Correct the predicate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48232', 'Debug command syntax error [string]', 'An invalid debug command has been specified.', 'Correct the debug command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48233', 'Invalid Field Handle [string] [string] [string]', 'The field handle is invalid.', 'Possible memory corruption.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48238', 'Invalid Surrogate Length Specified [string] [string]', 'An invalid length during create field was specified', 'Specify a correct length', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48239', 'Invalid Predicate Handle Provided [string] [string]', 'An invalid or corrupt relation handle was used.', 'Possible memory corruption.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48240', 'Field is NOT NULL but NULL value supplied', 'A field [%s] declared to not allow nulls contains a null value.', 'Specify a correct value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48242', 'Fields that are NOT NULL can not use surrogates', 'NOT NULL fields can not have surrogates specified.', 'Either remove the constraint or the surrogate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48243', 'Additional Fields must be declared nulls allowed', 'A field can not be added to a relation that is defined NOT NULL', 'Do not specify NOT NULL', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48244', 'Purge for Retention can''t be called while in an Query', 'A query is already running - purge for retention can''t be invoked', 'Fix call sequence', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48245', 'Attempt to Update/Delete when at EOF', 'The fetch operation is positioned at EOF - can not update/delete', 'Do not call update/delete after fetch has returned EOF', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48246', 'Illegal Operation on External Relation', 'An illegal call was made using an external relation', 'Do not perform the API Call', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48247', 'Predicate Conversion Error string', 'A time conversion failed', 'Fix the input', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48248', 'Function string type check error; ityp = string typ = string arg = string', 'Invalid inputs to the specified function', 'Change the inputs', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39790', 'Attribute "string" specified multiple times for column string.', 'Attribute specified multiple times.', 'Ensure all attributes specified are unique.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39791', 'Attribute "string" for column string is not in subtype "string"."string".', 'Attribute was not included in the subtype indicated.', 'Ensure the attribute is included in the subtype indicated by the specified subtype index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39792', 'Attribute "string" is not valid for subtypes(s) loaded into column string.', 'Attribute specified was not included in any subtypes specified for the column or the declared subtype of the column.', 'Ensure the attribute is included in at least one of the subtypes loaded into the column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39793', 'Attribute "string" is not unique within the hierarchy being loaded.', 'The attribute was defined in multiple lines of descent in the hierarchy being loaded.', 'When describing the attribute, a subtype index must be specified to uniquely identify the attibute being loaded.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39794', 'No attributes loaded for subtype "string"."string".', 'None of the attributes loaded were included in the type shown.', 'At least one attribute must be loaded for each subtype specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39795', 'Subtype index is not first attribute for object table or column, string.', 'The subtype index was not the first attribute when describing the atributes of an object column or object table with multiple subtypes.', 'Describe the subtype index as the first attribute for this object column or object table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39796', 'column array entry for string is not valid for the current subtype', 'This column was not part of the current subtype being loaded for this object column or table. Therefore, its entry must be null in the column array.', 'Set the column array entry to null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39797', 'The subtype index value is not valid.', 'The subtype index value in the column array was not valid for the object column or object table.', 'Set a valid subtype index value in the column array for this table or column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39798', 'The column array row offset number is out of range (max: number).', 'The specified row offset was too large for the column array.', 'Ensure the row offset is in range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39799', 'The column index number is out of range (max: number).', 'The specified column index was too large for the column array.', 'Ensure the column index is in range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39800', 'Database version number does not support the load of multiple subtypes.', 'Direct Path API support for loading multiple subtypes of an object table or column was only present in the Oracle 11 release and higher.', 'Upgrade database to Oracle 11 or higher.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39801', 'Subtype "string"."string" is not a valid subtype for column string.', 'Subtype specified was not the declared type nor was it derived from the declared type.', 'Ensure all subtypes specified are either the declared type or derived from the declared type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39802', 'ADT object column string specified a SQL expression which is not allowed in direct path mode.', 'The ADT column reported in the error specified a SQL expression which returned the ADT. This is not supported.', 'Remove the SQL expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39803', 'Data saves are not allowed on tables with partitioning referential constraints.', 'Data saves (and the sqlldr ROWS parameter) are not allowed when loading both the parent and child tables of a partitioning referential constraint.', 'Do not attempt data saves when loading both the parent and child tables of a partitioning referential constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39804', 'The load was aborted due to an error loading parent string while also loading child string.', 'An error occurred while loading the child and parent table of a partitioning referential constraint. The load was aborted to ensure the partitioning referential constraint was not violated.', 'Fix the error that caused the load to abort and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39805', 'Parallel loads are not allowed when loading child and parent.', 'A parallel load was requested when loading the child and parent of a partitioning referential constraint. This is not allowed.', 'Remove the parallel option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39806', 'The attempt to lock string parent table string string string failed.', 'While loading the child table of a partitioning referential constraint, the parent table must be locked in SHARE mode.', 'Determine why the parent table could not be locked and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39807', 'Partial data save on child string was ignored.', 'An attempt was made to partially save data when loading both the child and parent of a partitioning referential constraint or when loading a table with a domain index.', 'Fix the error that caused the partial load and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39808', 'The SINGLEROW option must be specified for parent table string.', 'The SINGLEROW option was not specified when loading both the parent and child table of a partitioning referential constraint.', 'Ensure the SINGLEROW option is specified for the parent when loading the parent and child of a partitioning referential constraint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39809', 'Data saves are not allowed on tables with domain indexes.', 'Data saves (and the sqlldr ROWS parameter) could not be allowed when loading a table with domain indexes.', 'Do not attempt data saves when loading a table with domain indexes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39901', 'Partitioned table string.string is partially contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Check table partitions by querying SYS.DBA_TAB_PARTITIONS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39902', 'Subartitioned table string.string is partially contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Check table subpartitions by querying SYS.DBA_TAB_SUBPARTITIONS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39903', 'IOT Partition string.string is partially contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Check table partitions by querying SYS.DBA_IND_PARTITIONS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39904', 'Partitioned object string.string is partially contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Check partitions and overflow segments by querying SYS.DBA_IND_PARTITIONS and SYS.DBA_TAB_PARTITIONS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39905', 'Table string.string in tablespace string points to LOB segment string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39906', 'Constraint string between table string.string in tablespace string and table string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39907', 'Index string.string in tablespace string points to table string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39960', 'scope can only be SYSTEM or SESSION', 'The scope specified was not set.', 'Specify a vaild scope, either SESSION or SYSTEM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39961', 'message specified was not found', 'The message number specified was not set.', 'specify the message number whise settings have been set in the given scope.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48423', 'IMPORT command must have a filename', 'File name is missing from the command', 'Input the import file name after the IMPORT keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48424', 'SHOW TRACE command needs argument', 'SHOW TRACE command needs arguments', 'Input arguments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48426', 'The initialization filename is too long', 'The initialization filename length exceeds the maximum length', 'This is really an internal setting parameter of the ADRCI, report it as a bug. Alternatively move the initialization file to the current working directory', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48428', 'Input command string exceeds max length [string]', 'The current command string is too long and exceeds the limit', 'Input less characters', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48429', 'Variable name [string] is an invalid identifier', 'The substitution variable name is not a valid identifier', 'Input the valid identifier defined by ADRCI', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48431', 'Must specify at least one ADR home path', 'The command syntax requires at least one ADR home path to be input', 'Check the command syntax and input the home path', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48432', 'The ADR home path [string] is not valid', 'The adr home user inputs is not valid, which may due to the path does not exist.', 'Check if the input home path exists', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48433', 'Unknown help topic', 'The input topic is unknown', 'Check if the topic is vaild', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48434', 'No DDE commands are input', 'No DDE commands are input', 'Input a DDE command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48435', 'Input a trace file', 'Show trace expects a trace file', 'Input a trace file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48436', 'File [string] does not exist', 'the file does not exist', 'Validate the trace file name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48437', 'No IPS commands are input', 'No IPS commands are input', 'Input a IPS command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48438', '[string] is not a valid number', 'The input number is not valid', 'Check the input number', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48439', 'The input path name exceeds the maximum length [string]', 'The input path name is too long', 'Report as a bug to change the limit', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48440', 'Variable [string] is already defined', 'The variable name is defined previously', 'Use another variable name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48441', 'The function parameter number exceeds the maximum number [string]', 'The function parameter number exceeds the maximum number', 'Report it as bug to change the maximum number', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48442', 'The control parameter number exceeds the maximum number [string]', 'The control parameter number exceeds the maximum number', 'Report it as bug to change the maximum number', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48443', 'Trace Record type appears in the middle of the path', 'The trace record cannot be in the middle of the path', 'Validate the input', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48444', 'The single "." and "*" cannot appear in the middle of the path', 'The single "." and "*" appears in the middle of the path', 'Validate the input', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48445', 'Path expression only supports one bucket dump type', 'The path expression only supports one bucket dump"', 'Change the path expresison syntax', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48446', 'The command needs path input', 'No path is input as a parameter', 'Input the path', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48447', 'The input path [string] does not contain any ADR homes', 'The input path does not contain ADR homes', 'Validate the path', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48448', 'This command does not support multiple ADR homes', 'There are multiple homes in the current adr setting.', 'Use command SET HOMEPATH to set a single home', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48449', 'Tail alert can only apply to single ADR home', 'There are multiple homes in the current setting', 'Use command SET HOMEPATH to set a single home', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48457', 'ADRCI core dumped', 'It is adrci internal error.', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48458', '"show incident" failed due to the following errors', 'There could be a bug or users do not have the access permission', 'Report to Oracle if the errors are not due to ADR permission settings', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48459', '"describe" command only supports one ADR home path', 'Multiple ADR home paths in the command', 'put one ADR home path', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48460', 'The home path [string] is not valid', 'The input home path is not valid home path', 'Verify the homepath', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48461', '"describe" failed due to the following errors', 'Underlying code failed', 'If it is not due to permission issue, report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48462', 'Fatal error encountered in [string]', 'Fatal error encountered', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48463', 'The value buffer reached the maximum length [string]', 'The value buffer is full', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48464', 'The predicate buffer reached the maximum length [string]', 'The predicate buffer is too small', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48465', 'The specified type [string] is undefined', 'The purge type specified is undefined', 'Check the type name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48466', 'Internal failure, the report context is not initialized', 'Internal problem failure.', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48467', '"string" for the keyword "string" is not a valid number', 'The keyword value is not a valid number', 'Check the value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48468', '"string" is not a valid keyword', 'The keyword is not defined for the command', 'Check the available keywords', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48469', 'Keyword "string" cannot be duplicated', 'The command can only allow one key with the name', 'Remove one keyword name from the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48470', 'Unknown "string" command', 'The command is not valild', 'Use help manual to check the command syntax', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48472', 'Invalid product name', 'The product name provided does not exist', 'Specify a product name, see HELP SHOW BASE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48473', 'Internal failure, unknown return code [string]', 'Internal program failure', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48802', 'The options "string" and "string" are mutual exclusive', 'These two options cannot be specified together', 'Only specify one of them', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48803', 'The keyword "string" is not defined for this command', 'The keyword is invalid', 'Check the valid keywords for the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48804', 'The command needs at least one file input', 'No files are specified to view', 'Input the files', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48805', 'BEGIN BACKUP issued already - must do an END BACKUP first', 'A begin backup was already issued.', 'Issue END BACKUP ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48900', 'Illegal Input Argument [string]', 'The input argument is invalid', 'Check the input parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48906', 'Parser context is not valid', 'The parser context is not initlialized', 'Call the initialization routine first before using the context', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48907', 'The end of file is reached', 'The end of file is raeched', 'Handle the end of file', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48908', 'No trace files are found', 'This is no file in the navigator context, either it is done with parsing, or no file is pushed', 'Check if the file is added to the context', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48909', 'Scan context is not initialized', 'The scan context is not initialized', 'call the initliazation routine of the scan context', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48912', 'The specified trace filename is too long', 'The resulting trace filename length exceeds the maximum length', 'Use a smaller trace filename suffix or move ADR higher in the directory hierarchy', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48913', 'Writing into trace file failed, file size limit [string] reached', 'An attempt was made to write into a trace file that exceeds the trace''s file size limit', 'increase the trace''s file size limit.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48914', 'File position is not in right format', 'The file positon format is not right', 'Check if the file format string is the right one', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48928', 'The predicate exceeds the max limit string', 'The predicate is too long, exceeds the max limit', 'Use a shorter predicate', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38492', 'invalid ALTER INDEX parameters clause "string"', 'An invalid parameters clause was specified with the ALTER INDEX command.', 'See documentation for a valid list of parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38493', 'feature not enabled : Expression Filter index', 'An attempt was made to create an Expression Filter index in Standard Edition.', 'Do not attempt to use this feature.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38494', 'column in the table alias and an attribute have matching names', 'One of the attributes in the set has the same name as the name of one of the columns in the table configured for table alias.', 'If possible, use a different name for the attribute.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38495', 'data type for the stored attribute string is inconsistent.', 'The actual data type for the stored attribute configured for the Expression Filter index object did not match the data type recorded in the Expression Filter dictionary.', 'Delete the attribute from the default index attributes and recreate it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38496', 'Expression Filter index is not in a valid state', 'An attempt was made to REBUILD an Expression Filter index that was not valid.', 'Use DEFAULT keyword in the parameters clause to rebuild the index from defaults or drop and recreate the index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38497', 'Expression Filter index does not exist', 'Index with a matching name does not exist or the index was not created using ExpFilter indextype.', 'Identify the correct index using the Expression Filter catalog views', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38498', 'invalid stored attribute for the index object : string', 'The expression filter index object has a stored or indexed attribute that had broken dependencies.', 'Make sure that all the identifiers used in the attribute are valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38499', 'expression set already configured for stored/indexed attributes', 'The expression set already had a list of stored and indexed attributes. Additional attributes cannot be specified in the CREATE INDEX parameters clause.', 'Remove TOP, STOREATTRS and INDEXATTRS clauses from the parameters clause or clear the expression set statistics using DBMS_EXPFIL.INDEX_PARAMETERS API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38798', 'Cannot perform partial database recovery', 'See other other messages on error stack for the cause.', 'See other other messages on error stack for the action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38799', 'Cannot drop guaranteed restore point internally created for snapshot standby', 'An attempt is made to drop the guaranteed restore point Oracle created internally for a snapshot standby.', 'Use the "alter database convert to physical standby" command to convert the snapshot standby to a normal physical standby. This will automatically flashback the database and drop this guaranteed restore point.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38800', 'Cannot start Redo Apply on the open physical standby database', 'An attempt was made to start Redo Apply on an open physical standby database instance.', 'Make sure the primary database is at compatibility 11.0.0 or higher. The redo logs to be recovered on an open physical standby database must be generated at compatibility 11.0.0 or higher. If you have any redo below 11.0.0 to be applied on the standby, you must apply them on a mounted standby before restarting recovery on an open standby when the log format advances to 11.0.0 or higher. If this is a RAC standby database, make sure the ACTIVE_INSTANCE_COUNT parameter is not set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38801', 'improper value for ORA_EDITION', 'An improper value was used for ORA_EDITION when trying to specify an edition to use at login time. The value is not understandable as an identifier, or is too long.', 'Correct the value for ORA_EDITION and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38802', 'edition does not exist', 'This error occurred because a reference was made to an edition that does not exist or that the current user does not have privileges on.', 'Check the edition name and verify that the current user has appropriate privileges on the edition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38803', 'edition is unusable', 'This error occurred because a reference was made to an unusable edition.', 'Use another edition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38804', 'not a legal edition name', 'This error occurred because an attempt was made to create an edition called ORA$BASE, DATABASE_DEFAULT, or USER_DEFAULT. These are not legal edition names. Or a value provided as an edition name is not understandable as an identifier, or is too long.', 'Choose a different name for the edition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38805', 'edition is in use', 'An attempt was made to ALTER or DROP an edition that was being used in another session or was the database default edition.', 'Retry when the edition is not in use and is not the database default edition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38806', 'edition is being altered or dropped', 'An attempt was made to use an edition that was in the process of being altered or dropped.', 'Use a different edition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38807', 'Implementation restriction: an edition can have only one child', 'This error occurred because an attempt was made to create more than one child edition for a parent edition.', 'Create the edition as a child of the leaf edition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38808', 'edition has a usable parent and a usable child', 'An attempt was made to make an edition with a usable parent and a usable child edition unusable.', 'An edition with a usable parent and a usable child edition cannot be made unusable. Retry after either parent or child has been made unusable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38809', 'edition must be unusable', 'This error occurred because an attempt was made to drop a usable edition.', 'Retry after the altering the edition to be unusable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38810', 'Implementation restriction: cannot drop edition that has a parent and a child', 'This error occurred because an attempt was made to drop an edition that has a parent and a child edition.', 'Retry after dropping the parent or child edition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38811', 'need CASCADE option to drop edition that has actual objects', 'This error occurred because an attempt was made to drop an edition that has actual objects.', 'Specify CASCADE option in drop command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38812', 'maximum number of editions reached', 'The number of editions has reached the limit.', 'Drop some editions before creating new ones.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38813', 'editions not supported for schema string', 'The Oracle-supplied schema did not support editions.', 'Do not attempt to enable editions for the specified Oracle-supplied schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38814', 'ALTER SESSION SET EDITION must be first statement of transaction', 'An edition switch could be executed within an open transaction.', 'Commit or rollback the transaction and re-execute the statement, or use dbms_session.set_edition if its deferred effect is appropriate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38815', 'ALTER SESSION SET EDITION must be a top-level SQL statement', 'An edition switch failed because it was executed from a PL/SQL block or using recursive SQL.', 'Execute the statement from a top-level OCI call, or use dbms_session.set_edition if its deferred effect is appropriate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38816', 'edition has a child that inherits objects from the edition', 'This error occurred because an attempt was made to drop an edition that a child that inherits objects from the edition.', 'Retry after the child edition has no inherited objects.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38817', 'Insufficient privileges', 'You did not have sufficient privileges to execute the subprogram package DBMS_EDITIONS_UTIL.', 'Obtain the necessary privileges. Please see the package specification for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39962', 'invalid parameter for PLSQL_CCFLAGS', 'The value for the PLSQL_CCFLAGS parameter was not valid.', 'Specify a vaild value for the PLSQL_CCFLAGS parameter. /// MAX ERROR NUMBER 65535', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40001', 'value for string must be greater than zero', 'The input parameter in question has a value of zero or less.', 'Provide a value greater than zero for the relevant parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40002', 'wordsize must be string or greater', 'The input wordsize is less than the prescribed limit for the BLAST Match or Align algorithm.', 'Provide a wordsize greater than or equal to the prescribed value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40003', 'wordsize must be in the range string - string for BLAST-P', 'The input wordsize has a value out of the prescribed range.', 'Provide a wordsize value within the prescribed range for BLAST-P.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40004', 'penalty must be negative for BLAST-N', 'The input value provided for penalty is zero or greater.', 'Provide a negative penalty value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40021', 'no column named string in training table string', 'The training table does not contain the specified column', 'Provide a case-id/target column that exists in the training table', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40022', 'null case ID column - cannot provide row diagnostics in string', 'A row diagnostics table name was provided, but without a corresponding case or row identifier column in the build data.', 'Provide a non-null case identifier column in the build data to identify rows in the row diagnostics table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40023', 'sufficient memory could not be allocated given the number of attributes', 'Unable to allocate sufficient memory to create a model capable of producing confidence bounds on predictions because there were too many attributes or there were high cardinality categorical attributes, or both, in the build data.', 'Reduce the number of attributes, especially high cardinality categoricals, or enable ridge regression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40024', 'solution to least squares problem could not be found', 'Unable to find solution because the predictor covariance matrix was singular.', 'Enable ridge regression or remove exact multicollinearities from the build data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40025', 'reference class name not found in build data', 'The provided reference class name was not found in the build data.', 'Provide an existing target value as the reference class name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40026', 'reference class name not found in the weights table', 'The provided reference class name did not correspond to any of the entries in the weights table.', 'Provide consistent specification for reference class name and weights table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40027', 'Target attribute has more than two distinct values', 'Generalized Linear Models only support binary classification.', 'Consolidate target values into two distinct categories.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40028', 'solution to least squares problem could not be found', 'Unable to find solution because the predictor build data were not properly scaled.', 'Standardize the predictor build data by enabling auto prep.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40101', 'Data Mining System Error string-string-string', 'An internal system error occured during a data mining operation.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40102', 'invalid input string for data mining operation string', 'The input parameter is either null or invalid for the given operation.', 'Provide a valid value. Check range for NUMBER parameters.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40103', 'invalid case-id column: string', 'The column designated as case-id is not of one of CHAR, VARCHAR2, NUMBER data type. Case-id columns of type CHAR and VARCHAR2 must be of length less than or equal to 128 bytes.', 'Change the schema of your input data to supply a case-id column of appropriate data type and/or length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40104', 'invalid training data for model build', 'The training data provided in the reported table is unsuitable for build, either because it is empty, has unsuitable data, or the schema of the table does not match the input specifications.', 'Inspect the training data and correct the contents/schema as appropriate.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40105', 'input data incompatible with model signature', 'The data provided for this post-build operation is in format different from that used for model build.', 'Provide data whose attribute data types match the build data. Input data attributes must have the same data types as those described in the model signature for the model.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40106', 'positive target value not specified for computing Lift', 'Positive target value has not been specified for Lift.', 'Provide a positive target value for the Lift operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40107', 'operation requires string option to be installed', 'The specified option has not been installed with the RDBMS.', 'Install the reported option and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40108', 'input data contains too few distinct target (string) values', 'At least two distinct target values are required for Build.', 'Provide counter-example target values in the input data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40109', 'inconsistent logical data record', 'Repeated instances of a record identifier or repeated attribute(s) in a nested column.', 'Remove or re-label repeated instances to resolve inconsistencies.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40110', 'Duplicate model tables found for table type string', 'Operation would result in duplicate model table types which is not supported.', 'Remove the duplicate entry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40111', 'no mining attributes found in build data', 'Could not build a model when only special or empty columns were present. Special columns include target, row weight, and case ID columns.', 'Provide mining attribute data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40112', 'insufficient number of valid data rows', 'Fewer than two valid data rows were found in the build data.', 'Provide at least two valid build data rows. If the model is either a classification or regression model, then valid rows must have non-NULL targets. If a weight column was provided, then valid rows must have positive row weights. In addition, if delete_row missing value treatment was used, consider disabling it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40113', 'insufficient number of distinct target values', 'Less than two distinct target values were found in the build data.', 'Provide the classification build data with at least two distinct target values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40114', 'weights table target values mismatched with build data', 'The entries in the weights table did not correspond to the target values in the build data.', 'Verify the entries in the weights table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40115', 'weights table schema is incorrect', 'The weights table did not have the required schema.', 'Provide a weights table with schema: (target_value, weight), where the type of the first column corresponds to the type of the target column (CHAR, VARCHAR2 or NUMBER) and the type of the second column is NUMBER.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40116', 'NULL values found in weights table', 'The weights table had NULL entries.', 'Replace or eliminate all NULL entries in the weights table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40117', 'repeated target values found in weights table', 'The weights table had repeated target values.', 'Remove the repeated target values from the weights table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40118', 'insufficient number of target values in weights table', 'The weights table had less that 2 target values.', 'Provide at least two target values in the weights table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38491', 'could not evaluate subexpression for rowid "string"', 'Either the expression was not in a valid SQL-WHERE clause format or it had references to nonexistent schema objects.', 'Correct the expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39097', 'Data Pump job encountered unexpected error string', 'An unexpected, potentially non-fatal error occurred while processing a Data Pump job.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39098', 'Worker process received data objects while loading metadata. Invalid process order range is string..string', 'This is an internal error. Messages will detail the problem.', 'If problem persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39099', 'cannot create index for "string" on master table string', 'One or more indexes couldn''t be created on the master table. subsequent error messages describe the failure.', 'Correct the condition that is preventing the indexes from being created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39102', 'Timeout before master process string finished initialization. Master error:', 'The master process whose name is listed started up but did not finish its initialization within the allowed time limit.', 'Refer to any following error messages for possible actions. Also, check the trace log for the failed process, if one was created, to see if there is any additional information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39103', 'Timeout before worker process string finished initialization. Worker error:', 'The worker process whose name is listed started up but did not finish its initialization within the allowed time limit.', 'Refer to any following error messages for possible actions. Also, check the trace log for the failed process, if one was created, to see if there is any additional information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39104', 'cannot call this function from a SQL parallel query slave process', 'Called a Data Pump process model function from a process which is a SQL parallel query slave process', 'A SQL parallel query slave process cannot create a Data Pump master process. This is not supported. If this error occurs from a Data Pump client (for example, expdp or impdp), contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39105', 'Master process string failed during startup. Master error:', 'The master process whose name is listed failed during startup.', 'Refer to any following error messages for possible actions. Also, check the trace log for the failed process, if one was created, to see if there is any additional information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39106', 'Worker process string failed during startup. Worker error:', 'The worker process whose name is listed failed during startup.', 'Refer to any following error messages for possible actions. Also, check the trace log for the failed process, if one was created, to see if there is any additional information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39107', 'Master process string violated startup protocol. Master error:', 'The master process whose name is listed started up but then exited before notifying the creating process that it was finished with initialization.', 'Refer to any following error messages for possible actions. Also, check the trace log for the failed process, if one was created, to see if there is any additional information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39504', 'failed to notify CRS of a Startup/Shutdown event [string] (ignored)', 'The instance was unable to find the location of the alert file.', 'None Required. The error is ignored.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39600', 'Queue keys needs to be a suffix of cluster key.', 'Attempt to specify queue key columns that don''t form a suffix of the cluster key.', 'Only specify queue key columns as a suffix of cluster key.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39601', 'Hash key is required.', 'Missing hash key in the cluster key specification.', 'Specify one or more hash key columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39700', 'database must be opened with UPGRADE option', 'A normal database open was attempted, but the database has not been upgraded to the current server version.', 'Use the UPGRADE option when opening the database to run catupgrd.sql (for database upgrade), or to run catalog.sql and catproc.sql (after initial database creation).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39701', 'database must be mounted EXCLUSIVE for UPGRADE or DOWNGRADE', 'The database was mounted for SHARED cluster access.', 'Set the CLUSTER_DATABASE initialization parameter to FALSE and restart the server with the UPGRADE or DOWNGRADE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39702', 'database not open for UPGRADE or DOWNGRADE', 'An upgrade, downgrade, reload, or patch script was invoked when the database was not open for UPGRADE or DOWNGRADE.', 'Use STARTUP UPGRADE to open the database for upgrade or to apply a patch set. Use STARTUP DOWNGRADE for running a downgrade script or the reload script.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39703', 'server version and script version do not match', 'An upgrade, downgrade, reload, or patch script was invoked, but the database instance version was not the version for which the script was intended.', 'Check that the correct ORACLE_HOME and ORACLE_SID environment variables are set. Also check that the SQL script is being invoked from the correct ORACLE_HOME.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39704', 'permission to modify component registry entry denied', 'An attempt was made to modify an entry in the component registry, but the session user was not authorized; only the CONTROL or SCHEMA user for the component are authorized to modify the component registry entry.', 'Connect as either the CONTROL or SCHEMA user for the component.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39705', 'component ''string'' not found in registry', 'No entry in the component registry was found for the specfied component.', 'Check the spelling of the component ID and use the DBA_REGISTRY view to list the existing components.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39706', 'schema ''string'' not found', 'The schema name specified was not found in the database.', 'Create the schema before loading the component.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39707', 'compatibile parameter string too high for downgrade to string', 'A downgrade was attempted, but the compatible initialization parameter value was greater than the downgrade release version.', 'Once the compatible value has been raised, downgrade to earlier releases is not supported.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39708', 'component ''string'' not a string component', 'The component was not a component for the specified namespace.', 'Either enter a valid component identifier for the namespace or set the session namespace to the correct component namespace.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39709', 'incomplete component downgrade; string downgrade aborted', 'One or more components did not have a status of DOWNGRADED.', 'Correct the component problem and re-run the downgrade script.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54523', 'inner rings of same outer ring cannot touch more than once', 'Two inner rings of the same outer ring touched more than once.', 'Ensure that inner rings of the same outer ring touch at no more than one point.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54524', 'inner ring cannot be inside another inner ring of same outer ring', 'An inner ring was inside another ring of the same outer ring.', 'Ensure that no inner ring is inside another inner ring of the same outer ring.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54525', 'incorrect box volume due to wrong ordinates', 'The rectangular box in shortcut format did not have its first x,y,z coordinates either all greater or less than its second x,y,z coordinates.', 'Make sure that the first x,y,z coordinates are either all greater or all less than the second x,y,z coordinates.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54526', 'multi or composite geometry must be decomposed before extraction', 'The extraction could not be performed because the multi or composite geometry must first be decomposed into simple geometries (with or without inner geometries). The multi or composite geometry had a gtype of GTYPE_MULTISOLID, GTYPE_MULTISURFACE, GTYPE_MULTICURVE, GTYPE_MULTIPOINT, or GTYPE_COLLECTION, or the geometry was a line string.', 'Use the MULTICOMP_TOSIMPLE parameter to element extractor to decompose the multi or composite geometry to a simple geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54527', 'operation not permitted on a simple geometry', 'A MULTICOMP_TOSIMPLE parameter to element extractor was attempted on a geometry that is already simple.', 'Do not use the MULTICOMP_TOSIMPLE parameter to element extractor on simple geometries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54528', 'inner composite surfaces or surfaces with inner ring(s) expected', 'An INNER_OUTER parameter to element extractor was attempted on a surface that was not simple or composite.', 'Ensure that the etype of the geometry for the INNER_OUTER parameter to element extractor is ETYPE_SURFACE or ETYPE_COMPOSITESURFACE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54529', 'geometry should have multi-level hierarchy (like triangle)', 'The geometry did not have the multi-level hierarchy required for this operation. For example, if the parameter to element extractor (hierarchy level) is not LOWER_LEVEL, but the geometry etype is ETYPE_SOLID and gtype is GTYPE_SOLID, an extract operation is not allowed, because a simple solid can only be decomposed into lower level geometries, such as composite surfaces.', 'Ensure that the geometry has the appropriate hierarchy. For example, if the geometry etype is ETYPE_SOLID and gtype is GTYPE_SOLID, the parameter to element extractor (hierarchy level) should be LOWER_LEVEL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54530', 'invalid etype for element at element offset', 'An invalid etype was encountered.', 'Correct the etype of the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54531', 'invalid orientation for element at element offset', 'The orientation of the current geometry was not valid.', 'Reverse the orientation of the geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54532', 'incomplete composite surface', 'The end of composite surface was reached before all necessary surfaces were defined.', 'Add more surfaces to match the geometry definition, or reduce the specified number of surfaces.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54533', 'invalid etype in composite surface of solid', 'The etype of the composite surface of a solid was not valid.', 'Ensure that the etype is orient*1000+ETYPE_SOLID, where orient is 1 for outer solid and 2 for inner solid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54534', 'incorrect box surface due to wrong specification', 'The elemInfo definition was not correct for the surface of the axis aligned box.', 'Change the interpretation to 3 in the elemInfo definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54535', 'incorrect box surface because it is on arbitrary plane', 'The axis aligned box surface was not on the yz, xz, or xy plane.', 'Ensure that the first and fourth coordinates, or the second and fifth coordinates, or the third and sixth coordinates are the same. This means that the surface is on the yz, xz or xy plane, respectively.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54536', 'axis aligned box surface not defined properly', 'The inner geometry etype did not start with 2, or the outer geometry etype did not start with 1, or both occurred.', 'Use the correct etype for the inner and outer geometries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54537', 'incorrect box surface due to wrong orientation', 'The rectangular surface in shortcut format did not have its first x,y,z coordinates all greater than or equal to or all less than or equal to its second x,y,z coordinates.', 'Ensure that the first x,y,z coordinates are either all greater than or equal to or all less than or equal to the second x,y,z coordinates.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54538', 'unexpected gtype', 'The gtype of the geometry was not GTYPE_SOLID, GTYPE_SURFACE, GTYPE_CURVE or GTYPE_POINT.', 'Correct the elemInfo array to fix any invalid gtype and etypes that violate the geometry hierarchy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54539', 'cannot process the geometry(s) for this operation', 'The geometry had errors in it.', 'Validate the geometry or geometries to ensure that each is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54540', 'at least one element must be a surface or solid', 'One of the geometries had holes, and the geometries were neither (A) simple, composite, or multisurfaces, or (B) simple, composite, or multisolids. (Surfaces and solids are the only geometries that can have holes. Points and curves cannot have holes.)', 'Ensure that each geometry having holes is a surface or solid (simple, composite, or multi).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54545', 'holes incorrectly defined', 'The holes were defined with incorrect etype.', 'Ensure that the etype is correct in the definition of the inner geometry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54546', 'volume of solid cannot be 0 or less', 'The solid geometry having one outer and multiple inner geometries had a negative or zero volume.', 'Correct the orientation or specification of the outer solid geometry to obey outer geometry rules so that the outer geometry has a positive volume. Additionally, correct the orientation or specification of inner solid geometries to obey inner geometry rules so that each inner geometry has a negative volume.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38501', 'sub-query not allowed in the expression', 'An attempt was made to use a sub-query in the expression.', 'Do not use sub-queries in the expressions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38502', 'invalid XML tag: string', 'An attempt was made to use an invalid XML tag for the index.', 'Correct the XML tag and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38503', 'index already defined using the parameters', 'An attempt was made to modify the index parameters after the index creation.', 'Drop the index and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38504', 'this operator not allowed with the configured attribute set', 'An attempt was made to use the operator binding with an attribute set containing more than one (table alias) attribute. This is not permitted.', 'Use a different operator binding.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38505', 'invalid default value for the attribute', 'An attempt was made to use an invalid default value or a default that is larger than 100 characters.', 'Specify a correct default value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38506', 'invalid attribute type for text predicates', 'An attempt was made to use an invalid type for an attribute configured for text predicates.', 'Use either a VARCHAR or a CLOB attribute instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38507', 'attributes of string data type should be indexed', 'An attempt was made to configure an attribute of spatial or text data type as stored predicate group.', 'Configure them as indexed predicate groups instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38601', 'FI Not enough memory for frequent itemset counting: string', 'The memory size did not satisfy the minimum memory requirement.', 'In workarea_size_policy=''manual'' mode, set _fic_area_size to a reasonably larger value. Or, In workarea_size_policy=''auto'' mode, this error should never happen.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38602', 'FI invalid input cursor', 'The input cursor did not return exactly two columns for transactional input format or the input cursor didn''t have consistent data types for horizontal input format', 'For transactional input format, specify that the input cursor returns exactly two columns: one for transaction-id, one for item-id. For horizontal input format, make sure the input cursor''s columns have the same data types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38603', 'FI including & excluding cursor can only return one column', 'The including & excluding cursor did not return exactly one column.', 'Specify that the cursor return only one column: item-id.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38604', 'FI including & excluding cursor item-id type must match input cursor item-id type', 'The including & excluding cursor item-id type did not match input cursor item-id type', 'Specify that the item-id type of the cursors match each other.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38605', 'FI not enough memory(stringK) for candidate generation(stringK)', 'There was insufficient available memory for candidate generation.', 'In workarea_size_policy=''manual'' mode, set _fic_area_size to a reasonably larger value. Or, in workarea_size_policy=''auto'' mode, set pga_aggregate_target to a reasonably larger value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38606', 'FI support threshold not between [0, 1]', 'The user inputed a support threshold not in the range of [0, 1].', 'The user should adjust the input value in the range of [0, 1].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38607', 'FI minimum and maximum itemset length not between [1, string]', 'The inputed minimum or maximum itemset length exceed the internal maximum itemset length or less than 1.', 'The user should adjust the input value not larger than the internal maximum itemset length and not less than 1.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38608', 'FI itemset minimum-length(string) should not be greater than maximum length(string)', 'The user inputed minimum length is more than maximum length.', 'The user should adjust the input values to make the minimum length less than or equal to the maximum length.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38609', 'FI Not enough memory for tree counting, requires at least stringKB', 'The memory size did not satisfy the minimum memory requirement for tree counting.', 'In workarea_size_policy=''manual'' mode, set _fic_area_size to a reasonably larger value. Or, In workarea_size_policy=''auto'' mode, this error should never happen.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38610', 'FI "string" name prefix is reserved for frequent itemset counting', 'An error occurred because DBMS_FREQUENT_ITEMSET and prefix ORA_FI are reserved for the DBMS_FREQUENT_ITEMSET package''s internal use.', 'Do not re-define functions with names starting with DBMS_FREQUENT_ITEMSET package or ORA_FI.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38611', 'FI input cursor''s item type is not supported', 'The input cursor''s item type is not number or character type', 'Redefine the input cursor so that item type is number or character type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38612', 'FI item length cannot exceed half of one database block.', 'The item''s length was more than half of one database block.', 'Redefine the data type of the item column so that its maximum length is less than half of one database block.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38620', 'DT expressions in input cursor do not have an alias name', 'Expressions in input cursor do not have an alias name.', 'Add an alias name for the expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38621', 'Decision Tree maximum depth setting not between [2, 20]', 'The user specified a max tree depth not in the range of [2, 20].', 'The user should adjust the input value to be in the range of [2, 20].', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38622', 'Decision Tree not enough memory, requires at least stringKB', 'The memory size did not satisfy the minimum memory requirement for decision tree building.', 'In workarea_size_policy=''manual'' mode, set _dtree_area_size to a reasonably larger value. Or, In workarea_size_policy=''auto'' mode, please raise pga_aggregate_target to a reasonably larger value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38700', 'Limit of string flashback database logs has been exceeded.', 'The maximum number of flashback database log files was exceeded.', 'DB_FLASHBACK_RETENTION_TARGET may be set to high. Modify it to a smaller value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38701', 'Flashback database log string seq string thread string: "string"', 'This message reports the filename for details of another message.', 'Other messages will accompany this message. See the associated messages for the appropriate action to take.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38702', 'Cannot update flashback database log file header.', 'Could not write to the flashback database log file.', 'Restore access to the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38703', 'Type string in header is not a flashback database log file.', 'A corrupt flashback database log file header was read.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38704', 'Checksum error in flashback database log file header.', 'The flashback database log file header contained a checksum that does not match the value calculated from the file header as read from disk. This means the file header was corrupt.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38705', 'Expected block size string does not match string in log header.', 'When the flashback log file header was read, the block size in the control file did not match the block size contained in the header.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40119', 'nested columns incompatible with missing value treatment', 'delete_row missing value treatment is not supported for nested columns.', 'Use 2D (non-nested) data representation or manually delete the rows with NULL values and disable the delete_row missing value treatment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40120', 'invalid weight value in the weights table', 'Negative or zero weight values were found in the weights table.', 'Ensure that weight values in the weights table are strictly positive.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40181', 'invalid transformation definition for column string', 'Transformation definition has duplicate or NULL columns.', 'Provide a valid transformation definition specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40182', 'invalid column reference', 'Transformation expression has no column references or more than one reference or the reference is qualified.', 'Provide a valid expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40183', 'invalid stack definition for attribute string', 'Stack definition expression or reverse expression has syntax errors or it does not match the transformation definition.', 'Provide a valid expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40184', 'transformation definition does not match the data', 'Transformation definition specifies nested transformation for non-nested data or it removes all of the columns.', 'Provide a valid data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40201', 'invalid input parameter string', 'The input parameter was either null or invalid.', 'Provide a valid value for the input parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40202', 'column string does not exist in the input table string', 'The column was missing from the table.', 'Correct the table schema and/or provide the correct column name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40203', 'model string does not exist', 'The model did not exist.', 'Supply a valid model name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40204', 'model string already exists', 'A model by the same name exists.', 'Provide a different, unique name for the model.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40205', 'invalid setting name string', 'The input setting name was invalid.', 'Consult the documentation for the settings table and provide a valid setting name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40206', 'invalid setting value for setting name string', 'The input value for the given setting name was invalid.', 'Consult the documentation for the settings table and provide a valid setting value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40207', 'duplicate or multiple function settings', 'The input settings table contained settings for multiple mining functions.', 'Provide setting(s) for a single function in the settings table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40208', 'duplicate or multiple algorithm settings for function string', 'The input settings table had duplicate or multiple algorithm settings for a mining function.', 'Provide only one appropriate algorithm setting for the mining function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40209', 'setting string is invalid for string function', 'The specified setting was not supported for the mining function supplied.', 'Provide appropriate combination of function and algorithm settings.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40210', 'invalid score criterion type when cost matrix is specified', 'The score criterion type may not be ''PROBABILITY'' when a cost matrix is specified.', 'Set score criterion type to ''COST'' or don''t specify a cost matrix.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40211', 'algorithm name string is invalid', 'Algorithm name for the model was invalid or the operation was not valid for the algorithm.', 'Check the algorithm name for the model and verify that the operation is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40212', 'invalid target data type in input data for string function', 'Target data type was invalid.', 'Classification function accepts CHAR,VARCHAR2, and NUMBER targets. Regression function accepts NUMBER targets only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40213', 'contradictory values for settings: string, string', 'The settings values were not compatible.', 'Check the documentation and change the setting value(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40214', 'duplicate setting: string', 'Duplicate setting in the settings table.', 'Remove the duplicate setting from the settings table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40215', 'model string is incompatible with current operation', 'The current operation was not supported for the mining function the model corresponds to.', 'Provide the model name suitable for current operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40216', 'feature not supported', 'The feature was not supported in the API.', 'Modify the code to avoid usage of the feature.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40217', 'priors table mismatched with training data', 'The entries in the priors table do not correspond to the targets in the training data.', 'Verify the entries in the priors table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40219', 'apply result table string is incompatible with current operation', 'The current operation was not allowed for the apply result table supplied.', 'Make sure the operation being performed is valid for the mining function used to build the model (using which the apply result table was created).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40220', 'maximum number of attributes exceeded', 'The data had too many attributes.', 'Reduce the dimensionality of the data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40221', 'maximum target cardinality exceeded', 'The target cardinality of the training data was too high.', 'Reduce the target cardinality.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40222', 'data mining model export failed, job name=string, error=string', 'The model export job failed.', 'Check export job settings as required by DataPump.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40223', 'data mining model import failed, job name=string, error=string', 'The model import job failed.', 'Check import job settings as required by DataPump.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40225', 'model is currently in use by another process', 'The model is currently in use by another process.', 'Retry if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40226', 'model upgrade/downgrade must be performed by SYS', 'Upgrade/Downgrade routines are being invoked by a user with insufficient privilieges.', 'Run the routines as SYS during migration.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40227', 'invalid transformation attribute', 'Transformation list provided to CREATE_MODEL has duplicate or NULL attributes. Case ID or target attribute has attribute_subname that is not NULL. Attribute provided to ALTER_REVERSE_EXPRESSION does not exist in the model.', 'Remove NULLs and duplicates and fix case ID and target attributes or provide a valid attribute for a given model.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40228', 'scoring cost matrix already exists', 'The model already has a scoring cost matrix.', 'To add a new scoring cost matrix the existing one should be removed first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40229', 'scoring cost matrix not found', 'The model does not have a scoring cost matrix.', 'To remove a scoring cost matrix the model should have one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40230', 'invalid transformation expression', 'Expression has syntax or semantic errors.', 'Provide a valid expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40251', 'no support vectors were found', 'The input data is non-predictive in nature, or one of the input settings is incorrect/incompatible with respect to the input data.', 'Provide additional data or change model setting value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40252', 'no target values were found', 'No target values were identified during load.', 'Validate that the target is correctly specified.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40253', 'no target counter examples were found', 'One or more of the target classes have only positive examples.', 'Provide counter examples or remove that target class.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40254', 'priors cannot be specified for one-class models', 'Priors were specified.', 'Do NOT provide priors for one-class models.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40261', 'input data for model build contains negative values', 'The input data contains negative values, which is not acceptable for a Non-negative Matrix Factorization model.', 'Provide clean data for build without any negative values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39710', 'only connect AS SYSDBA is allowed when OPEN in UPGRADE mode', 'An attempt was made to connect to a database when the database was OPEN for UPGRADE or DOWNGRADE.', 'Try to connect again after the database upgrade or downgrade is complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39711', 'critical patch number less than last installed CPU number', 'A Critical Patch Update (CPU) script was invoked that had a number that was less than the last CPU installed in the database.', 'Check the DBA_REGISTRY_HISTORY view to identify the last CPU for the database, and install the most recent CPU.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39712', 'XE edition server cannot open database', 'An attempt was made to open a Standard Edition or Enterprise Edition database with the Express Edition of the server.', 'Use the Express Edition server only with Express Edition databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39714', 'upgrade script utlmmig.sql failed', 'A normal database open was attempted, but the upgrade script utlmmig.sql failed to complete.', 'Use the UPGRADE option when opening the database and then run utlmmig.sql.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39726', 'unsupported add/drop column operation on compressed tables', 'An unsupported add/drop column operation for compressed table was attemped.', 'When adding a column, do not specify a default value. DROP column is only supported in the form of SET UNUSED column (meta-data drop column).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39727', 'COMPATIBLE must be set to 10.0.0.0.0 or higher', 'An add/drop column operation for compressed table has been performed on the database. This requires COMPATIBLE to be set to 10.0.0.0.0 or higher during upgrade from 9.2 to a 10i or higher release.', 'Set COMPATIBLE to 10.0.0.0.0 and retry the upgrade.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39751', 'partitioned table on both sides of PARTITIONED OUTER JOIN is not supported', 'An attempt was made to partition both sides of PARTITIONED OUTER JOIN.', 'Specify partitioned table on one side of PARTITIONED OUTER JOIN only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39752', 'redundant column in partitioning and join columns is not allowed', 'An attempt was made to specify redundant columns in partitioning and join columns for NATURAL or named column PARTITIONED OUTER JOIN.', 'Do not specify redundant column in partitioning and join columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39753', 'unsupported use of subquery in PARTITIONED OUTER JOIN condition', 'An attempt was made to use subquery in PARTITIONED OUTER JOIN condition.', 'Remove subquery from the join condition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39754', 'FULL PARTITIONED OUTER JOIN is not supported', 'An attempt was made to use FULL PARTITIONED OUTER JOIN.', 'Specify FULL PARTITIONED OUTER JOIN through UNION of LEFT and RIGHT PARITTION OUTER JOIN.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39761', 'stream reset required before loading this stream again', 'An attempt was made to load a stream that was previously loaded but has not been reset yet.', 'Reset the specified stream and convert column array data to it before attempting to load it again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39762', 'streams must be loaded in conversion order', 'An attempt was made to load a stream out of conversion order.', 'Load streams in the same order they were converted.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39763', 'stream must be completely loaded before it is reset', 'An attempt was made to reset a stream that contains converted column array data and hasn''t been completely loaded yet.', 'Before resetting a stream, load it until a status of OCI_SUCCESS, OCI_NO_DATA, or OCI_NEED_DATA is returned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39764', 'specified stream is not in the specified direct path context', 'A direct path operation was attempted using a stream that was not created in the specfied direct path context.', 'Only use streams created in the specified direct path context.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39765', 'stream must be reset before used in a column array conversion', 'The stream was completely loaded, but has not been reset yet.', 'Reset loaded streams after load returns OCI_SUCCESS, OCI_NO_DATA, or OCI_NEED_DATA. The stream can then be used in a column array to stream conversion.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39766', 'invaid stream specified for column array conversion', 'A stream must be loaded and reset before used again in a column-array-to-stream conversion. This error is issued if another stream has subsequently been converted before the specified stream has been loaded, or if the latest load of this stream returned OCI_ERROR.', 'Don''t convert into a previous stream before it is loaded. Also, when load stream returns OCI_ERROR, the stream must be loaded again to insure any remaining information in the stream is loaded. The stream must be loaded even if the last or only row was in error. There may be error information in the stream that needs to be sent to the server.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39767', 'finish is not allowed when unloaded stream data exists', 'A direct path finish was attempted when at least one stream buffer has not been completely loaded.', 'All streams must be loaded after a column array to stream conversion until load stream returns a status of OCI_SUCCESS or OCI_NO_DATA. The load can then be finished.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39768', 'only one direct path context top level column array is allowed', 'Attempt to create multiple top level column arrays in a direct path context, when only one is allowed.', 'Create another direct path context if additional top level column arrays are required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39769', 'finish is not allowed with an incompletely loaded last row', 'Part of a row has been loaded, but it is not complete.', 'Finish loading the current row when load stream returns OCI_ERROR or OCI_NEED_DATA.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39771', 'stream must be loaded before its handle is freed', 'An attempt was made to free a stream handle after conversion but before the stream was loaded.', 'Load the stream until OCI_SUCCESS, OCI_NEED_DATA or OCI_NO_DATA is returned before attempting to free the stream handle. If OCI_NEED_DATA is returned, another stream must be loaded to complete last row.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39772', 'column array reset disallowed after OCI_CONTINUE or OCI_NEED_DATA', 'An attempt was made to reset a column array when a row conversion is still in progress.', 'Complete the current row before reseting the column array. To ignore the current row when conversion returned OCI_NEED_DATA, set the current column flag to OCI_DIRPATH_COL_ERROR. This should be followed by a conversion, which will undo and ignore the row. The column array(s) can then be reset.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39773', 'parse of metadata stream failed', 'An unexpected error occured while attempting to parse the metadata // stream for a table being loaded.', 'Call Oracle support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39774', 'parse of metadata stream failed with the following error: string', 'An unexpected error occured while parsing the metadata stream.', 'See the secondary error for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39775', 'direct path API commit not allowed due to previous fatal error', 'An attempt was made to commit a Direct Path context after a fatal error.', 'Correct the error and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39776', 'fatal Direct Path API error loading table string', 'A fatal error was detected loading the specified or previous table.', 'Correct the error and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39777', 'data saves are not allowed when loading lob columns', 'An attempt was made to save data when loading lob columns or columns stored as lobs (such as varrays and xml types).', 'Do not attempt to do a data save or partial save when loading lob columns. A finish save is allowed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38500', 'string', 'There was a generic error', 'See documentation for further information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38706', 'Cannot turn on FLASHBACK DATABASE logging.', 'An ALTER DATABASE FLASHBACK ON command failed. Other messages in the alert log describe the problem.', 'Fix the problem and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38707', 'Media recovery is not enabled.', 'An ALTER DATABASE FLASHBACK ON command failed because media recovery was not enabled.', 'Turn on media recovery with an ALTER DATABASE ARCHIVELOG command and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38708', 'not enough space for first flashback database log file', 'An ALTER DATABASE FLASHBACK ON command failed because there was not enough space in the Recovery Area for the first flashback database log file.', 'Make more space in the Recovery Area. For example, this can be done by increasing the value of DB_RECOVERY_FILE_DEST_SIZE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38709', 'Recovery Area is not enabled.', 'An ALTER DATABASE FLASHBACK ON command failed because the Recovery Area was not enabled.', 'Set DB_RECOVERY_FILE_DEST to a location and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38710', 'Flashback log version string is incompatible with ORACLE version string.', 'The flashback database log file was rejected because it appeared to be written by an incompatible version of Oracle.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38711', 'Corrupt flashback log block header: block string', 'A corrupt Flashback Database log file block header was read. More information was dumped to the trace file.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38712', 'Corrupt flashback log record header: block string, offset string.', 'A corrupt flashback database log record header was read. Either the record type or length were incorrect. More information was dumped to the trace file.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38713', 'Flashback Database logging is already turned on.', 'An ALTER DATABASE FLASHBACK ON command had no effect because flashback database logging was already on.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38714', 'Instance recovery required.', 'An ALTER DATABASE FLASHBACK ON command failed because the database either crashed or was shutdown with the ABORT option.', 'Open the database and then enter the SHUTDOWN command with the NORMAL or IMMEDIATE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38715', 'Invalid log number specified in the DUMP FLASHBACK command.', 'An invalid log number was used when dumping a flashback database log file.', 'Specify a valid flashback database log number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38716', 'Must supply an integer for the TYPE option.', 'An invalid value was specified for TYPE in the DUMP FLASHBACK command.', 'Specify an integer value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38717', 'Invalid DUMP FLASHBACK option.', 'An invalid option was specified in the DUMP FLASHBACK command. Currently the only options allowed are: DBA, TYPE, and LOGICAL.', 'Retry the command with the correct options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38718', 'Invalid thread number specified in the DUMP FLASHBACK command.', 'An invalid thread number was used in dumping the flashback database log files for a thread.', 'Specify a valid thread number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38719', 'Invalid DUMP FLASHBACK object.', 'An invalid object was specified in a DUMP FLASHBACK command. Currently the only objects allowed are: LOGFILE or THREAD.', 'Retry the command with the correct options.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38720', 'Missing log file name or number.', 'A log file name or number was missing in a DUMP FLASHBACK LOGFILE command.', 'Supply a valid log file name or number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38721', 'Invalid file number.', 'An invalid file number was specified in the DBA clause of a DUMP FLASHBACK command.', 'Supply a valid file number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38722', 'ON or OFF expected.', 'The ALTER DATABASE FLASHBACK command was specified without the ON or OFF keyword.', 'Retry the command with the ON or OFF keyword.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38723', 'Invalid SCN expression.', 'The SCN keyword was specified in a FLASHBACK DATABASE command but the SCN expression was invalid.', 'Retry the command using a valid SCN number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38724', 'Invalid option to the FLASHBACK DATABASE command.', 'An invalid option was specified to the FLASHBACK DATABASE command. Valid options are: SCN or TIMESTAMP.', 'Correct the syntax and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38725', 'specified name "string" does not match actual "string"', 'The database name specified in a FLASHBACK DATABASE command did not match the name of the currently mounted database.', 'Correct the database name spelling or DISMOUNT the mounted database and mount the correct database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38726', 'Flashback database logging is not on.', 'A FLASHBACK DATABASE command was tried but flashback database logging has not been enabled.', 'Flashback database logging must be enabled via the ALTER DATABASE FLASHBACK ON command before a FLASHBACK DATABASE command can be tried. If the database must be taken back in time then a restore and incomplete recovery must be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38727', 'FLASHBACK DATABASE requires a current control file.', 'The control file being used is a backup control file.', 'FLASHBACK DATABASE cannot be used with a backup control file. If the database must be taken back in time then a restore and an incomplete recovery must be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38728', 'Cannot FLASHBACK DATABASE to the future.', 'An SCN or time stamp provided in a FLASHBACK DATABASE command was in the future.', 'Supply a proper SCN or time stamp and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38729', 'Not enough flashback database log data to do FLASHBACK.', 'There was not enough flashback database log data to do the FLASHBACK DATABASE.', 'If the database must be taken back in time then a restore and incomplete recovery must be performed.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38730', 'Invalid SCN/TIMESTAMP expression.', 'The expression supplied in a FLASHBACK DATABASE command was invalid.', 'Retry the command using a valid number or time stamp expression.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38731', 'Expected version string does not match string in log header.', 'The version of the flashback database log file header was corrupt.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38732', 'Expected file size string does not match string.', 'The file size indicated in the control file did not match the file size contained in the flashback log file header. The flashback database log file was corrupt.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38733', 'Physical size string less than needed string.', 'A flashback database log file shrank in size. This was likely to have been caused by operator or operating system error.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40262', 'NMF: number of features not between [1, string]', 'The number of requested features must be greater than 1, and less than the smaller of the number of attributes and the number of cases in the dataset.', 'Specify the desired number of features within the acceptable range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40263', 'no meaningful matrix factorization found', 'Input data was not significantly different from 0.', 'Check your data for problems or add a positive constant to all the numeric attributes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40271', 'no statistically significant features were found', 'Input data inadequate in volume and/or quality to derive statistically significant predictors for building a data mining model.', 'Provide a well-prepared training data set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40272', 'apply rules prohibited for this model mode', 'Adaptive Bayes Network rules are only generated for SingleFeature ABN models', 'Rebuild model in SingleFeature mode and then apply with rules.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40273', 'invalid model type string for Adaptive Bayes Network algorithm', 'The valid values for the abns_model_type settings are: abns_multi_feature, abns_single_feature, abns_naive_bayes.', 'Use a valid value for the abns_model_type setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40281', 'invalid model name', 'A model name is invalid or does not exist.', 'Check spelling. A valid model name must begin with a letter and may contain only alphanumeric characters and the special characters $, _, and #. The name must be less than or equal to 30 characters and cannot be a reserved word.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40282', 'invalid cost matrix', 'Cost matrix specification is invalid.', 'Provide valid cost matrix specification. Check syntax for data mining functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40283', 'missing cost matrix', 'Cost matrix specification is missing.', 'Provide valid cost matrix specification. Check syntax for data mining functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40284', 'model does not exist', 'The model entered does not exist.', 'Check spelling.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40285', 'label not in the model', 'The model does not have the label.', 'Provide valid label.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40286', 'remote operations not permitted on mining models', 'An attempt was made to perform queries or DML operations on remote tables using local mining models.', 'Remove the reference to remote tables in the statement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40287', 'invalid data for model - cosine distance out of bounds', 'The norm computed using attribute values from the incoming row for the cosine model is outside the range 0-1.', 'Remove or correct the data in the offending row.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40289', 'duplicate attributes provided for data mining function', 'A duplicate, non-nested attribute was provided as input to the data mining function. A duplicate attribute is one which is present in the model signature, occurs more than once in the USING clause after tablename expansion, and is not a collection element in a nested table column.', 'Eliminate the duplicate attribute(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40290', 'model incompatible with data mining function', 'The supplied model cannot be operated upon by the data mining function because the model is built for a mining function and/ or based on an algorithm that is incompatible with function.', 'Provide the name of the model suitable for the function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40291', 'model cost not available', 'The supplied model was assumed to have been built with a cost matrix specification, when in reality, it was not.', 'Provide a model name that corresponds to a model that was built with an appropriate cost matrix specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40292', 'confidence level must be greater than 0 and less than 1', 'The specified value for confidence level is out of range.', 'Specify a value for confidence level in the range 0 < level < 1', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40293', 'input class is invalid for the specified predictive model', 'The specified model is either not a classification model, or does not have the input class label as one of its target values.', 'Provide the correct target value (class label) or provide the appropriate classification model with the target attribute that has the specified class label as one of its values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40301', 'invalid cost matrix specification', 'A valid cost matrix is not specified.', 'Consult documentation for valid cost matrix specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40302', 'invalid classname string in cost matrix specification', 'Actual or predicted classname specified is not present in training data', 'Provide valid classname(s) in cost matrix specification', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40303', 'invalid prior probability specification', 'Valid prior probabilities not specified. Valid probabilities should be between 0 and 1.', 'Consult documentation for valid prior probability specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40304', 'invalid classname string in prior probability specification', 'Actual or predicted classname specified is not present in training data.', 'Provide valid classname(s) in prior probability specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40305', 'invalid impurity metric specified', 'Impurity metric specified is not valid. Examples of valid metrics are TREE_IMPURITY_GINI, TREE_IMPURITY_ENTROPY.', 'Consult documentation for valid impurity metrics and specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40306', 'dm_nested types not supported by this algorithm', 'The training input to the CREATE_MODEL routine contains one or more columns of dm_nested type (DM_NESTED_NUMERICALS and/or DM_NESTED_CATEGORICALS). These columns are currently not supported for Decision Tree, O-Cluster, and Adaptive Bayes Network algorithms.', 'Remove columns of these data types from the input data source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40321', 'invalid bin number, is zero or negative value', 'Input bin number has zero or negative values.', 'Provide positive bin numbers starting from 1.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40322', 'bin number too large', 'Bin number is too large.', 'Reprocess build data by choosing smaller bin numbers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40323', 'Attribute string has too many distinct values (string)', 'Exceeded maximum number of distinct values allowed in an attribute.', 'Bin numerical data with fewer than 1024 bins or recode categorical data with fewer than 1024 unique values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40350', '11g model existed.', 'There are 11g data mining models existed in the database.', 'Drop 11g data mining models prior to downgrade to 10g.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-40361', 'only SELECT and ALTER are valid for mining models', 'An attempt was made to grant or revoke an invalid privilege on a mining model.', 'Do not attempt to grant or revoke any privilege besides SELECT or ALTER on mining models.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41001', 'session id list not specified', 'An attempt to migrate was made, which failed because the session id list specified was null.', 'Check the session id list, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41002', 'destination instance not specified', 'An attempt to migrate was made, which failed because the destination instance specified was null.', 'Check the destination instance , and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41003', 'client id not specified', 'An attempt to migrate was made, which failed because the client id specified was null.', 'Check the client id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41004', 'percentage not specified', 'An attempt to migrate was made, which failed because the percentage specified was null.', 'Check the percentage, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41005', 'session id list not specified', 'An attempt to cancel migration was made, which failed because the session id list specified was null.', 'Check the session id list, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38797', 'Full database recovery required after a database has been flashed back', 'An attempt was made to recover some datafiles or tablespaces of a database after the database had been flashed back. In order to recover control file and all datafiles correctly, full database recovery is required after a database has been flashed back.', 'Recover the whole database instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39778', 'the parallel load option is not allowed when loading lob columns', 'An attempt was made to load lob columns using the attribute OCI_ATTR_DIRPATH_PARALLEL. This error will also be issued when loading any columns that are stored as lobs (such as varrays and xml types).', 'Do not use the parallel attribute when loading lob columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39779', 'type "string"."string" not found or conversion to latest version is not possible', 'Unable to import table data using the specified type. The type was nonexistent in the database or the input type could not be converted to the existing type. The reasons why a conversion was not possible are:' || '<p>' || '1. The version of the type in the database was greater than the version of the type at export time because 1 or more attributes have been added or dropped from the type.' || '<p>' || '' || '<p>' || '2. If the type existed in the database prior to the import operation, then its internal identifier may not match the internal identifier of the type from the export database. The identifiers must match for an import to succeed.', 'Ensure the types in the database match those at export time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39780', 'Direct path context operations are not allowed after the context is aborted or finished', 'The specified direct path context was aborted or finished.', 'Do not pass a direct path context that has ended to any direct path functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39908', 'Index string.string in tablespace string enforces primary constraints string of table string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39909', 'Index string.string in tablespace string points to table/cluster string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39910', 'Partitioned Global index string.string in tablespace string points to partition string of table string.string in tablespace string outside of transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39911', 'Index string.string in tablespace string points to partition string of table string.string in tablespace string outside of transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39912', 'Partitioned index string.string in tablespace string points to table string.string in tablespace string outside of transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39913', 'string string.string in tablespace string not allowed in transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39914', 'Index string.string in tablespace string points to subpartition string of table string.string in tablespace string outside of transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39915', 'Partition string of table string.string in tablespace string points to LOB segment string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39916', 'Subpartition string of table string.string in tablespace string points to LOB segment string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39917', 'SYS owned object string in tablespace string not allowed in pluggable set', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39918', 'PLSQL Functional Index string.string in tablespace string not allowed in transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39919', 'Object string.string in tablespace string not contained within transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Check SYS.DBA_OBJECTS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39920', 'Rollback segment string in tablespace string not allowed in transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39921', 'Default Partition (Table) Tablespace string for string not contained in transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39922', 'Default Partition (Index) Tablespace string for string not contained in transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39923', 'Default Composite Partition (Table) Tablespace string for string not contained in transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39924', 'Default Composite Partition (Index) Tablespace string for string not contained in transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39925', 'LOB segment string.string in tablespace string points to table string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39926', 'Join index between table string.string in tablespace string and table string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39927', 'Scoped REF constraint between table string.string in tablespace string and table string.string in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39928', 'string string.string in tablespace string contains evolved type data that have not been upgraded.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39929', 'Table string.string in tablespace string has encrypted columns which are not supported.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39930', 'Violation string.', 'Informational message to describe a failure during transportable containment checking.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39931', 'XML Schema string Owner: string not fully contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Identify the associated elements and resolve self containment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38734', 'Flashback log is inconsistent; belongs to another database.', 'The database ID in the flashback database log file did not match the database ID in the control file.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38735', 'Wrong log number string in flashback log file header.', 'The log file number in the flashback database log file did not match the control file.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38736', 'Wrong thread number string in flashback log file header.', 'The thread number in the flashback database log file did not match the control file.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38737', 'Expected sequence number string doesn''t match string', 'The flashback database log is corrupted or is an old version.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38738', 'Flashback log file is not current copy.', 'A check of flashback database log file header at database open found that the flashback database log appeared to be an incorrectly restored backup. Flashback database log files cannot be backed up and restored.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38739', 'Flashback log file is more recent than control file.', 'The control file change sequence number in the flashback database log file was greater than the number in the control file. This implies that the wrong control file was being used. Note that repeatedly causing this error can make it stop happening without correcting the real problem. Every attempt to open the database will advance the control file change sequence number until it is great enough.', 'FLASHBACK DATABASE can only be used with the current control file. If it is not available, then a restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38740', 'Usable blocks value string is not valid.', 'A flashback database log file header contained a usable blocks value greater than the file size. The flashback database log file file is corrupt.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38741', 'Formatted blocks value string is not valid.', 'The formatted blocks value in the flashback database log file was greater than the file size. The flashback database log file was corrupt.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38742', 'Flashback log file has incorrect log reset status.', 'The flashback database log file header had log reset data that was different than the control file. The log was probably an incorrectly restored backup. Flashback database logs cannot be backed up.', 'If you are doing a FLASHBACK DATABASE, then the flashback cannot be performed because of the corrupted log. A restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38743', 'Time/SCN is in the future of the database.', 'The Time/SCN provided in a FLASHBACK DATABASE command was in the future of the database.', 'Retry the command with a correct Time/SCN or RECOVER the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38744', 'file string is not the same file seen at start of flashback', 'A different copy of the file was accessed the last time FLASHBACK DATABASE looked at the file header. A backup of the file was restored or the meaning of the file name changed during FLASHBACK DATABASE.', 'Ensure the correct file is available, then retry FLASHBACK DATABASE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38746', 'error occurred while restoring data block (file# string, block# string)', 'An error occurred during a FLASHBACK DATABASE command. See other errors on error stack.', 'Investigate why the error occurred. It may be that the flashback database log data is corrupt. If so, a restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38747', 'corrupt before image (file# string, block# string)', 'A corrupt data block before image was encountered during a FLASHBACK DATABASE command.', 'The flashback log data is probably corrupt. If so, a restore and an incomplete recovery must be performed instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38748', 'cannot flashback data file string - file is in use or recovery', 'An attempt to do FLASHBACK DATABASE found that the file was not available for recovery. Either it was online and the database was open in some instance, or another process was currently doing media recovery or flashback on the file.', 'Do not do FLASHBACK DATABASE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38749', 'A media recovery has been started.', 'An attempt was made to start a FLASHBACK DATABASE in the same session as a media recovery.', 'Complete or cancel the first media recovery session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38750', 'FLASHBACK DATABASE may not be performed using a dispatcher.', 'An attempt was made to use a dispatcher process for FLASHBACK DATABASE. Memory requirements disallow this recovery method.', 'Connect to the instance via a dedicated server process to perform FLASHBACK DATABASE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38751', 'Flashback database log: "string"', 'This message reports the filename for details of another message.', 'Other messages will accompany this message. See the associated messages for the appropriate action to take.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38752', 'file string does not exist', 'During an RMAN FLASHBACK DATABASE conversation, a file was listed which was not part of the database. The RMAN conversation was aborted.', 'Retry the conversation with the appropriate file numbers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38753', 'Cannot flashback data file string; no flashback log data.', 'An attempt to perform a FLASHBACK DATABASE failed because the file does not have enough flashback log data to cover the time to flash back. Either the file did not have flashback generation enabled for it, or had flashback generation turned off for it some time during the time span of the flashback.', 'The file cannot be flashed back. The file must be taken offline or the tablespace dropped before continuing with the FLASHBACK DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38754', 'FLASHBACK DATABASE not started; required redo log is not available', 'A FLASHBACK DATABASE command did not start. A redo log needed for the recovery part of FLASHBACK DATABASE could not be found or accessed.', 'See trace files for details of the problem.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38755', 'Flashback is already turned on for this tablespace.', 'An attempt was made to turn on flashback database logging for a tablespace that already has flashback turned on.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38756', 'Flashback is already turned off for this tablespace.', 'An attempt was made to turn off flashback database logging for a tablespace that already has flashback off.', 'No action required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41006', 'session id not specified', 'An attempt to get migration status was made, which failed because the session id specified was null.', 'Check the session id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41014', 'Session number string, serial number string currently being migrated', 'An attempt to migrate was made, which failed because the session specified is currently being migrated.', 'Check the session number and serial number and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41015', 'destination connect string not specified', 'A migration attempt was made, which failed because the connect string specified was null.', 'Check the connect string and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41016', 'Session recreation failed', 'Session recreation failed at the destination instance.', 'Check session state and try migration again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41017', 'Session prepare failed for session number string, serial number string', 'A migration attempt was made, which failed because session prepare failed.', 'Retry migration again after checking all arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41019', 'Session begin at the destination instance failed', 'Session begin failed at the destination instance because the shadow connection could not be established.', 'Check the connect string and try beginning the session again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41020', 'invalid value "string" specified for parameter "string"', 'An invalid value was specified for the the given parameter.', 'Correct the value being specified for the parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41021', 'OCI error during transparent session migration', 'An OCI operation failed during transparent session migration.', 'Check the OCI error signalled, and take corrective action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41022', 'instance name not specified', 'An attempt to recover after instance death was made, which failed because the instance name specified was null.', 'Check the instance name, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41023', 'death time not specified', 'An attempt to recover after instance death was made, which failed because the death time specified was null.', 'Check the death time, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41024', 'Cursor needs to be parsed again', 'An SQL operation failed because the cursor state was lost.', 'Reissue all operations starting from parse.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41025', 'sid field string is invalid', 'A session id instance passed into a dbms_tsm procedure or function had an invalid sid field.', 'Check the session id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41026', 'serial# field string is invalid', 'A session id instance passed into a dbms_tsm procedure or function had an invalid serial# field.', 'Check the serial#, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41027', 'Error status string during OCI operation at string', 'An OCI operation failed during transparent session migration.', 'Check the OCI error signalled, and take corrective action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41028', 'Session id not specified', 'An attempt to migrate was made, which failed during migration because the session id specified by the client was null.', 'Check the session id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41029', 'Destination session id not specified for sid string serial# string', 'An attempt to migrate was made, which failed during migration because the destination session id specified by the client was null.', 'Check the session id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41030', 'Session id not specified', 'An attempt to migrate was made, which failed during migration because the session id specified by the client was null.', 'Check the session id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41031', 'Destination session key not specified for sid string serial# string', 'An attempt to migrate was made, which failed during migration because the destination session key specified by the client was null.', 'Check the session id, and try again with a valid value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41100', 'Oracle Cluster Registry operation failed with event string.', 'The Portable Clusterware/Oracle Cluster Registry stack returned an error.', 'Check if the Portable Clusterware stack is properly brought up.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41101', 'The database: string has already been designated as Cluster Director.', 'An attempt was made to designate multiple databases as the Cluster Director.', 'Undesignate the existing Cluster Director before Designating a new one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41102', 'No database has currently been designated as Cluster Director.', 'An attempt was made to query/undesignate a Cluster Director when no database has been designated as Cluster Director.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41103', 'Only the designated Cluster Director: string can undesignate itself.', 'An attempt was made to undesignate the current Cluster Director by a database that is not the Cluster Director.', 'Login to the currently designated Cluster Director to perform the undesignation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41104', 'The database: string is the Cluster Director.', 'An attempt was made to control the Cluster Director on a database that is not the Cluster Director.', 'Log in to the currently designated Cluster Director to perform the control operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41105', 'The Cluster Director is not stopped.', 'An attempt was made to control the Cluster Director before the Cluster Director was stopped.', 'Use dbms_cluster_director.stop to stop the Cluster Director and retry the control operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41106', 'invalid argument string: value is null', 'An attempt to read the scan hostname or port failed', 'Verify pcw is running and scan is configured. Run grdcscan read_config to verify or grdcscan set_config host:port to set scan name and port.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41107', 'invalid argument: service string cannot be found', 'The program attempted to access a nonexistent or deleted service.', 'Check to make sure the service has been properly created.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41108', 'Posting system alert with reason_id string failed with code [string] [string]', 'Internal Error: An attempt to post a system alert failed.', 'If this condition repeats, please contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41110', 'The Director has blocked this instance. Cannot start [string]', 'An attempt to start services on an instance that will be shutdown', 'Start the services on another available instance', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41201', 'Session state not capturable due to reason (string, string)', 'Session state capture was initiated when session state could not be captured.', 'Check session state status and make sure session state can be captured.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41202', 'Session state capture or restore failed', 'Capture or restore operation failed.', 'Check session state status and failure reason for details.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41203', 'Invalid session state operation', 'Invalid session state operation was issued.', 'Check if session status was valid for the current operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41204', 'Session capture in progress', 'Session state capture was initiated and could not perform the requested operation.', 'Wait for the current capture to complete or abort it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41205', 'Invalid parameter for session state capture or restore', 'Invalid parameter was passed to session state capture or restore interface.', 'Correct the invalid parameter(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41206', 'Session capture or restore internal error KPCSFR-string', 'Internal operation error was encountered.', 'Turn on related trace for details and report it as a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39932', 'Extensible Index string.string not fully contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Identify the associated table and list of secondary objects and resolve self containment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39933', 'Parent table string.string and its nested table columns are not fully contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Identify the nested tables using view DBA_NESTED_TABLES and resolve self containment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39934', 'Materialized view log string.string in tablespace string and master table string.string in tablespace string are not fully contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39935', 'Updatable materialized view log string.string in tablespace string and materialized view string.string in tablespace string are not fully contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39936', 'Token manager for the CSX tablespace string not fully contained in the transportable set.', 'Informational message to describe a failure during transportable containment checking.', 'Include the specified tablespace into the transportable set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39937', 'Unsupported operation, default token tables used for binary XML data.', 'Informational message to describe a failure during transportable containment checking.', 'Copy default token tables into a new token table set using DBMS_CSX_ADMIN package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39938', 'Operation not supported, tablespace string contains binary XML data.', 'Informational message to describe a failure during transportable containment checking.', 'None required.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39939', 'More than one set of token tables are used in tablespace string.', 'Informational message to describe a failure during transportable containment checking.', 'Remap tables in the specified tablespace to use same token tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39940', 'Child reference partitioned table string.string in tablespace string or parent table string.string in tablespace string is included but not both.', 'Informational message to describe a failure during transportable containment checking. Both parent and child reference partition tables must be included.', 'Check reference partitioned tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39950', 'invalid parameter for PLSQL warnings flag', 'The user either entered invalid value for the PLSQL_WARNINGS flag or the value of the flag conflicts with other values.', 'Enter correct values for the switch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39951', 'incomplete values specified for PL/SQL warning settings', 'The user either did not enter the value for the settings or entered incomplete values.', 'Enter correct syntax for the switch.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39952', 'only numbers can be specified as range values', 'The range values did not have numerical values only.', 'Enter only numerical values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39953', 'the range value specified is beyond allowed range', 'The range values were either too low or too high.', 'Specify only the allowed range values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39954', 'DEFERRED is required for this system parameter', 'The ALTER SYSTEM command for PLSQL_WARNINGS did not include the keyword, DEFERRED.', 'Change the command to use the keyword, DEFERRED.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39955', 'invalid PL/SQL warning message number', 'The PL/SQL message number specified was not in a valid range.', 'Specify PL/SQL warning message numbers within the valid range.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39956', 'duplicate setting for PL/SQL compiler parameter string', 'A PL/SQL compiler parameter was set more than once.', 'Remove the duplicate PL/SQL compiler setting.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39957', 'invalid warning category', 'The category of the message was incorrect.', 'Specify a vaild category', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39958', 'invalid warning category qualifier', 'The category qualifier was incorrect.', 'Specify a vaild category qualifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39959', 'invalid warning number (string)', 'The warning number was incorrect.', 'Specify a vaild warning number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41623', 'conflicting values for autocommit and duration properties', 'An attempt was made to create a rule class with autocommit enabled when the duration of events is set to TRANSACTION.', 'Turn autocommit off or choose a different duration policy.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41624', 'invalid duration policy for primitive object in a composite event', 'An attempt was made to specify a SESSION or TRANSACTION duration policy for the primitive objects.', 'Correct the rule class properties and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41625', 'event structure string does not exist', 'The object type that represents the event structure was not created in the user''s schema.', 'Create the object type with the event structure''s name and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41626', 'invalid XML element "string" in rule class properties', 'An invalid XML element was used in the properties specification for the rule class.', 'Use the correct (case-sensitive) tags in the properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41627', 'event structure object type in inconsistent state', 'The object type specified for the event structure was in an inconsistent state.', 'Fix the object type and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41628', 'invalid usage of "string" attribute in "string" element', 'An invalid or unsupported XML attribute was used in the rule class properties.', 'Use the correct (case-sensitive) tags in the properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41629', 'event structure for simple events cannot be reused for composite events', 'An attempt was made to reuse an object type (event structure) for composite events when it is already configured for simple events.', 'Drop the attribute set associated with the object and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41630', 'invalid value for "string" attribute in the rule class properties', 'An invalid value was specified for an attribute in the rule class properties.', 'Correct the value and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41631', 'invalid text node or child element for "string" element in properties', 'An attempt was made to specify a child element or a text node in invalid position in the rule class properties specification.', 'Correct the rule class properties and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41632', 'invalid value for the "string" attribute', 'An attempt was made to assign an invalid value for an attribute in the rule class properties.', 'See the documentation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41633', 'specified rule class configuration not supported: "string"', 'An attempt was made to use an unsupported configuration for the rule class.', 'Remove the specified tag in the properties and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41634', 'invalid duration specification in rule properties: "string"', 'Invalid value was specified for the duration attribute in the rule class properties.', 'Correct the value and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41635', 'invalid unit of time used in duration specification', 'An attempt was made to use an invalid unit of time for the rule class''s duration specification. Valid units are : minutes, hours, and days.', 'Correct the duration specification and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41636', 'invalid duration specification at the primitive event level', 'An attempt was made to specify a duration policy for the primitive events when the composite event was configured with TRANSACTION or SESSION duration policy.', 'Correct the rule class properties and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38482', 'no elementary attributes defined in the attribute set', 'An attempt was made to use an empty attribute set.', 'Create one or more elementary attributes for the attribute set.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38483', 'invalid FUNCTION/PACKAGE/TYPE name: "string"', 'An attempt was made to use an invalid name format.', 'The function/package/type name should be specified in the following format [owner.]object_name', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38484', 'FUNCTION/PACKAGE/TYPE string does not exist', 'Attempt was made to use a object that does not exist.', 'Query ALL_OBJECT view to ensure that the object exists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38485', 'invalid object type for the user-defined function', 'An attempt was made to use an invalid object as a function.', 'Valid object types are FUNCTION / PACKAGE / TYPE', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38486', 'FUNCTION/PACKAGE/TYPE already exists for the attribute set', 'An attempt was made to add a duplicate function to the list.', 'Use a different object name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38487', 'FUNCTION/PACKAGE/TYPE "string" not allowed in the expression', 'An attempt was made to use an un-approved function in the expression.', 'Add the function to the corresponding attribute set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38488', 'attribute set already assigned to the column storing expressions', 'An attempt was made to reassign an attribute set to an expression column.', 'Query USER_EXPFIL_EXPRESSION_SETS view to find the attribute set assigned the expression set', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38489', 'predicate table creation failed due to: ORAstring', 'Predicate table creation failed due to the reported error.', 'Set serveroutput ON for additional information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38490', 'invalid name: quotes do not match', 'The quotes in the name did not match.', 'Correct the name to match the quotes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38757', 'Database must be mounted and not open to FLASHBACK.', 'An attempt to Flashback a database was made when the database was not mounted or was already open.', 'Mount the database and retry the FLASHBACK command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38758', 'cannot flashback data file string; restored since last recovery', 'An attempt to do FLASHBACK DATABASE found that the file was restored since the last standby recovery. The file cannot be flashed back.', 'The file must be taken offline before continuing with the FLASHBACK DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38759', 'Database must be mounted by only one instance and not open.', 'An attempt to turn on or off Flashback Database logging was made when the database was open or mounted by more than one instance.', 'Mount the database in only one instance and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38760', 'This database instance failed to turn on flashback database', 'Database flashback is on but this instance failed to start generating flashback data. Look in alert log for more specific errors.', 'Correct the error or turn off database flashback.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38761', 'redo log sequence string in thread string, incarnation string could not be accessed', 'A redo log needed for the recovery portion of FLASHBACK could not be read or opened. The FLASHBACK operation failed.', 'Restore the log and retry the FLASHBACK command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38762', 'thread string redo log with scn string could not be found', 'A redo log needed for the recovery portion of FLASHBACK could not be found. The FLASHBACK operation failed.', 'Restore the log and retry the FLASHBACK command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38763', 'flashback not started; enabled threads have changed', 'A FLASHBACK DATABASE command did not start. The set of enabled threads changed during the time to flash back.', 'The flashback cannot be performed. Perform a restore and an incomplete recovery instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38764', 'flashback not started; datafile string enabled threads are different', 'A FLASHBACK DATABASE command did not start. The datafile was restored from a backup taken when the enabled threads were different than at the time of the flashback.', 'The flashback cannot be performed. Perform a restore and an incomplete recovery instead.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38765', 'Flashed back database cannot be opened read-only.', 'A complete recovery was performed after a database flashback but the database was not opened for read-write access, or a FLASHBACK DATABASE command failed.', 'If a complete recovery was performed after a database flashback, open the database for read-write access. If a FLASHBACK DATABASE command failed, fix what caused the command to fail and retry the command, or recover and open the database for read-write access.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38766', 'cannot flashback data file string; file resized smaller', 'An attempt to do FLASHBACK DATABASE found that the file was shrunk during the time to flash back.', 'The file cannot be flashed back. The file must be taken offline or the tablespace dropped before continuing with the FLASHBACK DATABASE command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38787', 'Creating the first guaranteed restore point requires mount mode when flashback database is off.', 'While flashback database is not on, an attempt was made to create the first guaranteed restore point while the database is open.', 'Mount the database and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38788', 'More standby database recovery is needed', 'An attempt was made to create a restore point or a guaranteed while a physical standby database is not cleanly checkpointed.', 'Perform more standby database recovery via managed standby database recovery. Cancel managed recovery and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38789', 'File name is too long.', 'The file name provided in the command was longer than the maximum allowed.', 'Use a shorter file name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38790', 'BEFORE must be specified with RESETLOGS', 'The FLASHBACK DATABASE command included the RESETLOGS parameter but not the BEFORE parameter.', 'Retry the command with TO BEFORE RESETLOGS.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38791', 'flashback did not start because file string was not in a valid incarnation', 'Flashback could not be started because a file was checkpointed or fuzzy at a point where the file can neither be restored nor recovered to our restore target. In order for a file to be brought to the restore target, the file has to be in one of the incarnations along the ancestral path from the current incarnation to the restore incarnation.', 'Manually restore or recover the file to a point where it is in one of the incarnations along the ancestral path from the current incarnation to the restore incarnation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38792', 'encountered unknown flashback record from release string', 'A Flashback Database logfile contains a record written by a future Oracle release and is unknown by this release.', 'The given release of Oracle must be installed in order to use these flashback database log files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38793', 'cannot FLASHBACK the database to a future SCN/time', 'The Flashback Database target SCN/timestamp is greater than the current database SCN/timestamp and the database incarnation is not the last opened incarnation.', 'If the target SCN/timestamp is in the current incarnation or a child incarnation whose branch point is after the current database SCN then RECOVER DATABASE to the target SCN/time. If the target SCN/timestamp is in a child incarnation whose branch point is prior to the current database SCN then FLASHBACK DATABASE to before the branch point. Next use RMAN to reset the database to the child incarnation. Finally, RECOVER DATABASE to the target SCN/time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41207', 'Cannot restore session state due to reason (string, string)', 'Session state restore was initiated when session was not ready for state restore.', 'Restore session state immediately after logging into a session or perform necessary operations to make the session ready for restore; for example, commit current transaction, or close BFiles.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41208', 'OCI error during session state capture and restore', 'An OCI operation failed during an internal operation of session state capture and restore.', 'Check the OCI error signaled and take corrective action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41209', 'OCI operation failed at string due to ORA-string', 'An OCI operation failed during an internal operation of session state capture and restore.', 'Check the OCI error signaled and take corrective action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41210', 'Failed to resolve session state directory object', 'Session state directory object passed to capture or restore was incorrect.', 'Verify session state directory object and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41211', 'Failed to insert capture or restore record', 'An error occurred while capture or restore record was being stored into the database.', 'Check the error signaled and take corrective action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41251', 'Failed to restore session state from a file (error code number)', 'Session state file may be corrupted.', 'Ensure that the file is a session state file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41252', 'Failed to switch to new session in SSCR', 'This is the generic internal error number for the SSCR exceptions. This indicates that the SSCR has encountered an exceptional condition.', 'Report as a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41253', 'Failed to access session state file', 'An error was encountered while reading from or writing to session state capture file.', 'Check the error stack for the actual error number and turn on tracing if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41254', 'Invalid session state file: string', 'An invalid session state file was used in session state restore operation.', 'Check if the session state file is a valid file created by session capture.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41300', 'File driver is not initialized', 'An attempt was made to operate on the uninitialized file driver.', 'Initialize the file driver using the OCIServerAttach function.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41301', 'failed to write data to file', 'You may not have sufficient privileges or quotas for this action.', 'Ensure that you have sufficient privileges and quotas for this action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41302', 'failed to read data from file', 'The file may not exist or you do not have privileges for this action.', 'Ensure that the file exists and that you have sufficient privileges for this action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41303', 'Received partial data from file', 'This is the generic internal error number for file driver exceptions. This indicated that file driver encountered an exception condition.', 'Report as a bug.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41304', 'Failed to connect to file driver', 'The connect string may be incorrect.', 'Ensure that the connect string is correct.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41305', 'Failed to open file', 'You may not have sufficient privileges for this action.', 'Ensure that the file exists and that you have sufficient privileges for this action.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41400', 'Bind character set (string) does not match database character set (string)', 'In this recursive OCI call, the bind character set was different from the current database character set. This is usually caused by database character set change.', 'Be sure to obtain bind data in database character set and do rebind in the current environment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41401', 'Define character set (string) does not match database character set (string)', 'In this recursive OCI call, the define character set was different from the current database character set. This is usually caused by database character set change.', 'Be sure to do redefine in the current environment.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41601', 'invalid property for the rule class', 'An invalid property was specified for the rule class.', 'Correct the rule class properties and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41602', 'insufficient privileges', 'The user does not have required privileges on the object.', 'Obtain the required privileges and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41603', 'invalid privilege type', 'An attempt was made to grant an invalid privilege on a rule class.', 'Correct the privilege name and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41604', 'cannot revoke a privilege that was not granted', 'An attempt was made to revoke a privilege that was never granted.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41605', 'schema extended name not allowed: string', 'An attempt was made to specify a schema extended name for an event structure, a rule class, or an action call-back procedure.', 'Specify the object name with out a schema extension.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41606', 'rule class name already used by an existing object', 'An attempt was made to create a rule class with a name that is already used by an existing object.', 'Specify a different name for the rule class and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41607', 'rule class creation failed with string', 'rule class creation failed with a recursive error.', 'Correct the rule class specification and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41608', 'rule class does not exist', 'An attempt was made to access a rule class that does not exist or is not accessible.', 'Correct the rule class name and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41609', 'invalid name for the rule class', 'An invalid name was specified for the rule class.', 'Correct the rule class name and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41610', 'callback procedure name already used for an existing object', 'An attempt was made to create a callback procedure with a name that is already used for an existing object.', 'Choose another name for the callback procedure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41611', 'rule identifier "string" not unique in the rule class', 'An attempt was made to use a duplicate rule identifier.', 'Choose a unique identifier for the rule and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41612', 'scalar values expected for action preferences', 'Incorrect values were specified for the action preferences.', 'Correct the action preferences values and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41613', 'invalid action preference for rule class: string', 'An attempt was made to use an invalid action preference.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41614', 'missing action preference value', 'Values for one or more action preferences were not specified.', 'Specify values for all relevant action preferences.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41615', 'too many values in action preference list', 'Too many entries were specified in the action preference values list. The action preference values list should not have more entries than the action preference names list.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41616', 'rule class''s action callback procedure may have errors', 'The operation failed because the action callback procedure associated with the rule class has compilation errors.', 'Recompile the action callback procedure and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41617', 'action preference name "string" collides with an event attribute name', 'An attempt was made to create an action preference with the same name as an attribute in the event structure.', 'Choose a different name for action preference and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41618', 'specified rule does not exist', 'Invalid rule identifier was used to operate on a rule definition.', 'Use a valid rule identifier.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41619', 'rule manager feature currently not supported', 'An attempt was made to use a rule manager feature that is currently not supported.', 'No action necessary. This is an informational message only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41637', 'missing primitive event name', 'The name attribute of the object element in the rule class properties was not specified. This is a required value.', 'Specify the name of the primitive event and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41638', 'invalid attribute for "string" element in rule condition', 'An attempt was made to specify an invalid attribute for an XML element in the rule condition.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41639', 'invalid child node in "string" element', 'An attempt was made to specify an invalid child element or text node for an XML element in the rule condition.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41640', 'invalid element "string" in the rule condition', 'An attempt was made to use an invalid element or a valid element in invalid position in the rule condition.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48181', 'OS write system call failure', 'OS write system call failed. The system failed to write to a file.', 'Check the OS error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48182', 'OS read system call failure', 'OS read system call failed. The system failed to read to a file.', 'Check the OS error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48183', 'OS close system call failure', 'OS close system call failed. The system failed to close a file.', 'Check the OS error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48184', 'OS seek system call failure', 'OS seek system call failed. The system failed to seek to a position in a file.', 'Check the OS error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48185', 'OS file size system call failure', 'OS file size call failed. The system failed to retrieve the file size for a file.', 'Check the OS error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48186', 'OS check file exists system call failure', 'OS check file exists system call failed. The system failed to perform the check file exists command for a file.', 'Check the OS error code', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48187', 'specified directory does not exist', 'The specified directory does not exist.', 'Check the directory name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48188', 'user missing read, write, or exec permission on specified directory', 'The user does not have valid permissions on the specified directory. The user is missing either the read, write, or execute permission.', 'Check the permissions of the specified directory.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48189', 'OS command to create directory failed', 'The OS command to create a directory failed.', 'Check the error number associated with the create directory failure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48479', 'No HM runs are created', 'There is no hm runs', 'No action', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48480', 'No incidents are created', 'There is no incident', 'No action', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48481', 'Report is not available', 'The requested report does not exist"', 'Check the report ID', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48482', 'Report is not generated', 'The requested report is not ready to be generated', 'Check the report ID', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48483', 'Spooling failed, it may be because the spool file cannot be created due to a permission issue', 'The spooling filename may not be valid or the file cannot be created', 'Check the permissions of the target directory and verify the filename', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48484', 'Run script failed, it may be because the script file does not exist', 'The script file may not exist', 'Check if the script file exist', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48485', 'The file exceeds the maximum length [string]', 'The filename is too long', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48486', 'The file [string] exceeds the maximum length [string]', 'The filename is too long', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48487', 'The internal predicate string exceeds the maximum length [string]', 'The predicate string exceeds the maximum length', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48488', 'The predicate string exceeds the maximum length [string]', 'The input predicate string exceeds the maximum length', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48489', 'The input exceeds the maximum length [string]', 'The input exceeds the maximum length', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48490', 'The field number exceeds the maximum number [string]', 'The input field number exceeds the maximum number', 'Input less field names', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48491', 'The program name is too long, exceeds the maximum length [string]', 'the program name length exceeds the maximum length setting', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48492', 'The report component name is not defined', 'the report component name does not exist', 'Check the component name to ensure it is registered', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48493', 'Sweep command needs parameters', 'sweep command needs parameter', 'Check the syntax of the command', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48494', 'ADR home is not set, the corresponding operation cannot be done', 'The adr home is not set in the current adrci session', 'Set the adr home using the adrci command "set base" and "set homepath"', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48495', 'Interrupt requested', 'User requested to interrupt the current action', 'No action is needed', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48496', '"string" is a mandatory keyword for the command', 'The keyword is not specified for the command', 'Input the keyword', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48497', '"string" is an invalid product type', 'The product type is not registered', 'Check the product type', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48499', 'The value of the keyword "string" exceeds the maximum length string', 'The keyword value is too long', 'Check the limit and input again', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48500', 'File Write Error [string] [string]', 'Number of bytes written differs from number requested. Possibly due to out of disk space.', 'Ensure sufficient disk space.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48501', 'File Read Error [string] [string]', 'Number of bytes read differs from number requested. Possibly due due to corrupted file.', 'Recreate the file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48502', 'Invalid Command Line - Missing Required Elements', 'Missing required command line arguments.', 'Review the help message and supply the required arguments.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48503', 'Invalid Parameter Specified', 'Invalid input parameter supplied.', 'Review the help message and correct the invalid input parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48504', 'Relation Parameter Must be Specified', 'Relation parameter must be specified during adrexp.', 'Supply the relation parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48505', 'File Parameter Must be Specified', 'File parameter must be specified during adrimp.', 'Supply the file parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48506', 'Existing Relation at different version than export [string] [string]', 'Attempting to import into an existing relation and the schema version of that relation differs from the schema of the relation that was exported.', 'Drop the existing relation if you still wish to import the relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48507', 'Predicate Not Allowed during Import', 'The predicate option is not allowed during adrimp.', 'Remove the predicate arguement.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48508', 'Export File Version [string] Can Not be Used by Import [string]', 'The version of the export file is not able to be read by this version of adrimp.', 'Rerun the export using the current version of adrexp.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48509', 'Error occurred during operation. See the following errors', 'An underlying error has occurred.', 'Review and correct the underlying error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48510', 'Can not export an in memory relation', 'In memory relations can not be exported.', 'Pick a different relation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48600', 'HM run with name [string] already exists', 'The specified run name already existed.', 'Specify different run name and re-run the check', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48615', 'Parameter [string] value not specified', 'Run was invoked without specifying the parameter and its value', 'Specify the needed parameter and its value', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48800', '"string" for the keyword "string" is not in the right format of timestamp', 'The value format is not right', 'Check the format ADRCI supports', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48801', 'The option "string" is duplicated', 'The option has been specified more than once', 'Check the input', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38794', 'Flashback target time not in current incarnation', 'The Flashback Database target timestamp is not in the database''s current incarnation or any of its ancestors.', 'Use a different target timestamp or use RMAN to reset the database to the appropriate incarnation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38795', 'warning: FLASHBACK succeeded but OPEN RESETLOGS would get error below', 'Flashback Database ended without error. However, if the ALTER DATABASE OPEN RESETLOGS command were attempted now, it would fail with the specified error. The most likely cause is that Flashback Database had to add a file back to the control file but could not restore the file''s contents.', 'If a backup is available, restore the backup, online the file, and recover the database to the original flashback target scn or timestamp. If a backup is not available, but the redo from the file creation to the target scn or timestamp is available, then create the file using the ALTER DATABASE CREATE DATAFILE command, bring the file online, and recover the database to the original flashback target scn or timestamp.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38796', 'Not enough flashback database log data to undo FLASHBACK.', 'There was not enough flashback log data to undo the flashback so a flashback was not started.', 'It is still possible to get to the restore target by doing a flashback until the resetlogs branch point of the restore target is reached. This can be done by executing multiple "flashback to before resetlogs" commands, or by doing a flashback to the exact time or SCN of the desired resetlogs branch point. Note that this flashback cannot be undone should an error occur. The only option is to complete the flashback.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38818', 'illegal reference to versionable object string.string', 'A non-versioned edition object referenced a versionable object.', 'Remove the reference to the versionable object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38850', 'an enabled thread missing from control file', 'A CREATE CONTROLFILE statement was given that did not list all the enabled threads for the database.', 'Reissue the CREATE CONTROLFILE statement, including all enabled threads.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38851', 'cannot mark the current instance (redo thread) as disabled', 'The standby switchover or failover operation failed because it needs to mark the current instance (redo thread) as disabled.', 'Shut down this instance and start up using a different instance name or redo thread number and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38852', 'cannot mark the current instance (redo thread) as disabled', 'The open resetlogs or standby activation operation failed because it must use a different instance (redo thread) than the current instance (redo thread) to open the database.', 'Shut down this instance and start up using a different instance name or redo thread number and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38853', 'cannot mark instance string (redo thread string) as disabled', 'The standby switchover or failover operation failed because it needs to mark an instance (redo thread) as disabled. That instance was up, which prevented it from being disabled.', 'Shut down the specified instance and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38854', 'cannot mark instance string (redo thread string) as disabled', 'The open resetlogs or standby activation operation failed because it needs to mark an instance (redo thread) as disabled. That instance was up, which prevented it from being disabled.', 'Shut down the specified instance and retry this command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38855', 'cannot mark instance string (redo thread string) as enabled', 'The standby switchover or failover operation failed because it needs to mark an instance (redo thread) as enabled. However, it had less than 2 online redo logs, which prevented it from being enabled.', 'Add more logfiles to the specified instance and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38856', 'cannot mark instance string (redo thread string) as enabled', 'The open resetlogs or standby activation operation failed because it needs to mark an instance (redo thread) as enabled. However, it had less than 2 online redo logs, which prevented it from being enabled.', 'Add more logfiles to the specified instance and retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38857', 'cannot mark redo thread string as enabled', 'The standby switchover or failover operation failed because it needs to mark a redo thread as enabled. However, the control file was recreated with a MAXINSTANCES value smaller than the thread number of the redo thread.', 'Recreate the control file with a larger MAXINSTANCES value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38858', 'cannot mark redo thread string as enabled', 'The open resetlogs or standby activation operation failed because it needs to mark a redo thread as enabled. However, the control file was recreated with a MAXINSTANCES value smaller than the thread number of the redo thread.', 'Recreate the control file with a larger MAXINSTANCES value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38859', 'instance string (thread string) is not ready to be disabled', 'The command attempted to switch the instance (thread) into a new log before disabling it. The switch attempt failed because all eligible online logs were either being cleared or not completely archived yet.', 'Wait a few minutes and retry.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38860', 'cannot FLASHBACK DATABASE during instantiation of a logical standby', 'The command was not permitted because the controlfile indicates the database was in the process of becoming a logical standby database but the controlfile conversion had not completed.', 'If in the process of creating a logical standby database, perform the remaining instantiation procedures to completion. If this flashback operation followed a Data Guard failure, permit the errant Data Guard operation to successfully complete. Once the instantiation is complete, reissue the flashback operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38861', 'flashback recovery stopped before reaching recovery target', 'Flashback recovery on the standby ended early because the user attempted to flashback to an SCN or time for which there were no redo logs. Most likely, the user is trying to flashback to a future time in the database that the database has never recovered through. Check the alert log to find out which SCN the database recovered to.', 'Flashback to an older SCN or acquire the necessary redo logs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38862', 'FLASHBACK DATABASE in progress', 'The operation could not be performed while FLASHBACK DATABASE was in progress.', 'Wait for the FLASHBACK DATABASE to complete.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38863', 'datafile string has been restored from an optimized RMAN backup.', 'Flashback Database could not flash back the file because it was restored from an RMAN optimized backup with deallocated objects. Flashback cannot revert the file to a time before the last deallocation in the datafile backup.', 'Restore the file from a backup prior to the Flashback target SCN or time and then retry the command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38864', 'cannot create a guaranteed restore point with user specified SCN or time.', 'An SCN or timestamp was specified when creating a guaranteed restore point. This is not supported. You can only create a guaranteed restore point as of the current time.', 'Avoid this combination of options for creating a restore point.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38865', 'cannot create restore point for a future SCN or time.', 'An attempt was made to create a restore point with an SCN or timestamp that is in the future.', 'Revise the SCN or timestamp specified so that it is an SCN or timestamp in the past.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41620', 'invalid ordering property for the rule class', 'An attempt was made to specify an invalid ordering property for the rule class.', 'Make sure that the attributes listed in the ordering property are all part of the rule class/event structure definition with appropriate extended names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41621', 'error in ordering property :string', 'An attempt was made to specify an invalid ordering property for the rule class.', 'Make sure that the attributes listed in the ordering property are all part of the rule class/event structure definition with appropriate extended names.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41622', 'invalid primitive event object in rule class properties : string', 'In the rule class properties, the name used for one or the primitive event objects was not found in the corresponding composite event structure.', 'Correct the name of the primitive event object in the rule class properties and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41641', 'invalid or empty rule condition', 'An attempt was made to specify an invalid or empty rule condition.', 'Correct the input and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41642', 'Missing "string" element in the rule condition', 'The rule condition was specified without a required element.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41643', 'invalid attribute for the "string" element in the rule condition', 'An attempt was made to specify an invalid attribute for an element in the rule condition.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41644', 'invalid use of "string" attribute in rule condition', 'An attempt was made to specify an invalid attribute for an element in the rule condition.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41645', 'duplicate tag "string" in rule condition', 'An attempt was made to specify the same XML tag in more than one positions within a single rule condition.', 'Remove the duplicate reference to the tag and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41646', 'missing "string" attribute for "string" element in the rule condition', 'One of the required attributes was not specified in the rule condition.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-41647', 'negation not allowed in rule conditions with "any" semantics', 'An attempt was made to specify a "not" element within an "any" element in the rule condition.', 'Correct the rule condition and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42005', 'invalid type of redefinition method', 'An unknown redefinition method was used.', 'Use one of the supported redefinition methods: o dbms_redefinition.cons_use_pk o dbms_redefinition.cons_use_rowid', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42006', 'dependent object registration not supported during a partition redefinition', 'An attempt was made to register dependent objects when redefining a partition.', 'Do not invoke dbms_redefinition.register_dependent_object during a partition redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42007', 'dependent object unregistration not supported during a partition redefinition', 'An attempt was made to unregister dependent objects when redefining a partition.', 'Do not invoke dbms_redefinition.unregister_dependent_object during a partition redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42008', 'error occurred while instantiating the redefinition', 'An error occurred while instantiating the online redefinition which requires aborting the redefinition.', 'Correct the error, abort, and restart the online redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42009', 'error occurred while synchronizing the redefinition', 'An error occurred while synchronizing the online redefinition.', 'Correct the error and continue the online redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42010', 'error occurred while synchronizing the redefinition', 'An error occurred while synchronizing the online redefinition which requires aborting the redefinition.', 'Correct the error, abort, and restart the online redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42011', 'error occurred while completing the redefinition', 'An error occurred while completing the online redefinition.', 'Correct the error and continue the online redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42012', 'error occurred while completing the redefinition', 'An error occurred while completing the online redefinition which requires aborting the redefinition.', 'Correct the error, abort, and restart the online redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42013', 'interim table of an AQ IOT table should be an IOT table', 'An attempt was made to create a table that is not an index-organized table (IOT) as the interim table of an AQ IOT table (history, time management, or dequeue).', 'Ensure that the interim table is created as an IOT table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42014', 'online redefinition unable to lock AQ objects', 'An online redefinition of an AQ table was unable to lock all related AQ objects.', 'Abort and retry the redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42015', 'online redefinition unable to log changes made to AQ tables', 'An online redefinition of an AQ table was unable to log changes made to AQ tables during the redefinition.', 'Abort and retry the redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42016', 'shape of interim table does not match specified column mapping', 'The number of columns, or the type or the length semantics of a column, in the interim table did not match the specified column mapping.', 'Ensure that the interim table matches the column mapping by either modifying the column mapping string or altering the interim table''s column definition(s).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42017', 'interim table of an AQ table should not be an AQ table', 'An attempt was made to create an AQ table as an interim table of an online redefined AQ table.', 'Ensure that the interim table is not created as an AQ table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42018', 'partition cannot be redefined online because of index organization incompatibility', 'interim table is incompatible with partition being redefined because one or more of the following apply:' || '<p>' || '- one is index-organized and the other is not' || '<p>' || '' || '<p>' || '- one has IOT overflow segment and the other does not' || '<p>' || '' || '<p>' || '- one has IOT mapping table and the other does not', 'Ensure that the interim table is compatible with the partition being redefined.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42019', 'partition cannot be redefined online because of incompatible partitioning of interim table', 'both original and interim tables are partitioned, or original table is composite-partitioned but interim table is non-partitioned.', 'Ensure that the interim table has compatible partitioning with the original table. For example, if the original table is partitioned, the interim table should be non-partitioned. If the original table is composite-partitioned, the interim table should be partitioned.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42020', 'partition cannot be redefined online because of unsupported type of interim table', 'An unsupported type of interim table was provided during the partition redefinition. Currently the following types of interim tables are not supported:' || '<p>' || '- a nested table or has nested-table columns' || '<p>' || '' || '<p>' || '- an external table' || '<p>' || '' || '<p>' || '- part of cluster' || '<p>' || '' || '<p>' || '- contains LOB shared segments', 'Do not use unsupported types of interim tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42021', 'partition cannot be redefined online because of incompatible row dependencies', 'original/interim table was created with row dependency and interim/original table was not.', 'Ensure that both tables are created with same row dependency properties.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42022', 'partition cannot be redefined online because of presence of nested columns', 'An attempt was made to online redefine a partition with nested table columns.', 'Do not attempt to online redefine a partition with nested table columns.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48929', 'The trace record size exceeded the max size that can be read [string]', 'A trace record is too large to be read by the ADR viewer', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48930', 'Cannot allocate memory for processing traces', 'A memory allocation request failed', 'Report to Oracle', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-48934', 'invalid input for the file name identifier', 'An invalid input was given for the file name indentifier. The file name is not allowed to have slashes ('''', ''/'') and is not allowed to refer to the parent directory using the ''..'' characters.', 'Check the file name and provide a valid input.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49315', 'Invalid incident type specified [string]', 'The specified incident type is not defined in this ADR.', 'Specify an available incident type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49404', 'No such package [string]', 'The specified package does not exist.', 'Specify an existing package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49405', 'Cannot change package name [string] [string]', 'Attempted to change package name after package generation.', 'Use current name, or create a new package with the desired name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49406', 'Undefined configuration parameter specified [string]', 'The specified configuration parameter was not found in ADR.', 'Specify an existing parameter. Re-populate parameters if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49407', 'No unpacking history in this home', 'No packages were unpacked into this home.', 'Verify the current home. Unpack a package if necessary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49408', 'Invalid home specified [string]', 'An invalid ADR_HOME was specified.', 'Verify that the directory exists, and has the correct structure.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49409', 'Incremental package provided when complete expected', 'No packages were unpacked into this home.', 'Provide a complete package, or use FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49410', 'Not an IPS package', 'The specified file was not an IPS package.', 'Verify that the file is a valid zip file with expected contents.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49412', 'Package ID does not match existing ID [string] [string]', 'The package ID in package file did not match previously unpacked packages.', 'Use the correct location for unpacking the package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49413', 'Package name does not match existing name [string] [string]', 'The package name in package file did not match previously unpacked packages.', 'Use the correct location for unpacking the package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49414', 'Package sequence later than expected [string] [string]', 'The package sequence in package file was later than expected.', 'Apply packages in correct order, or use FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49415', 'Package sequence earlier than expected [string] [string]', 'The package sequence in package file was earlier than expected.', 'Apply packages in correct order, or use FORCE option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49416', 'Earlier package sequence applied with FORCE option [string] [string]', 'An earlier package sequence was applied using the FORCE option.', 'Apply a complete sequence which is later than any already applied, or use FORCE option to apply an incremental package.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49417', 'Cannot modify already generated package', 'Attempted to change package attributes after package generation.', 'Create a new package with the desired name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49420', 'Package too large [string] [string]', 'The package is too large.', 'Remove some files or incidents from the package, or try using incremental mode.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49421', 'Maximum number of package files generated [string]', 'The command generated the maximum number of package files.', 'Remove some files or incidents from the package, or use incremental mode to generate additional files.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49423', 'File outside ADR not allowed', 'The specified file is not within the ADR directory structure.', 'Specify a file inside ADR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49424', 'Directory outside ADR not allowed', 'The specified directory is not within the ADR directory structure.', 'Specify a directory inside ADR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49425', 'File inside ADR not allowed', 'The specified file is within the ADR directory structure.', 'Specify a file outside ADR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-49426', 'Directory inside ADR not allowed', 'The specified directory is within the ADR directory structure.', 'Specify a directory outside ADR.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53003', 'document string does not exist', 'The specified document name was not found in the repository.', 'Correct the value and try again. See the ORDDCM_DOCUMENTS view for a list of documents in the repository.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53004', 'The value of tag <VR> "string" is invalid.', 'An invalid value for the <VR> tag was found in the dictionary document.', 'Correct the value and try again. The value of the <VR> tag must either be a value defined by DICOM or an Oracle extension. See the data type schema (ordcmdt.xsd) listed in the Oracle Multimedia documentation for a list of valid <VR> tag values.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53005', 'tag references found in document: string', 'The delete operation failed because some tags in the dictionary document were being referenced by the listed document.', 'To perform the delete operation, follow these steps:' || '<p>' || '1. Export the listed referencing document.' || '<p>' || '' || '<p>' || '2. Delete the listed referencing document.' || '<p>' || '' || '<p>' || '3. Remove the referencing tags from the exported document.' || '<p>' || '' || '<p>' || '4. Insert the updated document into the repository.' || '<p>' || '' || '<p>' || '5. Repeat the delete operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53006', 'wild card characters are not allowed in <TAG_RANGE> tags', 'A <TAG_RANGE> tag containing wild card characters ''x'' or ''X'' was found in the dictionary document.', 'Remove the wild card characters from <TAG_RANGE> tag and try again. See the Oracle Multimedia documentation for information about the private dictionary schema (ordcmpv.xsd).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53007', 'The document type STANDARD_DICTIONARY is not loaded.', 'The standard dictionary document was not found.', 'Load the standard dictionary document (ordcmsd.xml). This is an installation error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53008', 'The <NAMESPACE> tag value is not a registered schema.', 'The schema URL specified by the value of the <NAMESPACE> tag was not a registered Oracle XML DB schema.', 'Specify a registered schema URL value. See the ALL_XML_SCHEMAS view for a list of registered schemas. See the Oracle XML DB Developers''s Guide for information about registering schemas. See the Oracle Multimedia documentation for information about the mapping document schema (ordcmmp.xsd).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53009', 'cannot find the <ROOT_ELEM_TAG> tag value in the metadata schema', 'The value of the <ROOT_ELEM_TAG> tag was not found in the metadata schema specified by the value of the <NAMESPACE> tag.', 'Correct the value and try again. You can either specify a valid value for the <ROOT_ELEM_TAG> tag or clear the value of the <NAMESPACE> tag. See the Oracle Multimedia documentation for information about the mapping document schema (ordcmmp.xsd).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53010', 'The value of the <VR> tag is null.', 'A null <VR> tag was found in the dictionary document.', 'Correct the value and try again. If the value of the <VR> tag is null, then the value of the <RETIRED> tag must be set to true. See the Oracle Multimedia documentation for information about the standard dictionary schema (ordcmsd.xsd) and the private dictionary schema (ordcmpv.xsd).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38866', 'cannot create restore point for an SCN or time before current database incarnation.', 'An attempt was made to create a restore point with an SCN or timestamp that is before the beginning of the current database incarnation.', 'Revise the SCN or timestamp specified so that it is within current database incarnation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38867', 'database not open: cannot create restore point with the specified timestamp', 'An attempt was made to create a restore point with the specified timestamp while the database was not open. The database must be open in order to map the timestamp to an SCN.', 'Open the database first or pick another way to create the restore point.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38868', 'warning: the control file may have incorrect data file structure', 'This control file was created or converted based on a control file from a time different from the time of the database.', 'Open database read-only to synchronize the control file with the database dictionary. You can also force recovery to proceed by invoking recovery again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38869', 'datafile string has been restored from an RMAN backup with undo block compression.', 'Flashback Database could not flash back the database because a file was restored from an RMAN backup with undo block compression, and the Flashback target was to a time when the missing undo may be needed to open the database.', 'Restore an earlier backup of the file and retry the command or Flashback to a later time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38870', 'cannot backup a control file that may have incorrect data file structure.', 'This control file was created or converted based on a control file from a time different from the time of the database.', 'Open database read-only to synchronize the control file with the database dictionary to fix the control file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38871', 'cannot enable flashback before open resetlogs after incomplete recovery.', 'To enable flashback on a primary database, the database must be clean without requiring open resetlogs.', 'Open resetlogs first and then enable flashback database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38900', 'missing mandatory column "string" of error log table "string"', 'Mandatory column of error logging table is not present', 'Add the named column to the error logging table. Consult ORACLE documentation for the correct data type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38901', 'column "string" of table "string" must be one of the first "number" columns', 'Mandatory information column of error logging table is present, but must be at the beginning of the row.', 'Create the error logging table correctly. Consult ORACLE documentation for the correct format of an error logging table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38902', 'errors in array insert exceed string', 'The operation failed because the array INSERT had more errors than can be stored internally for BATCH ERRORs.', 'Do not use BATCH ERROR mode when array INSERT has more error rows than the number specified in the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38903', 'DML error logging is not supported for abstract column "string"', 'A DML Error Logging operation was attempted on a table which has an ADT, REF, VARRAY, or nested table column type, and the error logging table referred to the specified column.', 'Either do not use DML Error Logging on such a table or remove the offending column from the error logging table. The scalar columns can be logged, but not abstract column types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38904', 'DML error logging is not supported for LOB column "string"', 'A DML Error Logging operation was attempted on a table which has a CLOB, NCLOB, or BLOB column type, and the error logging table referred to the specified column.', 'Either do not use DML Error Logging on such table or remove the offending column from the error logging table. The scalar columns can be logged, but not LOB column types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38905', 'DML error logging is not supported for LONG column "string"', 'A DML Error Logging operation was attempted on a table which has a LONG, or LONG RAW column type, and the error logging table referred to the specified column.', 'Either do not use DML Error Logging on such a table or remove the offending column from the error logging table. The scalar columns can be logged, but not long column types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38906', 'insert into DML Error Logging table "string" failed', 'An error occurred when attempting to log a DML Error on behalf of the DML Error logging clause. This may be intended if a trigger is defined on the error table (which in turn errors out in certain cases).', 'Determine root cause of error (in error stack).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38907', 'DML error logging is not supported for FILE column "string"', 'A DML Error Logging operation was attempted on a table which has a BFILE column and the Error Logging table referred to the specified column.', 'Either don''t use DML Error Logging on such table or remove the offending column from the error logging table. The scalar columns can be logged, but not BFILE column types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38908', 'internal error occurred during DML Error Logging', 'An unexpected error occurred while executing recursive SQL to insert a row into the DML Error Logging table.', 'Report this error to Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38909', 'DML Error logging is not supported with BATCH ERROR mode', 'A DML Error Logging operation was attempted on a table which has BATCH ERROR mode also specified.', 'Refrain from using both DML Error Logging and BATCH ERROR mode on the same table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38910', 'BATCH ERROR mode is not supported for this operation', 'BATCH ERROR mode specified for this operation.', 'Refrain from using BATCH ERROR mode with this operation. ///////////////// Cross Platform Tablespace Error numbers 38950 to 38999 are reserved for Cross platform tablespace /////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38950', 'Source platform string not cross platform compliant', 'Cross platform transport was not allowed for this platform.', 'For a list of supported platforms, query fixed view SYS.V$TRANSPORTABLE_PLATFORM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38951', 'Target platform string not cross platform compliant', 'Cross platform transport was not allowed for this platform.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38952', 'Source database not 10.0.0.0 compatible', 'Cross platform transport is not supported unless database compatibility is advanced to 10.0.0.0 or higher', 'Use the compatible parameter to advance source database compatibility and redo the transport', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38954', 'Cross platform transport is not supported between source platform identifier string and target platform identifier string', 'The platform identifier in the transported file indicated that the datafile format was different than the target database datafile format.', 'For a list of supported platforms, query fixed view SYS.V$TRANSPORTABLE_PLATFORM. If both platforms are present, Contact Oracle support', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38955', 'Source platform string not cross platform compliant', 'The platform identifier in the transported file indicated that this platform is not supported for a cross platform transport.', 'For a list of supported platforms, query fixed view SYS.V$TRANSPORTABLE_PLATFORM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38956', 'Target platform string not cross platform compliant', 'Cross platform transport was not allowed for this platform.', 'For a list of supported platforms, query fixed view SYS.V$TRANSPORTABLE_PLATFORM.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42023', 'compatibility of AQ table must be release 8.1.x or later', 'An attempt was made to perform online redefinition on an AQ table that was created with compatibility prior to release 8.1.x.', 'Ensure that the AQ table is created with the COMPATIBLE parameter set to release 8.1.x or later before attempting online redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42024', 'interim table of an AQ table can not be a partitioned table', 'An attempt was made to use a partitioned table as an interim table.', 'Ensure that the interim table is not a partitioned table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42025', 'redefinition of CONS_USE_ROWID method cannot be used to redefine an AQ IOT table', 'An attempt was made to use method of DBMS_REDEFINITION.CONS_USE_ROWID to redefine an AQ IOT table.', 'Ensure that method of DBMS_REDEFINITION.CONS_USE_PK is used to redefine an AQ IOT table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42026', 'duplicated rows detected while instantiating the redefinition', 'Duplicated rows are detected during instantiation of the redefinition.', 'Abort the redefinition, turn off the optimistic ascending SCN optimization, and restart the redefinition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42027', 'cannot redefine an object online that is not a table', 'An attempt was made to redefine an object online that is not a table.', 'Ensure that the object being redefined online is a table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42028', 'materialized view log "string"."string" does not exist', 'An attempt was made to register a nonexistent materialized view log as a dependent object.', 'Invoke DBMS_REDEFINITION.REGISTER_DEPENDENT_OBJECT on a valid materialized view log.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42029', 'cannot online redefine table "string"."string" at this time', 'An attempt was made to redefine a table which is incompatible with another ongoing redefinition.', 'Do not perform the redefinition operation on this table or wait until the incompatible ongoing redefinition has completed. /////////////////////////////////////////////////////////////////////////// Reserving 42300 - 42398 for Editioning Views. ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42300', 'an Editioning view is already defined on this table', 'An attempt was made to create an Editioning view on a table on which another Editioning view is already defined in the same Edition. This violates a restriction that at most one Editioning view may be associated with any base table in a given Edition.', 'Create the new view as a regular view or, if the view being created is really intended to be an Editioning view associated with this table, drop the existing Editioning view before creating the new one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42301', 'only COMPILE, READ ONLY, READ WRITE clause may be specified for an Editioning view', 'ALTER VIEW statement with a clause other then COMPILE, READ ONLY, READ WRITE was issued against an Editioning view, which is the only clause supported for such views.', 'Avoid specifying clauses other than COMPILE, READ ONLY, READ WRITE when issuing ALTER VIEW statement against Editioning views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42302', 'definition of an Editioning view may not refer to remote tables', 'An attempt was made to create an Editioning view referring to remote tables, which is not supported.', 'Do not create an Editioning view if you want the view to refer to a remote table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42303', 'duplicate column reference in a definition of an Editioning view', 'An attempt was made create an Editioning view referencing the same column of a base table more than once, which is not supported.', 'Do not create an Editioning view if you have multiple columns referring to the same column of the base table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42304', 'base table and the Editioning view must belong to the same schema', 'An attempt was made to create an Editioning view in a schema different from that of the base table.', 'Create an Editioning view in the same schema as the base table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42305', 'only an Editioning view may replace an Editioning view', 'An attempt was made to replace an Editioning view with a view which is not an Editioning view or vice versa.', 'Ensure that either both or neither of the views involved are Editioning views.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42306', 'a CrossEdition trigger may not be created on an Editioning view', 'An attempt was made to create a CrossEdition trigger on an Editioning view, which is not supported.', 'Instead of creating a CrossEdition trigger on an Editioning view, create it on the Editioning view''s underlying table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42307', 'columns of an Editioning view may only refer to base table columns', 'An attempt was made to define an Editioning view containing a column referring to an entity other than a base table column (for example, a PL/SQL function without a parameter), which is not supported.', 'Ensure that every column of an Editioning view refers to a column of a base table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42308', 'view string.string is already in read-only mode', 'An attempt was made to set a read-only table in read-only mode.', 'This DDL can only be executed on a read/write view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42309', 'view string.string is already in read/write mode', 'An attempt was made to set a read/write view in read/write mode.', 'This DDL can only be executed on a read-only view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42310', 'Implementation restriction: this operation is only permitted on Editioning views', 'The view being altered was not an Editioning view. In this release, an ALTER VIEW READ ONLY, or ALTER VIEW READ WRITE operation is only permitted on Editioning views.', 'Ensure that the view is an Editioning view.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42311', 'This operation is only permitted on views with compilation erros', 'ALTER VIEW READ ONLY and ALTER VIEW READ WRITE is not permitted on views which has compilation errors.', 'Resolve the compilation errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-42399', 'cannot perform a DML operation on a read-only view', 'An attempt was made to insert, delete, or update row(s) of a view created with read-only option. DML operations on such views are explicitly prohibited.', 'Perform the desired DML operation on the view''s underlying base table or issue ALTER VIEW ... READ WRITE command to make the view updatable.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43750', 'invalid or illegal combination of COMMIT WRITE options', 'invalid or illegal combination of options provided to COMMIT WRITE SQL statement.', 'Provide a valid combination of options for COMMIT WRITE statement', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43751', 'invalid value for parameter string', 'invalid or illegal value provided for parameter.', 'Provide a valid value for the parameter', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43807', 'indexes on ORA_ROWSCN not allowed', 'An attempt was made to create an index that refers to the ORA_ROWSCN pseudo-column, either directly or in an expression.', 'Do not use ORA_ROWSCN to define an index on a table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43851', 'LOB feature unsupported below compatible 11.0.0', 'An 11g LOB feature was specified when the RDBMS is operating at a compatible setting lower than "11.0.0".', 'Upgrade the RDBMS compatible setting to "11.0.0" or higher to enable the desired new features.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43852', 'SECUREFILE and BASICFILE cannot be used together', 'SECUREFILE and BASICFILE were both specified.', 'Modify the SQL statement to specifiy only one of SECUREFILE or BASICFILE.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43853', 'SECUREFILE lobs cannot be used in non-ASSM tablespace "string"', 'SECUREFILE lobs require ASSM', 'Specify an ASSM tablespace for SECUREFILE lobs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53011', 'cannot find the <MAPPED_ELEM> tag value in the metadata schema', 'The value of the <MAPPED_ELEM> tag was not found in the metadata schema specified by the value of the <NAMESPACE> tag.', 'Correct the value and try again. You can either specify a valid value for the <MAPPED_ELEM> tag or clear the value of the <NAMESPACE> tag. See the Oracle Multimedia documentation for information on the mapping document schema (ordcmmp.xsd).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53012', 'cannot find the <UNMAPPED_ELEM> tag value in the metadata schema', 'The value of the <UNMAPPED_ELEM> tag was not found in the metadata schema specified by the value of the <NAMESPACE> tag.', 'Correct the value and try again. You can either specify a valid value for the <UNMAPPED_ELEM> tag or clear the value of the <NAMESPACE> tag. See the Oracle Multimedia documentation for information about the mapping document schema (ordcmmp.xsd).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53013', 'cannot find the <ATTRIBUTE_TAG> value: string in the dictionaries', 'The value of the specified <ATTRIBUTE_TAG> tag was not found in the standard or private dictionaries.', 'Correct the tag and/or the definer name value and try again. The value of the <ATTRIBUTE_TAG> tag must refer to a tag and definer name specified in the data dictionaries.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53014', 'The runtime preference table is not empty', 'The function was unable to process due to an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53015', 'An internal dictionary attributes table is empty', 'This document could not be processed due to an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53016', 'null input argument: string', 'The function was unable to process due to an internal error', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53017', 'The installation file string has an incorrect document type', 'An incorrect document type was specified for this file during installation. The function was unable to process due to an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53018', 'document string contains an unsupported encrypt action attribute', 'The operation failed because an unsupported encrypt action', 'Change the value of the action attribute to none, remove or replace', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53019', 'cannot delete installation document: string', 'The document could not be deleted because it was an installation document.', 'See the ORDDCM_DOCUMENTS view for a list of the documents in the repository.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53020', 'invalid external reference in the constraint document: string', 'The referenced external rule or macro could not be found in the repository.', 'Insert the referenced documents first and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53021', 'cannot insert a rule or macro string that was already inserted', 'The rules or macros existed in the repository.', 'Insert a new rule or macro.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53022', 'rules or macros in the constraint document string do not exist', 'The rules or macros did not exist in the repository.', 'Delete or update an existing rule or macro.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53023', 'cannot delete or update a referenced rule or macro string', 'Because the rules or macros were referenced by other rules or macros, they could not be deleted or updated.', 'Delete the referencing rules or macros first and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53024', 'error processing constraint document: string', 'An error occurred while processing the constraint document.', 'If the error described in the message can be corrected, do so; otherwise, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53025', 'invalid constraint document: string', 'The constraint document was invalid.', 'Correct the error described in the message and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53026', 'failed to insert the constraint string to the database', 'An error occurred while trying to insert the constraint document into the database.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53031', 'cannot delete dictionary document: string', 'The delete operation failed.', 'The delete operation for dictionary documents is not supported. Use the updateDocument or use the insertDocument procedure to make changes to dictionary documents.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53032', 'The default preference document cannot be found.', 'The delete operation failed due to an internal error.', 'When a user-defined preference document is deleted, the default values are restored from the Oracle default preference document. The default preference document is loaded during installation. If this document cannot be found, it is an unrecoverable error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53033', 'The default UID Definition document cannot be found.', 'The delete operation failed due to an internal error.', 'When a user-defined UID Definition document is deleted, the default values are restored from the Oracle default UID Definition document. The default UID Definition document is loaded during installation. If this document cannot be found, it is an unrecoverable error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53035', 'The rows for the mapping document (string) do not exist.', 'The delete operation failed due to an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53036', 'An internal table for the mapping document (string) is empty.', 'The function failed due to an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53037', 'invalid range tag, <START_TAG> string must be less than <END_TAG> string', 'The operation failed because an invalid range tag was specified.', 'Correct the value and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53038', 'The data type name for the specified tag cannot be found.', 'The function failed due to an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53039', 'user-defined preference document: string already exists', 'The insert operation failed because only one user-defined preference document was allowed.', 'To change an existing user-defined preference document, follow these steps:' || '<p>' || '1. Export the existing user-defined document.' || '<p>' || '' || '<p>' || '2. Delete the existing user-defined document.' || '<p>' || '' || '<p>' || '3. Make changes to the exported document.' || '<p>' || '' || '<p>' || '4. Insert the updated document. To add a new user-defined preference document, follow these steps:' || '<p>' || '' || '<p>' || '1. Delete the existing user-defined document.' || '<p>' || '' || '<p>' || '2. Insert the new document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53040', 'user-defined UID definition document: string already exists', 'The insert operation failed because only one user-defined UID definition document was allowed.', 'To change an existing user-defined UID definition document, follow these steps:' || '<p>' || '1. Export the existing user-defined document.' || '<p>' || '' || '<p>' || '2. Delete the existing user-defined document.' || '<p>' || '' || '<p>' || '3. Make changes to the exported document.' || '<p>' || '' || '<p>' || '4. Insert the updated document. To add a new user-defined UID definition document, follow these steps:' || '<p>' || '' || '<p>' || '1. Delete the existing user-defined document.' || '<p>' || '' || '<p>' || '2. Insert the new document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53041', 'The tag value for a replace action attribute is null.', 'The operation failed because a null tag value was found for a replace action attribute in the anonymity document', 'Either add a non-null tag value for each replace action attribute', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53042', 'tag string is referenced by document: string', 'The insert operation failed because the specified tag in the dictionary document was being referenced by the listed document.', 'To perform the insert operation, follow these steps' || '<p>' || '1. Export the listed document.' || '<p>' || '' || '<p>' || '2. Delete the listed document.' || '<p>' || '' || '<p>' || '3. Remove the specified tag from the exported document.' || '<p>' || '' || '<p>' || '4. Insert the updated document.' || '<p>' || '' || '<p>' || '5. Repeat the insert operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38958', 'Source platform string is in different byte order than target platform string', 'Probably a conversion was not done before the import phase of the transport.', 'Use RMAN CONVERT functionality to convert endian ordering.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-38959', 'Failed to update block 0 to new version 10 format', 'An attempt was made to update block 0 to version 10 format.', 'check additional error messages and contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39000', 'bad dump file specification', 'The user specified a dump file that could not be used in the current job. Subsequent error messages describe the inadequacies of the dump file.', 'Specify a dump file that is usable for the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39001', 'invalid argument value', 'The user specified API parameters were of the wrong type or value range. Subsequent messages supplied by DBMS_DATAPUMP.GET_STATUS will further describe the error.', 'Correct the bad argument and retry the API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39002', 'invalid operation', 'The current API cannot be executed because of inconsistencies between the API and the current definition of the job. Subsequent messages supplied by DBMS_DATAPUMP.GET_STATUS will further describe the error.', 'Modify the API call to be consistent with the current job or redefine the job in a manner that will support the specified API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39003', 'unable to get count of total workers alive', 'Attempt to get count of total worker processes alive failed.', 'Check the additional error messages to see what caused the failure. Correct the error, if possible, and try the operation again. If this error occurs from a Data Pump client (e.g. expdp or impdp), try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39004', 'invalid state', 'The state of the job precludes the execution of the API.', 'Rerun the job to specify the API when the job is an appropriate state.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39005', 'inconsistent arguments', 'The current API cannot be executed because of inconsistencies between arguments of the API call. Subsequent messages supplied by DBMS_DATAPUMP.GET_STATUS will further describe the error.', 'Modify the API call to be consistent with itself.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39006', 'internal error', 'An unexpected error occurred while processing a Data Pump job. Subsequent messages supplied by DBMS_DATAPUMP.GET_STATUS will further describe the error.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39012', 'Client detached before the job started.', 'The client detached or ended their session before the Data Pump job was started.', 'Create new job and remain attached to the job until it is started.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39013', 'Remapping the SYSTEM schema is not supported.', 'A remap_schema transform with the SYSTEM schema was specified.', 'Retry the import command without remapping the SYSTEM schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39014', 'One or more workers have prematurely exited.', 'One or more of the worker processes exited before the job was completed. With no workers, the master process will terminate the job.', 'Rerun the job. If problem persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39015', 'job is not running', 'An API was executed that required the job to be running, but the job was not active.', 'Retry the API. If problem persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39016', 'Operation not supported when job is in string state.', 'The state of the job precludes the execution of the API.', 'Rerun the job to specify the API when the job is an appropriate state.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39017', 'Worker request not supported when job is in string state.', 'The state of the job precludes the execution of a worker request. This is an internal error.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39018', 'master process received invalid message number string', 'Internal Error', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39019', 'invalid operation type string', 'User specified an invalid operation name on an DBMS_DATAPUMP.OPEN API or an invalid operation name was specified in the master table for a restart API.', 'Correct the operation name and recreate the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39020', 'invalid mode type string', 'User specified an invalid mode on an DBMS_DATAPUMP.OPEN API or an invalid mode was specified in the master table for a restart API.', 'Correct the mode and recreate the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39021', 'Database compatibility version string is not supported.', 'User selected COMPATIBLE as the version on an DBMS_DATAPUMP.OPEN API, but the current database compatibility version is not supported by the Data Pump API. Database versions before 9.2 are not supported by the Data Pump.', 'Specify a supported version and recreate the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39022', 'Database version string is not supported.', 'User selected LATEST as the version on an DBMS_DATAPUMP.OPEN API, but the current database version is not supported by the Data Pump API. Database versions before 9.2 are not supported by the Data Pump.', 'Specify a supported version and recreate the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39023', 'Version string is not supported.', 'User specified an explicit version on an DBMS_DATAPUMP.OPEN API, but the current database version is not supported by the Data Pump API. Database versions before 9.2 are not supported by the Data Pump.', 'Specify a supported version and recreate the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39024', 'wrong schema specified for job', 'Internal error caused by the master process finding inconsistencies between the schemas specified for the job.', 'Contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39025', 'jobs of type string are not restartable', 'Attempt to restart a job which was not restartable.', 'Recreate the job via the open API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39026', 'master table is inconsistent on validation string', 'Job cannot be restarted because it failed a validation check. Validation checks are of the form -xx.y where -xx is the value of the PROCESS_ORDER column in the master table where the error was detected and y is the actual validity check for the row.', 'Recreate the job. If master table has not been modified, but problem persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39027', 'wrong version of master table', 'Job cannot be restarted because the version of the database upon which the job started is different than the current version of the database and the format of the master table has changed between the versions.', 'Recreate the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39028', 'cannot restart job from string state', 'The job was not in a suitable state for restart. Jobs must begin executing before they can be restarted.', 'Recreate the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39029', 'worker string with process name "string" prematurely terminated', 'The specified worker process terminated unexpectedly. Subsequent messages describe the reason for the termination.', 'In many cases, the Data Pump will attempt to automatically restart the worker. If problem persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39030', 'invalid file type string', 'An invalid filetype was specified for an DBMS_DATAPUMP.ADD_FILE API call.', 'Correct the filetype parameter and reissue the API request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39031', 'invalid filter name string', 'An invalid filter name was specified on a DBMS_DATAPUMP.DATA_FILTER', 'Correct the filter name parameter and reissue the API request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39032', 'function string is not supported in string jobs', 'The specified API is not supported for the specified class of jobs.', 'Recreate the job with the appropriate mode or operation type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43854', 'use of a BASICFILE LOB where a SECUREFILE LOB was expected', 'A BASICFILE LOB was used in a SQL statement or in a call where a SECUREFILE LOB was expected.', 'Convert the LOB to a SECUREFILE LOB or don''t use this keyword or call.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43856', 'Unsupported object type for SECUREFILE LOB operation', 'A SECUREFILE Lob operation was issued on an unsupported object type.', 'Don''t use this function for BASICFILE LOBs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43857', 'Parameter Error', 'Attempt to modify a LOB with an invalid parameter.', 'Fix paramters and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-43883', 'SECUREFILE LOBs delta update invalid operation', 'Invalid delta update operation was issued on LOB. This includes operation beyond LOB length; move operation with destination offset inside move interval.', 'Check operation parameters for validity.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44001', 'invalid schema', 'The schema for the given schema name did not exist.', 'Provide a valid schema name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44002', 'invalid object name', 'The input parameter string was not a qualified SQL identifier of an existing SQL object.', 'Make sure the string matches an existing SQL object that is accessible by the current schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44003', 'invalid SQL name', 'The input parameter string was not a valid simple SQL name.', 'Check with the DBMS_ASSERT spec to verify that the parameter string is a valid simple SQL name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44004', 'invalid qualified SQL name', 'The input parameter string was not a valid qualified SQL name.', 'Check with the DBMS_ASSERT spec to verify that the parameter string is a valid qualified SQL name. /////////////////////////////////////////////////////////////////////////// Reserving 44101 - 44200 for UTL_MAIL errors ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44101', 'invalid priority', 'The priority level given by the user was invalid.', 'See UTL_MAIL for valid priority values and change the priority parameter accordingly. /////////////////////////////////////////////////////////////////////////// Reserving 44201 - 44300 for Shared Cursor (KKS) errors ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44203', 'timeout waiting for lock on cursor', 'A timeout occured while waiting for a cursor to be compiled. This is usually caused by the SQL parse requiring access to system resources which are locked by concurrently executing sessions.', 'Investigate possible causes of resource contention. If neccessary, contact support for additional information on how to diagnose this problem. /////////////////////////////////////////////////////////////////////////// Reserving 44301 - 44320 for DBMS_SERVICES errors ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44301', 'NULL service name is not permitted', 'The service name argument was found to be NULL.', 'Provide a non-NULL service name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44302', 'NULL network name is not permitted', 'The network name argument was found to be NULL.', 'Provide a non-NULL network name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44303', 'service name exists', 'This service name was already in existence.', 'Provide a new unique service name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44304', 'service string does not exist', 'The specified service was not in existence.', 'Provide a valid service name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44305', 'service string is running', 'The specified service was running.', 'This message is informational only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44306', 'service name exceeds maximum length of string', 'The service name was too long.', 'Use a shorter service name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44307', 'network name too long', 'The network name, excluding the domain, was too long.', 'Use a shorter network name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44310', 'maximum number of services exceeded', 'The maximum number of services has been reached.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44311', 'service string not running', 'The specified service was not running.', 'This message is informational only.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44312', 'database closed', 'The database was closed.', 'Open the database and retry the operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44313', 'instance name invalid', 'The instance name argument was not valid.', 'Provide a valid instance name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44314', 'network name already exists', 'The network name was already in existence.', 'Use an alternate network name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44315', 'all service attributes null', 'All attributes specified were null.', 'At least one attribute must be non-null.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44316', 'invalid argument', 'Invalid argument supplied.', 'Supply a valid argument.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44317', 'database open read-only', 'The database is open read-only.', 'Close the database and reopen it read/write before trying again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44318', 'exceeded maximum SERVICE_NAMES length', 'The total length of all running service network names exceeded the maximum allowable length.', 'Stop another service to start this one.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44321', 'cannot read command line from trace file string', 'Trace file could not be read.', 'Make sure trace file exists and contains valid raw trace data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44322', 'invalid file name ''string''', 'A NULL or zero length file name was specified.', 'Correct the file name to be a nonzero length string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44323', 'negative <count> ''number'' to string option', 'The given count was a nonpositive number.', 'Provide a positive count number.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44324', 'no <count> argument to string option', 'Count number was missing for the option.', 'Provide a count number to the option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44325', 'no entry points found in trace file string', 'The given trace symbol was not found.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44326', 'no <symbol> argument to string option', '<symbol> argument to -[un]trace option was missing.', 'Provide <symbol> argument to -[un]trace option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44327', 'no <filename> argument to string option', '<filename> argument to the option was missing.', 'Provide <filename> argument to the option.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44328', 'unsupported version number: string', 'Version of the trace file was not supported.', 'Provide supported version of trace file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44403', 'invalid value specified for flag parameter', 'Mutually exclusive values were specified for the flag parameter.', 'Internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44404', 'upicui2 client function requires Oracle server of 10.2 or higher', 'A 10.2 or higher client is being used with an older Oracle server.', 'Use an Oracle server with the same version as the client.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44411', 'Invalid ACL: START_DATE cannot be larger than END_DATE for all ACE', 'The END_DATE was smaller than the START_DATE in one of the ACE''s in this ACL.', 'Set all END_DATE to be larger than or equal to the START_DATE in each of the ACE''s in this ACL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44412', 'Invalid ACL: Cyclic ACL inheritance is not allowed', 'A cycle was formed by ACL inheritance.', 'Check the ACL inheritance and break the cycle by removing some ACL inheritance.GG function exceeds system limits.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44413', 'Invalid ACL: Security class of parent ACL must be an ancestor of security class of child ACL', 'Security class of parent ACL was not an ancestor of security class of child ACL', 'Change the security class of parent ACL to be an ancestor of security class of child ACL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44414', 'Invalid ACL: Parent ACL ''string'' does not exist', 'The path to the parent ACL was not a valid resource.', 'Change the parent ACL of this resource or create the parent ACL at the specified location.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44415', 'Invalid ACL: Undefined privileges', 'An undefined privilege was found in an ACE in the ACL.', 'Make sure the privilege is defined in the security class as specified in the ACL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53043', 'tag string is referenced by unknown document', 'The operation failed because a tag in the specified dictionary document was being referenced by another document in the repository.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53044', 'invalid tag: string', 'The operation failed because the specified tag was invalid.', 'The tag must match the regular expression ([0-9a-fA-FxX]{8}). Correct the tag format and try the operation again. See the dictionary schemas (ordcmsd.xsd, ordcmpv.xsd) listed in the Oracle Multimedia documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53045', 'invalid tag: string', 'The operation failed because the specified tag was invalid.', 'The tag must match the regular expression ([0-9a-fA-F]{8}). Correct the tag format and try the operation again. See the dictionary schemas (ordcmsd.xsd, ordcmpv.xsd) listed in the Oracle Multimedia documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53046', 'tag: string collides with existing tag: string in document: string', 'The operation failed because the specified tag collided with', 'Tag collisions are not allowed in the dictionary documents. Correct the specified tag in the document and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53047', 'internal error: string', 'This document could not be processed due to an internal error.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53048', 'definer name DICOM is not allowed in a private dictionary', 'The operation failed because the definer name DICOM was found in the private dictionary.', 'Correct the definer name and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53049', 'unsupported <ATTRIBUTE_TAG> tag value: string', 'The operation failed because the value of the specified <ATTRIBUTE_TAG> tag was not supported.', 'Only simple tags that match the regular expression [0-9A-F]{8}(\(.*\))? are allowed in the <ATTRIBUTE_TAG> tag. For example: 00080096(DICOM), 00080096 and so on. Correct the tag format and try the operation again. See the schemas ordcmdt.xsd, ordcmmp.xsd, and ordcman.xsd listed in the Oracle Multimedia documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53050', 'The data model is being edited by another user.', 'The operation failed because the data model was being edited by another user. An exclusive lock could not be acquired for the lock - ORD_DATA_MODEL_LOCK.', 'The data model can be edited by only one administrator at a time.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53051', 'no editDataModel session found', 'The operation failed because there was no editDataModel session.', 'Call the editDataModel procedure first and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53052', 'lock release returned error: string', 'The operation succeeded, but an error occurred while releasing the lock - ORD_DATA_MODEL_LOCK.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53053', 'lock request error: string', 'The operation failed because an exclusive lock could not be acquired for the lock - ORD_DATA_MODEL_LOCK.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53054', 'An editDataModel session already exists.', 'The editDataModel procedure was called more than once in the same session.', 'Continue the insert or delete operations, call rollbackDataModel to rollback the data model changes, or call publishDataModel to publish the data model changes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53055', 'empty data model table', 'The operation failed because the data model table was empty.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53056', 'unrecognized preference parameter name: string', 'The operation failed because the parameter name was invalid.', 'Correct the value and try the operation again. See the preference schema (ordcmpf.xsd) listed in the Oracle Multimedia documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53057', 'invalid preference parameter value: string', 'The operation failed because the parameter value was invalid.', 'Correct the value and try the operation again. See the preference schema (ordcmpf.xsd) listed in the Oracle Multimedia documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53058', 'The <ATTRIBUTE_TAG> value:string is not a simple tag.', 'The operation failed because the value of the specified <ATTRIBUTE_TAG> tag contained wild card characters ''x'' or ''X''.', 'Only simple tags that match the regular expression [0-9A-F]{8}(\(.*\))? are allowed in the <ATTRIBUTE_TAG> tag. For example: 00080096(DICOM), 00080096 and so on. Correct the tag format and try the operation again. See the schemas ordcmdt.xsd, ordcmmp.xsd, and ordcman.xsd listed in the Oracle Multimedia documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53059', 'The <ATTRIBUTE_TAG> value: string has a null definer name.', 'The operation failed because the value of the specified <ATTRIBUTE_TAG> tag had a null definer name.', 'Only simple tags that match the regular expression [0-9A-F]{8}(\(.*\))? are allowed in the <ATTRIBUTE_TAG> tag. For example: 00080096(DICOM), 00080096 and so on. Either specify a definer name using the correct format or remove the definer name and try again. See the schemas ordcmdt.xsd, ordcmmp.xsd, and ordcman.xsd listed in Oracle Multimedia documentation for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53060', 'string is not a standard attribute tag', 'The operation failed because the specified standard dictionary attribute tag did not have an even group number.', 'A standard dictionary attribute tag represents a two-byte hexadecimal number (group number followed by element number) and must match the regular expression [0-9a-fA-FxX]{3}[02468aceACExX]{1}[0-9a-fA-FxX]{4}. Correct the attribute tag format and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53061', 'document name string contains reserved prefix - ORD', 'The operation failed because the specified document name contained the ORD prefix that is reserved for Oracle Multimedia documents.', 'Remove the ORD prefix from the document name and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53062', 'invalid model name: string', 'The operation failed because the specified model name was invalid.', 'The model name DEFAULT is the only value that is supported in this release. Remove the model name or replace it with the value DEFAULT and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53100', 'The repository data model is in invalid state.', 'Error detected while loading the data model from the repository.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53111', 'The repository data model is not loaded.', 'The operation failed because the ord_dicom.setDataModel procedure was not called to load the repository data model.', 'Call the ord_dicom.setDataModel procedure first and try the operation again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53112', 'unable to load repository: string', 'The ord_dicom.setDataModel procedure failed to load the repository due to the listed error.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53122', 'invalid document type : string', 'The ord_dicom.setDataModel procedure failed to load the repository because an invalid document type was found.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53124', 'cannot find VR number for data type: string', 'The VR number for the listed data type could not be found in the lookup table.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53125', 'invalid range tag: string', 'The ord_dicom.setDataModel procedure failed to load the repository because an invalid range tag was found in the dictionary table.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39033', 'Data cannot be filtered under the direct path access method.', 'The user specified that the data access method for the job was direct which precludes the use of certain data filters.', 'Use the SUBQUERY or the SAMPLE data filter with the automatic data access method.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39034', 'Table string does not exist.', 'The user referenced a table in an API that did not exist.', 'Correct table name and retry API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39035', 'Data filter string has already been specified.', 'The user has already specified a data filter that matches on the filter name, schema name, and table.', 'Specify a different data filter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39036', 'invalid metadata filter name string', 'An invalid metadata filter name was specified on a DBMS_DATAPUMP.METADATA_FILTER API call.', 'Correct the metadata filter name parameter and reissue the API request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39037', 'Object type path not supported for string metadata filter.', 'An object type path was specified for the filter, but the filter does not support the object type path parameter.', 'Remove the object type path parameter.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39038', 'Object path "string" is not supported for string jobs.', 'The specified object type path is invalid for the job mode.', 'Correct the object type path.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39039', 'Schema expression "string" contains no valid schemas.', 'The specified SCHEMA_EXPR filter resulted in no schemas being selected.', 'Correct the the SCHEMA_EXPR filter specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39040', 'Schema expression "string" must identify exactly one schema.', 'For TABLE mode jobs, the SCHEMA_EXPR filter must identify exactly one schema.', 'Correct the the SCHEMA_EXPR filter specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39041', 'Filter "string" either identifies all object types or no object types.', 'A Metadata filter specifying path names either returned all objects or no objects in the job.', 'Correct the the metadata filter specification.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39042', 'invalid transform name string', 'An invalid transform name was specified on a DBMS_DATAPUMP.METADATA_TRANSFORM API call.', 'Correct the transform name parameter and reissue the API request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39043', 'Object type string is not supported for string.', 'The specified object type is invalid for the specified transform or remap.', 'Correct the object type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39044', 'Metadata transform string has already been specified.', 'The user has already specified the metadata transform for the same class of object types.', 'Specify a different object_type for the transform.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39045', 'invalid metadata remap name string', 'An invalid metadata remap name was specified on a DBMS_DATAPUMP.METADATA_REMAP API call.', 'Correct the metadata remap name parameter and reissue the API request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39046', 'Metadata remap string has already been specified.', 'The user has already specified a metadata remap that matches on the remap name and original value.', 'Specify a different original value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39047', 'Jobs of type string cannot use multiple execution streams.', 'The user specified a value of parallelism that is precluded by the operation type or mode of the job.', 'Specify only a parallelism of 1 for this type of job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39048', 'Unable to start all workers; only string worker(s) available.', 'The full degree of parallelism could not be honored due process limits, resource limits, or other internal errors.', 'Increase process/resource limits for the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39049', 'invalid parameter name string', 'An invalid parameter name was specified on a DBMS_DATAPUMP.SET_PARAMETER API call.', 'Correct the parameter name and reissue the API request.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39050', 'parameter string is incompatible with parameter string', 'Two parameters were set that were incompatible with each other. Only the first parameter setting will be used.', 'Decide which parameter is to be used and stick to it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39051', 'parameter string specified multiple times', 'The user has already specified a parameter that matches on the name and the specific parameter doesn''t support duplicate definitions.', 'Specify non-repeatable parameters only once.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39052', 'cannot specify SKIP_CURRENT on initial start of a job.', 'The user has already specified SKIP_CURRENT for a job that has never executed.', 'Only specify SKIP_CURRENT when restarting a job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39053', 'parameter or attribute string must be defined for a string job', 'The job being defined cannot be started because it is missing the specified definition.', 'Specify the omitted parameter or attribute before starting the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39054', 'missing or invalid definition of the SQL output file.', 'The job being defined cannot be started because it is missing the file to receive the SQL output of the job or the definition is unusable.', 'Specify a valid directory name and file name for the SQL file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39055', 'The string feature is not supported in version string.', 'The user attempted to use a feature that was not enabled in the database version specified for the current job. Typically, this error occurs if the compatibility level of the database is below the current version of the database or if the user explicitly specifies a version for a Data Pump job.', 'Specify the current database version as a version parameter for the the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39056', 'invalid log file specification.', 'The log file for the job was incorrectly specified.', 'Specify a valid directory name and file name for the log file.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39057', 'invalid worker request string for string jobs.', 'The worker process sent a message that wasn''t supported for the current job.', 'Internal error -- contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39058', 'current object skipped: string of type string', 'The user specified SKIP_CURRENT when restarting a job. This message is a confirmation that the object will not be imported.', 'User must manually define the object in the target database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39059', 'dump file set is incomplete', 'An IMPORT or SQL_FILE operation was being performed but not all of the files from the EXPORT dump file set were included.', 'Check the export log file and make sure all of the files that were exported are included in the current job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39060', 'table(s) dropped because of conflict with master table', 'A table specified by a job was not included because its definition would collide with the master table definition for the current job.', 'After the job completes. Import the conflicting tables using a unique job name to avoid conflicts with normal user tables.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39061', 'import mode string conflicts with export mode string', 'The mode used for import cannot be used with a dump file set of specified mode. Transportable jobs are not compatible with other modes.', 'Perform the import using a mode compatible with the export.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39062', 'error creating master process string', 'An attempt to create the listed master process failed.', 'Refer to any following error messages for possible actions. Check the trace log for the failed process to see if there is any information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39064', 'unable to write to the log file', 'Errors were detecting while writing to the log file. Subsequent messages will detail the problems.', 'Fix the problems outlined in the secondary messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44416', 'Invalid ACL: Unresolved principal ''string''', 'An unresolved principal is found in an ACE in the ACL.', 'Make sure the principal is a valid user or role in the system.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44417', 'Invalid ACL: Invalid ACLID', 'The specified ACLID did not point to a valid ACL document.', 'Make sure the ACLID points to a valid ACL document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44421', 'cannot DISALLOW NONSCHEMA without a SCHEMA clause', 'If no SCHEMA clause (explicit schema or ANYSCHEMA) was specified, nonschema data cannot be disallowed.', 'Remove DISALLOW NONSCHEMA or add some SCHEMA clause.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44422', 'nonschema XML disallowed for this column', 'An attempt was made to insert nonschema based XML documents in a binary XML column that disallows nonschema data.', 'Insert only schema-based documents or alter the column to ALLOW NONSCHEMA data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44423', 'XML Schema registered for BINARY cannot be used for CLOB/OBJ-REL', 'An attempt was made to use a XML Schema registered for binary usage as part of a CLOB or OBJ-REL clause.', 'Specify a schema registered for CLOB or OBJ-REL use. Else specify BINARY XML storage for column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44424', 'BINARY XML storage requires XML Schema registered for BINARY usage', 'An attempt was made to specify BINARY XML storage using an XML schema not registered for BINARY.', 'Specify a schema registered for BINARY usage. Else specify CLOB or OBJ-REL storage for column.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44501', 'QMEL: Too much concurrency.', 'Too much concurrency', 'Transient error, try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44502', 'QMEL: Lock not found.', 'Lock not found', 'Check arguments', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44503', 'QMEL: Lock Denied.', 'Lock denied', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44504', 'Resource Locked by Implicit Lock', 'The resource is locked by an implicit lock', 'Implicit locks are normally caused by NFS locks. Refer to XDB Protocol guide for removing/obtaining information about implicit locks.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44505', 'QMEL: Invalid arguments.', 'Arguments to QMEL are not correct.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44700', 'Language ''string'' is not a valid language for a translation', 'Invalid language.', 'The language must conform to IETF RFC 3066.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44701', 'Language not found for translation', 'The document had multiple translations and one of them did not have the xml:lang attribute.', 'All translations must have the xml:lang attribute when multiple translations are present.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44702', 'Multiple translations found for language ''string''', 'The document had multiple translations for a language.', 'The document must contain only one translation per language for every translated element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44703', 'Multiple source language translations found', 'The document had multiple source language translations.', 'The document must contain only one source language translation for every translated element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44704', 'XPath ''string'' does not uniquely identify a translated element', 'The given XPath pointed to multiple translated elements.', 'The given XPath must uniquely identify a translated element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44705', 'Must have xdb:maxOccurs=''1'' for translated elements', 'The value of xdb:maxOccurs was not ''1'' for a translated element.', 'The value of xdb:maxOccurs must be ''1'' for a translated element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44706', 'Must have xsd:maxOccurs=''unbounded'' for translated elements', 'The value of xsd:maxOccurs was not ''unbounded'' for a translated element.', 'The value of xsd:maxOccurs must be ''unbounded'' for a translated element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44707', 'No source language translation found', 'The document had no source language translation for a translated element.', 'The document must contain exactly one source language translation for every translated element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44708', 'Translations not supported for object relational storage', 'The storage type of the schema was object relational.', 'Register the schema with storage type as clob or binary xml.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44709', 'Invalid schema definition for translated element', 'The schema definition for a translated element was invalid.', 'A translated element must be a complex type with simple content which is a restriction or extension of xs:string.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44710', 'Malformed XLIFF document: string', 'The XLIFF document was malformed.', 'Fix the error and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44711', 'XPath refers to an untranslatable element', 'XPath pointed to an untranslatable element.', 'XPath for this operation must refer to a translatable element.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44712', 'Invalid XPath in XLIFF document used for merging', 'XPath within trans-unit/id attribute was invalid.', 'XPath within trans-unit/id attribute must point to a set of translations, not to a particular translation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44713', 'XPath does not select all translations', 'XPath did not select all translations for a particular element.', 'XPath must point to a set of translations, not to a particular translation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44730', 'XML Index string is not usable at the moment', 'The async XML Index could not be used since ORACLE is not open for query.', 'Try the same query again when ORACLE is open for query, or use NO_XMLINDEX_REWRITE hint.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44731', 'Path string cannot be removed from the repository XML Index', 'The repository XML Index indexed one of the parent folders of the resource identified by given path.', 'Try removing the parent folder from the repository XML Index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44732', 'Path string cannot be removed from the repository XML Index', 'The repository XML Index did not index the resource identified by given path.', 'Try removing a resource that is indexed by the repository XML Index.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44733', 'The repository XML Index cannot be dropped directly', 'DROP INDEX could not be used on the repository XML Index.', 'Try using DBMS_XDB_ADMIN.DROPREPOSITORYXMLINDEX.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44751', 'XML schema enumeration index is out of range', 'The enumeration item corresponding to the enumeration index could not be found in the XML schema.', 'If the XML schema has been evolved, try restarting the client that performed the evolution.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44752', 'New element ''string'' in complex type ''string'' has the same qualified name as another element', 'The new element that was added to a complex type by in-place XML schema evolution had the same qualified name as another element in the same complex type or in one of its ancestor complex types.', 'Try adding an element with a different qualified name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44753', 'Change to minOccurs attribute of element ''string'' is illegal', 'The value of attribute minOccurs on an element could not be increased by in-place XML schema evolution.', 'Do not increase the value of attribute minOccurs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44754', 'Change to maxOccurs attribute of element ''string'' is illegal', 'The value of attribute maxOccurs on an element could not be decreased by in-place XML schema evolution.', 'Do not decrease the value of attribute maxOccurs.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44755', 'Change to complexType property of element ''string'' is illegal', 'The complexType property on an element could not be changed by in-place XML schema evolution.', 'Do not change the complexType property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44756', 'Change to SQLType attribute of element ''string'' is illegal', 'The SQLType property on an element in a binary XML schema could not be changed by in-place XML schema evolution.', 'Do not change the SQLType property.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44800', 'Number of classifiers cannot be NULL', 'The num_classifiers argument was found to be NULL.', 'Provide a non-NULL num_classifiers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44801', 'NULL classifier list not permitted', 'The wlm_classifiers argument was found to be NULL.', 'Provide a non-NULL wlm_classifiers.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53126', 'assertion failure: string', 'The operation failed because an assertion error had occurred.', 'This is an internal error. Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53200', 'Argument string is null.', 'The argument was expecting a non-null value, but the value of the passed argument was null.', 'Check your program and ensure that the caller of the routine does not pass a null argument value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53201', 'Argument string is null or invalid.', 'The argument was expecting a non-null, valid value, but the value of the passed argument was null or invalid.', 'Check your program and ensure that the caller of the routine does not pass a null or invalid argument value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53202', 'internal error, argument [string]', 'The internal argument was invalid.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53203', 'security violation', 'A possible security violation was detected.', 'Check the alert log and trace file for more information.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53210', 'unable to read empty DICOM object', 'There was no data in the specified DICOM object.', 'See the Oracle Multimedia documentation for information about loading DICOM object data into the database.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53211', 'unable to read invalid ORDDicom object', 'The value of the source attribute or the extension attribute of the ORDDicom object was null.', 'See the Oracle Multimedia documentation for information about creating a valid ORDDicom object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53212', 'unable to read invalid ORDImage object: attribute string is null', 'The ORDImage object was invalid.', 'See the Oracle Multimedia documentation for information about creating a valid ORDImage object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53213', 'cannot access DICOM data with invalid source type', 'An invalid source type was stored in the source attribute of the ORDDicom object.', 'See the Oracle Multimedia documentation for information about the supported source types for DICOM data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53214', 'cannot access DICOM image data with invalid source type', 'An invalid source type was stored in the source attribute of the ORDImage object.', 'See the Oracle Multimedia documentation for information about the supported source types for DICOM image data.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53215', 'cannot access ORDDataSource object with invalid source type', 'An invalid source type was stored in the ORDDataSource object. Or, an error occurred while trying to retrieve a BFILE while the object status was local.', 'See the Oracle Multimedia documentation for information about the supported source types.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53216', 'cannot export the ORDDataSource object with an external source', 'The source of the ORDDataSource object was not local.', 'Import the data before calling the export procedure. Or, get the data directly from the external source.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53217', 'The source LOB locator is null.', 'The source BLOB locator or BFILE locator was null.', 'Correct the statement to pass an initialized LOB locator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53230', 'unable to write to an invalid destination ORDDicom object', 'The value of the source attribute or the extension attribute of the destination ORDDicom object was null.', 'See the Oracle Multimedia documentation for information about constructing a valid ORDDicom object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53231', 'unable to write to a nonlocal destination ORDDicom object', 'The source attribute of the destination ORDDicom object was not local.', 'See the Oracle Multimedia documentation for information about constructing a local ORDDicom object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53232', 'unable to write to an invalid destination ORDImage object', 'The value of the source attribute of the destination ORDImage object was null.', 'See the Oracle Multimedia documentation for information about constructing a valid ORDImage object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53233', 'unable to write to a nonlocal destination ORDImage object', 'The source attribute of the destination ORDImage object was not local.', 'See the Oracle Multimedia documentation for information about constructing a local ORDImage object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53234', 'The destination BLOB locator is null.', 'The destination BLOB locator was null.', 'Correct the statement to pass an initialized BLOB locator.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53250', 'Mapping document does not exist.', 'The specified mapping document did not exist.', 'Check the installed mapping documents, and correct the statement to pass the name of an installed mapping document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53251', 'Anonymity document does not exist.', 'The specified anonymity document did not exist.', 'Check the installed anonymity definition documents, and correct the statement to pass the name of an installed anonymity definition document.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53252', 'Constraint does not exist.', 'The specified constraint did not exist.', 'Check the installed constraints, and correct the statement to pass an installed constraint name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53253', 'The metadata for the new DICOM object is invalid.', 'The metadata for the new DICOM object did not conform to the default metadata schema (ordcmmd.xsd).', 'Check the metadata argument to ensure it has the correct namespace and conforms to the default metadata schema (ordcmmd.xsd). See the Oracle Multimedia documentation for information about the default metadata schema (ordcmmd.xsd).', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53254', 'The SOP INSTANCE UID for the new DICOM object is invalid.', 'The SOP INSTANCE UID for the new DICOM object was invalid.', 'See the Oracle Multimedia documentation for information about creating a valid SOP INSTANCE UID.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53255', 'cannot import from a null or invalid source type', 'A null or invalid source type was specified in the import procedure.', 'See the Oracle Multimedia documentation for information about the supported source types for the DICOM object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53256', 'cannot export to a null or invalid destination data type', 'A null or invalid destination data type was specified in the export procedure.', 'See the Oracle Multimedia documentation for information about the supported destination data types for the DICOM object.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53257', 'Attribute does not exist.', 'The specified attribute did not exist.', 'Ensure that the attribute name is valid.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53258', 'Metadata attribute is not available.', 'The value of the metadata attribute of the ORDDicom object was null.', 'Call the setProperties method first.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53259', 'cannot extract metadata that conforms to the schema definition', 'The extracted metadata did not conform to its schema definition.', 'Check the metadata schema definition, the mapping document and the parameters for the extractMetadata method to ensure that they are correct. See the Oracle Multimedia documentation for information about creating repository documents and extracting metadata.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53400', 'Missing DICOM magic number.', 'The DICOM object did not contain the DICOM magic number "dicm" required by part 10 of the DICOM standard.', 'Fix the DICOM object or the DICOM object source, if possible. Otherwise, update the DICOM preference document to ignore this category of error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53402', 'Missing DICOM header.', 'The DICOM object did not contain the file preamble.', 'Fix the DICOM object or the DICOM object source, if possible. Otherwise, update the DICOM preference document to ignore this category of error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53404', 'Missing the mandatory DICOM attribute string.', 'One or more mandatory DICOM attributes were missing from the DICOM object.', 'Fix the DICOM object or the DICOM object source, if possible. Otherwise, update the DICOM preference document to ignore this category of error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39065', 'unexpected master process exception in string', 'An unhandled exception was detected internally within the master control process for the Data Pump job. This is an internal error. messages will detail the problems.', 'If problem persists, contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39067', 'Unable to close the log file.', 'Errors were detecting while closing the log file. Subsequent messages will detail the problems.', 'Fix the problems outlined in the secondary messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39068', 'invalid master table data in row with PROCESS_ORDER=string', 'A corruption was detected in the master table in the specified row(s). Either the row wasn''t found, it was missing columns or had illegal values in its columns.', 'Rerun the job with an uncorrupted master table.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39070', 'Unable to open the log file.', 'Errors were detecting while opening the log file. Subsequent messages will detail the problems.', 'Fix the problems outlined in the secondary messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39071', 'Value for string is badly formed.', 'The value of the user specified filter did not contain a legitimate SQL clause. Subsequent messages will detail the problems.', 'Fix the problems outlined in the secondary messages.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39076', 'cannot delete job string for user string', 'Unable to delete a job. Refer to the any following or prior error messages for clarification.', 'Eliminate the problems indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39077', 'unable to subscribe agent string to queue "string"', 'The Data Pump''s communication layer was unable to attach one of its processes to the control or status queue. Subsequent messages will detail the problem.', 'Fix the problem if possible, or contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39078', 'unable to dequeue message for agent string from queue "string"', 'The Data Pump''s communication layer was unable to retrieve a message from the control or status queue. Subsequent messages will detail the problem.', 'Fix the problem if possible, or contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39079', 'unable to enqueue message string', 'The Data Pump''s communication layer was unable to send the specified message on the control or status queue. Subsequent messages will detail the problem.', 'Fix the problem if possible, or contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39080', 'failed to create queues "string" and "string" for Data Pump job', 'The Data Pump''s communication layer was unable to create the status and control queues required for interprocess communication. Subsequent messages will detail the problem.', 'Fix the problem if possible, or contact Oracle Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39081', 'failed to unsubscribe agent string from queue "string"', 'The Data Pump''s communication layer was unable to unsubscribe a process from the control or status queue. Subsequent messages will detail the problem.', 'Fix the problem if possible, or contact Oracle Customer Support.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39082', 'Object type string created with compilation warnings', 'The object in the SQL statement following this error was created with compilation errors. If this error occurred for a view, it is possible that the base table of the view was missing.', 'This is a warning. The object may have to be recompiled before being used.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39083', 'Object type string failed to create with error: string Failing sql is: string', 'Examine original error code to determine actual cause', 'Original error code will contain more information', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39084', 'cannot detach job string for user string', 'Unable to detach a job from the session. Refer to any following error messages for clarification.', 'Eliminate the problems indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39085', 'cannot update job string for user string', 'Unable to update the fixed table information for a job. Refer to any following or prior error messages for clarification.', 'Eliminate the problems indicated.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39086', 'cannot retrieve job information', 'Unable to retrieve fixed table information for a job. Refer to the secondary error messages that follow this one for clarification.', 'Eliminate the problems indicated by the secondary errors.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39087', 'directory name string is invalid', 'A corresponding directory object does not exist.', 'Correct the directory object parameter, or create a corresponding directory object with the CREATE DIRECTORY command.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39088', 'file name cannot contain a path specification', 'The name of a dump file, log file, or sql file contains a path specification.', 'Use the name of a directory object to indicate where the file should be stored.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39090', 'Cannot add devices to file oriented job.', 'Attempt to add a device to a job that already contains more than one disk file.', 'Only specify one file for jobs that contain sequential devices.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39091', 'unable to determine logical standby and streams status', 'An error occurred when determining if the Data Pump job needed to support logical standby or streams.', 'The subsequent message describes the error that was detected. Correct the specified problem and restart the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39092', 'unable to set SCN metadata for object "string.string" of type string', 'An error occurred when applying a SCN to the specified object to support logical standby or streams.', 'The subsequent message describes the error that was detected. Correct the specified problem and restart the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39093', 'FLASHBACK automatically enabled to preserve database integrity.', 'A Data Pump job was required to enable flashback support to specific SCNs in order to preserve the consistency of a logical standby or streams instantiation.', 'None', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39094', 'Parallel execution not supported in this database edition.', 'Parallel execution of Data Pump jobs is not supported for this database edition.', 'Specify a parallelism of 1 for jobs not running on Enterprise Edition databases.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39095', 'Dump file space has been exhausted: Unable to allocate string bytes', 'The Export job ran out of dump file space before the job was completed.', 'Reattach to the job and add additional dump files to the job restarting the job.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39096', 'invalid input value string for parameter string', 'A NULL or invalid value was supplied for the parameter.', 'Correct the input value and try the call again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39108', 'Worker process string violated startup protocol. Worker error:', 'The worker process whose name is listed started up but then exited before notifying the creating process that it was finished with initialization.', 'Refer to any following error messages for possible actions. Also, check the trace log for the failed process, if one was created, to see if there is any additional information about the failure. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39109', 'Unprivileged users may not operate upon other users'' schemas', 'An unprivileged user attempted to reference another user''s schema during a Data Pump operation. Because of this, no schemas were were selected for the job.', 'Retry the operation under a username owning the schema.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-39110', 'error deleting worker processes', 'An attempt to delete the worker processes failed.', 'Refer to any following error messages for possible actions. Correct the error, if possible, and try the operation again. If the error occurs again, contact Oracle Customer Support and report the error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44802', 'No new plan (classifier list) has been submitted', 'No new plan was created before submission.', 'Create a new plan, followed by adding classifier & PC lists.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44803', 'Plan is in transition (about to be activated)', 'New plan was attempted to be created before activating the current plan.', 'Completely submit the current plan and activate it.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44804', 'Plan is not created yet', 'A new plan was not created before submitting the Classifier and Performance Class lists.', 'Call dbms_wlm.create_plan first to create the plan.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44805', 'No classifier is present', 'The classifier list contained no classifiers.', 'Check the syntax of the classifier list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44806', 'Extra classifiers are present in list', 'More classifiers were present in the list than specified.', 'Only include the number of classifiers less than or equal to num_classifiers mentioned in dbms_wlm.create_plan.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44807', 'Peformance Class name is too large', 'The Performance Class name was larger than 32 bytes.', 'Rename the Performance Class to fit within 32 bytes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44808', 'Work Request Class name is too large', 'The Work Request Class name was larger than 32 bytes.', 'Rename the Work Request Class to fit within 32 bytes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44809', 'No expression is present for classifier', 'This classifiers contained no expression. It should contain one more more expressions.', 'Check syntax in the classifier list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44810', 'No parameter is present for expression', 'This expression contained no paramaters or attribute values. It should contain one or more attribute values. Attributes can be SERVICE, MODULE, ACTION, PROGRAM or USER.', 'Check syntax in the classifier list.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44811', 'Service name is too large', 'The service name mentioned in the parameter list was too large.', 'Check the service name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44812', 'Module name is too large', 'The module name mentioned in the parameter list was too large.', 'Check the module name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44813', 'Action name is too large', 'The action name mentioned in the parameter list was too large.', 'Check the action name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44814', 'Program name is too large', 'The program name mentioned in the parameter list was too large.', 'Check the program name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44815', 'User name is too large', 'The user name mentioned in the parameter list was too large.', 'Check the user name.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44816', 'Number of Performance Classes is less than specified', 'The number of Performance Classes submitted were less than what was specified.', 'Submit the full list of Performance Classes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44817', 'Classifier list is too large', 'The length of the classifier list was greater than 2048 bytes.', 'Break the list into two lists before submission.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44818', 'General failure', 'There was an unknown failure.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44819', 'Execution of this WLM function is denied', 'Either a WLM plan was being loaded from another instance, or the strict order of the PL/SQL calls for loading WLM plan was not followed.', 'Check if another session is also concurrently trying to load a WLM plan. If that is not true, check the order in which you are making these PL/SQL calls to load your WLM plan.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44820', 'Number of Work Request Classes is less than specified', 'The number of Work Request Classes submitted were less than what was specified.', 'Submit the full list of Work Request Classes.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44821', 'Number of classifiers is too large', 'A very large number ( > 1024) of classifiers were requested.', 'Submit a smaller ( < 1024) number of classifiers. /////////////////////////////////////////////////////////////////////////// 44901 - 44950 reserved for XML DB LINKS related error codes. ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-44901', 'Unable to resolve symbolic link "string"', 'The system is unable to resolve the specified symbolic link.', 'Check the definition of the symbolic link to ensure that this refers to a valid resource.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46066', 'Inactivity Timeout not specified', 'Extensible security session inactivity timeout was not specified.', 'Execute the function or procedure with an inactivity timeout value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46067', 'Cookie not specified', 'Extensible security session cookie was not specified.', 'Execute the function or procedure with a cookie value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46068', 'Role not specified', 'Extensible security Role was not specified.', 'Execute the function or procedure with a Role value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46070', 'Insufficient privileges', 'An attempt was made to execute an Extensible security session function or procedure without the appropriate privilege.', 'Ask the administrator to perform the operation or to grant the appropriate privilege.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46071', 'Error occurred while executing the event handler', 'An error or exception was returned by the error handling function invoked as part of the current operation.', 'Check the trace files to identify the source of the error in the event handling function. Attempt the operation again after the error has been resolved.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46072', 'Column width too small', 'The size of the column or variable used to store the output of this function or procedure is too small.', 'Increase the size of the column or variable and try again.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46073', 'Cookie already exists', 'The specified Extensible security session cookie was used by another Extensible security session.', 'Execute the function or procedure with a different cookie.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46074', 'session ID mismatch', 'The specified session ID does not match the attached session ID.', 'Execute the function or procedure without a session ID or with a matching attached session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46075', 'Already attached to a lightweight user session', 'The current database session is already attached to a lightweight user session.', 'Detach from the current lightweight user session before attaching to the new lightweight user session.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46076', 'The specified name string is too long', 'The length of the name is longer than allowable limits.', 'Please try again with a new name with a length smaller than the allowable length. Please refer to the documentation to identify the maximum name length for the current operation.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46077', 'Length of value too large', 'The specified attribute value is too large.', 'Execute the function or procedure again with a smaller attribute value.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46078', 'Invalid event type specified', 'The event type specified is invalid.', 'Reattempt the operation with an invalid event type. /////////////////////////////////////////////////////////////////////////// 46100 - 46149 Reserved for eXtensible Security Security Class (XSC) ///////////////////////////////////////////////////////////////////////////', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46101', 'Circular definition for aggregate privilege string in security class string', 'Definition of an aggregate privilege contained itself.', 'Fix the aggregate privilege definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46102', 'Privilege string aggregated in security class string is not found', 'Definition of an aggregate privilege contained a privilege that is not defined in this or parent security classes.', 'Fix the aggregate privilege definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-46103', 'Circular definition for security class string', 'Security class definition inherited from itself through circular definition.', 'Fix the security class definition.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53406', 'The DICOM object contains invalid attribute value string.', 'The DICOM object did not conform to the DICOM standard and contained invalid attribute values.', 'Fix the DICOM object or the DICOM object source, if possible. Otherwise, update the DICOM preference document to ignore this category of error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53408', 'The DICOM object encoding is wrong string.', 'The DICOM object did not conform to the DICOM standard''s binary encoding rules.', 'Determine if the DICOM object is corrupt. If the DICOM object is not corrupt, verify whether it conforms to the binary encoding rules in the DICOM standard. If the DICOM object is corrupt, fix it if possible. Otherwise, update the DICOM preference document to ignore this category of error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53410', 'The attribute string does not conform to the VM rule.', 'The DICOM object either contained an attribute that did not conform to the DICOM value multiplicity rule or was missing an attribute that was required by the DICOM standard.', 'Determine if the DICOM object conforms to the DICOM standard. If it does, verify if the data dictionary matches the DICOM object or is more recent than the DICOM object. If the data dictionary is obsolete, update it using the ORD_DICOM_ADMIN repository API, if possible. Otherwise, update the DICOM preference document to ignore this category of error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53412', 'The DICOM object contains an invalid VR value string.', 'The DICOM object with explicit value representation encoding had attribute VR values that did not match their definitions in the data dictionary.', 'Determine if the DICOM object conforms to the DICOM standard. If it does, verify if the data dictionary matches the DICOM object or is more recent than the DICOM object. If the data dictionary is obsolete, update it using the ORD_DICOM_ADMIN repository API, if possible. Otherwise, update the DICOM preference document to ignore this category of error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53414', 'The DICOM object contains undefined values string.', 'The DICOM object had attribute values that were expected to be part of the data model.', 'Determine if the DICOM object conforms to the DICOM standard. If it does, verify if the data model matches the DICOM object or is more recent than the DICOM object. If the data model is obsolete, update it using the ORD_DICOM_ADMIN repository API, if possible. Otherwise, update the DICOM preference document to ignore this category of error.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53430', 'The DICOM object contains unsupported values string.', 'This type of DICOM object is not supported by the current release.', 'Check for software updates, and contact Oracle Support Services for information about feature enhancements.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53432', 'The DICOM object attribute string has invalid definer name.', 'A private attribute definer for a private attribute contained in this DICOM object had invalid characters.', 'Determine if the DICOM object is corrupt. If the DICOM object conforms to the DICOM standard, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53434', 'Not a DICOM object.', 'The binary object is not a DICOM object.', 'Determine if the DICOM object is corrupt. If the DICOM object conforms to the DICOM standard, contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53500', 'Not a DICOM image.', 'The binary object was not a DICOM image.', 'Determine if the DICOM object is an image. Only DICOM images can be processed with image processing functions.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53502', 'Image processing failure.', 'An error occurred when processing a DICOM image.', 'Determine if the DICOM image is corrupt, and if it is supported by the current release.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53800', 'The DICOM object does not contain attribute string.', 'The DICOM object did not contain the attribute that was required for conformance validation.', 'Determine if the locator path is properly constructed. All attributes used in the locator path must be defined in the DICOM standard, and must not be retired. All attributes except the last attribute in the locator path must be of sequence type. If the locator path is correct, verify if the DICOM data dictionary is up to date. If the data dictionary is obsolete, update it using the ORD_DICOM_ADMIN repository API.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53810', 'error logging conformance validation messages', 'An error occurred while trying to log conformance validation messages.', 'Contact Oracle Support Services.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53820', 'Invalid locator path.', 'A locator path for an attribute was invalid.', 'Please verify the locator path is properly constructed. All attribute used in the locator path must be defined in the DICOM standard and must not be retired. An attribute that is not the last one of the locator path must be a sequence type. If the locator path is correct, please verify the DICOM data dictionary is up-to-date. If the data dictionary is obsolete, please use the ORD_DICOM_ADMIN API to update the data dictionary.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-53900', 'I/O failure string.', 'A device I/O failure occurred when attempting to read from and write to a DICOM object.', 'Check the permissions and privileges that have been granted for I/O operations.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54003', 'specified data type is not supported for a virtual column', 'Only scalar data types are supported for virtual columns. LONG, BLOB, REF, and BFILE data types are not supported for virtual columns.', 'Specify the expression column with a supported scalar data type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54004', 'resultant data type of virtual column is not supported', 'The data type of the underlying expression is not supported. Only scalar data types are supported for virtual columns. LONG, BLOB, REF, and BFILE data types are not supported for virtual columns.', 'Specify the expression of virtual column to return a supported scalar data type.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54005', 'keyword VIRTUAL cannot be specified here', 'The keyword VIRTUAL was either repeated or incorrectly specified.', 'Remove the keyword from the specified syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54006', 'keyword VISIBLE cannot be specified here', 'The keyword VISIBLE was either repeated or incorrectly specified.', 'Remove the keyword from the specified syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54007', 'keyword HIDDEN cannot be specified here', 'The keyword HIDDEN was either repeated or incorrectly specified.', 'Remove the keyword from the specified syntax.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54008', 'expression column is not supported for an index organized table', 'Attempt to create/alter an index organized table with an expression column', 'These columns are not supported, change the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54009', 'expression column is not supported for an external table', 'Attempt to create/alter an external table with an expression column', 'These columns are not supported, change the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54010', 'expression column is not supported for a temporary table', 'Attempt to create/alter a temporary table with an expression column', 'These columns are not supported, change the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54011', 'expression column is not supported for a clustered table', 'Attempt to create/alter a clustered table with an expression column', 'These columns are not supported, change the DDL.', 'N');
insert into ORA_ERROR (CODE, ERRO, CAUSE, ACTION, FAVORITE)
values ('ORA-54012', 'virtual column is referenced in a column expression', 'This virtual column was referenced in an expression of another virtual column', 'Ensure the column expression definition for any virtual column does not refer to any virtual column', 'N');
